# Changelog

All notable changes to the CESSDA Vocabulary Service source code are documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

*For each release, use the following sub-sections:*

- *Added (for new features)*
- *Changed (for changes in existing functionality)*
- *Deprecated (for soon-to-be removed features)*
- *Removed (for now removed features)*
- *Fixed (for any bug fixes)*
- *Security (in case of vulnerabilities)*

## [2.1.0] - 2022-03-03

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.6092399.svg)](https://doi.org/10.5281/zenodo.6092399)

### Additions

- [#369](https://bitbucket.org/cessda/cessda.cvs.two/issues/369) UI: Add Dutch to the drop-down list in search
- [#335](https://bitbucket.org/cessda/cessda.cvs.two/issues/369) Notification for 'no change type' entered
- [#312](https://bitbucket.org/cessda/cessda.cvs.two/issues/369) Reinstate 'Send feedback' tab

### Changes

- [#352](https://bitbucket.org/cessda/cessda.cvs.two/issues/352) UI look and feel
- [#328](https://bitbucket.org/cessda/cessda.cvs.two/issues/328) Remove default change type from Edit TL pop-up
- [#327](https://bitbucket.org/cessda/cessda.cvs.two/issues/327) UI mixes two languages for TL admins
- [#326](https://bitbucket.org/cessda/cessda.cvs.two/issues/326) User Guide tabs
- [#305](https://bitbucket.org/cessda/cessda.cvs.two/issues/305) CESSDA MO address change in footer
- [#298](https://bitbucket.org/cessda/cessda.cvs.two/issues/298) Improve documentation and service description

### Removals

- None

### Fixes

- [#373](https://bitbucket.org/cessda/cessda.cvs.two/issues/373) Change log is emptied in publication pop-up
- [#362](https://bitbucket.org/cessda/cessda.cvs.two/issues/362) Export/download in draft status inactive again
- [#350](https://bitbucket.org/cessda/cessda.cvs.two/issues/350) CESSDA Persistent Identifier Types FI button
- [#349](https://bitbucket.org/cessda/cessda.cvs.two/issues/249) Adding new codes does not keep order
- [#348](https://bitbucket.org/cessda/cessda.cvs.two/issues/348) Problems with saving in Agency
- [#344](https://bitbucket.org/cessda/cessda.cvs.two/issues/344) Password reset issue
- [#342](https://bitbucket.org/cessda/cessda.cvs.two/issues/342) Account activation
- [#330](https://bitbucket.org/cessda/cessda.cvs.two/issues/330) Export/download of CVs in draft status not functioning
- [#322](https://bitbucket.org/cessda/cessda.cvs.two/issues/322) Saving not working in publishing pop-up
- [#319](https://bitbucket.org/cessda/cessda.cvs.two/issues/319) Current text disappears when editing Usage
- [#310](https://bitbucket.org/cessda/cessda.cvs.two/issues/310) Editing the usage field of vocabularies no longer works as intended
- [#309](https://bitbucket.org/cessda/cessda.cvs.two/issues/309) Agency logo not updating for existing vocabularies bug
- [#308](https://bitbucket.org/cessda/cessda.cvs.two/issues/308) Do not store data on local filesystem
- [#290](https://bitbucket.org/cessda/cessda.cvs.two/issues/290) No license information for some CESSDA vocabularies

### Security

- None

## [2.0.6-Alpha] - 2021-04-19
- Fix [#294](https://bitbucket.org/cessda/cessda.cvs.two/issues/294/export-download-table-does-not-update) Export/download table does not update, change cache control to no-store
- Fix [#302](https://bitbucket.org/cessda/cessda.cvs.two/issues/302/bug-in-skos-export-script) Fix incorrect Thymeleaf template to generate RDF

## [2.0.5-Alpha] - 2021-04-12
- Fix [#300](https://bitbucket.org/cessda/cessda.cvs.two/issues/300/fix-incorrect-http-headers-related-to) Fix incorrect HTTP headers related to cache-control and content-type for JSON files

## [2.0.4-Alpha] - 2021-03-25
- Upgraded new styling from Open Concept SA
- Fix [#296](https://bitbucket.org/cessda/cessda.cvs.two/issues/296/new-agency-vocabulary-term-addition) New agency vocabulary term addition erratic
- Add more testing on the rest APIs  [#283](https://bitbucket.org/cessda/cessda.cvs.two/issues/283/improve-code-quality-phase-2-80-test)

## [2.0.3-Alpha] - 2021-02-17
- Add standard CESSDA header to the source-code [#289](https://bitbucket.org/cessda/cessda.cvs.two/issues/289/ensure-source-code-files-contain-standard)
- Improve Api-usage, About and User-guide pages editing functionality which derived from one component
- Improve Quill Rich-TextArea by including table and image plug-ins and fixing missing style
- Further improving code quality by reuse components [#283](https://bitbucket.org/cessda/cessda.cvs.two/issues/283/improve-code-quality-phase-2-80-test)
- Completely removed unused V1 API [#287](https://bitbucket.org/cessda/cessda.cvs.two/issues/287/upgrade-api-calls-from-v1-to-v2-within-the)


## [2.0.2-Alpha] - 2020-12-15
- Improve code quality by improving testing coverage, remove duplications and fix code smells [#254](https://bitbucket.org/cessda/cessda.cvs.two/issues/254/improve-cvs-2-code-quality) based on [SonarCube](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.cvs%3Acvs)
- Fix [#280](https://bitbucket.org/cessda/cessda.cvs.two/issues/280/usage-information-to-be-copied-from-sl-to): Usage information to be copied from SL to TLs
- Fix [#281](https://bitbucket.org/cessda/cessda.cvs.two/issues/281/unable-to-visit-previous-version): Unable to visit previous CV versions
- Fix [#279](https://bitbucket.org/cessda/cessda.cvs.two/issues/279/usage-information-not-shown-in-home): Related to issue in the generation of JSON files for published CVs



## [2.0.1-Alpha] - 2020-12-9
- Fix and finalize the /v2 REST APIs [#251](https://bitbucket.org/cessda/cessda.cvs.two/issues/251/api-requirements-read-only-mode-api)
    - Add search CV Codes REST API that produces JSON-LD based on Skosmos [#178](https://bitbucket.org/cessda/cessda.cvs.two/issues/178/dataverse-having-problems-consuming-api)
    - Add search Vocabularies & Codes that produces JSON & JSON-LD formats
    - Add export Vocabulary that produces HTML, DOCX, PDF, JSON & JSON-LD formats
- Add application maintenance page, which includes functions to generating JSON for published CVs, indexing for Agency, Vocabularies, Statistics and checking for incorrect CVs.[#272](https://bitbucket.org/cessda/cessda.cvs.two/issues/272/create-a-maintenance-page)
- Provide a configurable URI for Vocabulary versions and Codes. [#256](https://bitbucket.org/cessda/cessda.cvs.two/issues/256/cvs-urls-api-issue), [#271](https://bitbucket.org/cessda/cessda.cvs.two/issues/271/make-agency-uri-configurable-and-link)
- Improve code quality and fix bugs and vulnerabilities [#254](https://bitbucket.org/cessda/cessda.cvs.two/issues/254/improve-cvs-2-code-quality) based on [SonarCube](https://sonarqube.cessda.eu/dashboard?id=eu.cessda.cvs%3Acvs) 
- Fix user agency role issue [#269](https://bitbucket.org/cessda/cessda.cvs.two/issues/269/editing-cv-notes-not-working-for)
- Add Matomo tracking [#266](https://bitbucket.org/cessda/cessda.cvs.two/issues/266/add-matomo-tracking-code)
- Other issues fixing [#277](https://bitbucket.org/cessda/cessda.cvs.two/issues/277/inccorrect-missing-syling-between-ngx), and [#261](https://bitbucket.org/cessda/cessda.cvs.two/issues/261/incorrect-tool-name-in-tab)


## [2.0.0-Alpha] - 2020-11-02

The first version of CESSDA Vocabulary Service 2, which was re-developed from scratch based on the deprecated version 1 application.  
The project uses new architecture Spring-Boot framework for the back-end and Angular for the front-end, instead of Vaadin like in version 1.

- Back-end uses Spring-Boot v 2.2.5.RELEASE.
- Front-end uses Angular v 10.1.5.
- Improve Docker support, compare to version 1.
- Responsive web design
- Improved styling and looks-and-feels
- JSON Web Token (JWT) authentication, a stateless security mechanism. In order to improve scalability.
- Support for 28 Controlled-Vocabularies (CVs) languages (Albanian (sq), Bosnian (bs), Bulgarian (bg), Croatian (hr), Czech (cs), Danish (da), Dutch (nl), English (en), Estonian (et), Finnish (fi), French (fr), German (de), Greek (el), Hungarian (hu), Italian (it), Japanese (ja), Lithuanian (lt), Macedonian (mk), Norwegian (no), Polish (pl), Portuguese (pt), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es), Swedish (sv))
- Fixed corrupted CVs from the version 1
- Fixed and improved Vocabulary workflow
- Fixed vocabulary cloning and versioning
- Store published-vocabulary in JSON format
- New URLs for both Publication and Editor pages, for better readability
- Bookmarkable URLs for searching and vocabulary
- Vocabulary and Codes searching with Elastic-Search
- New redesign Search UI, search Vocabulary based on specific language
- Search filters (e.g based on Agency) with [ngx-chips](https://www.npmjs.com/package/ngx-chips) component.
- Optimized and fixed searching functionality from version 1
- Compare vocabulary versions with [ngx-text-diff](https://www.npmjs.com/package/ngx-text-diff) component, which based on `google diff match patch` library.
- Responsive Tree component adapts screen-size, to show the Vocabulary codes hierarchical structure.
- Vocabulary version comments functionality.
- Rich-Textarea with [ngx-quill](https://www.npmjs.com/package/ngx-quill) component.
- Agency page, with agency detail and statistic.
- Charts library using [ngx-charts](https://swimlane.gitbook.io/ngx-charts/) component.
- Admin page with user-management and licence-management.
- Application technical tools and matrices such as JVM-Metrics, App Health Checks, Configuration, Logs Audit.
- Swagger UI for the APIs.
- New set of /v2 REST APIs for searching and exporting CVs to several formats (PDF, HTML, DOCX)
