/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */

package eu.cessda.cvs.service.mapper;

import eu.cessda.cvs.domain.search.VocabularyEditor;
import eu.cessda.cvs.service.dto.VocabularyDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

/**
 * Mapper for the entity {@link VocabularyEditor} and its DTO {@link VocabularyDTO}.
 */
@Mapper(componentModel = "spring", uses = {CodeMapper.class})
public interface VocabularyEditorMapper extends EntityMapper<VocabularyDTO, VocabularyEditor> {

    @Mapping(source = "codes", target = "codes")
    @Mapping(source = "languages", target = "languages")
    @Mapping(source = "statuses", target = "statuses")
    VocabularyDTO toDto(VocabularyEditor vocabularyEditor);

    @Mapping(source = "codes", target = "codes")
    @Mapping(source = "languages", target = "languages")
    @Mapping(source = "statuses", target = "statuses")
    VocabularyEditor toEntity(VocabularyDTO vocabularyDTO);

    default VocabularyEditor fromId(Long id) {
        if (id == null) {
            return null;
        }
        VocabularyEditor vocabulary = new VocabularyEditor();
        vocabulary.setId(id);
        return vocabulary;
    }
}
