/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */

package eu.cessda.cvs.web.rest.errors;

import java.net.URI;

public final class ErrorConstants {
    public static final String ERR_CONCURRENCY_FAILURE = "error.concurrencyFailure";
    public static final String ERR_VALIDATION = "error.validation";
    public static final String PROBLEM_BASE_URL = "https://vocabularies.cessda.eu/problem";
    public static final URI DEFAULT_TYPE = URI.create(PROBLEM_BASE_URL + "/problem-with-message");
    public static final URI CONSTRAINT_VIOLATION_TYPE = URI.create(PROBLEM_BASE_URL + "/constraint-violation");
    public static final URI INVALID_PASSWORD_TYPE = URI.create(PROBLEM_BASE_URL + "/invalid-password");
    public static final URI EMAIL_ALREADY_USED_TYPE = URI.create(PROBLEM_BASE_URL + "/email-already-used");
    public static final URI LOGIN_ALREADY_USED_TYPE = URI.create(PROBLEM_BASE_URL + "/login-already-used");
    public static final URI VOCABULARY_ALREADY_EXIST_TYPE = URI.create(PROBLEM_BASE_URL + "/vocabulary-already-exist");
    public static final URI VOCABULARY_NOT_FOUND_TYPE = URI.create(PROBLEM_BASE_URL + "/vocabulary-not-found-exist");
    public static final URI CODE_ALREADY_EXIST_TYPE = URI.create(PROBLEM_BASE_URL + "/code-already-exist");
    public static final URI INSUFFICIENT_VOCABULARY_AUTHORITY_TYPE = URI.create(PROBLEM_BASE_URL + "/insufficient-vocabulary-authority");
    private ErrorConstants() {
    }
}
