/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */

import { Moment } from 'moment';

export interface IVocabularyChange {
  id?: number;
  vocabularyId?: number;
  versionId?: number;
  changeType?: string;
  description?: any;
  userId?: number;
  userName?: string;
  date?: Moment;
}

export class VocabularyChange implements IVocabularyChange {
  constructor(
    public id?: number,
    public vocabularyId?: number,
    public versionId?: number,
    public changeType?: string,
    public description?: any,
    public userId?: number,
    public userName?: string,
    public date?: Moment
  ) {}
}
