/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */

package eu.cessda.cvs.service.dto;

import org.junit.jupiter.api.Test;
import static org.assertj.core.api.Assertions.assertThat;
import eu.cessda.cvs.web.rest.TestUtil;

public class LicenceDTOTest {

    @Test
    public void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(LicenceDTO.class);
        LicenceDTO licenceDTO1 = new LicenceDTO();
        licenceDTO1.setId(1L);
        LicenceDTO licenceDTO2 = new LicenceDTO();
        assertThat(licenceDTO1).isNotEqualTo(licenceDTO2);
        licenceDTO2.setId(licenceDTO1.getId());
        assertThat(licenceDTO1).isEqualTo(licenceDTO2);
        licenceDTO2.setId(2L);
        assertThat(licenceDTO1).isNotEqualTo(licenceDTO2);
        licenceDTO1.setId(null);
        assertThat(licenceDTO1).isNotEqualTo(licenceDTO2);
    }
}
