/*
 * Copyright © 2017-2021 CESSDA ERIC (support@cessda.eu)
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */

import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ActivatedRoute } from '@angular/router';
import { of } from 'rxjs';
import { JhiDataUtils } from 'ng-jhipster';

import { CvsTestModule } from '../../../test.module';
import { MetadataValueDetailComponent } from 'app/entities/metadata-value/metadata-value-detail.component';
import { MetadataValue } from 'app/shared/model/metadata-value.model';

describe('Component Tests', () => {
  describe('MetadataValue Management Detail Component', () => {
    let comp: MetadataValueDetailComponent;
    let fixture: ComponentFixture<MetadataValueDetailComponent>;
    let dataUtils: JhiDataUtils;
    const route = ({ data: of({ metadataValue: new MetadataValue(123) }) } as any) as ActivatedRoute;

    beforeEach(() => {
      TestBed.configureTestingModule({
        imports: [CvsTestModule],
        declarations: [MetadataValueDetailComponent],
        providers: [{ provide: ActivatedRoute, useValue: route }]
      })
        .overrideTemplate(MetadataValueDetailComponent, '')
        .compileComponents();
      fixture = TestBed.createComponent(MetadataValueDetailComponent);
      comp = fixture.componentInstance;
      dataUtils = fixture.debugElement.injector.get(JhiDataUtils);
    });

    describe('OnInit', () => {
      it('Should load metadataValue on init', () => {
        // WHEN
        comp.ngOnInit();

        // THEN
        expect(comp.metadataValue).toEqual(jasmine.objectContaining({ id: 123 }));
      });
    });

  });
});
