CREATE DATABASE  IF NOT EXISTS `cvs` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;
USE `cvs`;
-- MySQL dump 10.13  Distrib 8.0.21, for Linux (x86_64)
--
-- Host: localhost    Database: cvs
-- ------------------------------------------------------
-- Server version	5.7.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `agency`
--

DROP TABLE IF EXISTS `agency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `agency` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `canonical_uri` varchar(255) DEFAULT NULL,
  `description` longtext,
  `license` varchar(240) DEFAULT NULL,
  `license_id` bigint(20) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `logopath` varchar(255) DEFAULT NULL,
  `name` varchar(240) DEFAULT NULL,
  `uri` varchar(255) DEFAULT NULL,
  `uri_code` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agency`
--

LOCK TABLES `agency` WRITE;
/*!40000 ALTER TABLE `agency` DISABLE KEYS */;
INSERT  IGNORE INTO `agency` (`id`, `canonical_uri`, `description`, `license`, `license_id`, `link`, `logopath`, `name`, `uri`, `uri_code`) VALUES (1,'urn:ddi:int.cessda.cv:','CESSDA (the Consortium of European Social Science Data Archives) provides large-scale, integrated and sustainable data services to the social sciences. It brings together social science data archives across Europe, with the aim of promoting the results of social science research and supporting national and international research and cooperation.','Creative Commons Attribution 4.0 International',1,'https://www.cessda.eu/','cessda.png','CESSDA','https://vocabularies.cessda.eu/vocabulary/[VOCABULARY]?v=[VERSION]','https://vocabularies.cessda.eu/vocabulary/[VOCABULARY]_[CODE]?v=[VERSION]'),(2,'urn:ddi:int.ddi.cv:','The Data Documentation Initiative (DDI) is an international standard for describing the data produced by surveys and other observational methods in the social, behavioral, economic, and health sciences.','Creative Commons Attribution 4.0 International',1,'http://www.ddialliance.org/','ddi.png','DDI Alliance','https://ddialliance.org/Specification/DDI-CV/[VOCABULARY]_[VERSION].html','https://ddialliance.org/Specification/DDI-CV/[VOCABULARY]_[VERSION].html#[CODE]'),(3,'urn:nbn:fi:fsd','FSD’s basic operations include archiving and dissemination of research data for reuse, but we also offer several other types of services for researchers, students and everyone else interested in issues regarding research data.','Attribution-ShareAlike 4.0 International',2,'https://www.fsd.tuni.fi/fi/','fsd.jpg','Finnish Social Science Data Archive','urn:nbn:fi:fsd',NULL);
/*!40000 ALTER TABLE `agency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `comment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `content` longtext,
  `date_time` datetime(6) DEFAULT NULL,
  `info` varchar(255) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `version_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK1mb0ovo2udq5s2jj7kxyq7akc` (`version_id`),
  CONSTRAINT `FK1mb0ovo2udq5s2jj7kxyq7akc` FOREIGN KEY (`version_id`) REFERENCES `version` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
INSERT  IGNORE INTO `comment` (`id`, `content`, `date_time`, `info`, `user_id`, `version_id`) VALUES (1,'<p>Most official names have been shortened to generally used ones.</p>','2020-11-05 11:47:09.442072','Ala-Lahti, Henri',72,451);
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `concept`
--

DROP TABLE IF EXISTS `concept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `concept` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `definition` longtext,
  `notation` varchar(240) NOT NULL,
  `parent` varchar(240) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `previous_concept` bigint(20) DEFAULT NULL,
  `sl_concept` bigint(20) DEFAULT NULL,
  `title` longtext,
  `uri` varchar(255) DEFAULT NULL,
  `version_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKb9nyu45q4eluvtflpdrcex2ho` (`version_id`),
  CONSTRAINT `FKb9nyu45q4eluvtflpdrcex2ho` FOREIGN KEY (`version_id`) REFERENCES `version` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13382 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `concept`
--

LOCK TABLES `concept` WRITE;
/*!40000 ALTER TABLE `concept` DISABLE KEYS */;
INSERT  IGNORE INTO `concept` (`id`, `definition`, `notation`, `parent`, `position`, `previous_concept`, `sl_concept`, `title`, `uri`, `version_id`) VALUES (1166,'Any individual person, irrespective of demographic characteristics, professional, social or legal status, or affiliation.','Individual',NULL,0,NULL,NULL,'Individual','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Individual',206),(1167,'Any kind of formal administrative and functional structure - includes associations, institutions, agencies, businesses, political parties, schools, etc.','Organization',NULL,1,NULL,NULL,'Organization','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Organization',206),(1168,'Two or more people related by blood, marriage (including step-relations), adoption or fostering and who may or may not live together (National Community Services Data Dictionary, Vers 3, AIHW, 2004). For example, used when researching the extent to which people provide support and assistance for their relatives.','Family',NULL,2,NULL,NULL,'Family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Family',206),(1169,'A more specific term, refers only to related people who live in the same household at a point in time. If not known whether the analysis unit is \'Family\' or \'Household family\', use \'Family\'.','Family.HouseholdFamily','Family',3,NULL,NULL,'Family: Household family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Family.HouseholdFamily',206),(1170,'A person or a group of persons who share the same dwelling unit and common living arrangements. These common living arrangements may include pooling some, or all, of their income and wealth, and consuming certain types of goods and services collectively, mainly housing and food (Eurostat).','Household',NULL,4,NULL,NULL,'Household','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Household',206),(1171,'U.S. Census: A housing unit is a house, an apartment, a mobile home, a group of rooms, or a single room that is occupied (or if vacant, is intended for occupancy) as separate living quarters. Separate living quarters are those in which the occupants live and eat separately from any other persons in the building and which have direct access from the outside of the building or through a common hall.','HousingUnit',NULL,5,NULL,NULL,'Housing Unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#HousingUnit',206),(1172,'Any type of incident, occurrence, or activity. Events are usually one-time, individual occurrences, with a limited, or short duration. Examples: criminal offenses, riots, meetings, elections, sports competitions, terrorist attacks, natural disasters like floods, etc. Processes typically take place over time, and may include multiple \'events\' or gradual changes that ultimately lead, or are projected to lead, to a particular result. Examples: court trials, criminal investigations, political campaigns, medical treatments, education, athletes\' training, etc.','EventOrProcess',NULL,6,NULL,NULL,'Event/Process','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#EventOrProcess',206),(1173,'Any entity that can be spatially defined as a geographic area, with either natural (physical) or administrative boundaries.','GeographicUnit',NULL,7,NULL,NULL,'Geographic Unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#GeographicUnit',206),(1174,'Any period of time: year, week, month, day, or bimonthly or quarterly periods, etc.','TimeUnit',NULL,8,NULL,NULL,'Time Unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#TimeUnit',206),(1175,'Books, articles, any written piece/entity.','TextUnit',NULL,9,NULL,NULL,'Text Unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#TextUnit',206),(1176,'Two or more individuals assembled together or having some unifying relationship.','Group',NULL,10,NULL,NULL,'Group','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Group',206),(1177,'Anything material, but inanimate, that has an independent existence and may be perceived by the senses. Examples: objects of art (paintings, sculptures, etc.) or weapons, or vehicles, etc.','Object',NULL,11,NULL,NULL,'Object','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Object',206),(1178,'Use if the unit of analysis is known, but not found in the list.','Other',NULL,12,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html#Other',206),(1191,'Tutkimuksen tarkastelukohteena ovat yksittäiset henkilöt.','Individual',NULL,0,NULL,1166,'Henkilö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Individual',208),(1192,'Mikä tahansa hallinnollinen tai toiminnallinen struktuuri, esimerkiksi koulu, yhdistys, järjestö, instituutio, toimisto, yritys, poliittinen puolue, jne. Kysymykset kohdistuvat itse organisaatioon ja vastaaja esiintyy pääasiassa organisaation, ei itsensä edustajana. Esimerkiksi miten korkeakoulut toteuttivat tutkinnonuudistuksen tai miten yritykset ottavat ympäristöseikat huomioon toiminnassaan.','Organization',NULL,1,NULL,1167,'Organisaatio','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Organization',208),(1193,'Kaksi tai useampi henkilö, jotka liittyvät toisiinsa sukulaisuuden, avo- tai avioliiton (laskien mukaan esim. sisar- ja velipuolet), rekisteröidyn parisuhteen, adoption tai sijaisvanhemmuuden kautta, riippumatta siitä, asuvatko he yhdessä vai eivät. Esimerkiksi tutkittaessa perheenjäsenten välisiä kontakteja ja auttamistapoja.','Family',NULL,2,NULL,1168,'Perhe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family',208),(1194,'Spesifimpi termi, joka viittaa vain tietyllä hetkellä samassa kotitaloudessa asuviin perheenjäseniin. Jos ei tiedossa, onko kyseessä \'Perhe\' vai \'Perhekotitalous\', käytä \'Perhe\'.','Family.HouseholdFamily','Family',3,NULL,1169,'Perhe: perhekotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family.HouseholdFamily',208),(1195,'Henkilöt, jotka asuvat yhdessä ja joilla on kokonaan tai osittain yhteinen ruokatalous tai jotka muuten käyttävät tulojaan yhdessä.','Household',NULL,4,NULL,1170,'Kotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Household',208),(1196,'Henkilö tai henkilöt, joilla on oma ruokatalous ja asuintilat. Asuintila voi olla talo, huoneisto, asuntovaunu, tietyt huoneet asunnosta.jne. Asuintiloihin on erillinen pääsy joko suoraan ulkoa tai yhteisen aulan kautta. \nLisäohje kansainväliseen määritelmään: Esimerkiksi soluasunnoissa asuvilla opiskelijoilla voi olla kullakin oma ruokakunta. Termi käytössä varsinkin Yhdysvalloissa.','HousingUnit',NULL,5,NULL,1171,'Asuntokunta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#HousingUnit',208),(1197,'Tapahtuma, tapahtumasarja, toiminta tai prosessi. Voivat olla lyhytaikaisia ja kertaluonteisia tai pidempikestoisia, usein muutoksiin johtavia. Esimerkiksi yksittäiset rikokset, sääilmiöt, oikeusjutut, kuntoutushoidot. Havaintoyksikkönä silloin, kun kysymyksissä keskitytään kyseisen tapahtuman/prosessin selvittämiseen, ei henkilöihin sinänsä. Esimerkiksi työehtosopimusneuvottelujärjestelmän vaikutus sukupuolten palkkaeroihin tai avoterapian vaikutus mielenterveyspotilaisiin.','EventOrProcess',NULL,6,NULL,1172,'Tapahtuma/prosessi/toiminta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#EventOrProcess',208),(1198,'Mikä tahansa maantieteellisesti määriteltävissä oleva alue. Lisäohje kansainväliseen määritelmään: Tyypillisesti kunta tai valtio. Esimerkiksi tutkimukset, joissa kuntien edustajilta kysytään kunnan palvelutuotannosta. Huom! Mikäli kysytään asukkaiden mielipiteitä kunnan palveluista, havaintoyksikkökategoria on yleensä Henkilö tai kategoriana käytetään molempia.','GeographicUnit',NULL,7,NULL,1173,'Maantieteellinen alue','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#GeographicUnit',208),(1199,'Minkä mittainen aikajakso tahansa: sekunti, tunti, vuorokausi, viikko, kuukausi, vuosi yms.','TimeUnit',NULL,8,NULL,1174,'Aikajakso','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TimeUnit',208),(1200,'Kirja, artikkeli tai mikä tahansa muu tekstiyksikkö. Lisäohje kansainväliseen määritelmään: Esimerkiksi sanomalehtiartikkelit autismista tai kirjoituskilpailuissa kerätyt elämänkerrat.','TextUnit',NULL,9,NULL,1175,'Teksti','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TextUnit',208),(1201,'Kaksi tai useampia henkilöitä, jotka ovat joko kokoontuneet yhteen tai joita yhdistää jokin muu tekijä. Lisäohje kansainväliseen määritelmään: Mikäli kyselytutkimus, vastaaja esiintyy joko ryhmän edustajana tai analysoijana. Kysymykset koskevat pääasiallisesti ryhmää ja ryhmän mielipiteitä, ei henkilöä itseään. Mikäli kysymykset koskevat sekä ryhmää että henkilöä, käytä havaintoyksikkönä molempia.','Group',NULL,10,NULL,1176,'Ryhmä','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Group',208),(1202,'Mikä tahansa konkreettinen, eloton esine/kohde, joka voidaan aistein havaita. Esimerkiksi taideteokset (veistokset, maalaukset, valokuvat), graffitit, aseet, ajoneuvot jne.','Object',NULL,11,NULL,1177,'Eloton objekti/esine','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Object',208),(1203,'Käytä mikäli havaintoyksikkö on tiedossa, mutta ei löydy sanastosta.','Other',NULL,12,NULL,1178,'Muu havaintoyksikkö/aineistoyksikkötyyppi','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Other',208),(1228,'Jede einzelne Person, unabhängig von demographischen Merkmalen, dem Beruf, dem sozialen Status, Rechtsstatus oder sozialer Status, Zugehörigkeit.','Individual',NULL,0,NULL,1166,'Individuum','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Individual',211),(1229,'Jede Art von formaler Verwaltungsstruktur und funktionaler Struktur - schließt Verbände, Institutionen, Agenturen, Unternehmen, politische Parteien, Schulen usw. ein.','Organization',NULL,1,NULL,1167,'Organisation','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Organization',211),(1230,'Zwei oder mehr Menschen, die miteinander blutsverwandt sind, oder durch Heirat (einschließlich der Verwandschaft des Ehepartners), Adoption oder Pflege (Pflegeeltern, Pflegekinder etc.) anverwandt sind - unabhängig davon, ob sie zusammenleben oder nicht. Wird zum Beispiel genutzt bei der Erforschung des Ausmaßes, in dem die Menschen ihre Verwandten unterstützen.','Family',NULL,2,NULL,1168,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family',211),(1231,'Ein spezifischerer Begriff, bezieht sich nur auf verwandte Personen, die zu einem bestimmten Zeitpunkt im selben Haushalt leben. Wenn nicht bekannt ist, ob die Analyseeinheit \'Familie\' oder \'Haushalt Familie\' ist, verwenden Sie \'Familie\'.','Family.HouseholdFamily','Family',3,NULL,1169,'Familie: Familienhaushalt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family.HouseholdFamily',211),(1232,'Eine Person oder eine Gruppe von Personen, die die gleiche Wohneinheit und gemeinsame Wohnverhältnisse teilen. Diese gemeinsamen Wohnverhältnisse können das Zusammenbringen einiger oder aller ihrer Einkommen und ihres Vermögens beinhalten und bestimmte Arten von Waren und Dienstleistungen zusammenführen, vor allem Wohnraum und Lebensmittel.','Household',NULL,4,NULL,1170,'Haushalt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Household',211),(1233,'Eine Wohneinheit ist ein Haus, eine Wohnung, ein Wohnmobil, eine Gruppe von Räumen oder ein Einzelzimmer, sie wird bewohnt (oder wenn sie leer ist, aber für das Wohnen bestimmt ist) als eine geschlossene Wohneinheit.Geschlossene Wohneinheiten sind diejenigen, in denen die Bewohner getrennt von allen anderen Personen im Gebäude leben und essen und die einen direkten Zugang vonaußendes Gebäudes oder durch einen gemeinsamen Flur haben.','HousingUnit',NULL,5,NULL,1171,'Wohneinheit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#HousingUnit',211),(1234,'Jede Art von Ereignis, Vorfall oder Aktivität. Ereignisse sind in der Regel einmalige, einzelne Vorkommnisse, mit einer begrenzten oder kurzen Dauer. Beispiele sind: Straftaten, Tumulte, Treffen, Wahlen, Sportwettkämpfe, Terroranschläge, Naturkatastrophen wie Überschwemmungen usw. Prozesse finden typischerweise im Verlauf der Zeit statt und können mehrere \'Ereignisse\' oder allmähliche Veränderungen beinhalten, die letztendlich oder voraussichtlich zu einem bestimmten Ergebnis führen. Beispiele: Gerichtsverfahren, strafrechtliche Ermittlungen, politische Kampagnen, medizinische Behandlungen, Bildung, Athletenausbildung usw.','EventOrProcess',NULL,6,NULL,1172,'Ereignis/ Prozess','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#EventOrProcess',211),(1235,'Jede Einheit, die räumlich als geographisches Gebiet definiert werden kann, mit einer entweder natürlichen (physischen) oder administrativen Grenze.','GeographicUnit',NULL,7,NULL,1173,'Geographische Einheit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#GeographicUnit',211),(1236,'Jegliche Art von Zeitspanne: Jahr, Woche, Monat, Tag oder zweimonatliche oder vierteljährliche Zeitspannen,etc.','TimeUnit',NULL,8,NULL,1174,'Zeiteinheit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TimeUnit',211),(1237,'Bücher, Artikel, jegliche schriftliche Stücke.','TextUnit',NULL,9,NULL,1175,'Texteinheit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TextUnit',211),(1238,'Zwei oder mehrere Einzelpersonen, die sich versammeln oder eine vereinende Beziehung miteinander haben.','Group',NULL,10,NULL,1176,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Group',211),(1239,'Alle nicht lebenden Stoffe, die eine unabhängige Existenz haben und durch Sinne wahrgenommen werden können. Beispiele: Kunstobjekte (Gemälde, Skulpturen, etc.) oder Waffen oder Fahrzeuge usw.','Object',NULL,11,NULL,1177,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Object',211),(1240,'Verwenden Sie diese Kategorie, wenn die Analyseeinheit bekannt, aber nicht in der Liste vertreten ist.','Other',NULL,12,NULL,1178,'Sonstiges','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Other',211),(1265,'En enskild person, oavsett dennas demografiska särdrag, yrkesmässiga, sociala eller juridiska status, eller tillhörighet.','Individual',NULL,0,NULL,1166,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Individual',214),(1266,'Någon typ av formell administrativ och funktionell struktur. Inkluderar föreningar, institutioner, företag, myndigheter, politiska partier, skolor, m.m.','Organization',NULL,1,NULL,1167,'Organisation','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Organization',214),(1267,'Två eller fler personer som är släkt genom blodsband, äktenskap (inklusive styvsyskon, -föräldrar, -barn m.m.), adoption eller fosterfamiljeskap, men som inte nödvändigtvis bor tillsammans (National Community Services Data Dictionary, Vers 3, AIHW, 2004). Används t.ex. vid forskning om i vilken omfattning människor erbjuder hjälp och stöd för sina släktingar.','Family',NULL,2,NULL,1168,'Familj','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family',214),(1268,'En mer specifik term än \'Familj\'. Betecknar endast människor som bor tillsammans i samma hushåll vid en given tidpunkt. Om det inte är känt huruvida analysenheten är \'Familj\' eller \'Familjehushåll\' ska \'Familj\' användas.','Family.HouseholdFamily','Family',3,NULL,1169,'Familj: Familjehushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family.HouseholdFamily',214),(1269,'En person eller grupp som har gemensam bostadsenhet och levnadsförhållanden. Dessa delade levnadsförhållanden kan inkludera att viss eller all inkomst och egendom är gemensam, och att vissa sorters varor och tjänster konsumeras gemensamt, företrädelsevis bostad och mat (Eurostat).','Household',NULL,4,NULL,1170,'Hushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Household',214),(1270,'En bostadsenhet är ett hus, en lägenhet, en husvagn, eller ett eller flera rum som bebos (eller, om den är tom, är avsett att bebos) som avskild inkvartering. Med avskild inkvartering menas att de som är inkvarterade där bor och äter avskiljt från andra personer i byggnaden och kan komma in direkt utifrån eller via en gemensam entré (U.S. Census).','HousingUnit',NULL,5,NULL,1171,'Bostadsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#HousingUnit',214),(1271,'Någon typ av företeelse, tilldragelse eller aktivitet. Händelser är vanligtvis enstaka företeelser med begränsad eller kort varaktighet. Exempel: brott, upplopp, möten, val, idrottstävlingar, terroristangrepp, naturkatastrofer som översvämningar o.dyl. Processer utspelar sig vanligtvis över tid och kan omfatta flera \'händelser\' eller gradvisa förändringar som slutligen resulterar i, eller kan tänkas resultera i, en visst utgång. Exempel: rättegångar, brottsutredningar, politiska kampanjer, medicinska behandlingar, utbildning, en idrottsutövares träning, m.m.','EventOrProcess',NULL,6,NULL,1172,'Händelse/process','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#EventOrProcess',214),(1272,'En enhet som kan definieras spatiellt som ett geografiskt område med antingen naturliga (fysiska) eller administrativa gränser.','GeographicUnit',NULL,7,NULL,1173,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#GeographicUnit',214),(1273,'En tidsperiod: år, månad, vecka, dag, kvartal, tvåmånaders period, e.dyl.','TimeUnit',NULL,8,NULL,1174,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TimeUnit',214),(1274,'Böcker, artiklar, eller annan skriven text.','TextUnit',NULL,9,NULL,1175,'Textenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TextUnit',214),(1275,'Två eller flera personer som samlats eller som har någon sorts relation som förenar dem.','Group',NULL,10,NULL,1176,'Grupp','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Group',214),(1276,'Något fysiskt men icke levande som existerar som en oberoende enhet och kan uppfattas av sinnena. Exempel: konstföremål (tavlor, skulpturer, o.dyl.), vapen, fordon, m.m.','Object',NULL,11,NULL,1177,'Föremål','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Object',214),(1277,'Använd om analysenheten är känd men saknas i listan.','Other',NULL,12,NULL,1178,'Övrigt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Other',214),(1291,'En individuell person, uavhengig av demografiske kjennetegn, yrkesmessig, sosial eller juridisk status, eller tilhørighet.','Individual',NULL,0,NULL,1166,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Individual',216),(1292,'Former for formelle administrative og funksjonelle strukturerer - inkluderer foreninger, institusjoner, foretak, bedrifter, politiske partier, skoler etc.','Organization',NULL,1,NULL,1167,'Organisasjon','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Organization',216),(1293,'To eller flere personer som er i slekt gjennom blodsbånd, ekteskap (inkludert ste-relasjoner), adopsjon eller fosterfamilie, som bor eller ikke bor sammen. Brukes for eksempel når man forsker på i hvilken grad folk bistår med støtte og hjelp til slektninger.','Family',NULL,2,NULL,1168,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family',216),(1294,'Et mer spesifikt begrep som kun referer til personer som bor i samme husholdning på et gitt tidspunkt. Om det ikke er kjent om analyseenheten er \'Familie\' eller \'Familiehusholdning\' skal begrepet \'Familie\' benyttes.','Family.HouseholdFamily','Family',3,NULL,1169,'Familie: familiehusholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family.HouseholdFamily',216),(1295,'En bruksenhet er et hus, en leilighet, et mobilt hjem (campingvogn), eller ett eller flere rom som er bebodd (eventuelt ledig, men som er ment å være bebodd), som adskilte enheter. Med adskilt menes det at personer bor og spiser uavhengig av andre personer i samme bruksenhet, og som har direkte tilgang til enheten utenfra, eller gjennom en felles inngang.','HousingUnit',NULL,5,NULL,1171,'Bruksenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#HousingUnit',216),(1296,'Typer av hendelse, begivenhet eller aktivitet. Hendelser er som oftest enkeltstående med begrenset eller kort varighet. For eksempel: kriminell handling, opptøyer, møter, valg, idrettsbegivenheter, terroraksjoner, naturkatastrofer osv. Prosesser finner som regel sted over tid, og kan inkludere flere \'hendelser\' eller gradvise endringer som etterhvert fører til, eller er anslått å føre til, et bestemt resultat. For eksempel: rettsaker, kriminaletterforskning, politiske kampanjer, medisinsk behandling, utdanning, idrettsutøveres treninger etc.','EventOrProcess',NULL,6,NULL,1172,'Hendelse/prosess','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#EventOrProcess',216),(1297,'Enhet som kan bli defineres romlig som et geografisk område, med enten naturlige (fysiske) eller administrative grenser.','GeographicUnit',NULL,7,NULL,1173,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#GeographicUnit',216),(1298,'Tidsperiode: år, uke, måned, dag, annenhver måned eller kvartal etc.','TimeUnit',NULL,8,NULL,1174,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TimeUnit',216),(1299,'Bøker, artikler, eller annen skreven tekst.','TextUnit',NULL,9,NULL,1175,'Tekstenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TextUnit',216),(1300,'To eller flere personer som samles eller som har et forhold som forener dem.','Group',NULL,10,NULL,1176,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Group',216),(1301,'Noe fysisk, men ikke levende som eksisterer som en uavhengig enhet og som kan oppfattes av sansene. For eksempel: kunst (malerier, skulpturer osv.), våpen, kjøretøy etc.','Object',NULL,11,NULL,1177,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Object',216),(1302,'Benytt hvis analyseenheten er kjent, men ikke finnes i listen.','Other',NULL,12,NULL,1178,'Annet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Other',216),(1303,'En person eller en gruppe av personer som har samme boligenhet og leveforhold. Disse felles leveforholdene kan inkludere at deler av, eller alt av inntekt og eiendom er felles, og at visse type varer og tjenester konsumeres i fellesskap, hovedsakelig bosted og mat (Eurostat).','Household',NULL,4,NULL,1170,'Husholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Household',216),(1304,'Enhver individuel person, uafhængig af demografiske karakteristik, erhvervs-, social- eller juridisk status eller tilhørsforhold.','Individual',NULL,0,NULL,1166,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Individual',217),(1305,'Enhver form for formel administrativ eller funktionel struktur. Omfatter foreninger, institutioner, agenturer, virksomheder, politiske partier, skoler mm.','Organization',NULL,1,NULL,1167,'Organisation','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Organization',217),(1306,'To eller flere mennesker, der er beslægtede ved blod, ægteskab (inklusiv stedfamilie), adoption eller pleje (plejeforældre og plejebørn mm.), der enten bor sammen eller ikke bor sammen. Anvendes fx til undersøgelser af i hvor høj grad mennesker støtter og hjælper slægtninge.','Family',NULL,2,NULL,1168,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family',217),(1307,'Et mere specifkt begreb, der refererer til mennesker, der er beslægtede og bor i samme husstand på et givent tidspunkt. Hvis det er usikkert, hvorvidt analyseenheden er \'Familie\' eller \'Familie: Hustandsfamilie\' brug da \'Familie\'.','Family.HouseholdFamily','Family',3,NULL,1169,'Familie: Husstands familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Family.HouseholdFamily',217),(1308,'En person eller gruppe af personer der deler den samme bopæl og deler almindelig livsindretning. Disse former for livsindretning kan omfatte deling eller delvis deling af indkomst og finanser og forbrug af nogle typer af varer og service ydelser kollektivt, primært mad og bopæl.','Household',NULL,4,NULL,1170,'Husstand','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Household',217),(1309,'En boligenhed er en lejlighed, beboelsesvogne, en gruppe af værelser eller et enkelt værelse der er beboet (eller ikke beboet, men tiltænkt beboelse) som en separat bolig. Separate boliger er boliger, hvor beboerne lever og spiser hver for sig, men har adgang til området uden for bygningen gennem en fælles indgang.','HousingUnit',NULL,5,NULL,1171,'Boligenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#HousingUnit',217),(1310,'Enhver form for hændelse, begivenhed eller aktivitet. Episoderne sker normalt kun én gang med en begrænset eller kort varighed. For eksempel kriminelle handlinger, oprør, møder, valg, sportsbegivenheder, terrorangreb, naturkatastrofer såsom oversvømmelser mm. Disse processer sker typisk over tid og kan omfatte flere hændelser eller gradvise ændringer, der i sidste ende og/eller muligvis leder til et bestemt resultat. Fx retssager, efterforskning af kriminelle handlinger, politiske kampagner, medicinsk behandling, uddannelse, en atlets træning mm.','EventOrProcess',NULL,6,NULL,1172,'Event/Proces','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#EventOrProcess',217),(1311,'Enhver enhed der rummeligt kan defineres som et geografisk område med enten naturlige (fysiske) eller administrative grænser.','GeographicUnit',NULL,7,NULL,1173,'Geografisk enhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#GeographicUnit',217),(1312,'Enhver periode af tid: År, uge, måned, dag, hver anden måned, kvartaler mm.','TimeUnit',NULL,8,NULL,1174,'Tidsenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TimeUnit',217),(1313,'Bøger, artikler eller anden skreven tekst.','TextUnit',NULL,9,NULL,1175,'Tekstenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#TextUnit',217),(1314,'To eller flere individer, der er samlet eller som har forenende forhold.','Group',NULL,10,NULL,1176,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Group',217),(1315,'Et hvert dødt materiale, der har en uafhængig eksistens og som kan opfattes af sanserne. For eksempel kunstobjekter (skulpturer, malerier mm.) eller våben eller køretøjer mm.','Object',NULL,11,NULL,1177,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Object',217),(1316,'Brug denne analyseenheden er kendt, men ikke fremgår af listen.','Other',NULL,12,NULL,1178,'Andre','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html#Other',217),(1329,'Data consisting largely of values expressed as digits from 0 to 9 and, optionally, signs for negative values, decimal points, or letters only when intended to represent numbers (for example, A-F or a-f in hexadecimal).','Numeric',NULL,0,NULL,NULL,'Numeric','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Numeric',219),(1330,'Data consisting largely of text, including letters, numbers, and special characters or symbols used in writing for punctuation, abbreviation, etc. For example, interview transcriptions, narratives or essays written by study participants, newspaper articles, etc.','Text',NULL,1,NULL,NULL,'Text','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Text',219),(1331,'Static images, such as graphs, drawings, photographs, diagnostic/medical images like X-rays, etc.','StillImage',NULL,2,NULL,NULL,'Still image','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#StillImage',219),(1332,'Geospatial data are any type of data with spatial coordinates that allow them to be mapped to the Earth\'s surface. They can represent physical objects, discrete areas or continuous surfaces. Discrete geospatial data are usually represented using vector data consisting of points, lines and polygons, while continuous geospatial data are usually represented by raster data, consisting of a grid of cells that each has its own value. Any number of applications in a wide range of areas produce geospatial data, such as GIS, Remote Sensing equipment, GPS units, archaeological total stations, manual mapping and computer-aided design (CAD), in a number of formats, including images, vector, text, and tabular data. Vector-based geospatial data include tables listing archaeological sites along with their coordinates, text-based files (e.g. XML) containing coordinates and topology for historic road networks, voting figures for political parties by administrative area. Raster-based geospatial data include satellite images, aerial photographs, scanned maps, and digital maps of elevations, vegetation, land-use, sea surface temperatures, air pollution, soil-types, etc.','Geospatial',NULL,3,NULL,NULL,'Geospatial','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Geospatial',219),(1333,'Recorded sound, including voice, music, etc.','Audio',NULL,4,NULL,NULL,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Audio',219),(1334,'Moving images. May include films, animation, digital recordings, visual output from simulations, recorded television programs, etc. May be mute or may include synchronized sound.','Video',NULL,5,NULL,NULL,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Video',219),(1335,'Computer program(s) in source code (human-readable) or compiled form.','Software',NULL,6,NULL,NULL,'Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Software',219),(1336,'A resource requiring interaction from the user to be understood, executed, or experienced. For example, training modules, query/response portals, files that require action from the user, etc.','InteractiveResource',NULL,7,NULL,NULL,'Interactive resource','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#InteractiveResource',219),(1337,'Virtual three-dimensional representations of objects, architecture, places, etc.','ThreeD',NULL,8,NULL,NULL,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#ThreeD',219),(1338,'Use when the kind of data format is known, but not found in the list.','Other',NULL,9,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html#Other',219),(1810,'Set of pre-determined questions presented to study participants.','Questionnaire',NULL,0,NULL,NULL,'Questionnaire','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#Questionnaire',240),(1811,'Set of pre-determined questions, a great majority of which are closed-ended, although there may be a small proportion of open-ended questions.','Questionnaire.Structured','Questionnaire',1,NULL,NULL,'Structured questionnaire','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#Questionnaire.Structured',240),(1812,'Set of pre-determined questions, a significant proportion of which are open-ended (roughly one third to two thirds), and the rest are closed-ended.','Questionnaire.Semistructured','Questionnaire',2,NULL,NULL,'Semi-structured questionnaire','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#Questionnaire.Semistructured',240),(1813,'Set of pre-determined questions, a great majority of which are open-ended, although there may be a small proportion of close-ended questions.','Questionnaire.Unstructured','Questionnaire',3,NULL,NULL,'Unstructured questionnaire','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#Questionnaire.Unstructured',240),(1814,'Themes, topics, and/or questions used in an interview. Can vary between loosely defined themes to more exactly formulated questions. There is more flexibility than in an unstructured questionnaire regarding which questions are asked of each participant and how they are conveyed.','InterviewSchemeAndThemes',NULL,4,NULL,NULL,'Interview scheme and/or themes','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#InterviewSchemeAndThemes',240),(1815,'Directions or instructions regarding the methods and procedures to be used for collecting the data. Use a more specific term if possible.','DataCollectionGuidelines',NULL,5,NULL,NULL,'Data collection guidelines','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#DataCollectionGuidelines',240),(1816,'Guidelines regarding what will be observed. Depending on the study design, an observation guide can be more or less structured, ranging from exact specifications and scales to loosely formulated ideas.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,NULL,'Data collection guidelines: Observation guide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#DataCollectionGuidelines.ObservationGuide',240),(1817,'Guidelines for a group discussion. Depending on the study design, a discussion guide can be more or less structured, ranging from exactly formulated questions to general ideas on what to discuss. For example, a list of topics to be discussed in a focus group, or themes formulated by a researcher to direct a blog discussion, etc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,NULL,'Data collection guidelines: Discussion guide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#DataCollectionGuidelines.DiscussionGuide',240),(1818,'Guidelines regarding the desired, or expected content of self-written personal accounts or narratives from potential participants. The instructions can be supplied as part of the writing invitation or separately. For example, an invitation asking people suffering from a specific disease or disability to describe how it affects their feelings, social relations, and everyday life; or a writing invitation asking people to keep a diary of books read during a period of six months and the thoughts provoked by the books.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,NULL,'Data collection guidelines: Self-administered writings guide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',240),(1819,'Guidelines specifying what data are to be collected from previously existing sources originally created for other purposes. For example, directions on how to select and code data from qualitative sources to create a quantitative dataset.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,NULL,'Data collection guidelines: Secondary data collection guide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',240),(1820,'A description of tasks that participants are asked to carry out as a part of the data collection process. For example, marking places on a map, taking photographs, telling a fairy tale, etc.','ParticipantTasks',NULL,10,NULL,NULL,'Participant tasks','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#ParticipantTasks',240),(1821,'Instruments used to collect objective data like measurements, images, etc. For example, chronometers, scales, speedometers, blood pressure monitors, thermometers, x-ray machines, etc.','TechnicalInstruments',NULL,11,NULL,NULL,'Technical instrument(s)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#TechnicalInstruments',240),(1822,'Programming script written in a data query language that is used to extract specific data, for instance from online social networks.','ProgrammingScript',NULL,12,NULL,NULL,'Programming script','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#ProgrammingScript',240),(1823,'Use when the type of instrument is known, but not found in the list.','Other',NULL,13,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html#Other',240),(1837,'Kysely- tai ilmoituslomake. Kysymykset ovat ennalta määriteltyjä.','Questionnaire',NULL,0,NULL,1810,'Lomake','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',242),(1838,'Kysely- tai ilmoituslomake. Kysymykset ovat ennalta määriteltyjä. Kysymyksiin on useimmiten laadittu valmiit vastausvaihtoehdot, joskin mukana saattaa olla pieni määrä avokysymyksiä.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturoitu lomake','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',242),(1839,'Kysely- tai ilmoituslomake. Kysymykset ovat ennalta määriteltyjä. Avokysymysten osuus on merkittävä ja vaihtelee suunnilleen kolmasosasta kahteen kolmasosaan. Lopuissa kysymyksissä on valmiit vastausvaihtoehdot.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Puolistrukturoitu lomake','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',242),(1840,'Kysely- tai ilmoituslomake. Kysymykset ovat ennalta määriteltyjä. Ne ovat useimmiten avokysymyksiä, vaikkakin mukana saattaa olla pieni määrä kysymyksiä, joissa on valmiit vastausvaihtoehdot.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Strukturoimaton lomake','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',242),(1841,'Haastattelututkimuksessa käytetyt haastatteluteemat tai -kysymykset. Vaihtelevat väljästi muotoilluista teemoista melko tarkasti muotoiltuihin kysymyksiin. Jälkimmäisessä tapauksessa ero strukturoimattomaan lomakkeeseen on siinä, että kaikille osanottajille ei esitetä kaikkia kysymyksiä tai kysymysten muotoilu on vapaampaa.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Haastatteluteemat tai haastattelurunko','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',242),(1842,'Suunnitelma tai ohjeet, jotka määrittelevät aineistonkeruun menetelmät ja prosessit. Käytä tarkempaa termiä mikäli mahdollista.','DataCollectionGuidelines',NULL,5,NULL,1815,'Aineistonkeruuohjeistus','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',242),(1843,'Havainnointitutkimuksessa käytetty suunnitelma siitä, mitä havainnoidaan. Tutkimusasetelmasta riippuen havainnointisuunnitelma voi olla enemmän tai vähemmän strukturoitu, vaihdellen tarkoista määrittelyistä ja asteikoista väljästi muotoiltuihin ideoihin.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Aineistonkeruuohjeistus: havainnointiohje tai -suunnitelma','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',242),(1845,'Kirjoitusaineistojen keräämistä varten annetut kirjoitusohjeet joko kirjoituskutsun osana tai erillisenä. Esimerkkejä: Kirjoituskutsussa pyydetään tietyn sairauden tai vamman omaavia ihmisiä  kuvailemaan kuinka se vaikuttaa heidän tunteisiinsa, ihmissuhteisiinsa ja jokapäiväiseen elämäänsä; ohjeistus lukupäiväkirjalle, johon osanottaja kirjaa lukemansa kirjat ja niiden herättämät ajatukset.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Aineistonkeruuohjeistus: kirjoitusohje','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',242),(1846,'Keruuohje tai -suunnitelma siitä, miten tutkimusaineisto muodostetaan jo aiemmin olemassa olevasta, muuta tarkoitusta varten tehdystä lähdemateriaalista. Esimerkiksi ohje sanomalehtimateriaalin poimimiseksi tutkimukseen tai poiminta- ja käsittelyohjeet jos jostain kvalitatiivisesta lähdemateriaalista muodostetaan numeerinen aineisto.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Aineistonkeruuohjeistus: poimintaohje tai -suunnitelma','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',242),(1847,'Osanottajille annettu tehtävänanto, joka on osa aineistonkeruuprosessia. Esimerkiksi: Lempipaikkojen merkitseminen virtuaalikarttaan, valokuvien ottaminen, vitsien tai satujen kertominen.','ParticipantTasks',NULL,10,NULL,1820,'Osallistujatehtävä','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',242),(1848,'Objektiivisten havaintojen keräämiseen käytetyt välineet. Esimerkiksi verenpainemittarit, röntgenkuvat, ajanmittaus, nopeus- ja lämpötilamittarit jne.','TechnicalInstruments',NULL,11,NULL,1821,'Tekniset keruuvälineet','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',242),(1849,'Halutun kaltaista dataa on poimittu ohjelmallisesti, esimerkiksi sosiaalisesta mediasta tai muista verkkolähteistä.','ProgrammingScript',NULL,12,NULL,1822,'Ohjelmointikoodi','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',242),(1850,'Käytetään jos keruuväline on tiedossa mutta ei listassa.','Other',NULL,13,NULL,1823,'Muu keruuväline','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',242),(1851,'Satz von vorgegebenen Fragen, die den Studienteilnehmern präsentiert wurden.','Questionnaire',NULL,0,NULL,1810,'Fragebogen',NULL,243),(1852,'Satz von vorgegebenen Fragen, von denen eine große Mehrheit geschlossen ist, obwohl es einen kleinen Teil anoffenen Fragen geben kann.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturierter Fragebogen',NULL,243),(1853,'Satz von vorgegebenen Fragen, von denen ein beträchtlicher Teil offen (etwa ein Drittel bis zwei Drittel) und der Rest geschlossen ist.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Halb-strukturierter Fragebogen',NULL,243),(1854,'Satz von vorgegebenen Fragen, von denen eine große Mehrheit offen ist, obwohl es einen kleinen Teil von geschlossenen Fragen geben kann.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Unstrukturierter Fragebogen',NULL,243),(1855,'Themen und/oder Fragen, die in einem Interview verwendet werden. Kann zwischen grob definierten Themen und genau formulierten Fragen variieren. Es gibt mehr Flexibilität als in einem unstrukturierten Fragebogen hinsichtlichder Fragen, die Teilnehmern gestellt und wie diese vermittelt werden.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Interview-Schema und/oder Themen',NULL,243),(1856,'Richtlinien und Anweisungen, die den Inhalt der Datenerfassung definieren. Verwenden Sie nach Möglichkeit einenengergefasstenBegriff.','DataCollectionGuidelines',NULL,5,NULL,1815,'Richtlinien der Datenerhebung',NULL,243),(1857,'Richtlinien für das, was beobachtet wird. Je nach Studiendesign kann ein Beobachtungsleitfaden mehr oder weniger strukturiert sein, von exakten Spezifikationen und Skalen bis hin zu lose formulierten Ideen.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Richtlinien der Datenerhebung: Beobachtungsleitfaden',NULL,243),(1859,'Richtlinien für den gewünschten oder erwarteten Inhalt von selbstgeschriebenen persönlichen Berichten oder Erzählungen von potentiellen Teilnehmern. Die Anleitung kann im Rahmen der schriftlichen Einladung oder separat geliefert werden. Zum Beispiel die Bekanntgabe einesSchreibwettbewerbs, in derMenschen mit einer lebensbedrohlichen Krankheit gebetenwerden, zu beschreiben, wie die Krankheit ihre Gefühle, sozialen Beziehungen und den Alltag beeinflusst; oder eine schriftliche Einladung, in der die Leute gebeten werden, ein Tagebuch zu führen über Bücher, die sie während eines Zeitraums von sechs Monaten gelesen haben, und die daraus resultierenden Gedanken.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Richtlinien der Datenerhebung: Leitfaden für eigenständig durchgeführte schriftliche Aufzeichnung',NULL,243),(1860,'Richtlinien, in denen festgelegt wird, welche Daten aus bereits vorhandenen Quellen, die ursprünglich für andere Zwecke erstellt wurden, gesammelt werden sollen. Zum Beispiel Anweisungen, wie man Daten aus qualitativen Quellen auswählt und kodiert, um daraus einen quantitativen Datensatz zu erstellen.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Richtlinien der Datenerhebung: Richtlinien zu Sekundärdaten',NULL,243),(1861,'Eine Beschreibung der Aufgaben, die die Teilnehmer als Teil des Datenerhebungsprozesses machen sollen. Zum Beispiel Orte auf einer Karte markieren, Fotos machen, ein Märchen erzählen, etc.','ParticipantTasks',NULL,10,NULL,1820,'Probandenaufgaben',NULL,243),(1862,'Instrumente, die verwendet werden, um objektive Daten wie Messungen, Bilder usw. zu sammeln. Zum Beispiel Chronometer, Skalen, Geschwindigkeitsmesser, Blutdruckmessgeräte, Thermometer, Röntgengeräte usw.','TechnicalInstruments',NULL,11,NULL,1821,'Technische(s) Instrument(e)',NULL,243),(1863,'Programmierskript, das in einer Datenabfragesprache geschrieben wurde, undverwendetwird, um bestimmte Daten zu extrahieren, zum Beispiel aus Online-sozialen Netzwerken.','ProgrammingScript',NULL,12,NULL,1822,'Programmierskript',NULL,243),(1864,'Verwenden Sie diese Kategorie,wenn die Art des Erhebungsinstruments bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,13,NULL,1823,'Andere',NULL,243),(1865,'En uppsättning förutbestämda frågor som ställs till deltagare i studien.','Questionnaire',NULL,0,NULL,1810,'Frågeformulär','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',244),(1866,'En uppsättning förutbestämda frågor, av vilka en stor majoritet är slutna, även om det kan finnas en liten andel öppna frågor.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturerat frågeformulär','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',244),(1867,'En uppsättning förutbestämda frågor, av vilka en signifikant majoritet är öppna (cirka en till två tredjedelar), och resten är slutna.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Semistrukturerat frågeformulär','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',244),(1868,'En uppsättning förutbestämda frågor, av vilka en stor majoritet är öppna, även om det kan finnas en liten andel slutna frågor.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Ostrukturerat frågeformulär','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',244),(1869,'Teman, ämnen och/eller frågor som används i en intervju. Kan variera mellan löst definierade teman och mer exakt formulerade frågor. Det finns mer flexibilitet än i ett ostrukturerat frågeformulär angående vilka frågor som ställs till varje deltagare och hur de förmedlas.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Intervjuschema och/eller teman','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',244),(1870,'Guide och anvisningar som definierar innehållet i datainsamlingen. Använd en smalare term om möjligt.','DataCollectionGuidelines',NULL,5,NULL,1815,'Datainsamlingsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',244),(1871,'Guide till det som ska observeras. Beroende på studiedesign kan en observationsguide vara mer eller mindre strukturerad, allt från exakta specifikationer och skalor till löst formulerade idéer.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Datainsamlingsguide: Observationsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',244),(1873,'Guide för önskat eller förväntat innehåll i självskrivna personliga redogörelser eller berättelser från potentiella deltagare. Anvisningarna kan levereras separat eller som en del av inbjudan att delta i skrivandet. Till exempel en inbjudan till människor med en viss sjukdom eller funktionsnedsättning om att beskriva hur det påverkar deras känslor, sociala relationer och vardagsliv. Eller en skrivinbjudan som ber människor att föra dagbok om vilka böcker de läser under en period av sex månader och de tankar som väcks av böckerna.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Datainsamlingsguide: Guide för självadministrerade skriftliga uppgifter','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',244),(1874,'Guide som anger vilka data som ska samlas in från befintliga källor som ursprungligen skapats för andra ändamål. Till exempel anvisningar om hur man väljer och kodar data från kvalitativa källor för att skapa ett kvantitativt dataset.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Datainsamlingsguide: Guide för insamling av sekundärdata','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',244),(1875,'En beskrivning av uppgifter som deltagare ombeds att utföra som en del av datainsamlingsprocessen. Till exempel att markera platser på en karta, fotografera, berätta en saga osv.','ParticipantTasks',NULL,10,NULL,1820,'Uppgifter för deltagarna','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',244),(1876,'Instrument som används för att samla in objektiva data som mätningar, bilder osv. Till exempel kronometrar, vågar, hastighetsmätare, blodtrycksmätare, termometrar, röntgenapparater osv.','TechnicalInstruments',NULL,11,NULL,1821,'Tekniskt/-a instrument','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',244),(1877,'Ett skript som är skrivet i ett förfrågningsspråk (data query language) och som används för att extrahera specifika data, t.ex. från sociala nätverk på nätet.','ProgrammingScript',NULL,12,NULL,1822,'Skript','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',244),(1878,'Använd när typ av instrument är känt men saknas i listan.','Other',NULL,13,NULL,1823,'Övrigt','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',244),(1879,'Nabor vnaprej določenih vprašanj, predstavljenih udeležencem raziskave.','Questionnaire',NULL,0,NULL,1810,'Vprašalnik','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',245),(1880,'Nabor vnaprej določenih vprašanj, izmed katerih je velika večina vprašanj zaprtega tipa, čeprav je lahko majhen delež vprašanj tudi odprtega tipa.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturiran vprašalnik','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',245),(1881,'Nabor vnaprej določenih vprašanj, izmed katerih je pomemben delež vprašanj odprtega tipa (približno ena do dve tretjini), preostali del pa zaprtega tipa.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Polstrukturiran vprašalnik','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',245),(1882,'Nabor vnaprej določenih vprašanj, izmed katerih je velika večina vprašanj odprtega tipa, čeprav je lahko majhen delež vprašanj tudi zaprtega tipa.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Nestrukturiran vprašalnik','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',245),(1883,'Teme in/ali vprašanja, uporabljena v intervjuju. Lahko se razteza od široko opredeljenih tem do natančneje oblikovanih vprašanj. V primerjavi z nestrukturiranim vprašalnikom je več prožnosti glede vprašanj, ki jih postavimo udeležencem, in načina, kako jih posredujemo.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Načrt intervjuja in/ali teme','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',245),(1884,'Smernice in navodila, ki opredeljujejo vsebino zajema podatkov. Če je mogoče, uporabite ožji izraz.','DataCollectionGuidelines',NULL,5,NULL,1815,'Smernice za zbiranje podatkov','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',245),(1885,'Smernice za opazovanje. Glede na načrt raziskave je vodnik za opazovanje lahko bolj ali manj strukturiran, od natančnih določitev in lestvic do ohlapno oblikovanih idej.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Smernice za zbiranje podatkov: vodnik za opazovanje','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',245),(1887,'Smernice o želeni ali pričakovani vsebini samoizpolnjenih osebnih dnevnikov ali pripovedi potencialnih udeležencev. Navodila so lahko na voljo kot del napisanega vabila ali ločeno. Na primer, obvestilo o literarnem natečaju, ki vabi ljudi z življenjsko nevarno boleznijo, da opišejo, kako bolezen vpliva na njihove občutke, medsebojne odnose in vsakdanje življenje; ali pisno vabilo posameznikom, naj vodijo dnevnik prebranih knjig v šestih mesecih in si zapisujejo misli, ki se jim porajajo ob branju.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Smernice za zbiranje podatkov: vodnik za samoizpolnjevanje','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',245),(1888,'Smernice, ki določajo, katere podatke je potrebno zbrati iz že obstoječih virov, ki so bili prvotno ustvarjeni za druge namene. Na primer navodila za izbiranje in kodiranje podatkov iz kakovostnih virov z namenom oblikovanja kvantitativnega nabora podatkov.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Smernice za zbiranje podatkov: vodnik za zbiranje sekundarnih podatkov','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',245),(1889,'Opis nalog, ki jih morajo udeleženci opraviti kot del postopka zbiranja podatkov. Na primer, označevanje mest na zemljevidu, fotografiranje, pripovedovanje pravljice itd.','ParticipantTasks',NULL,10,NULL,1820,'Naloge udeležencev','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',245),(1890,'Pripomočki, ki se uporabljajo za zbiranje objektivnih podatkov, kot so meritve, slike itd. Na primer kronometri, lestvice, merilniki hitrosti, naprave za merjenje krvnega tlaka, termometri, rentgen itd.','TechnicalInstruments',NULL,11,NULL,1821,'Tehnični inštrument(i)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',245),(1891,'Koda za programiranje, napisana v jeziku poizvedbe, ki se uporablja za pridobivanje določenih podatkov, na primer iz spletnih socialnih omrežij.','ProgrammingScript',NULL,12,NULL,1822,'Programska koda','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',245),(1892,'Uporabite, ko je vrsta uporabljenega instrumenta znana, a je ne najdete na seznamu.','Other',NULL,13,NULL,1823,'Drugo','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',245),(1893,'Oppsett med forhåndsbestemte spørsmål som blir presentert for studiedeltakerne.','Questionnaire',NULL,0,NULL,1810,'Spørreskjema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',246),(1894,'Oppsett med forhåndsbestemte spørsmål hvor de fleste er lukkede. Det kan forekomme en liten andel åpne spørsmål.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturert spørreskjema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',246),(1895,'Oppsett med forhåndsbestemte spørsmål hvor en betydelig andel er åpne (ca. én til to tredjedeler), og resten er lukket.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Semistrukturert spørreskjema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',246),(1896,'Oppsett med forhåndsbestemte spørsmål hvor de fleste er åpne. Det kan forekomme en liten andel lukkede spørsmål.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Ustrukturert spørreskjema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',246),(1897,'Tema, emner og/eller spørsmål brukt i et intervju. Kan variere mellom løst definerte tema til mer nøyaktig formulerte spørsmål. Mer fleksibilitet enn i ustrukturerte spørreskjema når det kommer til hvilke spørsmål som blir stilt hver deltaker og hvordan de blir stilt.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Intervjuskjema og/eller tema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',246),(1898,'Retningslinjer og framgangsmåter som skal brukes for å samle inn dataene. Bruk et smalere begrep om mulig.','DataCollectionGuidelines',NULL,5,NULL,1815,'Retningslinjer for datainnsamling','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',246),(1899,'Retningslinjer til det som skal observeres. En observasjonsguide kan være mer eller mindre strukturert avhengig av studiedesignet. Den kan variere fra eksakte spesifikasjoner og skalaer til løst formulerte ideer.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Retningslinjer for datainnsamling: Observasjonsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',246),(1901,'Retningslinjer angående ønsket eller forventet innhold i selvskrevne personlige fortellinger fra potensielle deltakere. Instruksjonene kan bli utdelt som del av invitasjonen til å skrive, eller den kan gis ut separat. For eksempel en invitasjon som ber folk med livstruende sykdommer beskrive hvordan sykdommen påvirker deres følelser, sosiale relasjoner og hverdagsliv; eller en skriveinvitasjon som ber folk føre en dagbok over hvilke bøker de leser over en seksmånedersperiode og hvilke tanker bøkene vekker.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Retningslinjer for datainnsamling: Selvadministrert skriveguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',246),(1902,'Retningslinjer som spesifiserer hvilke opplysninger som skal hentes fra eksisterende datakilder som opprinnelig ble samlet for andre formål. For eksempel retningslinjer for hvordan opplysninger fra kvalitative kilder skal velges og kodes for å utarbeide kvantitative datasett.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Retningslinjer for datainnsamling: Guide for andregangsinnsamling av data','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',246),(1903,'En beskrivelse av oppgavene deltakere blir bedt om å utføre som del av datainnsamlingsprosessen. For eksempel markere steder på et kart, ta bilder, fortelle et eventyr, etc.','ParticipantTasks',NULL,10,NULL,1820,'Deltakeroppgaver','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',246),(1904,'Instrumenter brukt for å samle inn objektive data, slik som mål, bilder, etc. For eksempel kronometre, vekter, speedometre, blodtrykksmonitorer, termometere, røntgenmaskiner, etc.','TechnicalInstruments',NULL,11,NULL,1821,'Tekniske instrument(er)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',246),(1905,'Programmeringsskript som er skrevet i et skriptprogrammeringsspråk som blir brukt til å trekke ut bestemte opplysninger, for eksempel fra sosiale nettverk på internett.','ProgrammingScript',NULL,12,NULL,1822,'Programmeringsskript','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',246),(1906,'Bruk når instrumenttypen er kjent, men ikke finnes i listen.','Other',NULL,13,NULL,1823,'Annet','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',246),(1907,'Sæt af forudbestemte spørgsmål præsenteret for undersøgelsesdeltagerne.','Questionnaire',NULL,0,NULL,1810,'Spørgeskema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',247),(1908,'Sæt af forudbestemte spørgsmål, hvoraf en størstedel er lukkede, selvom der kan være en mindre del af åbne spørgsmål.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Struktureret spørgeskema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',247),(1909,'Sæt af forudbestemte spørgsmål, hvoraf en væsentlig del er åbne (rundt regnet en til to tredjedele), og resten er lukkede. ','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Semistruktueret spørgeskema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',247),(1910,'Sæt af forudbestemte spørgsmål, hvoraf en størstedel er åbne, selvom der kan være en mindre del af lukkede spørgsmål.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Ustruktureret spørgeskema','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',247),(1911,'Temaer, emner, og/eller spørgsmål anvendt i et interview. Kan variere mellem løst definerede temaer til mere præcist formulerede spørgsmål. Der er mere fleksibilitet end i et ustruktureret spørgeskema i forhold til, hvilke spørgsmål deltageren stilles, og hvordan de stilles.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Interviewskema og/eller temaer','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',247),(1912,'Retningslinjer eller instruktioner vedrørende metoder og procedurer, der bør anvendes til indsamling af dataene. Anvend et mere specifikt begreb, hvis muligt.','DataCollectionGuidelines',NULL,5,NULL,1815,'Retningslinjer for dataindsamling','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',247),(1913,'Retningslinjer for, hvad der vil blive observeret. Afhængigt af undersøgelsesdesign kan en observationsvejledning være mere eller mindre struktureret, rangerende fra nøjagtige specifikationer og skaleringer til løst formulerede idéer.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Retningslinjer for dataindsamling: Observationsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',247),(1915,'Retningslinjer vedrørende det ønskede eller forventede indhold af selvskrevne, personlige beretninger eller fortællinger fra potentielle deltagere. Instruktionerne kan leveres som del af den skriftlige invitation eller separat. For eksempel en invitation, der beder folk, som lider af en specifik sygdom eller handicap om at beskrive, hvordan det påvirker deres følelser, sociale relationer og hverdagsliv; eller en skriftlig invitation, der beder folk om at holde en dagbog om bøger læst over seks måneder og de tanker, som bøger fremkalder.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Retningslinjer for dataindsamling: Selvadministreret skriveguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',247),(1916,'Retningslinjer, der angiver, hvilke data, som skal indsamles fra tidligere eksisterende kilder oprindeligt skabt til andre formål. For eksempel vejledning til, hvordan man vælger og koder data fra kvalitative kilder for at oprette et kvantitativt datasæt.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Retningslinjer for dataindsamling: Guide for indsamling af sekundærdata','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',247),(1917,'En beskrivelse af opgaver, som deltagerne bliver bedt om at udføre som en del af dataindsamlingsprocessen. For eksempel markering af steder på et kort, tage fotografier, fortælle et eventyr mm.','ParticipantTasks',NULL,10,NULL,1820,'Deltageropgaver','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',247),(1918,'Instrumenter anvendt til at indsamle objektive data såsom målinger, billeder mm. For eksempel kronometer, vægte, hastighedsmålere, blodtryksmålere, termometre, røntgenapparater mm. ','TechnicalInstruments',NULL,11,NULL,1821,'Teknisk(e) instrument(er)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',247),(1919,'Programmeringsscript skrevet på et programmeringssprog, der anvendes til at udtrække specifikke data, eksempelvis fra online sociale netværk.','ProgrammingScript',NULL,12,NULL,1822,'Programmeringsscript','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',247),(1920,'Anvend, når typen af instrument er kendt, men ikke findes i listen.','Other',NULL,13,NULL,1823,'Andet','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',247),(1921,'Official, formal, or semi-formal documents listing for example items, names, occurrences, actions, or results, and preserved in writing or some other permanent form for later reference.','RegistersRecordsAccounts',NULL,0,NULL,NULL,'Registers/Records/Accounts','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts',248),(1922,'Information collected on individuals or groups as part of the routine administrative procedures of an agency, business, or institution. Such data are not usually collected with research purposes in mind, may be voluminous, and may require preparation such as coding in order to be usable by researchers. Examples: income tax forms, population registers, naturalization records, birth/death certificates, patent applications, etc.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,NULL,'Registers/Records/Accounts: Administrative','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.Administrative',248),(1923,'Historical records preserve information and constitute evidence about past events. They may be produced by individuals, groups, or organizations. Administrative records become historical when they are no longer retained, or actively used by the issuing agency for their original purpose. Examples include parish registers, estate records, wills, chronicles, etc.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,NULL,'Registers/Records/Accounts: Historical','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.Historical',248),(1924,'Records pertaining to law and its administration, for example records related to cases that have been brought to court or to a tribunal.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,NULL,'Registers/Records/Accounts: Legal','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.Legal',248),(1925,'Health-related data created or collected by health care professionals about a patient. Usually include the results of medical tests or measurements, findings from consultations or clinical trial programs, etc.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,NULL,'Registers/Records/Accounts: Medical/Clinical','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.MedicalClinical',248),(1926,'Information gathered during an evaluation process and presented as results. Examples include educational tests, IQ tests, verbal or logical reasoning tests, competence tests for professional occupations, etc.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,NULL,'Registers/Records/Accounts: Academic/Aptitude','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.AcademicAptitude',248),(1927,'Records of the financial activities of a business, person, state institution or other organizations or entities. Examples are statements of retained earnings, cash flow, income statements, a company\'s balance sheet and tax return.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,NULL,'Registers/Records/Accounts: Economic/Financial','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.EconomicFinancial',248),(1928,'Records or accounts created unofficially by individuals or families for other purposes than research. Examples may include private diaries or memoirs, family record books or Bibles, collections of personal documents, photographs, etc.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,NULL,'Registers/Records/Accounts: Personal','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.Personal',248),(1929,'Details of votes cast for candidates in an election (also known as \'election returns/results\'), parliamentary or organizational votes on policies, motions or proposals, public referendums, etc.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,NULL,'Registers/Records/Accounts: Voting results','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#RegistersRecordsAccounts.VotingResults',248),(1930,'Events are usually one-time, individual occurrences, with a limited or short duration. An event may be listed as data source when it is directly observed or recorded for research. Interactions are events in which two or more people, groups, objects or systems act upon one another having reciprocal influence, or effect. Examples: types of gatherings (ceremonies, competitions, festivals, meetings), riots, terrorist attacks, computing events (i.e., actions or occurrences detected by computer programs), etc.','EventsInteractions',NULL,9,NULL,NULL,'Events/Interactions','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#EventsInteractions',248),(1931,'Processes are sequences of occurrences, events, activities, actions or operations that take place over time and bring about changes or transformations in organisms, objects, ideas or social phenomena. For example, a business process may include receiving orders, invoicing, shipping the products, or setting a marketing budget.','Processes',NULL,10,NULL,NULL,'Processes','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Processes',248),(1932,'Sequence of steps and processes through which a piece of work passes from initiation to completion (adapted from the Oxford dictionary online: http://www.oxforddictionaries.com/us/definition/american_english/workflow). Examples from data life cycle: data collection, data processing, data analysis, data archiving, etc.','Processes.Workflows','Processes',11,NULL,NULL,'Processes: Workflow(s)','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Processes.Workflows',248),(1933,'Messages resulting from the act or process of using words, sounds, signs, or behaviors to convey or exchange information, ideas, thoughts, feelings, etc. (adapted from www.merriam-webster.com).','Communications',NULL,12,NULL,NULL,'Communications','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Communications',248),(1934,'Communications addressed directly to a public audience, for example, in person (public gatherings, political rallies, etc.), by means of broadcast, print or Internet mass media (radio, television, print or online newspapers/journals), by means of billboards, banners or other signage placed in public view, or social media (public postings on Facebook, Twitter, and others).','Communications.Public','Communications',13,NULL,NULL,'Communications: Public','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Communications.Public',248),(1935,'Communications made by an individual to another individual or a private group of persons, for purposes other than research. For example emails, letters, telephone conversations, social media postings with limited access.','Communications.Interpersonal','Communications',14,NULL,NULL,'Communications: Interpersonal','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Communications.Interpersonal',248),(1936,'Pre-existing data; data that have already been collected and/or used for a different research project.','ResearchData',NULL,15,NULL,NULL,'Research data','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#ResearchData',248),(1937,'Pre-existing data that have been made available to the general public, or sections thereof.','ResearchData.Published','ResearchData',16,NULL,NULL,'Research data: Published','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#ResearchData.Published',248),(1938,'Pre-existing data that have not been made available to the general public, or sections thereof.','ResearchData.Unpublished','ResearchData',17,NULL,NULL,'Research data: Unpublished','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#ResearchData.Unpublished',248),(1939,'Group of individuals that can be defined by one or several common characteristics: ethnicity, race, gender, age range, geographic location or distribution, level of education, income level or economic status, professional status, state of health or medical conditions, or belonging to specific communities (e.g., special interest groups, or social media), or networks, etc.','PopulationGroup',NULL,18,NULL,NULL,'Population group','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#PopulationGroup',248),(1940,'An area of the Earth, demarcated for the purposes of administration, politics, environment, etc. The demarcation is identifiable via coordinates or other systems used to identify position precisely.','GeographicArea',NULL,19,NULL,NULL,'Geographic area','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#GeographicArea',248),(1941,'Natural or man-made entities with spatial locations. For instance, works of art, constructions, rock samples, machines, etc. These are considered data sources if the data describe the physical characteristics of the given object rather than any information encoded in it.','PhysicalObjects',NULL,20,NULL,NULL,'Physical objects','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#PhysicalObjects',248),(1942,'Biological materials collected from living organisms, including, for example, biological specimens of human or animal organs, cells or tissues such as hair, muscle or tumor tissue, bodily fluids such as blood, urine, saliva, extracted material such as DNA and RNA, microorganisms, plant matter, etc. The source of the data are the samples themselves, not measurements and/or other tests applied to them.','BiologicalSamples',NULL,21,NULL,NULL,'Biological samples','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#BiologicalSamples',248),(1943,'Use when the data source is known, but not found in the list.','Other',NULL,22,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html#Other',248),(1944,'Mathematical average of a set of values. The mean is calculated by adding up two or more values and dividing the total by their number. In social/political science, it is usually the sum of the measurements divided by the number of subjects, or cases.','ArithmeticMean',NULL,0,NULL,NULL,'Arithmetic mean','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ArithmeticMean',249),(1945,'Average value of all data if extracting the nth root of the product of all (n) values. Rarely used in social sciences.','GeometricMean',NULL,1,NULL,NULL,'Geometric mean','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#GeometricMean',249),(1946,'Average value of all data if calculating the reciprocal of the arithmetic mean of the reciprocal of values. Rarely used in social sciences.','HarmonicMean',NULL,2,NULL,NULL,'Harmonic mean','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#HarmonicMean',249),(1947,'The (arithmetic) mean calculated after discarding given parts of observations at the high and low end (e.g., interquartile mean when the lowest 25% and the highest 25% are discarded, and the mean of the remaining values is calculated).','TrimmedMean',NULL,3,NULL,NULL,'Trimmed mean','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#TrimmedMean',249),(1948,'Provides an estimate of how much the sample mean differs from the actual mean of the population.','StandardErrorOfMean',NULL,4,NULL,NULL,'Standard error of the mean','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#StandardErrorOfMean',249),(1949,'The most frequently observed data value (Statistics Canada).','Mode',NULL,5,NULL,NULL,'Mode','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Mode',249),(1950,'The middle value in a set of values arranged in ascending order. Half of the values fall below the median, and half above it. If the set has an even number of values, the median will be the average of the two middle ones.','Median',NULL,6,NULL,NULL,'Median','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Median',249),(1951,'Cases with observations which are considered to be valid, i.e., providing substantial information and to be included for calculation.','ValidCases',NULL,7,NULL,NULL,'Valid cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ValidCases',249),(1952,'Cases which are considered/defined as \"missing\" (e.g., not ascertained, not applicable, etc.), usually excluded from calculation.','InvalidCases',NULL,8,NULL,NULL,'Invalid cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#InvalidCases',249),(1953,'The lowest valid value in a variable.','Minimum',NULL,9,NULL,NULL,'Minimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Minimum',249),(1954,'The highest valid value in a variable.','Maximum',NULL,10,NULL,NULL,'Maximum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Maximum',249),(1955,'The range of valid values, i.e., all values that fall between the lowest and highest valid values.','Range',NULL,11,NULL,NULL,'Range','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Range',249),(1956,'The sum or total of the values, across all valid cases.','Sum',NULL,12,NULL,NULL,'Sum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Sum',249),(1957,'The variance is the mean square deviation of the variable around the average value. It reflects the dispersion of a frequency distribution around its mean (OECD Glossary of Statistics).','Variance',NULL,13,NULL,NULL,'Variance','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Variance',249),(1958,'Indicates the degree to which individuals within the sample differ from the sample mean.','StandardDeviation',NULL,14,NULL,NULL,'Standard deviation','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#StandardDeviation',249),(1959,'Standard deviation divided by the mean.','CoefficientOfVariation',NULL,15,NULL,NULL,'Coefficient of variation','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#CoefficientOfVariation',249),(1960,'The average of the absolute differences between each value and the overall mean. Measure of statistical dispersion around the mean, alternative to Standard Deviation.','AverageAbsoluteDeviation',NULL,16,NULL,NULL,'Average absolute deviation','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#AverageAbsoluteDeviation',249),(1961,'The median absolute deviation from the median. Measure of statistical dispersion around the median.','MedianAbsoluteDeviation',NULL,17,NULL,NULL,'Median absolute deviation','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#MedianAbsoluteDeviation',249),(1962,'The first of three values which separate the total frequency of a distribution into four equal parts.','FirstQuartile',NULL,18,NULL,NULL,'First quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FirstQuartile',249),(1963,'The second of three values which separate the total frequency of a distribution into four equal parts (= median).','SecondQuartile',NULL,19,NULL,NULL,'Second quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#SecondQuartile',249),(1964,'The third of three values which separate the total frequency of a distribution into four equal parts.','ThirdQuartile',NULL,20,NULL,NULL,'Third quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ThirdQuartile',249),(1965,'The range between the first and third quartile values.','InterquartileRange',NULL,21,NULL,NULL,'Interquartile range','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#InterquartileRange',249),(1966,'The first of four values which separate the total frequency of a distribution into five equal parts.','FirstQuintile',NULL,22,NULL,NULL,'First quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FirstQuintile',249),(1967,'The second of four values which separate the total frequency of a distribution into five equal parts.','SecondQuintile',NULL,23,NULL,NULL,'Second quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#SecondQuintile',249),(1968,'The third of four values which separate the total frequency of a distribution into five equal parts.','ThirdQuintile',NULL,24,NULL,NULL,'Third quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ThirdQuintile',249),(1969,'The fourth of four values which separate the total frequency of a distribution into five equal parts.','FourthQuintile',NULL,25,NULL,NULL,'Fourth quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FourthQuintile',249),(1970,'The range between the first and fourth quintile values.','InterquintileRange',NULL,26,NULL,NULL,'Interquintile range','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#InterquintileRange',249),(1971,'The first of nine values which separate the total frequency of a distribution into ten equal parts.','FirstDecile',NULL,27,NULL,NULL,'First decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FirstDecile',249),(1972,'The second of nine values which separate the total frequency of a distribution into ten equal parts.','SecondDecile',NULL,28,NULL,NULL,'Second decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#SecondDecile',249),(1973,'The third of nine values which separate the total frequency of a distribution into ten equal parts.','ThirdDecile',NULL,29,NULL,NULL,'Third decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ThirdDecile',249),(1974,'The fourth of nine values which separate the total frequency of a distribution into ten equal parts.','FourthDecile',NULL,30,NULL,NULL,'Fourth decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FourthDecile',249),(1975,'The fifth of nine values which separate the total frequency of a distribution into ten equal parts (= median).','FifthDecile',NULL,31,NULL,NULL,'Fifth decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#FifthDecile',249),(1976,'The sixth of nine values which separate the total frequency of a distribution into ten equal parts.','SixthDecile',NULL,32,NULL,NULL,'Sixth decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#SixthDecile',249),(1977,'The seventh of nine values which separate the total frequency of a distribution into ten equal parts.','SeventhDecile',NULL,33,NULL,NULL,'Seventh decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#SeventhDecile',249),(1978,'The eighth of nine values which separate the total frequency of a distribution into ten equal parts.','EighthDecile',NULL,34,NULL,NULL,'Eighth decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#EighthDecile',249),(1979,'The ninth of nine values which separate the total frequency of a distribution into ten equal parts.','NinthDecile',NULL,35,NULL,NULL,'Ninth decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#NinthDecile',249),(1980,'The range between the first and ninth decile values.','InterdecileRange',NULL,36,NULL,NULL,'Interdecile range','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#InterdecileRange',249),(1981,'A percentile not covered by any of the other percentile terms.','OtherPercentile',NULL,37,NULL,NULL,'Other percentile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#OtherPercentile',249),(1982,'A measure for the asymmetry of a probability distribution of a variable.','Beta1',NULL,38,NULL,NULL,'Skewness','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Beta1',249),(1983,'A measure for the \"peakedness\" of a probability distribution of a variable.','Beta2',NULL,39,NULL,NULL,'Kurtosis','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Beta2',249),(1984,'Normality test statistics.','ShapiroWilk',NULL,40,NULL,NULL,'Shapiro-Wilk','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#ShapiroWilk',249),(1985,'Indicates the percentage of valid cases of the total number of cases.','PercentageOfValidCases',NULL,41,NULL,NULL,'Percentage of valid cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#PercentageOfValidCases',249),(1986,'Indicates the percentage of invalid cases of the total number of cases.','PercentageOfInvalidCases',NULL,42,NULL,NULL,'Percentage of invalid cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#PercentageOfInvalidCases',249),(1987,'Use if the summary statistic type is known, but not found in the list.','Other',NULL,43,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html#Other',249),(1988,'All units (individuals, households, organizations, etc.) of a target population are included in the data collection. For example, if the target population is defined as the members of a trade union, all union members are invited to participate in the study. Also called \"census\" if the entire population of a regional unit (e.g. a country) is selected.','TotalUniverseCompleteEnumeration',NULL,0,NULL,NULL,'Total universe/Complete enumeration','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#TotalUniverseCompleteEnumeration',250),(1989,'All units (individuals, households, organizations, etc.) of a target population have a non-zero probability of being included in the sample and this probability can be accurately determined. Use this broader term if a more specific type of probability sampling is not known or is difficult to identify.','Probability',NULL,1,NULL,NULL,'Probability','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability',250),(1990,'All units of a target population have an equal probability of being included in the sample. Typically, the entire population is listed in a \"sample frame\", and units are then chosen from this frame using a random selection method.','Probability.SimpleRandom','Probability',2,NULL,NULL,'Probability: Simple random','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.SimpleRandom',250),(1991,'A fixed selection interval is determined by dividing the population size by the desired sample size. A starting point is then randomly drawn from the sample frame, which normally covers the entire target population. From this starting point, units for the sample are chosen based on the selection interval. Also known as interval sampling. For example, a company survey seeks a sample of 1,000 employees out of 10,000 total. Beginning with a random starting number, every 10th name from the employee list of the company will be invited to participate in the study.','Probability.SystematicRandom','Probability',3,NULL,NULL,'Probability: Systematic random','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.SystematicRandom',250),(1992,'The target population is subdivided into separate and mutually exclusive segments (strata) that cover the entire population. Independent random samples are then drawn from each segment. For example, in a national public opinion survey the entire population is divided into two regional strata: East and West. After this, sampling units are drawn from within each region using simple or systematic random sampling. Use this broader term if the specific type of stratified sampling is not known or difficult to identify.','Probability.Stratified','Probability',4,NULL,NULL,'Probability: Stratified','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Stratified',250),(1994,'The target population is subdivided into separate and mutually exclusive segments (strata) that cover the entire population. In disproportional sampling the number of units chosen from each stratum is not proportional to the population size of the stratum when viewed against the entire population. The number of sampled units from each stratum can be equal, optimal, or can reflect the purpose of the study, like oversampling of different subgroups of the population. For example, a country is divided into two regional strata that comprise 80 percent (West) and 20 precent (East) of the country\'s population. If equal representation of the two regions is needed in a study, half the sample may be drawn from the West and half from the East, so that each region is represented by 50 percent of the sample. If a more detailed analysis of the population from the East is needed, 40 percent of the units may be drawn from the West and 60 percent from the East, so that the East is over-represented.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,NULL,'Probability: Stratified: Disproportional','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Stratified.Disproportional',250),(1995,'The target population is divided into naturally occurring segments (clusters) and a probability sample of the clusters is selected. Data are then collected from all units within each selected cluster. Sampling is often clustered by geography, or time period. Use this broader term if a more specific type of cluster sampling is not known or is difficult to identify.','Probability.Cluster','Probability',7,NULL,NULL,'Probability: Cluster','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Cluster',250),(1998,'Sampling is carried out in stages using smaller and smaller units at each stage, and all stages involve a probability selection. The type of probability sampling procedure may be different at each stage. For example, for a sample of students in a city, schools are randomly selected in the first stage. A random sample of classes within each selected school is drawn in the second stage. Students are then randomly selected from each of these classes in the third stage.','Probability.Multistage','Probability',10,NULL,NULL,'Probability: Multistage','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Multistage',250),(1999,'The selection of units (individuals, households, organizations, etc.) from the target population is not based on random selection. It is not possible to determine the probability of each element to be sampled. Use this broader term if the specific type of non-probability is not known, difficult to identify, or if multiple non-probability methods are being employed.','Nonprobability',NULL,11,NULL,NULL,'Non-probability','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Nonprobability',250),(2000,'The sample selection is based on the units\' accessibility/relative ease of access. They may be easy to approach, or may themselves choose to participate in the study (self-selection). Researchers may have particular target groups in mind but they do not control the sample selection mechanism. For example, students leaving a particular building on campus may be approached, or individuals may volunteer to participate in response to invitations that do not target them specifically, but a larger group to which they may belong. Also called \"convenience\" or \"opportunity\" sampling.','Nonprobability.Availability','Nonprobability',12,NULL,NULL,'Non-probability: Availability','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Nonprobability.Availability',250),(2001,'Sample units are specifically identified, selected and contacted for the information they can provide on the researched topic. Selection is based on different characteristics of the independent and/or dependent variables under study, and relies on the researchers\' judgement. The study authors, or persons authorized by them have control over the sample selection mechanism and the universe is defined in terms of the selection criteria. Also called \"judgement\" sampling. For example, a medical researcher may intentionally select individuals who are similar in most respects, except on the outcome of the research topic, which can be a specific disease. Some types of purposive sampling are typical/deviant case, homogeneous/maximum variation, expert, or critical case sampling.','Nonprobability.Purposive','Nonprobability',13,NULL,NULL,'Non-probability: Purposive','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Nonprobability.Purposive',250),(2002,'The target population is subdivided into separate and mutually exclusive segments according to some predefined quotation criteria. The distribution of the quotation criteria (gender/age/ethnicity ratio, or other characteristics, like religion, education, etc.) is intended to reflect the real structure of the target population or the structure of the desired study population. Non-probability samples are then drawn from each segment until a specific number of units has been reached. For example, if the target population consists of 45 percent females and 55 percent males, a proportional quota sample will have the same gender percentages, while in a non-proportional quota sample the percentages will be different, based on some study-related consideration (for instance, the need to oversample for certain under-represented segments of the population).','Nonprobability.Quota','Nonprobability',14,NULL,NULL,'Non-probability: Quota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Nonprobability.Quota',250),(2003,'Sample units are identified from a target population with the assistance of units already selected (adapted from \"Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014). A typical case is snowball sampling, in which the researcher identifies a group of units that matches a particular criterion of eligibility. The latter are asked to recruit other members of the same population that fulfil the same criterion of eligibility (sampling of specific populations like migrants, etc.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,NULL,'Non-probability: Respondent-assisted 	','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Nonprobability.RespondentAssisted',250),(2004,'Sample design that combines probability and non-probability sampling within the same sampling process. Different types of sampling may be used at different stages of creating the sample. For example, for a sample of minority students in a city, schools are randomly selected in the first stage. Then, a quota sample of students is selected within each school in the second stage. If separate samples are drawn from the same target population using different sampling methods, the type of sampling procedure used for each sample should be classified separately.','MixedProbabilityNonprobability',NULL,16,NULL,NULL,'Mixed probability and non-probability','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#MixedProbabilityNonprobability',250),(2005,'Use if the sampling procedure is known, but not found in the list.','Other',NULL,17,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Other',250),(2006,'The target population is subdivided into separate and mutually exclusive segments (strata) that cover the entire population. In proportional stratified sampling the number of elements chosen from each stratum is proportional to the population size of the stratum when viewed against the entire population. For example, a country is divided into two regional strata that comprise 80 percent (West) and 20 percent (East) of the total population. For a sample of 1,000 people, 800 (i.e., 80 percent) would be drawn from the West and 200 (i.e., 20 percent) from the East to accurately represent their proportion in the total population.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,NULL,'Probability: Stratified: Proportional','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Stratified.Proportional',250),(2008,'The target population is divided into naturally occurring segments (clusters); next, these are divided into mutually exclusive strata and a random sample of clusters is selected from each stratum. Data are then collected from all units within each selected cluster. For example, for a sample of students in a city, schools would be divided into two strata by school type (private vs. public); schools would be then randomly selected from each stratum, and all of the students from every sampled school would be included.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,NULL,'Probability: Cluster: Stratified random','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Cluster.StratifiedRandom',250),(2009,'The target population is divided into naturally occurring segments (clusters) and a simple random sample of the clusters is selected. Data are then collected from all units within each selected cluster. For example, for a sample of students in a city, a number of schools would be chosen using the random selection method, and then all of the students from every sampled school would be included.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,NULL,'Probability: Cluster: Simple random','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html#Probability.Cluster.SimpleRandom',250),(2010,'','Demography',NULL,0,NULL,NULL,'DEMOGRAPHY (POPULATION, VITAL STATISTICS, AND CENSUSES)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0',251),(2011,'Morbidity refers to incidence of ill health in a population. Data may cover the incidence or morbidity rate of a medical condition. For example, the number of people who suffer from lung cancer in a country or a geographic area during a single year. Mortality data indicate the numbers of deaths in a population by place, time, cause, or type of individual etc. For example, maternal mortality rate, child mortality rate. Note that self-reported survey data on illnesses and medical conditions are indexed with HEALTH hierarchy terms.','Demography.MorbidityAndMortality','Demography',3,NULL,NULL,'Morbidity and mortality','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0',251),(2012,'Surveys of an entire population, as opposed to a sample survey. Often used for official enumerations of a population, usually including the collection of related demographic information. Note that in some countries censuses are not used as demographic information can be obtained from official registers.','Demography.Censuses','Demography',1,NULL,NULL,'Censuses','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0',251),(2013,'Includes immigration, emigration, internal migration as well as other types of geographical mobility. Immigration means coming to settle in another country than one\'s home country. Emigration means leaving one\'s home country to settle in another country. Migration is an umbrella term for both. Migration also includes internal migration, that is, movement of people within one country at different geographical levels.','Demography.Migration','Demography',2,NULL,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0',251),(2014,'','Economics',NULL,4,NULL,NULL,'ECONOMICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0',251),(2015,'Economic indicators indicate in which direction an economy is headed and include, for example, GDP growth rate, employment, inflation and interest rate, consumer and investor activity, household debt. This is also used for economic conditions of individuals and households which are surveyed or registered.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,NULL,'Economic conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0',251),(2016,'Refers to the act of acquiring and/or using something to meet the needs and wants of a person, community or society. Data in this category include patterns of consumer behaviour, changes in them, and study on consumer ethics. For example, survey data on how often people buy certain items;  when and where they shop; whether ethical considerations affect their consumer choices.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,NULL,'Consumption and consumer behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0',251),(2017,'Data on economic policy, including budget and fiscal policy, public expenditure and public revenue.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,NULL,'Economic policy,  public expenditure and revenue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0',251),(2018,'Use for studies about the accumulation of personal assets, including income, property, investments and savings.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,NULL,'Income, property and investment/saving','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0',251),(2019,'Use for studies that research capitalist, socialist and other economic systems and for studies, for example, on international development programs.','Economics.SystemsAndDevelopment','Economics',9,NULL,NULL,'Economic systems and development','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0',251),(2020,'','Education',NULL,10,NULL,NULL,'EDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0',251),(2021,'Compulsory education refers to the period of education that is required of all persons living in a country and is imposed by law. Pre-school education refers to formal childcare and education given prior to compulsory education. Use this term to index data relating to pre-school, primary and lower secondary stages of education, regardless on whether the data focuses on students, teachers, subjects or skills taught, facilities etc.','Education.CompulsoryAndPreSchool','Education',11,NULL,NULL,'Compulsory and pre-school education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0',251),(2022,'Covers general education at ISCED levels 3-4 plus tertiary education, that is, upper secondary general education, and college, university of applied sciences, and university education. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.HigherAndFurther','Education',12,NULL,NULL,'Higher and further education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0',251),(2023,'Programmes that are designed for learners to acquire the knowledge, skills and competencies specific to a particular occupation, trade or class of occupations or trades. Vocational education may have work-based components. Covers vocational education at ISCED levels 3-4 and apprenticeships. Includes data on students, teachers subjects or skills taught, facilities etc.','Education.VocationalAndTraining','Education',13,NULL,NULL,'Vocational education and training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0',251),(2024,'Refers to educational opportunities in varied forms provided for adults after they have left the formal education system. Adults may engage in such education to, for instance, improve their skills or qualifications, to retrain for a new line of work, or just to learn something new. Does not generally include education leading to a qualification, or employee training.','Education.LifelongContinuing','Education',14,NULL,NULL,'Life-long/continuing education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0',251),(2025,'Discussions of policy and principles, and decisions made and principles adopted at national, regional or local level concerning education and its provision. Use \' Legislation and legal systems\' for laws and regulations already implemented.','Education.EducationalPolicy','Education',15,NULL,NULL,'Educational policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0',251),(2026,'','Health',NULL,16,NULL,NULL,'HEALTH','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0',251),(2027,'Quality and availablility of services, associated facilities and personnel within health care. Health care economy and policy decisions and principles at national, regional or local level regarding health care. Use \'Legislation and legal systems\' for laws and regulations already implemented.','Health.HealthCareServicesAndPolicies','Health',17,NULL,NULL,'Health care services and policies','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0',251),(2028,'Study on specific, diagnosed diseases, disorders or syndromes (often classified in ICD-10 or its earlier versions). For example, medical research on the causes of diabetes or study on the physical and mental recovery of people who have had heart surgery.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,NULL,'Specific diseases, disorders and medical conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0',251),(2029,'Study on abnormal anatomical or physiological conditions, and objective or subjective manifestations of disease/symptoms, not classified as disease or syndrome (in which case \'Specific diseases, disorders or medical conditions\' would be used). Includes clinical manifestations that can be objective when observed by a medical professional or subjective when perceived by the patient. E.g. pain, diarrhoea, rash, leg length inequality, insomnia, teeth grinding, inflammation, arrhythmia.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,NULL,'Signs and symptoms; pathological conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0',251),(2030,'Wounds and injuries, both physical and psychological, caused either by accidents or violence (through individual or group aggressive behaviour). If work-related wounds or injuries, use \'Occupational health\'.','Health.WoundsAndInjuries','Health',20,NULL,NULL,'Wounds and injuries','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0',251),(2031,'Treatment of disease, or procedure/s of preventing it. Patient care at individual level. Research on medication and treatment of a disease. Data on, for instance, surgical procedures, rehabilitation, doctor consultation, physical therapy, musculoskeletal manipulations, care in hospital or home, psychotherapy, investigative techniques, medication.','Health.MedicationAndTreatment','Health',21,NULL,NULL,'Medication and treatment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0',251),(2032,'Study on the general well-being or health status of an individual, group or population. May be objectively measured/observed or self-perceived. Well-being includes, for instance, physical and mental capacity or state, as well as social state.','Health.GeneralHealthAndWellBeing','Health',22,NULL,NULL,'General health and well-being','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0',251),(2033,'Prevention and control of disease and disability, and the promotion of physical and mental health of the population on the international, national, state, or municipal level. For instance, health promotion, disease prevention, impact of public health programmes, managing local, national or global health issues, epidemiology of a disease, condition, or pathogen, or disease outbreak.','Health.Public','Health',23,NULL,NULL,'Public health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0',251),(2034,'Reproductive process, function or system at any stage of life. Includes data on pregnancy, birth, family planning, contraception and abortion, menopause.','Health.Reproductive','Health',24,NULL,NULL,'Reproductive health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0',251),(2035,'Data on occupational exposures and diseases, occupational safety, sick leave, work ability and disability, or work-related disability pension.','Health.Occupational','Health',25,NULL,NULL,'Occupational health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0',251),(2036,'Behaviors expressed by individuals that affect, protect, maintain or promote their health status, as well as related life style. Life style is closely associated with health behavior and factors influencing life style are socioeconomic, educational, and cultural. Includes: nutritional phenomena and processes, eating patterns and habits, and measurable nutritional parameters; data on people\'s general level of fitness, physical activity and exercise they take; data on drug, alcohol and other substance use and abuse, and smoking.','Health.HealthBehaviour','Health',26,NULL,NULL,'Health behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0',251),(2037,'Use the appropriate topical term for historical data as well as the main term here. For example, \'Working conditions\' and \'Health care services and policies\' plus HISTORY for data on the working environments of family doctors in the 1960s. The history main term is to be used on its own only in cases where no topical term can be found.','History',NULL,27,NULL,NULL,'HISTORY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0',251),(2038,'','HousingAndLandUse',NULL,28,NULL,NULL,'HOUSING AND LAND USE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0',251),(2039,'Includes studies measuring the standard of housing in a community, including social housing, as well as the availability and pricing of housing. Housing includes homes, second homes and holiday homes.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,NULL,'Housing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0',251),(2040,'Includes both land use and land use planning. Land use planning refers to procedures carried out to ensure an optimal and sustainable use of land resources in rural and urban communities.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,NULL,'Land use and planning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0',251),(2041,'','LabourAndEmployment',NULL,31,NULL,NULL,'LABOUR AND EMPLOYMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0',251),(2042,'Data on employment rate and statistics, labour market, job vacancies, job-seeking, job characteristics, employment of certain groups (e.g. youth or minority employment), employment services, career. For pay and remuneration use \'Working conditions\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,NULL,'Employment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0',251),(2043,'Data on unemployment rates and statistics, employment programmes and schemes, duration and frequency of unemployment, social and psychological impact of unemployment etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,NULL,'Unemployment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0',251),(2044,'Includes all patterns of retirement such as \'phased\' or \'flexible\' retirement, data on retirement age and early retirement.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,NULL,'Retirement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0',251),(2045,'Internal corporate training and other employee training funded by the employer to increase employee skills and competence. Does not include apprenticeships which is included in \'Vocational education and training\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,NULL,'Employee training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0',251),(2046,'Relations between employers and employees.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,NULL,'Labour relations/conflict','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0',251),(2047,'The conditions under which employees work. For example, types of contract, working time (hours of work, rest periods, work schedules, overtime), pay and renumeration, physical aspects and mental demands of work, employee rights and responsibilities, workload, employee involvement in decision-making, leave entitlements, physical environment. For workplace safety issues use also \'Occupational health\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,NULL,'Working conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0',251),(2048,'Data on employment policies relating to employment relations, the labour market and equality and discrimination at work; at national level policies include influencing the demand and supply of labour and the functioning of labour markets. Use \'Legislation and legal systems\' for laws and regulations already implemented.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,NULL,'Labour and employment policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0',251),(2049,'','LawCrimeAndLegalSystems',NULL,39,NULL,NULL,'LAW, CRIME AND LEGAL SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0',251),(2050,'Data on international or national legislation, administrative regulations, judiciary system (powers and activities of courts), alternative dispute resolution and restorative justice, punishments.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,NULL,'Legislation and legal systems','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0',251),(2051,'Data on crime, crime prevention, victims of crime, criminals, as well the police, secret service, correctional institutions (e.g. prisons, young people\'s correctional institutions), border control and customs. Also includes data on the staff and facilities of these agencies.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,NULL,'Crime and law enforcement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0',251),(2052,'','MediaCommunicationsAndLanguage',NULL,42,NULL,NULL,'MEDIA, COMMUNICATION AND LANGUAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0',251),(2053,'Data referring to any type of mass media. For example, printed or online newpapers, magazines, television and the radio. Please note that social media are indexed with the term \'Information society\'.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,NULL,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0',251),(2054,'Measures adopted to enhance or preserve the image of individuals, companies, organisations, and governments for example by means of advertising, lobbying etc.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,NULL,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0',251),(2055,'The creation, distribution, use, integration and manipulation of information as a significant economic, political, and cultural activity. For instance, data relating to e-commerce, e-government, social media, mobile devices, access and use of the Internet, e-privacy, information and library resources. Use \'Information technology\' when talking about the actual technologies.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,NULL,'Information society','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0',251),(2056,'Data includes linguistic studies, linguistic analysis and sociolinguistics, as well as data on language policies, people\'s language skills, languages spoken at work and at home, attitudes towards minority languages etc.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,NULL,'Language and linguistics','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0',251),(2057,'','NaturalEnvironment',NULL,47,NULL,NULL,'NATURAL ENVIRONMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0',251),(2058,'Covers issues of environmental degradation, pollution, environmental protection, climate change, flood prevention, soil erosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,NULL,'Environment and conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0',251),(2059,'Natural resources are assets such as land, forests, energy sources, water, minerals which exist naturally and can be used for economic production or consumption. Energy resources include fossil fuels such as oil, natural gas or coal, as well as nuclear, solar, tidal and wind or from living organisms that can be replaced.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,NULL,'Energy and natural resources','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0',251),(2060,'Covers domesticated, production and wild animals, as well as all types of plants (e.g. flowers, trees, moss, vegetables).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,NULL,'Plants and animals','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0',251),(2061,'Covers landscapes and elements of land that have not been directly changed by humans.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,NULL,'Natural landscapes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0',251),(2062,'','Politics',NULL,52,NULL,NULL,'POLITICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0',251),(2063,'Data on party political attitudes, political engagement and participation in the political process, voting behaviour, satisfaction with government. Use \'Political ideology\' for data on specific doctrines.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,NULL,'Political behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0',251),(2064,'Data on elections, referendums, election campaigns, election results, candidates in elections, candidate selectors, election funding etc.','Politics.Elections','Politics',54,NULL,NULL,'Elections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0',251),(2065,'Ideas, ideals and theories on the ways governments and societies can be organised. Major political ideologies include anarchism, democracy, liberalism, conservatism etc.','Politics.PoliticalIdeology','Politics',55,NULL,NULL,'Political ideology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0',251),(2066,'Issues relating to national, regional and local government, governing bodies (e.g. the Government, Parliament, local government bodies), public administration, other political organisations such as political parties. For example, data on government policies, political parties and their policies, political party leaders, trust in government bodies. Please note that you may need to use a topical term as well.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,NULL,'Government, political systems and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0',251),(2067,'Global governance, diplomacy, foreign policy, relations between countries, international organisations (e.g. the EU, WHO, UN, WTO), and international agreements.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,NULL,'International politics and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0',251),(2068,'Internal and international security and safety; internal and international conflicts; war and peace; national defence and defence forces (the army). Note that the police are covered by \'Crime and law enforcement\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,NULL,'Conflict, security and peace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0',251),(2069,'','Psychology',NULL,59,NULL,NULL,'PSYCHOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0',251),(2070,'','ScienceAndTechnology',NULL,60,NULL,NULL,'SCIENCE AND TECHNOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0',251),(2071,'Information and communication technologies that are used in the home, workplace and other community setting. Note that the use and impact of these technologies are covered by \'Information society\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,NULL,'Information technology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0',251),(2072,'Using biomolecular and cellular processes to create new products and technological processes.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,NULL,'Biotechnology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0',251),(2073,'','SocialStratificationAndGroupings',NULL,63,NULL,NULL,'SOCIAL STRATIFICATION AND GROUPINGS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0',251),(2074,'Issues relating to whether all individuals or groups of individuals have the same status and opportunities in society.  Equality can be studied, for example, in terms of education, (financial) assets or income, occupational position, power, prestige, conditions of work and leisure time, access to services, and social relations. Marginalisation and social exclusion can be the result of systematic disadvantage in multiple areas of life, and people concerned may be deprived of rights, opportunities, resources and social integration. \nExamples of data: statistics on income equality; perceived group-focused discrimination (e.g. towards foreigners, the homeless, asylum seekers); perceived  differencies between men and women regarding opportunities for leading roles in politics; impact of parental unemployment on children\'s education level and social networks.\n','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,NULL,'Equality, inequality and social exclusion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0',251),(2075,'Movement of individuals, families or groups of individuals in social and occupational status over time. The movement may be horizontal, that is, change in position within the range of same status, or vertical where individuals may move upwards or downwards in the status hierarchy. For example, labourers in declining industries may become labourers in some other industry (horizontal occupational mobility), or children in poor families may reach a higher social class than their parents (vertical inter-generational social mobility).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,NULL,'Social and occupational mobility','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0',251),(2076,'Gender identity; gendered representation (e.g. representation of genders in decision-making bodies, in media, in literature etc); social, cultural and psychological traits linked to males and females; women\'s studies; men\'s studies; expected behaviour and choices according to gender roles and the impact of such expectations.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,NULL,'Gender and gender roles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0',251),(2077,'Covers issues related to families, relatives, generations and household composition. For instance, data on child rearing, division of labour within the family, support provided for family members.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,NULL,'Family life and marriage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0',251),(2078,'May need an additional topic, if young people are studied from a particular aspect.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,NULL,'Youth','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0',251),(2079,'May need an additional topic, if the elderly are studied from a particular aspect.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,NULL,'Elderly','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0',251),(2080,'May need an additional topic, if children are studied from a particular aspect.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,NULL,'Children','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0',251),(2081,'Groups of individuals that differ from the majority of population in some way. Differentiating characteristics include, for instance, ethnicity, religion, health, sexual orientation, first language (mother tongue) and culture. Please note that you can also use terms \'Equality, inequality and social exclusion\' or \'Language and linguistics\' in connection with some minority issues.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,NULL,'Minorities','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0',251),(2082,'Issues related to the existence, roles and impact of elites in society, that is, individuals or groups who have a large amount of power or influence over society, politics, wealth etc, either through decisions they make or, for example, through ideas or feelings that they express or represent. Includes issues related to influential people in all spheres of society, for example, decision-makers in political life, political party leaders, influential artists, prominent mass or social media figures etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,NULL,'Elites and leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0',251),(2083,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,NULL,'SOCIAL WELFARE POLICY AND SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0',251),(2084,'Decisions made and principles adopted at national, regional or local level concerning social welfare, its funding and provision, for instance, who is entitled to what kind of social services and benefits and why, what is their level, and who can provide the services.  For example, a policy that elderly people should remain in their homes for as long as possible, a policy relating to how long people can have an unemployment benefit. Use also the term \'Legislation and legal systems\' for laws and regulations already implemented.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,NULL,'Social welfare policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0',251),(2085,'Issues related to the actual provision of social welfare, who provides social welfare services in practice and to what extent, how the actual services are structured. For example,  questions on how a local government has organised services for the elderly.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,NULL,'Social welfare systems/structures','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0',251),(2086,'For example, data on the extent people use specific social services, opinions on the adequacy, accessibility and availability of specific services, and general satisfaction with them. For example, questions on what services elderly respondents have used, or use statistics on particular services.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,NULL,'Specific social services: use and availability','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0',251),(2087,'','SocietyAndCulture',NULL,77,NULL,NULL,'SOCIETY AND CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0',251),(2088,'Data on social behaviour; social interaction and networks; social responsibilities; social norms and rules; and attitudes towards these issues.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,NULL,'Social behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0',251),(2089,'Covers all aspects of the quality of life and well-being of individuals and societies, as well as people\'s perceptions thereof. Please note that, according to the aspect studied, the terms \'General health and well-being\', \'Equality, inequality and social exclusion\' and \'Economic conditions and indicators\', etc. may be relevant as well.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,NULL,'Social conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0',251),(2090,'Active or passive participation in any kind of cultural activities, as well as opinions and perceptions of them.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,NULL,'Cultural activities and participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0',251),(2091,'Data on identity formation, who people feel they are and where they belong. The relation of cultural and national identity to representation and to classifying someone else as \"not one of us\" (Othering). Customs and manners of, and attitudes to own perceived and other identity groups.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,NULL,'Cultural and national identity','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0',251),(2092,'Recreation pattterns, leisure time activities and hobbies. Includes sports spectatorship, competition sports, and travel for leisure. For data on exercise for keeping fit, use \'Health behaviour\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,NULL,'Leisure, tourism and sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0',251),(2096,'','TradeIndustryAndMarkets',NULL,87,NULL,NULL,'TRADE, INDUSTRY AND MARKETS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0',251),(2097,'Data on industry and business such as management, productivity, growth and decline, organisation structure, administration, investment in R&D, markets and market share.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,NULL,'Business/industrial management and organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0',251),(2098,'Use this category for studies about agricultural production and all rural industries which includes, for example, fisheries and forestry.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,NULL,'Agriculture and rural industry','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0',251),(2099,'Exchange of capital, goods, or services across international borders.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,NULL,'Foreign trade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0',251),(2100,'Include all types of goods transport as well as commuting, public transport (trains, buses, underground etc), and urban transport networks. Data on mobility habits, for example, cross-border shopping, routes and means used to access a location. Use the term \'Leisure, tourism and sport\' for travel for leisure.','TransportAndTravel',NULL,91,NULL,NULL,'TRANSPORT AND TRAVEL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0',251),(2101,'Use if the topic is known, but not found in the list.','Other',NULL,92,NULL,NULL,'OTHER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0',251),(2103,'Data which addresses questions of religious behaviour, religious movements, spirituality, morality and other values.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,NULL,'Religion and values','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0',251),(2104,'Data related to different aspects of life in the community, or in urban and rural areas. Opinions on and images of the neighbourhood, or of urban or rural areas. Services, facilities and business opportunities in the neighbourhood.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,NULL,'Community, urban and rural life','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0',251),(2105,'Data on the amount of time spent by the population on various activities.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,NULL,'Time use','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0',251),(2106,'Data on changes in the society, including attitudinal changes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,NULL,'Social change','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0',251),(2108,'Kaikilla perusjoukon yksiköillä (henkilöillä, kotitalouksilla, organisaatioilla jne) on etukäteen laskettavissa oleva, nollaa suurempi todennäköisyys tulla valituksi otokseen. Havaintoyksiköiden poiminta perustuu todennäköisyysotantaan. Käytä tätä pääluokkaa vain mikäli kyseistä todennäköisyysotantatyyppiä ei ole sanastossa (esim. PPS, probability proportional to size, ositettu systemaattinen otanta erisuurilla todennäköisyyksillä), ei ole tarkempaa tietoa millaista todennäköisyysotantaa on käytetty tai otantatyyppi on vaikea määritellä.','Probability',NULL,1,NULL,1989,'Todennäköisyysotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',252),(2109,'Kaikilla perusjoukon yksiköillä (henkilöillä, kotitalouksilla, organisaatioilla jne) on yhtä suuri todennäköisyys tulla valituksi otokseen. Tyypillisessä tapauksessa koko perusjoukko järjestetään otoskehikkoon eli luetteloon, josta havaintoyksiköt valitaan satunnaisotannalla.','Probability.SimpleRandom','Probability',2,NULL,1990,'Todennäköisyysotanta: yksinkertainen satunnaisotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',252),(2110,'Systemaattisessa eli tasavälisessä otannassa määritellään ensin poimintaväli (k) jakamalla koko perusjoukon yksikkömäärä halutulla otoskoolla. Aloituskohta saadaan satunnaisotannalla otoskehikosta, joka yleensä kattaa koko perusjoukon. Seuraavaksi poimitaan joka k:s yksikkö perusjoukosta aloituskohdasta lähtien. Esimerkiksi jos 10 000 työntekijän yrityksestä halutaan saada 1000 henkilön otos, aloituskohta arvotaan ja sen jälkeen henkilökuntarekisterin joka kymmenettä henkilöä pyydetään mukaan tutkimukseen.','Probability.SystematicRandom','Probability',3,NULL,1991,'Todennäköisyysotanta: systemaattinen otanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',252),(2111,'Perusjoukko jaetaan ensin jonkin ominaisuuden mukaan erillisiin, toisensa poissulkeviin ositteisiin. Tämän jälkeen jokaisesta ositteesta poimitaan yksiköitä jollain todennäköisyysotantamenetelmällä. Esimerkiksi kansallisessa asennetutkimuksessa maan väestö jaetaan kahteen alueelliseen ositteeseen: länsiosaan ja itäosaan. Tämän jälkeen yksiköitä poimitaan kummastakin ositteesta satunnais- tai systemaattisella otannalla. Käytä tätä laajempaa termiä mikäli ositetun otannan suhteellisuus ei ole tiedossa tai on vaikeasti määriteltävissä.','Probability.Stratified','Probability',4,NULL,1992,'Todennäköisyysotanta: ositettu otanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',252),(2112,'Perusjoukko jaetaan ensin erillisiin, toisensa poissulkeviin ositteisiin jonkin ominaisuuden mukaan. Suhteutetussa ositetussa otannassa kunkin ositteen otoskoko suhteessa kokonaisotokseen on sama kuin tämän ositteen suhteellinen koko perusjoukossa. Esimerkki: maa on jaettu kahteen alueelliseen ositteeseen, joissa länsiosa sisältää 80 % ja itäosa 20 % maan kokonaisväestöstä. Jos 1000 henkilön otos on suhteutettu ositettu otanta, otokseen valitaan 800 henkilöä lännestä (80 %) ja 200 henkilöä idästä (20 %).','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Todennäköisyysotanta: suhteutettu ositettu otanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',252),(2113,'Perusjoukko jaetaan ensin jonkin ominaisuuden mukaan erillisiin, toisensa poissulkeviin ositteisiin. Suhteuttamattomassa ositetussa otannassa kunkin ositteen otoskoko suhteessa kokonaisotokseen ei ole sama kuin ositteen suhteellinen koko perusjoukossa. Eri ositteista valittu otoskoko voi olla samansuuruinen, optimaalinen tai se saattaa heijastaa tutkimuksen tavoitteita (esim. tehdään yliotos tietystä perusjoukon osasta). Esimerkki: maa jaetaan kahteen alueelliseen ositteeseen, joissa länsiosa sisältää 80 % ja itäosa 20 % maan kokonaisväestöstä. Jos halutaan samansuuruiset otokset, puolet yksiköistä valitaan lännestä ja puolet idästä, niin että molemmat muodostavat 50 % kokonaisotoksesta. Jos itäosan väestöä halutaan tutkia tarkemmin, voidaan tehdä otos, jossa 40 % yksiköistä valitaan lännestä ja 60 % idästä, joten itäosasta on tehty yliotos.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Todennäköisyysotanta: suhteuttamaton ositettu otanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',252),(2114,'Perusjoukon yksiköt ryhmitellään luontaisesti muodostuviin rypäisiin. Otokseen poimitaan todennäköisyysotannalla vain osa rypäistä. Valituista rypäistä otetaan mukaan tutkimukseen kaikki yksiköt. Rypäät saattavat olla esim. maantieteellisiä, ajallisia tai hallinnollisia yksiköitä. Käytä tätä laajempaa termiä vain mikäli tarkempi ryväsotannan muoto ei ole tiedossa tai on vaikeasti määriteltävissä.','Probability.Cluster','Probability',7,NULL,1995,'Todennäköisyysotanta: ryväsotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',252),(2115,'Perusjoukon yksiköt ryhmitellään luontaisesti ilmeneviin rypäisiin. Otokseen poimitaan todennäköisyysotannalla vain osa rypäistä. Valituista rypäistä otetaan mukaan tutkimukseen kaikki yksiköt. Esimerkiksi jos halutaan otos kaupungin koululaisista, kukin koulu muodostaa yhden rypään, kouluista valitaan mukaan satunnaisotannalla vain osa ja otokseen tulleista kouluista kutsutaan mukaan kaikki koululaiset. Ryväsotanta eroaa ositetusta otannasta siten, että ositetussa otannassa valitaan satunnaisotannalla yksiköitä kaikista ositteista, kun taas yksiasteisessa ryväsotannassa poimitaan satunnaisotannalla itse rypäät ja niiden sisällä otetaan mukaan kaikki yksiköt.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Todennäköisyysotanta: yksiasteinen ryväsotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',252),(2116,'Perusjoukon yksiköt ryhmitellään ensin luontaisesti ilmeneviin rypäisiin. Seuraavaksi rypäiden joukko jaetaan toisensa poissulkeviin ositteisiin ja kustakin ositteesta valitaan todennäköisyysotannalla vain osa siihen sisältyvistä rypäistä. Valittujen rypäiden sisällä mukaan otetaan kaikki yksiköt. Esimerkiksi jos halutaan otos kaupungin koululaisista, koulut (luontaiset rypäät) jaetaan kolmeen ositteeseen niiden koon mukaan (pienet, keskisuuret ja suuret koulut) ja kustakin ositetyypistä valitaan satunnaisotannalla mukaan osa kouluista. Näin mukaan tulee kaikenkokoisia kouluja. Valittujen koulujen sisällä pyydetään mukaan kaikki koululaiset.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Todennäköisyysotanta: ositettu ryväsotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',252),(2117,'Otanta tehdään kahdessa tai useammassa eri vaiheessa siten, että jokaisessa vaiheessa otos pienenee ja kaikissa vaiheissa käytetään jotain todennäköisyysotantaa (eli missään vaiheessa ei oteta mukaan kaikkia yksiköitä). Todennäköisyysotannan menetelmä saattaa vaihtua eri vaiheissa. Esimerkiksi jos halutaan otos kaupungin koululaisista, valitaan ensin mukaan osa kaupungin kouluista. Seuraavassa vaiheessa valitaan otokseen tulleista kouluista osa luokista. Viimeisessä vaiheessa valitaan jokaisesta mukaan tulleesta luokasta osa koululaisista.','Probability.Multistage','Probability',10,NULL,1998,'Todennäköisyysotanta: monivaiheinen otanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',252),(2118,'Yksiköiden (henkilöiden, kotitalouksien, organisaatioiden jne) valinta ei perustu todennäköisyysotantaan. Yksiköiden todennäköisyyttä tulla valituksi ei voida määritellä. Käytä tätä laajempaa termiä vain mikäli ei ole tarkemmin tiedossa mitä ei-todennäköisyysotannan menetelmää on käytetty tai menetelmä on vaikeasti määriteltävissä.','Nonprobability',NULL,11,NULL,1999,'Ei-todennäköisyysotanta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',252),(2119,'Yksiköt valikoituvat otokseen siksi, että ovat suhteellisen helposti saavutettavissa tai päättävät itse osallistua tutkimuskutsun havaittuaan (itsevalikoitunut näyte). Tutkijoilla saattaa olla mielessään tietynlainen kohderyhmä, mutta he eivät kontrolloi näytteen muodostusmekanismia. Esimerkki 1: Kutsutaan mukaan tietystä kampusalueen rakennuksesta ulos tulevat opiskelijat. Esimerkki 2: Henkilöt tulevat mukaan tutkimukseen nähtyään tietyn alan lehdissä julkaistun tutkimuskutsun. Kutsu ei ole suunnattu heille henkilökohtaisesti vaan ryhmälle, johon he saattavat kuulua. Esimerkki 3: Tehdään havainnointia julkisessa tilassa.','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Ei-todennäköisyysotanta: itsestään muotoutunut näyte','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',252),(2120,'Yksiköt valitaan ja heihin otetaan yhteyttä, koska heillä katsotaan olevan tutkimusaiheelle tarpeellista tietoa. Valinta perustuu tutkijoiden harkintaan sekä riippuvan tai riippumattoman muuttujan ominaisuuksiin. Tutkijat tai heidän valtuuttamansa henkilöt kontrolloivat näytteen muodostusmekanismia. Käytetyt valintakriteerit määrittävät perusjoukon. Esimerkiksi tutkimukseen saatetaan kutsua tietyn alan asiantuntijoita, tai lääketieteelliseen tutkimukseen saatetaan pyytää mukaan henkilöitä, jotka ovat muuten samankaltaisia mutta poikkeavat tutkimusaiheen osalta (joka voi olla esimerkiksi tietty sairaus).','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Ei-todennäköisyysotanta: harkinnanvarainen poiminta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',252),(2122,'Perusjoukkoon kuuluvat, näytteeseen jo valitut havaintoyksiköt auttavat löytämään lisää yksiköitä näytteeseen. Tyypillinen esimerkki on lumipallopoiminta, jossa tutkija ensin kutsuu mukaan valintakriteereitä vastaavan ryhmän tutkittavia. Valittuja henkilöitä pyydetään ehdottamaan lisää tutkittavia samasta perusjoukosta samoja valintakriteereitä käyttäen. Menetelmää käytetään esimerkiksi hankalasti saavutettavien tutkimushenkilöiden löytämisessä (huumeidenkäyttäjät, laittomasti maassa oleskelevat jne.)','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Ei-todennäköisyysotanta: osallistuja-avusteinen poiminta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',252),(2123,'Otanta, joka yhdistää todennäköisyys- ja ei-todennäköisyysotannan menetelmiä. Näitä menetelmiä saatetaan käyttää yhdessä otannan tietyssä vaiheessa tai eri menetelmiä eri vaiheissa. Esimerkki 1: Uskonnollisia vähemmistöjä tutkittaessa tutkija saattaa käyttää sekä ositettua otantaa väestörekisteristä uskonnollisista vähemmistöistä että osallistuja-avusteista poimintaa. Esimerkki 2: Tutkimuksessa käytetään ensimmäisissä vaiheissa todennäköisyysotantaa mutta viimeisessä vaiheessa kiintiöpoimintaa. Ohje käytöstä: jos erilliset otokset, kuvailuun lisätään lisäksi niissä käytetyt menetelmät. Jos sama otos, jota muokataan erilaisten todennäköisyys- ja ei-todennäköisyysmenetelmien yhdistelmillä, riittää tämä luokka.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Todennäköisyys- ja ei-todennäköisyysotannan yhdistelmä','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',252),(2124,'Käytä, mikäli otantamenetelmä on tiedossa, mutta sanastossa ei ole sopivaa termiä.','Other',NULL,17,NULL,2005,'Muu otantamenetelmä','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',252),(2126,'Alle Einheiten (Individuen, Haushalte, Organisationen, usw.) der Grundgesamtheit haben eine genau bestimmbare, von Null verschiedene Wahrscheinlichkeit, in die Stichprobe zu gelangen. Wählen Sie diese Bezeichnung, wenn die genaue Art der Wahrscheinlichkeitsauswahl unbekannt oder schwierig zu bestimmen ist.','Probability',NULL,1,NULL,1989,'Zufallsstichprobe',NULL,253),(2127,'Alle Einheiten (Individuen, Haushalte, Organisationen, usw.) der Grundgesamtheit haben die gleiche Wahrscheinlichkeit, in die Stichprobe zu gelangen. In der Regel werden die Einheiten der Grundgesamtheit zufällig aus einer Auswahlgrundlage (z. B. eine Liste mit allen Einheiten der Grundgesamtheit) gezogen.','Probability.SimpleRandom','Probability',2,NULL,1990,'Zufallsstichprobe: Einfache Zufallsauswahl',NULL,253),(2128,'Aus dem Verhältnis der Grundgesamtheit und der gewünschten Stichprobengröße ergibt sich ein Intervall für die Stichprobenziehung. In der Auswahlgrundlage (z. B. eine Liste mit allen Einheiten der Grundgesamtheit) wird ein Startpunkt zufällig ermittelt. Von diesem Startpunkt aus werden alle weiteren Einheiten nach dem festgelegten Intervall ausgewählt. Auch bekannt als Intervall-Stichprobe. Beispielsweise sollen 1.000 Angestellte von insgesamt 10.000 Angestellten eines Unternehmens befragt werden: Zufällig wird ein/e Angestellte/r von einer Liste mit allen Angestellten ausgewählt. Ausgehend von dieser Person wird dann jede/r 10. eingeladen, an der Studie teilzunehmen.','Probability.SystematicRandom','Probability',3,NULL,1991,'Zufallsstichprobe: Systematische Zufallsauswahl',NULL,253),(2129,'Die Grundgesamtheit wird in sich gegenseitig ausschließende und insgesamt erschöpfende Schichten unterteilt. Aus jeder Schicht werden voneinander unabhängige, einfache Zufallsstichproben gezogen. Beispielsweise wird ein Land bei einer allgemeinen Bevölkerungsumfrage in zwei regionale Kategorien unterteilt: Ost und West. In beiden Regionen werden jeweils getrennte Stichproben gezogen. Wählen Sie diese Bezeichnung, wenn die genaue Art der geschichteten Wahrscheinlichkeitsauswahl unbekannt oder schwierig zu bestimmen ist.','Probability.Stratified','Probability',4,NULL,1992,'Zufallsstichprobe: Geschichtete Zufallsauswahl',NULL,253),(2130,'Die Grundgesamtheit wird in sich gegenseitig ausschließende und insgesamt erschöpfende Schichten unterteilt. Bei der proportional geschichteten Zufallsauswahl ist die Anzahl der gezogenen Einheiten proportional zur Anzahl der Einheiten der jeweiligen Schicht in der Grundgesamtheit. Beispielsweise wird ein Land in zwei regionale Schichten unterteilt, wobei erstere 80 Prozent (West) und letztere 20 Prozent (Ost) der gesamten Bevölkerung umfassen. Für eine Stichprobe von 1.000 Personen würden dann 800 Personen im Osten und 200 Personen im Westen befragt.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Zufallsstichprobe: Proportional geschichtete Zufallsauswahl',NULL,253),(2131,'Die Grundgesamtheit wird in sich gegenseitig ausschließende und insgesamt erschöpfende Schichten unterteilt, die die gesamte Bevölkerung abdecken. Bei der disproportionalen Zufallsauswahl ist die Anzahl der aus jeder Schicht zugezogenen Einheiten nicht proportional zum Anteil der Schichten an der Grundgesamtheit. Sie können über die Schichten gleich verteilt sein oder sich an der Forschungsabsicht orientieren,wie das so genannte Oversampling verschiedener Untergruppen der Bevölkerung. Beispielsweise wird ein Land in zwei regionale Schichten unterteilt, wobei erstere 80 Prozent (West) und letztere 20 Prozent (Ost) der gesamten Bevölkerung umfassen. Sollen beide Regionen gleich repräsentiert werden, würden in beiden Teilen jeweils 50 Prozent der benötigten Stichprobe gezogen werden. Bei einem Oversampling der Region Ost würden beispielsweise 60 Prozent der Stichproben im Osten und 40 Prozent im Westen gezogen werden.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Zufallsstichprobe: Disproportional geschichtete Zufallsauswahl',NULL,253),(2132,'Die Grundgesamtheit wird in natürlich auftretende Gruppen (Cluster) unterteilt. Aus diesen Gruppen wird eine Zufallsstichprobe gezogen. Innerhalb der gezogenen Gruppen werden dann Daten über alle Einheiten erhoben. Die Gruppierungen ergeben sich oft durch die geografische Lage oder Zeitabschnitte. Wählen Sie diese Bezeichnung, wenn die genaue Art der geschichteten Wahrscheinlichkeitsauswahl unbekannt oder schwierig zu bestimmen ist.','Probability.Cluster','Probability',7,NULL,1995,'Zufallsstichprobe: Klumpenauswahl',NULL,253),(2133,'Die Grundgesamtheit wird in natürlich auftretende Gruppen (Cluster) unterteilt. Aus diesen Gruppen wird eine Zufallsstichprobe gezogen. Innerhalb der gezogenen Gruppen werden dann Daten über alle Einheiten erhoben. Beispielsweise wird eine bestimmte Anzahl von Schulen in einer Stadt zufällig ausgewählt, um dann alle Schüler an den jeweiligen Schulen in die Stichprobe aufzunehmen.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Zufallsstichprobe: einfache Klumpenauswahl',NULL,253),(2134,'Die Grundgesamtheit wird in natürlich auftretende Gruppen (Cluster) unterteilt. Diese Gruppen werden in sich gegenseitig ausschließende und insgesamt erschöpfende Schichten unterteilt. Aus diesen wird dann eine bestimmte Anzahl an Gruppen zufällig ausgewählt. Beispielsweise werden Schulen nach privaten und öffentlichen unterschieden, um dann aus diesen beiden Gruppen per Zufall Schulen auszuwählen und alle Schüler der ausgewählten Schulen in die Stichprobe aufzunehmen.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Zufallsstichprobe: geschichtete Klumpenauswahl',NULL,253),(2135,'Bei der mehrstufigen Zufallsauswahl wird eine Zufallsauswahl bestimmter Einheiten getroffen, aus denen dann jeweils zufällig die nächstkleinere Einheit gezogen wird. Die Art der Zufallsauswahl kann dabei zwischen den Stufen variieren. Für eine Stichprobe von Schülern werden beispielsweise zufällig Schulen in einer Stadt ausgewählt. Aus den Schulen werden im nächsten Schritt jeweils mehrere Klassen gezogen, um dann eine bestimmte Anzahl von Schülern aus diesen Klassen zufällig auszuwählen, die zur Teilnahme an der Studie eingeladen werden.','Probability.Multistage','Probability',10,NULL,1998,'Zufallsstichprobe: Mehrstufige Zufallsauswahl',NULL,253),(2136,'Die Auswahl von Einheiten (z. B. Individuen, Haushalte, Organisationen, usw.) aus der Grundgesamtheit erfolgt nicht nach dem Zufallsprinzip. Die Auswahlwahrscheinlichkeit der einzelnen Einheiten kann daher nicht ermittelt werden. Wählen Sie diese Bezeichnung, wenn die genaue Art der Nicht-Wahrscheinlichkeitsauswahl unbekannt, schwierig zu bestimmen ist oder mehrere Arten der Nicht-Wahrscheinlichkeitsauswahl angewendet werden.','Nonprobability',NULL,11,NULL,1999,'Nicht-Zufallsstichprobe',NULL,253),(2137,'Die Auswahl der Einheiten hängt von deren relativer Verfügbarkeit ab. Das heißt, es werden Einheiten gewählt, die einfach erreichbar sind oder aufgrund bestimmter Merkmale oder Verhaltensweisen eher auf die Studie aufmerksam werden (Selbstselektion). Der Forscher kann eine bestimmte Zielgruppe anstreben, die Auswahlmechanismen einer Stichprobe aber nicht kontrollieren. Beispielsweise werden Studierende, die ein bestimmtes Gebäude der Universität verlassen, angesprochen und eingeladen, an der Studie teilzunehmen. Oder es werden allgemeine Einladungen, die sich an größere Gruppen richten, ausgesprochen und jede Person, die sich daraufhin meldet, ist Teil der Auswahl. Man nennt diese willkürliche Auswahl auch Convenience Sample oder Gelegenheitsstichprobe.','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Nicht-Zufallsstichprobe: Willkürliche Auswahl',NULL,253),(2138,'Alle Einheiten der Stichprobe sind bewusst, wegen ihres potenziellen Beitrags zum Untersuchungsgegenstand, ausgewählt. Die Grundgesamtheit und die Auswahlkriterien richten sich dabei nach den Ausprägungen der unabhängigen und/oder abhängigen Variablen der Untersuchung und werden von dem /der Forscher/in festgelegt. Er/Sie oder die für die Stichprobenziehung autorisierte Person kontrolliert die Auswahl. Beispielsweise werden für eine medizinische Studie bewusst Personen ausgewählt, die eine bestimmte Krankheit aufweisen, um diese mit einer Kontrollgruppe zu vergleichen. Verschiedene Varianten sind die Auswahl typischer/abweichender Fälle, homogener/heterogener Fälle oder kritischer Fälle.','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Nicht-Zufallsstichprobe: Bewusste Auswahl',NULL,253),(2140,'Die Einheiten werden aus der Grundgesamtheit mit Hilfe von Einheiten ausgewählt, die bereits in der Stichprobe sind. Ein typisches Beispiel dafür ist das Schneeballverfahren. Hier wählt der Forscher nach festgelegten Kriterien eine Gruppe von Einheiten aus. Diese werden dann gebeten, ihnen ähnliche, für die Studie geeignete Personen zu rekrutieren (z. B. Stichproben bestimmter Gruppen, wie Migranten o.ä.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Nicht-Zufallsstichprobe: Respondenten gesteuerte Auswahl',NULL,253),(2141,'Ein Verfahren, das für dieselbe Grundgesamtheit Wahrscheinlichkeits- und Nicht-Wahrscheinlichkeitsauswahl miteinander kombiniert. Die verwendeten Methoden können innerhalb oder zwischen den Stufen der Stichprobenziehung kombiniert werden. Beispielsweise kann zur Untersuchung einer religiösen Minderheit eine proportional geschichtete Zufallsauswahl mit einer Respondenten-gesteuerten Auswahl kombiniert werden. Alternativ wäre für dieses Beispiel auch eine Kombination von mehrstufiger Zufallsauswahl und einer Quotenstichprobe bei der letzten Ziehung möglich.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Kombination aus Zufallsstichprobe und Nicht-Zufallsstichprobe',NULL,253),(2142,'Verwenden Sie diese Kategorie, wenn das Auswahlverfahren bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,17,NULL,2005,'Andere',NULL,253),(2144,'Alla element (individer, hushåll, organisationer m.m.) i målpopulationen har en sannolikhet större än noll att inkluderas i samplet och det går att exakt beräkna sannolikheten. Använd den här bredare termen om det är okänt vilken mer specifik typ av sannolikhetsurval det rör sig om eller om typen är svår att identifiera.','Probability',NULL,1,NULL,1989,'Sannolikhetsurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',254),(2145,'Alla element i målpopulationen har samma sannolikhet att inkluderas i samplet. Vanligtvis listas hela populationen i en \"urvalsram\" och elementen väljs från den ramen med en slumpvalsmetod.','Probability.SimpleRandom','Probability',2,NULL,1990,'Sannolikhetsurval: obundet slumpmässigt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',254),(2146,'Ett bestämt urvalsintervall skapas genom att man delar populationsstorleken med önskad sampelstorlek. En startpunkt bestäms slumpmässigt i urvalsramen, som vanligtvis omfattar hela målpopulationen. Från startpunkten drar man sedan element utifrån det bestämda urvalsintervallet. Exempel: ett företag vill få ett sampel på 1.000 av sina 10.000 anställda. Med början på ett slumpmässigt valt namn i listan över medarbetare så erbjuder de var tionde person att delta i undersökningen.','Probability.SystematicRandom','Probability',3,NULL,1991,'Sannolikhetsurval: systematiskt slumpmässigt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',254),(2147,'Målpopulationen är uppdelad i flera delar (strata) som utesluter varandra och täcker hela populationen. Oberoende slumpmässiga urval görs från varje stratum. Exempel: i en nationell opinionsundersökning är hela populationen uppdelad i två regionala strata, Öst och Väst. Därefter väljs element slumpmässigt från respektive region med obundet eller systematiskt slumpmässigt urval. Använd den här bredare termen om det är okänt vilken mer specifik typ av stratifierat urval det rör sig om eller om typen är svår att identifiera.','Probability.Stratified','Probability',4,NULL,1992,'Sannolikhetsurval: stratifierat urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',254),(2148,'Målpopulationen är uppdelad i flera delar (strata) som utesluter varandra och täcker hela populationen. För ett proportionerligt stratifierat urval står antalet element som väljs från varje stratum i proportion till storleken på stratumet i förhållande till hela populationen. Exempel: ett land är uppdelat i två regionala strata som motsvarar 80 procent (Väst) respektive 20 procent (Öst) av hela populationen. För ett sampel på 1.000 personer skulle 800 (dvs. 80 %) väljas från Väst och 200 (dvs. 20 %) från Öst för att ge en korrekt representation av deras andel av hela populationen.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Sannolikhetsurval: stratifierat: proportionerligt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',254),(2149,'Målpopulationen är uppdelad i flera delar (strata) som utesluter varandra och täcker hela populationen. För ett oproportionerligt urval så står antalet element som väljs från varje stratum inte i proportion till stratumets populationsstorlek i förhållande till hela populationen. Sampelstorleken kan vara lika stor, optimal eller kan avspegla studiens syfte genom ett avsiktligt större urval från olika undergrupper i populationen. Exempel: ett land är uppdelat i två regionala strata som motsvarar 80 procent (Väst) respektive 20 procent (Öst) av hela populationen. Om lika representation av båda regionerna behövs i studien kan halva samplet dras från Öst och andra halvan från Väst så att varje region representeras av 50 % av samplet. Om det behövs en mer detaljerad analys av population i Öst kan 40 % av elementen dras från Väst och 60 % från Öst så att Öst är överrepresenterat.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Sannolikhetsurval: stratifierat: oproportionerligt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',254),(2150,'Målpopulationen är uppdelad i naturligt förekommande segment (kluster) och ett sannolikhetsurval av klustren görs. Data samlas sedan in från alla element i varje utvalt kluster. Urvalet påverkas ofta av geografiska eller tidsmässiga kluster. Använd den här bredare termen om det är okänt vilken mer specifik typ av klusterurval det rör sig om eller om typen är svår att identifiera.','Probability.Cluster','Probability',7,NULL,1995,'Sannolikhetsurval: klusterurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',254),(2151,'Målpopulationen är uppdelad i naturligt förekommande segment (kluster) och ett obundet slumpmässigt urval av klustren görs. Data samlas sedan in från alla element i varje utvalt kluster. Exempel: för att få ett sampel av elever i en stad så skulle ett antal skolor väljas slumpmässigt och alla elever på de utvalda skolorna skulle sedan ingå i samplet.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Sannolikhetsurval: klusterurval: obundet slumpmässigt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',254),(2152,'Målpopulationen är uppdelad i naturligt förekommande segment (kluster). Dessa delas sedan upp i ömsesidigt uteslutande strata och det görs ett slumpmässigt urval av kluster från varje stratum. Data samlas in från alla element inom varje utvalt kluster. Exempel: för att få ett sampel av elever i en stad så delas skolorna upp i två strata efter typ av skola (kommunala skolor och friskolor). Skolor väljs sedan ut slumpmässigt från varje stratum och alla elever i de utvalda skolorna ingår i samplet.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Sannolikhetsurval: klusterurval: stratifierat slumpmässigt urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',254),(2153,'Urvalet sker stegvis med allt mindre enheter för varje steg, och varje steg omfattar ett sannolikhetsurval. Urvalsmetoden kan skilja sig från steg till steg. Exempel: för att få ett sampel av elever i en stad så kan skolor väljas slumpmässigt i första steget. Ett slumpmässigt urval av klasser görs i steg två. Elever väljs sedan från dessa klasser i ett tredje steg. ','Probability.Multistage','Probability',10,NULL,1998,'Sannolikhetsurval: flerstegsurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',254),(2154,'Urvalet av element (individer, hushåll, organisationer m.m.) från målpopulationen görs inte slumpmässigt. Det går inte att bestämma sannolikheten för att ett element ska tas med i samplet. Använd den här bredare termen om det är okänt vilken mer specifik typ av icke-sannolikhetsurval det rör sig om, om typen är svår att identifiera, eller om flera metoder för icke-sannolikhetsurval används.','Nonprobability',NULL,11,NULL,1999,'Icke-sannolikhetsurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',254),(2155,'Urvalet görs utifrån elementens (relativa) lättillgänglighet. De kan vara lätta att få tag i eller kan själva ha valt att delta i studien (självurval). Forskare kan avse att inkludera vissa specifika målgrupper men kontrollerar inte urvalsmekanismerna. Exempel: studenter som går ut från en viss byggnad på universitetsområdet kontaktas; personer kan erbjuda sig frivilligt att delta efter att ha tagit del av en inbjudan som inte riktat sig specifikt till dem, utan till en större grupp som de kanske tillhör. Kallas även för \"bekvämlighetsurval\" eller \"möjlighetsurval\".','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Icke-sannolikhetsurval: tillgänglighetsurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',254),(2156,'Elementen i samplet identifieras, väljs ut och kontaktas särskilt för den information som de kan erbjuda rörande forskningsämnet. Urvalet sker utifrån olika egenskaper hos de beroende och/eller oberoende variablerna som studeras, och beror på forskarnas bedömning. Studiens författare eller personer som har utsetts av dem kontrollerar urvalsmekanismen och målpopulationen definieras utifrån urvalskriterierna. Kallas även för \"bedömningsurval\". Exempel: en forskare i medicin kan avsiktligt välja ut individer som är väldigt lika, med undantag för förloppet av en viss sjukdom. Exempel på syftesurval inkluderar typiska/avvikande fall, homogen/maximal variation, experter och kritiska fall.','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Icke-sannolikhetsurval: syftesurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',254),(2158,'Ytterligare element i samplet identifieras i målpopulationen med hjälp av redan valda element (bearbetad från \"Public Health Research Methods\", red. Greg Guest, Emily E. Namey, 2014). En typisk variant är snöbollssampling, där forskaren identifierar en grupp element som stämmer överens med ett särskilt urvalskriterium. Dessa ombeds att rekrytera andra medlemmar i samma population som uppfyller samma urvalskriterium (sampling av särskilda populationer som t.ex. invandrare).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Icke-sannolikhetsurval: respondent-assisterat urval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',254),(2159,'Urvalsmetod som kombinerar sannolikhets- och icke-sannolikhetsurval för samma målpopulation. De två urvalsmetoderna kan kombineras på samma urvalsstadium eller så kan olika urvalsmetoder användas vid olika steg i urvalsprocessen. Exempel: för en studie av religiösa minoriteter skulle man kunna använda ett stratifierat sannolikhetsurval av minoritetsmedlemmar och ett urval med respondenthjälp samtidigt. Eller så skulle man kunna använda ett flerfasurval men med ett kvoturval i sista fasen.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Blandat sannolikhets- och icke-sannolikhetsurval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',254),(2160,'Använd om urvalsmetoden är känd men saknas i listan.','Other',NULL,17,NULL,2005,'Övrigt','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',254),(2162,'Vse enote (posamezniki, gospodinjstva, organizacije itd.) ciljne populacije imajo določeno verjetnost (različno od nič), da se vključijo v vzorec. To verjetnost je mogoče natančno določiti. Uporabite ta širši izraz, če bolj določena vrsta verjetnostnega vzorčenja ni znana oziroma jo je težko prepoznati.','Probability',NULL,1,NULL,1989,'Verjetnostno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',255),(2163,'Vse enote ciljne populacije imajo enako verjetnost, da so vključene v vzorec. Običajno je celotna populacija navedena v \"vzorčnem okviru\", nato pa se enote izberejo iz tega okvira z uporabo metode slučajnega izbora.','Probability.SimpleRandom','Probability',2,NULL,1990,'Verjetnostno: enostavno slučajno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',255),(2164,'Določen interval izbiranja dobimo, ko velikost populacije delimo z želeno velikostjo vzorca. Izhodiščna točka se naključno vzame iz vzorčnega okvira, ki običajno pokriva celotno ciljno populacijo. Od izhodišča se nato enote v vzorec izberejo glede na interval izbiranja. Postopek poznamo tudi kot intervalno vzorčenje. Na primer, podjetje izvaja anketo in želi vzorec 1.000 zaposlenih od skupno 10.000. Postopek začne z naključno začetno številko, nato pa bo vsak deseti s seznama zaposlenih v podjetju povabljen k sodelovanju v raziskavi.','Probability.SystematicRandom','Probability',3,NULL,1991,'Verjetnostno: sistematično slučajno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',255),(2165,'Ciljna populacija je razdeljena na ločene in medsebojno izključujoče se odseke (stratume/sloje), ki pokrivajo celotno populacijo. Iz vsakega odseka se nato vzamejo neodvisni slučajni vzorci. Na primer, v nacionalni raziskavi javnega mnenja je celotno prebivalstvo razdeljeno na dva regionalna odseka: vzhodni in zahodni. Vzorčene enote se nato vzamejo iz vsake regije z enostavnim ali sistematičnim slučajnim vzorčenjem. Uporabite ta širši izraz, če določena vrsta stratificiranega vzorčenja ni znana ali je težko prepoznavna.','Probability.Stratified','Probability',4,NULL,1992,'Verjetnostno: stratificirano','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',255),(2166,'Ciljna populacija je razdeljena na ločene in medsebojno izključujoče se odseke (stratume/sloje), ki pokrivajo celotno populacijo. Pri proporcionalnem stratificiranem vzorčenju je število elementov, izbranih iz vsakega sloja, sorazmerno z velikostjo populacije v sloju glede na celotno populacijo. Na primer, država je razdeljena na dva regionalna odseka, ki obsegata 80 odstotkov (zahod) in 20 odstotkov (vzhod) celotnega prebivalstva. Za vzorec 1.000 prebivalcev bi iz zahodnega odseka vzeli 800 (tj. 80 odstotkov) udeležencev in iz vzhodnega odseka 200 (tj. 20 odstotkov), kar bi natančno predstavljalo njihov delež v celotni populaciji.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Verjetnostno: stratificiano: proporcionalno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',255),(2167,'Ciljna populacija je razdeljena na ločene in medsebojno izključujoče se odseke (stratume/sloje), ki pokrivajo celotno populacijo. Število enot, izbranih iz vsakega odseka, pri disproporcionalnem vzorčenju ni sorazmerno z velikostjo populacije odseka glede na celotno populacijo. Število vzorčenih enot iz vsakega odseka je lahko enako, optimalno oziroma lahko odraža namen raziskave, kot je nadvzorčenje različnih podskupin prebivalstva. Na primer, država je razdeljena na dva regionalna odseka, ki obsegata 80 odstotkov (zahod) in 20 odstotkov (vzhod) prebivalstva države. Če je v raziskavi potrebna enakopravna zastopanost obeh regij, se v vzorec lahko vzame polovica udeležencev iz zahoda in polovica iz vzhoda, tako da vsaka regija predstavlja 50 odstotkov vzorca. Če je potrebna podrobnejša analiza prebivalstva z vzhoda, lahko vzamemo 40 odstotkov enot iz zahoda in 60 odstotkov iz vzhoda, tako da je vzhod prekomerno zastopan.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Verjetnostno: startificirano: disproporcionalno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',255),(2168,'Ciljna populacija je razdeljena na skupine, ki obstajajo same po sebi in izbran je verjetnostni vzorec skupin. Podatki se nato zbirajo na vseh enotah znotraj vsake izbrane skupine. Vzorčene skupine so pogosto določene glede na geografsko območje ali časovno obdobje. Uporabite ta širši izraz, če bolj določena vrsta vzorčenja skupin ni znana ali jo je težko prepoznati.','Probability.Cluster','Probability',7,NULL,1995,'Verjetnostno: po skupinah','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',255),(2169,'Ciljna populacija je razdeljena na skupine, ki obstajajo same po sebi in izbran je enostavni slučajni vzorec skupin. Podatki se nato zbirajo na vseh enotah znotraj vsake izbrane skupine. Na primer, za vzorec učencev v mestu izberemo več šol z metodo slučajnega izbora, nato pa vključimo vse učence iz vsake izbrane šole.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Verjetnostno: po skupinah: enostavno slučajno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',255),(2170,'Ciljna populacija je razdeljena na skupine, ki obstajajo same po sebi; te so nato razdeljene na medsebojno izključujoče se sloje in naključni vzorec skupin je izbran iz vsakega sloja. Podatki se zbirajo na vseh enotah znotraj vsake izbrane skupine. Na primer, za vzorec učencev v mestu bi šole razdelili na dva sloja glede na vrsto šole (zasebne in javne); šole bodo nato slučajno izbrane iz vsakega sloja in vključeni bodo vsi učenci iz vsake izbrane šole.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Verjetnostno: po skupinah: stratificirano slučajno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',255),(2171,'Vzorčenje se izvaja stopenjsko z vključitvijo vedno manjšega števila enot na vsaki stopnji, vse stopnje vključujejo verjetnostno izbiro. Vrsta postopka verjetnostnega vzorčenja je lahko različna na vsaki stopnji. Na primer, za vzorec učencev v mestu najprej na prvi stopnji slučajno izberemo šole. Na drugi stopnji poteka izbor slučajnega vzorca razredov v vsaki izmed izbranih šol. Na tretji stopnji nato slučajno izberemo učence iz vsakega od izbranih razredov.','Probability.Multistage','Probability',10,NULL,1998,'Verjetnostno: večstopenjsko','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',255),(2172,'Izbor enot (posameznikov, gospodinjstev, organizacij itd.) iz ciljne populacije ne temelji na slučajnem izboru. Verjetnosti, da bo posamezni element vključen v vzorec, ni mogoče določiti. Uporabite ta širši izraz, če določena vrsta neverjetnostnega vzorčenja ni znana, jo je težko določiti ali če uporabljate več metod neverjetnostnega vzorčenja.','Nonprobability',NULL,11,NULL,1999,'Neverjetnostno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',255),(2173,'Izbira vzorca temelji na dostopnosti enot/relativni enostavnosti dostopa. Morda so enote dostopnejše oziroma se same odločijo za sodelovanje v raziskavi (samoizbira). Raziskovalci imajo lahko v mislih določene ciljne skupine, vendar ne nadzirajo mehanizmov izbire v vzorec. Na primer, pristopimo do študentov, ki zapustijo določeno stavbo v študentskem naselju; prosamezniki se prostovoljno odločijo za sodelovanje kot odgovor na vabilo, ki ni bilo naslovljeno posebej nanje, temveč na širšo skupino, ki ji morda pripadajo. Imenujemo ga lahko tudi \"priložnostno\" vzorčenje.','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Neverjetnostno: priložnostno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',255),(2174,'Vzorčene enote posebej opredelimo, izberemo in stopimo v stik z njimi z namenom pridobivanja informacij o raziskovalni temi. Izbor temelji na različnih značilnostih neodvisnih in/ali odvisnih spremenljivk, ki jih preučujemo, pri čemer se opiramo na presojo raziskovalcev. Avtorji raziskave oziroma pooblaščene osebe imajo nadzor nad mehanizmom izbore v vzorec, ciljna populacija pa je opredeljena z merili za izbor. Imenujemo ga tudi vzorčenje \"s presojo\". Na primer, raziskovalec na področju zdravstva lahko namerno izbere posameznike, ki so si v večini pogledov podobni, z izjemo rezultatov pri raziskovalni temi, ki je lahko določena bolezen. Nekatere vrste namenskega vzorčenja so tipični/atipični primeri, homogena/največja varianca, izvedensko ali kritično vzorčenje primerov.','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Neverjetnostno: namensko','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',255),(2176,'Vzorčene enote so identificirane iz ciljne populacije s pomočjo že izbranih enot (prirejeno po \"Public Health Research Methods\", ur. Greg Guest, Emily E. Namey, 2014). Tipičen primer je vzorčenje po metodi snežne kepe, v katerem raziskovalec identificira skupino enot, ki ustreza določenemu merilu upravičenosti za izbor. Te enote nato zaprosi za pomoč pri pridobivanju drugih članov iste populacije, ki izpolnjujejo enako merilo upravičenosti (vzorčenje določenih populacij, kot so migranti itd.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Neverjetnostno: s pomočjo respondentov','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',255),(2177,'Načrt vzorčenja, ki združuje verjetnostno in neverjetnostno vzorčenje v istem postopku vzorčenja. Na različnih stopnjah izdelave vzorca se lahko uporabljajo različne vrste vzorčenja. Na primer, za vzorec učencev iz manjšin v mestu se najprej v prvem koraku naključno izberejo šole. Nato je v drugem koraku v vsaki šoli izbran kvotni vzorec učencev. Če iz iste ciljne populacije vzamemo ločene vzorce z uporabo različnih metod vzorčenja, je potrebno vrste postopkov vzorčenja, ki smo jih uporabili pri posameznih vzorcih, razvrstiti ločeno.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Mešano verjetnostno in neverjetnostno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',255),(2178,'Uporabite, če je postopek vzorčenja znan, a ga ne najdete na seznamu.','Other',NULL,17,NULL,2005,'Drugo','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',255),(2180,'Alle enheter (individer, husholdninger, organisasjoner etc.) i målpopulasjonen har en sannsynlighet større enn null for å bli inkludert i utvalget og denne sannsynligheten kan utregnes. Bruk dette bredere begrepet dersom en mer spesifikk type sannsynlighetsutvalg ikke er kjent eller dersom det er vanskelig å definere.','Probability',NULL,1,NULL,1989,'Sannsynlighetsutvalg',NULL,256),(2181,'Alle enheter i målpopulasjonen har en lik sjanse for å bli inkludert i utvalget. Vanligvis listes hele populasjonen i en \'utvalgsramme\' og enhetene blir valgt ut fra denne ved en tilfeldig utvalgsmetode. ','Probability.SimpleRandom','Probability',2,NULL,1990,'Sannsynlighetsutvalg: Enkelt tilfeldig',NULL,256),(2182,'Et fast seleksjonsintervall er bestemt ved å dele populasjonsstørrelsen på den ønskede utvalgsstørrelsen. Et startpunkt er deretter trukket tilfeldig fra utvalgsrammen, som normalt dekker hele målpopulasjonen. Fra startpunktet blir enheter for utvalget trukket basert på seleksjonsintervallet. Også kjent som utvalgsintervall. For eksempel, en bedriftsundersøkelse ønsker et utvalg på 1000 ansatte av 10.000 totalt. Ut fra et tilfeldig startnummer blir hvert tiende navn fra ansattlisten til bedriften invitert til å delta i studien.','Probability.SystematicRandom','Probability',3,NULL,1991,'Sannsynlighetsutvalg: Systematisk tilfeldig',NULL,256),(2183,'Målpopulasjonen er delt i ulike og gjensidig utelukkende strata som dekker hele populasjonen. Uavhengige tilfeldige utvalg blir deretter trukket innenfor hvert stratum. For eksempel i nasjonale befolkningsundersøkelser blir hele populasjonen delt i to regionale strata: Øst og vest. Deretter blir utvalgsenheter trukket fra hver region ved bruk av tilfeldig eller systematisk utvalg. Bruk dette bredere begrepet dersom den spesifikke typen stratifisert utvalg ikke er kjent eller er vanskelig å identfisere.','Probability.Stratified','Probability',4,NULL,1992,'Sannsynlighetsutvalg: Stratifisert',NULL,256),(2184,'Målpopulasjonen er delt i flere strata som er gjensidig utelukkende og dekker hele populasjonen. I proporsjonalt startifisert utvalg er tallet element som velges fra hvert strata proporsjonalt til populasjonsstørrelsen til stratumet sett i forhold til hele populasjonen. For eksempel: Et land er delt i to regionale strata som tilsier 80 prosent (vest) og 20 prosent (øst) av hele populasjonen. For et utvalg på 1000 personer ville 800 (dvs 80%) bli trukket fra vest og 200 (dvs 20%) fra øst for å gi en riktig representasjon av deres andel av den totale populasjonen.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Sannsynlighetsutvalg: Stratifisert: Proporsjonalt',NULL,256),(2185,'Målpopulasjonen er delt i flere strata som er gjensidig utelukkende og dekker hele populasjonen. For et uproporsjonalt utvalg står antallet element som velges fra hvert strata ikke proporsjonalt til størrelsen på stratumet i forhold til hele populasjonen. Utvalgsstørrelsen fra hvert stratum kan være lik, optimal, eller kan avspeile hensikten med studien, som gjennom et større utvalg fra ulike subgrupper i populasjonen. For eksempel: Et land er delt i to regionale strata som tilsier 80 prosent (vest) og 20 prosent (øst) av hele populasjonen. Dersom det er behov for lik representasjon av begge regionene i studien kan halve utvalget bli trukket fra øst og andre halvdelen fra vest slik at hver region representerer 50% av utvalget. Om det er behov for en mer detaljert analyse av populasjonen i øst kan 40% av enhetene bli trukket fra vest og 60% fra øst, slik at  øst er overrepresentert.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Sannsynlighetsutvalg: Stratifisert: Disproporsjonalt',NULL,256),(2186,'Målpopulasjonen er delt i naturlige grupper (klustere) og et sannsynlighetsutvalg av klusterne blir valgt. Data blir deretter samlet inn fra alle enhetene innen hver utvalgte kluster. Utvelgelsen er ofte gruppert ut fra geografi eller tidsperiode. Bruk dette bredere begrepet dersom den mer spesifikke typen klusterutvalg er ukjent eller dersom typen er vanskelig å identifisere.','Probability.Cluster','Probability',7,NULL,1995,'Sannsynlighetsutvalg: Klynge',NULL,256),(2187,'Målpopulasjonen er delt i naturlige grupper (kluster) og et enkelt tilfeldig utvalg av klusterne blir valgt. Data blir deretter samlet inn fra alle enhetene innen hvert utvalgte kluster. For eksempel, for et utvalg av studenter i en by ville først et antall skoler bli valgt tilfeldig, og deretter ville alle studentene fra hver utvalgte skole bli inkludert.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Sannsynlighetsutvalg: Klynge: Enkelt tilfeldig',NULL,256),(2188,'Målpopulasjonen er delt i naturlige grupper (kluster). Disse blir igjen delt i gjensidig utelukkende i strata og et tilfeldig utvalg av klustre blir valgt fra hvert stratum. Data blir deretter samlet inn fra alle enhetene i hvert utvalgte kluster. For eksempel for et utvalg av studenter i en by ville skolene bli delt i to strata ut fra type skole (privat vs.offentlig). Skoler blir deretter tilfeldig trukket fra hver stratum og alle studentene fra hver utvalgte skole ville bli inkluidert i utvalget.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Sannsynlighetsutvalg: Klynge: Stratifisert tilfeldig',NULL,256),(2189,'Utvelgelsen skjer trinnvis ved bruk av mindre og mindre enheter for hvert trinn, og hvert trinn omfatter et sannsynlighetsutvalg. Typen sannsynlighetsutvalg kan variere på hvert trinn. For eksempel for å få et utvalg studenter i en by blir skolene trukket tilfeldig i første steg. Et tilfeldig utvalg av klasser innen hver utvalgte skole blir trukket i neste steg. Studentene blir deretter tilfeldig trukket fra hver av disse klassene på tredje trinn.','Probability.Multistage','Probability',10,NULL,1998,'Sannsynlighetsutvalg: Flertrinns',NULL,256),(2190,'Valget av enheter (individer, husholdninger, organisasjoner etc.) fra målpopulasjonen blir ikke trukket basert på tilfeldig utvalg. Det er ikke mulig å bestemme sannsynligheten for at hver enhet blir inkludert i utvalget. Dette bredere begrepet benyttes dersom det er ukjent hvilken mer spesifikk type ikke-sannsynlighetsutvalg det omhandler, dersom typen er vanskelig å identifisere, eller om flere metoder for ikke-sannsynlighetsutvalg benyttes.','Nonprobability',NULL,11,NULL,1999,'Ikke-sannsynlighet',NULL,256),(2191,'Utvalget blir trukket basert på enhetenes tilgjengelighet. Enhetene kan være lette å få tak i, eller kan ha meldt seg selv til å delta i studien (selvutvelgelse). Forskere kan ha tanker om å inkludere visse målgrupper, men de kan ikke kontrollere utvalgsmekanismene. For eksempel studenter som går ut fra en viss bygning på universitetsområdet kan bli kontaktet, eller individer kan frivillig melde seg til å delta som svar på en invitasjon som ikke spesifikt var rettet mot dem, men en større gruppe som de tilhører. Blir også kalt \'bekvemmelighetsutvalg\' eller \'mulighetsutvalg\'.','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Ikke-sannsynlighet: Tilgjengelighetsutvalg',NULL,256),(2192,'Enhetene i utvalget idenfifiseres, velges ut og kontaktes på grunn av informasjonen de kan gi om forskningsemnet som studeres. Utvalget er basert på ulike karakteristikker ved de uavhengige og/eller avhengige variablene som blir studert, og avhenger av forskerens dømmekraft. Studiens forfattere, eller andre personer som er bestemt av dem, kontrollerer utvalgsmekanismene og populasjonen defineres ut fra utvalgskriteriene. Blir også kalt \'bedømmelsesutvalg\'. For eksempel kan en forsker innen medisin med hensikt velge individer som ligner hverandre, med unntak av visse utfall, som en spesifikk sykdom. Noen typer målrettet utvalg er typiske/uteliggende case, homogen/maksimal variasjon, eksperter, og utvalg av kritiske case.','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Ikke-sannsynlighet: Målrettet utvalg',NULL,256),(2194,'Enhetene i utvalget identifiseres i målpopulasjonen ved hjelp av enheter som allerede er valgt (fra \'Public Health Research Methods\', red. Greg Guest, Emily E. Namey, 2014). En typisk variant er snøballutvelgelse, der forskeren identifiserer en gruppe enheter som stemmer overens med spesifikke utvalgskriterier. Disse blir spurt om å rekruttere andre deltakere i samme populasjon som oppfyller samme utvalgskriterier (utvelgelse av særskilte populasjoner som migranter etc).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Ikke-sannsynlighet: Respondent-assistert',NULL,256),(2195,'Utvalgsdesign som kombinerer sannsynlighets- og ikke-sannsynlighetsutvalg i samme utvalgsprosess. Forskjellige utvalgsmetoder kan bli brukt på ulike steg i utvalgsprosessen. For eksempel for en studie av minoritetsstudenter i en by blir skoler trukket tilfeldig i første stadie. Deretter trekkes et kvoteutvalg av studenter fra hver skole i andre steg. Dersom separate utvalg er trukket fra samme målpopulasjon ved bruk av ulike utvalgsmetoder, bør typen utvalgsprosedyre som blir brukt for hvert utvalg klassifiseres separat.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Blandet sannsynlighets- og ikke-sannsynlighetsutvalg',NULL,256),(2196,'Bruk dersom utvalgsmetoden er kjent, men ikke funnet i listen.','Other',NULL,17,NULL,2005,'Annet',NULL,256),(2198,'Alle enheder (individer, husholdninger, organisationer mm.) af en målpopulation har en sandsynlighed på over nul for at blive inkluderet i stikprøven, og denne sandsynlighed kan bestemmes præcist. Brug dette bredere begreb, hvis den præcise type af sandsynlighedsudvælgelse ikke kendes eller er svær at identificere.','Probability',NULL,1,NULL,1989,'Sandsynlighed','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',257),(2199,'Alle enheder i en målpopulation har en lige sandsynlighed for at blive inkluderet i stikprøven. Hele befolkningen er typisk oplistet i stikprøverammen, og enheder udvælges derefter fra denne ramme ved brug af en tilfældig udvælgelsesmetode. ','Probability.SimpleRandom','Probability',2,NULL,1990,'Sandsynlighed: Simpel tilfældig','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',257),(2200,'Et fast udvælgelsesinterval er bestemt ved at dividere størrelsen af populationen med størrelsen af den ønskede stikprøve. Et startsted er derefter udtrukket fra stikprøverammen, der normalt dækker hele målpopulationen. Fra dette startsted bliver enhederne til stikprøven valgt på baggrund af udvælgelsesintervallet. Dette er også kendt som intervaludvælgelse. For eksempel en virksomhedsundersøgelse, der ønsker en stikprøve på 1.000 ud af i alt 10.000 medarbejdere. Ud fra et tilfældigt startnummer inviteres hver 10. navn fra virksomhedens medarbejderliste til at deltage i undersøgelsen.','Probability.SystematicRandom','Probability',3,NULL,1991,'Sandsynlighed: Systematisk tilfældig','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',257),(2201,'Målpopulationen er opdelt i separate og gensidigt udelukkende segmenter (strata), der dækker hele befolkningen. Uafhængige tilfældige stikprøver udtages derefter fra hvert segment. For eksempel er hele befolkningen i en national meningsmåling opdelt i to regionale strata: Øst og Vest. Herefter udtrækkes stikprøveenheder fra hver region ved brug af en simpel eller systematisk tilfældig stikprøveudvælgelse. Anvend dette udtryk, hvis den specifikke type af stratificeret stikprøveudvælgelse ikke er kendt eller er vanskelig at identificere.','Probability.Stratified','Probability',4,NULL,1992,'Sandsynlighed: Stratificeret','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',257),(2202,'Målpopulationen er opdelt i separate og gensidigt udelukkende segmenter (strata), der dækker hele befolkningen. I proportionel stratificeret stikprøveudvælgelse er antallet af elementer udvalgt fra hvert stratum proportionelt med befolkningsstørrelsen af stratummet set i forhold til hele befolkningen. For eksempel er et land opdelt i to regionale strata, der dækker 80 procent (vest) og 20 procent (øst) af den samlede befolkning. For en stikprøve på 1000 personer ville 800 (80 procent) trækkes fra vest og 200 (20 procent) fra øst for nøjagtigt at repræsentere deres andel i den samlede befolkning. ','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Sandsynlighed: Stratificeret: Proportionel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',257),(2203,'Målpopulationen er opdelt i separate og gensidigt udelukkende segmenter (strata), der dækker hele befolkningen. I disproportional stikprøveudvælgelse er antallet af enhederne udvalgt fra hvert lag ikke proportional med stratummets befolkningsstørrelse set i forhold til hele befolkningen. Antallet af stikprøveenheder fra hvert stratum kan være ens, optimalt, eller kan afspejle undersøgelsens formål, såsom oversampling af forskellige undergrupper af befolkningen. For eksempel er et land opdelt i to regionale strata, der dækker 80 procent (vest) og 20 procent (øst) af landets befolkning. Hvis der er behov for ligevægtig repræsentation af de to regioner i en undersøgelse, kan halvdelen af stikprøven udtrækkes fra vest og halvdelen fra øst, således at hver region er repræsenteret i 50 procent af stikprøven. Hvis en mere detaljeret analyse af befolkningen fra øst er nødvendig, kan 40 procent af enhederne udtrækkes fra vest og 60 procent fra øst, således øst er overrepræsenteret.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Sandsylighed: Stratificeret: Disproportionel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',257),(2204,'Målpopulationen er opdelt i naturligt forekommende segmenter (klynger), og en sandsynlighedsbaseret stikprøve af klyngerne er udvalgt. Data indsamles derefter fra alle enheder inden for hver udvalgt klynge. Stikprøveudvælgelse er ofte klyngegrupperet efter geografi eller tidsperiode. Anvend dette bredere udtryk, hvis en mere specifik type af klyngeudvælgelse ikke er kendt eller er vanskelig at identificere.','Probability.Cluster','Probability',7,NULL,1995,'Sandsynlighed: Klynge','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',257),(2205,'Målpopulationen er opdelt i naturligt forekommende segmenter (klynger), og en simpel tilfældig stikprøve af klyngerne er udvalgt. Data indsamles derefter fra alle enheder inden for hver udvalgt klynge. For eksempel for en stikprøve af studerende i en by ville et antal af skoler blive udvalgt ved brug af den tilfældige udvælgelsesmetode, hvorefter studerende fra hver udvalgt skole ville blive inkluderet.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Sandsynlighed: Klynge: Simpel tilfældig','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',257),(2206,'Målpopulationen er opdelt i naturligt forekommende segmenter (klynger); Dernæst er disse opdelt i gensidigt udelukkende strata og en tilfældig stikprøve af klynger er udvalgt fra hver klynge. Data indsamles derefter fra alle enheder inden for hver udvalgt klynge. For eksempel for en stikprøve af studerende i en by ville skolerne blive opdelt i to strata efter skoletype (privat eller offentlig); skoler ville derefter blive tilfældigt udvalgt fra hvert stratum, og alle eleverne fra hver udvalgt skole ville blive inkluderet.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Sandsynlighed: Klynge: Stratificeret tilfældig','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',257),(2207,'Stikprøveudvælgelse udføres i trin ved brug af mindre og mindre enheder for hvert trin, og alle trin involverer en sandsynlighedsudvælgelse. Typen af procedure for sandsynlighedsstikprøveudvælgelse kan være forskellig for hvert trin. For eksempel for en stikprøve af studerende i en by er skoler tilfældigt udvalgt i det første trin. En tilfældig stikprøve af klasser inden for hver udvalgt skole udtrækkes i det andet trin. Studerende udvælges derefter tilfældigt fra hver af disse klasser i det tredje trin. ','Probability.Multistage','Probability',10,NULL,1998,'Sandsynlighed: Flertrin','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',257),(2208,'Udvælgelsen af enheder (individer, husholdninger, organisationer etc.) fra målgruppepopulationen er ikke baseret på tilfældig udvælgelse. Det er ikke muligt at bestemme sandsynligheden for hvert element i forhold til at blive udvalgt. Anvend dette bredere udtryk, hvis den specifikke type af ikke-sandsynlighed ikke er kendt, vanskelig at identificere eller hvis flere ikke-sandsynlighedsmetoder anvendes.','Nonprobability',NULL,11,NULL,1999,'Ikke-sandsynlighed','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',257),(2209,'Stikprøveudvælgelsen er baseret på enhedernes tilgængelighed/relative lethed af adgang. De er måske lette at tilgå eller kan selv vælge at deltage i undersøgelsen (selvudvælgelse). Forskere kan måske have en bestemt målgruppe i tankerne, men de kontrollerer ikke mekanismerne for stikprøveudvælgelsen. For eksempel kan studerende, der forlader en bestemt bygning på campus, blive opsøgt, eller individer kan frivilligt deltage som svar på invitationer, der ikke er målrettet dem specifikt, men en større gruppe, som de kan tilhøre. Også kaldt ”bekvemmeligheds-” eller ”mulighedsstikprøveudvælgelse”. ','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Ikke-sandsynlighed: Tilgængelighed','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',257),(2210,'Stikprøveenheder er specifikt identificeret, udvalgt og kontaktet for de oplysninger, de kan give om det undersøgte emne. Udvælgelsen er baseret på forskellige karakteristika for den uafhængige og/eller afhængige variable under undersøgelse og beror sig forskernes vurdering. Undersøgelsens forfattere, eller personer, der er autoriseret af dem, har kontrol over mekanismen for stikprøveudvælgelse, og universet er defineret i henhold til udvælgelseskriterierne. Også kaldet ”vurderingsstikprøveudvælgelse”. For eksempel kan en medicinsk forsker med vilje udvælge individer, der er ens i de fleste henseender, undtagen på resultatet af forskningsemnet, der kan være en specifik sygdom. Nogle typer af formålsbestemt stikprøveudvælgelse er typisk/afvigende cases, homogen/maksimum variation-, ekspert- eller kritisk caseudvælgelse. ','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Ikke-sandsynlighed: Formålsbestemt','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',257),(2212,'Stikprøveenheder idenficeres i en målpopulation med hjælp fra enheder, der allerede er udvalgt (tilpasset fra ”Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014.) Et typisk tilfælde er snowball stikprøveudvælgelse, hvor en forsker identificerer en gruppe af enheder, der passer til et bestemt kvalifikationskriterium. Sidstnævnte bliver bedt om at rekruttere andre medlemmer af samme population, der opfylder de samme kvalifikationskriterier (stikprøveudvælgelse af specifikke populationer, såsom migranter mm.) ','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Ikke-sandsynlighed: Respondentassisteret','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',257),(2213,'Stikprøvedesign, der kombinerer sandsynlighed og ikke-sandsynlighedsbaseret stikprøveudvælgelse inden for den samme stikprøveudvælgelsesproces. Forskellige typer af stikprøveudvælgelse kan anvendes på forskellige trin i skabelsen af stikprøven. For eksempel i en stikprøve for minoritetsstuderende i en by er skoler tilfældigt udvalgt i første fase. Derefter udvælges en kvotestikprøve af studenter inden for hver skole i anden fase. Hvis separate stikprøver udvælges fra den samme målgruppepopulation ved brug af forskellige stikprøveudvælgelsesmetoder, skal typen af stikprøveudvælgelsesprocedure for hver stikprøve klassificeres separat.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Blandet sandsynlighed og ikke-sandsynlighed','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',257),(2214,'Anvend, hvis procedure for stikprøveudvælgelse er kendt, men ikke findes på listen.','Other',NULL,17,NULL,2005,'Andet','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',257),(2215,'','Demography',NULL,0,NULL,2010,'BEVÖLKERUNGSSTATISTIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',259),(2216,'Unter Morbidität wird die Krankheitshäufigkeit innerhalb einer Bevölkerungsgruppe verstanden. Daten können sich auf das Vorkommen oder die Morbiditätsrate einer Krankheit beziehen, zum Beispiel die Anzahl der an Lungenkrebs leidenden Personen in einem Land im Zeitraum eines Jahres. Daten zur Mortalität geben die Anzahl der Todesfälle in einer Bevölkerungsgruppe nach Ort, Zeit, Ursache, Personengruppe o.ä. an. Beispiele sind Müttersterblichkeit und Säuglingssterblichkeit. Für Mikrodaten zu Krankheiten und Gesundheitsproblemen bitte die entsprechenden Unterklassen der Klasse GESUNDHEIT verwenden.','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'Morbidität und Mortalität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',259),(2217,'Befragungen der Gesamtbevölkerung, im Gegensatz zu Stichprobenbefragungen. In der Regel ist der Zweck eine offizielle Erhebung der Bevölkerungszahl, üblicherweise bei gleichzeitiger Erhebung weiterer demographischer Informationen. In manchen Ländern sind Volkszählungen nicht üblich, da entsprechende demographische Informationen der offiziellen Statistik bzw. amtlichen Verzeichnissen entnommen werden können.','Demography.Censuses','Demography',1,NULL,2012,'Volkszählungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',259),(2218,'Beinhaltet Immigration, Emigration, Binnenmigration sowie andere Formen geographischer Mobilität. Immigration bedeutet, in einem anderen als dem Heimatland sesshaft zu werden. Emigration bedeutet, das Heimatland zu verlassen, um in einem anderen Land sesshaft zu werden. Der Begriff Migration umfasst beide Sachverhalte. Migration schließt auch Binnenmigration ein, das heißt Mobilität innerhalb eines Landes, zwischen Regionen, Kommunen etc.','Demography.Migration','Demography',2,NULL,2013,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',259),(2219,'','Economics',NULL,4,NULL,2014,'WIRTSCHAFT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',259),(2220,'Wirtschaftliche Indikatoren geben an, in welche Richtung sich eine Volkswirtschaft bewegt. Dazu gehören zum Beispiel Bruttoinlandsprodukt, Arbeitslosenquote, Inflations- und Zinsrate, Konsum- und Investitionsaktivitäten, Verschuldungsrate. Die Klasse umfasst auch die erhobene oder erfasste wirtschaftliche Lage von Individuen und Haushalten.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'Wirtschaftliche Lage und Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',259),(2221,'Bezieht sich auf den Vorgang, dass etwas erworben und/oder verwendet wird, um Bedürfnisse und Wünsche einer Person, Gemeinschaft oder Gesellschaft zu erfüllen. Diese Klasse umfasst auch Daten zu (Wandel in) Konsummustern und zu ethischen Aspekten des Konsums. Erfasst ist davon zum Beispiel, wie häufig Personen bestimmte Produkte kaufen, wann und wo sie einkaufen und ob ethische Überlegungen ihre Konsumentscheidungen beeinflussen.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'Konsum und Konsumverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',259),(2222,'Daten zu Wirtschaftspolitik, einschließlich Haushalts- und Finanzpolitik, Staatsausgaben und Staatseinnahmen.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'Wirtschaftspolitik, öffentliche Ausgaben und Einnahmen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',259),(2223,'Zu verwenden für Studien zu persönlichem Vermögenszuwachs, einschließlich Einkommen, Vermögen, Geldanlagen und Ersparnisse.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'Einkommen, Vermögen und Geldanlagen / Sparen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',259),(2224,'Zu verwenden für Studien über kapitalistische, sozialistische oder andere volkswirtschaftliche Systeme. Auch für Studien, die beispielsweise internationale Entwicklungsprogramme untersuchen.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'Wirtschaftssysteme und wirtschaftliche Entwicklung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',259),(2225,'','Education',NULL,10,NULL,2020,'BILDUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',259),(2226,'Bildung in der Pflichtschulzeit bezieht sich auf eine gesetzlich vorgegebene Bildungsphase, die alle in einem Land lebenden Personen absolvieren müssen. Vorschulerziehung bezieht sich auf Betreuungs- und Bildungsangebote vor der Pflichtschulzeit. Verwenden Sie diese Klasse für Daten zu Vorschulzeiten (ISCED-Level 0) und Bildungszeiten in der Primarstufe (ISCED-Level 1) sowie Sekundarstufe I (ISCED-Level 2). Davon erfasst sind Daten zu Schülerinnen und Schülern, Lehrerinnen und Lehrern, Unterrichtsfächern, vermittelte Kompetenzen, Einrichtungen usw.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'Vorschulerziehung und Bildung in der Pflichtschulzeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',259),(2227,'Höhere Bildung umfasst Allgemeinbildung im Rahmen der ISCED-Level 3 (Sekundarstufe II) und 4 (postsekundare Bildung) sowie tertiäre Bildung (ISCED-Level 5). Dazu gehören gymnasiale Oberstufen, Abendgymnasien, Kollegs sowie Universitäten, Fachhochschulen und Berufsakademien. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für Berufsausbildung im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Berufsausbildung\' verwenden.','Education.HigherAndFurther','Education',12,NULL,2022,'Höhere Bildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',259),(2228,'Berufsausbildung bezieht sich auf Bildungsprogramme, in denen Lernenden das Wissen, die Fertigkeiten und die Kompetenzen für einen bestimmten Beruf, ein bestimmtes Gewerbe oder eine bestimmte Branche vermittelt werden. Die Klasse umfasst Berufsausbildungen im Rahmen der ISCED-Level 3 und 4, einschließlich Lehrberufe. Dazu gehört sowohl die Ausbildung an Berufsfachschulen, als auch die duale Ausbildung an Berufsschulen und in Betrieben. Im Rahmen des Dualen Systems hat die Berufsausbildung sowohl schulische, als auch betriebspraktische Elemente. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für allgemeinbildende Programme im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Höhere Bildung und Weiterbildung\' verwenden.','Education.VocationalAndTraining','Education',13,NULL,2023,'Berufsausbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',259),(2229,'Lebenslanges Lernen bezieht sich auf Bildungsangebote unterschliedlicher Art für Erwachsene, die den formalen Bildungsweg bereits absolviert haben. Erwachsene nehmen diese Bildungsangebote zum Beispiel wahr, um ihre Kompentenzen und Qualifikationen zu verbessern, zur beruflichen Neuorientierung (Umschulung) oder einfach um sich mehr Wissen anzueignen. Lebenslanges Lernen bezieht sich nicht zwingend auf Bildungsangebote, die zu einer bestimmten Qualifikation oder einem Abschluss oder zu einer beruflichen Fortbildung führen.','Education.LifelongContinuing','Education',14,NULL,2024,'Lebenslanges Lernen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',259),(2230,'In der Bildungspolitik werden in Bezug auf Bildung und Bildungsversorgung Strategien und Regelungen diskutiert, Entscheidungen getroffen sowie Richtlinien auf nationaler, regionaler oder lokaler Ebene umgesetzt. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Education.EducationalPolicy','Education',15,NULL,2025,'Bildungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',259),(2231,'','Health',NULL,16,NULL,2026,'GESUNDHEIT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',259),(2232,'Die Klasse bezieht sich auf die Verfügbarkeit und Qualität von Dienstleistungen, Einrichtungen und Personal im Gesundheitsbereich sowie auf wirtschaftliche und politische Entscheidungen und Regelungen zu Medizin und Gesundheitswesen auf nationaler, regionaler oder lokaler Ebene. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'Gesundheitswesen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',259),(2233,'Daten zu einzelnen Krankheiten, Störungen oder Syndromen (etwa entsprechend ICD-10). Zum Beispiel medizinische Forschung zu den Ursachen von Diabetes oder Forschung zur physischen und psychischen Genesung nach Herz-OPs.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'Spezifische Krankheiten, Störungen und Gesundheitsprobleme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',259),(2234,'Daten zu anatomischen oder physiologischen Befunden und objektiven oder subjektiven Anzeichen von Erkrankungen oder Symptomen, die nicht als Krankheit oder Syndrom eingeordnet werden (in solchen Fällen bitte die Klasse \'Spezifische Krankheiten, Störungen und Gesundheitsprobleme\' verwenden). Davon erfasst sind klinische Anzeichen, die entweder objektiv von medizinisch ausgebildeten Personen oder subjektiv durch Betroffene wahrgenommen werden. Beispiele sind Schmerzen, Durchfall, Ausschlag, Beinlängendifferenz, Schlafstörungen, Zähneknirschen, Entzündung, Herzrhythmusstörung.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'Krankheitszeichen, Symptome und krankhafte Befunde','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',259),(2235,'Verwundungen und Verletzungen, sowohl physisch, als auch psychisch, verursacht entweder durch Unfälle oder Gewalteinwirkung (durch aggressives Verhalten eines Einzelnen oder einer Gruppe). Für arbeitsbezogene Verwundungen und Verletzungen bitte die Klasse \'Arbeitsmedizin\' verwenden.','Health.WoundsAndInjuries','Health',20,NULL,2030,'Verwundungen und Verletzungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',259),(2236,'Bezieht sich auf die Therapie von Krankheiten oder auf Maßnahmen, die Krankheiten vorbeugen sollen. Gemeint ist hier die individuelle Patientenversorgung sowie Forschung zu medikamentösen und sonstigen Therapien. Umfasst beispielsweise Daten zu chirurgischen Verfahren, Rehabilitation, Arztbesuchen, Physiotherapie, Manuelle Therapie, Pflege im Krankenhaus oder zuhause, Psychotherapie, Medikation.','Health.MedicationAndTreatment','Health',21,NULL,2031,'Medizinische Behandlung und Medikation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',259),(2237,'Daten zu allgemeinem Wohlbefinden oder Gesundheitszustand eines Individuums, einer Gruppe oder einer Population, entweder objektiv gemessen/beobachtet oder selbst empfunden. Wohlbefinden umfasst beispielsweise körperliche und geistige Leistungsfähigkeit und Verfassung sowie die soziale Situation.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'Allgemeine Gesundheit und Wohlbefinden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',259),(2238,'Umfasst die Vorbeugung und Überwachung von Krankheiten und Behinderungen sowie die Förderung körperlicher und geistiger Gesundheit der Bevölkerung auf internationaler, nationaler, regionaler oder lokaler Ebene. Zum Beispiel Maßnahmen zur Gesundheitsförderung und Krankheitsprävention; Wirkung von Public-Health-Programmen; Bewältigung lokaler, nationaler oder globaler Gesundheitsprobleme; Verbreitung und Auswirkung von Krankheiten, Gesundheitsproblemen oder Erregern; Ausbruch von Krankheiten.','Health.Public','Health',23,NULL,2033,'Öffentliche Gesundheit / Public Health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',259),(2239,'Die Reproduktionsmedizin befasst sich mit den Vorgängen, den Funktionen und dem System der Fortpflanzung in allen Lebensphasen. Umfasst Daten zu Schwangerschaft, Geburt, Familienplanung, Empfängnis, Abtreibung und Menopause.','Health.Reproductive','Health',24,NULL,2034,'Reproduktionsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',259),(2240,'Daten zu Gefährdungen am Arbeitsplatz, arbeitsbezogenen Erkrankungen, Sicherheit am Arbeitsplatz, Krankheitstagen, Arbeitsfähigkeit und Arbeitsunfähigkeit, Berufsunfähigkeitsrenten.','Health.Occupational','Health',25,NULL,2035,'Arbeitsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',259),(2241,'Gesundheitsverhalten ist individuelles Verhalten (inklusive Lebensstil), das die Gesundheit beeinflusst, schützt, erhält oder fördert. Das Gesundheitsverhalten steht in enger Verbindung zur Lebensweise, die wiederum von sozioökonomischen Faktoren, Bildung und Kultur beeinflusst wird. Umfasst Daten zu Ernährungsweisen, Essgewohnheiten und messbaren Ernährungsparametern; Daten zur allgemeinen körperlichen Fitness von Personen, zu deren körperlicher Aktivität und sportlicher Betätigung; Daten zu Drogen-, Alkohol- oder sonstigem Substanzkonsum, einschließlich Rauchen.','Health.HealthBehaviour','Health',26,NULL,2036,'Gesundheitsverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',259),(2242,'Diese Hauptklasse bitte mit einer jeweils inhaltlich passenden Klasse kombinieren. Zum Beispiel \'Arbeitsbedingungen\' und \'Gesundheitswesen\' zusammen mit \'GESCHICHTE\' für Daten zur Arbeitsumgebung von Hausärzten in den 1960er Jahren. Die Hauptklasse \'GESCHICHTE\' sollte nur in solchen Fällen alleine verwendet werden, für die keine weitere inhaltlich passende Klasse vorhanden ist.','History',NULL,27,NULL,2037,'GESCHICHTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',259),(2243,'','HousingAndLandUse',NULL,28,NULL,2038,'WOHNRAUM UND FLÄCHENNUTZUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',259),(2244,'Daten zur Wohnraumsituation in einem Gebiet, einschließlich Versorgung mit sozialem Wohnungsbau sowie Verfügbarkeit und Kosten von Wohnraum. Wohnraum schließt Haupt-, Zweit- und Ferienwohnungen bzw. -häuser ein.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'Wohnraum','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',259),(2245,'Bezieht sich sowohl auf die Planung der Raum- oder Flächennutzung, als auch auf die Nutzung selbst. Raumplanung bezieht sich auf Vorgänge, die eine optimale und nachhaltige Nutzung von Flächen in ländlichen und städtischen Umgebungen sicherstellen sollen.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'Flächennutzung und Raumplanung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',259),(2246,'','LabourAndEmployment',NULL,31,NULL,2041,'ARBEIT UND BESCHÄFTIGUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',259),(2247,'Daten zu Beschäftigungsquoten und -statistiken, zum Arbeitsmarkt, zu offenen Stellen, zur Arbeitssuche, zu Tätigkeitsmerkmalen, zur Beschäftigung bestimmter Gruppen (z.B. Beschäftigung von Jugendlichen oder Minderheiten), Arbeitsvermittlung und Karriere. Für Daten zu Löhnen und Gehältern bitte die Klasse \'Arbeitsbedingungen\' verwenden.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'Beschäftigung und Erwerbstätigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',259),(2248,'Daten zu Arbeitslosenquoten und -statistiken, zu Beschäftigungsprogrammen und Arbeitsbeschaffungsmaßnahmen, zu Dauer und Häufigkeit individueller Arbeitslosigkeit, zu sozialen und psychologischen Auswirkungen von Arbeitslosigkeit usw.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'Arbeitslosigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',259),(2249,'Umfasst Daten zu allen Formen des Ruhestands, etwa auch zu Altersteilzeit, zum Rentenalter und zum Frühruhestand.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'Ruhestand','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',259),(2250,'Unternehmensinterne Weiterbildung bzw. vom Unternehmen finanzierte Weiterbildungsmaßnahmen für Beschäftigte. Berufliche Weiterbildung hat die Verbesserung der Fertigkeiten und Kompetenzen der Beschäftigten zum Ziel. Für Berufsausbildungen, z.B. nach dem Dualen System, bitte die Klasse \'Berufsausbildung\' verwenden.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'Berufliche Weiterbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',259),(2251,'Beziehungen zwischen Arbeitgebern und Arbeitnehmern.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'Arbeitsbeziehungen und Arbeitskonflikte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',259),(2252,'Arbeitsbedingungen sind die Bedingungen, unter denen Beschäftigte arbeiten. Zum Beispiel Vertragsarten, Arbeitszeiten (Stundenzahl, Pausenzeiten, Arbeitspläne, Überstunden), Löhne und Gehälter, körperliche Aspekte und geistige Herausforderungen der Arbeit, Rechte und Pflichten der Beschäftigten, Arbeitsbelastung, Einflussmöglichkeiten der Beschäftigten, Urlaubsansprüche, physische Arbeitsumgebung. Für Daten zur Sicherheit am Arbeitsplatz bitte auch die Klasse \'Arbeitsmedizin\' verwenden.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'Arbeitsbedingungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',259),(2253,'Daten zu Beschäftigungspolitik in Bezug auf industrielle Beziehungen, den Arbeitsmarkt sowie Gleichbehandlung und Diskriminierung bei der Arbeit. Auf nationaler Ebene schließt Beschäftigungspolitik die Einflussnahme auf Arbeitsplatznachfrage und -angebot und das Funktionieren des Arbeitsmarkts ein. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'Beschäftigungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',259),(2254,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'GESETZ, KRIMINALITÄT UND RECHTSSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',259),(2255,'Daten zu internationaler oder nationaler Gesetzgebung (Legislative), zu Verwaltungsvorschriften, zur Judikative (Einfluss und Aktivitäten der Gerichte), zu alternativer Streitbeilegung und Wiedergutmachung sowie zu Strafen.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'Gesetzgebung und Rechtssysteme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',259),(2256,'Daten zu Kriminalität, Kriminalitätsbekämpfung, Opfern von Straftaten, Straftätern, Polizei, Geheimdienst, Justizvollzuganstalten (z.B. Gefängnisse, Jugendarrestanstalten), Grenzkontrollen und Zöllen, einschließlich Daten zu den entsprechenden Einrichtungen und den dort Beschäftigten.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'Kriminalität und Gesetzesvollzug','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',259),(2257,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'MEDIEN, KOMMUNIKATION UND SPRACHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',259),(2258,'Daten mit Bezug zu jeglicher Form von Massenmedien. Zum Beispiel gedruckte oder Online-Zeitungen, Zeitschriften, Fernsehen und Radio. Für Soziale Medien bitte die Klasse \'Informationsgesellschaft\' verwenden.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'Medien','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',259),(2259,'Öffentlichkeitsarbeit beinhaltet Maßnahmen zur Erhaltung oder Verbesserung des Rufs (Image) von Individuen, Unternehmen, Organisationen und Regierungen, zum Beispiel durch Werbemaßnahmen, Lobby-Arbeit usw.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'Öffentlichkeitsarbeit / Public Relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',259),(2260,'Die Klasse bezieht sich auf die wirtschaftlich, politisch oder kulturell relevante Generierung, Verbreitung, Nutzung, Integration und Verarbeitung von Information. Umfasst beispielsweise Daten zu e-Commerce (Internethandel), e-Government, Sozialen Medien, Mobilen Empfangsgeräten, Internetzugang und -nutzung, Datenschutz, Informations- und Bibliotheksressourcen. Für einzelne Technologien bitte die Klasse \'Informations- und Kommunikationstechnologie\' verwenden.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'Informationsgesellschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',259),(2261,'Daten zu sprachwissenschaftlichen Studien und Analysen, Soziolinguistik, Sprachregelungen, individuelle Sprachkenntnisse, auf der Arbeit und zuhause gesprochene Sprachen, Einstellungen zu Minderheitensprachen usw.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'Sprache und Sprachwissenschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',259),(2262,'','NaturalEnvironment',NULL,47,NULL,2057,'UMWELT UND NATUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',259),(2263,'Die Klasse umfasst Fragen der Umweltzerstörung und -verschmutzung, des Umweltschutzes, des Klimawandels, des Hochwasserschutzes und der Bodenerosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'Umweltschutz und Naturschutz','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',259),(2264,'Natürliche Rohstoffquellen sind Güter wie Land, Wälder, Energiequellen, Wasser oder Mineralien, die in der Natur vorkommen und verarbeitet oder konsumiert werden können. Energiequellen sind fossile Brennstoffe wie Öl, Erdgas oder Kohle sowie Kernkraft, Sonne, Gezeiten und Wind oder erneuerbare organische Energiequellen.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'Energiequellen und natürliche Rohstoffquellen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',259),(2265,'Bezieht sich auf Haustiere, Nutztiere und wilde Tiere sowie auf alle Arten von Pflanzen (z.B. Blumen, Bäume, Moos, Gemüse).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'Pflanzen und Tiere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',259),(2266,'Naturlandschaften sind Landschaften und Bestandteile von Landschaften, die nicht von Menschen verändert oder beeinflusst wurden.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'Naturlandschaften','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',259),(2267,'','Politics',NULL,52,NULL,2062,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',259),(2268,'Daten zu parteipolitischen Einstellungen, zu politischem Engagement und politischer Teilhabe, zu Wahlverhalten und zur Zufriedenheit mit der Regierung. Für Wahlverhalten bitte zusätzlich die Klasse \'Wahlen\' vergeben. Für Daten zu einzelnen Doktrinen bitte die Klasse \'Politische Ideologie\' verwenden.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'Politisches Verhalten und politische Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',259),(2269,'Daten zu Wahlen, Volksabstimmungen, Wahlkampagnen, Wahlergebnissen, Kandidatinnen und Kandidaten, Wahlempfehlungsanwendungen, Wahlkampffinanzierung usw. Für Wahlverhalten bitte zusätzlich die Klasse \'Politisches Verhalten und politische Einstellungen\' vergeben.','Politics.Elections','Politics',54,NULL,2064,'Wahlen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',259),(2270,'Politische Ideologie umfasst Ideen, Ideale und Theorien zu Regierungs- und Gesellschaftsformen bzw. deren Organisation. Bedeutende politische Ideologien sind Anarchie, Demokratie, Liberalismus, Konservatismus usw.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'Politische Ideologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',259),(2271,'Die Klasse bezieht sich auf Angelegenheiten nationaler, regionaler und lokaler politischer institutionen (z.B. Regierung, Parlament, Lokalregierungen), öffentliche Verwaltung und andere politische Organisationsformen wie politische Parteien. Zum Beispiel Daten zur Regierungspolitik, zu politischen Parteien und deren Politik, zu Führungspersonen politischer Parteien oder zum Vertrauen in Regierungsinstitutionen. Je nach Thema muss diese Klasse möglicherweise mit einer anderen kombiniert vergeben werden.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'Regierung, politische Systeme, Parteien und Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',259),(2272,'Die Klasse umfasst Global Governance, Diplomatie, Außenpolitik, internationale Beziehungen, internationale Organisationen (z.B. EU, WHO, UN, WTO) und internationale Abkommen.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'Internationale Politik und Internationale Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',259),(2273,'Die Klasse bezieht sich auf innere und internationale Sicherheit, innere und internationale Konflikte, Krieg und Frieden, Verteidigung und Streitkräfte (Militär). Für Daten zum Thema Polizei verwenden sie bitte die Klasse \'Kriminalität und Gesetzesvollzug\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'Konflikte, Sicherheit und Frieden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',259),(2274,'','Psychology',NULL,59,NULL,2069,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',259),(2275,'','ScienceAndTechnology',NULL,60,NULL,2070,'WISSENSCHAFT UND TECHNIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',259),(2276,'Bezieht sich auf Informations- und Kommunikationstechnologie die zuhause, am Arbeitsplatz oder in anderen sozialen Situationen zum Einsatz kommt. Für Anwendung und Auswirkungen dieser Technologien bitte die Klasse \'Informationsgesellschaft\' verwenden.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'Informations- und Kommunikationstechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',259),(2277,'Einsatz von Prozessen auf biomolekularer und zellularer Ebene zum Zweck der Entwicklung neuer Produkte und technischer Verfahrensweisen.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',259),(2278,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'SOZIALE SCHICHTUNG UND GRUPPIERUNGEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',259),(2279,'Diese Klasse bezieht sich auf Studien die untersuchen, inwiefern sich Individuen oder Gruppen einer Gesellschaft in Bezug auf Status und Chancengleichheit unterscheiden. Gleichheit wird beispielsweise in Bezug auf Bildung, (finanzielles) Vermögen, Einkommen, berufliche Stellung, Macht, Prestige, Arbeitsbedingungen, Freizeit, Zugang zu Dienstleistungen und soziale Beziehungen untersucht. Marginalisierung und soziale Ausgrenzung (Exklusion) können aus systematischer Benachteiligung in unterschiedlichen Lebensbereichen resultieren. Betroffenen fehlt es möglicherweise an Rechten, Chancen, Mitteln (Resourcen) und sozialer Integration. Beispiele für Daten sind: Statistiken zu Einkommensunterschieden; Studien zu wahrgenommener, gruppenbezogener Diskriminierung (z.B. gegenüber Fremden, Obdachlosen, Asylsuchenden); Studien zu wahrgenommenen Unterschieden zwischen Männern und Frauen in Bezug auf Mögichkeiten, führende Rollen in der Politik einzunehmen; Studien zum Einfluss elterlicher Arbeitslosigkeit auf soziale Beziehungen und das Bildungsniveau ihrer Kinder.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'Gleichheit, Ungleichheit und soziale Ausgrenzung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',259),(2280,'Die Klasse bezieht sich auf soziale und berufliche Mobilität von Individuen, Familien oder Gruppen im Zeitverlauf. Dazu gehören horizontale Mobilität (Positionswechsel ohne Statuswechsel) und vertikale Mobilität (statusbezogene Auf- oder Abwärtsbewegung). Beispiele: Arbeiter und Arbeiterinnen aus verschwindenden Industriezweigen wechseln in andere Industriezweige (horizontale berufliche Mobilität); Kinder aus armen Familien erreichen eine höhere soziale Schicht als ihre Eltern (vertikale zwischengenerationale soziale Mobilität).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'Soziale und berufliche Mobilität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',259),(2281,'Die Klasse umfasst: Geschlechtsidentität; Geschlechterrepräsentationen (z.B. Repräsentation der Geschlechter in Entscheidungsgremien, in den Medien, in der Literatur usw.); soziale, kulturelle und psychologische Eigenschaften, die männlich oder weiblich assoziiert sind; Frauenforschung; Männerforschung; erwartetes Verhalten und erwartete Entscheidungen in Bezug auf Geschlechterrollen sowie die Auswirkungen solcher Erwartungen.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'Geschlecht und Geschlechterrollen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',259),(2282,'Die Klasse bezieht sich auf die Themen Familie, Verwandschaft, Generationen und Haushaltszusammensetzung. Beispiele: Daten zur Kindererziehung; Arbeitsaufteilung in der Familie; Unterstützung für Familienmitglieder.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'Familie und Ehe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',259),(2283,'Wenn ein bestimmter Aspekt der Jugend untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'Jugend','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',259),(2284,'Wenn ein bestimmter Aspekt des Alters untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'Ältere Menschen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',259),(2285,'Wenn ein bestimmter Aspekt der Kindheit untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'Kinder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',259),(2286,'Gruppen von Individuen, die sich von der Mehrheit der Bevölkerung in irgendeiner Weise unterschieden. Unterscheidungsmerkmale sind zum Beispiel Ethnien, Religion, Gesundheit, sexuelle Orientierung, Muttersprache und Kultur. Für bestimmte Minderheitenthemen kann es sinnvoll sein, zusätzlich eine weitere Klasse zu vergeben, zum Beispiel \'Gleichheit, Ungleichheit und soziale Ausgrenzung\' oder \'Sprache und Sprachwissenschaft\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'Minderheiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',259),(2287,'Erfasst Studien zu Existenz, Rolle und Einfluss von Eliten in einer Gesellschaft. Eliten sind Personen oder Gruppen, die viel Macht oder Einfluss auf Gesellschaft, Politik, Wohlstandsverhältnisse usw. ausüben. Sie tun dies entweder durch Entscheidungen oder beispielsweise auch dadurch, dass sie ihren Vorstellungen oder Gefühlen Ausdruck verleihen bzw. für diese einstehen. Eingeschlossen sind alle Themen mit Bezug zu einflussreichen Personen in allen Gesellschaftsbereichen, zum Beispiel zu politischen Entscheidungsträgerinnen und Entscheidungsträgern, Führungspersonen politischer Parteien, einflussreichen Kunstschaffenden und Medienprominenz (auch aus den sozialen Medien).','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'Eliten und Führungspersönlichkeiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',259),(2288,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'SOZIALPOLITIK, SOZIALFÜRSORGE UND SOZIALSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',259),(2289,'Sozialpolitik bezieht sich auf Entscheidungen und die Umsetzung von Richtlinien zur Sozialfürsorge, etwa zu deren Finanzierung und Verfügbarkeit, sowohl auf nationaler und regionaler, als auch auf lokaler Ebene. Mögliche Inhalte: Wem stehen welche Sozialleistungen und Hilfen zu und auf welcher Grundlage; Höhe von Sozialleistungen; wer kann Fürsorge leisten. Beispiele: eine Regelung, die vorgibt, dass ältere Menschen so lange zuhause gepflegt werden sollen wie möglich; eine Regelung, die festlegt, wie lange Anspruch auf Arbeitslosengeld besteht. Für bereits implementierte Gesetze und Regelungen bitte zusätzlich die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'Sozialpolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',259),(2290,'Die Klasse bezieht sich auf die tatsächliche Leistung der Sozialfürsorge; wer setzt die Sozialfürsorge in der Praxis um und in welchem Umfang; wie sind die Leistungen konkret aufgebaut. Beispiel: Fragen dazu, wie eine Kommunalverwaltung die lokale Altenpflege organisiert.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'Sozialsysteme und Strukturen der Sozialfürsorge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',259),(2291,'Beispiele für Daten in dieser Klasse sind: Angaben zum Umfang der Inanspruchnahme spezifischer Sozialleistungen; Meinungen zur Angemessenheit, Zugänglichkeit und Verfügbarkeit einzelner Leistungen; allgemeine Zufriedenheit mit den Leistungen. Zum Beispiel werden zum Thema der Inanspruchnahme von Leistungen durch eine Personengruppe (z.B. ältere Menschen) sowohl Befragungen dieser Personen, als auch Auswertungen von Statistiken zu diesen Leistungen von dieser Klasse erfasst.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'Inanspruchnahme sozialer Dienstleistungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',259),(2292,'','SocietyAndCulture',NULL,77,NULL,2087,'GESELLSCHAFT UND KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',259),(2293,'Umfasst Daten zu Sozialverhalten, sozialer Interaktion und sozialen Netzwerken, sozialer Verantwortung, sozialen Normen und Regeln sowie Einstellungen zu diesen Themen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'Soziales Verhalten und soziale Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',259),(2294,'Diese Klasse umfasst alle Aspekte der Lebensqualität und des Wohlbefindens auf individueller sowie gesellschaftlicher Ebene und wie diese Aspekte wahrgenommen werden. Je nachdem, welcher Aspekt in einer Studie untersucht wird, muss möglicherweise noch eine weitere Klasse vergeben werden, zum Beispiel \'Gesundheit und Wohlbefinden\', \'Gleichheit und Ungleichheit\', \'Wirtschaftliche Lage und Indikatoren\', \'Soziale Ausgrenzung\' usw.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'Soziale Lage und soziale Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',259),(2295,'Aktive oder passive Teilnahme an jeglicher kultureller Aktivität sowie Einstellungen und Auffassungen zu diesen Aktivitäten.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'Kulturelle Aktivitäten und kulturelle Teilhabe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',259),(2296,'Umfasst Daten zur Identitätsbildung, zum persönlichen Selbstbild und zu Zugehörigkeitsgefühlen. Mit erfasst ist das Verhältnis von kultureller und nationaler Identität zur Selbstwahrnehmung (Repräsentanz) und die Einstufung anderer als nicht zur Eigengruppe gehörend (sog. Othering). Außerdem erfasst sind Gewohnheiten und Verhaltensweisen von sowie Einstellungen gegenüber Eigengruppen und Fremdgruppen.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'Kulturelle und nationale Identität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',259),(2297,'Die Klasse bezieht sich auf Entspannungsgewohnheiten, Freizeitaktivitäten und Hobbys. Dazu gehören das Verfolgen von Sportveranstaltungen, Teilnahme an Sportwettbewerben, Urlaubsreisen. Für Daten zu körperlicher Betätigung aus gesundheitlichen Gründen bitte die Klasse \'Gesundheitsverhalten\' verwenden.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'Freizeit, Tourismus und Sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',259),(2298,'Umfasst Daten zu Fragen religiösen Verhaltens, religiöser Bewegungen, Spiritualität, Moral und anderen Werten.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'Religion und Werte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',259),(2299,'Umfasst Daten zu verschiedenen Aspekten des Lebens in der Wohnumgebung oder städtischen bzw. ländlichen Gegenden. Erfasst sind auch Meinungen zu und Vorstellungen von der eigenen Wohngegend, städtischen und ländlichen Gegenden. Auch erfasst sind Dienstleistungen, Einrichtungen und Geschäftsgelegenheiten in der Wohnumgebung.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'Gemeinde, Wohnumgebung, Stadtleben und Landleben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',259),(2300,'Bezieht sich auf Daten zu Zeitanteilen, die Befragte für verschiedene Aktivitäten aufwenden.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'Zeitbudget','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',259),(2301,'Daten zu gesellschaftlichen Veränderungen, einschließlich Veränderungen in den Einstellungen.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'Sozialer Wandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',259),(2302,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'HANDEL, INDUSTRIE UND MÄRKTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',259),(2303,'Umfasst Daten zu Industrie und Betrieb wie zum Beispiel Management, Produktivität, Geschäftswachstum und -rückgang, Organisationsstruktur, Verwaltung, Investition in Forschung und Entwicklung, Märkte und Marktanteile.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'Management und Organisation von Betrieben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',259),(2304,'Diese Klasse bezieht sich auf landwirtschaftliche Produktion und alle ländlichen Gewerbe, zum Beispiel auch einschließlich Fischerei und Forstwirtschaft.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'Landwirtschaft und Agrarindustrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',259),(2305,'Umfasst Daten zum Austausch von Kapital, Waren oder Dienstleistungen über internationale Grenzen hinweg.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'Außenhandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',259),(2306,'Umfasst Daten zu jeglicher Art des Gütertransports sowie zu den Themen Pendeln, Öffentlicher Personennahverkehr (Zug-, Bus-, U-Bahn-Verkehr etc.) und städtische Verkehrsverbünde. Erfasst sind auch Daten zu Mobilitätsgewohnheiten, zum Beispiel grenzübergreifendes Einkaufen; Verkehrswege und -mittel, die genutzt werden, um ein Ziel zu erreichen. Für Urlaubs- und Freizeitreisen bitte die Klasse \'Freizeit, Tourismus und Sport\' verwenden.','TransportAndTravel',NULL,91,NULL,2100,'TRANSPORT UND REISEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',259),(2307,'Verwenden Sie diese Klasse für Themen, die keine eigene Klasse haben.','Other',NULL,92,NULL,2101,'SONSTIGES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',259),(2538,'','Demography',NULL,0,NULL,2010,'VÄESTÖ, VÄESTÖTILASTOT JA VÄESTÖNLASKENTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',258),(2539,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden väestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu siihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmantuvuus tietyssä maassa tai tietyllä maantieteellisellä alueella vuoden aikana. Kuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden lukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä maantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. lapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot terveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'sairastuvuus ja kuolleisuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',258),(2540,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan virallisista tilastoista.','Demography.Censuses','Demography',1,NULL,2012,'väestönlaskennat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',258),(2541,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,NULL,2013,'maahanmuutto,  maastamuutto ja sisäinen muuttoliike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',258),(2542,'','Economics',NULL,4,NULL,2014,'TALOUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',258),(2543,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. Tunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, työllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien velkaantumisaste, investoinnit, nnovaatiotoiminta. Termiä käytetään myös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien taloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'talouden tila ja tunnusluvut','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',258),(2544,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. Esimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset kuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. kuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he tekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin perustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'kulutus ja kuluttajakäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',258),(2545,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'talouspolitiikka, julkiset menot ja tulot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',258),(2546,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'tulot, omaisuus ja investoinnit/säästäminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',258),(2547,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä (kapitalistinen, sosialistinen, markkinatalous). Sisältää myös kehitysyhteistyöhon liittyvät aiheet.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',258),(2548,'','Education',NULL,10,NULL,2020,'KOULUTUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',258),(2549,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'esi- ja peruskoulu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',258),(2550,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin tutkintoihin johtavaan koulutukseen, mukaan lukien lukio, ammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta koulutuksesta käytetään termiä \'ammattillinen koulutus\'.','Education.HigherAndFurther','Education',12,NULL,2022,'toisen ja korkea-asteen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',258),(2551,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, oppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat ammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalAndTraining','Education',13,NULL,2023,'ammatillinen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',258),(2552,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon johtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla parantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain oppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. HUOM! Työpaikan antamasta tai maksamasta koulutuksestä käytetään termiä \'työpaikkakoulutus\'.','Education.LifelongContinuing','Education',14,NULL,2024,'täydennys- ja jatkokoulutus,  elinikäinen oppiminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',258),(2553,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen koulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos puhutaan olemassaolevista, koulutukseen liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',15,NULL,2025,'koulutuspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',258),(2554,'','Health',NULL,16,NULL,2026,'TERVEYS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',258),(2555,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka kansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa jo olemassaolevista, terveydenhoitoon liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja tarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'terveyspalvelut ja terveyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',258),(2556,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai terveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä lääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden potilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'tietyt taudit, sairaudet ja terveydentilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',258),(2557,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko objektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt taudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin diagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen pituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'terveydentilaan liittyvät oireet, löydökset ja patologiset tilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',258),(2558,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat ja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön liittyvistä loukkaantumisista ja vammoista, käytetään termiä \'työterveys\'.','Health.WoundsAndInjuries','Health',20,NULL,2030,'loukkaantumiset, haavat ja vammat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',258),(2559,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien ennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. Tutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat käsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien antamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, psykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,NULL,2031,'hoito ja lääkitys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',258),(2560,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi olla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai toimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen asukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'yleinen terveydentila ja hyvinvointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',258),(2561,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen terveydentilan edistäminen kansallisella, alueellisella tai kunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy. Esim. terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja terveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat tekijät.','Health.Public','Health',23,NULL,2033,'kansanterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',258),(2562,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.Reproductive','Health',24,NULL,2034,'perhesuunnittelu ja lisääntymisterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',258),(2563,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.Occupational','Health',25,NULL,2035,'työterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',258),(2564,'Tutkitaan käyttäytymismalleja, jotka vaikuttavat, haittaavat, ylläpitävät tai edistävät yksilöiden terveydentilaa. Myös näihin asioihin liittyvä elämäntyyli. Esimerkiksi ruokavalio ja ruokailutottumukset,fyysinen kunto, fyysinen aktiivisuus ja liikuntatottumukset, alkoholin ja muiden päihteiden käyttö ja tupakointi.','Health.HealthBehaviour','Health',26,NULL,2036,'terveyskäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',258),(2565,'Käytetään historiallisten aineistojen kohdalla sekä tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan päihteidenkäyttöä 1960-luvulla, käytetään sekä termiä \'historia\' että \'terveyskäyttäytyminen\'.','History',NULL,27,NULL,2037,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',258),(2566,'','HousingAndLandUse',NULL,28,NULL,2038,'ASUMINEN JA MAANKÄYTTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',258),(2567,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. Asumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä pääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'asuminen ja asunnot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',258),(2568,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'maankäyttö, suunnittelu ja kaavoitus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',258),(2569,'','LabourAndEmployment',NULL,31,NULL,2041,'TYÖVOIMA JA TYÖELÄMÄ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',258),(2570,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, tiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), työvoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä aiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'työllisyys ja työllistyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',258),(2571,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, työttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, työttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'työttömyys ja työttömät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',258),(2572,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, varhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle siirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'eläkkeelle siirtyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',258),(2573,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus . Ei sisällä työharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'työpaikkakoulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',258),(2574,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'työmarkkinasuhteet ja -järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',258),(2575,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, ylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja psyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, työmäärä, työntekijöiden osallistuminen päätöksentekoon, työn autonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta puhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'työolot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',258),(2576,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, tasa-arvo ja syrjintämääräyksiä, yövoiman kysyntää ja tarjontaa kansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo olemassaolevasta lainsäädännöstä ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'työvoima- ja työllisyyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',258),(2577,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',258),(2578,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset säädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta ja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'lainsäädäntö ja oikeusjärjestelmät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',258),(2579,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, rikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa mm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'rikollisuus ja lainvalvonta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',258),(2580,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'TIEDOTUS, VIESTINTÄ JA KIELI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',258),(2581,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut sanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! Sosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \'informaatioyhteiskunta\'.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'joukkoviestimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',258),(2582,'','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'mainonta, tiedotus- ja suhdetoiminta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',258),(2583,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio taloudellisena, polittisena ja kulttuurisena toimintana. Esimerkiksi verkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen media, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän tietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa varsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'tietoyhteiskunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',258),(2584,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'kielet ja kielitiede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',258),(2585,'','NaturalEnvironment',NULL,47,NULL,2057,'LUONTO JA YMPÄRISTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',258),(2586,'Sisältää mm. ympäristön saastumiseen, ympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'ympäristönsuojelu ja ympäristöongelmat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',258),(2587,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, vesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai kuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat energialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, vesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'energia- ja luonnonvarat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',258),(2588,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'kasvit ja eläimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',258),(2589,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'luonnonmaisemat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',258),(2590,'','Politics',NULL,52,NULL,2062,'POLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',258),(2591,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen poliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys päätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',258),(2592,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',54,NULL,2064,'vaalit, ehdokkaat ja kansanäänestykset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',258),(2593,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta voitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita ovat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'poliittiset ideologiat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',258),(2594,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen päätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, kunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja poliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten puolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan ja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen mukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',258),(2595,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset suhteet, kansainväliset järjestöt (esim. EU, YK, Maailman terveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset sopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'kansainvälinen politiikka ja järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',258),(2596,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset konfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. HUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja lainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'konfliktit, turvallisuus ja rauha','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',258),(2597,'','Psychology',NULL,59,NULL,2069,'PSYKOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',258),(2598,'','ScienceAndTechnology',NULL,60,NULL,2070,'TIEDE JA TEKNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',258),(2599,'Kotona, työpaikalla ja muualla käytettävä tieto- ja tietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos aiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'tietotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',258),(2600,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'biotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',258),(2601,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',258),(2602,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä sama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia esimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, vallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai sosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta asemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä esimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen integraation puutteesta. Aineistoesimerkkejä: tilastotiedot varallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä ryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus havaituista eroista naisten ja miesten mahdollisuuksissa kohota korkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten koulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'tasa-arvo, eriarvoisuus ja syrjäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',258),(2603,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja ammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli yhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai vertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin luokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä työskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen liikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon korkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen yhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'yhteiskunnallinen ja ammatillinen liikkuvuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',258),(2604,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. sukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä haastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; naisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset ominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja valinnoista ja niiden vaikutukset (esim. ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'sukupuoli ja sukuoliroolit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',258),(2605,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät aiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, perheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'perhe-elämä, avioliitto ja sukupolvet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',258),(2606,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'nuoret','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',258),(2607,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'ikääntyneet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',258),(2608,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'lapset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',258),(2609,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. Eroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, terveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. Huomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten \'tasa-arvo, eriarvoisuus ja syrjäytyminen\' \'uskonto ja arvot\' tai \'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'vähemmistöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',258),(2610,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja vaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri vaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, joko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden kautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, tunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'eliitit ja vaikuttajat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',258),(2611,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',258),(2612,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja päätökset kansallisella, alueellisella tai kunnallisella tasolla. Kenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on sosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää sosiaaliturvapalveluita.  Esimerkkejä: periaate, jonka mukaan ikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista tai päätös kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM! Puhuttaessa jo olemassaolevasta lainsäädännöstä, käytetään myös termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'sosiaalipolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',258),(2613,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä laajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä, kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'sosiaaliturvajärjestelmä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',258),(2614,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, mielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen tyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen käytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä vanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'sosiaalipalveluiden käyttö ja saatavuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',258),(2615,'','SocietyAndCulture',NULL,77,NULL,2087,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',258),(2616,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; sosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet näistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'sosiaalinen käyttäytyminen ja asenteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',258),(2617,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin liittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! Aiheesta riippuen myös termit \'yleinen terveydentila ja hyvinvointi\', \'tasa-arvo ja eriarvoisuus\', \'talouden tila ja tunnusluvut\', \'syrjäytyminen ja syrjintä\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'sosiaaliset olot ja indikaattorit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',258),(2618,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',258),(2619,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja kansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen \'ei kuulu meihin\' -joukkoon (toiseuttaminen). Erilaisten identiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä identiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'kulttuuri- ja kansallinen identiteetti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',258),(2620,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen. HUOM! Kuntoilusta puhuttaessa käytetään termiä \'terveyskäyttäytyminen\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'vapaa-aika, matkailu ja urheilu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',258),(2621,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin liikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään uskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'uskonto ja arvot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',258),(2622,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät aiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä maaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja liiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'lähiympäristö, kaupunki- ja maaseutuelämä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',258),(2623,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'ajankäyttö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',258),(2624,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'yhteiskunnallinen ja sosiaalinen muutos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',258),(2625,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',258),(2626,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja hallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'yritysten hallinto, johtaminen ja organisaatio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',258),(2627,'','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'maa- ja metsätalous, kalastus, maaseutuelinkeinot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',258),(2628,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'ulkomaankauppa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',258),(2629,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro jne), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen. Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten käytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan matkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,91,NULL,2100,'KULKEMINEN, KULJETUS JA LIIKENNE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',258),(2630,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,92,NULL,2101,'MUU AIHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',258),(2631,'A value obtained as a result of adding two or more numbers (items/amounts).','Sum',NULL,0,NULL,NULL,'Sum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Sum',268),(2632,'Mathematical average of a set of values. The mean is calculated by adding up two or more values and dividing the total by their number. In social/political science, it is usually the sum of the measurements divided by the number of subjects, or cases.','ArithmeticMean',NULL,1,NULL,NULL,'Arithmetic Mean','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#ArithmeticMean',268),(2633,'Total number of units in a group of items','Count',NULL,2,NULL,NULL,'Count','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Count',268),(2634,'The value that appears most often in a set of values','Mode',NULL,3,NULL,NULL,'Mode','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Mode',268),(2635,'The middle value in a series of values arranged sequentially from smallest to largest.','Median',NULL,4,NULL,NULL,'Median','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Median',268),(2636,'The highest value attained or recorded.','Maximum',NULL,5,NULL,NULL,'Maximum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Maximum',268),(2637,'The lowest value attained or recorded.','Minimum',NULL,6,NULL,NULL,'Minimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Minimum',268),(2638,'The number of parts out of 100. In mathematics, a percentage is a number of ratio expressed as a fraction of 100. Percentages are used to express how large one quantity is relative to another quantity.','Percent',NULL,7,NULL,NULL,'Percent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Percent',268),(2639,'The total of a frequency and all frequencies below it in a frequency distribution; the \"running total\" of frequencies [the maximum value is 100%].','CumulativePercent',NULL,8,NULL,NULL,'Cumulative Percent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#CumulativePercent',268),(2640,'The percentile rank of a item is the percentage of items in its frequency distribution which are lower [cannot reach 100%].','PercentileRank',NULL,9,NULL,NULL,'Percentile Rank','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#PercentileRank',268),(2641,'Use when the aggregation method is known, but not found in the list.','Other',NULL,10,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html#Other',268),(2688,'Arvojen matemaattinen keskiarvo. Keskiarvo lasketaan laskemalla kaksi tai useampi arvo yhteen ja jakamalla saatu summa arvojen määrällä. Yhteiskuntatieteissä keskiarvo on yleensä mittaustulosten summa jaettuna vastaajien/tapausten määrällä.','ArithmeticMean',NULL,0,NULL,1944,'Aritmeettinen keskiarvo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',270),(2689,'Keskiluku, jossa otetaan n. juuri kaikkien (n) arvojen tulosta. Käytetään harvoin yhteiskuntatieteissä.','GeometricMean',NULL,1,NULL,1945,'Geometrinen keskiarvo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',270),(2690,'Keskiluku, jossa lasketaan arvojen käänteislukujen aritmeettisen keskiarvon käänteisluku. Käytetään harvoin yhteiskuntatieteissä.','HarmonicMean',NULL,2,NULL,1946,'Harmoninen keskiarvo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',270),(2691,'(Aritmeettinen) keskiarvo, joka lasketaan sen jälkeen, kun tietty osa havaintoarvoista on jätetty pois (leikattu) (esim. kvartiilivälin keskiarvo, jossa ylä- ja alakvartiileille eli ylimpään ja alimpaan 25 %:iin asettuvat havaintoarvot jätetään pois ja jäljelle jäävistä arvoista lasketaan keskiarvo).','TrimmedMean',NULL,3,NULL,1947,'Leikattu keskiarvo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',270),(2692,'Antaa arvion siitä, kuinka paljon otoksesta saatu keskiarvo poikkeaa väestön tosiasiallisesta keskiarvosta.','StandardErrorOfMean',NULL,4,NULL,1948,'Keskiarvon keskivirhe','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',270),(2693,'Moodi ilmoittaa, mikä on muuttujan jakauman huippukohta eli eniten tapauksia sisältävä luokka (Tilastokeskus).','Mode',NULL,5,NULL,1949,'Moodi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',270),(2694,'Jakauman keskimmäinen havaintoarvo, kun havainnot on järjestetty suuruusjärjestykseen (Tilastokeskus). Puolet jakauman arvoista sijoittuu mediaanin alle ja puolet sen ylle.','Median',NULL,6,NULL,1950,'Mediaani','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',270),(2695,'Havainnot, joiden katsotaan olevan valideja tai \'oikeita\', eli ne tarjoavat olennaista tietoa ja sisällytetään analyyseihin.','ValidCases',NULL,7,NULL,1951,'Validit havainnot','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',270),(2696,'Havainnot, joiden katsotaan olevan puuttuvia (esim. tyhjäksi jätetty vastaus, näppäilyvirhe jne.) ja jotka yleensä jätetään huomioimatta analyyseissä.','InvalidCases',NULL,8,NULL,1952,'Puuttuvat havainnot','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',270),(2697,'Alin validi muuttujan arvo.','Minimum',NULL,9,NULL,1953,'Minimi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',270),(2698,'Ylin validi muuttujan arvo.','Maximum',NULL,10,NULL,1954,'Maksimi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',270),(2699,'Validien arvojen vaihteluväli, eli alimman ja ylimmän arvon väliin asettuvat arvot, ts. muuttujan suurimman ja pienimmän arvon välimatka.','Range',NULL,11,NULL,1955,'Vaihteluväli','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',270),(2700,'Kaikkien validien havaintojen arvojen summa.','Sum',NULL,12,NULL,1956,'Summa','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',270),(2701,'Varianssi ilmoittaa miten suuria keskimäärin ovat neliöidyt poikkeamat keskiarvosta (Tilastokeskus). Varianssi kuvaa jakauman hajontaa odotusarvon ympärillä.','Variance',NULL,13,NULL,1957,'Varianssi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',270),(2702,'Luku, joka mittaa missä määrin otoksen yksiköiden arvot eroavat koko otoksen keskiarvosta.','StandardDeviation',NULL,14,NULL,1958,'Keskihajonta','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',270),(2703,'Keskihajonta jaettuna keskiarvolla.','CoefficientOfVariation',NULL,15,NULL,1959,'Variaatiokerroin','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',270),(2704,'Kunkin yksittäisen arvon ja kaikkien arvojen keskiarvon välisten poikkeamien keskiarvo. Hajontaluku, joka kuvaa arvojen vaihtelua keskiarvon ympärillä. Vaihtoehto keskihajonnalle.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Absoluuttinen keskipoikkeama','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',270),(2705,'Keskipoikkeama mediaanista. Hajontaluku, joka kuvaa arvojen vaihtelua mediaanin ympärillä.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Mediaanin absoluuttinen keskipoikkeama','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',270),(2706,'Alakvartiili. Ensimmäinen kolmesta arvosta, jotka jakavat jakauman neljään yhtä suureen osaan. Jakauman arvoista 25 % on siis pienempiä tai yhtä suuria kuin ensimmäinen kvartiili.','FirstQuartile',NULL,18,NULL,1962,'Ensimmäinen kvartiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',270),(2707,'Toinen kvartiili eli mediaani. Toinen kolmesta arvosta, jotka jakavat jakauman neljään yhtä suureen osaan.','SecondQuartile',NULL,19,NULL,1963,'Toinen kvartiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',270),(2708,'Yläkvartiili. Kolmas kolmesta arvosta, jotka jakavat jakauman neljään yhtä suureen osaan.','ThirdQuartile',NULL,20,NULL,1964,'Kolmas kvartiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',270),(2709,'Väli alakvartiilista (ensimmäinen kvartiili) yläkvartiiliin (kolmas kvartiili).','InterquartileRange',NULL,21,NULL,1965,'Kvartiiliväli','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',270),(2710,'Ensimmäinen neljästä arvosta, jotka jakavat jakauman viiteen yhtä suureen osaan. Jakauman arvoista 20 % on siis pienempiä tai yhtä suuria kuin ensmmäinen kvintiili.','FirstQuintile',NULL,22,NULL,1966,'Ensimmäinen kvintiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',270),(2711,'Toinen neljästä arvosta, jotka jakavat jakauman viiteen yhtä suureen osaan.','SecondQuintile',NULL,23,NULL,1967,'Toinen kvintiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',270),(2712,'Kolmas neljästä arvosta, jotka jakavat jakauman viiteen yhtä suureen osaan.','ThirdQuintile',NULL,24,NULL,1968,'Kolmas kvintiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',270),(2713,'Neljäs neljästä arvosta, jotka jakavat jakauman viiteen yhtä suureen osaan.','FourthQuintile',NULL,25,NULL,1969,'Neljäs kvintiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',270),(2714,'Väli ensimmäisestä kvintiilistä neljänteen kvintiiliin.','InterquintileRange',NULL,26,NULL,1970,'Kvintiiliväli','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',270),(2715,'Ensimmäinen yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan. Jakauman arvoista 10 % on siis pienempiä tai yhtä suuria kuin ensimmäinen desiili.','FirstDecile',NULL,27,NULL,1971,'Ensimmäinen desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',270),(2716,'Toinen yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','SecondDecile',NULL,28,NULL,1972,'Toinen desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',270),(2717,'Kolmas yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','ThirdDecile',NULL,29,NULL,1973,'Kolmas desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',270),(2718,'Neljäs yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','FourthDecile',NULL,30,NULL,1974,'Neljäs desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',270),(2719,'Viides yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','FifthDecile',NULL,31,NULL,1975,'Viides desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',270),(2720,'Kuudes yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','SixthDecile',NULL,32,NULL,1976,'Kuudes desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',270),(2721,'Seitsemäs yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','SeventhDecile',NULL,33,NULL,1977,'Seitsemäs desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',270),(2722,'Kahdeksas yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','EighthDecile',NULL,34,NULL,1978,'Kahdeksas desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',270),(2723,'Yhdeksäs yhdeksästä arvosta, jotka jakavat jakauman kymmeneen yhtä suureen osaan.','NinthDecile',NULL,35,NULL,1979,'Yhdeksäs desiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',270),(2724,'Väli ensimmäisestä desiilistä yhdeksänteen desiiliin.','InterdecileRange',NULL,36,NULL,1980,'Desiiliväli','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',270),(2725,'Persentiili, joka ei sovi muihin fraktiilitermeihin.','OtherPercentile',NULL,37,NULL,1981,'Muu persentiili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',270),(2726,'Muuttujan todennäköisyysjakauman epäsymmetrisyyttä kuvaava käsite.','Beta1',NULL,38,NULL,1982,'Vinous','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',270),(2727,'Muuttujan todennäköisyysjakauman huipukkuutta kuvaava käsite.','Beta2',NULL,39,NULL,1983,'Huipukkuus','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',270),(2728,'Eräs jakauman normaaliuden testeistä.','ShapiroWilk',NULL,40,NULL,1984,'Shapiron–Wilkin testi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',270),(2729,'Ilmaisee validien havaintoyksiköiden prosenttiosuuden kaikista havaintoyksiköistä.','PercentageOfValidCases',NULL,41,NULL,1985,'Validien havaintoyksiköiden prosentuaalinen osuus','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',270),(2730,'Ilmaisee puuttuvien havaintoyksiköiden prosenttiosuuden kaikista havaintoyksiköistä.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Puuttuvien havaintoyksiköiden prosentuaalinen osuus','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',270),(2731,'Käytä, mikäli tilastollisen tunnusluvun tyyppi on tiedossa, mutta ei listassa.','Other',NULL,43,NULL,1987,'Muu tunnusluku','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',270),(2732,'Mathematischer Durchschnitt von Werten. Der Mittelwert wird berechnet, indem man zwei oder mehr Werte addiert und die daraus resultierte Summe durch die Anzahl der Werte dividiert. In den Sozial- und Politikwissenschaften wird in der Regel die Summe der Messungen durch die Anzahl der Erhebungseinheitendividiert.','ArithmeticMean',NULL,0,NULL,1944,'Arithmetisches Mittel',NULL,271),(2733,'Mittelwert aller Daten, wenn man die n-te Wurzel aus dem Produkt aller (n) Werte zieht. Wird selten in den Sozialwissenschaften verwendet.','GeometricMean',NULL,1,NULL,1945,'Geometrisches Mittel',NULL,271),(2734,'Mittelwert einer Menge von Zahlen, wenn man die Anzahl der Merkmalsträge durch die Summe der Kehrwerte der Merkmalsbeträge dividiert. Wird selten in den Sozialwissenschaften verwendet.','HarmonicMean',NULL,2,NULL,1946,'Harmonisches Mittel',NULL,271),(2735,'Das arithmetische Mittel wird berechnet, nachdem ein bestimmter Prozentsatz an Randdaten entfernt wurde (z. B. das interquartile Mittel, wenn die niedrigsten 25% und die höchsten 25% entfernt wurden und der Mittelwert aus verbleibenden Werten berechnet wird)','TrimmedMean',NULL,3,NULL,1947,'Getrimmtes Mittel',NULL,271),(2736,'Standardfehler des Mittelwertes','StandardErrorOfMean',NULL,4,NULL,1948,'Standardfehler des Mittelwertes',NULL,271),(2737,'Der am häufigsten beobachtete Datenwert.','Mode',NULL,5,NULL,1949,'Modus',NULL,271),(2738,'Der Median ist der Wert, der die Verteilung einer »Variablen« X exakt in zwei Hälften teilt, daher auch die Alternativbezeichnung Zentralwert.','Median',NULL,6,NULL,1950,'Median',NULL,271),(2739,'Fälle mit Beobachtungen, die als gültig gelten, d.h. wesentliche Informationen liefern und in die Berechnung aufgenommen werden.','ValidCases',NULL,7,NULL,1951,'Gültige Fälle',NULL,271),(2740,'Fälle, die als \'fehlend\' (z. B. nicht festgestellt, nicht anwendbar, etc.) betrachtet oder definiert werden; diesewerden in der Regel von der Berechnung ausgeschlossen.','InvalidCases',NULL,8,NULL,1952,'Ungültige Fälle',NULL,271),(2741,'Der niedrigste gültige Wert in einer Variable.','Minimum',NULL,9,NULL,1953,'Minimum',NULL,271),(2742,'Der höchste gültige Wert in einer Variable.','Maximum',NULL,10,NULL,1954,'Maximum',NULL,271),(2743,'Der Bereich der gültigen Werte, d.h. alle Werte, die zwischen dem niedrigsten und höchsten gültigen Wert liegen.','Range',NULL,11,NULL,1955,'Streuungsbreite, Variationsbreite',NULL,271),(2744,'Die Summe oder Gesamtsumme der Werte, über alle gültigen Fälle hinweg.','Sum',NULL,12,NULL,1956,'Summe',NULL,271),(2745,'Die Varianz ist die mittlere quadratische Abweichung der Variablen um den Mittelwert. Es spiegelt die Ausbreitung einer Häufigkeitsverteilung um ihren Mittelwert.','Variance',NULL,13,NULL,1957,'Varianz',NULL,271),(2746,'Die Quadratwurzel aus der Varianz. Das am weitesten verbreitete Maß für die Streuung einer Häufigkeitsverteilung.','StandardDeviation',NULL,14,NULL,1958,'Standardabweichung',NULL,271),(2747,'Standardabweichung dividiert durch den Erwartungswert der Zufallsvariable.','CoefficientOfVariation',NULL,15,NULL,1959,'Variationskoeffizient',NULL,271),(2748,'Der Durchschnitt der absoluten Differenzenzwischen jedem Wert und dem Gesamtmittelwert. Messung der statistischen Dispersion um den Mittelwert, Alternative zur Standardabweichung.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Durchschnittliche absolute Abweichung',NULL,271),(2749,'Die mittlere absolute Abweichung vom Median. Messung der statistischen Dispersion um den Median.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Median absolute Abweichung',NULL,271),(2750,'Der erste von drei Werten, die die Gesamthäufigkeit einer Verteilung in vier gleiche Teile trennen.','FirstQuartile',NULL,18,NULL,1962,'Erstes Quartil',NULL,271),(2751,'Der zweite von drei Werten, die die Gesamthäufigkeit einer Verteilung in vier gleiche Teile trennen (=Median).','SecondQuartile',NULL,19,NULL,1963,'Zweites Quartil',NULL,271),(2752,'Der dritte von drei Werten, die die Gesamthäufigkeit einer Verteilung in vier gleiche Teile trennen.','ThirdQuartile',NULL,20,NULL,1964,'Drittes Quartil',NULL,271),(2753,'Der Bereich zwischen dem ersten und dem dritten Quartilwert.','InterquartileRange',NULL,21,NULL,1965,'Interquartilsabstand',NULL,271),(2754,'Der erste von vier Werten, die die Gesamthäufigkeit einer Verteilung in fünf gleiche Teile trennen.','FirstQuintile',NULL,22,NULL,1966,'Erstes Quintil',NULL,271),(2755,'Der zweite von vier Werten, die die Gesamthäufigkeit einer Verteilung in fünf gleiche Teile trennen.','SecondQuintile',NULL,23,NULL,1967,'Zweites Quintil',NULL,271),(2756,'Der dritte von vier Werten, die die Gesamthäufigkeit einer Verteilung in fünf gleiche Teile trennen.','ThirdQuintile',NULL,24,NULL,1968,'Drittes Quintil',NULL,271),(2757,'Der vierte von vier Werten, die die Gesamthäufigkeit einer Verteilung in fünf gleiche Teile trennen.','FourthQuintile',NULL,25,NULL,1969,'Viertes Quintil',NULL,271),(2758,'Der Bereich zwischen dem ersten und dem vierten Quintilwert.','InterquintileRange',NULL,26,NULL,1970,'Interquintilsabstand',NULL,271),(2759,'Der erste von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','FirstDecile',NULL,27,NULL,1971,'Erstes Dezil',NULL,271),(2760,'Der zweite von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','SecondDecile',NULL,28,NULL,1972,'Zweites Dezil',NULL,271),(2761,'Der dritte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','ThirdDecile',NULL,29,NULL,1973,'Drittes Dezil',NULL,271),(2762,'Der vierte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','FourthDecile',NULL,30,NULL,1974,'Viertes Dezil',NULL,271),(2763,'Der fünfte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen (=Median).','FifthDecile',NULL,31,NULL,1975,'Fünftes Dezil',NULL,271),(2764,'Der sechste von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','SixthDecile',NULL,32,NULL,1976,'Sechstes Dezil',NULL,271),(2765,'Der siebte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','SeventhDecile',NULL,33,NULL,1977,'Siebtes Dezil',NULL,271),(2766,'Der achte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','EighthDecile',NULL,34,NULL,1978,'Achtes Dezil',NULL,271),(2767,'Der neunte von neun Werten, die die Gesamthäufigkeit einer Verteilung in zehn gleiche Teile trennen.','NinthDecile',NULL,35,NULL,1979,'Neuntes Dezil',NULL,271),(2768,'Der Bereich zwischen dem ersten und dem neunten Dezilwert.','InterdecileRange',NULL,36,NULL,1980,'Interdezilsabstand',NULL,271),(2769,'Ein Perzentil, das von keinem der anderen Perzentilbegriffe abgedeckt ist.','OtherPercentile',NULL,37,NULL,1981,'Andere Perzentile',NULL,271),(2770,'Ein Maß für die Asymmetrie einer Wahrscheinlichkeitsverteilung einer Variablen.','Beta1',NULL,38,NULL,1982,'Schiefe',NULL,271),(2771,'Ein Maß für die \'Steilheit\' einer Wahrscheinlichkeitsverteilung einer Variablen.','Beta2',NULL,39,NULL,1983,'Wölbung',NULL,271),(2772,'Test auf Normalverteilung','ShapiroWilk',NULL,40,NULL,1984,'Shapiro-Wilk-Test auf Normalverteilung',NULL,271),(2773,'Gibt den Prozentsatz der gültigen Fälle an der Gesamtzahl der Fälle an.','PercentageOfValidCases',NULL,41,NULL,1985,'Prozentanteil an gültigen Fällen',NULL,271),(2774,'Gibt den Prozentsatz der ungültigen Fälle an der Gesamtzahl der Fälle an.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Prozentanteil an ungültigen Fällen',NULL,271),(2775,'Verwenden Sie diese Kategorie,wenn der Typ der zusammenden Statistik bekannt, aber nicht in der Liste vertreten ist.','Other',NULL,43,NULL,1987,'Andere',NULL,271),(2776,'Det matematiska medelvärdet av en uppsättning värden. Medelvärdet beräknas genom att addera två eller flera värden och dividera summan med antalet värden. I samhällsvetenskap är det oftast summan av mätningarna dividerat med antalet subjekt eller fall.','ArithmeticMean',NULL,0,NULL,1944,'Aritmetiskt medelvärde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',272),(2777,'Medelvärdet av samtliga värden som man får genom att ta den n:te roten av produkten av alla (n) värden. Används sällan inom samhällsvetenskap.','GeometricMean',NULL,1,NULL,1945,'Geometriskt medelvärde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',272),(2778,'Medelvärdet av samtliga värden som fås genom att beräkna det inverterade aritmetiska medelvärdet av summan av alla inverterade värden. Används sällan inom samhällsvetenskap.','HarmonicMean',NULL,2,NULL,1946,'Harmoniskt medelvärde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',272),(2779,'Det aritmetiska medelvärdet beräknat efter att man tagit bort givna delar av de höga och låga observationerna (t.ex. medelvärdet för kvartilavståndet, när de lägsta 25 % och de högsta 25 % räknats bort och medelvärdet av de återstående värdena beräknas).','TrimmedMean',NULL,3,NULL,1947,'Trunkerat medelvärde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',272),(2780,'Ger en uppskattning av hur mycket medelvärdet för ett urval avviker från medelvärdet för hela populationen.','StandardErrorOfMean',NULL,4,NULL,1948,'Standardfel för medelvärdet','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',272),(2781,'Det mest frekvent observerade datavärdet.','Mode',NULL,5,NULL,1949,'Typvärde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',272),(2782,'Värdena som ligger mellan övre och undre hälften av värdena i en fördelning (50: e percentilen).','Median',NULL,6,NULL,1950,'Median','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',272),(2783,'Fall med observationer som anses vara giltiga, dvs. ger betydande information och ska ingå i beräkningar.','ValidCases',NULL,7,NULL,1951,'Giltiga fall','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',272),(2784,'Fall som betraktas/definieras som \"saknade\" (t.ex. inte fastställda, inte tillämpliga osv.), vanligtvis uteslutna ur beräkningar.','InvalidCases',NULL,8,NULL,1952,'Ogiltiga fall','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',272),(2785,'Det lägsta giltiga värdet i en variabel.','Minimum',NULL,9,NULL,1953,'Minimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',272),(2786,'Det högsta giltiga värdet i en variabel.','Maximum',NULL,10,NULL,1954,'Maximum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',272),(2787,'Variationsvidden av giltiga värden, dvs. alla värden som faller mellan det lägsta och det högsta giltiga värdet.','Range',NULL,11,NULL,1955,'Variationsvidd','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',272),(2788,'Summan av värden för alla giltiga fall.','Sum',NULL,12,NULL,1956,'Summa','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',272),(2789,'Variansen är genomsnittet för en variabels kvadrerade avvikelser från sitt medelvärde. Det återspeglar spridningen av en frekvensfördelning runt medelvärdet.','Variance',NULL,13,NULL,1957,'Varians','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',272),(2790,'Den positiva kvadratroten ur variansen. Det mest använda måttet på spridningen av en frekvensfördelning.','StandardDeviation',NULL,14,NULL,1958,'Standardavvikelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',272),(2791,'Standardavvikelsen dividerad med medelvärdet.','CoefficientOfVariation',NULL,15,NULL,1959,'Variationskoefficient','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',272),(2792,'Medelvärdet av de absoluta skillnaderna mellan varje värde och det totala medelvärdet. Mått på den statistiska spridningen kring medelvärdet, ett alternativ till standardavvikelsen.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Genomsnittlig absolut avvikelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',272),(2793,'Median absolut avvikelsen från medianen. Mått på spridningen runt medianen.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Median absolut avvikelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',272),(2794,'Det första av tre värden som separerar den totala frekvensen av en fördelning i fyra lika stora delar.','FirstQuartile',NULL,18,NULL,1962,'Första kvartilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',272),(2795,'Det andra av tre värden som separerar den totala frekvensen av en fördelning i fyra lika delar (= median).','SecondQuartile',NULL,19,NULL,1963,'Andra kvartilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',272),(2796,'Det tredje av tre värden som separerar den totala frekvensen av en fördelning i fyra lika delar.','ThirdQuartile',NULL,20,NULL,1964,'Tredje kvartilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',272),(2797,'Intervallet mellan första och tredje kvartilen.','InterquartileRange',NULL,21,NULL,1965,'Kvartilavstånd','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',272),(2798,'Det första av fyra värden som separerar den totala frekvensen av en fördelning i fem lika delar.','FirstQuintile',NULL,22,NULL,1966,'Första kvintilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',272),(2799,'Det andra av fyra värden som separerar den totala frekvensen av en fördelning i fem lika delar.','SecondQuintile',NULL,23,NULL,1967,'Andra kvintilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',272),(2800,'Det tredje av fyra värden som separerar den totala frekvensen av en fördelning i fem lika delar.','ThirdQuintile',NULL,24,NULL,1968,'Tredje kvintilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',272),(2801,'Det fjärde av fyra värden som separerar den totala frekvensen av en fördelning i fem lika delar.','FourthQuintile',NULL,25,NULL,1969,'Fjärde kvintilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',272),(2802,'Intervallet mellan första och fjärde kvintilen.','InterquintileRange',NULL,26,NULL,1970,'Kvintilavstånd','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',272),(2803,'Det första av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','FirstDecile',NULL,27,NULL,1971,'Första decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',272),(2804,'Det andra av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','SecondDecile',NULL,28,NULL,1972,'Andra decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',272),(2805,'Det tredje av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','ThirdDecile',NULL,29,NULL,1973,'Tredje decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',272),(2806,'Det fjärde av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','FourthDecile',NULL,30,NULL,1974,'Fjärde decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',272),(2807,'Det femte av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar (= median).','FifthDecile',NULL,31,NULL,1975,'Femte decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',272),(2808,'Det sjätte av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','SixthDecile',NULL,32,NULL,1976,'Sjätte decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',272),(2809,'Det sjunde av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','SeventhDecile',NULL,33,NULL,1977,'Sjunde decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',272),(2810,'Det åttonde av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','EighthDecile',NULL,34,NULL,1978,'Åttonde decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',272),(2811,'Det nionde av nio värden som separerar den totala frekvensen av en fördelning i tio lika delar.','NinthDecile',NULL,35,NULL,1979,'Nionde decilen','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',272),(2812,'Intervallet mellan första och nionde decilen.','InterdecileRange',NULL,36,NULL,1980,'Decilavstånd','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',272),(2813,'En percentil som inte omfattas av någon av de andra percentiltermerna.','OtherPercentile',NULL,37,NULL,1981,'Annan percentil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',272),(2814,'Ett mått för asymmetrin av en variabels sannolikhetsfördelning.','Beta1',NULL,38,NULL,1982,'Skevhet','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',272),(2815,'Ett mått för \"spetsigheten\" på en variabels sannolikhetsfördelning.','Beta2',NULL,39,NULL,1983,'Kurtosis','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',272),(2816,'Test som visar i vilken mån datamaterialet inte är normalfördelat.','ShapiroWilk',NULL,40,NULL,1984,'Shapiro-Wilk','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',272),(2817,'Indikerar andelen giltiga fall i förhållande till det totala antalet fall.','PercentageOfValidCases',NULL,41,NULL,1985,'Andelen giltiga fall','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',272),(2818,'Indikerar andelen ogiltiga fall i förhållande till det totala antalet fall.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Andelen ogiltiga fall','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',272),(2819,'Använd om typ av sammanfattande statistik är känd men saknas i listan.','Other',NULL,43,NULL,1987,'Övrigt','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',272),(2820,'Matematično povprečje množice vrednosti. Aritmetična sredina se izračuna tako, da se vsota dveh ali več vrednosti deli s številom vrednosti. V družbslovju/ politiologiji je običajno vsota meritev, deljena s številom udeležencev oziroma enot.','ArithmeticMean',NULL,0,NULL,1944,'Aritmetična sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',273),(2821,'Povprečna vrednost vseh podatkov, če izpeljemo n-ti koren zmnožka vseh (n) vrednosti. V družboslovju se redko uporablja.','GeometricMean',NULL,1,NULL,1945,'Geometrijska sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',273),(2822,'Povprečna vrednost vseh podatkov, če izračunamo obratno vrednost aritmetične sredine obratnih vrednosti. V družboslovju se redko uporablja.','HarmonicMean',NULL,2,NULL,1946,'Harmonična sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',273),(2823,'(Aritmetična) sredina, izračunana po odstranitvi najvišjih in najnižjih vrednosti opazovanj (npr. interkvartilna sredina, kjer odstranimo najnižjih 25% in najvišjih 25% vrednosti, nato pa izračunamo aritmetično sredino preostalih vrednosti).','TrimmedMean',NULL,3,NULL,1947,'Modificirana aritemtična sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',273),(2824,'Standardna napaka (aritmetične) sredine.','StandardErrorOfMean',NULL,4,NULL,1948,'Standardna napaka aritmetične sredine','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',273),(2825,'Najpogosteje izmerjena vrednost podatkov (Statistics Canada).','Mode',NULL,5,NULL,1949,'Modus (Mo)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',273),(2826,'Vrednosti, pod katerimi in nad katerimi je polovica vrednosti porazdelitve (50. percentil).','Median',NULL,6,NULL,1950,'Mediana (Mdn)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',273),(2827,'Enote z opazovanji, ki jih štejemo za veljavne, npr. prinašajo bistvene informacije in jih vključimo v analizo.','ValidCases',NULL,7,NULL,1951,'Veljavne enote','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',273),(2828,'Enote, ki jih obravnavamo/opredelimo kot \'manjkajoče\' (npr. niso določene, se ne uporabljajo, itd.), običajno so izključene iz analiz.','InvalidCases',NULL,8,NULL,1952,'Neveljavne enote','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',273),(2829,'Najnižja veljavna vrednost spremenljivke.','Minimum',NULL,9,NULL,1953,'Minimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',273),(2830,'Najvišja veljavna vrednost spremenljivke.','Maximum',NULL,10,NULL,1954,'Maksimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',273),(2831,'Razpon veljavnih vrednosti, to je vseh vrednosti med najnižjo in najvišjo veljavno vrednostjo.','Range',NULL,11,NULL,1955,'Rang','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',273),(2832,'Vsota vrednosti na vseh veljavnih enotah.','Sum',NULL,12,NULL,1956,'Vsota','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',273),(2833,'Varianca je srednji kvadratni odklon spremenljivke okoli povprečne vrednosti. Odraža razpršenost frekvenčne porazdelitve okoli aritmetične sredine (OECD Glossary of Statistics).','Variance',NULL,13,NULL,1957,'Varianca (s2)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',273),(2834,'Pozitivni kvadratni koren variance. Najpogosteje uporabljena mera razpršenosti frekvenčne porazdelitve.','StandardDeviation',NULL,14,NULL,1958,'Standardni odklon (s)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',273),(2835,'Standardni odklon, deljen z aritmetično sredino.','CoefficientOfVariation',NULL,15,NULL,1959,'Koeficient variacije (CV)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',273),(2836,'Povprečje absolutnih razlik med posamezno vrednostjo in aritmetično sredino. Mera statistične razpršenosti okrog aritmetične sredine, alternativa standardnemu odklonu.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Povprečni absolutni odklon (AAD)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',273),(2837,'Mediana absolutnega odklona od mediane. Mera statistične razpršenosti okrog mediane.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Mediana absolutnega odklona od mediane (MAD)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',273),(2838,'Prva od treh vrednosti, ki razdelijo celotno frekvenčno porazdelitev na štiri enake dele.','FirstQuartile',NULL,18,NULL,1962,'Prvi kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',273),(2839,'Druga od treh vrednosti, ki razdelijo celotno frekvenčno porazdelitev na štiri enake dele (= mediana).','SecondQuartile',NULL,19,NULL,1963,'Drugi kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',273),(2840,'Tretja od treh vrednosti, ki razdelijo celotno frekvenčno porazdelitev na štiri enake dele.','ThirdQuartile',NULL,20,NULL,1964,'Tretji kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',273),(2841,'Razpon med vrednostjo prvega in tretjega kvartila.','InterquartileRange',NULL,21,NULL,1965,'Kvartilni razmik','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',273),(2842,'Prva od štirih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na pet enakih delov.','FirstQuintile',NULL,22,NULL,1966,'Prvi kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',273),(2843,'Druga od štirih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na pet enakih delov.','SecondQuintile',NULL,23,NULL,1967,'Drugi kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',273),(2844,'Tretja od štirih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na pet enakih delov.','ThirdQuintile',NULL,24,NULL,1968,'Tretji kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',273),(2845,'Četrta od štirih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na pet enakih delov.','FourthQuintile',NULL,25,NULL,1969,'Četrti kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',273),(2846,'Razpon med vrednostjo prvega in četrtega kvintila.','InterquintileRange',NULL,26,NULL,1970,'Kvintilni razmik','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',273),(2847,'Prva od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','FirstDecile',NULL,27,NULL,1971,'Prvi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',273),(2848,'Druga od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','SecondDecile',NULL,28,NULL,1972,'Drugi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',273),(2849,'Tretja od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','ThirdDecile',NULL,29,NULL,1973,'Tretji decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',273),(2850,'Četrta od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','FourthDecile',NULL,30,NULL,1974,'Četrti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',273),(2851,'Peta od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov (= mediana).','FifthDecile',NULL,31,NULL,1975,'Peti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',273),(2852,'Šesta od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','SixthDecile',NULL,32,NULL,1976,'Šesti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',273),(2853,'Sedma od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','SeventhDecile',NULL,33,NULL,1977,'Sedmi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',273),(2854,'Osma od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','EighthDecile',NULL,34,NULL,1978,'Osmi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',273),(2855,'Deveta od devetih vrednosti, ki razdelijo celotno frekvenčno porazdelitev na deset enakih delov.','NinthDecile',NULL,35,NULL,1979,'Deveti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',273),(2856,'Razpon med vrednostima prvega in devetega decila.','InterdecileRange',NULL,36,NULL,1980,'Decilni razmik','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',273),(2857,'Percentil, ki ni zajet v katerem drugem percentilnem izrazu.','OtherPercentile',NULL,37,NULL,1981,'Drugi percentili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',273),(2858,'Mera asimetrije verjetnostne porazdelitve spremenljivke.','Beta1',NULL,38,NULL,1982,'Asimetrija','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',273),(2859,'Mera \'koničanosti\' verjetnostne porazdelitve spremenljivke.','Beta2',NULL,39,NULL,1983,'Sploščenost','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',273),(2860,'Test normalnosti porazdelitve.','ShapiroWilk',NULL,40,NULL,1984,'Shapiro-Wilkov test normalnosti porazdelitve','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',273),(2861,'Označuje odstotek veljavnih primerov glede na skupno število primerov.','PercentageOfValidCases',NULL,41,NULL,1985,'Delež veljavnih enot','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',273),(2862,'Označuje odstotek neveljavnih primerov glede na skupno število primerov.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Delež neveljavnih enot','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',273),(2863,'Uporabite, če je zbirna statistika znana, a je ne najdete na seznamu.','Other',NULL,43,NULL,1987,'Drugo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',273),(2864,'','Demography',NULL,0,NULL,2010,'DEMOGRAFI (POPULATION, VITALSTATISTIK OCH FOLKRÄKNINGAR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',260),(2865,'Morbiditet beskriver antal sjukdomsfall eller skadefrekvensen i en population. Data kan gälla incidensen eller morbiditetstalet för ett medicinskt tillstånd, t.ex. antal personer med lungcancer i ett land eller ett geografiskt område under ett år. Mortalitet beskriver antal dödsfall i en population, mätt efter plats, tid, orsak, typ av person och så vidare, t.ex. mödradödlighet och barnadödlighet. Observera att egenrapporterade enkätdata om sjukdomar och medicinska tillstånd indexeras med termer i hierarkin HÄLSA.','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'Morbiditet och mortalitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',260),(2866,'Studie av en hel befolkning till skillnad från studier av urvalsgrupper. Används ofta för statens räkning av en befolkning och innehåller vanligtvis även insamling av relevant demografisk information. Observera att i vissa länder görs inte folkräkningar eftersom demografisk information kan erhållas från officiella register.','Demography.Censuses','Demography',1,NULL,2012,'Folkräkningar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',260),(2867,'Inkluderar immigration, emigration, intern migration samt andra typer av geografisk rörlighet. Immigration (invandring) innebär att bosätta sig i ett annat land än sitt hemland. Emigration (utvandring) innebär att lämna sitt hemland för att bosätta sig i ett annat land. Migration används som ett paraplybegrepp för båda förflyttningarna. Migration omfattar även intern migration, det vill säga geografiska folkförflyttningar inom ett land.','Demography.Migration','Demography',2,NULL,2013,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',260),(2868,'','Economics',NULL,4,NULL,2014,'EKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',260),(2869,'Ekonomiska indikatorer anger i vilken riktning en ekonomi utvecklas och inkluderar bland annat BNP-tillväxttakt, sysselsättning, inflation och räntenivå, konsument- och investeringsaktivitet, hushållens skulder. Denna kategori används även för de undersökta eller registrerade individernas och hushållens ekonomiska förhållanden.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'Ekonomiska förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',260),(2870,'Anskaffning och/eller användning av något som tillgodoser en persons, en grupps eller ett samhälles behov och önskemål. Data i den här kategorin inkluderar mått på utgifter för konsumtionsvaror, förändringar av konsumtionsmönster och studier av konsumtionsetik.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'Konsumtion och konsumentbeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',260),(2871,'Data om ekonomisk politik, inklusive budget- och finanspolitik, offentliga utgifter och offentliga intäkter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'Ekonomisk politik, offentliga utgifter och intäkter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',260),(2872,'Används för studier om ackumulering av personliga tillgångar, inklusive inkomst, egendom, investeringar och sparkapital.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'Inkomster, egendom och investeringar/sparande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',260),(2873,'Används för studier om kapitalism, socialism och andra ekonomiska system samt vid studier om till exempel internationella utvecklingsprogram.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'Ekonomiska system och ekonomisk utveckling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',260),(2874,'','Education',NULL,10,NULL,2020,'UTBILDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',260),(2875,'Obligatorisk utbildning är den utbildningsperiod då det enligt lag råder skolplikt för alla personer som bor i ett land. Förskoleutbildning syftar på formell barnomsorg och utbildning som ges före den obligatoriska skolgången. Använd den här termen för att indexera data om förskola och grundskola, oavsett om data gäller elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'Obligatorisk utbildning och förskoleutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',260),(2876,'Omfattar allmän utbildning på ISCED-nivå 3 och 4 samt högre utbildning, det vill säga gymnasial utbildning, eftergymnasial utbildning och utbildning på högskolenivå. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.HigherAndFurther','Education',12,NULL,2022,'Gymnasial och högre utbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',260),(2877,'Program som är utformade för att ge studenterna kunskaper, färdigheter och kompetens som är specifika för ett visst yrke, en viss yrkesgrupp eller bransch. Yrkesutbildning kan innehålla inslag av praktik på arbetsplatser. Den här kategorin omfattar utbildningar på ISCED-nivå 2–4, kvalificerade yrkesutbildningar och lärlingskap. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.VocationalAndTraining','Education',13,NULL,2023,'Yrkesutbildning och praktik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',260),(2878,'Detta gäller olika typer av utbildningsmöjligheter som erbjuds vuxna som har lämnat det formella utbildningssystemet. Vuxna kan delta i den här typen av utbildningar som fortbildning för att till exempel fördjupa sina kunskaper eller förbättra sina kvalifikationer, omskola sig till ett nytt yrkesområde eller för att lära sig något nytt. Kategorin gäller inte generellt för utbildning som leder till nya kvalifikationer eller examina.','Education.LifelongContinuing','Education',14,NULL,2024,'Livslångt lärande/vidareutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',260),(2879,'Diskussioner kring utbildningspolitik och -principer samt beslut kring och principer för utbildning och anordnade av utbildning på nationell, regional eller lokal nivå. Använd \'Lagstiftning och rättssystem\' för befintliga lagar och förordningar.','Education.EducationalPolicy','Education',15,NULL,2025,'Utbildningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',260),(2880,'','Health',NULL,16,NULL,2026,'HÄLSA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',260),(2881,'Kvalitet på och utbud av tjänster, inrättningar och personal inom hälso- och sjukvård; hälso- och sjukvårdsekonomi samt policybeslut och principer för hälso- och sjukvård på nationell, regional och lokal nivå. Använd \'Lagstiftning och rättssystem\' för befintliga lagar och förordningar.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'Hälso- och sjukvårdstjänster och -politik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',260),(2882,'Studier om specifika, diagnosticerade sjukdomar, störningar eller syndrom (som oftast finns klassificerade i ICD-10 eller tidigare versioner av manualen). Till exempel medicinsk forskning på orsaker till diabetes eller studier av hur personer återhämtar sig fysiskt och psykiskt efter en hjärtoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'Specifika sjukdomar, störningar och medicinska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',260),(2883,'Studier om abnorma anatomiska eller fysiologiska tillstånd samt objektiva eller subjektiva manifestationer av sjukdomar/symtom som inte klassificeras som sjukdomar eller syndrom (i så fall används \'Specifika sjukdomar, störningar och medicinska tillstånd\'). Detta gäller kliniska manifestationer som kan vara objektiva när de observeras av hälso- och sjukvårdspersonal eller subjektiva när de gäller patientens upplevelse. Exempel på detta är diarré, klåda, olika benlängd, sömnsvårigheter, tandgnisslan, inflammationer och arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'Tecken och symtom; patologiska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',260),(2884,'Sår eller skador, både fysiska och psykiska, som orsakats genom olyckor eller våld (aggressiva beteenden från individer eller grupper av personer). Om det är sår och skador som har åsamkats i arbetet ska \'Arbets- och miljömedicin\' användas.','Health.WoundsAndInjuries','Health',20,NULL,2030,'Sår och skador','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',260),(2885,'Sjukdomsbehandlingar eller sjukdomsförebyggande åtgärder. Patientomsorg på individnivå. Forskning om medicinering och behandling av sjukdomar. Data om till exempel kirurgiska ingrepp, rehabilitering, läkarkonsultationer, sjukgymnastik, muskuloskeletala manipulationer, sjukhus- eller hemvård, psykoterapi, utredningsmetoder och medicinering.','Health.MedicationAndTreatment','Health',21,NULL,2031,'Medicinering och behandlingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',260),(2886,'Studier om individers, gruppers eller en populations allmänna hälsa eller hälsostatus. Detta kan gälla objektiva mätningar/observationer eller självskattningar. Välbefinnande inkluderar bland annat fysisk och mental kapacitet eller hälsotillstånd, samt social hälsa.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'Allmän hälsa och välbefinnande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',260),(2887,'Prevention och kontroll av sjukdomar och funktionsnedsättningar samt främjande av populationens fysiska och mentala hälsa på internationell, nationell, regional eller lokal nivå. Detta gäller till exempel hälsopromotion, sjukdomsprevention, effekter av folkhälsoprogram, hantering av lokala, nationella eller globala hälsoproblem, epidemiologin för en sjukdom, ett tillstånd, en patogen eller ett sjukdomsutbrott.','Health.Public','Health',23,NULL,2033,'Folkhälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',260),(2888,'Processer, funktioner eller system för fortplantning inom alla livsstadier. Detta omfattar data om graviditet, födsel, familjeplanering, preventivmedel, aborter och klimakteriet.','Health.Reproductive','Health',24,NULL,2034,'Fortplantningshälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',260),(2889,'Data om yrkesmässig exponering och ohälsa som uppstår till följd av arbetet, arbetarskydd, sjukskrivningar, arbetsförmåga och -oförmåga eller sjukersättning på grund av arbetsskada.','Health.Occupational','Health',25,NULL,2035,'Arbets- och miljömedicin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',260),(2890,'Människors beteenden som påverkar, skyddar eller främjar deras hälsa och livsstil. Livsstil är nära associerad med hälsobeteende, och livsstilen påverkas av socioekonomiska, utbildningsrelaterade och kulturella faktorer. Inkluderar: nutritionsfenomen och -processer, matmönster och -vanor och mätbara nutritionsparametrar; data om människors kondition, fysiska aktivitet och träning; data om rökning, och om bruk och missbruk av droger, alkohol och andra substanser.','Health.HealthBehaviour','Health',26,NULL,2036,'Hälsobeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',260),(2891,'Använd en lämplig ämnesterm för historiska data samt huvudtermen, till exempel \'Arbetsförhållanden\' och \'Hälso- och sjukvårdstjänster och -politik\' plus HISTORIA för data om arbetsförhållanden för husläkare på 1960-talet. Huvudtermen HISTORIA ska användas ensam enbart då det inte finns någon ämnesterm.','History',NULL,27,NULL,2037,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',260),(2892,'','HousingAndLandUse',NULL,28,NULL,2038,'BOSTÄDER OCH MARKANVÄNDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',260),(2893,'Inkluderar studier som mäter boendestandard i ett samhälle, inklusive subventionerat boende, och tillgången på bostäder och boendekostnad. Till bostäder räknas hem, fritidshus och sommarstugor.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'Bostäder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',260),(2894,'Inkluderar både markanvändning och planering av markanvändning. Planering av markanvändning syftar på processer för att säkerställa en effektiv och hållbar användning av markresurser på landsbygd och i stadsområden.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'Markanvändning och planering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',260),(2895,'','LabourAndEmployment',NULL,31,NULL,2041,'ARBETE OCH SYSSELSÄTTNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',260),(2896,'Data om sysselsättningsgrad och -statistik, arbetsmarknaden, lediga jobb, jobbsökande, arbetsförmåga, sysselsättning av särskilda grupper (t.ex. ungdomar eller personer ur minoritetsgrupper), arbetsförmedlingen och karriär. Använd \'Arbetsförhållanden\' om det gäller löner och arvoden.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'Sysselsättning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',260),(2897,'Data om arbetslöshetsgrad och -statistik, arbetsmarknadsprogram och arbetsmarknadspolitiska åtgärder, arbetslöshetens varaktighet och arbetslöshetsfrekvens, sociala och psykologiska effekter av arbetslöshet osv.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'Arbetslöshet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',260),(2898,'Omfattar alla typer av pensionsmönster, till exempel flexibel pension, data om pensionsålder och förtidspension.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'Pension','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',260),(2899,'Internutbildningar och annan fortbildning som arbetsgivaren bekostar för att förbättra de anställdas kunskap och kompetens. Detta inkluderar inte lärlingskap, som ingår i \'Yrkesutbildning och praktik\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'Vidareutbildning inom arbetet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',260),(2900,'Förhållandet mellan arbetsgivare och anställda.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'Förhållande/konflikter mellan arbetsmarknadens parter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',260),(2901,'Anställdas arbetsförhållanden, till exempel olika former av anställningar, arbetstid (arbetstimmar, raster, skift, arbetsscheman, övertid), lön och arvodering, ett arbetes fysiska aspekter och mentala krav, anställdas rättigheter och ansvar, arbetsbelastning, anställdas delaktighet i beslutsfattande, rätten till olika typer av ledighet, fysisk arbetsmiljö. Frågor om arbetsplatssäkerhet ingår även i \'Arbets- och miljömedicin\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'Arbetsförhållanden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',260),(2902,'Data om arbetsmarknadspolitik, till exempel arbetsmarknadsrelationer, arbetsmarknaden, jämställdhet och diskriminering på arbetet. På nationell nivå inkluderar arbetsmarknadspolitik påverkan på tillgång och efterfrågan av arbetskraft och hur väl arbetsmarknaden fungerar. Använd \'Lagstiftning och rättssystem\' för befintliga lagar och förordningar.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'Arbetsmarknads- och sysselsättningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',260),(2903,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'LAG, BROTTSLIGHET OCH RÄTTSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',260),(2904,'Data om internationell eller nationell lagstiftning, administrativa föreskrifter, rättssystemet (domstolarnas makt och aktivitet), alternativ tvistlösning och reparativ rättvisa, straff med mera.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'Lagstiftning och rättssystem','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',260),(2905,'Data om brottslighet, brottsförebyggande åtgärder, brottsoffer, brottslingar, samt polisen, säkerhetspolisen, kriminalvårdens anstalter (t.ex. fängelser och sluten ungdomsvård), gränskontroll och tullverksamhet. Här ingår även data om dessa myndigheters personal och anläggningar.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'Brottslighet och rättstillämpning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',260),(2906,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'MEDIA, KOMMUNIKATION OCH SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',260),(2907,'Data om alla former av massmedia, till exempel tryckta tidningar och webbtidningar, tidskrifter, tv och radio. Observera att sociala medier indexeras med termen \'Informationssamhället\'.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',260),(2908,'Åtgärder för att förbättra eller bevara personers, organisationers och regeringars framtoning och image, till exempel genom annonser och lobbyverksamhet.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',260),(2909,'Att skapa, sprida, använda, integrera och manipulera information som en betydande ekonomisk, politisk och kulturell aktivitet. Till exempel data om e-handel, e-förvaltning, sociala medier, mobila enheter, tillgång till och användning av Internet, \'e-privacy\' (integritet och telekommunikation). Använd \'Informationsteknik\' när det gäller den faktiska tekniken.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'Informationssamhället','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',260),(2910,'Data om lingvistikstudier, lingvistiska analyser och sociolingvistik samt data om språkpolicyer, människors språkkunskaper, vilka språk som talas på arbetsplatsen och i hemmet, attityder gentemot minoritetsspråk osv.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'Språk och lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',260),(2911,'','NaturalEnvironment',NULL,47,NULL,2057,'NATUR OCH MILJÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',260),(2912,'Omfattar problem med miljöförstörelse, föroreningar, miljöskydd, klimatförändringar, förebyggande åtgärder mot översvämningar och jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'Miljö och naturvård','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',260),(2913,'Naturresurser är tillgångar som till exempel land, skog, energikällor, vatten och mineraler som är naturligt förekommande och kan användas för ekonomisk produktion eller konsumtion.Energiresurser omfattar såväl fossila bränslen som olja, naturgas och kol som sol-, tidvatten- vind- och kärnkraft, och biomassa från levande organismer som kan ersättas efter avverkning.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'Energi och naturresurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',260),(2914,'Omfattar tamboskap, kött- och mjölkdjur och vilda djur, samt alla typer av växter (t.ex. blommor, träd, mossor och grönsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'Växter och djur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',260),(2915,'Omfattar naturlandskap och marker som inte direkt har förändrats av människor.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'Naturlandskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',260),(2916,'','Politics',NULL,52,NULL,2062,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',260),(2917,'Data om attityder till partipolitik, politiskt engagemang och deltagande i de politiska processerna, väljarbeteenden, nöjdhet med regeringen. Använd \'Politisk ideologi\' för data om specifika partiprogram.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'Politiska beteenden och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',260),(2918,'Data om val, folkomröstningar, valkampanjer, valresultat, valkandidater, valkompasser, kampanjbidrag osv.','Politics.Elections','Politics',54,NULL,2064,'Val','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',260),(2919,'Idéer, tankar och teorier om hur regeringar och samhällen kan organiseras. Stora politiska ideologier är till exempel anarki, demokrati, liberalism och konservatism.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',260),(2920,'Ämnen om politisk styrning på nationell, regional och lokal nivå, deras förvaltningar (t.ex. regering, riksdag och kommunfullmäktige), offentlig förvaltning och andra politiska organisationer, som politiska partier. Till exempel data om regeringspolitik, politiska partier och deras politik, partiledare, förtroendet för det politiska systemet. Observera att du även kan behöva använda en ämnesterm.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'Regering, politiska system och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',260),(2921,'Globala beslutsprocesser, diplomati, utrikespolitik, mellanstatliga relationer, internationella organisationer (t.ex. EU, WHO, FN, WTO) och internationella avtal, konventioner och överenskommelser.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'Internationell politik och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',260),(2922,'Nationell och internationell säkerhet, nationella och internationella konflikter, krig och fred, nationellt försvar och försvarsmakten (armén). Observera att polisen ingår i \'Kriminalitet och rättstillämpning\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'Konflikter, säkerhet och fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',260),(2923,'','Psychology',NULL,59,NULL,2069,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',260),(2924,'','ScienceAndTechnology',NULL,60,NULL,2070,'VETENSKAP OCH TEKNOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',260),(2925,'Informations- och kommunikationsteknik som används i hemmet, på arbetet och i andra samhällssammanhang. Observera att användningen och effekterna av den här tekniken ingår i \'Informationssamhället\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'Informationsteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',260),(2926,'Tillämpning av biomolekylära och cellulära processer för att skapa nya produkter och tekniska processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'Bioteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',260),(2927,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'SOCIAL STRATIFIERING OCH GRUPPERING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',260),(2928,'Ämnen som rör huruvida alla individer eller grupper har samma status och möjligheter i samhället. Jämlikhet kan studeras till exempel i termer av utbildning, inkomst eller förmögenhet, form av anställning, makt, status, arbetsförhållanden och fritid, tillgång till samhällstjänster och sociala relationer. Marginalisering och socialt utanförskap kan resultera från systemiska nackdelar inom flera områden, och drabbade personer kan ha sämre rättigheter, möjligheter, resurser och social integration. Exempel på data: statistik över inkomstfördelning, upplevd diskriminiering av en grupp (t.ex. gentemot invandrare, hemlösa, asylsökande), upplevda skillnader mellan män och kvinnor vad gäller möjligheter till ledande politiska roller, och hur föräldras arbetslöshet påverkar barns utbildningsnivå och sociala nätverk.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'Jämlikhet, ojämlikhet och socialt utanförskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',260),(2929,'Individers, familjers eller gruppers sociala rörlighet och yrkesrörlighet över tid. Rörelsen kan vara horisontell, det vill säga förändringar i position på samma statusnivå, eller vertikal, där individer rör sig uppåt eller nedåt i status. Exempel på detta är hur anställda inom krisbranscher kan anställas inom en annan bransch (horisontell yrkesrörlighet) eller hur barn i låginkomsttagarfamiljer kan nå en högre socialgrupp än sina föräldrar (vertikal intergenerationell social rörlighet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'Social och yrkesmässig rörlighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',260),(2930,'Könsidentitet; könad representation (t.ex. hur kön och genus representeras i beslutsfattande organ, media och litteratur); sociala, kulturella och psykologiska egenskaper som kopplas till kvinnor respektive män; kvinnoforskning; mansforskning; könsrollers förväntade beteenden och val och effekterna av sådana förväntningar.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'Kön och könsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',260),(2931,'Ämnen som rör familj, släktingar, generationer och hushållens sammansättning. Till exempel data om barnuppfostran, arbetsfördelning i familjen och stöd till familjemedlemmar.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'Familjeliv och äktenskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',260),(2932,'Kan behöva ett ytterligare ämne om ungdomar studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'Ungdomar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',260),(2933,'Kan behöva ett ytterligare ämne om äldre studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'Äldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',260),(2934,'Kan behöva ett ytterligare ämne om barn studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',260),(2935,'Grupper av personer som på något sätt skiljer sig från majoriteten av populationen. Olika egenskaper är till exempel etnicitet, ras, religion, hälsa, sexuell läggning, förstaspråk (modersmål) och kultur. Observera att du även kan använda termerna \'Jämlikhet, ojämlikhet och socialt utanförskap\' eller \'Språk och lingvistik\' i samband med minoritetsfrågor.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',260),(2936,'Ämnen som rör samhällseliters förekomst, roller och påverkan. Som elit räknas individer och grupper med stor social, politisk eller ekonomisk makt och möjlighet att påverka, antingen genom direkt beslutsfattande eller genom de idéer och åsikter de uttrycker eller representerar. Här återfinns frågor om inflytelserika personer inom alla samhällsområden, till exempel politiska beslutsfattare, partiledare, inflytelserika artister och framstående personer inom media eller sociala medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'Eliter och ledarskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',260),(2937,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'SOCIAL VÄLFÄRDSPOLITIK OCH VÄLFÄRDSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',260),(2938,'Beslut och principer på nationell, regional eller lokal nivå om välfärd, till exempel hur den ska finansieras och tillhandahållas, vem som har rätt till vilka sociala tjänster, ersättningar och bidrag och vad som berättigar till dem, samt vem som kan erbjuda tjänsterna. Exempel på detta är principer om att äldre ska bo kvar i hemmet så länge som möjligt och regler för hur länge någon är berättigad till arbetslöshetsersättning. Använd även \'Lagstiftning och rättssystem\' för befintliga lagar och förordningar.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'Välfärdspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',260),(2939,'Ämnen som rör det faktiska tillhandahållandet av välfärd, vem som erbjuder välfärdstjänster och i vilken omfattning, samt hur tjänsterna är utformade. Exempel på detta är frågor kring hur kommuner organiserar tjänster för äldre personer.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'Sociala välfärdssystem/-strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',260),(2940,'Till exempel data om i vilken omfattning människor använder specifika sociala tjänster, åsikter om hur väl tjänsterna tillgodoser männisors behov, tjänsternas tillgänglighet och hur nöjda människor är med dem. Till exempel frågor om vilka tjänster som äldre intervjupersoner har använt eller användningsstatistik för vissa tjänster.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'Specifika sociala tjänster: användning och tillgänglighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',260),(2941,'','SocietyAndCulture',NULL,77,NULL,2087,'SAMHÄLLE OCH KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',260),(2942,'Data om sociala beteenden, sociala interaktioner och nätverk, samhällsansvar, sociala normer och regler, samt attityder till dessa ämnen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'Socialt beteende och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',260),(2943,'Omfattar alla aspekter av individers och samhällsgruppers livskvalitet och välbefinnande, samt individers uppfattningar av dem. Observera att beroende på vilka aspekter som studeras kan även termer som \'Allmän hälsa och välbefinnande\', \'Jämlikhet, ojämlikhet och socialt utanförskap\' och \'Ekonomiska villkor och indikatorer\' vara relevanta.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'Sociala förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',260),(2944,'Aktivt eller passivt deltagande i alla typer av kulturella aktiviteter, samt åsikter om och uppfattningar av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'Kulturaktiviteter och deltagande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',260),(2945,'Data om identitetsskapande, hur människor definierar sig och vilka grupper de känner tillhörighet med. Kulturell och nationell identitet i förhållande till representation och klassificering av andra människor som \'inte en av oss\' (Andrafiering). Vanor och seder inom ens egen och andras identitetsgrupp, och attityder till desamma.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'Kulturell och nationell identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',260),(2946,'Fritidsmönster, fritidsaktiviteter och hobbyer. Exempel på detta är att titta på sport, tävlingsidrott och fritidsresor. Data om träning för att hålla sig i form ingår i \'Hälsobeteende\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'Fritid, turism och sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',260),(2947,'Data om religiöst utövande, religiös diskriminering, religiösa samfund, andlighet, moralitet och andra värderingar.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'Religion och värderingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',260),(2948,'Data om olika aspekter av samhällsliv eller livet i stad och på landsbygd. Åsikter om och bilden av ens omgivning eller om städer och landsbygd. Service, infrastruktur och affärsmöjligheter i ens omgivning.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'Lokalsamhälle, stads- och landsbygdsliv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',260),(2949,'Data om hur mycket tid den studerade populationen lägger på olika aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'Tidsanvändning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',260),(2950,'Data om samhällsförändringar, inklusive attitydförändringar.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'Social förändring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',260),(2951,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'HANDEL, INDUSTRI OCH MARKNADER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',260),(2952,'Data om företag och branscher, exempelvis ledning, produktivitet, tillväxt och nedgång, organisationsstruktur, administration, investeringar i forskning och utveckling, marknader och marknadsandelar.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'Företags-/industriledning och organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',260),(2953,'Använd den här kategorin för studier om jordbruksproduktion och alla landsbygdsnäringar, till exempel fiskodlingar och skogsbruk.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'Jordbruk och landsbygdsnäring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',260),(2954,'Utbyte av kapital, varor eller tjänster över nationsgränser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'Utrikeshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',260),(2955,'Inkluderar alla typer av varutransporter samt pendlande, kollektivtrafik (tåg, bussar, tunnelbana osv.) och urbana transportnätverk. Data om rörelsemönster, till exempel gränshandel, resvägar och resesätt till olika destinationer. Använd termen \'Fritid, turism och sport\' för nöjesresor.','TransportAndTravel',NULL,91,NULL,2100,'TRANSPORT OCH RESOR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',260),(2956,'Använd \'Övrigt\' om ämnet är känt, men inte finns i listan.','Other',NULL,92,NULL,2101,'ÖVRIGT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',260),(2957,'','Demography',NULL,0,NULL,2010,'DEMOGRAFI (POPULASJON, KJERNESTATISTIKK OG FOLKETELLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',262),(2958,'Sykelighet refererer til forekomst av dårlig helse i en befolkning. Data kan dekke forekomsten eller sykdomsgraden av en medisinsk tilstand. For eksempel antall personer som lider av lungekreft i et land eller i et geografisk område i løpet av ett år. Data om dødelighet indikerer antall dødsfall i en befolkning etter sted, tid, årsak, individ osv. For eksempel mødre-, barnedødelighet. Vær oppmerksom på at selvrapporterte undersøkelsesdata om sykdommer og medisinske forhold er indeksert med HELSE-hierarki begreper.','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'Sykelighet og dødelighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',262),(2959,'Undersøkelser av en hel befolkning, i motsetning til undersøkelser av et utvalg. Ofte brukt i sammenheng med offisielle fortegnelser av en befolkning, og inkluderer vanligvis relatert demografisk informasjon. Legg merke til at det i noen land ikke blir brukt folketellinger ettersom demografisk informasjon foreligger i offisielle registre.','Demography.Censuses','Demography',1,NULL,2012,'Folketellinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',262),(2960,'Omfatter immigrasjon, emigrasjon, flytting internt i et land og andre typer av geografisk mobilitet. Immigrasjon betyr å bosette seg i et annet land enn sitt hjemland. Emigrasjon betyr at man forlater sitt hjemland for å bosette seg i et annet land. Migrasjon er et parapblybegrep for immigrasjon og emigrasjon. Migrasjon omfatter også flytting internt i et land, det vil si forflytninger av mennesker i ett land på forskjellige geografiske enheter.','Demography.Migration','Demography',2,NULL,2013,'Migrasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',262),(2961,'','Economics',NULL,4,NULL,2014,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',262),(2962,'Økonomiske indikatorerer som anviser en økonomi sin retning og omfatter for eksempel BNP-vekst, sysselsetting, inflasjon og rentesats, forbruker- og investoraktivitet og husholdningsgjeld. brukes også for økonomiske forhold for enkeltpersoner og husholdninger som er undersøkt eller registrert.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',262),(2963,'Refererer til handlingen om å tilegne seg og/eller evne til å møte behov og ønsker hos en person, fellesskapet eller samfunnet. Data i denne kategorien omfatter også konsum på personlige- og husholdninsartikler, endringer i konsumentatferd, og studier om konsument og etikk. For eksempel data om hvor ofte personer kjøper en type ting, hvor og når de handler; om etiske betraktninger påvirker konsumvalget. ','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'Konsum/konsumentatferd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',262),(2964,'Data om økonomisk politikk, omfatter budsjett- og finanspolitikk, statlige utgifter og inntekter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'Økonomisk politikk, offentlige utgifter og inntekter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',262),(2965,'Brukes på studier som omhandler akkumulasjon av personlige eiendeler, inkludert inntekt, eiendom, investeringer og sparing.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'Inntekt, formue og investeringer/sparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',262),(2966,'Brukes på studier om kapitalistiske, sosialistiske og andre øknomiske systemer, og studier om  for eksempel internasjonale utviklingsprogram.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'Økonomiske systemer og utvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',262),(2967,'','Education',NULL,10,NULL,2020,'UTDANNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',262),(2968,'Viser til grunnskoleopplæring som er obligatorisk og lovfestet for alle personer i et land. Førskole viser til opplæring som finner sted før grunnskolen. Bruk dette begrepet til å indeksere data som er relatert til førskole, grunnskoleopplæring, uavhengig om dataene fokuserer på elever, lærere, fag, ferdigheter eller fasiliteter etc.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'Obligatorisk utdanning og førskole','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',262),(2969,'Dekker grunnskoleopplæring på ISCED-nivå 3 - 4 i tillegg til høyere utdanning. Det vil si videregående opplæring, høyere utdanning på høgskole, vitenskapelig universitet eller universitet. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.HigherAndFurther','Education',12,NULL,2022,'Høyere- og videreutdanning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',262),(2970,'Undervisningsprogrammer som er utarbeidet slik at elevene skal tilegne seg kunnskap, ferdigheter og kompetanse som er rettet mot et spesifikt yrke eller yrkesgrupper. Yrkesrettet utdanning og opplæring kan ha arbeidsrelaterte komponenter. Dekker yrkesrettet utdanning på ISCED-nivå 3 - 4, og lærlingperioden. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.VocationalAndTraining','Education',13,NULL,2023,'Yrkesrettet utdanning og opplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',262),(2971,'Viser til forskjellige utdanningsmuligheter for voksne etter de har forlatt det formelle utdanningssystemet. Voksne kan ta denne type utdanning av ulike grunner, for eksempel, forbedre ferdigheter og kvalifikasjoner, grunnet omskolering, eller for å lære noe nytt. Inkluderer ikke oppkvalifisering eller etterutdannelse av medarbeidere.','Education.LifelongContinuing','Education',14,NULL,2024,'Livslang utdanning/voksenopplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',262),(2972,'Diskusjoner om politikk og prinsipper, samt beslutninger og prinsipper vedtatt på nasjonalt, regionalt eller lokalt nivå knyttet til utdanning. \'Lovgivning og rettssystemer\' brukes på lover og reguleringer som allerede er implementert.','Education.EducationalPolicy','Education',15,NULL,2025,'Utdanningspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',262),(2973,'','Health',NULL,16,NULL,2026,'HELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',262),(2974,'Kvalitet og tilgjengelighet på tjenester, hjelpemidler og personale innen helsevesenet. Helsevesenets økonomiske og politiske avgjørelser og prinsipper nasjonalt, regionalt eller lokalt. Benytt \'Lovgivning og rettssystemer\' for lover og lovbestemmelser som allerede er implementert.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'Helsevesen og politikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',262),(2975,'Studier om spesifikke, diagnostiserte sykdommer, lidelser eller syndromer (ofte klassifisert i ICD-10 eller i tidligere versjoner). For eksempel medisinsk forskning på årsaker til diabetes eller studier av fysisk og mental rehabilitering blant personer som har gjennomgått hjerteoperasjon.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'Spesifikke sykdommer og medisinske tilfeller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',262),(2976,'Studier om abnorme anatomiske eller fysiologiske tilstander, og objektive eller subjektive manifestasjoner av sykdom eller symptomer, som ikke er klassifisert som sykdom eller syndrom (i hvilket tilfelle ‘Spesifikke sykdommer, lidelser eller medisinske tilfeller’ ville blitt brukt). Omfatter kliniske manifestasjoner som kan være objektive når de blir observert av medisinsk fagpersonell eller subjektive når de blir oppfattet av pasienten. F.eks. smerte, diaré, utslett, ulik benlengde, insomnia, tanngnissing, inflammasjon,arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'Tegn og symptomer; patologiske tilstander','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',262),(2977,'Sår og skader, både fysiske og psykologiske, forårsaket enten av ulykke eller vold (utført av individer eller grupper). Hvis det er jobbrelaterte sår og skader benytt \'Arbeidsrelatert helse\'.','Health.WoundsAndInjuries','Health',20,NULL,2030,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',262),(2978,'Behandling av sykdom, eller prosedyre(r)  for å forebygge. Pasientbehandling på individuelt nivå. Forskning på medisinering og behandling av sykdom. Data om, for eksempel, kirurgiske prosedyrer, legekonsultasjon, fysisk terapi, manipulasjoner i muskler og skjelett, behandling på sykehus eller i hjemmet, psykoterapi, undersøkelsesteknikker, medisinering.','Health.MedicationAndTreatment','Health',21,NULL,2031,'Medisiner og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',262),(2979,'Studier om det generelle velværet og helsetilstanden til et individ, en gruppe eller en populasjon. Kan bli objektivt målt/observert eller være selvrapportert. Velvære omfatter, for eksempel, fysisk og mental kapasitet eller tilstand, samt sosial tilstand.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'Generell helse og velvære','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',262),(2980,'Forhindring og kontroll av sykdom og funksjonshemminger, og fremming av befolkningens fysiske og mentale helse på internasjonalt, nasjonalt, statlig eller kommunalt nivå. For eksempel, helsefremming, forebygging av sykdom, offentlige helseprogrammers innvirkning, håndtering av lokale, nasjonale eller globale helseproblemer, en sykdoms epidemiologi, tilstand, eller patogen eller sykdomsutbrudd.','Health.Public','Health',23,NULL,2033,'Folkehelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',262),(2981,'Reproduktiv prosess, funksjon eller system på ethvert stadium av livet. Omfatter data om graviditet, fødsel, familieplanlegging, prevensjon og abort, overgangsalder.','Health.Reproductive','Health',24,NULL,2034,'Reproduktiv Helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',262),(2982,'Data om yrkeseksponering og sykdommer, arbeidssikkerhet, sykefravær, arbeidsevne og uførhet, eller yrkesrelatert uførepensjon.','Health.Occupational','Health',25,NULL,2035,'Arbeidsrelatert helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',262),(2983,'Individers uttrykte atferd, som påvirker, beskytter, opprettholder eller fremmer deres helsetilstand, samt relatert livsstil. Livsstil er tett knyttet til helseatferd og faktorer som påvirker livsstil er sosioøkonomiske, utdanningsmessige og kulturelle. Omfatter: Ernæringsmessige fenomener og prosesser, spisemønster og spisevaner, og målbare enæringsparametre; data om personers generelle form, fysisk aktivitet og trening de utfører; data om narkotika, alkohol og annen substansbruk og misbruk, og røyking.','Health.HealthBehaviour','Health',26,NULL,2036,'Helseatferd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',262),(2984,'Bruk den passende ‘topical term’ for historisk data i tillegg til hovedbenevnelsen her. For eksempel, ‘Arbeidsforhold’ og ‘Helsetjenester og policyer’ pluss HISTORIE for data om arbeidsmiljøene til familieleger på 1960-tallet. Hovedbenevnelsen for historie skal kun brukes alene i tilfeller hvor det ikke finnes noen ‘topical term’.','History',NULL,27,NULL,2037,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',262),(2985,'','HousingAndLandUse',NULL,28,NULL,2038,'BOLIG, AREALBRUK OG AREALPLANLEGGING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',262),(2986,'Omfatter studier som måler boligstandarden i et samfunn, inkludert sosialboliger, i tillegg til tilgjengeligheten og prissettingen på boliger. Bolig omfatter hjem, andre boliger og fritidsboliger.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',262),(2987,'Omfatter både arealbruk og arealplanlegging. Med arealplanlegging menes prosedyrene utført for å sikre optimal og bærekraftig bruk av land ressurser i rurale og urbane samfunn.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'Arealbruk og arealplanlegging','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',262),(2988,'','LabourAndEmployment',NULL,31,NULL,2041,'ARBEID OG SYSSELSETTING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',262),(2989,'Data om sysselsettingsrate og statistikk, arbeidsmarked, ledige jobber, arbeidssøking, karakteristika ved arbeidsforhold, sysselsetting blant bestemte grupper (e.g. ungdoms- eller minoritetssysselsetting), arbeidsmarkedskontor, karriere. For lønn og godtgjørelse brukes \'Arbeidsbetingelser\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'Sysselsetting','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',262),(2990,'Data omhandlende sysselsettingsrate og sysselsettingsstatistikk, sysselsettingsprogrammer og sysselsettingstiltak, varighet og hyppighet av arbeidsløshet, sosial og psykologisk innflytelse av arbeidsledighet etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'Arbeidsledighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',262),(2991,'Omfatter alle pensjonsmønstre, slik som \'gradvis\' eller \'fleksibel\' pensjonering, data om pensjonsalder og tidlig pensjonering.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'Pensjonering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',262),(2992,'Opplæring internt i bedriften og annen opplæring som er finansiert av bedriften for å heve ansattes ferdigheter og kompetanse. Omfatter ikke lærlinger, hvilket er inkludert i \'Yrkesrettet utdanning og opplæring\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'Opplæring av ansatte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',262),(2993,'Relasjoner mellom arbeidsgiver og arbeidstaker.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'Arbeidsforhold/konflikter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',262),(2994,'Betingelsene de ansatte arbeider under. For eksempel, typer kontrakter, arbeidstid (antall timer arbeid, hvileperioder, arbeidsplan, overtid), betaling og opptelling, fysiske aspekter og mentale krav ved arbeidet, ansattes rettigheter og ansvar, arbeidsmengde, de ansattes innblanding i beslutningstaking, permisjonsrettigheter, og fysisk miljø. For sikkerhetsspørsmål på arbeidsplassen benytt også \'Arbeidsrelatert helse\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'Arbeidsbetingelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',262),(2995,'Data om arbeids- og sysselsettingspolitikk relatert til ansettelsesforhold, arbeidsmarkedet, likestilling og diskriminering på jobb; for policyer på nasjonalt nivå inkluder påvirkningen av etterspørsel på og tilbud av arbeidskraft og arbeidsmarkedenes funksjon. Bruk ‘Lovgivning og rettsystemer’ for lover og reguleringer som allerede er implementert.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'Arbeids- og sysselsettingspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',262),(2996,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'LOV, KRIMINALITET OG RETTSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',262),(2997,'Data om internasjonal og nasjonal lovgivning, administrative forskrifter, domstoler, alternative tvisteløsninger og gjenopprettende praksis, straff.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'Lovgivning og rettssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',262),(2998,'Data om kriminalitet, forebygging av kriminalitet, ofre for kriminalitet, kriminelle, politiet, etterretningstjeneste, sikkerhetstjeneste, kriminalomsorg (for eksempel fengsel, ungdomsfengsel), grensekontroll og tollvesen. Inkluderer også data om ansatte og fasilitetene til virksomhetene.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'Kriminalitet og rettshåndhevning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',262),(2999,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'MEDIA, KOMMUNIKASJON OG SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',262),(3000,'Data som omhandler alle former for massemedia. For eksempel papir- eller nettaviser, ukeblad, fjernsyn og radio. Sosiale medier er indeksert med begrepet \'Informasjonssamfunn\'.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',262),(3001,'Tiltak implementert for å ivareta eller forbedre oppfattelsen av individer, virksomheter, organisasjoner og regjeringer, for eksempel ved bruk av reklame, pressgrupper et.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'Publikumskontakt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',262),(3002,'Produksjon, distribusjon, bruk, integrering og manipulering av informasjon som en signifikant økonomisk, politisk og kulturell aktivitet. For eksempel, data relatert til netthandel, bruk av informasjons- og kommunikasjonsteknologi i offentlig sektor, sosiale medier, mobilenheter, tilgang og bruk av internett, personvern, informasjon og biblioteksressurser. Bruk \'Informasjonsteknologi\' om de faktiske teknologiene.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'Informasjonssamfunn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',262),(3003,'Data omfatter lingvistiske studier, lingvistisk analyse og sosiolingvistikk, samt data omhandlende språkpolitikk, språkferdigheter, språk brukt hjemme og på jobb, holdninger til minoritetsspråk etc.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'Språk og lingvistikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',262),(3004,'','NaturalEnvironment',NULL,47,NULL,2057,'NATUR OG MILJØ ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',262),(3005,'Dekker problemstillinger knyttet til degradering, forurensning, miljøvern, klimaendringer, forebygging ved flom og jorderosjon.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'Miljø og naturforvaltning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',262),(3006,'Naturressurser er forekomster som jord, skog, energikilder, vann, mineraler som eksisterer naturlig og som kan bli brukt til økonomisk produksjon og konsum. Energiressurser inkluderer fossile brennstoff som olje, naturgass og kull, men også kjernekraft, sol, tidevann og vind, og levende organismer som kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'Energi og naturressurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',262),(3007,'Dekker domestisering, produksjon og ville dyr, og alle typer planter (for eksempel blomster, trær, mose, grønnsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',262),(3008,'Dekker landskap og land som ikke har blitt direkte endret av mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'Naturlige omgivelser (landskap)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',262),(3009,'','Politics',NULL,52,NULL,2062,'POLITIKK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',262),(3010,'Data om partipolitiske holdninger, politisk engasjement og deltakelse i den politiske prosessen, velgeratferd, tilfredshet med regjering. Benytt \'Politisk ideologi\' for data om spesifikke politiske doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'Politisk atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',262),(3011,'Data om valg, folkeavstemninger, valgkampanjer, valgresultat, valgkandidater, valgkomitéer, valgstøtte osv.','Politics.Elections','Politics',54,NULL,2064,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',262),(3012,'Ideer, idealer og teorier om hvordan myndighetene og samfunn kan organiseres. Store politiske ideologier omfatter anarkisme, demokrati, liberalisme, konservatisme etc.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',262),(3013,'Problemstillinger knyttet til nasjonal, regional eller lokal regjerende organer (for eksempel regjering, parliament, kommynestyre), statsforvaltning, andre politiske organisasjoner som politiske partier. Kan være f. eks data om regjerende politikk, politiske partier og deres politikk, ledere i politiske partier, tiltro til regjerende organer. Vær oppmerksom på at det kan være behov for å bruke et \'topical term\' i tillegg.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'Styresett, politiske systemer og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',262),(3014,'Global styring, diplomati, utenrikspolitikk, relasjoner mellom land, internasjonale organisasjoner (for eksempel EU, WHO, FN, WTO), og internasjonale avtaler.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'Internasjonal politikk og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',262),(3015,'Nasjonal og internasjonal sikkerhet og trygghet; nasjonale og internasjonale konflikter; krig og fred; militær styrke og militæret. Bemerk at politi er dekket under \'Lov, kriminalitet og rettsystemer\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'Konflikt, sikkerhet og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',262),(3016,'','Psychology',NULL,59,NULL,2069,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',262),(3017,'','ScienceAndTechnology',NULL,60,NULL,2070,'VITENSKAP OG TEKONOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',262),(3018,'Informasjons- og kommunikasjonsteknologi som brukes i hjemmet, på arbeidsplassen og i andre samfunnssettinger. Bemerk at bruk og innflytelse av disse teknologiene er dekket av \'Informasjonssamfunn\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'Informasjonsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',262),(3019,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'SOSIAL STRATIFISERING OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',262),(3020,'Problemstillinger knyttet til om alle individer eller grupper av individer har samme status og muligheter i et samfunn. Likhet kan studeres for eksempel ved å se på utdannelse, formue eller inntekt, yrke, makt, prestisje, betingelser for arbeid og fritid, tilgang til tjenester, og sosiale relasjoner. Marginalisering og sosial eksklusjon kan være et resultat av ugunstige forhold på flere områder i livet, og mennesker det gjelder kan bli fratatt rettigheter, muligheter, ressurser og sosial integrering. Eksempler på data: Statistikk over inntekt og likhet, oppfattelsen av gruppefokusert diskriminering (for eksempel mot innvandrere, hjemløse, asylsøkere); oppfattelsen av forskjeller mellom menn og kvinner når det gjelder mulighet for ledende politiske roller; innvirkningen av foreldres arbeidsløshet på barns utdanningsnivå og sosiale nettverk. ','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'Likhet, ulikhet og sosial eksklusjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',262),(3021,'Individer, familier eller grupper av individer sin bevegelse i sosial og yrkesmessig status over tid. Bevegelsen kan være horisontal, det vil si endring av posisjon innenfor samme statusnivå, eller vertikal hvor individer kan bevege seg oppover eller nedover i statushierarkiet. For eksempel kan arbeidere innen næringer i nedgang bli arbeidere i en annen industri (horisontal yrkesmessig mobilitet), eller så kan barn i fattige familier oppnå en høyere sosial klasse enn deres foreldre (vertikal intergenerasjonell sosial mobilitet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'Sosial og yrkesmessig mobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',262),(3022,'Kjønnsidentitet; kjønnsrepresentasjon (for eksempel representasjon av kjønn i beslutningstakersorgan, i media, i litteratur etc.); sosiale, kulturelle og psykologiske trekk knyttet til menn og kvinner; kvinnestudier, mannsstudier; forventet atferd og valg knyttet til kjønnsroller og innvirkningen av slike forventinger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'Kjønn og kjønnsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',262),(3023,'Dekker problemstillinger knyttet til familie, slektninger, generasjoner og husholdningssammensetning. For eksempel, data om barneoppdragelse, fordeling av arbeidsoppgaver i familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'Familieliv og ekteskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',262),(3024,'Kan være bruk for et ekstra emne, hvis unge mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',262),(3025,'Kan være bruk for et ekstra emne, hvis eldre mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'Eldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',262),(3026,'Kan være bruk for et ekstra emne, hvis barn studeres fra en bestemt side.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',262),(3027,'Grupper av individer som skiller seg ut fra majoriteten av befolkningen på en eller annen måte. Differensierende karakteristikker inkluderer for eksempel etnisitet, religion, helse, seksuell orientering, førstespråk (morsmål) og kultur. Begrepene \'Likhet og ulikhet\', \'Sosial utstøtning\' eller \'Språk og lingvistikk\' kan også brukes om enkelte minoritets problemstillinger.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',262),(3028,'Problemstillinger relatert til eksistensen, roller og innflytelsen til eliter i samfunnet, det vil si individer eller grupper som har en stor påvirkning på samfunn, politikk, velstand osv. enten gjennom sine beslutninger, eller gjennom sine ideer og følelser som de utrykker eller representerer. Inkluderer problemstillinger knyttet til innflytelsesrike personer på alle samfunnsområder, for eksempel beslutningstakere i det politiske livet, partiledere, innflytelsesrike kunstnere, fremtredende personer i masse- eller sosiale medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'Eliter og lederskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',262),(3029,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'SOSIALPOLITIKK OG VELFERDSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',262),(3030,'Beslutninger og prinsipper vedtatt nasjonalt, regionalt eller lokalt om velferdssystemer, finansiering og tilbud. For eksempel hvem har rett til hvilke tjenester og stønader og hvorfor, hvilket nivå, og hvem som kan tilby disse tjenestene. Bruk \'Lovgivning og rettssystemer\' for lover og reguleringer som allerede er vedtatt.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'Sosial velferdspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',262),(3031,'Problemstillinger knyttet til tilbudet av velferdssystemer, hvem som har ansvaret for sosiale velferdstjenester i praksis og i hvilken grad, og hvordan tjenestene er strukturert. For eksempel meninger om hvem som skal ha ansvar for eldreomsorg og omsorg for barn, hvordan lokale myndigheter har organisert tjenestene, og hva slags stønader kan man få etc.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'Sosiale velferdssystemer/strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',262),(3032,'For eksmpel selvrapporterte data om hvorvidt folk bruker bestemte sosiale tjenester, meninger om tilstrekkelighet, tilgjengelighet og tilgang til bestemte tjenester, og generelt hvor tilfreds folk er med disse.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'Spesielle sosiale tjenester: Bruk og tilveiebringelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',262),(3033,'','SocietyAndCulture',NULL,77,NULL,2087,'SAMFUNN OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',262),(3034,'Data om sosial atferd; sosial interaksjon og nettverk; sosialt ansvar; sosiale normer og regler; og holdninger til dette.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'Sosial atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',262),(3035,'Dekker alle aspekter av livskvalitet og trivsel hos enkeltpersoner og samfunn, og menneskers oppfatninger av disse. Vær oppmerksom på at i henhold til aspektene som blir studert kan begrepene \'Generell helse og velvære\', \'Likhet og ulikhet\', \'Likhet, ulikhet og sosial eksklusjon\' og \'Økonomiske forhold og indikatorer\' etc. være relevante.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'Sosiale forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',262),(3036,'Aktiv eller passiv deltakelse i alle former for kulturelle aktiviteter, samt meninger og oppfatninger av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',262),(3037,'Data om identitetsdannelse, hvem folk føler de er og hvor de hører til. Forholdet mellom kulturell og nasjonal identitet ved å fremstille og klassifisere andre som \'ikke en av oss/de andre\'. Vaner, oppførsel og holdninger til egne oppfatninger og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'Kulturell og nasjonal identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',262),(3038,'Rekreasjonsmønster, fritidsaktiviteter og hobbyer. Inkluderer idrettsforeninger, konkurransesport og fritidsreiser. For data om trening for å holde seg i form bruk \'Helseatferd\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'Fritid, turistaktiviteter og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',262),(3039,'Data som adresserer spørsmål om religiøs atferd, religiøs diskriminering, religiøse bevegelser, åndelighet/spiritualitet, moralitet og andre verdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'Religion og verdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',262),(3040,'Data relatert til ulike aspekter av livet i lokalsamfunnet, eller i urbane og rurale områder. Oppfatninger og fremstillinger av nabolag, eller av urbane og rurale områder. Tjenester, fasiliteter og forretningsmuligheter i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'Samfunnet, urbant og ruralt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',262),(3041,'Data om hvor mye tid befolkningen bruker på ulike aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'Tidsbruk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',262),(3042,'Data om endringer i samfunnet, inkludert holdningsendringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'Sosial endring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',262),(3043,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'HANDEL, INDUSTRI OG MARKEDER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',262),(3044,'Data om industri og foretak slik som ledelse, produktivitet, vekst og fall, organisasjonsstruktur, administrasjon, investeringer i forskning og utvikling, markeder og markedsandel.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'Forretnings-/industridrift og organisasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',262),(3045,'Bruk denne kategorien for undersøkelser om landbruksproduksjon og landbruksnæringer, som for eksempel inkluderer fiskeri og skogbruk.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'Jordbruk og rural industri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',262),(3046,'Utveksling av kapital, varer eller tjenester over internasjonale grenser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'Utenrikshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',262),(3047,'Inkluder alle typer godstransport, pendling, kollektivtransport (tog, busser, undergrunn/metro etc.) og transportnettverk i byer. Data om mobilitetsvaner, for eksempel shopping over landegrenser, ruter og midler som blir brukt for å komme seg til et sted. Bruk begrepet \'Fritid, turisme og sport\' for reiser på fritiden.','TransportAndTravel',NULL,91,NULL,2100,'TRANSPORT OG REISE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',262),(3048,'Bruk hvis emnet er kjent, men ikke finnes i listen.','Other',NULL,92,NULL,2101,'ANNET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',262),(3049,'Bruker biomolekylære og cellulære prosesser for å skape nye produkter og teknologiske prosesser.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',262),(3051,'Use when the compared items have identical content. For variables, for example, all the elements of a variable description (name, label, question text, category values and codes, universe, concept) will be identical in form.','Identical',NULL,0,NULL,NULL,'Identical','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html#Identical',275),(3052,'Use when the compared items have similar but not identical content. For variables, for example, some of the elements of a variable description (name, label, question text, category values and codes, universe, concept) will be identical in form, while others will be different.','Some',NULL,1,NULL,NULL,'Some','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html#Some',275),(3053,'Normally not used, as it would not be expected to compare items that have nothing in common. This term was necessary to complete the commonality range, and may be used in special cases, as determined by user needs (for instance, when comparability was expected, but not found).','None',NULL,2,NULL,NULL,'None','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html#None',275),(3054,'Finite sequences of characters. A character is an atomic unit of written communication; it is not further specified except to note that every character has a corresponding Universal Character Set code point (which is an integer).','String',NULL,0,NULL,NULL,'String','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#String',276),(3055,'Type of string in which any occurrence of whitespace (including tabs, line feeds, and carriage returns) is replaced by a single space.','NormalizedString',NULL,1,NULL,NULL,'Normalized string','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#NormalizedString',276),(3056,'True or false. Can be represented by 1 and 0 correspondingly.','Boolean',NULL,2,NULL,NULL,'Boolean','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Boolean',276),(3057,'A subset of real numbers, which can be represented by a finite-length sequence of decimal digits (0-9) separated by a period as a decimal indicator. An optional leading sign is allowed. If the sign is omitted, \"+\" is assumed. Leading and trailing zeroes are optional. If the fractional part is zero, the period and following zero(es) can be omitted. For example: -1.23, 12678967.543233, +100000.00, 210.','Decimal',NULL,3,NULL,NULL,'Decimal','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Decimal',276),(3058,'Whole numbers, the infinite set of integers, no minimum or maximum value.','Integer',NULL,4,NULL,NULL,'Integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Integer',276),(3059,'Whole numbers greater than 0.','PositiveInteger',NULL,5,NULL,NULL,'Positive integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#PositiveInteger',276),(3060,'Whole numbers less than 0.','NegativeInteger',NULL,6,NULL,NULL,'Negative integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#NegativeInteger',276),(3061,'Whole numbers greater than -1.','NonNegativeInteger',NULL,7,NULL,NULL,'Non-negative integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#NonNegativeInteger',276),(3062,'Whole numbers less than 1.','NonPositiveInteger',NULL,8,NULL,NULL,'Non-positive integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#NonPositiveInteger',276),(3063,'Whole numbers in the range -9223372036854775808 .. 9223372036854775807.','Long',NULL,9,NULL,NULL,'Long','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Long',276),(3064,'Whole numbers in the range -2147483648 .. 2147483647.','Int',NULL,10,NULL,NULL,'Int','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Int',276),(3065,'Whole numbers in the range -32768 .. 32767.','Short',NULL,11,NULL,NULL,'Short','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Short',276),(3066,'Whole numbers in the range -128 .. 127.','Byte',NULL,12,NULL,NULL,'Byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Byte',276),(3067,'Whole numbers in the range 0 .. 18446744073709551615.','UnsignedLong',NULL,13,NULL,NULL,'Unsigned long','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#UnsignedLong',276),(3068,'Whole numbers in the range 0 .. 4294967295.','UnsignedInt',NULL,14,NULL,NULL,'Unsigned int','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#UnsignedInt',276),(3069,'Whole numbers in the range 0 .. 65535.','UnsignedShort',NULL,15,NULL,NULL,'Unsigned short','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#UnsignedShort',276),(3070,'Whole numbers in the range 0 .. 255 (system dependent).','UnsignedByte',NULL,16,NULL,NULL,'Unsigned byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#UnsignedByte',276),(3071,'Single-precision 32-bit floating point type: The basic value space of float consists of the values m�2 to the power of e, where m is an integer whose absolute value is less than 2 to the power of 24, and e is an integer between -149 and 104, inclusive. In addition, it also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for float.','Float',NULL,17,NULL,NULL,'Float','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Float',276),(3072,'Double-precision 64-bit floating point type. The basic value space of double consists of the values m �2 to the power of e, where m is an integer whose absolute value is less than 2 to the power of 53, and e is an integer between -1075 and 970, inclusive. In addition to the basic value space described above, the value space of double also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for double.','Double',NULL,18,NULL,NULL,'Double','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Double',276),(3073,'Integer-valued year, month, day, hour and minute, plus decimal-valued second property, and time zone hour and minute (e.g., 2002-10-10T12:00:00-05:00).','DateTime',NULL,19,NULL,NULL,'DateTime','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#DateTime',276),(3074,'Left-truncated dateTime, e.g., 13:20:00-05:00 (1:20 pm for Eastern Standard Time U.S.).','Time',NULL,20,NULL,NULL,'Time','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Time',276),(3075,'Integer-valued year, month, day, and time zone hour and minutes, e.g., 2003-06-30-05:00 (30 June 2003 Eastern Standard Time U.S.).','Date',NULL,21,NULL,NULL,'Date','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Date',276),(3076,'Integer-valued year and month, e.g., 2004-11.','GYearMonth',NULL,22,NULL,NULL,'YearMonth','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#GYearMonth',276),(3077,'Integer-valued year, e.g., 2005.','GYear',NULL,23,NULL,NULL,'Year','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#GYear',276),(3078,'Integer-valued month and day, e.g., 12-31.','GMonthDay',NULL,24,NULL,NULL,'MonthDay','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#GMonthDay',276),(3079,'Integer-valued day, e.g., 24.','GDay',NULL,25,NULL,NULL,'Day','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#GDay',276),(3080,'Integer-valued month, e.g., 03.','GMonth',NULL,26,NULL,NULL,'Month','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#GMonth',276),(3081,'A duration of time. The value space of \"duration\" is a six-dimensional space in which the coordinates designate the Gregorian year, month, day, hour, minute, and second components as defined in ISO 8601. These components are ordered in their significance by their order of appearance as year, month, day, hour, minute, and second. The lexical representation of duration is the extended format PnYnMnDTnHnMnS, where P is the flag for duration (i.e., Period) and is constant, nY represents the number of years, nM the number of months, nD the number of days, T is the date/time separator, nH the number of hours, nM the number of minutes and nS the number of seconds. The number of seconds can include decimal digits to arbitrary precision. For example, to indicate a duration of 1 year, 2 months, 3 days, 10 hours, and 30 minutes, one would write: \"P1Y2M3DT10H30M.\" An optional preceding minus sign (\"-\") is allowed, to indicate a negative duration: a duration of minus 120 days would be indicated as: \"-P120D\" (from: http://www.w3.org/TR/xmlschema-2/#duration).','Duration',NULL,27,NULL,NULL,'Duration','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Duration',276),(3082,'Even-lengthed sequence of hexadecimal digits representing an N times 8-bit integer.','HexBinary',NULL,28,NULL,NULL,'hexBinary','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#HexBinary',276),(3083,'Sequence of multiples of four base64 digits, where each 4-tuple represents a 24-bit integer. Each digit (a-z, A-Z, 0-9, +, /) represents a 6-bit integer between 0 and 63.','Base64Binary',NULL,29,NULL,NULL,'base64Binary','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Base64Binary',276),(3084,'A Uniform Resource Identifier such as ftp, http or mailto, e.g., http://www.w3.org/TR/xmlschema-2.','AnyURI',NULL,30,NULL,NULL,'anyURI','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#AnyURI',276),(3085,'Use if the data type is known, but not found in the list.','Other',NULL,31,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html#Other',276),(3086,'Matematisk gjennomsnitt av et utvalg. Gjennomsnittet beregnes ved å legge sammen to eller flere verdier, og dele summen på totalen deres. I samfunns-/statsvitenskap er det vanligvis summen av målingene delt på antall enheter eller tilfeller.','ArithmeticMean',NULL,0,NULL,1944,'Aritmetisk gjennomsnitt',NULL,278),(3087,'Gjennomsnittsverdi for alle data når en finner den n-te rot til alle (n) verdiene. Sjeldent brukt i samfunnsfag.','GeometricMean',NULL,1,NULL,1945,'Geometrisk gjennomsnitt',NULL,278),(3088,'Gjennomsnittsverdi av alle data hvis man beregener det tilsvarende av det aritmetiske gjennomsnittet av tilsvarende verdier. Sjelden brukt i samfunnsvitenskap.','HarmonicMean',NULL,2,NULL,1946,'Harmonisk gjennomsnitt',NULL,278),(3089,'Det (aritmetiske) gjennomsnittet beregnet etter å ha fjernet deler av observasjonene ved den høye og den lave enden (f.eks. interkvartilgjennomsnittet når de laveste 25% og de høyeste 25% fjernes, og gjennomsnittet av de gjenværende verdier beregnes).','TrimmedMean',NULL,3,NULL,1947,'Trimmet gjennomsnitt',NULL,278),(3090,'Gir et estimat av hvor mye utvalgets gjennomsnitt varierer fra det faktiske populasjonsgjennomsnittet.','StandardErrorOfMean',NULL,4,NULL,1948,'Standardfeil for gjennomsnittet',NULL,278),(3091,'Verdien som er observert flest ganger.','Mode',NULL,5,NULL,1949,'Modus',NULL,278),(3092,'Verdier i materialet har like mange enheter over medianen som under (50 prosentil).','Median',NULL,6,NULL,1950,'Median',NULL,278),(3093,'Observerte tilfeller som er ansett for å være gyldige, dvs. gir vesentlig informasjon og skal inngå i beregninger.','ValidCases',NULL,7,NULL,1951,'Gyldige tilfeller',NULL,278),(3094,'Observerte tilfeller som er ansett/definert som \'missing\' (f.eks. ikke konstantert, ikke aktuelle etc.), vanligvis fjernet fra beregningene.','InvalidCases',NULL,8,NULL,1952,'Ugyldige tilfeller',NULL,278),(3095,'Den laveste gyldige verdien i en variabel.','Minimum',NULL,9,NULL,1953,'Minimum',NULL,278),(3096,'Den høyeste gyldige verdien i en variabel.','Maximum',NULL,10,NULL,1954,'Maksimum',NULL,278),(3097,'Variasjonsbredden av gyldige verdier, dvs. alle verdier som befinner seg mellom den høyeste og laveste gyldige verdien.','Range',NULL,11,NULL,1955,'Variasjonsbredde',NULL,278),(3098,'Summen eller totalen av verdiene på tvers av alle gyldige tilfeller.','Sum',NULL,12,NULL,1956,'Sum',NULL,278),(3099,'Variansen er det gjennomsnittlige kvadratiske avvik av variablen rundt gjennomsnittsverdien. Det gjenspeiler dispersjonen rundt dens gjennomsnitt.','Variance',NULL,13,NULL,1957,'Varians',NULL,278),(3100,'Kvadratroten av variansen. Det mest brukte målet for spredning av en frekvensfordeling.','StandardDeviation',NULL,14,NULL,1958,'Standardavvik',NULL,278),(3101,'Standardavviket delt på gjennomsnittet.','CoefficientOfVariation',NULL,15,NULL,1959,'Variasjonskoeffisienten',NULL,278),(3102,'Gjennomsnittet av de absolutte forskjellene mellom hver verdi og gjennomsnittet. Måling av statistisk spredning rundt gjennomsnittet, alternativ til standardavvik.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Gjennomsnittlig absoluttavvik',NULL,278),(3103,'Median absoluttavvik fra medianen. Måling av statistisk spredning rundt medianen.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Median absoluttavvik',NULL,278),(3104,'Den første av tre verdier som separerer den totale frekvensen av en fordeling i fire like store deler.','FirstQuartile',NULL,18,NULL,1962,'Første kvartil',NULL,278),(3105,'Den andre av tre verdier som separerer den totale frekvensen av en fordeling i fire like store deler (=median).','SecondQuartile',NULL,19,NULL,1963,'Andre kvartil',NULL,278),(3106,'Den tredje av tre verdier som separerer den totale frekvensen av en fordeling i fire like store deler.','ThirdQuartile',NULL,20,NULL,1964,'Tredje kvartil',NULL,278),(3107,'Differansen mellom den første og den tredje kvartilverdien.','InterquartileRange',NULL,21,NULL,1965,'Kvartilbredde',NULL,278),(3108,'Den første av fire verdier som separerer den totale frekvensen av en fordeling i fem like deler.','FirstQuintile',NULL,22,NULL,1966,'Første kvintil',NULL,278),(3109,'Den andre av fire verdier som separerer den totale frekvensen av en fordeling i fem like deler.','SecondQuintile',NULL,23,NULL,1967,'Andre kvintil',NULL,278),(3110,'Den tredje av fire verdier som separerer den totale frekvensen av en fordeling i fem like deler.','ThirdQuintile',NULL,24,NULL,1968,'Tredje kvintil',NULL,278),(3111,'Den fjerde av fire verdier som separerer den totale frekvensen av en fordeling i fem like deler.','FourthQuintile',NULL,25,NULL,1969,'Fjerde kvintil',NULL,278),(3112,'Intervallet mellom første og fjerde kvintil.','InterquintileRange',NULL,26,NULL,1970,'Kvintilbredde',NULL,278),(3113,'Den første av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','FirstDecile',NULL,27,NULL,1971,'Første desil',NULL,278),(3114,'Den andre av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','SecondDecile',NULL,28,NULL,1972,'Andre desil',NULL,278),(3115,'Den tredje av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','ThirdDecile',NULL,29,NULL,1973,'Tredje desil',NULL,278),(3116,'Den fjerde av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','FourthDecile',NULL,30,NULL,1974,'Fjerde desil',NULL,278),(3117,'Den femte av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','FifthDecile',NULL,31,NULL,1975,'Femte desil',NULL,278),(3118,'Den sjette av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','SixthDecile',NULL,32,NULL,1976,'Sjette desil',NULL,278),(3119,'Den syvende av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','SeventhDecile',NULL,33,NULL,1977,'Syvende desil',NULL,278),(3120,'Den åttende av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','EighthDecile',NULL,34,NULL,1978,'Åttende desil',NULL,278),(3121,'Den niende av ni verdier som separerer den totale frekvensen av en fordeling i ti like deler.','NinthDecile',NULL,35,NULL,1979,'Niende desil',NULL,278),(3122,'Intervallet mellom første og niende desilverdi.','InterdecileRange',NULL,36,NULL,1980,'Desilbredde',NULL,278),(3123,'En persentil som ikke inngår i noen av de andre persentilbegrepene.','OtherPercentile',NULL,37,NULL,1981,'Annen persentil',NULL,278),(3124,'Et mål for asymmetri av en sannsynlighetsfordeling til en variabel.','Beta1',NULL,38,NULL,1982,'Skjevhet',NULL,278),(3125,'Et mål for \'spissheten\' av en sannsynlighetsfordeling til en variabel.','Beta2',NULL,39,NULL,1983,'Kurtose',NULL,278),(3126,'Statistisk normalitetstest.','ShapiroWilk',NULL,40,NULL,1984,'Shapiro-Wilk',NULL,278),(3127,'Indikerer andelen av gyldige tilfeller av det totale antallet tilfeller.','PercentageOfValidCases',NULL,41,NULL,1985,'Andelen gyldige tilfeller',NULL,278),(3128,'Indikerer andelen av ugyldige tilfeller av det totale antallet tilfeller.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Andelen ugyldige tilfeller',NULL,278),(3129,'Bruk dersom typen summeringsstatistikk er kjent, men mangler i listen.','Other',NULL,43,NULL,1987,'Annet',NULL,278),(3130,'Matematisk gennemsnit af et sæt af værdier. Gennemsnittet beregnes ved at sammenlægge to eller flere værdier og dividere summen med antallet af værdier. I samfundsvidenskab er det normalt summen af målingerne divideret med antallet af subjekter eller cases.','ArithmeticMean',NULL,0,NULL,1944,'Aritmetisk gennemsnit','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',279),(3131,'Gennemsnitsværdien af alle data, hvis n’te rod tages af produktet af alle (n) værdier. Anvendes sjældent i samfundsvidenskab.','GeometricMean',NULL,1,NULL,1945,'Geometrisk gennemsnit','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',279),(3132,'Gennemsnitlig værdi af alle data ved beregning af den reciprokke af det aritmetiske gennemsnit af den reciprokke af værdier. Anvendes sjældent i samfundsvidenskab.','HarmonicMean',NULL,2,NULL,1946,'Harmonisk gennemsnit','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',279),(3133,'Det (aritmetiske) gennemsnit beregnet efter frasortering af givne observationer i den høje og den lave ende (fx interkvartil gennemsnit, når de laveste 25 % og de højeste 25 % er frasorteret, og gennemsnittet af de resterende værdier beregnes).','TrimmedMean',NULL,3,NULL,1947,'Trimmet gennemsnit','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',279),(3134,'Giver et estimate på, hvor meget stikprøvens gennemsnit afgiver fra populationens faktiske gennemsnit.','StandardErrorOfMean',NULL,4,NULL,1948,'Standardfejl for gennemsnittet','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',279),(3135,'Den hyppigst observerede dataværdi (Statistics Canada).','Mode',NULL,5,NULL,1949,'Modus','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',279),(3136,'Den midterste værdi i et sæt af værdier arrangeret i stigende rækkefølge. Halvdelen af værdier falder under medianen og halvdelen over den. Hvis sættet har et lige antal af værdier, vil medianen være gennemsnittet af de to midterste.','Median',NULL,6,NULL,1950,'Median','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',279),(3137,'Cases med observationer, der betragtes som gyldige, dvs. giver substantiel information og inkluderes i beregning.','ValidCases',NULL,7,NULL,1951,'Gyldige cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',279),(3138,'Cases, der betragtes/defineres som “manglende” (fx. ikke fastslået, ikke anvendelig etc.), som regel udeladt fra beregning.','InvalidCases',NULL,8,NULL,1952,'Ugyldige cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',279),(3139,'Den lavest gyldige værdi i en variabel.','Minimum',NULL,9,NULL,1953,'Minimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',279),(3140,'Den højest gyldige værdi i en variabel.','Maximum',NULL,10,NULL,1954,'Maksimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',279),(3141,'Afstanden mellem gyldige værdier, dvs., alle værdier, der falder mellem de laveste og højeste gyldige værdier.','Range',NULL,11,NULL,1955,'Variationsbredde','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',279),(3142,'Summen af værdierne på tværs af alle gyldige cases.','Sum',NULL,12,NULL,1956,'Sum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',279),(3143,'Variansen er den gennemsnitlige kvadratafvigelse for variable omkring gennemsnitsværdien. Den afspejler frekvensfordelingens spredning omkring dens gennemsnit (OECD Glossary of Statistics)','Variance',NULL,13,NULL,1957,'Varians','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',279),(3144,'Angiver den grad, hvormed individerne i stikprøven afviger fra stikprøvens gennemsnit.','StandardDeviation',NULL,14,NULL,1958,'Standardafvigelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',279),(3145,'Standardafvigelse divideret med gennemsnittet.','CoefficientOfVariation',NULL,15,NULL,1959,'Variationskoefficient','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',279),(3146,'Gennemsnittet af de numeriske forskelle mellem hver værdi og det samlede gennemsnit. Mål for statistisk spredning omkring gennemsnittet, alternativt til standardafvigelse.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Gennemsnitlig numerisk afvigelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',279),(3147,'Medianens numeriske afvigelse fra median. Måling af statistisk spredning omkring medianen.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Median numerisk afvigelse','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',279),(3148,'Den første af tre værdier, der adskiller den samlede frekvensfordeling i fire lige dele.','FirstQuartile',NULL,18,NULL,1962,'Første kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',279),(3149,'Den anden af tre værdier, der adskiller den samlede frekvensfordeling i fire lige dele (=median).','SecondQuartile',NULL,19,NULL,1963,'Anden kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',279),(3150,'Den tredje af tre værdier, der adskiller den samlede frekvensfordeling i fire lige store dele.','ThirdQuartile',NULL,20,NULL,1964,'Tredje kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',279),(3151,'Afstanden mellem 1. og 3. kvartils værdier.','InterquartileRange',NULL,21,NULL,1965,'Afstanden mellem 1. og 3. kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',279),(3152,'Den første af fire værdier, der adskiller den samlede frekvensfordeling i fem lige dele.','FirstQuintile',NULL,22,NULL,1966,'Første kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',279),(3153,'Den anden af fire værdier, der adskiller den samlede frekvensfordeling i fem lige dele.','SecondQuintile',NULL,23,NULL,1967,'Anden kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',279),(3154,'Den tredje af fire værdier, der adskiller den samlede frekvensfordeling i fem lige dele.','ThirdQuintile',NULL,24,NULL,1968,'Tredje kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',279),(3155,'Den fjerde af fire værdier, der adskiller den samlede frekvensfordeling i fem lige dele.','FourthQuintile',NULL,25,NULL,1969,'Fjerde kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',279),(3156,'Afstanden mellem 1. og 4. kvintils værdier.','InterquintileRange',NULL,26,NULL,1970,'Afstanden mellem 1. og 4. kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',279),(3157,'Den første af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','FirstDecile',NULL,27,NULL,1971,'Første decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',279),(3158,'Den anden af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','SecondDecile',NULL,28,NULL,1972,'Anden decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',279),(3159,'Den tredje af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','ThirdDecile',NULL,29,NULL,1973,'Tredje decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',279),(3160,'Den fjerde af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','FourthDecile',NULL,30,NULL,1974,'Fjerde decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',279),(3161,'Den femte af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele (=median).','FifthDecile',NULL,31,NULL,1975,'Femte decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',279),(3162,'Den sjette af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','SixthDecile',NULL,32,NULL,1976,'Sjette decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',279),(3163,'Den syvende af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','SeventhDecile',NULL,33,NULL,1977,'Syvende decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',279),(3164,'Den ottende af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','EighthDecile',NULL,34,NULL,1978,'Ottende decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',279),(3165,'Den niende af ni værdier, der adskiller den samlede frekvensfordeling i ti lige dele.','NinthDecile',NULL,35,NULL,1979,'Niende decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',279),(3166,'Afstanden mellem 1. og 9. decilers værdier.','InterdecileRange',NULL,36,NULL,1980,'Afstanden mellem 1. og 9. decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',279),(3167,'Et percentil, der ikke er dækket af nogen af de andre percentilbetingelser.','OtherPercentile',NULL,37,NULL,1981,'Andre typer af percentiler','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',279),(3168,'Et mål for asymmetri af en variabels sandsynlighedsfordeling.','Beta1',NULL,38,NULL,1982,'Skævhed','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',279),(3169,'Et mål for “spidsheden” af en variabels sandsynlighedsfordeling.','Beta2',NULL,39,NULL,1983,'Kurtosis','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',279),(3170,'Statistisk normalitetstest.','ShapiroWilk',NULL,40,NULL,1984,'Shapiro-Wilk- test','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',279),(3171,'Indikerer procentdelen af gyldige cases i det samlede antal af cases.','PercentageOfValidCases',NULL,41,NULL,1985,'Andelen af valide cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',279),(3172,'Indikerer procentdelen af ugyldige cases i det samlede antal af cases.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Andelen af ugyldige cases','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',279),(3173,'Anvend, hvis den summariske statistiktype er kendt, men ikke findes på listen.','Other',NULL,43,NULL,1987,'Andet','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',279),(3174,'Used to specify a date and time in the form \"year, month, day, hour, minutes and seconds\" (YYYY-MM-DD hh:mm:ss). In a DateTime string expression, the time portion is preceded by a \"T\", for example, 2018-02-22T13:00:00. A time zone specification may be included either by entering the UTC date and time followed by a \"Z\", or by adding a positive or negative time after the stated time to indicate the offset from UTC time. For example, 1 pm U.S. Eastern Standard Time may be expressed as 2018-02-22T18:00:00Z, or as 2018-02-22T13:00:00-5:00.','DateTime',NULL,0,NULL,NULL,'DateTime','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#DateTime',277),(3175,'Used to specify a time in the form \"hour, minutes and seconds\" (hh:mm:ss). A time zone specification may be included either by entering the UTC time followed by a \"Z\", or by adding a positive or negative time after the stated time to indicate the offset from UTC time. For example, 1 pm U.S. Eastern Standard Time may be expressed as 18:00:00Z, or as 13:00:00-5:00.','Time',NULL,1,NULL,NULL,'Time','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#Time',277),(3176,'Used to specify a date in the form \"year, month, day\" (YYYY-MM-DD). A time zone specification may be included either by entering a UTC date followed by a \"Z\" or by adding a positive or negative time after the stated date to indicate the offset from UTC time. For example, February 20th, 2018 in Eastern Australia could be expressed as 2018-02-19Z, or as 2018-02-20+10:00.','Date',NULL,2,NULL,NULL,'Date','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#Date',277),(3177,'Defines a part of a date - the year and month (YYYY-MM).','GYearMonth',NULL,3,NULL,NULL,'YearMonth','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#GYearMonth',277),(3178,'Defines a part of a date - the year (YYYY).','GYear',NULL,4,NULL,NULL,'Year','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#GYear',277),(3179,'Defines a part of a date - the month and day (MM-DD).','GMonthDay',NULL,5,NULL,NULL,'MonthDay','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#GMonthDay',277),(3180,'Defines a part of a date - the day (DD).','GDay',NULL,6,NULL,NULL,'Day','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#GDay',277),(3181,'Defines a part of a date - the month (MM).','GMonth',NULL,7,NULL,NULL,'Month','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#GMonth',277),(3182,'Used to specify a time period or interval in the form \"number of years, number of months, number of days, number of hours, number of minutes, and number of seconds, preceded by a \"P\" (PnYnMnDTnHnMnS). The letter \"T\" indicates the start of the time section. For example, P5Y2M10DT15H stands for a period of five years, two months, 10 days, and 15 hours. A period preceded by the minus sign (\"-\") will indicate a negative duration, for example, -P10D stands for a period of minus 10 days.','Duration',NULL,8,NULL,NULL,'Duration','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#Duration',277),(3183,'The TimeSpan structure represents a length of time (duration of time or elapsed time), and may be expressed as start/end, start/duration, or duration/end. Start, end, and duration are documented using the designated DateTime structures. Examples: start/end 2018-02-22T13:00:00/2018-02-22T14:30:00; start/duration 2018-02-Approved: The TimeSpan structure represents a length of time (duration of time or elapsed time), and may be expressed as start/end, start/duration, or duration/end. Start, end, and duration are documented using the designated DateTime structures. Examples: start/end 2018-02-22T13:00:00/2018-02-22T14:30:00; start/duration 2018-02-22T13:00:00/1H30M; duration/end 1H20M/2018-02-22T14:30:00. For start/end expressions, if any element is missing from the end value, it is assumed to be the same as for the start value, including the time zone if used. For example, a two-hour meeting on 14 Dec 2007 can be represented as 2007-12-14T13:30:00/15:30:00, or 2007-12-14T13:30:00/2H.','Timespan',NULL,9,NULL,NULL,'Timespan','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#Timespan',277),(3184,'Use if the date type is known, but not found in the list.','Other',NULL,10,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html#Other',277),(3185,'The individual is a native user of the language whose level of proficiency is unknown/unspecified.','Native',NULL,0,NULL,NULL,'Native','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#Native',280),(3187,'	The individual is a native user with excellent mastery of the language, including breadth of vocabulary and idiom, and confident command of the grammar.','Native.Fluent','Native',1,NULL,NULL,'Native: Fluent','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#Native.Fluent',280),(3188,'The individual is a native user of the language with good structural accuracy, vocabulary and comprehension.','Native.Good','Native',2,NULL,NULL,'Native: Good','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#Native.Good',280),(3189,'The individual is a native user of the language with limited vocabulary, use of grammar and comprehension.','Native.Basic','Native',3,NULL,NULL,'Native: Basic','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#Native.Basic',280),(3190,'The individual is a non-native user of the language whose level of proficiency is unknown/unspecified.','NonNative',NULL,4,NULL,NULL,'Non-native','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NonNative',280),(3191,'	The individual is a non-native user with excellent mastery of the language, including breadth of vocabulary and idiom, and confident command of the grammar.','NonNative.Fluent','NonNative',5,NULL,NULL,'Non-native: Fluent','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NonNative.Fluent',280),(3192,'The individual is a non-native user of the language with good structural accuracy, vocabulary and comprehension.','NonNative.Good','NonNative',6,NULL,NULL,'Non-native: Good','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NonNative.Good',280),(3193,'The individual is a non-native user of the language with limited vocabulary, use of grammar and comprehension.','NonNative.Basic','NonNative',7,NULL,NULL,'Non-native: Basic','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NonNative.Basic',280),(3194,'The individual\'s native status and her/his level of proficiency are both unknown, or not specified.','NativeStatusUnspecified',NULL,8,NULL,NULL,'Unspecified native status','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NativeStatusUnspecified',280),(3195,'The individual\'s native status is unknown/unspecified; s/he has excellent mastery of the language, including breadth of vocabulary and idiom, and confident command of the grammar.','NativeStatusUnspecified.Fluent','NativeStatusUnspecified',9,NULL,NULL,'Unspecified native status: Fluent','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NativeStatusUnspecified.Fluent',280),(3196,'The individual\'s native status is unknown/unspecified; s/he has good structural accuracy, vocabulary and comprehension.','NativeStatusUnspecified.Good','NativeStatusUnspecified',10,NULL,NULL,'Unspecified native status: Good','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NativeStatusUnspecified.Good',280),(3197,'The individual\'s native status is unknown/unspecified; s/he has limited vocabulary, use of grammar, and comprehension.','NativeStatusUnspecified.Basic','NativeStatusUnspecified',11,NULL,NULL,'Unspecified native status: Basic','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#NativeStatusUnspecified.Basic',280),(3198,'Use if level of proficiency is known, but not found in the list. It is recommended that any new entry combine information about the individual\'s native/non-native status and his/her level of proficiency, following the format [native status].[proficiency level] as shown in the entries above.','Other',NULL,12,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html#Other',280),(3199,'Defining outlines for a new study/data collection, including needs for information and general  research  objectives, as well  as main concepts, study scope and methodology, usually to be presented for approval to funders, partners, or other relevant bodies.','StudyProposal',NULL,0,NULL,NULL,'Study proposal','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#StudyProposal',281),(3200,'Decisions to extend financial support for the study/data collection.','Funding',NULL,1,NULL,NULL,'Funding','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#Funding',281),(3201,'Detailed planning for carrying out the study/data collection: refining concepts and identifying ways to measure them, defining the target population, time dimension, sampling frame and sample selection, data collection methodology, production systems and workflows, etc.','StudyDesign',NULL,2,NULL,NULL,'Study design','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#StudyDesign',281),(3202,'Building the data collection instrument, for example, the questionnaire or interview questions, focus group topics, observation forms for an observational design, standardized record review, independent and dependent variables for an experimental design, etc.','InstrumentDesign',NULL,3,NULL,NULL,'Instrument design','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#InstrumentDesign',281),(3203,'Translating the source questionnaire into other languages, for example, in cross-national surveys or in national surveys conducted in multilingual countries.','QuestionnaireTranslation',NULL,4,NULL,NULL,'Questionnaire translation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#QuestionnaireTranslation',281),(3204,'Changing the wording of questions to reflect cultural or institutional differences if same-language questionnaires are administered in different regions or countries.','QuestionnaireAdaptation',NULL,5,NULL,NULL,'Questionnaire adaptation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#QuestionnaireAdaptation',281),(3205,'Training the interviewers that administer questionnaires in survey-type studies.','InterviewerTraining',NULL,6,NULL,NULL,'Interviewer training','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#InterviewerTraining',281),(3206,'Review of the study/data collection to ensure that it complies with statutory ethics requirements or regulations, including verification of the informed consent statement, performed by a qualified body, like a Research Ethics Committee, or Institutional Review Board.','EthicsReview',NULL,7,NULL,NULL,'Ethics review','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#EthicsReview',281),(3207,'Review of the study/data collection in terms of compliance with the law  (legislation concerning confidentiality, the protection of children, etc.).','LegalReview',NULL,8,NULL,NULL,'Legal review','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#LegalReview',281),(3208,'Selecting the sample for the study/data collection.','Sampling',NULL,9,NULL,NULL,'Sampling','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#Sampling',281),(3209,'Small-scale application of the data collection instrument designed to identify potential problems before using it for the entire study.','InstrumentPreTesting',NULL,10,NULL,NULL,'Instrument pre-testing','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#InstrumentPreTesting',281),(3210,'Dress rehearsal of the full project, for example, by administering the questionnaire to a small number of people, then coding and analyzing results, etc.','PilotStudy',NULL,11,NULL,NULL,'Pilot study','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#PilotStudy',281),(3211,'Setting up, running and finalizing the data collection process, including follow-up procedures, etc.','DataCollection',NULL,12,NULL,NULL,'Data collection','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataCollection',281),(3212,'Reports on designing and conducting the data collection process, including methodological decisions and problems encountered. These may take the form of conference posters or presentations, journal articles or online publications, book chapters, etc.','DataCollectionReports',NULL,13,NULL,NULL,'Data collection reports','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataCollectionReports',281),(3213,'Changes, additions or deletions brought to the data at any point in time after collection.','DataProcessing',NULL,14,NULL,NULL,'Data processing','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing',281),(3214,'Converting raw data into machine-readable codes.','DataProcessing.Coding','DataProcessing',15,NULL,NULL,'Data processing: Coding','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Coding',281),(3215,'Documenting the meaning/substance of coded data.','DataProcessing.Classification','DataProcessing',16,NULL,NULL,'Data processing: Classification','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Classification',281),(3216,'Transferring video- or audio-taped data into written form.','DataProcessing.InterviewTranscriptions','DataProcessing',17,NULL,NULL,'Data processing: Transcriptions of interviews','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.InterviewTranscriptions',281),(3217,'Calculating weight variables and adding them to the data.','DataProcessing.Weighting','DataProcessing',18,NULL,NULL,'Data processing: Weighting','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Weighting',281),(3218,'Calculating cumulative measures of individual-level data or microdata.','DataProcessing.Aggregation','DataProcessing',19,NULL,NULL,'Data processing: Aggregation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Aggregation',281),(3219,'Calculating scales, indexes, or typologies and adding them to the data.','DataProcessing.CompositeMeasures','DataProcessing',20,NULL,NULL,'Data processing: Composite measures','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.CompositeMeasures',281),(3220,'Calculating new variables from measured variables, usually by recodes.','DataProcessing.Derivation','DataProcessing',21,NULL,NULL,'Data processing: Derivation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Derivation',281),(3221,'Checks for consistency, undocumented codes, missing data representation, etc.','DataProcessing.DataQualityChecks','DataProcessing',22,NULL,NULL,'Data processing: Quality checks','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.DataQualityChecks',281),(3222,'Creating complex datasets by merging related data, for example, hierarchical datasets with multiple but related  analysis units, or multiple-wave datasets, or data collected in different countries for a cross-national study, etc.','DataProcessing.DataIntegration','DataProcessing',23,NULL,NULL,'Data processing: Data integration','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.DataIntegration',281),(3223,'Editing the data to prevent identification of subjects, for example, performing anonymization measures like recoding or top-coding sensitive variables like income levels, suppressing some geographic indicators, or replacing personal names with pseudonyms and/or categorizing background or demographic information in qualitative data.','DataProcessing.DisclosureLimitation','DataProcessing',24,NULL,NULL,'Data processing: Disclosure limitation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.DisclosureLimitation',281),(3224,'Replacing missing data points with values calculated according to an imputation technique.','DataProcessing.Imputation','DataProcessing',25,NULL,NULL,'Data processing: Imputation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataProcessing.Imputation',281),(3225,'Documenting the data, for example, by producing study-level and variable descriptions.','MetadataProduction',NULL,26,NULL,NULL,'Metadata production','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#MetadataProduction',281),(3226,'Amending the metadata to reflect changes in the data or to improve or enhance documentation.','MetadataEditing',NULL,27,NULL,NULL,'Metadata editing','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#MetadataEditing',281),(3227,'Translating the metadata into another language.','MetadataTranslation',NULL,28,NULL,NULL,'Metadata translation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#MetadataTranslation',281),(3228,'Complete account on how the study was conducted through all its stages, often required by funders or other administrative bodies.','FinalReport',NULL,29,NULL,NULL,'Final report','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#FinalReport',281),(3229,'Analysis of how the study, in all its stages, was managed and/or conducted, including the outcome of methodological, technical, and business decisions. May serve as a basis for changes or improvements in planning future iterations of the data collection, or entirely new projects.','Evaluation',NULL,30,NULL,NULL,'Evaluation','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#Evaluation',281),(3230,'First release of data and/or metadata to other individuals and/or agencies than the study producers.','OriginalRelease',NULL,31,NULL,NULL,'Original release','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#OriginalRelease',281),(3231,'Handing over the data and available metadata (Submission Information Package in OAIS terms) to a data archive or repository for preservation, possible further processing,  and dissemination.','Deposit',NULL,32,NULL,NULL,'Deposit','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#Deposit',281),(3232,'Producing a preservation package of the data for archiving purposes (Archival Information Package in OAIS terms).','PreservationPackageProduction',NULL,33,NULL,NULL,'Preservation package production','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#PreservationPackageProduction',281),(3233,'Producing a dissemination package for distribution of the data (Dissemination Information Package in OAIS terms).','DisseminationPackageProduction',NULL,34,NULL,NULL,'Dissemination package production','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DisseminationPackageProduction',281),(3234,'Publishing or otherwise making the dissemination package available to users.','DisseminationPackageRelease',NULL,35,NULL,NULL,'Dissemination package release','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DisseminationPackageRelease',281),(3235,'Reports describing how the data were analyzed,  as well as the resulting findings. These may take the form of conference posters or presentations, journal articles or online publications, books, book chapters, etc.','DataAnalysisReports',NULL,36,NULL,NULL,'Data analysis reports','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#DataAnalysisReports',281),(3236,'Publishing or otherwise making a new version of the data and/or metadata available to users.','NewVersionRelease',NULL,37,NULL,NULL,'New version release','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#NewVersionRelease',281),(3237,'Use if the event type is known, but not found in the list. ','Other',NULL,38,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html#Other',281),(3238,'Unit of response is same as unit of observation/analysis.','Self',NULL,0,NULL,NULL,'Self','https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html#Self',282),(3239,'Unit of response is different than the unit of observation as part of the study design, and the identity of the response unit is also pre-determined by the study design. Such studies are actually called \"informant surveys\" and they involve, for instance, obtaining information about a community from certain select members who hold specific information, like church leaders, business owners or leaders, physicians, school teachers, civic leaders, etc. Or, if a business or organization is the unit of observation, information may be sought at different administrative/professional levels, etc.','Informant',NULL,1,NULL,NULL,'Informant','https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html#Informant',282),(3240,'	Unit of response is different than the unit of analysis because the sampled unit is unavailable/unable to participate. Proxies may be allowed by the study design, but their identity is not specifically designated (for example, anyone in the household can provide information about another household member, or any available student can provide information about another student, etc.).','Proxy',NULL,2,NULL,NULL,'Proxy','https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html#Proxy',282),(3241,'Data are entered directly by the interviewer, as a result of his/her own observations, and not by eliciting answers to a question.','Interviewer',NULL,3,NULL,NULL,'Interviewer','https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html#Interviewer',282),(3242,'Use if the response unit is known, but not found in the list.','Other',NULL,4,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html#Other',282),(3381,'','Demography',NULL,0,NULL,2010,'DEMOGRAFIJA (PREBIVALSTVO, STATISTIKA PREBIVALSTVA IN POPISI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',261),(3382,'Obolevnost se nanaša na pojav bolezni na populaciji. Podatki lahko pokrivajo stopnjo pojavnosti ali obolevnosti določenega zdravstvenega stanja. Na primer, število ljudi, obolelih za pljučnim rakom v državi ali na nekem geografskem območju v določenem letu. Podatki o smrtnosti kažejo število smrti v populaciji glede na kraj, čas, vzrok smrti ali značilnosti posameznika itd. Na primer, smrtnost porodnic, smrtnost otrok. Upoštevajte, da se podatki o boleznih in zdravstvenih stanjih, o katerih posamezniki sami poročajo, indeksirajo znotraj vsebinskega področja v hierarhiji \"ZDRAVJE\".','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'obolevnost in smrtnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',261),(3383,'Ankete na celotni populaciji, v nasprotju z vzorčnimi raziskavami. Pogosto se uporabljajo za uradno štetje prebivalstva, ki običajno vključuje zbiranje povezanih demografskih informacij. Upoštevajte, da se v nekaterih državah popisi ne uporabljajo, saj se lahko demografske informacije pridobijo iz uradnih registrov.','Demography.Censuses','Demography',1,NULL,2012,'popisi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',261),(3384,'Vključuje priseljevanje, izseljevanje, notranje selitve in druge vrste geografske mobilnosti. Priseljevanje predstavlja naselitev posameznika v državi, ki ni njegova matična država. O izseljevanju govorimo, ko posameznik zapusti matično državo in se naseli v drugi državi. Selitve so krovni izraz za obe obliki. Selitve vključujejo tudi notranje selitve, to je gibanje ljudi znotraj države na različnih geografskih ravneh.','Demography.Migration','Demography',2,NULL,2013,'selitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',261),(3385,'','Economics',NULL,4,NULL,2014,'GOSPODARSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',261),(3386,'Gospodarski kazalniki nakazujejo smer gospodarstva in vključujejo, na primer stopnjo rasti BDP, zaposlovanje, inflacijo in obrestno mero, dejavnost potrošnikov in vlagateljev, zadolženost gospodinjstev. Vsebinsko področje se uporablja tudi za podatke o gospodarskih razmerah posameznikov in gospodinjstev, zbranih na podlagi anket ali registrov.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'gospodarske razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',261),(3387,'Nanaša se na pridobivanje in/ali uporabo nečesa z namenom zadovoljitve potreb in želja posameznika, skupnosti ali družbe. Podatki v tej kategoriji vključujejo vzorce vedenja porabnikov, spremembe vedenja in raziskovanje porabniške etike. Na primer, anketni podatki o pogostosti nakupovanja določenih izdelkov; podatki o kraju in času nakupovanja; podatki o vplivu etičnih vidikov na izbiro porabnika.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'poraba in navade porabnikov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',261),(3388,'Podatki o gospodarski politiki, vključno s proračunsko in fiskalno politiko, javno porabo in prihodki.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'gospodarska politika, javna poraba in proračun','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',261),(3389,'Uporabite za raziskave o kopičenju osebnih sredstev, vključno s prihodki, premoženjem, naložbami in prihranki.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'dohodek, lastnina in vlaganje/varčevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',261),(3390,'Uporabite za raziskave kapitalističnih, socialističnih in drugih ekonomskih sistemov ter za raziskave, na primer mednarodnih razvojnih programov.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'gospodarski sistemi in razvoj','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',261),(3391,'','Education',NULL,10,NULL,2020,'IZOBRAŽEVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',261),(3392,'Obvezno izobraževanje se nanaša na obdobje izobraževanja, ki se zahteva od vseh oseb, ki živijo v državi, in je določeno z zakonom. Predšolska vzgoja se nanaša na formalno varstvo otrok in izobraževanje pred vstopom v obvezno izobraževanje. To vsebinsko področje uporabite za indeksiranje podatkov o predšolskih, osnovnošolskih in nižjih srednješolskih stopnjah izobraževanja, ne glede na to, ali se podatki osredotočajo na učence, učitelje, poučevane predmete ali veščine, opremo itd.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'obvezno in predšolsko izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',261),(3393,'Pokriva splošno izobraževanje na ravni ISCED 3-4 in terciarno izobraževanje, to je višje srednješolsko izobraževanje, višje šole, univerze uporabnih znanosti in univerzitetno izobraževanje. Vključuje podatke o dijakih/študentih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.HigherAndFurther','Education',12,NULL,2022,'višje in nadaljnje izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',261),(3394,'Programi, namenjeni pridobivanju znanja, spretnosti in kompetenc, potrebnih za določen poklic, določeno obrt ali skupino poklicev oziroma obrti. Poklicno izobraževanje lahko vključuje tudi delovno prakso. Pokriva poklicno izobraževanje na ravni ISCED 3-4 in vajeništvo. Vključuje podatke o dijakih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.VocationalAndTraining','Education',13,NULL,2023,'poklicno izobraževanje in usposabljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',261),(3395,'Nanaša se na priložnosti za izobraževanje v različnih oblikah, namenjenih odraslim, potem ko zapustijo formalni sistem izobraževanja. Odrasli se lahko vključijo v takšna izobraževanja, na primer, da izboljšajo svoje spretnosti ali znanja, da se usposobijo za novo obliko dela ali se naučijo nečesa novega. Ne vključuje izobraževanja, ki vodi do pridobitve kvalifikacij, ali usposabljanja zaposlenih.','Education.LifelongContinuing','Education',14,NULL,2024,'vseživljenjsko/stalno izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',261),(3396,'Razprave o politiki in načelih ter odločitvah in načelih, sprejetih na državni, regionalni ali lokalni ravni glede izobraževanja in njegovega zagotavljanja. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Education.EducationalPolicy','Education',15,NULL,2025,'izobraževalna politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',261),(3397,'','Health',NULL,16,NULL,2026,'ZDRAVSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',261),(3398,'Kakovost in dostopnost storitev, opreme in osebja v zdravstveni oskrbi. Ekonomija zdravstvene oskrbe in politične odločitve ter načela na državni, regionalni ali lokalni ravni glede zdravstvene oskrbe. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'storitve in politike zdravstvene oskrbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',261),(3399,'Raziskave posebnih, diagnosticiranih bolezni, motenj ali sindromov (pogosto uvrščenih v ICD-10 ali v starejše različice). Na primer, medicinske raziskave vzrokov sladkorne bolezni ali raziskave o telesnem in duševnem okrevanju posameznikov po operaciji srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'posebne bolezni, motnje in zdravstvene razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',261),(3400,'Raziskave nenormalnih anatomskih ali fizioloških razmer ter objektivnih ali subjektivnih pojavnosti bolezni/simptomov, ki niso razvrščeni kot bolezen ali sindrom (v tem primeru bi uporabili izraz \"Posebne bolezni, motnje ali zdravstvene razmere\"). Vključuje klinične pojavnosti, ki so lahko objektivne, če jih opazuje zdravstveni delavec, ali subjektivne, ko jih zazna posameznik sam. Npr. bolečina, driska, izpuščaj, neenakost dolžine nog, nespečnost, škripanje z zobmi, vnetje, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'znaki in simptomi; patološki pogoji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',261),(3401,'Nezgode in poškodbe, tako telesne kot psihične, ki jih povzročijo nesreče ali nasilje (agresivno vedenje posameznikov ali skupin). Za nezgode ali poškodbe, povezane z delom, uporabite vsebinsko področje »Poklicno zdravje«.','Health.WoundsAndInjuries','Health',20,NULL,2030,'nezgode in poškodbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',261),(3402,'Zdravljenje bolezni ali postopek oziroma postopki za preprečevanje bolezni. Nega bolnikov na individualni ravni. Raziskave o zdravilih in zdravljenju bolezni. Podatki o, na primer, kirurških posegih, rehabilitaciji, posvetovanju z zdravnikom, fizikalni terapiji, kiropraktiki, oskrbi v bolnišnici ali na domu, psihoterapiji, preiskovalnih tehnikah, zdravilih.','Health.MedicationAndTreatment','Health',21,NULL,2031,'zdravila in zdravljenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',261),(3403,'Raziskave splošnega počutja ali zdravstvenega stanja posameznikov, skupin ali prebivalstva. Lahko se objektivno meri/opazuje ali pa o njem poroča posameznik. Dobro počutje vključuje, na primer, telesno in duševno zmogljivost ali stanje, pa tudi socialno državo.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'splošno zdravstvo in počutje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',261),(3404,'Preprečevanje in nadzor bolezni in invalidnosti ter spodbujanje telesnega in duševnega zdravja prebivalstva na mednarodni, nacionalni, državni ali občinski ravni. Na primer, spodbujanje zdravja, preprečevanje bolezni, vpliv programov javnega zdravja, upravljanje lokalnih, nacionalnih ali globalnih zdravstvenih vprašanj, epidemiologija bolezni ali stanja, patogeni ali izbruh bolezni.','Health.Public','Health',23,NULL,2033,'javno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',261),(3405,'Reproduktivni proces, funkcija ali sistem v kateri koli življenjski dobi. Vključuje podatke o nosečnosti, porodu, načrtovanju družine, kontracepciji in splavu, menopavzi.','Health.Reproductive','Health',24,NULL,2034,'reproduktivno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',261),(3406,'Podatki o poklicnih izpostavljenostih in boleznih, varnosti pri delu, bolniških odsotnostih, zmožnosti za delo in invalidnosti ali invalidskih pokojninah, povezanih z delom.','Health.Occupational','Health',25,NULL,2035,'poklicno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',261),(3407,'Vedenja posameznikov, ki vplivajo, ščitijo, ohranjajo ali spodbujajo njihovo zdravstveno stanje in s tem povezan življenjski slog. Življenjski slog je tesno povezan s skrbjo za zdravje; dejavniki, ki vplivajo na življenjski slog, so socioekonomski, izobraževalni in kulturni. Vključuje: prehrambene pojave in procese, vzorce prehranjevanja in navade ter merljive prehranske parametre; podatke o splošni ravni telesne pripravljenosti, telesni dejavnosti in gibanju; podatke o uporabi in zlorabi drog, alkohola in drugih snovi ter podatke o kajenju.','Health.HealthBehaviour','Health',26,NULL,2036,'skrb za zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',261),(3408,'V primeru zgodovinskih podatkov uporabite to področje kot tudi ustrezno vsebinsko področje vaših podatkov. Na primer, \"Delovne razmere\" in \"Storitve in poltike zdravstvene oskrbe\" ter ZGODOVINA za podatke o delovnem okolju družinskih zdravnikov v šestdesetih letih prejšnjega stoletja. Glavno področje \"Zgodovina\" se lahko uporablja samostojno samo v primerih, ko ni mogoče najti nobenega drugega primernega vsebinskega področja.','History',NULL,27,NULL,2037,'ZGODOVINA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',261),(3409,'','HousingAndLandUse',NULL,28,NULL,2038,'BIVALNE RAZMERE IN NAČRTOVANJE RABE PROSTORA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',261),(3410,'Vključuje raziskave, ki merijo stanovanjski standard v skupnosti, vključno z neprofitnimi stanovanji ter razpoložljivostjo in ceno nastanitev. Stanovanja vključujejo domove, druge domove in počitniške domove.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'bivalne razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',261),(3411,'Vključuje uporabo in načrtovanje rabe zemljišč. Načrtovanje rabe zemljišč se nanaša na postopke, ki se izvajajo za zagotovitev optimalne in trajnostne rabe zemljiških virov v podeželskih in mestnih skupnostih.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'načrtovanje in uporaba zemljišč','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',261),(3412,'','LabourAndEmployment',NULL,31,NULL,2041,'DELO IN ZAPOSLOVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',261),(3413,'Podatki o stopnji zaposlenosti in statistiki zaposlenih, trgu dela, prostih delovnih mestih, iskanju zaposlitve, značilnostih dela, zaposlovanju določenih skupin (npr. zaposlovanje mladih ali manjšin), zavodih za zaposlovanje, karieri. Za plačilo in nadomestilo uporabite vsebinsko področje \"Delovne razmere\".','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'zaposlovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',261),(3414,'Podatki o stopnjah brezposelnosti in statistiki brezposelnih, programih in shemah zaposlovanja, trajanju in pogostosti brezposelnosti, družbenem in psihološkem vplivu brezposelnosti itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'brezposelnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',261),(3415,'Vključuje vse vzorce upokojevanja, kot so \"postopna\" ali \"prilagodljiva\" upokojitev, podatke o upokojitveni starosti in predčasnih upokojitvah.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'upokojevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',261),(3416,'Notranja usposabljanja v podjetjih in druga usposabljanja zaposlenih, ki jih financira delodajalec z namenom povečanja spretnosti in kompetenc zaposlenih. Ne vključuje vajeništva, ki je vključeno v \"Poklicno izobraževanje in usposabljanje\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'usposabljanje zaposlenih','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',261),(3417,'Odnosi med delodajalci in zaposlenimi.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'odnosi/spori med socialnimi partnerji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',261),(3418,'Razmere, v katerih zaposleni delajo. Na primer, vrste pogodb, delovni čas (delovne ure, čas počitka, urniki dela, nadure), plačila, fizični vidiki in psihične zahteve dela, pravice in odgovornosti zaposlenih, delovne obremenitve, sodelovanje zaposlenih pri odločanju, pravice do dopusta, fizično okolje. Pri vprašanjih varnosti na delovnem mestu uporabite tudi vsebinsko področje »Poklicno zdravje«.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'delovne razmere/konflikti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',261),(3419,'Podatki o politikah zaposlovanja, ki se nanašajo na delovna razmerja, trg dela ter enakost in diskriminacijo na delovnem mestu; politike na državni ravni vključujejo vpliv na povpraševanje in ponudbo delavcev ter delovanje trgov dela. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'delovna in zaposlitvena politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',261),(3420,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'PRAVO, KRIMINAL IN PRAVNI SISTEMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',261),(3421,'Podatki o mednarodni ali državni zakonodaji, upravnih predpisih, pravosodnem sistemu (pristojnosti in dejavnosti sodišč), alternativnem reševanju sporov in poravnalnih pravicah, kaznovanju.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'zakonodaja in pravni sistemi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',261),(3422,'Podatki o kriminalu, preprečevanju kriminala, žrtvah kaznivih dejanj, zločincih, pa tudi o policiji, tajni službi, prevzgojnih zavodih (npr. zaporih, prevzgojnih zavodih za mladino), mejni kontroli in carini. Vključuje tudi podatke o osebju in zmogljivostih teh ustanov.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'kriminal in uveljavljanje zakonov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',261),(3423,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'MEDIJI, KOMUNICIRANJE IN JEZIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',261),(3424,'Podatki, ki se nanašajo na katero koli vrsto množičnih medijev. Na primer, tiskani ali spletni časopisi, revije, televizija in radio. Upoštevajte, da so družbeni mediji indeksirani z vsebinskim področjem \"Informacijska družba\".','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'množični mediji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',261),(3425,'Ukrepi, sprejeti za izboljšanje ali ohranjanje podobe posameznikov, podjetij, organizacij in vlad, na primer s pomočjo oglaševanja, lobiranja itd.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'odnosi z javnostmi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',261),(3426,'Ustvarjanje, razširjanje, uporaba, integracija in manipulacija informacij kot pomembna gospodarska, politična in kulturna dejavnost. Na primer, podatki, ki se nanašajo na elektronsko poslovanje, e-upravo, družbene medije, mobilne naprave, dostop in uporabo interneta, e-zasebnost, informacijske in knjižnične vire. Uporabite vsebinsko področje \"Informacijska tehnologija\", ko govorite o dejanskih tehnologijah.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'informacijska družba','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',261),(3427,'Podatki vključujejo jezikovne študije, jezikovne analize in sociolingvistiko ter podatke o jezikovnih politikah, jezikovnih spretnostih, jezikih, ki se govorijo na delu in doma, odnosih do jezikov manjšin itd.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'jezik in jezikoslovje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',261),(3428,'','NaturalEnvironment',NULL,47,NULL,2057,'NARAVNO OKOLJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',261),(3429,'Zajema vprašanja uničevanja okolja, onesnaževanja, varstva okolja, podnebnih sprememb, preprečevanja poplav, erozije tal.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'okolje in varstvo okolja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',261),(3430,'Naravni viri so dobrine, kot so zemljišča, gozdovi, energetski viri, voda, minerali, ki se nahajajo v naravi in se lahko uporabljajo za gospodarsko proizvodnjo ali potrošnjo. Energetski viri vključujejo fosilna goriva, kot so nafta, zemeljski plin ali premog, pa tudi jedrske, sončne, vodne in veterne vire ali vire živih organizmov, ki jih je mogoče zamenjati.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'energija in naravni viri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',261),(3431,'Pokriva udomačene, vzrejne in divje živali, pa tudi vse vrste rastlin (npr. cvetje, drevesa, mah, zelenjavo).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'rastline in živali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',261),(3432,'Pokriva krajine in elemente zemljišč, ki jih ljudje niso neposredno spremenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'naravne krajine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',261),(3433,'','Politics',NULL,52,NULL,2062,'POLITIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',261),(3434,'Podatki o stališčih do političnih strank, političnem vključevanju in udeležbi v političnem procesu, glasovanju in zadovoljstvu z vlado. Uporabite vsebinsko področje \"Politična ideologija\" za podatke o posameznih doktrinah.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'politično vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',261),(3435,'Podatki o volitvah, referendumih, volilnih kampanjah, rezultatih volitev, kandidatih na volitvah, financiranju volitev itd.','Politics.Elections','Politics',54,NULL,2064,'volitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',261),(3436,'Ideje, ideali in teorije o tem, kako je mogoče organizirati vlade in družbe. Med večje politične ideologije uvrščamo anarhizem, demokracijo, liberalizem, konservativizem itd.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'politična ideologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',261),(3437,'Vprašanja v zvezi z državnimi, regionalnimi in lokalnimi oblastmi, upravnimi organi (npr. vlado, parlamentom, organi lokalne skupnosti), javno upravo, drugimi političnimi organizacijami, kot so politične stranke. Na primer, podatki o vladnih politikah, političnih strankah in njihovih politikah, podatki o voditeljih političnih strank, zaupanju v vladne organe. Upoštevajte, da boste morda morali uporabiti tudi dodatno vsebinsko področje.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'vlada, politični sistemi in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',261),(3438,'Globalno upravljanje, diplomacija, zunanja politika, odnosi med državami, mednarodne organizacije (npr. EU, SZO, ZN, STO) in mednarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'mednarodna politika in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',261),(3439,'Notranja in mednarodna varnost; notranji in mednarodni konflikti; vojna in mir; državna obramba in obrambne sile (vojska). Upoštevajte, da policijo pokriva vsebinsko področje \"Kriminal in uveljavljanje zakonov\".','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'spori, varnost in mir','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',261),(3440,'','Psychology',NULL,59,NULL,2069,'PSIHOLOGIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',261),(3441,'','ScienceAndTechnology',NULL,60,NULL,2070,'ZNANOST IN TEHNIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',261),(3442,'Informacijske in komunikacijske tehnologije, ki se uporabljajo na domu, delovnem mestu in drugje v skupnosti. Upoštevajte, da uporabo in vpliv teh tehnologij pokriva vsebinsko področje \"Informacijska družba\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'informacijska tehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',261),(3443,'Uporaba biomolekularnih in celičnih procesov za ustvarjanje novih izdelkov in tehnoloških procesov.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'biotehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',261),(3444,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'DRUŽBENA SLOJEVITOST IN SKUPINE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',261),(3445,'Vprašanja, ali imajo vsi posamezniki ali skupine posameznikov enak status in priložnosti v družbi. Enakost se lahko preučuje, na primer z vidika izobraževanja, (finančnega) premoženja ali dohodka, poklicnega položaja, moči, prestiža, pogojev dela in prostega časa, dostopa do storitev in družbenih odnosov. Marginalizacija in socialna izključenost sta lahko posledica sistematične prikrajšanosti na številnih področjih življenja, kjer so ljudje prikrajšani za pravice, priložnosti, vire in vključevanje v družbo.\n Primeri podatkov: statistika enakosti dohodkov; zaznana diskriminacija skupin (npr. tujcev, brezdomcev, prosilcev za azil); zaznane razlike med moškimi in ženskami glede možnosti za prevzem vodilnih vlog v politiki; vpliv brezposelnosti staršev na otrokovo izobraževalno raven in družbena omrežja.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'enakost, neenakost in družbena izključenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',261),(3446,'Premiki posameznikov, družin ali skupin posameznikov v družbenem in poklicnem statusu skozi čas. Premiki so lahko vodoravni, kar pomeni, da se spremeni položaj v območju istega statusa, ali navpični, ko se posamezniki premikajo navzgor ali navzdol v statusni hierarhiji. Na primer, delavci v nazadujočih gospodarskih panogah lahko postanejo delavci v drugi industriji (horizontalna poklicna mobilnost) ali pa otroci iz revnejših družin dosežejo višji družbeni razred kot njihovi starši (vertikalna medgeneracijska družbena mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'družbena in poklicna mobilnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',261),(3447,'Spolna identiteta; spolna zastopanost (npr. zastopanje spolov v organih odločanja, v medijih, v literaturi ipd.); socialne, kulturne in psihološke lastnosti, povezane z moškimi in ženskami; ženske študije; moške študije; pričakovano vedenje in izbire glede na spolne vloge in vpliv takšnih pričakovanj.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'spol in spolne vloge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',261),(3448,'Pokriva vprašanja, povezana z družinami, sorodniki, generacijami in sestavo gospodinjstev. Na primer, podatki o vzgoji otrok, delitvi dela v družini, podpori družinskih članov.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'družinsko življenje in zakonska zveza','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',261),(3449,'Morda bo potrebna dodatna tema, če je mladina proučevana s posebnega vidika.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'mladina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',261),(3450,'Morda bo potrebna dodatna tema, če so ostareli proučevani s posebnega vidika.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'ostareli','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',261),(3451,'Morda bo potrebna dodatna tema, če so otroci proučevani s posebnega vidika.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'otroci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',261),(3452,'Skupine posameznikov, ki se na določen način razlikujejo od večine prebivalstva. Tovrstne značilnosti vključujejo, na primer, narodnost, vero, zdravje, spolno usmerjenost, prvi jezik (materni jezik) in kulturo. Upoštevajte, da lahko v zvezi z nekaterimi manjšinskimi vprašanji uporabljate tudi vsebinski področji \"Enakost, neenakost in socialna izključenost\" ali \"Jezik in jezikoslovje\".','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'manjšine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',261),(3453,'Vprašanja, povezana z obstojem, vlogami in vplivom elit v družbi, to so posamezniki ali skupine, ki imajo veliko moči ali vpliva na družbo, politiko, bogastvo itd., bodisi z odločitvami, ki jih sprejemajo, bodisi, na primer, z idejami ali čustvi, ki jih izražajo ali zastopajo. Vključuje vprašanja, ki se nanašajo na vplivne ljudi na vseh področjih družbe, na primer na odločevalce v političnem življenju, voditelje političnih strank, vplivne umetnike, vidne predstavnike množičnih ali družbenih medijev itd.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'elite in vodstvo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',261),(3454,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'POLITIKA IN SISTEMI DRUŽBENE BLAGINJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',261),(3455,'Odločitve in načela, sprejeta na državni, regionalni ali lokalni ravni glede družbene blaginje, financiranja in zagotavljanja, na primer, kdo je upravičen do določenih socialnih storitev in ugodnosti ter zakaj, kakšna je njihova raven in kdo lahko nudi storitve. Na primer, politika, da naj ostanejo ostareli ljudje v svojih domovih čim dlje; politika o dolžini trajanja nadomestila za brezposelnost. Uporabite tudi vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'politika družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',261),(3456,'Vprašanja v zvezi z dejanskim zagotavljanjem družbene blaginje, kdo v praksi zagotavlja storitve socialnega varstva in kako so dejanske storitve urejene. Na primer, vprašanja o tem, kako je lokalna vlada uredila storitve za ostarele.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'sistemi/strukture družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',261),(3457,'Na primer, podatki o tem, koliko ljudje uporabljajo posebne socialne storitve, mnenja o ustreznosti, dostopnosti in razpoložljivosti določenih storitev ter splošno zadovoljstvo z njimi. Na primer, vprašanja o tem, katere storitve so uporabili starejši anketiranci, ali statistika uporabe določenih storitev.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'posebne socialne storitve: uporaba in zagotavljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',261),(3458,'','SocietyAndCulture',NULL,77,NULL,2087,'DRUŽBA IN KULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',261),(3459,'Podatki o družbenem vedenju; družbenih interakcijah in omrežjih; o družbeni odgovornosti; o družbenih normah in pravilih; in o stališčih do teh vprašanj.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'družbeno vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',261),(3460,'Pokriva vse vidike kakovosti življenja in blaginje posameznikov in družb ter dojemanje ljudi.\n Upoštevajte, da so glede na obravnavani vidik lahko ustrezna tudi naslednja vsebinska področja: \"Splošno zdravje in dobro počutje\", \"Enakost, neenakost in socialna izključenost\", \"Gospodarske razmere in kazalci\" itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'družbene razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',261),(3461,'Aktivna ali pasivna udeležba v kakršni koli kulturni dejavnosti, vključno z mnenji in zaznavanjem kulturnih dejavnosti.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'kulturne dejavnosti in sodelovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',261),(3462,'Podatki o oblikovanju identitete, podatki o tem, kaj ljudje mislijo, da so in kam pripadajo. Odnos kulturne in nacionalne identitete do zastopanja in razvrščanje nekoga drugega, ki »ni eden od nas« (drugačenje). Običaji, obnašanje in odnosi do identitetnih skupin, ki jih zazanavamo kot lastne oziroma druge.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'kulturna in nacionalna identiteta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',261),(3463,'Rekreativne, prostočasne dejavnosti in hobiji. Vključuje spremljanje športov, tekmovalne športe in potovanja v prostem času. Za podatke o vzdrževanju telesne kondicije, uporabite vsebinsko področje »Skrb za zdravje«.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'prosti čas, turizem in šport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',261),(3464,'Podatki, ki obravnavajo vprašanja verskega vedenja, verskih gibanj, duhovnosti, morale in drugih vrednot.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'vera in vrednote','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',261),(3465,'Podatki, povezani z različnimi vidiki življenja v skupnosti oziroma v mestnih in podeželskih območjih. Mnenja o in podobe sosesk oziroma mestnih ali podeželskih območij. Storitve, zmogljivosti in poslovne priložnosti v soseskah.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'skupnost, mestno in podeželsko življenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',261),(3466,'Podatki o količini časa, ki ga prebivalstvo porabi za različne dejavnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'poraba časa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',261),(3467,'Podatki o spremembah v družbi, vključno s spremembami stališč.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'družbene spremembe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',261),(3468,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'TRGOVINA, INDUSTRIJA IN TRGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',261),(3469,'Podatki o industriji in podjetjih, kot so upravljanje, produktivnost, rast in nazadovanje, organizacijska struktura, uprava, naložbe v raziskave in razvoj, trgi in tržni deleži.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'poslovno/industrijsko upravljanje in organizacija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',261),(3470,'Uporabite to vsebinsko področje za raziskave o kmetijski proizvodnji in vseh kmetijskih panogah, ki vključujejo, na primer, ribištvo in gozdarstvo.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'kmetijstvo in podeželska industrija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',261),(3471,'Izmenjava kapitala, blaga ali storitev preko mednarodnih meja.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'zunanja trgovina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',261),(3472,'Vključuje vse vrste prevoza blaga, kot so dnevni prevozi, javni prevozi (vlaki, avtobusi, podzemna železnica itd.) in omrežja mestnega prometa. Podatki o mobilnostnih navadah, na primer čezmejni nakupi, uporabljene poti in sredstva za dostop do lokacije. Uporabite vsebinsko področje \"Prosti čas, turizem in šport\" za potovanja v prostem času.','TransportAndTravel',NULL,91,NULL,2100,'TRANSPORT, POTOVANJE IN MOBILNOST','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',261),(3473,'Uporabite, če je vsebinsko področje znano, a ga ne najdete na seznamu.','Other',NULL,92,NULL,2101,'DRUGO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',261),(3487,'','AcaStat',NULL,0,NULL,NULL,'AcaStat','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#AcaStat',290),(3488,'','ADaMSoft',NULL,1,NULL,NULL,'ADaMSoft','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#ADaMSoft',290),(3489,'','AnalyseIt',NULL,2,NULL,NULL,'Analyse-it','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#AnalyseIt',290),(3490,'','Auguri',NULL,3,NULL,NULL,'Auguri','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Auguri',290),(3491,'','BioStat',NULL,4,NULL,NULL,'BioStat','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#BioStat',290),(3492,'','BMDP',NULL,5,NULL,NULL,'BMDP','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#BMDP',290),(3493,'','BrightStat',NULL,6,NULL,NULL,'BrightStat','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#BrightStat',290),(3494,'','Dataplot',NULL,7,NULL,NULL,'Dataplot','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Dataplot',290),(3495,'','DBase',NULL,8,NULL,NULL,'DBase','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#DBase',290),(3496,'Data interchange format suitable for use in Excel.','DIF',NULL,9,NULL,NULL,'DIF','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#DIF',290),(3497,'','EasyReg',NULL,10,NULL,NULL,'EasyReg','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#EasyReg',290),(3498,'','EpiInfo',NULL,11,NULL,NULL,'Epi Info','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#EpiInfo',290),(3499,'','EViews',NULL,12,NULL,NULL,'EViews','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#EViews',290),(3500,'','GAUSS',NULL,13,NULL,NULL,'GAUSS','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#GAUSS',290),(3501,'','GoldenHelix',NULL,14,NULL,NULL,'Golden Helix','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#GoldenHelix',290),(3502,'','GraphPadPrism',NULL,15,NULL,NULL,'GraphPad Prism','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#GraphPadPrism',290),(3503,'','Gretl',NULL,16,NULL,NULL,'gretl','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Gretl',290),(3504,'','JMP',NULL,17,NULL,NULL,'JMP','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#JMP',290),(3505,'','Limdep',NULL,18,NULL,NULL,'Limdep','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Limdep',290),(3506,'','MacAnova',NULL,19,NULL,NULL,'MacAnova','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#MacAnova',290),(3507,'','Maple',NULL,20,NULL,NULL,'Maple','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Maple',290),(3508,'','Mathematica',NULL,21,NULL,NULL,'Mathematica','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Mathematica',290),(3509,'','MatLab',NULL,22,NULL,NULL,'MatLab','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#MatLab',290),(3510,'','MedCalc',NULL,23,NULL,NULL,'MedCalc','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#MedCalc',290),(3511,'','Minitab',NULL,24,NULL,NULL,'Minitab','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Minitab',290),(3512,'','ModelQED',NULL,25,NULL,NULL,'modelQED','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#ModelQED',290),(3513,'','NCSS',NULL,26,NULL,NULL,'NCSS','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#NCSS',290),(3514,'','NSDStat',NULL,27,NULL,NULL,'NSDStat','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#NSDStat',290),(3515,'','OpenEpi',NULL,28,NULL,NULL,'OpenEpi','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#OpenEpi',290),(3516,'','Origin',NULL,29,NULL,NULL,'Origin','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Origin',290),(3517,'','Partek',NULL,30,NULL,NULL,'Partek','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Partek',290),(3518,'','Primer',NULL,31,NULL,NULL,'Primer','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Primer',290),(3519,'','PSPP',NULL,32,NULL,NULL,'PSPP','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#PSPP',290),(3520,'','RCommander',NULL,33,NULL,NULL,'R Commander','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#RCommander',290),(3521,'','R',NULL,34,NULL,NULL,'R','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#R',290),(3522,'','RATS',NULL,35,NULL,NULL,'RATS','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#RATS',290),(3523,'','RKWard',NULL,36,NULL,NULL,'RKWard','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#RKWard',290),(3524,'','SalStat',NULL,37,NULL,NULL,'SalStat','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SalStat',290),(3525,'','SAS',NULL,38,NULL,NULL,'SAS','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SAS',290),(3526,'','Shazam',NULL,39,NULL,NULL,'Shazam','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Shazam',290),(3527,'','SOCR',NULL,40,NULL,NULL,'SOCR','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SOCR',290),(3528,'','SPlus',NULL,41,NULL,NULL,'SPlus','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SPlus',290),(3529,'','SPSS',NULL,42,NULL,NULL,'SPSS','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SPSS',290),(3530,'','Stata',NULL,43,NULL,NULL,'Stata','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Stata',290),(3531,'','Statistica',NULL,44,NULL,NULL,'Statistica','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Statistica',290),(3532,'','SUDAAN',NULL,45,NULL,NULL,'SUDAAN','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#SUDAAN',290),(3533,'','TSP',NULL,46,NULL,NULL,'TSP','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#TSP',290),(3534,'Use if the software package is known, but not found in the list. ','Other',NULL,47,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html#Other',290),(3535,'Includes both \"street\", and P.O. Box addresses used for sending and receiving physical/conventional mail through the postal system.','Mailing',NULL,0,NULL,NULL,'Mailing address','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Mailing',291),(3536,'Address for directing physical/conventional mail to a person\'s private residence; this entry will not be used to describe addresses of businesses, organizations, or other type of associations.','Mailing.Residential','Mailing',1,NULL,NULL,'Mailing address: Residential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Mailing.Residential',291),(3537,'	Address for directing physical/conventional mail to a business, organization, or other type of association.','Mailing.Nonresidential','Mailing',2,NULL,NULL,'Mailing address: Nonresidential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Mailing.Nonresidential',291),(3538,'Address used to identify a physical location (typically a building or a unit in a building) that may be accessed in person.','Visiting',NULL,3,NULL,NULL,'Visiting address','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Visiting',291),(3539,'Visiting address for a person\'s private residence; this entry will not be used to describe addresses of businesses, organizations, or other type of associations.','Visiting.Residential','Visiting',4,NULL,NULL,'Visiting address: Residential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Visiting.Residential',291),(3540,'Visiting address for a business, organization, or other type of association.','Visiting.Nonresidential','Visiting',5,NULL,NULL,'Visiting address: Nonresidential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Visiting.Nonresidential',291),(3541,'Use if type of address is known, but not found in the list.','Other',NULL,6,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html#Other',291),(3542,'A concept group created for administrative purposes, for instance for subsetting or reorganizing data.','Administrative',NULL,0,NULL,NULL,'Administrative','https://ddialliance.org/Specification/DDI-CV/TypeOfConceptGroup_1.0.html#Administrative',292),(3543,'A concept group created to bring together concepts reflecting the same general theme, or topic; for example, a group called \"Trust\" can include trust in institutions, trust in government, as well as interpersonal trust.','Thematic',NULL,1,NULL,NULL,'Thematic','https://ddialliance.org/Specification/DDI-CV/TypeOfConceptGroup_1.0.html#Thematic',292),(3544,'Use when the type of concept group is known, but not found in the list.','Other',NULL,2,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfConceptGroup_1.0.html#Other',292),(3545,'A note related to the processing of the data, or metadata, or both.','Processing',NULL,0,NULL,NULL,'Processing Note','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#Processing',293),(3546,'	Additional information, usually of a factual nature (as opposed to a comment), intended to clarify the content of a DDI section or module.','Addendum',NULL,1,NULL,NULL,'Addendum','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#Addendum',293),(3547,'A note generated by the processing system used to produce the data, or metadata, or both.','System',NULL,2,NULL,NULL,'System Note','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#System',293),(3548,'A note providing information on an aspect relevant for data usage that is likely to remain permanent, or a temporary note providing information for further review and correction. May be an observation entered by a human user or a system-generated note on any inconsistencies or deviations.','Observation',NULL,3,NULL,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#Observation',293),(3549,'A human-readable comment, typically of a more subjective nature than an addendum.','Comment',NULL,4,NULL,NULL,'Comment','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#Comment',293),(3550,'Use when the type of note is known, but not found in the list.','Other',NULL,5,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html#Other',293),(3551,'A telephone that transmits signals converted from audio data through physical media, such as wire or fiber optic cable; also known as landline. ','Fixed',NULL,0,NULL,NULL,'Fixed telephone','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fixed',294),(3552,'A fixed telephone belonging to a private person, usually located in a home or a private dwelling unit.','Fixed.PersonalPrivate','Fixed',1,NULL,NULL,'Fixed telephone: Personal/Private','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fixed.PersonalPrivate',294),(3553,'A fixed telephone of an organization, institution or business, or the work telephone of a person employed by the organization.','Fixed.OrganizationBusiness','Fixed',2,NULL,NULL,'Fixed telephone: Organization/Business','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fixed.OrganizationBusiness',294),(3554,'A portable telephone connected to a wireless communications network through radio waves or satellite transmissions; includes phones known as cellular (or cell) phones, hand phones, as well as satellite phones. ','Mobile',NULL,3,NULL,NULL,'Mobile telephone','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Mobile',294),(3555,'A mobile telephone belonging to a private person.','Mobile.PersonalPrivate','Mobile',4,NULL,NULL,'Mobile telephone: Personal/Private','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Mobile.PersonalPrivate',294),(3556,'A mobile telephone of an organization, institution or business, or the mobile work telephone of a person employed by the organization.','Mobile.OrganizationBusiness','Mobile',5,NULL,NULL,'Mobile telephone: Organization/Business','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Mobile.OrganizationBusiness',294),(3557,'A fax (short for facsimile) is a device used for the telephonic transmission of scanned-in printed material (text or images), usually to a telephone number associated with a printer or other output device; also known as telecopying.','Fax',NULL,6,NULL,NULL,'Fax','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fax',294),(3558,'A fax belonging to a private person.','Fax.PersonalPrivate','Fax',7,NULL,NULL,'Fax: Personal/Private','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fax.PersonalPrivate',294),(3559,'The fax of an organization, institution or business, or the work fax of a person employed by the organization.','Fax.OrganizationBusiness','Fax',8,NULL,NULL,'Fax: Organization/Business','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Fax.OrganizationBusiness',294),(3560,'Use when the type of telephone is known, but not found in the list.','Other',NULL,9,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html#Other',294),(3561,'','Demography',NULL,0,NULL,2010,'DEMOGRAFI (BEFOLKNING, BEFOLKNINGSUDVIKLING OG FOLKETÆLLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=2.0.1',295),(3562,'Dødelighed refererer til forekomsten af dårligt helbred i en population. Data kan dække forekomsten eller dødelighedsgraden af en medicinsk tilstand. Det kan eksempelvis være antallet af personer, der lider af lungekræft i et land eller et geografisk område i løbet af et år. Dødelighedsdata angiver antallet af dødsfald i en befolkning efter fx tid, sted, årsag eller typer af individer. Det kan fx være mødredødelighed eller barnedødelighed. Bemærk at selvrapporterede survey data om sygdomme og medicinske forhold er indekset med SUNDHED hierarki udtryk. ','Demography.MorbidityAndMortality','Demography',3,NULL,2011,'Sygelighed og dødelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=2.0.1',295),(3563,'Oversigter over en hel befolkning i modsætning til et udsnit af en befolkning. Det bliver ofte brugt til officielle opregninger af en befolkning, ofte i samspil med en samling af relateret demografisk information. Bemærk at i nogle lande bliver folketællinger ikke brugt som demografisk information. Man kan skaffe sig adgang til disse ved hjælp af officielle registre.','Demography.Censuses','Demography',1,NULL,2012,'Folketællinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=2.0.1',295),(3564,'Begrebet omfatter indvandring, udvandring, intern migration såvel som andre former for geografisk mobilitet. Indvandring dækker over at bosætte sig i et andet land end sit hjemland. Udvandring betyder at forlade sit hjemland for at bosætte sig i et andet land. Migration er en paraplybetegnelse for de to begreber. Migration omfatter også intern migration, som dækker over, at migranter bosætter sig et et andet sted i landet.','Demography.Migration','Demography',2,NULL,2013,'Indvandring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=2.0.1',295),(3565,'','Economics',NULL,4,NULL,2014,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=2.0.1',295),(3566,'Økonomiske indikatorer indikerer, hvordan det går med økonomien og inkluderer eksempelvis væksten i bruttonationalproduktet (BNP), beskæftigelse, inflation, rentesats, forbrugere og investorers aktivitet samt husholdningers gæld. Det bruges også  til økonomiske forhold for enkeltpersoner og husholdninger, som er undersøgt eller registreret.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,2015,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=2.0.1',295),(3567,'Begrebet henviser til at erhverve og/eller bruge noget til at imødekomme en person, et fællesskabs eller et samfunds krav og ønsker. Data i denne kategori inkluderer også udgifter til person- og husholdsartikler, ændringer i forbrugeres adfærdsmønstre og undersøgelser af forbrugeretik.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,2016,'Forbrug og forbrugeradfærd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=2.0.1',295),(3568,'Data om økonomisk politik, herunder budgetlægning og finanspolitik, offentlige udgifter og offentlige indtægter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,2017,'Økonomisk politik, offentlige udgifter og offentlige indtægter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=2.0.1',295),(3569,'Bruges til studier af akkumulering af personlige aktiver, herunder indkomst, ejendom, investeringer og opsparinger.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,2018,'Indkomst, ejendom og investering/opsparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=2.0.1',295),(3570,'Bruges til studier der undersøger kapitalistiske, socialistiske eller andre økonomiske studier og til studier af fx internationale udviklingsprogrammer.','Economics.SystemsAndDevelopment','Economics',9,NULL,2019,'Økonomiske systemer og udvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=2.0.1',295),(3571,'','Education',NULL,10,NULL,2020,'UDDANNELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=2.0.1',295),(3572,'Obligatorisk undervisning omfatter den periode af uddannelsen, som alle personer, der bor i et land, er påkrævet ved lov at gennemføre. Daginstitutioner omfatter den formelle børnepasning og uddannelse, der er givet før den obligatoriske uddannelse. Brug dette begreb til at indeksere data, der refererer til daginstitutioner, grundskolen og produktionskoler eller lignende uanset om data primært fokuserer på elever, lærere, fag og færdigheder, der bliver undervist i, faciliteter mm.','Education.CompulsoryAndPreSchool','Education',11,NULL,2021,'Obligatorisk undervisning og daginstitutioner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreSchool?v=2.0.1',295),(3573,'Omfatter almen uddannelse på ISCED niveau 3-4 plus højere uddannelse, det vil sige gymnasial almen uddannelse og universitetsuddannelser på bachelor niveau. Inkluderer data om elever og studerende, lærere og undervisere, undervisningsemner eller læringsmål, faciliteter osv.','Education.HigherAndFurther','Education',12,NULL,2022,'Ungdomsuddanelser og videregående uddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=2.0.1',295),(3574,'Praktiske uddannelser der er rettet mod et erhverv. Det vil sige uddannelser, som er designede til at erhverve den viden, færdigheder og kompetencer, der er specifikke for et bestemt erhverv. Omfatter ISCED niveau 3-4  Dette inkulderer følgende uddannelser i Danmark: Lærlinge- og erhvervsuddannelser såsom EUD, EUX, EGU, EUV, maritime samt professionsbachelor og erhvervsakademiuddannelser. Inkluderer data om lærlinge, elever og studerende, undervisningsemner eller læringsmål, faciliteter osv.','Education.VocationalAndTraining','Education',13,NULL,2023,'Erhvervsuddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=2.0.1',295),(3575,'Henviser til uddannelsesmuligheder i forskellige former, som tilbydes voksne, efter de har forladt det formelle uddannelsessystem. Voksne kan fx deltage for at forbedre deres færdigheder eller kvalifikationer, for at omskole sig til et andet erhverv eller for at lære noget nyt. Inkluderer ikke opkvalificering eller efteruddannelse af medarbejdere.','Education.LifelongContinuing','Education',14,NULL,2024,'Livslang uddannelse/efteruddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=2.0.1',295),(3576,'Diskussioner af politik og principper samt beslutninger og principper vedtaget på nationalt, regionalt eller lokalt niveau omkring uddannelse og dens tilvejebringelse. Brug \'Lovgivning og retssystemer\' for love og regulationer der allerede er implementeret.','Education.EducationalPolicy','Education',15,NULL,2025,'Uddannelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=2.0.1',295),(3577,'','Health',NULL,16,NULL,2026,'SUNDHED','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=2.0.1',295),(3578,'Kvalitet og tilgængelighed af serviceydelser i forhold til faciliteter og personale inden for sundhedssektoren. Sundhedsøkonomi, politiske beslutninger og principper på nationalt, regionalt og lokalt niveau vedrørende sundhedsvæsenet. Brug \'Lovgivning og retssystemer\' for at finde oplysninger om love, der er implementeret.','Health.HealthCareServicesAndPolicies','Health',17,NULL,2027,'Sundhedsvæsenet og sundhedspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=2.0.1',295),(3579,'Studie af specifikke diagnosticerede sygdomme, lidelser eller syndromer (ofte klassificeret i ICD-10 eller tidligere versioner). Fx medicinske studier af årsagen til diabetes eller et studie af den fysiske og mentale rehabilitering efter et hjertestop.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,2028,'Specifikke sygdomme, lidelser og sygdomslidelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=2.0.1',295),(3580,'Studie af abnormale anatomiske eller fysiologiske lidelser og objektive eller subjektive tegn på lidelse/symptomer, der ikke er klassificeret som en sygdom eller et syndrom. (I det tilfælde bør man bruge \'Specifikke sygdomme, lidelser eller sygdomslidelser\'). Inkluderer kliniske tegn, der kan være objektive, når de bliver observeret af en læge eller subjektive, når de bliver bemærket af en patient. Fx smerter, diarré, udslæt, ulighed i benenes længde, søvnløshed, skære tænder, betændelse og arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,2029,'Tegn på sygdom og symptomer; patalogiske lidelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=2.0.1',295),(3581,'Sår og skader, både fysiske og psykiske forårsaget af enten ulykker eller vold (sket ved et individ eller gruppes agressive handling). Brug \'Sundhed på Arbejdspladsen\' for skader, der er arbejdsrelaterede.','Health.WoundsAndInjuries','Health',20,NULL,2030,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=2.0.1',295),(3582,'Behandling af sygdom eller procedure(r) til at forebygge det. Pleje af patienter på indvidniveau. Studier af medicinering og behandling af sygdom. Data omhandlende operative procedurer, genoptræning, lægekonsultationer, fysioterapi, manipulation af bevægeapparatet, pleje på hospitalet eller i hjemmet, psykoterapi, undersøgelsesteknikker og medicinering.','Health.MedicationAndTreatment','Health',21,NULL,2031,'Medicinering og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=2.0.1',295),(3583,'Studier af den generelle trivsel og sundhedstilstand af et individ, gruppe eller befolkning. Kan være objektivt målt/observeret eller selvopfattet. Trivsel inkluderer fx fysisk  eller mental kapacitet/ydeevne eller tilstand samt social tilstand.','Health.GeneralHealthAndWellBeing','Health',22,NULL,2032,'Generel sundhed og trivsel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellBeing?v=2.0.1',295),(3584,'Forebyggelse og kontrol af sygdom og invaliditet og fremmelsen af fysisk og psykisk sundhed af befolkningen på international,t nationalt, regionalt og kommunalt niveau. Fx fremmelsen af sundhed , forebyggelse af sygdom, virkningen af folkesundhedsplaner, administration af lokale, nationale og globale sundhedsproblemer, epidemiologi af sygdom, lidelse eller patogen eller udbrud af sygdom.','Health.Public','Health',23,NULL,2033,'Folkesundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=2.0.1',295),(3585,'Den reproduktive proces, funktion eller system i ethvert stadie af livet. Inkluderer data om graviditet, fødsel, familieplanlægning, prævention, abort og overgangsalder.','Health.Reproductive','Health',24,NULL,2034,'Reproduktiv sundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=2.0.1',295),(3586,'Data om erhvervsbetinget eksponering og sygdomme, arbejdssikkerhed, sygeorlov, arbejdsevne, funktionsnedsættelse eller arbejdsrelateret invalidepension.','Health.Occupational','Health',25,NULL,2035,'Sundhed på arbejdspladsen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=2.0.1',295),(3587,'Individers adfærd, der påvirker, beskytter, opretholder og fremmer deres sundhedstilstand og deres livsstil. Livsstil er associeret med sundhedsadfærd. De faktorer der påvirker livsstil er socioøkonomi, uddannelse og det kulturelle. Inkluderer: ernæringsfænomener og processer, spisevaner og mønstre og målbare ernæringsparametre, data om menneskers generelle kondition, fysisk aktivitet, mængden af motion; data om brug og misburg af stoffer, alkohol og andre substanser og rygning.','Health.HealthBehaviour','Health',26,NULL,2036,'Sundhedsadfærd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=2.0.1',295),(3588,'Brug den relevante term for historisk data og begrebet her. Fx \'Arbejdsforhold\' og \'Sundhedsvæsenet og sundhedspolitik\' og HISTORIE på data om arbedjsforholdene for familielæger i 1960\'erne. Historiebegrebet skal kun bruges, når der ikke findes et aktuelt begreb.','History',NULL,27,NULL,2037,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=2.0.1',295),(3589,'','HousingAndLandUse',NULL,28,NULL,2038,'BOLIG OG AREAL ANVENDELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=2.0.1',295),(3590,'Omfatter studier der måler standarden af husning i et lokalsamfund, almennyttigt boligbyggeri, derudover også tilgængeligheden og prisen på boliger. \'Bolig\' omfatter hjem, sommerhuse og ferieejendomme.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,2039,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=2.0.1',295),(3591,'Omfatter både arealanvendelse og planlægning  af arealanvendelsen. Planlægning af arealanvendelse referer til proceduren, hvorved man sikrer sig en optimal og bæredygtig brug af landressourcer i både landlige områder og byomåder.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,2040,'Arealanvendelse og planlægning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=2.0.1',295),(3592,'','LabourAndEmployment',NULL,31,NULL,2041,'ARBEJDE OG BESKÆFTIGELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=2.0.1',295),(3593,'Data og statistik om beskræftigelse, arbejdsmarkedet, ledige stillinger, jobsøgning, jobkarakteristika, beskæftigelse i forskellige befolkningsgrupper (fx unge og minoriteter), jobcenter og karriere. Brug \'Arbejdsvilkår\' for løn og aflønning.','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,2042,'Beskæftigelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=2.0.1',295),(3594,'Data om arbejdsløshed og statistik, planer for at få arbejdsløse i arbejde, varighed og hyppighed af arbejdsløshed, social og psykologisk effekt af arbejdsløshed mm.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,2043,'Arbejdsløshed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=2.0.1',295),(3595,'Inkluderer alle typer af pensionering som fx nedtrappning af arbejde og \'fleksibel\' pension. Data om pensionsalder og tidlig pension.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,2044,'Pensionering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=2.0.1',295),(3596,'Intern uddannelse i virksomheden og anden uddannelse af medarbejdere, der er finansieret af arbejdsgiveren for at udbygge medarbejderens kompetencer. Inkluderer ikke lærerplads, der er inkluderet i \'Erhvervsuddannelse og uddannelsesforløb\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,2045,'Uddannelse af medarbejdere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=2.0.1',295),(3597,'Relationer mellem arbejdstager og arbejdsgiver.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,2046,'Relationer og konflikter på arbejdsmarkedet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=2.0.1',295),(3598,'Vilkårerne, som medarbejderne arbejder under. Fx kontrakttypen, arbejdstider (antal arbejdstimer, pauser, vagtplan, overtid), løn og opregning, fysiske aspekter, mentale krav til arbejdet, medarbejderrettigheder og -ansvar, arbejdsbyrde, medarbejdernes involvering i beslutningstagningen, berettigelse til orlov, fysisk miljø. Brug \'Sundhed på arbejdspladsen\' til arbejdssikkerhed.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,2047,'Arbejdsvilkår','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=2.0.1',295),(3599,'Data om beskæftigelsespolitik der inkluderer beskæftigelsesrelationer, arbejdsmarkedet og lighed og diskrimination på arbejdspladsen. På nationalt niveau inkluderer politikken påvirkningen af udbud og efterspørgsel på arbejdskraft, og hvordan arbejdsmarkedet fungerer. Brug \'Lovgivning og retssystemer\' for love og forskrifter, der er implementeret.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,2048,'Arbejdsmarkedspolitk og beskæftigelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=2.0.1',295),(3600,'','LawCrimeAndLegalSystems',NULL,39,NULL,2049,'LOV, KRIMINALITET OG RETSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=2.0.1',295),(3601,'Data om international eller national lovgivning, administrative forskrifter, det juridiske system (domstolenes magt og aktiviteter), konfliktløsning, retfærdighed og straffe.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,2050,'Lovgivning og retssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=2.0.1',295),(3602,'Data om kriminalitet, forebyggelse af kirminalitet, ofre for kriminalitet, politiet, efterretningstjeneste, korrektionsanstalt (fx fængsler og korrektionsanstalter for unge), grænsekontrol og told. Inkluderer også data om medarbejdere og faciliteter, der hører under disse institutioner.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,2051,'Kriminalitet og retshåndhævelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=2.0.1',295),(3603,'','MediaCommunicationsAndLanguage',NULL,42,NULL,2052,'MEDIER, KOMMUNIKATION OG SPROG ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage?v=2.0.1',295),(3604,'Data refererer til alle typer af massemedier. Fx trykte eller online aviser, magasiner, fjernsyn og radioen. Sociale medier er indekseret under \'Informationssamfund\'.','MediaCommunicationsAndLanguage.Media','MediaCommunicationsAndLanguage',43,NULL,2053,'Medier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.Media?v=2.0.1',295),(3605,'Foranstaltninger anlagt for at forbedre eller bevare individer, organisationer, virksomheder og regeringers image. Fx ved hjælp af marketing og lobbyisme mm.','MediaCommunicationsAndLanguage.PublicRelations','MediaCommunicationsAndLanguage',44,NULL,2054,'Offentlige relationer (PR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.PublicRelations?v=2.0.1',295),(3606,'Skabelsen, distributionen, brugen, integrationen og manipulationen af information som en signifikant økonomisk, politsk og kulturel aktivitet. Fx data, der relaterer sig til e-handel, digital forvaltning, sociale medier, mobile enheder, adgang og brug af internet, piratkopiering, information og bibliotekers ressourcer. Brug \'Informationsteknologi\' hvis der er tale om reelle teknologier.','MediaCommunicationsAndLanguage.InformationSociety','MediaCommunicationsAndLanguage',45,NULL,2055,'Informationssamfund','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.InformationSociety?v=2.0.1',295),(3607,'Data der inkluderer lingvistiske studier, lingvistisk analyse og sociolingvistik. Data om sprogpolitik, menneskers sprogfærdigheder, sprog som er talt både på arbejdet og i hjemmet, holdning om minoritetssprog mm. er også inkluderet.','MediaCommunicationsAndLanguage.LanguageAndLinguistics','MediaCommunicationsAndLanguage',46,NULL,2056,'Sprog og lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationsAndLanguage.LanguageAndLinguistics?v=2.0.1',295),(3608,'','NaturalEnvironment',NULL,47,NULL,2057,'NATURLIGT MILJØ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=2.0.1',295),(3609,'Dækker emner om miljøets forringelse, forurening, miljøbeskyttelse, klimaforandringer, forebyggelse af oversvømmelser og jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,2058,'Miljø og bevarelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=2.0.1',295),(3610,'Naturressourcer er aktiver såsom land, skove, vand og mineraler, der eksisterer naturligt og kan bruges i økonomisk produktion og forbrug. Energiressourcer inkluderer fossile brandstoffer såsom olie, naturgas og kul, men også kernekraft, sol, tidevand og vind eller fra levende organismer, der kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,2059,'Energi og naturrressourcer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=2.0.1',295),(3611,'Dækker tamme dyr, produktion og vilde dyr, samt alle typer af planter.','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,2060,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=2.0.1',295),(3612,'Dækker landskaber og elementer af land, der ikke er blevet direkte ændret af mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,2061,'Naturlige landskaber','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=2.0.1',295),(3613,'','Politics',NULL,52,NULL,2062,'POLITIK ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=2.0.1',295),(3614,'Data om holdning til politiske partier, engagement og deltagelse i den politiske proces, vælgeradfærd og tilfredshed med regeringen. Brug \'Politisk ideologi\' for data om specifikke doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,2063,'Politisk adfærd og holdning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=2.0.1',295),(3615,'Idéer, idealer og teorier om måden hvorpå regeringer og samfund kan organiseres. De vigtigste ideologier inkluderer anarkisme, demokrati, liberalisme, konservatisme mm.','Politics.PoliticalIdeology','Politics',55,NULL,2065,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=2.0.1',295),(3616,'Emner der relaterer sig til nationalt, regionalt og lokalt styre, ledende instanser (regering, parlament og lokale ledende instanser), offentlig administration og andre politiske organisationer, såsom politiske partier. Fx data om regeringspolitik, politiske partier og deres politik, politiske partiers ledere samt tillid til statslige instanser.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,2066,'Regering, politiske systemer og organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=2.0.1',295),(3617,'Global ledelse, diplomati, udenrigspolitik, relationer mellem lande, internationale organisationer (fx EU, WHO, FN, WTO) og internationale aftaler. ','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,2067,'International polik og organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=2.0.1',295),(3618,'Intern og international sikkerhed og tryghed; interne og internationale konflikter; krig og fred, nationalt forsvar og sikkerhedsstyrker (militæret). Bemærk at politiet er dækket i \'Kriminalitet og retshåndhævelse\'.','Politics.ConflictSecurityAndPeace','Politics',58,NULL,2068,'Konflikt, sikkerhed og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=2.0.1',295),(3619,'','Psychology',NULL,59,NULL,2069,'PSYCHOLOGI ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=2.0.1',295),(3620,'','ScienceAndTechnology',NULL,60,NULL,2070,'VIDENSKAB OG TEKNOLOGI ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=2.0.1',295),(3621,'Informations- og kommunikationsteknologi der er brugt i hjemmet, på arbejdspladsen eller andre fælleskaber. Bemærk at brugen og indflydelsen af disse teknologier er dækket af \'Informationssamfund\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,2071,'Informationsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=2.0.1',295),(3622,'','SocialStratificationAndGroupings',NULL,63,NULL,2073,'SOCIAL STRATIFICATION OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=2.0.1',295),(3623,'Emner der vedrører, hvorvidt alle individer eller grupper af individer har samme status eller muligheder i samfundet. Lighed kan fx blive studeret i forhold til uddannelse, (finansielle) aktiver eller indkomst, jobposition, magt, prestige, forhold på arbejdspladsen og fritid, adgang til serviceydelser og sociale relationer. Marginalisering og social eksklusion kan være et resultat af systematiske ulemper i flere områder af livet, og de mennesker dette vedrører, kan blive frataget deres rettigheder, muligheder, ressourcer og social integration. Eksempler på data: Statistik der vedrører indkomst ulighed, opfattet gruppefokuseret diskrimination (fx overfor udlændinge, hjemløse, asylansøgere), opfattede forskelle mellem mænd og kvinder i forhold til muligheder for ledende roller i politik, indflydelsen af forældres arbejdsløshed på børns uddannelsesniveau og sociale netværk.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,2074,'Lighed, ulighed og social eksklusion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=2.0.1',295),(3624,'Individer, familier eller grupper af individers sociale og erhvervsmæssige mobilitet over tid. Denne mobilitet kan være horisontal, hvilket betyder, at individer skifter postion, men ikke status. Den kan også være vertikal, hvor individer flytter sig op eller ned i statushierarkiet. Fx arbejde i en anden industri (horisontal erhvervsmobilitet) , eller børn i fattige familier, der kommer i en højere socialklasse end deres forældre (vertikal socialmobilitet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,2075,'Social- og erhvervsmobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=2.0.1',295),(3625,'Kønsindentitet; repræsentering af køn (fx repræsentation af køn i beslutningstagende organer, i medierne og i litteraturen mm.); sociale, kulturelle og psykologiske træk forbundet med mænd og kvinder; kvindestudier, mandestudier, forventet opførsel og valg i forhold til kønsroller og effekten af sådanne forventninger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,2076,'Køn og kønsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=2.0.1',295),(3626,'Dækker emner der relaterer sig til familie, slægtninge og sammensætning af husholdningen. Fx er der data om børneopdragelse, arbejdsdeling i familien og støtte fra familiemedlemmer. ','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,2077,'Familieliv og ægteskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=2.0.1',295),(3627,'Kan have brug for et ekstra emne, hvis unge mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,2078,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=2.0.1',295),(3628,'Kan have brug for et ekstra emne, hvis ældre mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,2079,'Ældre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=2.0.1',295),(3629,'Kan have brug for et ekstra emne, hvis børn studeres fra en bestemt side.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,2080,'Børn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=2.0.1',295),(3630,'Grupper af individer der differentierer sig fra flertallet af en population på én eller anden måde. Differentierende karakteristika inkluderer fx etnicitet, religion, sundhed, seksuel orientering, modersmål, og kultur. Vær opmærksom på at emnerne \'Lighed og ulighed\', \'Social Eksklusion\' og \'Sprog og lingvistik\' også kan bruges i forbindelse med nogle minoritetsspørgsmål.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,2081,'Minoritet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=2.0.1',295),(3631,'Emner der relaterer sig til eksistensen, rollerne og effekten af eliten på samfundet. Der er tale om individer eller grupper, der har meget magt eller indflydelse på samfundet, politik, velstand mm. Fx gennem de beslutninger, de tager, eller de idéer eller følelser, de udviser eller repreæsenterer. Inkluderer emner der relaterer sig til indflydelsesrige personer i alle sfærer af samfundet, fx besltuningstagere i det politiske liv, ledere af politiske partier, indflydelsesrige kunstnere, prominente mennesker i massemedierne og sociale medier mm.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,2082,'Eliter og lederskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=2.0.1',295),(3632,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,2083,'VELFÆRDSPOLITIK OG VELFÆRDSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=2.0.1',295),(3633,'Beslutninger der er taget og grundsætninger/principper der er blevet indført på nationalt, regionalt og lokalt niveau, der vedrører velfærd samt finansiering og tilvejebringelse af dette. Dette kan fx være hvem der har ret til, hvilke sociale ydelser og service og hvorfor. Hvad er deres niveau, og hvem kan yde servicene. Brug \'Lovgivning og retssystemer\' for love og reguleringer, der er implementeret.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,2084,'Velfærdsspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=2.0.1',295),(3634,'Emner der er relateret til faktisk tilvejebringelse af velfærd, hvem der yder velfærdsydelser i praksis og i hvilken udstrækning og hvordan serviceydelserne er struktureret. Fx meninger om hvem der skal yde omsorg til ældre og børn, hvordan kommunerne har organiseret deres service, hvilke financielle ydelser, der bliver ydet mm.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures','SocialWelfarePolicyAndSystems',75,NULL,2085,'Velfrædssystemer/strukturerer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures?v=2.0.1',295),(3635,'Fx selvrapporteret data om i hvilket omfang folk bruger specifikke sociale ydelser, meninger om tilstrækkeligheden af ydelserne, tilgængeligheden af specfikke ydelser og den generelle tilfredshed med dem.','SocialWelfarePolicyAndSystems.SpecificSocialservices','SocialWelfarePolicyAndSystems',76,NULL,2086,'Specifikke sociale service: Deres brug og tilgængelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialservices?v=2.0.1',295),(3636,'','SocietyAndCulture',NULL,77,NULL,2087,'SAMFUND OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=2.0.1',295),(3637,'Data om social adfærd, social interaktion og netværk, socialt ansvar, sociale normer og regler og attitude til disse emner.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,2088,'Social adfærd pg attitude','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=2.0.1',295),(3638,'Dækker alle aspekter af livskvalitet og trivsel blandt individer og samfund samt andres opfattelse af dette. Bemærk: Alt efter hvilke aspekter man undersøger kan \'Generel sundhed og trivsel\', \'Lighed og ulighed\', \'Økonomiske forhold og indikatorer\' og \'Social eksklusion\' mm. også være relevant.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,2089,'Sociale vilkår og tegn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=2.0.1',295),(3639,'Aktiv eller passiv deltagelse i alle slags kulturelle aktiviteter såvel som meninger og opfattelser af dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,2090,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=2.0.1',295),(3640,'Data om dannelsen af identitet, hvem folk føler de er og hvor de hører til. Relationen mellem kulturel og national identitet til repræsentation og klassificering af nogen som \'ikke en af os\'. Skikke, manerer og holdninger i forhold til ejerskabet af og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,2091,'Kulturel og national identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=2.0.1',295),(3641,'Mønstre for adspredelse, fritidsaktiviteter og hobbyer. Inkluderer tilskuerrolle i sport, konkurrence sport, rejser i fritiden. For data vedr. træning for at holde sig i form  brug \'Sundhedsadfærd\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,2092,'Fritid, turisme og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=2.0.1',295),(3642,'Data der adresserer spørgsmål om religiøs adfærd, religøse bevægelser, spiritiualitet, morale og andre værdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,2103,'Religion og værdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=2.0.1',295),(3643,'Data der relaterer sig til de forskellige aspekter i lokalsamfund, byer og på landet. Meninger og billeder af nabolaget eller by eller landlige områder. Serviceydelser, faciliteter og foretningsmuligheder i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,2104,'Lokalsamfund, byliv og landligt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=2.0.1',295),(3644,'Data, der vedrører den tid  bfolkningen bruger på forskellige aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,2105,'Forbrug af tid','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=2.0.1',295),(3645,'Data der vedrører ændringer i samfundet, herunder holdningsændringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,2106,'Sociale ændringer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=2.0.1',295),(3646,'','TradeIndustryAndMarkets',NULL,87,NULL,2096,'HANDEL, INDUSTRI OG MARKED','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=2.0.1',295),(3647,'Data om industri og forretning, såsom ledelse, prouktivitet, vækst og fald, organisationsstruktur, administration, investering i forskning og udvikling, markeder og markedsandele.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,2097,'Forretnings/industriel ledelse og organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=2.0.1',295),(3648,'Brug denne kategori for studier om landbrugsproduktion og alle landlige industrier såsom fiskeri og skovbrug.','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,2098,'Landbrug og landlig industry','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgriculturalAndRuralIndustry?v=2.0.1',295),(3649,'Udveksling af kapital, goder eller serviceydelser over internationale grænser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,2099,'Handel med udlandet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=2.0.1',295),(3650,'Inkluderer alle typer af transport såvel som pendling, offentlig transport (tog, busser, metro mm.) og netværk af transport i byområderne. Data om bevægelighedsvaner, fx grænsehandel, ruter og måder hvorpå man kommer til en lokation. Brug emnet \'Fritid, turisme og sport\' for rejser i fritiden.','TransportAndTravel',NULL,91,NULL,2100,'TRANSPORT OG REJSER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=2.0.1',295),(3651,'','Other',NULL,92,NULL,2101,'ANDET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=2.0.1',295),(3652,'Data om valg, folkeafstemninger, valgkampagner, valgresultater, kandidater, valg af kandidater, valgstøtte mm.','Politics.Elections','Politics',54,NULL,2064,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=2.0.1',295),(3653,'Brug af biomolekylære og cellulære processer til at skabe nye produkter og teknologiske processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,2072,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=2.0.1',295),(3840,'Study on specific, diagnosed diseases, disorders or syndromes (often classified in ICD-10 or its earlier versions). For example, medical research on the causes of diabetes or study on the physical and mental recovery of people who have had heart surgery.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,2028,NULL,'Specific diseases, disorders and medical conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0',298),(3841,'Study on abnormal anatomical or physiological conditions, and objective or subjective manifestations of disease/symptoms, not classified as disease or syndrome (in which case \'Specific diseases, disorders or medical conditions\' would be used). Includes clinical manifestations that can be objective when observed by a medical professional or subjective when perceived by the patient. E.g. pain, diarrhoea, rash, leg length inequality, insomnia, teeth grinding, inflammation, arrhythmia.','Health.SignsAndSymptomsPathologicalConditions','Health',19,2029,NULL,'Signs and symptoms; pathological conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0',298),(3842,'Covers domesticated, production and wild animals, as well as all types of plants (e.g. flowers, trees, moss, vegetables).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,2060,NULL,'Plants and animals','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0',298),(3843,'Movement of individuals, families or groups of individuals in social and occupational status over time. The movement may be horizontal, that is, change in position within the range of same status, or vertical where individuals may move upwards or downwards in the status hierarchy. For example, labourers in declining industries may become labourers in some other industry (horizontal occupational mobility), or children in poor families may reach a higher social class than their parents (vertical inter-generational social mobility).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,2075,NULL,'Social and occupational mobility','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0',298),(3844,'','LawCrimeAndLegalSystems',NULL,39,2049,NULL,'LAW, CRIME AND LEGAL SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0',298),(3845,'Covers issues related to families, relatives, generations and household composition. For instance, data on child rearing, division of labour within the family, support provided for family members.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,2077,NULL,'Family life and marriage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0',298),(3846,'Reproductive process, function or system at any stage of life. Includes data on pregnancy, birth, family planning, contraception and abortion, menopause.','Health.Reproductive','Health',24,2034,NULL,'Reproductive health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0',298),(3847,'Treatment of disease, or procedure/s of preventing it. Patient care at individual level. Research on medication and treatment of a disease. Data on, for instance, surgical procedures, rehabilitation, doctor consultation, physical therapy, musculoskeletal manipulations, care in hospital or home, psychotherapy, investigative techniques, medication.','Health.MedicationAndTreatment','Health',21,2031,NULL,'Medication and treatment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0',298),(3848,'Internal corporate training and other employee training funded by the employer to increase employee skills and competence. Does not include apprenticeships, which are included in \'Vocational education and training\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,2045,NULL,'Employee training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0',298),(3849,'Use if the topic is known, but not found in the list.','Other',NULL,92,2101,NULL,'OTHER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0',298),(3850,'May need an additional topic, if the elderly are studied from a particular aspect.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,2079,NULL,'Elderly','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0',298),(3851,'Programmes that are designed for learners to acquire the knowledge, skills and competencies specific to a particular occupation, trade or class of occupations or trades. Vocational education may have work-based components. Covers vocational education at ISCED levels 3-4 and apprenticeships. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.VocationalAndTraining','Education',13,2023,NULL,'Vocational education and training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0',298),(3852,'Data on employment policies relating to employment relations, the labour market and equality and discrimination at work; at national level policies include influencing the demand and supply of labour and the functioning of labour markets. Use \'Legislation and legal systems\' for laws and regulations already implemented.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,2048,NULL,'Labour and employment policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0',298),(3853,'Data related to different aspects of life in the community, or in urban and rural areas. Opinions on and images of the neighbourhood, or of urban or rural areas. Services, facilities and business opportunities in the neighbourhood.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,2104,NULL,'Community, urban and rural life','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0',298),(3854,'Ideas, ideals and theories on the ways governments and societies can be organised. Major political ideologies include anarchism, democracy, liberalism, conservatism etc.','Politics.PoliticalIdeology','Politics',55,2065,NULL,'Political ideology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0',298),(3855,'Includes studies measuring the standard of housing in a community, including social housing, as well as the availability and pricing of housing. Housing includes homes, second homes and holiday homes.','HousingAndLandUse.Housing','HousingAndLandUse',29,2039,NULL,'Housing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0',298),(3856,'Internal and international security and safety; internal and international conflicts; war and peace; national defence and defence forces (the army). Note that the police are covered by \'Crime and law enforcement\'.','Politics.ConflictSecurityAndPeace','Politics',58,2068,NULL,'Conflict, security and peace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0',298),(3857,'','Demography',NULL,0,2010,NULL,'DEMOGRAPHY (POPULATION, VITAL STATISTICS, AND CENSUSES)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0',298),(3858,'','ScienceAndTechnology',NULL,60,2070,NULL,'SCIENCE AND TECHNOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0',298),(3859,'Discussions of policy and principles, and decisions made and principles adopted at national, regional or local level concerning education and its provision. Use \'Legislation and legal systems\' for laws and regulations already implemented.','Education.EducationalPolicy','Education',15,2025,NULL,'Educational policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0',298),(3860,'Refers to educational opportunities in varied forms provided for adults after they have left the formal education system. Adults may engage in such education to, for instance, improve their skills or qualifications, to retrain for a new line of work, or just to learn something new. Does not generally include education leading to a qualification, or employee training.','Education.LifelongContinuing','Education',14,2024,NULL,'Life-long/continuing education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0',298),(3861,'Global governance, diplomacy, foreign policy, relations between countries, international organisations (e.g. the EU, WHO, UN, WTO), and international agreements.','Politics.InternationalPoliticsAndOrganisations','Politics',57,2067,NULL,'International politics and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0',298),(3862,'','Education',NULL,10,2020,NULL,'EDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0',298),(3863,'Data on crime, crime prevention, victims of crime, criminals, as well the police, secret service, correctional institutions (e.g. prisons, young people\'s correctional institutions), border control and customs. Also includes data on the staff and facilities of these agencies.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,2051,NULL,'Crime and law enforcement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0',298),(3864,'Active or passive participation in any kind of cultural activities, as well as opinions and perceptions of them.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,2090,NULL,'Cultural activities and participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0',298),(3865,'The creation, distribution, use, integration and manipulation of information as a significant economic, political, and cultural activity. For instance, data relating to e-commerce, e-government, social media, mobile devices, access and use of the Internet, e-privacy, information and library resources. Use \'Information technology\' when talking about the actual technologies.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,2055,NULL,'Information society','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0',298),(3866,'','Economics',NULL,4,2014,NULL,'ECONOMICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0',298),(3867,'Data on the amount of time spent by the population on various activities.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,2105,NULL,'Time use','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0',298),(3868,'Covers all aspects of the quality of life and well-being of individuals and societies, as well as people\'s perceptions thereof. Please note that, according to the aspect studied, the terms \'General health and well-being\', \'Equality, inequality and social exclusion\' and \'Economic conditions and indicators\', etc. may be relevant as well.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,2089,NULL,'Social conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0',298),(3869,'May need an additional topic, if children are studied from a particular aspect.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,2080,NULL,'Children','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0',298),(3870,'Includes both land use and land use planning. Land use planning refers to procedures carried out to ensure an optimal and sustainable use of land resources in rural and urban communities.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,2040,NULL,'Land use and planning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0',298),(3871,'Data on economic policy, including budget and fiscal policy, public expenditure and public revenue.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2017,NULL,'Economic policy,  public expenditure and revenue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0',298),(3872,'Data on unemployment rates and statistics, employment programmes and schemes, duration and frequency of unemployment, social and psychological impact of unemployment etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,2043,NULL,'Unemployment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0',298),(3873,'','LabourAndEmployment',NULL,31,2041,NULL,'LABOUR AND EMPLOYMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0',298),(3874,'Includes all patterns of retirement such as \'phased\' or \'flexible\' retirement, data on retirement age and early retirement.','LabourAndEmployment.Retirement','LabourAndEmployment',34,2044,NULL,'Retirement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0',298),(3875,'Use the appropriate topical term for historical data as well as the main term here. For example, \'Working conditions\' and \'Health care services and policies\' plus HISTORY for data on the working environments of family doctors in the 1960s. The history main term is to be used on its own only in cases where no topical term can be found.','History',NULL,27,2037,NULL,'HISTORY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0',298),(3876,'','TradeIndustryAndMarkets',NULL,87,2096,NULL,'TRADE, INDUSTRY AND MARKETS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0',298),(3877,'Compulsory education refers to the period of education that is required of all persons living in a country and is imposed by law. Pre-school education refers to formal childcare and education given prior to compulsory education. Use this term to index data relating to pre-school, primary and lower secondary stages of education, regardless of whether the data focuses on students, teachers, subjects or skills taught, facilities etc.','Education.CompulsoryAndPreschool','Education',11,2021,NULL,'Compulsory and pre-school education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0',298),(3878,'Use for studies that research capitalist, socialist and other economic systems and for studies, for example, on international development programs.','Economics.SystemsAndDevelopment','Economics',9,2019,NULL,'Economic systems and development','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0',298),(3879,'','Psychology',NULL,59,2069,NULL,'PSYCHOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0',298),(3880,'','SocialWelfarePolicyAndSystems',NULL,73,2083,NULL,'SOCIAL WELFARE POLICY AND SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0',298),(3881,'Surveys of an entire population, as opposed to a sample survey. Often used for official enumerations of a population, usually including the collection of related demographic information. Note that in some countries censuses are not used as demographic information can be obtained from official registers.','Demography.Censuses','Demography',1,2012,NULL,'Censuses','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0',298),(3882,'Data on party political attitudes, political engagement and participation in the political process, voting behaviour, satisfaction with government. Use \'Political ideology\' for data on specific doctrines.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,2063,NULL,'Political behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0',298),(3883,'Data which addresses questions of religious behaviour, religious movements, spirituality, morality and other values.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,2103,NULL,'Religion and values','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0',298),(3884,'Include all types of goods transport as well as commuting, public transport (trains, buses, underground etc), and urban transport networks. Data on mobility habits, for example, cross-border shopping, routes and means used to access a location. Use the term \'Leisure, tourism and sport\' for travel for leisure.','TransportAndTravel',NULL,91,2100,NULL,'TRANSPORT AND TRAVEL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0',298),(3885,'Wounds and injuries, both physical and psychological, caused either by accidents or violence (through individual or group aggressive behaviour). If work-related wounds or injuries, use \'Occupational health\'.','Health.WoundsAndInjuries','Health',20,2030,NULL,'Wounds and injuries','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0',298),(3886,'','SocietyAndCulture',NULL,77,2087,NULL,'SOCIETY AND CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0',298),(3887,'Relations between employers and employees.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,2046,NULL,'Labour relations/conflict','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0',298),(3888,'May need an additional topic, if young people are studied from a particular aspect.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,2078,NULL,'Youth','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0',298),(3889,'','NaturalEnvironment',NULL,47,2057,NULL,'NATURAL ENVIRONMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0',298),(3890,'Groups of individuals that differ from the majority of population in some way. Differentiating characteristics include, for instance, ethnicity, religion, health, sexual orientation, first language (mother tongue) and culture. Please note that you can also use terms \'Equality, inequality and social exclusion\' or \'Language and linguistics\' in connection with some minority issues.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,2081,NULL,'Minorities','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0',298),(3891,'Gender identity; gendered representation (e.g. representation of genders in decision-making bodies, in media, in literature etc); social, cultural and psychological traits linked to males and females; women\'s studies; men\'s studies; expected behaviour and choices according to gender roles and the impact of such expectations.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,2076,NULL,'Gender and gender roles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0',298),(3892,'Data on social behaviour; social interaction and networks; social responsibilities; social norms and rules; and attitudes towards these issues.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,2088,NULL,'Social behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0',298),(3893,'The conditions under which employees work. For example, types of contract, working time (hours of work, rest periods, work schedules, overtime), pay and remuneration, physical aspects and mental demands of work, employee rights and responsibilities, workload, employee involvement in decision-making, leave entitlements, physical environment. For workplace safety issues use also \'Occupational health\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,2047,NULL,'Working conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0',298),(3894,'Includes immigration, emigration, internal migration as well as other types of geographical mobility. Immigration means coming to settle in another country than one\'s home country. Emigration means leaving one\'s home country to settle in another country. Migration is an umbrella term for both. Migration also includes internal migration, that is, movement of people within one country at different geographical levels.','Demography.Migration','Demography',2,2013,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0',298),(3895,'Behaviours expressed by individuals that affect, protect, maintain or promote their health status, as well as related life style. Life style is closely associated with health behaviour and factors influencing life style are socioeconomic, educational, and cultural. Includes: nutritional phenomena and processes, eating patterns and habits, and measurable nutritional parameters; data on people\'s general level of fitness, physical activity and exercise they take; data on drug, alcohol and other substance use and abuse, and smoking.','Health.HealthBehaviour','Health',26,2036,NULL,'Health behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0',298),(3896,'Data includes linguistic studies, linguistic analysis and sociolinguistics, as well as data on language policies, people\'s language skills, languages spoken at work and at home, attitudes towards minority languages etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,2056,NULL,'Language and linguistics','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0',298),(3897,'Issues relating to national, regional and local government, governing bodies (e.g. the Government, Parliament, local government bodies), public administration, other political organisations such as political parties. For example, data on government policies, political parties and their policies, political party leaders, trust in government bodies. Please note that you may need to use a topical term as well.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,2066,NULL,'Government, political systems and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0',298),(3898,'Data on elections, referendums, election campaigns, election results, candidates in elections, candidate selectors, election funding etc.','Politics.Elections','Politics',54,2064,NULL,'Elections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0',298),(3899,'','HousingAndLandUse',NULL,28,2038,NULL,'HOUSING AND LAND USE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0',298),(3900,'Issues related to the actual provision of social welfare, who provides social welfare services in practice and to what extent, how the actual services are structured. For example,  questions on how a local government has organised services for the elderly.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,2085,NULL,'Social welfare systems/structures','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0',298),(3901,'Covers landscapes and elements of land that have not been directly changed by humans.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,2061,NULL,'Natural landscapes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0',298),(3902,'Covers issues of environmental degradation, pollution, environmental protection, climate change, flood prevention, soil erosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,2058,NULL,'Environment and conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0',298),(3903,'Exchange of capital, goods, or services across international borders.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,2099,NULL,'Foreign trade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0',298),(3904,'Data on employment rate and statistics, labour market, job vacancies, job-seeking, job characteristics, employment of certain groups (e.g. youth or minority employment), employment services, career. For pay and remuneration use \'Working conditions\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,2042,NULL,'Employment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0',298),(3905,'Quality and availablility of services, associated facilities and personnel within health care. Health care economy and policy decisions and principles at national, regional or local level regarding health care. Use \'Legislation and legal systems\' for laws and regulations already implemented.','Health.HealthCareServicesAndPolicies','Health',17,2027,NULL,'Health care services and policies','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0',298),(3906,'Study on the general well-being or health status of an individual, group or population. May be objectively measured/observed or self-perceived. Well-being includes, for instance, physical and mental capacity or state, as well as social state.','Health.GeneralHealthAndWellbeing','Health',22,2032,NULL,'General health and well-being','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0',298),(3907,'Prevention and control of disease and disability, and the promotion of physical and mental health of the population on the international, national, state, or municipal level. For instance, health promotion, disease prevention, impact of public health programmes, managing local, national or global health issues, epidemiology of a disease, condition, or pathogen, or disease outbreak.','Health.Public','Health',23,2033,NULL,'Public health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0',298),(3908,'Natural resources are assets such as land, forests, energy sources, water, minerals which exist naturally and can be used for economic production or consumption. Energy resources include fossil fuels such as oil, natural gas or coal, as well as nuclear, solar, tidal and wind or from living organisms that can be replaced.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,2059,NULL,'Energy and natural resources','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0',298),(3909,'Data on occupational exposures and diseases, occupational safety, sick leave, work ability and disability, or work-related disability pension.','Health.Occupational','Health',25,2035,NULL,'Occupational health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0',298),(3910,'Decisions made and principles adopted at national, regional or local level concerning social welfare, its funding and provision, for instance, who is entitled to what kind of social services and benefits and why, what is their level, and who can provide the services.  For example, a policy that elderly people should remain in their homes for as long as possible, a policy relating to how long people can have an unemployment benefit. Use also the term \'Legislation and legal systems\' for laws and regulations already implemented.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,2084,NULL,'Social welfare policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0',298),(3911,'Data referring to any type of mass media. For example, printed or online newspapers, magazines, television and the radio. Please note that social media are indexed with the term \'Information society\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,2053,NULL,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0',298),(3912,'Using biomolecular and cellular processes to create new products and technological processes.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,2072,NULL,'Biotechnology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0',298),(3913,'Data on industry and business such as management, productivity, growth and decline, organisation structure, administration, investment in R&D, markets and market share.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,2097,NULL,'Business/industrial management and organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0',298),(3914,'Data on identity formation, who people feel they are and where they belong. The relation of cultural and national identity to representation and to classifying someone else as \"not one of us\" (Othering). Customs and manners of, and attitudes to own perceived and other identity groups.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,2091,NULL,'Cultural and national identity','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0',298),(3915,'Recreation patterns, leisure time activities and hobbies. Includes sports spectatorship, competition sports, and travel for leisure. For data on exercise for keeping fit, use \'Health behaviour\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,2092,NULL,'Leisure, tourism and sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0',298),(3916,'','MediaCommunicationAndLanguage',NULL,42,2052,NULL,'MEDIA, COMMUNICATION AND LANGUAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0',298),(3917,'','Politics',NULL,52,2062,NULL,'POLITICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0',298),(3918,'Refers to the act of acquiring and/or using something to meet the needs and wants of a person, community or society. Data in this category include patterns of consumer behaviour, changes in them, and study on consumer ethics. For example, survey data on how often people buy certain items;  when and where they shop; whether ethical considerations affect their consumer choices.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,2016,NULL,'Consumption and consumer behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0',298),(3919,'Measures adopted to enhance or preserve the image of individuals, companies, organisations, and governments for example by means of advertising, lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,2054,NULL,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0',298),(3920,'Information and communication technologies that are used in the home, workplace and other community setting. Note that the use and impact of these technologies are covered by \'Information society\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,2071,NULL,'Information technology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0',298),(3921,'Use this category for studies about agricultural production and all rural industries which includes, for example, fisheries and forestry.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,2098,NULL,'Agriculture and rural industry','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0',298),(3922,'Covers general education at ISCED levels 3-4 plus tertiary education, that is, upper secondary general education, and college, university of applied sciences, and university education. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.HigherAndFurther','Education',12,2022,NULL,'Higher and further education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0',298),(3923,'Data on changes in the society, including attitudinal changes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,2106,NULL,'Social change','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0',298),(3924,'Issues related to the existence, roles and impact of elites in society, that is, individuals or groups who have a large amount of power or influence over society, politics, wealth etc, either through decisions they make or, for example, through ideas or feelings that they express or represent. Includes issues related to influential people in all spheres of society, for example, decision-makers in political life, political party leaders, influential artists, prominent mass or social media figures etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,2082,NULL,'Elites and leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0',298),(3925,'','Health',NULL,16,2026,NULL,'HEALTH','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0',298),(3926,'Morbidity refers to incidence of ill health in a population. Data may cover the incidence or morbidity rate of a medical condition. For example, the number of people who suffer from lung cancer in a country or a geographic area during a single year. Mortality data indicate the numbers of deaths in a population by place, time, cause, or type of individual etc. For example, maternal mortality rate, child mortality rate. Note that self-reported survey data on illnesses and medical conditions are indexed with HEALTH hierarchy terms.','Demography.MorbidityAndMortality','Demography',3,2011,NULL,'Morbidity and mortality','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0',298),(3927,'For example, data on the extent people use specific social services, opinions on the adequacy, accessibility and availability of specific services, and general satisfaction with them. For example, questions on what services elderly respondents have used, or use statistics on particular services.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,2086,NULL,'Specific social services: use and availability','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0',298),(3928,'','SocialStratificationAndGroupings',NULL,63,2073,NULL,'SOCIAL STRATIFICATION AND GROUPINGS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0',298),(3929,'Data on international or national legislation, administrative regulations, judiciary system (powers and activities of courts), alternative dispute resolution and restorative justice, punishments.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,2050,NULL,'Legislation and legal systems','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0',298),(3930,'Use for studies about the accumulation of personal assets, including income, property, investments and savings.','Economics.IncomePropertyAndInvestment','Economics',8,2018,NULL,'Income, property and investment/saving','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0',298),(3931,'Issues relating to whether all individuals or groups of individuals have the same status and opportunities in society.  Equality can be studied, for example, in terms of education, (financial) assets or income, occupational position, power, prestige, conditions of work and leisure time, access to services, and social relations. Marginalisation and social exclusion can be the result of systematic disadvantage in multiple areas of life, and people concerned may be deprived of rights, opportunities, resources and social integration. \nExamples of data: statistics on income equality; perceived group-focused discrimination (e.g. towards foreigners, the homeless, asylum seekers); perceived  differences between men and women regarding opportunities for leading roles in politics; impact of parental unemployment on children\'s education level and social networks.\n','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,2074,NULL,'Equality, inequality and social exclusion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0',298),(3932,'Economic indicators indicate in which direction an economy is headed and include, for example, GDP growth rate, employment, inflation and interest rate, consumer and investor activity, household debt. This is also used for economic conditions of individuals and households which are surveyed or registered.','Economics.EconomicConditionsAndIndicators','Economics',5,2015,NULL,'Economic conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0',298),(3933,'Daten zu einzelnen Krankheiten, Störungen oder Syndromen (etwa entsprechend ICD-10). Zum Beispiel medizinische Forschung zu den Ursachen von Diabetes oder Forschung zur physischen und psychischen Genesung nach Herz-OPs.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,2233,3840,'Spezifische Krankheiten, Störungen und Gesundheitsprobleme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',299),(3934,'Wirtschaftliche Indikatoren geben an, in welche Richtung sich eine Volkswirtschaft bewegt. Dazu gehören zum Beispiel Bruttoinlandsprodukt, Arbeitslosenquote, Inflations- und Zinsrate, Konsum- und Investitionsaktivitäten, Verschuldungsrate. Die Klasse umfasst auch die erhobene oder erfasste wirtschaftliche Lage von Individuen und Haushalten.','Economics.EconomicConditionsAndIndicators','Economics',5,2220,3932,'Wirtschaftliche Lage und Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',299),(3935,'Umfasst Daten zu jeglicher Art des Gütertransports sowie zu den Themen Pendeln, Öffentlicher Personennahverkehr (Zug-, Bus-, U-Bahn-Verkehr etc.) und städtische Verkehrsverbünde. Erfasst sind auch Daten zu Mobilitätsgewohnheiten, zum Beispiel grenzübergreifendes Einkaufen; Verkehrswege und -mittel, die genutzt werden, um ein Ziel zu erreichen. Für Urlaubs- und Freizeitreisen bitte die Klasse \'Freizeit, Tourismus und Sport\' verwenden.','TransportAndTravel',NULL,91,2306,3884,'TRANSPORT UND REISEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',299),(3936,'','LawCrimeAndLegalSystems',NULL,39,2254,3844,'GESETZ, KRIMINALITÄT UND RECHTSSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',299),(3937,'Beinhaltet Immigration, Emigration, Binnenmigration sowie andere Formen geographischer Mobilität. Immigration bedeutet, in einem anderen als dem Heimatland sesshaft zu werden. Emigration bedeutet, das Heimatland zu verlassen, um in einem anderen Land sesshaft zu werden. Der Begriff Migration umfasst beide Sachverhalte. Migration schließt auch Binnenmigration ein, das heißt Mobilität innerhalb eines Landes, zwischen Regionen, Kommunen etc.','Demography.Migration','Demography',2,2218,3894,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',299),(3939,'Daten zu parteipolitischen Einstellungen, zu politischem Engagement und politischer Teilhabe, zu Wahlverhalten und zur Zufriedenheit mit der Regierung. Für Wahlverhalten bitte zusätzlich die Klasse \'Wahlen\' vergeben. Für Daten zu einzelnen Doktrinen bitte die Klasse \'Politische Ideologie\' verwenden.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,2268,3882,'Politisches Verhalten und politische Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',299),(3940,'Daten zu anatomischen oder physiologischen Befunden und objektiven oder subjektiven Anzeichen von Erkrankungen oder Symptomen, die nicht als Krankheit oder Syndrom eingeordnet werden (in solchen Fällen bitte die Klasse \'Spezifische Krankheiten, Störungen und Gesundheitsprobleme\' verwenden). Davon erfasst sind klinische Anzeichen, die entweder objektiv von medizinisch ausgebildeten Personen oder subjektiv durch Betroffene wahrgenommen werden. Beispiele sind Schmerzen, Durchfall, Ausschlag, Beinlängendifferenz, Schlafstörungen, Zähneknirschen, Entzündung, Herzrhythmusstörung.','Health.SignsAndSymptomsPathologicalConditions','Health',19,2234,3841,'Krankheitszeichen, Symptome und krankhafte Befunde','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',299),(3941,'Daten zu Beschäftigungspolitik in Bezug auf industrielle Beziehungen, den Arbeitsmarkt sowie Gleichbehandlung und Diskriminierung bei der Arbeit. Auf nationaler Ebene schließt Beschäftigungspolitik die Einflussnahme auf Arbeitsplatznachfrage und -angebot und das Funktionieren des Arbeitsmarkts ein. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,2253,3852,'Beschäftigungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',299),(3942,'Naturlandschaften sind Landschaften und Bestandteile von Landschaften, die nicht von Menschen verändert oder beeinflusst wurden.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,2266,3901,'Naturlandschaften','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',299),(3943,'Daten zu Wahlen, Volksabstimmungen, Wahlkampagnen, Wahlergebnissen, Kandidatinnen und Kandidaten, Wahlempfehlungsanwendungen, Wahlkampffinanzierung usw. Für Wahlverhalten bitte zusätzlich die Klasse \'Politisches Verhalten und politische Einstellungen\' vergeben.','Politics.Elections','Politics',54,2269,3898,'Wahlen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',299),(3944,'Öffentlichkeitsarbeit beinhaltet Maßnahmen zur Erhaltung oder Verbesserung des Rufs (Image) von Individuen, Unternehmen, Organisationen und Regierungen, zum Beispiel durch Werbemaßnahmen, Lobby-Arbeit usw.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,2259,3919,'Öffentlichkeitsarbeit / Public Relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',299),(3945,'Wenn ein bestimmter Aspekt der Jugend untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,2283,3888,'Jugend','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',299),(3946,'','MediaCommunicationAndLanguage',NULL,42,2257,3916,'MEDIEN, KOMMUNIKATION UND SPRACHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',299),(3947,'','SocietyAndCulture',NULL,77,2292,3886,'GESELLSCHAFT UND KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',299),(3948,'Bezieht sich auf den Vorgang, dass etwas erworben und/oder verwendet wird, um Bedürfnisse und Wünsche einer Person, Gemeinschaft oder Gesellschaft zu erfüllen. Diese Klasse umfasst auch Daten zu (Wandel in) Konsummustern und zu ethischen Aspekten des Konsums. Erfasst ist davon zum Beispiel, wie häufig Personen bestimmte Produkte kaufen, wann und wo sie einkaufen und ob ethische Überlegungen ihre Konsumentscheidungen beeinflussen.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,2221,3918,'Konsum und Konsumverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',299),(3949,'Daten zur Wohnraumsituation in einem Gebiet, einschließlich Versorgung mit sozialem Wohnungsbau sowie Verfügbarkeit und Kosten von Wohnraum. Wohnraum schließt Haupt-, Zweit- und Ferienwohnungen bzw. -häuser ein.','HousingAndLandUse.Housing','HousingAndLandUse',29,2244,3855,'Wohnraum','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',299),(3950,'Unter Morbidität wird die Krankheitshäufigkeit innerhalb einer Bevölkerungsgruppe verstanden. Daten können sich auf das Vorkommen oder die Morbiditätsrate einer Krankheit beziehen, zum Beispiel die Anzahl der an Lungenkrebs leidenden Personen in einem Land im Zeitraum eines Jahres. Daten zur Mortalität geben die Anzahl der Todesfälle in einer Bevölkerungsgruppe nach Ort, Zeit, Ursache, Personengruppe o.ä. an. Beispiele sind Müttersterblichkeit und Säuglingssterblichkeit. Für Mikrodaten zu Krankheiten und Gesundheitsproblemen bitte die entsprechenden Unterklassen der Klasse GESUNDHEIT verwenden.','Demography.MorbidityAndMortality','Demography',3,2216,3926,'Morbidität und Mortalität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',299),(3951,'Politische Ideologie umfasst Ideen, Ideale und Theorien zu Regierungs- und Gesellschaftsformen bzw. deren Organisation. Bedeutende politische Ideologien sind Anarchie, Demokratie, Liberalismus, Konservatismus usw.','Politics.PoliticalIdeology','Politics',55,2270,3854,'Politische Ideologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',299),(3952,'Bezieht sich sowohl auf die Planung der Raum- oder Flächennutzung, als auch auf die Nutzung selbst. Raumplanung bezieht sich auf Vorgänge, die eine optimale und nachhaltige Nutzung von Flächen in ländlichen und städtischen Umgebungen sicherstellen sollen.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,2245,3870,'Flächennutzung und Raumplanung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',299),(3953,'Diese Klasse bezieht sich auf Studien die untersuchen, inwiefern sich Individuen oder Gruppen einer Gesellschaft in Bezug auf Status und Chancengleichheit unterscheiden. Gleichheit wird beispielsweise in Bezug auf Bildung, (finanzielles) Vermögen, Einkommen, berufliche Stellung, Macht, Prestige, Arbeitsbedingungen, Freizeit, Zugang zu Dienstleistungen und soziale Beziehungen untersucht. Marginalisierung und soziale Ausgrenzung (Exklusion) können aus systematischer Benachteiligung in unterschiedlichen Lebensbereichen resultieren. Betroffenen fehlt es möglicherweise an Rechten, Chancen, Mitteln (Resourcen) und sozialer Integration. Beispiele für Daten sind: Statistiken zu Einkommensunterschieden; Studien zu wahrgenommener, gruppenbezogener Diskriminierung (z.B. gegenüber Fremden, Obdachlosen, Asylsuchenden); Studien zu wahrgenommenen Unterschieden zwischen Männern und Frauen in Bezug auf Mögichkeiten, führende Rollen in der Politik einzunehmen; Studien zum Einfluss elterlicher Arbeitslosigkeit auf soziale Beziehungen und das Bildungsniveau ihrer Kinder.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,2279,3931,'Gleichheit, Ungleichheit und soziale Ausgrenzung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',299),(3954,'Die Klasse bezieht sich auf soziale und berufliche Mobilität von Individuen, Familien oder Gruppen im Zeitverlauf. Dazu gehören horizontale Mobilität (Positionswechsel ohne Statuswechsel) und vertikale Mobilität (statusbezogene Auf- oder Abwärtsbewegung). Beispiele: Arbeiter und Arbeiterinnen aus verschwindenden Industriezweigen wechseln in andere Industriezweige (horizontale berufliche Mobilität); Kinder aus armen Familien erreichen eine höhere soziale Schicht als ihre Eltern (vertikale zwischengenerationale soziale Mobilität).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,2280,3843,'Soziale und berufliche Mobilität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',299),(3955,'Die Klasse bezieht sich auf die Verfügbarkeit und Qualität von Dienstleistungen, Einrichtungen und Personal im Gesundheitsbereich sowie auf wirtschaftliche und politische Entscheidungen und Regelungen zu Medizin und Gesundheitswesen auf nationaler, regionaler oder lokaler Ebene. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Health.HealthCareServicesAndPolicies','Health',17,2232,3905,'Gesundheitswesen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',299),(3956,'Daten mit Bezug zu jeglicher Form von Massenmedien. Zum Beispiel gedruckte oder Online-Zeitungen, Zeitschriften, Fernsehen und Radio. Für Soziale Medien bitte die Klasse \'Informationsgesellschaft\' verwenden.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,2258,3911,'Medien','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',299),(3957,'Die Klasse bezieht sich auf die wirtschaftlich, politisch oder kulturell relevante Generierung, Verbreitung, Nutzung, Integration und Verarbeitung von Information. Umfasst beispielsweise Daten zu e-Commerce (Internethandel), e-Government, Sozialen Medien, Mobilen Empfangsgeräten, Internetzugang und -nutzung, Datenschutz, Informations- und Bibliotheksressourcen. Für einzelne Technologien bitte die Klasse \'Informations- und Kommunikationstechnologie\' verwenden.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,2260,3865,'Informationsgesellschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',299),(3958,'Diese Klasse bezieht sich auf landwirtschaftliche Produktion und alle ländlichen Gewerbe, zum Beispiel auch einschließlich Fischerei und Forstwirtschaft.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,2304,3921,'Landwirtschaft und Agrarindustrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',299),(3959,'Umfasst die Vorbeugung und Überwachung von Krankheiten und Behinderungen sowie die Förderung körperlicher und geistiger Gesundheit der Bevölkerung auf internationaler, nationaler, regionaler oder lokaler Ebene. Zum Beispiel Maßnahmen zur Gesundheitsförderung und Krankheitsprävention; Wirkung von Public-Health-Programmen; Bewältigung lokaler, nationaler oder globaler Gesundheitsprobleme; Verbreitung und Auswirkung von Krankheiten, Gesundheitsproblemen oder Erregern; Ausbruch von Krankheiten.','Health.Public','Health',23,2238,3907,'Öffentliche Gesundheit / Public Health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',299),(3960,'','SocialStratificationAndGroupings',NULL,63,2278,3928,'SOZIALE SCHICHTUNG UND GRUPPIERUNGEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',299),(3961,'Umfasst Daten zur Identitätsbildung, zum persönlichen Selbstbild und zu Zugehörigkeitsgefühlen. Mit erfasst ist das Verhältnis von kultureller und nationaler Identität zur Selbstwahrnehmung (Repräsentanz) und die Einstufung anderer als nicht zur Eigengruppe gehörend (sog. Othering). Außerdem erfasst sind Gewohnheiten und Verhaltensweisen von sowie Einstellungen gegenüber Eigengruppen und Fremdgruppen.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,2296,3914,'Kulturelle und nationale Identität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',299),(3962,'Sozialpolitik bezieht sich auf Entscheidungen und die Umsetzung von Richtlinien zur Sozialfürsorge, etwa zu deren Finanzierung und Verfügbarkeit, sowohl auf nationaler und regionaler, als auch auf lokaler Ebene. Mögliche Inhalte: Wem stehen welche Sozialleistungen und Hilfen zu und auf welcher Grundlage; Höhe von Sozialleistungen; wer kann Fürsorge leisten. Beispiele: eine Regelung, die vorgibt, dass ältere Menschen so lange zuhause gepflegt werden sollen wie möglich; eine Regelung, die festlegt, wie lange Anspruch auf Arbeitslosengeld besteht. Für bereits implementierte Gesetze und Regelungen bitte zusätzlich die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,2289,3910,'Sozialpolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',299),(3963,'','TradeIndustryAndMarkets',NULL,87,2302,3876,'HANDEL, INDUSTRIE UND MÄRKTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',299),(3964,'Bildung in der Pflichtschulzeit bezieht sich auf eine gesetzlich vorgegebene Bildungsphase, die alle in einem Land lebenden Personen absolvieren müssen. Vorschulerziehung bezieht sich auf Betreuungs- und Bildungsangebote vor der Pflichtschulzeit. Verwenden Sie diese Klasse für Daten zu Vorschulzeiten (ISCED-Level 0) und Bildungszeiten in der Primarstufe (ISCED-Level 1) sowie Sekundarstufe I (ISCED-Level 2). Davon erfasst sind Daten zu Schülerinnen und Schülern, Lehrerinnen und Lehrern, Unterrichtsfächern, vermittelte Kompetenzen, Einrichtungen usw.','Education.CompulsoryAndPreschool','Education',11,2226,3877,'Vorschulerziehung und Bildung in der Pflichtschulzeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',299),(3965,'Daten zu Beschäftigungsquoten und -statistiken, zum Arbeitsmarkt, zu offenen Stellen, zur Arbeitssuche, zu Tätigkeitsmerkmalen, zur Beschäftigung bestimmter Gruppen (z.B. Beschäftigung von Jugendlichen oder Minderheiten), Arbeitsvermittlung und Karriere. Für Daten zu Löhnen und Gehältern bitte die Klasse \'Arbeitsbedingungen\' verwenden.','LabourAndEmployment.Employment','LabourAndEmployment',32,2247,3904,'Beschäftigung und Erwerbstätigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',299),(3966,'Umfasst Daten zu allen Formen des Ruhestands, etwa auch zu Altersteilzeit, zum Rentenalter und zum Frühruhestand.','LabourAndEmployment.Retirement','LabourAndEmployment',34,2249,3874,'Ruhestand','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',299),(3967,'Verwenden Sie diese Klasse für Themen, die keine eigene Klasse haben.','Other',NULL,92,2307,3849,'SONSTIGES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',299),(3968,'Daten zu internationaler oder nationaler Gesetzgebung (Legislative), zu Verwaltungsvorschriften, zur Judikative (Einfluss und Aktivitäten der Gerichte), zu alternativer Streitbeilegung und Wiedergutmachung sowie zu Strafen.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,2255,3929,'Gesetzgebung und Rechtssysteme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',299),(3969,'Bezieht sich auf Informations- und Kommunikationstechnologie die zuhause, am Arbeitsplatz oder in anderen sozialen Situationen zum Einsatz kommt. Für Anwendung und Auswirkungen dieser Technologien bitte die Klasse \'Informationsgesellschaft\' verwenden.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,2276,3920,'Informations- und Kommunikationstechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',299),(3970,'','ScienceAndTechnology',NULL,60,2275,3858,'WISSENSCHAFT UND TECHNIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',299),(3971,'Lebenslanges Lernen bezieht sich auf Bildungsangebote unterschliedlicher Art für Erwachsene, die den formalen Bildungsweg bereits absolviert haben. Erwachsene nehmen diese Bildungsangebote zum Beispiel wahr, um ihre Kompentenzen und Qualifikationen zu verbessern, zur beruflichen Neuorientierung (Umschulung) oder einfach um sich mehr Wissen anzueignen. Lebenslanges Lernen bezieht sich nicht zwingend auf Bildungsangebote, die zu einer bestimmten Qualifikation oder einem Abschluss oder zu einer beruflichen Fortbildung führen.','Education.LifelongContinuing','Education',14,2229,3860,'Lebenslanges Lernen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',299),(3973,'Die Klasse bezieht sich auf Entspannungsgewohnheiten, Freizeitaktivitäten und Hobbys. Dazu gehören das Verfolgen von Sportveranstaltungen, Teilnahme an Sportwettbewerben, Urlaubsreisen. Für Daten zu körperlicher Betätigung aus gesundheitlichen Gründen bitte die Klasse \'Gesundheitsverhalten\' verwenden.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,2297,3915,'Freizeit, Tourismus und Sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',299),(3974,'Daten zu gesellschaftlichen Veränderungen, einschließlich Veränderungen in den Einstellungen.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,2301,3923,'Sozialer Wandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',299),(3975,'','Politics',NULL,52,2267,3917,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',299),(3976,'In der Bildungspolitik werden in Bezug auf Bildung und Bildungsversorgung Strategien und Regelungen diskutiert, Entscheidungen getroffen sowie Richtlinien auf nationaler, regionaler oder lokaler Ebene umgesetzt. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Education.EducationalPolicy','Education',15,2230,3859,'Bildungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',299),(3977,'Aktive oder passive Teilnahme an jeglicher kultureller Aktivität sowie Einstellungen und Auffassungen zu diesen Aktivitäten.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,2295,3864,'Kulturelle Aktivitäten und kulturelle Teilhabe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',299),(3978,'','Education',NULL,10,2225,3862,'BILDUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',299),(3979,'Beziehungen zwischen Arbeitgebern und Arbeitnehmern.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,2251,3887,'Arbeitsbeziehungen und Arbeitskonflikte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',299),(3980,'Daten zu sprachwissenschaftlichen Studien und Analysen, Soziolinguistik, Sprachregelungen, individuelle Sprachkenntnisse, auf der Arbeit und zuhause gesprochene Sprachen, Einstellungen zu Minderheitensprachen usw.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,2261,3896,'Sprache und Sprachwissenschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',299),(3981,'','Economics',NULL,4,2219,3866,'WIRTSCHAFT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',299),(3982,'','Psychology',NULL,59,2274,3879,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',299),(3983,'','HousingAndLandUse',NULL,28,2243,3899,'WOHNRAUM UND FLÄCHENNUTZUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',299),(3984,'Die Klasse bezieht sich auf die tatsächliche Leistung der Sozialfürsorge; wer setzt die Sozialfürsorge in der Praxis um und in welchem Umfang; wie sind die Leistungen konkret aufgebaut. Beispiel: Fragen dazu, wie eine Kommunalverwaltung die lokale Altenpflege organisiert.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,2290,3900,'Sozialsysteme und Strukturen der Sozialfürsorge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',299),(3985,'Die Klasse umfasst Fragen der Umweltzerstörung und -verschmutzung, des Umweltschutzes, des Klimawandels, des Hochwasserschutzes und der Bodenerosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,2263,3902,'Umweltschutz und Naturschutz','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',299),(3986,'Diese Hauptklasse bitte mit einer jeweils inhaltlich passenden Klasse kombinieren. Zum Beispiel \'Arbeitsbedingungen\' und \'Gesundheitswesen\' zusammen mit \'GESCHICHTE\' für Daten zur Arbeitsumgebung von Hausärzten in den 1960er Jahren. Die Hauptklasse \'GESCHICHTE\' sollte nur in solchen Fällen alleine verwendet werden, für die keine weitere inhaltlich passende Klasse vorhanden ist.','History',NULL,27,2242,3875,'GESCHICHTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',299),(3987,'Zu verwenden für Studien über kapitalistische, sozialistische oder andere volkswirtschaftliche Systeme. Auch für Studien, die beispielsweise internationale Entwicklungsprogramme untersuchen.','Economics.SystemsAndDevelopment','Economics',9,2224,3878,'Wirtschaftssysteme und wirtschaftliche Entwicklung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',299),(3988,'Daten zu Kriminalität, Kriminalitätsbekämpfung, Opfern von Straftaten, Straftätern, Polizei, Geheimdienst, Justizvollzuganstalten (z.B. Gefängnisse, Jugendarrestanstalten), Grenzkontrollen und Zöllen, einschließlich Daten zu den entsprechenden Einrichtungen und den dort Beschäftigten.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,2256,3863,'Kriminalität und Gesetzesvollzug','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',299),(3989,'Verwundungen und Verletzungen, sowohl physisch, als auch psychisch, verursacht entweder durch Unfälle oder Gewalteinwirkung (durch aggressives Verhalten eines Einzelnen oder einer Gruppe). Für arbeitsbezogene Verwundungen und Verletzungen bitte die Klasse \'Arbeitsmedizin\' verwenden.','Health.WoundsAndInjuries','Health',20,2235,3885,'Verwundungen und Verletzungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',299),(3990,'Unternehmensinterne Weiterbildung bzw. vom Unternehmen finanzierte Weiterbildungsmaßnahmen für Beschäftigte. Berufliche Weiterbildung hat die Verbesserung der Fertigkeiten und Kompetenzen der Beschäftigten zum Ziel. Für Berufsausbildungen, z.B. nach dem Dualen System, bitte die Klasse \'Berufsausbildung\' verwenden.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,2250,3848,'Berufliche Weiterbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',299),(3991,'','SocialWelfarePolicyAndSystems',NULL,73,2288,3880,'SOZIALPOLITIK, SOZIALFÜRSORGE UND SOZIALSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',299),(3992,'Daten zu allgemeinem Wohlbefinden oder Gesundheitszustand eines Individuums, einer Gruppe oder einer Population, entweder objektiv gemessen/beobachtet oder selbst empfunden. Wohlbefinden umfasst beispielsweise körperliche und geistige Leistungsfähigkeit und Verfassung sowie die soziale Situation.','Health.GeneralHealthAndWellbeing','Health',22,2237,3906,'Allgemeine Gesundheit und Wohlbefinden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',299),(3993,'Bezieht sich auf die Therapie von Krankheiten oder auf Maßnahmen, die Krankheiten vorbeugen sollen. Gemeint ist hier die individuelle Patientenversorgung sowie Forschung zu medikamentösen und sonstigen Therapien. Umfasst beispielsweise Daten zu chirurgischen Verfahren, Rehabilitation, Arztbesuchen, Physiotherapie, Manuelle Therapie, Pflege im Krankenhaus oder zuhause, Psychotherapie, Medikation.','Health.MedicationAndTreatment','Health',21,2236,3847,'Medizinische Behandlung und Medikation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',299),(3994,'','Health',NULL,16,2231,3925,'GESUNDHEIT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',299),(3995,'','LabourAndEmployment',NULL,31,2246,3873,'ARBEIT UND BESCHÄFTIGUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',299),(3996,'Erfasst Studien zu Existenz, Rolle und Einfluss von Eliten in einer Gesellschaft. Eliten sind Personen oder Gruppen, die viel Macht oder Einfluss auf Gesellschaft, Politik, Wohlstandsverhältnisse usw. ausüben. Sie tun dies entweder durch Entscheidungen oder beispielsweise auch dadurch, dass sie ihren Vorstellungen oder Gefühlen Ausdruck verleihen bzw. für diese einstehen. Eingeschlossen sind alle Themen mit Bezug zu einflussreichen Personen in allen Gesellschaftsbereichen, zum Beispiel zu politischen Entscheidungsträgerinnen und Entscheidungsträgern, Führungspersonen politischer Parteien, einflussreichen Kunstschaffenden und Medienprominenz (auch aus den sozialen Medien).','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,2287,3924,'Eliten und Führungspersönlichkeiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',299),(3998,'Wenn ein bestimmter Aspekt des Alters untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,2284,3850,'Ältere Menschen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',299),(3999,'Die Klasse umfasst: Geschlechtsidentität; Geschlechterrepräsentationen (z.B. Repräsentation der Geschlechter in Entscheidungsgremien, in den Medien, in der Literatur usw.); soziale, kulturelle und psychologische Eigenschaften, die männlich oder weiblich assoziiert sind; Frauenforschung; Männerforschung; erwartetes Verhalten und erwartete Entscheidungen in Bezug auf Geschlechterrollen sowie die Auswirkungen solcher Erwartungen.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,2281,3891,'Geschlecht und Geschlechterrollen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',299),(4000,'Höhere Bildung umfasst Allgemeinbildung im Rahmen der ISCED-Level 3 (Sekundarstufe II) und 4 (postsekundare Bildung) sowie tertiäre Bildung (ISCED-Level 5). Dazu gehören gymnasiale Oberstufen, Abendgymnasien, Kollegs sowie Universitäten, Fachhochschulen und Berufsakademien. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für Berufsausbildung im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Berufsausbildung\' verwenden.','Education.HigherAndFurther','Education',12,2227,3922,'Höhere Bildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',299),(4001,'Arbeitsbedingungen sind die Bedingungen, unter denen Beschäftigte arbeiten. Zum Beispiel Vertragsarten, Arbeitszeiten (Stundenzahl, Pausenzeiten, Arbeitspläne, Überstunden), Löhne und Gehälter, körperliche Aspekte und geistige Herausforderungen der Arbeit, Rechte und Pflichten der Beschäftigten, Arbeitsbelastung, Einflussmöglichkeiten der Beschäftigten, Urlaubsansprüche, physische Arbeitsumgebung. Für Daten zur Sicherheit am Arbeitsplatz bitte auch die Klasse \'Arbeitsmedizin\' verwenden.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,2252,3893,'Arbeitsbedingungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',299),(4002,'Die Klasse umfasst Global Governance, Diplomatie, Außenpolitik, internationale Beziehungen, internationale Organisationen (z.B. EU, WHO, UN, WTO) und internationale Abkommen.','Politics.InternationalPoliticsAndOrganisations','Politics',57,2272,3861,'Internationale Politik und Internationale Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',299),(4003,'Daten zu Arbeitslosenquoten und -statistiken, zu Beschäftigungsprogrammen und Arbeitsbeschaffungsmaßnahmen, zu Dauer und Häufigkeit individueller Arbeitslosigkeit, zu sozialen und psychologischen Auswirkungen von Arbeitslosigkeit usw.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,2248,3872,'Arbeitslosigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',299),(4004,'Berufsausbildung bezieht sich auf Bildungsprogramme, in denen Lernenden das Wissen, die Fertigkeiten und die Kompetenzen für einen bestimmten Beruf, ein bestimmtes Gewerbe oder eine bestimmte Branche vermittelt werden. Die Klasse umfasst Berufsausbildungen im Rahmen der ISCED-Level 3 und 4, einschließlich Lehrberufe. Dazu gehört sowohl die Ausbildung an Berufsfachschulen, als auch die duale Ausbildung an Berufsschulen und in Betrieben. Im Rahmen des Dualen Systems hat die Berufsausbildung sowohl schulische, als auch betriebspraktische Elemente. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für allgemeinbildende Programme im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Höhere Bildung und Weiterbildung\' verwenden.','Education.VocationalAndTraining','Education',13,2228,3851,'Berufsausbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',299),(4005,'Umfasst Daten zu verschiedenen Aspekten des Lebens in der Wohnumgebung oder städtischen bzw. ländlichen Gegenden. Erfasst sind auch Meinungen zu und Vorstellungen von der eigenen Wohngegend, städtischen und ländlichen Gegenden. Auch erfasst sind Dienstleistungen, Einrichtungen und Geschäftsgelegenheiten in der Wohnumgebung.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,2299,3853,'Gemeinde, Wohnumgebung, Stadtleben und Landleben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',299),(4006,'Umfasst Daten zum Austausch von Kapital, Waren oder Dienstleistungen über internationale Grenzen hinweg.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,2305,3903,'Außenhandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',299),(4007,'Die Reproduktionsmedizin befasst sich mit den Vorgängen, den Funktionen und dem System der Fortpflanzung in allen Lebensphasen. Umfasst Daten zu Schwangerschaft, Geburt, Familienplanung, Empfängnis, Abtreibung und Menopause.','Health.Reproductive','Health',24,2239,3846,'Reproduktionsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',299),(4008,'Natürliche Rohstoffquellen sind Güter wie Land, Wälder, Energiequellen, Wasser oder Mineralien, die in der Natur vorkommen und verarbeitet oder konsumiert werden können. Energiequellen sind fossile Brennstoffe wie Öl, Erdgas oder Kohle sowie Kernkraft, Sonne, Gezeiten und Wind oder erneuerbare organische Energiequellen.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,2264,3908,'Energiequellen und natürliche Rohstoffquellen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',299),(4009,'Gruppen von Individuen, die sich von der Mehrheit der Bevölkerung in irgendeiner Weise unterschieden. Unterscheidungsmerkmale sind zum Beispiel Ethnien, Religion, Gesundheit, sexuelle Orientierung, Muttersprache und Kultur. Für bestimmte Minderheitenthemen kann es sinnvoll sein, zusätzlich eine weitere Klasse zu vergeben, zum Beispiel \'Gleichheit, Ungleichheit und soziale Ausgrenzung\' oder \'Sprache und Sprachwissenschaft\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,2286,3890,'Minderheiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',299),(4010,'Einsatz von Prozessen auf biomolekularer und zellularer Ebene zum Zweck der Entwicklung neuer Produkte und technischer Verfahrensweisen.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,2277,3912,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',299),(4011,'Wenn ein bestimmter Aspekt der Kindheit untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,2285,3869,'Kinder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',299),(4012,'Umfasst Daten zu Fragen religiösen Verhaltens, religiöser Bewegungen, Spiritualität, Moral und anderen Werten.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,2298,3883,'Religion und Werte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',299),(4013,'Umfasst Daten zu Sozialverhalten, sozialer Interaktion und sozialen Netzwerken, sozialer Verantwortung, sozialen Normen und Regeln sowie Einstellungen zu diesen Themen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,2293,3892,'Soziales Verhalten und soziale Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',299),(4014,'Die Klasse bezieht sich auf die Themen Familie, Verwandschaft, Generationen und Haushaltszusammensetzung. Beispiele: Daten zur Kindererziehung; Arbeitsaufteilung in der Familie; Unterstützung für Familienmitglieder.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,2282,3845,'Familie und Ehe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',299),(4015,'Umfasst Daten zu Industrie und Betrieb wie zum Beispiel Management, Produktivität, Geschäftswachstum und -rückgang, Organisationsstruktur, Verwaltung, Investition in Forschung und Entwicklung, Märkte und Marktanteile.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,2303,3913,'Management und Organisation von Betrieben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',299),(4016,'Die Klasse bezieht sich auf innere und internationale Sicherheit, innere und internationale Konflikte, Krieg und Frieden, Verteidigung und Streitkräfte (Militär). Für Daten zum Thema Polizei verwenden sie bitte die Klasse \'Kriminalität und Gesetzesvollzug\'.','Politics.ConflictSecurityAndPeace','Politics',58,2273,3856,'Konflikte, Sicherheit und Frieden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',299),(4017,'Daten zu Gefährdungen am Arbeitsplatz, arbeitsbezogenen Erkrankungen, Sicherheit am Arbeitsplatz, Krankheitstagen, Arbeitsfähigkeit und Arbeitsunfähigkeit, Berufsunfähigkeitsrenten.','Health.Occupational','Health',25,2240,3909,'Arbeitsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',299),(4018,'Bezieht sich auf Daten zu Zeitanteilen, die Befragte für verschiedene Aktivitäten aufwenden.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,2300,3867,'Zeitbudget','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',299),(4019,'Bezieht sich auf Haustiere, Nutztiere und wilde Tiere sowie auf alle Arten von Pflanzen (z.B. Blumen, Bäume, Moos, Gemüse).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,2265,3842,'Pflanzen und Tiere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',299),(4020,'Diese Klasse umfasst alle Aspekte der Lebensqualität und des Wohlbefindens auf individueller sowie gesellschaftlicher Ebene und wie diese Aspekte wahrgenommen werden. Je nachdem, welcher Aspekt in einer Studie untersucht wird, muss möglicherweise noch eine weitere Klasse vergeben werden, zum Beispiel \'Gesundheit und Wohlbefinden\', \'Gleichheit und Ungleichheit\', \'Wirtschaftliche Lage und Indikatoren\', \'Soziale Ausgrenzung\' usw.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,2294,3868,'Soziale Lage und soziale Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',299),(4023,'','NaturalEnvironment',NULL,47,2262,3889,'UMWELT UND NATUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',299),(4024,'Beispiele für Daten in dieser Klasse sind: Angaben zum Umfang der Inanspruchnahme spezifischer Sozialleistungen; Meinungen zur Angemessenheit, Zugänglichkeit und Verfügbarkeit einzelner Leistungen; allgemeine Zufriedenheit mit den Leistungen. Zum Beispiel werden zum Thema der Inanspruchnahme von Leistungen durch eine Personengruppe (z.B. ältere Menschen) sowohl Befragungen dieser Personen, als auch Auswertungen von Statistiken zu diesen Leistungen von dieser Klasse erfasst.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,2291,3927,'Inanspruchnahme sozialer Dienstleistungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',299),(4025,'','Demography',NULL,0,2215,3857,'BEVÖLKERUNGSSTATISTIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',299),(4026,'Problemstillinger knyttet til om alle individer eller grupper av individer har samme status og muligheter i et samfunn. Likhet kan studeres for eksempel ved å se på utdannelse, formue eller inntekt, yrke, makt, prestisje, betingelser for arbeid og fritid, tilgang til tjenester, og sosiale relasjoner. Marginalisering og sosial eksklusjon kan være et resultat av ugunstige forhold på flere områder i livet, og mennesker det gjelder kan bli fratatt rettigheter, muligheter, ressurser og sosial integrering. Eksempler på data: Statistikk over inntekt og likhet, oppfattelsen av gruppefokusert diskriminering (for eksempel mot innvandrere, hjemløse, asylsøkere); oppfattelsen av forskjeller mellom menn og kvinner når det gjelder mulighet for ledende politiske roller; innvirkningen av foreldres arbeidsløshet på barns utdanningsnivå og sosiale nettverk. ','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,3020,3931,'Likhet, ulikhet og sosial eksklusjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',300),(4027,'','HousingAndLandUse',NULL,28,2985,3899,'BOLIG, AREALBRUK OG AREALPLANLEGGING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',300),(4028,'Dekker problemstillinger knyttet til familie, slektninger, generasjoner og husholdningssammensetning. For eksempel, data om barneoppdragelse, fordeling av arbeidsoppgaver i familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,3023,3845,'Familieliv og ekteskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',300),(4029,'Omfatter immigrasjon, emigrasjon, flytting internt i et land og andre typer av geografisk mobilitet. Immigrasjon betyr å bosette seg i et annet land enn sitt hjemland. Emigrasjon betyr at man forlater sitt hjemland for å bosette seg i et annet land. Migrasjon er et paraplybegrep for immigrasjon og emigrasjon. Migrasjon omfatter også flytting internt i et land, det vil si forflytninger av mennesker i et land på forskjellige geografiske enheter.','Demography.Migration','Demography',2,2960,3894,'Migrasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',300),(4030,'Data om valg, folkeavstemninger, valgkampanjer, valgresultat, valgkandidater, valgkomitéer, valgstøtte etc.','Politics.Elections','Politics',54,3011,3898,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',300),(4031,'Omfatter studier som måler boligstandarden i et samfunn, inkludert sosialboliger, i tillegg til tilgjengeligheten og prissettingen på boliger. Bolig omfatter hjem, andre boliger og fritidsboliger.','HousingAndLandUse.Housing','HousingAndLandUse',29,2986,3855,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',300),(4032,'Aktiv eller passiv deltakelse i alle former for kulturelle aktiviteter, samt meninger og oppfatninger av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,3036,3864,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',300),(4033,'Data om yrkeseksponering og sykdommer, arbeidssikkerhet, sykefravær, arbeidsevne og uførhet, eller yrkesrelatert uførepensjon.','Health.Occupational','Health',25,2982,3909,'Arbeidsrelatert helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',300),(4034,'Opplæring internt i bedriften og annen opplæring som er finansiert av bedriften for å heve ansattes ferdigheter og kompetanse. Omfatter ikke lærlinger, som er inkludert i \'Yrkesrettet utdanning og opplæring\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,2992,3848,'Opplæring av ansatte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',300),(4035,'','Economics',NULL,4,2961,3866,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',300),(4036,'Dekker landskap og land som ikke har blitt direkte endret av mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,3008,3901,'Naturlige omgivelser (landskap)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',300),(4037,'Individer, familier eller grupper av individer sin bevegelse i sosial og yrkesmessig status over tid. Bevegelsen kan være horisontal, det vil si endring av posisjon innenfor samme statusnivå, eller vertikal hvor individer kan bevege seg oppover eller nedover i statushierarkiet. For eksempel kan arbeidere innen næringer i nedgang bli arbeidere i en annen industri (horisontal yrkesmessig mobilitet), eller så kan barn i fattige familier oppnå en høyere sosial klasse enn deres foreldre (vertikal intergenerasjonell sosial mobilitet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,3021,3843,'Sosial og yrkesmessig mobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',300),(4038,'Studier om spesifikke, diagnostiserte sykdommer, lidelser eller syndromer (ofte klassifisert i ICD-10 eller i tidligere versjoner). For eksempel medisinsk forskning på årsaker til diabetes eller studier av fysisk og mental rehabilitering blant personer som har gjennomgått hjerteoperasjon.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,2975,3840,'Spesifikke sykdommer og medisinske tilfeller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',300),(4041,'Relasjoner mellom arbeidsgiver og arbeidstaker.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,2993,3887,'Arbeidsforhold/konflikter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',300),(4043,'Problemstillinger relatert til eksistensen, roller og innflytelsen til eliter i samfunnet, det vil si individer eller grupper som har en stor påvirkning på samfunn, politikk, velstand osv. enten gjennom sine beslutninger, eller gjennom sine ideer og følelser som de utrykker eller representerer. Inkluderer problemstillinger knyttet til innflytelsesrike personer på alle samfunnsområder, for eksempel beslutningstakere i det politiske livet, partiledere, innflytelsesrike kunstnere, fremtredende personer i masse- eller sosiale medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,3028,3924,'Eliter og lederskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',300),(4044,'Bruk den passende ‘topical term’ for historisk data i tillegg til hovedbenevnelsen her. For eksempel, ‘Arbeidsforhold’ og ‘Helsetjenester og policyer’ pluss HISTORIE for data om arbeidsmiljøene til familieleger på 1960-tallet. Hovedbenevnelsen for historie skal kun brukes alene i tilfeller hvor det ikke finnes noen ‘topical term’.','History',NULL,27,2984,3875,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',300),(4045,'Data om industri og foretak slik som ledelse, produktivitet, vekst og fall, organisasjonsstruktur, administrasjon, investeringer i forskning og utvikling, markeder og markedsandel.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,3044,3913,'Forretnings-/industridrift og organisasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',300),(4046,'Data om endringer i samfunnet, inkludert holdningsendringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,3042,3923,'Sosial endring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',300),(4047,'Produksjon, distribusjon, bruk, integrering og manipulering av informasjon som en signifikant økonomisk, politisk og kulturell aktivitet. For eksempel, data relatert til netthandel, bruk av informasjons- og kommunikasjonsteknologi i offentlig sektor, sosiale medier, mobilenheter, tilgang til og bruk av internett, personvern, informasjon og biblioteksressurser. Bruk \'Informasjonsteknologi\' om de faktiske teknologiene.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,3002,3865,'Informasjonssamfunn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',300),(4048,'Refererer til handlingen om å tilegne seg og/eller evne til å møte behov og ønsker hos en person, fellesskapet eller samfunnet. Data i denne kategorien omfatter også konsum på personlige- og husholdninsartikler, endringer i konsumentatferd, og studier om konsument og etikk. For eksempel data om hvor ofte personer kjøper en type ting, hvor og når de handler; om etiske betraktninger påvirker konsumvalget. ','Economics.ConsumptionAndConsumerBehaviour','Economics',6,2963,3918,'Konsum og konsumentatferd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',300),(4049,'Data om arbeids- og sysselsettingspolitikk relatert til ansettelsesforhold, arbeidsmarkedet, likestilling og diskriminering på jobb; for policyer på nasjonalt nivå inkluder påvirkningen av etterspørsel på og tilbud av arbeidskraft og arbeidsmarkedenes funksjon. Bruk ‘Lovgivning og rettsystemer’ for lover og reguleringer som allerede er implementert.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,2995,3852,'Arbeids- og sysselsettingspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',300),(4050,'Studier om det generelle velværet og helsetilstanden til et individ, en gruppe eller en populasjon. Kan bli objektivt målt/observert eller være selvrapportert. Velvære omfatter, for eksempel, fysisk og mental kapasitet eller tilstand, samt sosial tilstand.','Health.GeneralHealthAndWellbeing','Health',22,2979,3906,'Generell helse og velvære','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',300),(4051,'Studier om abnorme anatomiske eller fysiologiske tilstander, og objektive eller subjektive manifestasjoner av sykdom eller symptomer, som ikke er klassifisert som sykdom eller syndrom (i hvilket tilfelle ‘Spesifikke sykdommer, lidelser eller medisinske tilfeller’ ville blitt brukt). Omfatter kliniske manifestasjoner som kan være objektive når de blir observert av medisinsk fagpersonell eller subjektive når de blir oppfattet av pasienten. For eksempel smerte, diaré, utslett, ulik benlengde, insomnia, tanngnissing, inflammasjon, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,2976,3841,'Tegn og symptomer; patologiske tilstander','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',300),(4052,'','SocialWelfarePolicyAndSystems',NULL,73,3029,3880,'SOSIALPOLITIKK OG VELFERDSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',300),(4054,'Betingelsene de ansatte arbeider under. For eksempel, typer kontrakter, arbeidstid (antall timer arbeid, hvileperioder, arbeidsplan, overtid), betaling og opptelling, fysiske aspekter og mentale krav ved arbeidet, ansattes rettigheter og ansvar, arbeidsmengde, de ansattes involvering i beslutningstaking, permisjonsrettigheter, og fysisk miljø. For sikkerhetsspørsmål på arbeidsplassen benytt også \'Arbeidsrelatert helse\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,2994,3893,'Arbeidsbetingelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',300),(4055,'Kvalitet og tilgjengelighet på tjenester, hjelpemidler og personale innen helsevesenet. Helsevesenets økonomiske og politiske avgjørelser og prinsipper nasjonalt, regionalt eller lokalt. Benytt \'Lovgivning og rettssystemer\' for lover og lovbestemmelser som allerede er implementert.','Health.HealthCareServicesAndPolicies','Health',17,2974,3905,'Helsevesen og politikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',300),(4056,'Sår og skader, både fysiske og psykologiske, forårsaket enten av ulykke eller vold (utført av individer eller grupper). Hvis det er jobbrelaterte sår og skader benytt \'Arbeidsrelatert helse\'.','Health.WoundsAndInjuries','Health',20,2977,3885,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',300),(4057,'','Politics',NULL,52,3009,3917,'POLITIKK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',300),(4058,'Data omfatter lingvistiske studier, lingvistisk analyse og sosiolingvistikk, samt data omhandlende språkpolitikk, språkferdigheter, språk brukt hjemme og på jobb, holdninger til minoritetsspråk etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,3003,3896,'Språk og lingvistikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',300),(4059,'Undervisningsprogrammer som er utarbeidet slik at elevene skal tilegne seg kunnskap, ferdigheter og kompetanse som er rettet mot et spesifikt yrke eller yrkesgrupper. Yrkesrettet utdanning og opplæring kan ha arbeidsrelaterte komponenter. Dekker yrkesrettet utdanning på ISCED-nivå 3 - 4, og lærlingperioden. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.VocationalAndTraining','Education',13,2970,3851,'Yrkesrettet utdanning og opplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',300),(4060,'Ideer, idealer og teorier om hvordan myndighetene og samfunn kan organiseres. Store politiske ideologier omfatter anarkisme, demokrati, liberalisme, konservatisme etc.','Politics.PoliticalIdeology','Politics',55,3012,3854,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',300),(4061,'Naturressurser er forekomster som jord, skog, energikilder, vann, mineraler som eksisterer naturlig og som kan bli brukt til økonomisk produksjon og konsum. Energiressurser inkluderer fossile brennstoff som olje, naturgass og kull, men også kjernekraft, sol, tidevann og vind, og levende organismer som kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,3006,3908,'Energi og naturressurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',300),(4062,'Omfatter både arealbruk og arealplanlegging. Med arealplanlegging menes prosedyrene utført for å sikre optimal og bærekraftig bruk av landressurser i rurale og urbane samfunn.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,2987,3870,'Arealbruk og arealplanlegging','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',300),(4063,'Grupper av individer som skiller seg ut fra majoriteten av befolkningen på en eller annen måte. Differensierende karakteristikker inkluderer for eksempel etnisitet, religion, helse, seksuell orientering, førstespråk (morsmål) og kultur. Begrepene \'Likhet og ulikhet\', \'Sosial utstøtning\' eller \'Språk og lingvistikk\' kan også brukes om enkelte minoritets problemstillinger.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,3027,3890,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',300),(4064,'Utveksling av kapital, varer eller tjenester over internasjonale grenser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,3046,3903,'Utenrikshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',300),(4065,'Bruker biomolekylære og cellulære prosesser for å skape nye produkter og teknologiske prosesser.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,3049,3912,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',300),(4066,'Data om sysselsettingsrate og sysselsettingsstatistikk, sysselsettingsprogrammer og sysselsettingstiltak, varighet og hyppighet av arbeidsløshet, sosial og psykologisk innflytelse av arbeidsledighet etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,2990,3872,'Arbeidsledighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',300),(4067,'','ScienceAndTechnology',NULL,60,3017,3858,'VITENSKAP OG TEKONOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',300),(4068,'Diskusjoner om politikk og prinsipper, samt beslutninger og prinsipper vedtatt på nasjonalt, regionalt eller lokalt nivå knyttet til utdanning. \'Lovgivning og rettssystemer\' brukes på lover og reguleringer som allerede er implementert.','Education.EducationalPolicy','Education',15,2972,3859,'Utdanningspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',300),(4069,'Forhindring og kontroll av sykdom og funksjonshemminger, og fremming av befolkningens fysiske og mentale helse på internasjonalt, nasjonalt, statlig eller kommunalt nivå. For eksempel, helsefremming, forebygging av sykdom, offentlige helseprogrammers innvirkning, håndtering av lokale, nasjonale eller globale helseproblemer, en sykdoms epidemiologi, tilstand, eller patogen, eller sykdomsutbrudd.','Health.Public','Health',23,2980,3907,'Folkehelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',300),(4070,'Dekker domestisering, produksjon og ville dyr, og alle typer planter (for eksempel blomster, trær, mose, grønnsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,3007,3842,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',300),(4071,'Rekreasjonsmønster, fritidsaktiviteter og hobbyer. Inkluderer idrettsforeninger, konkurransesport og fritidsreiser. For data om trening for å holde seg i form bruk \'Helseatferd\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,3038,3915,'Fritid, turistaktiviteter og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',300),(4072,'','SocialStratificationAndGroupings',NULL,63,3019,3928,'SOSIAL STRATIFISERING OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',300),(4073,'Data som adresserer spørsmål om religiøs atferd, religiøs diskriminering, religiøse bevegelser, åndelighet/spiritualitet, moralitet og andre verdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,3039,3883,'Religion og verdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',300),(4074,'','Health',NULL,16,2973,3925,'HELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',300),(4075,'','NaturalEnvironment',NULL,47,3004,3889,'NATUR OG MILJØ ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',300),(4076,'Viser til grunnskoleopplæring som er obligatorisk og lovfestet for alle personer i et land. Førskole viser til opplæring som finner sted før grunnskolen. Bruk dette begrepet til å indeksere data som er relatert til førskole, grunnskoleopplæring, uavhengig om dataene fokuserer på elever, lærere, fag, ferdigheter eller fasiliteter etc.','Education.CompulsoryAndPreschool','Education',11,2968,3877,'Obligatorisk utdanning og førskole','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',300),(4077,'Kjønnsidentitet; kjønnsrepresentasjon (for eksempel representasjon av kjønn i beslutningstakersorgan, i media, i litteratur etc.); sosiale, kulturelle og psykologiske trekk knyttet til menn og kvinner; kvinnestudier, mannsstudier; forventet atferd og valg knyttet til kjønnsroller og innvirkningen av slike forventinger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,3022,3891,'Kjønn og kjønnsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',300),(4078,'Data om partipolitiske holdninger, politisk engasjement og deltakelse i den politiske prosessen, velgeratferd, tilfredshet med regjering. Benytt \'Politisk ideologi\' for data om spesifikke politiske doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,3010,3882,'Politisk atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',300),(4079,'Økonomiske indikatorerer som anviser en økonomi sin retning og omfatter for eksempel BNP-vekst, sysselsetting, inflasjon og rentesats, forbruker- og investoraktivitet og husholdningsgjeld. Brukes også for økonomiske forhold for enkeltpersoner og husholdninger som er undersøkt eller registrert.','Economics.EconomicConditionsAndIndicators','Economics',5,2962,3932,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',300),(4080,'Data om hvor mye tid befolkningen bruker på ulike aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,3041,3867,'Tidsbruk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',300),(4081,'Tiltak implementert for å ivareta eller forbedre oppfattelsen av individer, virksomheter, organisasjoner og regjeringer, for eksempel ved bruk av reklame, pressgrupper etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,3001,3919,'Publikumskontakt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',300),(4082,'Nasjonal og internasjonal sikkerhet og trygghet; nasjonale og internasjonale konflikter; krig og fred; militær styrke og militæret. Bemerk at politi er dekket under \'Lov, kriminalitet og rettsystemer\'.','Politics.ConflictSecurityAndPeace','Politics',58,3015,3856,'Konflikt, sikkerhet og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',300),(4083,'Data om sosial atferd; sosial interaksjon og nettverk; sosialt ansvar; sosiale normer og regler; og holdninger til dette.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,3034,3892,'Sosial atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',300),(4084,'Dekker problemstillinger knyttet til degradering, forurensning, miljøvern, klimaendringer, forebygging ved flom og jorderosjon.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,3005,3902,'Miljø og naturforvaltning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',300),(4085,'Kan være bruk for et ekstra emne, hvis unge mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,3024,3888,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',300),(4086,'Bruk hvis emnet er kjent, men ikke finnes i listen.','Other',NULL,92,3048,3849,'ANNET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',300),(4087,'','SocietyAndCulture',NULL,77,3033,3886,'SAMFUNN OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',300),(4088,'Bruk denne kategorien for undersøkelser om landbruksproduksjon og landbruksnæringer, som for eksempel inkluderer fiskeri og skogbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,3045,3921,'Jordbruk og rural industri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',300),(4089,'Reproduktiv prosess, funksjon eller system på ethvert stadium av livet. Omfatter data om graviditet, fødsel, familieplanlegging, prevensjon og abort, overgangsalder.','Health.Reproductive','Health',24,2981,3846,'Reproduktiv helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',300),(4090,'','Education',NULL,10,2967,3862,'UTDANNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',300),(4091,'Data om kriminalitet, forebygging av kriminalitet, ofre for kriminalitet, kriminelle, politiet, etterretningstjeneste, sikkerhetstjeneste, kriminalomsorg (for eksempel fengsel, ungdomsfengsel), grensekontroll og tollvesen. Inkluderer også data om ansatte og fasilitetene til virksomhetene.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,2998,3863,'Kriminalitet og rettshåndhevning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',300),(4092,'Global styring, diplomati, utenrikspolitikk, relasjoner mellom land, internasjonale organisasjoner (for eksempel EU, WHO, FN, WTO), og internasjonale avtaler.','Politics.InternationalPoliticsAndOrganisations','Politics',57,3014,3861,'Internasjonal politikk og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',300),(4093,'For eksmpel selvrapporterte data om hvorvidt folk bruker bestemte sosiale tjenester, meninger om tilstrekkelighet, tilgjengelighet og tilgang til bestemte tjenester, og generelt hvor tilfreds folk er med disse.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,3032,3927,'Spesielle sosiale tjenester: Bruk og tilveiebringelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',300),(4095,'Data om identitetsdannelse, hvem folk føler de er og hvor de hører til. Forholdet mellom kulturell og nasjonal identitet ved å fremstille og klassifisere andre som \'ikke en av oss/de andre\'. Vaner, oppførsel og holdninger til egne oppfatninger og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,3037,3914,'Kulturell og nasjonal identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',300),(4096,'Data om sysselsettingsrate og statistikk, arbeidsmarked, ledige jobber, arbeidssøking, karakteristika ved arbeidsforhold, sysselsetting blant bestemte grupper (e.g. ungdoms- eller minoritetssysselsetting), arbeidsmarkedskontor, karriere. For lønn og godtgjørelse brukes \'Arbeidsbetingelser\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,2989,3904,'Sysselsetting','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',300),(4097,'Brukes på studier om kapitalistiske, sosialistiske og andre øknomiske systemer, og studier om  for eksempel internasjonale utviklingsprogram.','Economics.SystemsAndDevelopment','Economics',9,2966,3878,'Økonomiske systemer og utvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',300),(4098,'Informasjons- og kommunikasjonsteknologi som brukes i hjemmet, på arbeidsplassen og i andre samfunnssettinger. Bemerk at bruk og innflytelse av disse teknologiene er dekket av \'Informasjonssamfunn\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,3018,3920,'Informasjonsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',300),(4099,'','Psychology',NULL,59,3016,3879,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',300),(4100,'Kan være bruk for et ekstra emne, hvis eldre mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,3025,3850,'Eldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',300),(4101,'Sykelighet refererer til forekomst av dårlig helse i en befolkning. Data kan dekke forekomsten eller sykdomsgraden av en medisinsk tilstand. For eksempel antall personer som lider av lungekreft i et land eller i et geografisk område i løpet av ett år. Data om dødelighet indikerer antall dødsfall i en befolkning etter sted, tid, årsak, individ osv. For eksempel mødre-, barnedødelighet. Vær oppmerksom på at selvrapporterte undersøkelsesdata om sykdommer og medisinske forhold er indeksert med HELSE-hierarki begreper.','Demography.MorbidityAndMortality','Demography',3,2958,3926,'Sykelighet og dødelighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',300),(4102,'Dekker grunnskoleopplæring på ISCED-nivå 3 - 4 i tillegg til høyere utdanning. Det vil si videregående opplæring, høyere utdanning på høgskole, vitenskapelig universitet eller universitet. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.HigherAndFurther','Education',12,2969,3922,'Høyere- og videreutdanning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',300),(4103,'Data relatert til ulike aspekter av livet i lokalsamfunnet, eller i urbane og rurale områder. Oppfatninger og fremstillinger av nabolag, eller av urbane og rurale områder. Tjenester, fasiliteter og forretningsmuligheter i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,3040,3853,'Samfunnet, urbant og ruralt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',300),(4104,'Omfatter alle pensjonsmønstre, slik som \'gradvis\' eller \'fleksibel\' pensjonering, data om pensjonsalder og tidlig pensjonering.','LabourAndEmployment.Retirement','LabourAndEmployment',34,2991,3874,'Pensjonering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',300),(4105,'','LawCrimeAndLegalSystems',NULL,39,2996,3844,'LOV, KRIMINALITET OG RETTSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',300),(4106,'Data om internasjonal og nasjonal lovgivning, administrative forskrifter, domstoler, alternative tvisteløsninger og gjenopprettende praksis, straff.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,2997,3929,'Lovgivning og rettssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',300),(4107,'','MediaCommunicationAndLanguage',NULL,42,2999,3916,'MEDIA, KOMMUNIKASJON OG SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',300),(4108,'','LabourAndEmployment',NULL,31,2988,3873,'ARBEID OG SYSSELSETTING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',300),(4109,'Kan være bruk for et ekstra emne, hvis barn studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,3026,3869,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',300),(4110,'','Demography',NULL,0,2957,3857,'DEMOGRAFI (POPULASJON, KJERNESTATISTIKK OG FOLKETELLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',300),(4111,'Dekker alle aspekter av livskvalitet og trivsel hos enkeltpersoner og samfunn, og menneskers oppfatninger av disse. Vær oppmerksom på at i henhold til aspektene som blir studert kan begrepene \'Generell helse og velvære\', \'Likhet og ulikhet\', \'Likhet, ulikhet og sosial eksklusjon\' og \'Økonomiske forhold og indikatorer\' etc. være relevante.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,3035,3868,'Sosiale forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',300),(4112,'Behandling av sykdom, eller prosedyre(r)  for å forebygge. Pasientbehandling på individuelt nivå. Forskning på medisinering og behandling av sykdom. Data om, for eksempel, kirurgiske prosedyrer, legekonsultasjon, fysisk terapi, manipulasjoner i muskler og skjelett, behandling på sykehus eller i hjemmet, psykoterapi, undersøkelsesteknikker, medisinering.','Health.MedicationAndTreatment','Health',21,2978,3847,'Medisiner og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',300),(4113,'','TradeIndustryAndMarkets',NULL,87,3043,3876,'HANDEL, INDUSTRI OG MARKEDER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',300),(4114,'Beslutninger og prinsipper vedtatt nasjonalt, regionalt eller lokalt om velferdssystemer, finansiering og tilbud. For eksempel hvem har rett til hvilke tjenester og stønader og hvorfor, hvilket nivå, og hvem som kan tilby disse tjenestene. For eksempel politikk om at eldre bør bo hjemme så lenge som mulig, politikk om hvor lenge folk har rett på arbeidsledighetstrygd. Bruk også \'Lovgivning og rettssystemer\' for lover og reguleringer som allerede er vedtatt.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,3030,3910,'Sosial velferdspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',300),(4115,'Viser til forskjellige utdanningsmuligheter for voksne etter de har forlatt det formelle utdanningssystemet. Voksne kan ta denne type utdanning av ulike grunner, for eksempel, forbedre ferdigheter og kvalifikasjoner, grunnet omskolering, eller for å lære noe nytt. Inkluderer ikke oppkvalifisering eller etterutdannelse av medarbeidere.','Education.LifelongContinuing','Education',14,2971,3860,'Livslang utdanning/voksenopplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',300),(4116,'Data som omhandler alle former for massemedia. For eksempel papir- eller nettaviser, ukeblad, fjernsyn og radio. Sosiale medier er indeksert med begrepet \'Informasjonssamfunn\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,3000,3911,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',300),(4117,'Problemstillinger knyttet til tilbudet av velferdssystemer, hvem som har ansvaret for sosiale velferdstjenester i praksis og i hvilken grad, og hvordan tjenestene er strukturert. For eksempel meninger om hvem som skal ha ansvar for eldreomsorg og omsorg for barn, hvordan lokale myndigheter har organisert tjenestene, og hva slags stønader kan man få etc.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,3031,3900,'Sosiale velferdssystemer/strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',300),(4118,'Inkluder alle typer godstransport, pendling, kollektivtransport (tog, busser, undergrunn/metro etc.) og transportnettverk i byer. Data om mobilitetsvaner, for eksempel shopping over landegrenser, ruter og midler som blir brukt for å komme seg til et sted. Bruk begrepet \'Fritid, turisme og sport\' for reiser på fritiden.','TransportAndTravel',NULL,91,3047,3884,'TRANSPORT OG REISE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',300),(4212,'Kan behöva ett ytterligare ämne om ungdomar studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,2932,3888,'Ungdomar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',302),(4213,'Data om religiöst utövande, religiös diskriminering, religiösa samfund, andlighet, moralitet och andra värderingar.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,2947,3883,'Religion och värderingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',302),(4214,'Använd en lämplig ämnesterm för historiska data samt huvudtermen, till exempel \"Arbetsförhållanden\" och \"Hälso- och sjukvårdstjänster och -politik\" plus HISTORIA för data om arbetsförhållanden för husläkare på 1960-talet. Huvudtermen HISTORIA ska användas ensam enbart då det inte finns någon ämnesterm.','History',NULL,27,2891,3875,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',302),(4215,'Inkluderar studier som mäter boendestandard i ett samhälle, inklusive subventionerat boende, och tillgången på bostäder och boendekostnad. Till bostäder räknas hem, fritidshus och sommarstugor.','HousingAndLandUse.Housing','HousingAndLandUse',29,2893,3855,'Bostäder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',302),(4216,'','ScienceAndTechnology',NULL,60,2924,3858,'VETENSKAP OCH TEKNOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',302),(4217,'Omfattar alla typer av pensionsmönster, till exempel flexibel pension, data om pensionsålder och förtidspension.','LabourAndEmployment.Retirement','LabourAndEmployment',34,2898,3874,'Pension','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',302),(4218,'','Economics',NULL,4,2868,3866,'EKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',302),(4219,'Ämnen som rör huruvida alla individer eller grupper har samma status och möjligheter i samhället. Jämlikhet kan studeras till exempel i termer av utbildning, inkomst eller förmögenhet, form av anställning, makt, status, arbetsförhållanden och fritid, tillgång till samhällstjänster och sociala relationer. Marginalisering och socialt utanförskap kan resultera från systemiska nackdelar inom flera områden, och drabbade personer kan ha sämre rättigheter, möjligheter, resurser och social integration. Exempel på data: statistik över inkomstfördelning, upplevd diskriminiering av en grupp (t.ex. gentemot invandrare, hemlösa, asylsökande), upplevda skillnader mellan män och kvinnor vad gäller möjligheter till ledande politiska roller, och hur föräldras arbetslöshet påverkar barns utbildningsnivå och sociala nätverk.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,2928,3931,'Jämlikhet, ojämlikhet och socialt utanförskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',302),(4220,'Data om internationell eller nationell lagstiftning, administrativa föreskrifter, rättssystemet (domstolarnas makt och aktivitet), alternativ tvistlösning och reparativ rättvisa, straff med mera.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,2904,3929,'Lagstiftning och rättssystem','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',302),(4221,'Inkluderar både markanvändning och planering av markanvändning. Planering av markanvändning syftar på processer för att säkerställa en effektiv och hållbar användning av markresurser på landsbygd och i stadsområden.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,2894,3870,'Markanvändning och planering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',302),(4222,'Studier om specifika, diagnosticerade sjukdomar, störningar eller syndrom (som oftast finns klassificerade i ICD-10 eller tidigare versioner av manualen). Till exempel medicinsk forskning på orsaker till diabetes eller studier av hur personer återhämtar sig fysiskt och psykiskt efter en hjärtoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,2882,3840,'Specifika sjukdomar, störningar och medicinska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',302),(4223,'Diskussioner kring utbildningspolitik och -principer samt beslut kring och principer för utbildning och anordnade av utbildning på nationell, regional eller lokal nivå. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Education.EducationalPolicy','Education',15,2879,3859,'Utbildningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',302),(4224,'','Health',NULL,16,2880,3925,'HÄLSA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',302),(4225,'Anställdas arbetsförhållanden, till exempel olika former av anställningar, arbetstid (arbetstimmar, raster, skift, arbetsscheman, övertid), lön och arvodering, ett arbetes fysiska aspekter och mentala krav, anställdas rättigheter och ansvar, arbetsbelastning, anställdas delaktighet i beslutsfattande, rätten till olika typer av ledighet, fysisk arbetsmiljö. Frågor om arbetsplatssäkerhet ingår även i \"Arbets- och miljömedicin\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,2901,3893,'Arbetsförhållanden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',302),(4227,'Aktivt eller passivt deltagande i alla typer av kulturella aktiviteter, samt åsikter om och uppfattningar av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,2944,3864,'Kulturaktiviteter och deltagande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',302),(4228,'Anskaffning och/eller användning av något som tillgodoser en persons, en grupps eller ett samhälles behov och önskemål. Data i den här kategorin inkluderar konsumtionsmönster, förändringar av konsumtionsmönster och studier av konsumtionsetik. Till exempel undersökningsdata om hur ofta människor köper vissa produkter, när och var de handlar och huruvida etiska överväganden påverkar deras konsumtionsval.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,2870,3918,'Konsumtion och konsumentbeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',302),(4229,'Studier om abnorma anatomiska eller fysiologiska tillstånd samt objektiva eller subjektiva manifestationer av sjukdomar/symtom som inte klassificeras som sjukdomar eller syndrom (i så fall används \"Specifika sjukdomar, störningar och medicinska tillstånd\"). Detta gäller kliniska manifestationer som kan vara objektiva när de observeras av hälso- och sjukvårdspersonal eller subjektiva när de gäller patientens upplevelse. Exempel på detta är smärta, diarré, klåda, olika benlängd, sömnsvårigheter, tandgnisslan, inflammationer och arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,2883,3841,'Tecken och symtom; patologiska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',302),(4230,'Fritidsmönster, fritidsaktiviteter och hobbyer. Exempel på detta är att titta på sport, tävlingsidrott och fritidsresor. Data om träning för att hålla sig i form ingår i \"Hälsobeteende\".','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,2946,3915,'Fritid, turism och sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',302),(4231,'Program som är utformade för att ge studenterna kunskaper, färdigheter och kompetens som är specifika för ett visst yrke, en viss yrkesgrupp eller bransch. Yrkesutbildning kan innehålla inslag av praktik på arbetsplatser. Den här kategorin omfattar utbildningar på ISCED-nivå 2–4, kvalificerade yrkesutbildningar och lärlingskap. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.VocationalAndTraining','Education',13,2877,3851,'Yrkesutbildning och praktik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',302),(4232,'Data om sociala beteenden, sociala interaktioner och nätverk, samhällsansvar, sociala normer och regler, samt attityder till dessa ämnen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,2942,3892,'Socialt beteende och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',302),(4233,'Ämnen som rör det faktiska tillhandahållandet av välfärd, vem som erbjuder välfärdstjänster och i vilken omfattning, samt hur tjänsterna är utformade. Exempel på detta är frågor kring hur kommuner organiserar tjänster för äldre personer.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,2939,3900,'Sociala välfärdssystem/-strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',302),(4234,'Används för studier om kapitalism, socialism och andra ekonomiska system samt vid studier om till exempel internationella utvecklingsprogram.','Economics.SystemsAndDevelopment','Economics',9,2873,3878,'Ekonomiska system och ekonomisk utveckling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',302),(4235,'','Psychology',NULL,59,2923,3879,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',302),(4236,'Data om arbetslöshetsgrad och -statistik, arbetsmarknadsprogram och arbetsmarknadspolitiska åtgärder, arbetslöshetens varaktighet och arbetslöshetsfrekvens, sociala och psykologiska effekter av arbetslöshet osv.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,2897,3872,'Arbetslöshet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',302),(4237,'Data om brottslighet, brottsförebyggande åtgärder, brottsoffer, brottslingar, samt polisen, säkerhetspolisen, kriminalvårdens anstalter (t.ex. fängelser och sluten ungdomsvård), gränskontroll och tullverksamhet. Här ingår även data om dessa myndigheters personal och anläggningar.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,2905,3863,'Kriminalitet och rättstillämpning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',302),(4238,'Obligatorisk utbildning är den utbildningsperiod då det enligt lag råder skolplikt för alla personer som bor i ett land. Förskoleutbildning syftar på formell barnomsorg och utbildning som ges före den obligatoriska skolgången. Använd den här termen för att indexera data om förskola och grundskola, oavsett om data gäller elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.CompulsoryAndPreschool','Education',11,2875,3877,'Obligatorisk utbildning och förskoleutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',302),(4239,'','HousingAndLandUse',NULL,28,2892,3899,'BOSTÄDER OCH MARKANVÄNDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',302),(4241,'Åtgärder för att förbättra eller bevara personers, organisationers och regeringars framtoning och image, till exempel genom annonser och lobbyverksamhet.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,2908,3919,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',302),(4243,'Data om identitetsskapande, hur människor definierar sig och vilka grupper de känner tillhörighet med. Kulturell och nationell identitet i förhållande till representation och klassificering av andra människor som \"inte en av oss\" (andrafiering). Vanor och seder inom ens egen och andras identitetsgrupp, och attityder till desamma.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,2945,3914,'Kulturell och nationell identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',302),(4244,'Nationell och internationell säkerhet, nationella och internationella konflikter, krig och fred, nationellt försvar och försvarsmakten (armén). Observera att polisen ingår i \"Kriminalitet och rättstillämpning\".','Politics.ConflictSecurityAndPeace','Politics',58,2922,3856,'Konflikter, säkerhet och fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',302),(4245,'Omfattar tamboskap, kött- och mjölkdjur och vilda djur, samt alla typer av växter (t.ex. blommor, träd, mossor och grönsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,2914,3842,'Växter och djur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',302),(4246,'Globala beslutsprocesser, diplomati, utrikespolitik, mellanstatliga relationer, internationella organisationer (t.ex. EU, WHO, FN, WTO) och internationella avtal, konventioner och överenskommelser.','Politics.InternationalPoliticsAndOrganisations','Politics',57,2921,3861,'Internationell politik och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',302),(4247,'Kan behöva ett ytterligare ämne om äldre studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,2933,3850,'Äldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',302),(4248,'Omfattar allmän utbildning på ISCED-nivå 3 och 4 samt högre utbildning, det vill säga gymnasial utbildning, eftergymnasial utbildning och utbildning på högskolenivå. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.HigherAndFurther','Education',12,2876,3922,'Gymnasial och högre utbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',302),(4249,'Data om hur mycket tid den studerade populationen lägger på olika aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,2949,3867,'Tidsanvändning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',302),(4250,'Informations- och kommunikationsteknik som används i hemmet, på arbetet och i andra samhällssammanhang. Observera att användningen och effekterna av den här tekniken ingår i \"Informationssamhället\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,2925,3920,'Informationsteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',302),(4251,'','LawCrimeAndLegalSystems',NULL,39,2903,3844,'LAG, BROTTSLIGHET OCH RÄTTSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',302),(4252,'','TradeIndustryAndMarkets',NULL,87,2951,3876,'HANDEL, INDUSTRI OCH MARKNADER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',302),(4253,'','Education',NULL,10,2874,3862,'UTBILDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',302),(4254,'Sjukdomsbehandlingar eller sjukdomsförebyggande åtgärder. Patientomsorg på individnivå. Forskning om medicinering och behandling av sjukdomar. Data om till exempel kirurgiska ingrepp, rehabilitering, läkarkonsultationer, sjukgymnastik, muskuloskeletala manipulationer, sjukhus- eller hemvård, psykoterapi, utredningsmetoder och medicinering.','Health.MedicationAndTreatment','Health',21,2885,3847,'Medicinering och behandlingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',302),(4255,'Individers, familjers eller gruppers sociala rörlighet och yrkesrörlighet över tid. Rörelsen kan vara horisontell, det vill säga förändringar i position på samma statusnivå, eller vertikal, där individer rör sig uppåt eller nedåt i status. Exempel på detta är hur anställda inom krisbranscher kan anställas inom en annan bransch (horisontell yrkesrörlighet) eller hur barn i låginkomsttagarfamiljer kan nå en högre socialgrupp än sina föräldrar (vertikal intergenerationell social rörlighet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,2929,3843,'Social och yrkesmässig rörlighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',302),(4256,'','SocialStratificationAndGroupings',NULL,63,2927,3928,'SOCIAL STRATIFIERING OCH GRUPPERING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',302),(4257,'','Demography',NULL,0,2864,3857,'DEMOGRAFI (POPULATION, VITALSTATISTIK OCH FOLKRÄKNINGAR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',302),(4258,'Data om lingvistikstudier, lingvistiska analyser och sociolingvistik samt data om språkpolicyer, människors språkkunskaper, vilka språk som talas på arbetsplatsen och i hemmet, attityder gentemot minoritetsspråk osv.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,2910,3896,'Språk och lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',302),(4259,'Omfattar alla aspekter av individers och samhällsgruppers livskvalitet och välbefinnande, samt individers uppfattningar av dem. Observera att beroende på vilka aspekter som studeras kan även termer som \"Allmän hälsa och välbefinnande\", \"Jämlikhet, ojämlikhet och socialt utanförskap\" och \"Ekonomiska villkor och indikatorer\" vara relevanta.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,2943,3868,'Sociala förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',302),(4260,'Ämnen som rör familj, släktingar, generationer och hushållens sammansättning. Till exempel data om barnuppfostran, arbetsfördelning i familjen och stöd till familjemedlemmar.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,2931,3845,'Familjeliv och äktenskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',302),(4261,'Prevention och kontroll av sjukdomar och funktionsnedsättningar samt främjande av populationens fysiska och mentala hälsa på internationell, nationell, regional eller lokal nivå. Detta gäller till exempel hälsopromotion, sjukdomsprevention, effekter av folkhälsoprogram, hantering av lokala, nationella eller globala hälsoproblem, epidemiologin för en sjukdom, ett tillstånd, en patogen eller ett sjukdomsutbrott.','Health.Public','Health',23,2887,3907,'Folkhälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',302),(4262,'Data om sysselsättningsgrad och -statistik, arbetsmarknaden, lediga jobb, jobbsökande, arbetsförmåga, sysselsättning av särskilda grupper (t.ex. ungdomar eller personer ur minoritetsgrupper), arbetsförmedlingen och karriär. Använd \"Arbetsförhållanden\" om det gäller löner och arvoden.','LabourAndEmployment.Employment','LabourAndEmployment',32,2896,3904,'Sysselsättning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',302),(4263,'','LabourAndEmployment',NULL,31,2895,3873,'ARBETE OCH SYSSELSÄTTNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',302),(4264,'Inkluderar alla typer av varutransporter samt pendlande, kollektivtrafik (tåg, bussar, tunnelbana osv.) och urbana transportnätverk. Data om rörelsemönster, till exempel gränshandel, resvägar och resesätt till olika destinationer. Använd termen \"Fritid, turism och sport\" för nöjesresor.','TransportAndTravel',NULL,91,2955,3884,'TRANSPORT OCH RESOR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',302),(4265,'Idéer, tankar och teorier om hur regeringar och samhällen kan organiseras. Stora politiska ideologier är till exempel anarki, demokrati, liberalism och konservatism.','Politics.PoliticalIdeology','Politics',55,2919,3854,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',302),(4266,'Data om arbetsmarknadspolitik, till exempel arbetsmarknadsrelationer, arbetsmarknaden, jämställdhet och diskriminering på arbetet. På nationell nivå inkluderar arbetsmarknadspolitik påverkan på tillgång och efterfrågan av arbetskraft och hur väl arbetsmarknaden fungerar. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,2902,3852,'Arbetsmarknads- och sysselsättningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',302),(4267,'Könsidentitet; könad representation (t.ex. hur kön och genus representeras i beslutsfattande organ, media och litteratur); sociala, kulturella och psykologiska egenskaper som kopplas till kvinnor respektive män; kvinnoforskning; mansforskning; könsrollers förväntade beteenden och val och effekterna av sådana förväntningar.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,2930,3891,'Kön och könsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',302),(4268,'Studier om individers, gruppers eller en populations allmänna hälsa eller hälsostatus. Detta kan gälla objektiva mätningar/observationer eller självskattningar. Välbefinnande inkluderar bland annat fysisk och mental kapacitet eller hälsotillstånd, samt social hälsa.','Health.GeneralHealthAndWellbeing','Health',22,2886,3906,'Allmän hälsa och välbefinnande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',302),(4269,'Att skapa, sprida, använda, integrera och manipulera information som en betydande ekonomisk, politisk och kulturell aktivitet. Till exempel data om e-handel, e-förvaltning, sociala medier, mobila enheter, tillgång till och användning av Internet, \"e-privacy\" (integritet och telekommunikation). Använd \"Informationsteknik\" när det gäller den faktiska tekniken.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,2909,3865,'Informationssamhället','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',302),(4270,'Beslut och principer på nationell, regional eller lokal nivå om välfärd, till exempel hur den ska finansieras och tillhandahållas, vem som har rätt till vilka sociala tjänster, ersättningar och bidrag och vad som berättigar till dem, samt vem som kan erbjuda tjänsterna. Exempel på detta är principer om att äldre ska bo kvar i hemmet så länge som möjligt och regler för hur länge någon är berättigad till arbetslöshetsersättning. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,2938,3910,'Välfärdspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',302),(4271,'Internutbildningar och annan fortbildning som arbetsgivaren bekostar för att förbättra de anställdas kunskap och kompetens. Detta inkluderar inte lärlingskap, som ingår i \"Yrkesutbildning och praktik\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,2899,3848,'Vidareutbildning inom arbetet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',302),(4272,'Kan behöva ett ytterligare ämne om barn studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,2934,3869,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',302),(4273,'Till exempel data om i vilken omfattning människor använder specifika sociala tjänster, åsikter om hur väl tjänsterna tillgodoser människors behov, tjänsternas tillgänglighet och hur nöjda människor är med dem. Till exempel frågor om vilka tjänster som äldre intervjupersoner har använt eller användningsstatistik för vissa tjänster.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,2940,3927,'Specifika sociala tjänster: användning och tillgänglighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',302),(4274,'Använd om ämnet är känt men saknas i listan.','Other',NULL,92,2956,3849,'ÖVRIGT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',302),(4275,'Inkluderar immigration, emigration, intern migration samt andra typer av geografisk rörlighet. Immigration (invandring) innebär att bosätta sig i ett annat land än sitt hemland. Emigration (utvandring) innebär att lämna sitt hemland för att bosätta sig i ett annat land. Migration används som ett paraplybegrepp för båda förflyttningarna. Migration omfattar även intern migration, det vill säga geografiska folkförflyttningar inom ett land.','Demography.Migration','Demography',2,2867,3894,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',302),(4276,'Data om samhällsförändringar, inklusive attitydförändringar.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,2950,3923,'Social förändring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',302),(4277,'Omfattar naturlandskap och marker som inte direkt har förändrats av människor.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,2915,3901,'Naturlandskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',302),(4278,'Förhållandet mellan arbetsgivare och anställda.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,2900,3887,'Förhållande/konflikter mellan arbetsmarknadens parter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',302),(4279,'Data om alla former av massmedia, till exempel tryckta tidningar och webbtidningar, tidskrifter, tv och radio. Observera att sociala medier indexeras med termen \"Informationssamhället\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,2907,3911,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',302),(4280,'','MediaCommunicationAndLanguage',NULL,42,2906,3916,'MEDIA, KOMMUNIKATION OCH SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',302),(4281,'Ekonomiska indikatorer anger i vilken riktning en ekonomi utvecklas och inkluderar bland annat BNP-tillväxttakt, sysselsättning, inflation och räntenivå, konsument- och investeringsaktivitet, hushållens skulder. Denna kategori används även för de undersökta eller registrerade individernas och hushållens ekonomiska förhållanden.','Economics.EconomicConditionsAndIndicators','Economics',5,2869,3932,'Ekonomiska förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',302),(4282,'Kvalitet på och utbud av tjänster, inrättningar och personal inom hälso- och sjukvård; hälso- och sjukvårdsekonomi samt policybeslut och principer för hälso- och sjukvård på nationell, regional och lokal nivå. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Health.HealthCareServicesAndPolicies','Health',17,2881,3905,'Hälso- och sjukvårdstjänster och -politik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',302),(4283,'Morbiditet beskriver antal sjukdomsfall eller skadefrekvensen i en population. Data kan gälla incidensen eller morbiditetstalet för ett medicinskt tillstånd, t.ex. antal personer med lungcancer i ett land eller ett geografiskt område under ett år. Mortalitet beskriver antal dödsfall i en population, mätt efter plats, tid, orsak, typ av person och så vidare, t.ex. mödradödlighet och barnadödlighet. Observera att egenrapporterade enkätdata om sjukdomar och medicinska tillstånd indexeras med termer i hierarkin HÄLSA.','Demography.MorbidityAndMortality','Demography',3,2865,3926,'Morbiditet och mortalitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',302),(4284,'Sår eller skador, både fysiska och psykiska, som orsakats genom olyckor eller våld (aggressiva beteenden från individer eller grupper av personer). Om det är sår och skador som har åsamkats i arbetet ska \"Arbets- och miljömedicin\" användas.','Health.WoundsAndInjuries','Health',20,2884,3885,'Sår och skador','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',302),(4285,'Data om val, folkomröstningar, valkampanjer, valresultat, valkandidater, valkompasser, kampanjbidrag osv.','Politics.Elections','Politics',54,2918,3898,'Val','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',302),(4287,'Tillämpning av biomolekylära och cellulära processer för att skapa nya produkter och tekniska processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,2926,3912,'Bioteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',302),(4288,'Grupper av personer som på något sätt skiljer sig från majoriteten av populationen. Olika egenskaper är till exempel etnicitet, ras, religion, hälsa, sexuell läggning, förstaspråk (modersmål) och kultur. Observera att du även kan använda termerna \"Jämlikhet, ojämlikhet och socialt utanförskap\" eller \"Språk och lingvistik\" i samband med minoritetsfrågor.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,2935,3890,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',302),(4289,'','SocialWelfarePolicyAndSystems',NULL,73,2937,3880,'SOCIAL VÄLFÄRDSPOLITIK OCH VÄLFÄRDSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',302),(4290,'Ämnen som rör samhällseliters förekomst, roller och påverkan. Som elit räknas individer och grupper med stor social, politisk eller ekonomisk makt och möjlighet att påverka, antingen genom direkt beslutsfattande eller genom de idéer och åsikter de uttrycker eller representerar. Här återfinns frågor om inflytelserika personer inom alla samhällsområden, till exempel politiska beslutsfattare, partiledare, inflytelserika artister och framstående personer inom media eller sociala medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,2936,3924,'Eliter och ledarskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',302),(4291,'Processer, funktioner eller system för fortplantning inom alla livsstadier. Detta omfattar data om graviditet, födsel, familjeplanering, preventivmedel, aborter och klimakteriet.','Health.Reproductive','Health',24,2888,3846,'Fortplantningshälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',302),(4292,'Utbyte av kapital, varor eller tjänster över nationsgränser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,2954,3903,'Utrikeshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',302),(4293,'Data om företag och branscher, exempelvis ledning, produktivitet, tillväxt och nedgång, organisationsstruktur, administration, investeringar i forskning och utveckling, marknader och marknadsandelar.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,2952,3913,'Företags-/industriledning och organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',302),(4294,'Data om olika aspekter av samhällsliv eller livet i stad och på landsbygd. Åsikter om och bilden av ens omgivning eller om städer och landsbygd. Service, infrastruktur och affärsmöjligheter i ens omgivning.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,2948,3853,'Lokalsamhälle, stads- och landsbygdsliv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',302),(4295,'','Politics',NULL,52,2916,3917,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',302),(4296,'Detta gäller olika typer av utbildningsmöjligheter som erbjuds vuxna som har lämnat det formella utbildningssystemet. Vuxna kan delta i den här typen av utbildningar som fortbildning för att till exempel fördjupa sina kunskaper eller förbättra sina kvalifikationer, omskola sig till ett nytt yrkesområde eller för att lära sig något nytt. Kategorin gäller inte generellt för utbildning som leder till nya kvalifikationer eller examina, eller för arbetsmarknadsutbildningar.','Education.LifelongContinuing','Education',14,2878,3860,'Livslångt lärande/vidareutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',302),(4297,'Använd den här kategorin för studier om jordbruksproduktion och alla landsbygdsnäringar, till exempel fiskodlingar och skogsbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,2953,3921,'Jordbruk och landsbygdsnäring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',302),(4298,'Naturresurser är tillgångar som till exempel land, skog, energikällor, vatten och mineraler som är naturligt förekommande och kan användas för ekonomisk produktion eller konsumtion. Energiresurser omfattar både fossila bränslen som olja, naturgas eller kol, och sol-, tidvatten- vind- och kärnkraft samt biomassa från levande organismer som kan ersättas efter avverkning.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,2913,3908,'Energi och naturresurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',302),(4299,'Data om yrkesmässig exponering och ohälsa som uppstår till följd av arbetet, arbetarskydd, sjukskrivningar, arbetsförmåga och -oförmåga eller sjukersättning på grund av arbetsskada.','Health.Occupational','Health',25,2889,3909,'Arbets- och miljömedicin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',302),(4300,'Data om attityder till partipolitik, politiskt engagemang och deltagande i de politiska processerna, väljarbeteenden, nöjdhet med regeringen. Använd \"Politisk ideologi\" för data om specifika partiprogram.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,2917,3882,'Politiska beteenden och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',302),(4301,'Omfattar problem med miljöförstörelse, föroreningar, miljöskydd, klimatförändringar, förebyggande åtgärder mot översvämningar och jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,2912,3902,'Miljö och naturvård','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',302),(4302,'','NaturalEnvironment',NULL,47,2911,3889,'NATUR OCH MILJÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',302),(4304,'','SocietyAndCulture',NULL,77,2941,3886,'SAMHÄLLE OCH KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',302),(4305,'Podatki o oblikovanju identitete, podatki o tem, kaj ljudje mislijo, da so in kam pripadajo. Odnos kulturne in nacionalne identitete do zastopanja in razvrščanje nekoga drugega, ki »ni eden od nas« (drugačenje). Običaji, vedenje in odnosi do identitetnih skupin, ki jih zazanavamo kot lastne oziroma druge.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,3462,3914,'kulturna in nacionalna identiteta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',303),(4306,'Spolna identiteta; spolna zastopanost (npr. zastopanje spolov v organih odločanja, v medijih, v literaturi ipd.); socialne, kulturne in psihološke lastnosti, povezane z moškimi in ženskami; ženske študije; moške študije; pričakovano vedenje in izbire glede na spolne vloge in vpliv takšnih pričakovanj.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,3447,3891,'spol in spolne vloge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',303),(4307,'','TradeIndustryAndMarkets',NULL,87,3468,3876,'TRGOVINA, INDUSTRIJA IN TRGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',303),(4309,'Odnosi med delodajalci in zaposlenimi.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,3417,3887,'odnosi/spori med socialnimi partnerji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',303),(4310,'Morda bo potrebna dodatna tema, če so ostareli proučevani s posebnega vidika.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,3450,3850,'ostareli','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',303),(4311,'Pokriva splošno izobraževanje na ravni ISCED 3-4 in terciarno izobraževanje, to je višje srednješolsko izobraževanje, višje šole, univerze uporabnih znanosti in univerzitetno izobraževanje. Vključuje podatke o dijakih/študentih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.HigherAndFurther','Education',12,3393,3922,'višje in nadaljnje izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',303),(4312,'Vključuje priseljevanje, izseljevanje, notranje selitve in druge vrste geografske mobilnosti. Priseljevanje predstavlja naselitev posameznika v državi, ki ni njegova matična država. O izseljevanju govorimo, ko posameznik zapusti matično državo in se naseli v drugi državi. Selitve so krovni izraz za obe obliki. Selitve vključujejo tudi notranje selitve, to je gibanje ljudi znotraj države na različnih geografskih ravneh.','Demography.Migration','Demography',2,3384,3894,'selitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',303),(4313,'Pokriva vse vidike kakovosti življenja in blaginje posameznikov in družb ter dojemanje ljudi.\n Upoštevajte, da so glede na obravnavani vidik lahko ustrezna tudi naslednja vsebinska področja: \"Splošno zdravje in dobro počutje\", \"Enakost, neenakost in socialna izključenost\", \"Gospodarske razmere in kazalci\" itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,3460,3868,'družbene razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',303),(4314,'Podatki, ki se nanašajo na katero koli vrsto množičnih medijev. Na primer, tiskani ali spletni časopisi, revije, televizija in radio. Upoštevajte, da so družbeni mediji indeksirani z vsebinskim področjem \"Informacijska družba\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,3424,3911,'množični mediji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',303),(4315,'','Psychology',NULL,59,3440,3879,'PSIHOLOGIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',303),(4317,'Razprave o politiki in načelih ter odločitvah in načelih, sprejetih na državni, regionalni ali lokalni ravni glede izobraževanja in njegovega zagotavljanja. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Education.EducationalPolicy','Education',15,3396,3859,'izobraževalna politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',303),(4318,'','SocialStratificationAndGroupings',NULL,63,3444,3928,'DRUŽBENA SLOJEVITOST IN SKUPINE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',303),(4319,'Podatki o stopnjah brezposelnosti in statistiki brezposelnih, programih in shemah zaposlovanja, trajanju in pogostosti brezposelnosti, družbenem in psihološkem vplivu brezposelnosti itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,3414,3872,'brezposelnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',303),(4320,'Raziskave posebnih diagnosticiranih bolezni, motenj ali sindromov (pogosto uvrščenih v ICD-10 ali v starejše različice). Na primer, medicinske raziskave vzrokov sladkorne bolezni ali raziskave o telesnem in duševnem okrevanju posameznikov po operaciji srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,3399,3840,'posebne bolezni, motnje in zdravstvene razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',303),(4321,'','SocietyAndCulture',NULL,77,3458,3886,'DRUŽBA IN KULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',303),(4322,'Premiki posameznikov, družin ali skupin posameznikov v družbenem in poklicnem statusu skozi čas. Premiki so lahko vodoravni, kar pomeni, da se spremeni položaj v območju istega statusa, ali navpični, ko se posamezniki premikajo navzgor ali navzdol v statusni hierarhiji. Na primer, delavci v nazadujočih gospodarskih panogah lahko postanejo delavci v drugi industriji (horizontalna poklicna mobilnost) ali pa otroci iz revnejših družin dosežejo višji družbeni razred kot njihovi starši (vertikalna medgeneracijska družbena mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,3446,3843,'družbena in poklicna mobilnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',303),(4323,'Vprašanja v zvezi z dejanskim zagotavljanjem družbene blaginje, kdo v praksi zagotavlja storitve socialnega varstva in kako so dejanske storitve urejene. Na primer, vprašanja o tem, kako je lokalna vlada uredila storitve za ostarele.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,3456,3900,'sistemi/strukture družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',303),(4324,'Vključuje uporabo in načrtovanje rabe zemljišč. Načrtovanje rabe zemljišč se nanaša na postopke, ki se izvajajo za zagotovitev optimalne in trajnostne rabe zemljiških virov v podeželskih in mestnih skupnostih.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,3411,3870,'načrtovanje in uporaba zemljišč','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',303),(4325,'Skupine posameznikov, ki se na določen način razlikujejo od večine prebivalstva. Tovrstne značilnosti vključujejo, na primer, narodnost, vero, zdravje, spolno usmerjenost, prvi jezik (materni jezik) in kulturo. Upoštevajte, da lahko v zvezi z nekaterimi manjšinskimi vprašanji uporabljate tudi vsebinski področji \"Enakost, neenakost in socialna izključenost\" ali \"Jezik in jezikoslovje\".','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,3452,3890,'manjšine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',303),(4326,'Pokriva vprašanja, povezana z družinami, sorodniki, generacijami in sestavo gospodinjstev. Na primer podatki o vzgoji otrok, delitvi dela v družini, podpori družinskih članov.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,3448,3845,'družinsko življenje in zakonska zveza','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',303),(4327,'Nanaša se na pridobivanje in/ali uporabo nečesa z namenom zadovoljitve potreb in želja posameznika, skupnosti ali družbe. Podatki v tej kategoriji vključujejo vzorce vedenja porabnikov, spremembe vedenja in raziskovanje porabniške etike. Na primer anketni podatki o pogostosti nakupovanja določenih izdelkov; podatki o kraju in času nakupovanja; podatki o vplivu etičnih vidikov na izbiro porabnika.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,3387,3918,'poraba in navade porabnikov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',303),(4328,'','NaturalEnvironment',NULL,47,3428,3889,'NARAVNO OKOLJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',303),(4329,'Morda bo potrebna dodatna tema, če je mladina proučevana s posebnega vidika.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,3449,3888,'mladina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',303),(4330,'Pokriva udomačene, vzrejne in divje živali, pa tudi vse vrste rastlin (npr. cvetje, drevesa, mah, zelenjavo).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,3431,3842,'rastline in živali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',303),(4331,'Podatki o politikah zaposlovanja, ki se nanašajo na delovna razmerja, trg dela ter enakost in diskriminacijo na delovnem mestu; politike na državni ravni vključujejo vpliv na povpraševanje in ponudbo delavcev ter delovanje trgov dela. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,3419,3852,'delovna in zaposlitvena politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',303),(4333,'Podatki o količini časa, ki ga prebivalstvo porabi za različne dejavnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,3466,3867,'poraba časa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',303),(4334,'Podatki o poklicnih izpostavljenostih in boleznih, varnosti pri delu, bolniških odsotnostih, zmožnosti za delo in invalidnosti ali invalidskih pokojninah, povezanih z delom.','Health.Occupational','Health',25,3406,3909,'poklicno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',303),(4335,'Kakovost in dostopnost storitev, opreme in osebja v zdravstveni oskrbi. Ekonomija zdravstvene oskrbe in politične odločitve ter načela na državni, regionalni ali lokalni ravni glede zdravstvene oskrbe. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Health.HealthCareServicesAndPolicies','Health',17,3398,3905,'storitve in politike zdravstvene oskrbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',303),(4336,'Podatki, povezani z različnimi vidiki življenja v skupnosti oziroma v mestnih in podeželskih območjih. Mnenja o in podobe sosesk oziroma mestnih ali podeželskih območij. Storitve, zmogljivosti in poslovne priložnosti v soseskah.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,3465,3853,'skupnost, mestno in podeželsko življenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',303),(4337,'Podatki o stališčih do političnih strank, političnem vključevanju in udeležbi v političnem procesu, glasovanju in zadovoljstvu z vlado. Uporabite vsebinsko področje \"Politična ideologija\" za podatke o posameznih doktrinah.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,3434,3882,'politično vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',303),(4338,'','Politics',NULL,52,3433,3917,'POLITIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',303),(4339,'','Economics',NULL,4,3385,3866,'GOSPODARSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',303),(4340,'Podatki o industriji in podjetjih, kot so upravljanje, produktivnost, rast in nazadovanje, organizacijska struktura, uprava, naložbe v raziskave in razvoj, trgi in tržni deleži.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,3469,3913,'poslovno/industrijsko upravljanje in organizacija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',303),(4341,'Vključuje vse vrste prevoza blaga, kot so dnevni prevozi, javni prevozi (vlaki, avtobusi, podzemna železnica itd.) in omrežja mestnega prometa. Podatki o mobilnostnih navadah, na primer čezmejni nakupi, uporabljene poti in sredstva za dostop do lokacije. Uporabite vsebinsko področje \"Prosti čas, turizem in šport\" za potovanja v prostem času.','TransportAndTravel',NULL,91,3472,3884,'TRANSPORT, POTOVANJE IN MOBILNOST','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',303),(4342,'Reproduktivni proces, funkcija ali sistem v kateri koli življenjski dobi. Vključuje podatke o nosečnosti, porodu, načrtovanju družine, kontracepciji in splavu, menopavzi.','Health.Reproductive','Health',24,3405,3846,'reproduktivno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',303),(4343,'V primeru zgodovinskih podatkov uporabite to področje kot tudi ustrezno vsebinsko področje vaših podatkov. Na primer, \"Delovne razmere\" in \"Storitve in politike zdravstvene oskrbe\" ter ZGODOVINA za podatke o delovnem okolju družinskih zdravnikov v šestdesetih letih prejšnjega stoletja. Glavno področje \"Zgodovina\" se lahko uporablja samostojno samo v primerih, ko ni mogoče najti nobenega drugega primernega vsebinskega področja.','History',NULL,27,3408,3875,'ZGODOVINA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',303),(4344,'Izmenjava kapitala, blaga ali storitev preko mednarodnih meja.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,3471,3903,'zunanja trgovina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',303),(4345,'Vprašanja, ali imajo vsi posamezniki ali skupine posameznikov enak status in priložnosti v družbi. Enakost se lahko preučuje na primer z vidika izobraževanja, (finančnega) premoženja ali dohodka, poklicnega položaja, moči, prestiža, pogojev dela in prostega časa, dostopa do storitev in družbenih odnosov. Marginalizacija in socialna izključenost sta lahko posledica sistematične prikrajšanosti na številnih področjih življenja, kjer so ljudje prikrajšani za pravice, priložnosti, vire in vključevanje v družbo.\n Primeri podatkov: statistika enakosti dohodkov; zaznana diskriminacija skupin (npr. tujcev, brezdomcev, prosilcev za azil); zaznane razlike med moškimi in ženskami glede možnosti za prevzem vodilnih vlog v politiki; vpliv brezposelnosti staršev na otrokovo izobraževalno raven in družbena omrežja.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,3445,3931,'enakost, neenakost in družbena izključenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',303),(4346,'Obvezno izobraževanje se nanaša na obdobje izobraževanja, ki se zahteva od vseh oseb, ki živijo v državi, in je določeno z zakonom. Predšolska vzgoja se nanaša na formalno varstvo otrok in izobraževanje pred vstopom v obvezno izobraževanje. To vsebinsko področje uporabite za indeksiranje podatkov o predšolskih, osnovnošolskih in nižjih srednješolskih stopnjah izobraževanja, ne glede na to, ali se podatki osredotočajo na učence, učitelje, poučevane predmete ali veščine, opremo itd.','Education.CompulsoryAndPreschool','Education',11,3392,3877,'obvezno in predšolsko izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',303),(4347,'Uporabite, če je vsebinsko področje znano, a ga ne najdete na seznamu.','Other',NULL,92,3473,3849,'DRUGO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',303),(4348,'','MediaCommunicationAndLanguage',NULL,42,3423,3916,'MEDIJI, KOMUNICIRANJE IN JEZIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',303),(4349,'','LabourAndEmployment',NULL,31,3412,3873,'DELO IN ZAPOSLOVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',303),(4350,'Ukrepi, sprejeti za izboljšanje ali ohranjanje podobe posameznikov, podjetij, organizacij in vlad, na primer s pomočjo oglaševanja, lobiranja itd.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,3425,3919,'odnosi z javnostmi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',303),(4351,'Raziskave splošnega počutja ali zdravstvenega stanja posameznikov, skupin ali prebivalstva. Lahko se objektivno meri/opazuje ali pa o njem poroča posameznik. Dobro počutje vključuje, na primer, telesno in duševno zmogljivost ali stanje, pa tudi socialno državo.','Health.GeneralHealthAndWellbeing','Health',22,3403,3906,'splošno zdravstvo in počutje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',303),(4352,'Programi, namenjeni pridobivanju znanja, spretnosti in kompetenc, potrebnih za določen poklic, določeno obrt ali skupino poklicev oziroma obrti. Poklicno izobraževanje lahko vključuje tudi delovno prakso. Pokriva poklicno izobraževanje na ravni ISCED 3-4 in vajeništvo. Vključuje podatke o dijakih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.VocationalAndTraining','Education',13,3394,3851,'poklicno izobraževanje in usposabljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',303),(4353,'Podatki o kriminalu, preprečevanju kriminala, žrtvah kaznivih dejanj, zločincih, pa tudi o policiji, tajni službi, prevzgojnih zavodih (npr. zaporih, prevzgojnih zavodih za mladino), mejni kontroli in carini. Vključuje tudi podatke o osebju in zmogljivostih teh ustanov.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,3422,3863,'kriminal in uveljavljanje zakonov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',303),(4354,'Rekreativne, prostočasne dejavnosti in hobiji. Vključuje spremljanje športov, tekmovalne športe in potovanja v prostem času. Za podatke o vzdrževanju telesne kondicije uporabite vsebinsko področje »Skrb za zdravje«.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,3463,3915,'prosti čas, turizem in šport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',303),(4355,'Raziskave nenormalnih anatomskih ali fizioloških razmer ter objektivnih ali subjektivnih pojavnosti bolezni/simptomov, ki niso razvrščeni kot bolezen ali sindrom (v tem primeru bi uporabili izraz \"Posebne bolezni, motnje ali zdravstvene razmere\"). Vključuje klinične pojavnosti, ki so lahko objektivne, če jih opazuje zdravstveni delavec, ali subjektivne, ko jih zazna posameznik sam. Npr. bolečina, driska, izpuščaj, neenakost dolžine nog, nespečnost, škripanje z zobmi, vnetje, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',19,3400,3841,'znaki in simptomi; patološki pogoji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',303),(4356,'Globalno upravljanje, diplomacija, zunanja politika, odnosi med državami, mednarodne organizacije (npr. EU, SZO, ZN, STO) in mednarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',57,3438,3861,'mednarodna politika in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',303),(4357,'','Education',NULL,10,3391,3862,'IZOBRAŽEVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',303),(4358,'Notranja in mednarodna varnost; notranji in mednarodni konflikti; vojna in mir; državna obramba in obrambne sile (vojska). Upoštevajte, da policijo pokriva vsebinsko področje \"Kriminal in uveljavljanje zakonov\".','Politics.ConflictSecurityAndPeace','Politics',58,3439,3856,'spori, varnost in mir','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',303),(4359,'Podatki, ki obravnavajo vprašanja verskega vedenja, verskih gibanj, duhovnosti, morale in drugih vrednot.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,3464,3883,'vera in vrednote','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',303),(4360,'Zajema vprašanja uničevanja okolja, onesnaževanja, varstva okolja, podnebnih sprememb, preprečevanja poplav, erozije tal.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,3429,3902,'okolje in varstvo okolja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',303),(4361,'Podatki o družbenem vedenju; družbenih interakcijah in omrežjih; o družbeni odgovornosti; o družbenih normah in pravilih; in o stališčih do teh vprašanj.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,3459,3892,'družbeno vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',303),(4362,'Nezgode in poškodbe, tako telesne kot psihične, ki jih povzročijo nesreče ali nasilje (agresivno vedenje posameznikov ali skupin). Za nezgode ali poškodbe, povezane z delom, uporabite vsebinsko področje »Poklicno zdravje«.','Health.WoundsAndInjuries','Health',20,3401,3885,'nezgode in poškodbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',303),(4363,'Nanaša se na priložnosti za izobraževanje v različnih oblikah, namenjenih odraslim, po tem ko zapustijo formalni sistem izobraževanja. Odrasli se lahko vključijo v takšna izobraževanja, na primer, da izboljšajo svoje spretnosti ali znanja, da se usposobijo za novo obliko dela ali se naučijo nečesa novega. Ne vključuje izobraževanja, ki vodi do pridobitve kvalifikacij, ali usposabljanja zaposlenih.','Education.LifelongContinuing','Education',14,3395,3860,'vseživljenjsko/stalno izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',303),(4364,'Podatki o stopnji zaposlenosti in statistiki zaposlenih, trgu dela, prostih delovnih mestih, iskanju zaposlitve, značilnostih dela, zaposlovanju določenih skupin (npr. zaposlovanje mladih ali manjšin), zavodih za zaposlovanje, karieri. Za plačilo in nadomestilo uporabite vsebinsko področje \"Delovne razmere\".','LabourAndEmployment.Employment','LabourAndEmployment',32,3413,3904,'zaposlovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',303),(4365,'Ideje, ideali in teorije o tem, kako je mogoče organizirati vlade in družbe. Med večje politične ideologije uvrščamo anarhizem, demokracijo, liberalizem, konservativizem itd.','Politics.PoliticalIdeology','Politics',55,3436,3854,'politična ideologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',303),(4366,'Preprečevanje in nadzor bolezni in invalidnosti ter spodbujanje telesnega in duševnega zdravja prebivalstva na mednarodni, nacionalni, državni ali občinski ravni. Na primer, spodbujanje zdravja, preprečevanje bolezni, vpliv programov javnega zdravja, upravljanje lokalnih, nacionalnih ali globalnih zdravstvenih vprašanj, epidemiologija bolezni ali stanja, patogeni ali izbruh bolezni.','Health.Public','Health',23,3404,3907,'javno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',303),(4367,'Razmere, v katerih zaposleni delajo. Na primer, vrste pogodb, delovni čas (delovne ure, čas počitka, urniki dela, nadure), plačila, fizični vidiki in psihične zahteve dela, pravice in odgovornosti zaposlenih, delovne obremenitve, sodelovanje zaposlenih pri odločanju, pravice do dopusta, fizično okolje. Pri vprašanjih varnosti na delovnem mestu uporabite tudi vsebinsko področje »Poklicno zdravje«.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,3418,3893,'delovne razmere/konflikti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',303),(4368,'Podatki o spremembah v družbi, vključno s spremembami stališč.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,3467,3923,'družbene spremembe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',303),(4370,'Aktivna ali pasivna udeležba v kakršni koli kulturni dejavnosti, vključno z mnenji in zaznavanjem kulturnih dejavnosti.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,3461,3864,'kulturne dejavnosti in sodelovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',303),(4371,'Ustvarjanje, razširjanje, uporaba, integracija in manipulacija informacij kot pomembna gospodarska, politična in kulturna dejavnost. Na primer, podatki, ki se nanašajo na elektronsko poslovanje, e-upravo, družbene medije, mobilne naprave, dostop in uporabo interneta, e-zasebnost, informacijske in knjižnične vire. Uporabite vsebinsko področje \"Informacijska tehnologija\", ko govorite o dejanskih tehnologijah.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,3426,3865,'informacijska družba','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',303),(4372,'Vključuje vse vzorce upokojevanja, kot so \"postopna\" ali \"prilagodljiva\" upokojitev, podatke o upokojitveni starosti in predčasnih upokojitvah.','LabourAndEmployment.Retirement','LabourAndEmployment',34,3415,3874,'upokojevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',303),(4373,'','ScienceAndTechnology',NULL,60,3441,3858,'ZNANOST IN TEHNIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',303),(4374,'Na primer podatki o tem, koliko ljudje uporabljajo posebne socialne storitve, mnenja o ustreznosti, dostopnosti in razpoložljivosti določenih storitev ter splošno zadovoljstvo z njimi. Na primer vprašanja o tem, katere storitve so uporabili starejši anketiranci ali statistika uporabe določenih storitev.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,3457,3927,'posebne socialne storitve: uporaba in zagotavljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',303),(4375,'Informacijske in komunikacijske tehnologije, ki se uporabljajo na domu, delovnem mestu in drugje v skupnosti. Upoštevajte, da uporabo in vpliv teh tehnologij pokriva vsebinsko področje \"Informacijska družba\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,3442,3920,'informacijska tehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',303),(4376,'Uporabite to vsebinsko področje za raziskave o kmetijski proizvodnji in vseh kmetijskih panogah, ki vključujejo, na primer, ribištvo in gozdarstvo.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,3470,3921,'kmetijstvo in podeželska industrija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',303),(4377,'Naravni viri so dobrine, kot so zemljišča, gozdovi, energetski viri, voda, minerali, ki se nahajajo v naravi in se lahko uporabljajo za gospodarsko proizvodnjo ali potrošnjo. Energetski viri vključujejo fosilna goriva, kot so nafta, zemeljski plin ali premog, pa tudi jedrske, sončne, vodne in veterne vire ali vire živih organizmov, ki jih je mogoče zamenjati.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,3430,3908,'energija in naravni viri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',303),(4378,'Podatki o mednarodni ali državni zakonodaji, upravnih predpisih, pravosodnem sistemu (pristojnosti in dejavnosti sodišč), alternativnem reševanju sporov in poravnalnih pravicah, kaznovanju.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,3421,3929,'zakonodaja in pravni sistemi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',303),(4379,'Gospodarski kazalniki nakazujejo smer gospodarstva in vključujejo na primer stopnjo rasti BDP, zaposlovanje, inflacijo in obrestno mero, dejavnost potrošnikov in vlagateljev, zadolženost gospodinjstev. Vsebinsko področje se uporablja tudi za podatke o gospodarskih razmerah posameznikov in gospodinjstev, zbranih na podlagi anket ali registrov.','Economics.EconomicConditionsAndIndicators','Economics',5,3386,3932,'gospodarske razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',303),(4380,'Pokriva krajine in elemente zemljišč, ki jih ljudje niso neposredno spremenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,3432,3901,'naravne krajine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',303),(4381,'','Demography',NULL,0,3381,3857,'DEMOGRAFIJA (PREBIVALSTVO, STATISTIKA PREBIVALSTVA IN POPISI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',303),(4382,'','Health',NULL,16,3397,3925,'ZDRAVSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',303),(4383,'Vprašanja, povezana z obstojem, vlogami in vplivom elit v družbi, to so posamezniki ali skupine, ki imajo veliko moči ali vpliva na družbo, politiko, bogastvo itd., bodisi z odločitvami, ki jih sprejemajo bodisi, na primer, z idejami ali čustvi, ki jih izražajo ali zastopajo. Vključuje vprašanja, ki se nanašajo na vplivne ljudi na vseh področjih družbe, na primer na odločevalce v političnem življenju, voditelje političnih strank, vplivne umetnike, vidne predstavnike množičnih ali družbenih medijev itd.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,3453,3924,'elite in vodstvo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',303),(4384,'Uporabite za raziskave kapitalističnih, socialističnih in drugih ekonomskih sistemov ter za raziskave, na primer mednarodnih razvojnih programov.','Economics.SystemsAndDevelopment','Economics',9,3390,3878,'gospodarski sistemi in razvoj','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',303),(4385,'Notranja usposabljanja v podjetjih in druga usposabljanja zaposlenih, ki jih financira delodajalec z namenom povečanja spretnosti in kompetenc zaposlenih. Ne vključuje vajeništva, ki je vključeno v \"Poklicno izobraževanje in usposabljanje\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,3416,3848,'usposabljanje zaposlenih','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',303),(4387,'','HousingAndLandUse',NULL,28,3409,3899,'BIVALNE RAZMERE IN NAČRTOVANJE RABE PROSTORA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',303),(4388,'Obolevnost se nanaša na pojav bolezni na populaciji. Podatki lahko pokrivajo stopnjo pojavnosti ali obolevnosti določenega zdravstvenega stanja. Na primer število ljudi, obolelih za pljučnim rakom v državi ali na nekem geografskem območju v določenem letu. Podatki o smrtnosti kažejo število smrti v populaciji glede na kraj, čas, vzrok smrti ali značilnosti posameznika itd. Na primer, smrtnost porodnic, smrtnost otrok. Upoštevajte, da se podatki o boleznih in zdravstvenih stanjih, o katerih posamezniki sami poročajo, indeksirajo znotraj vsebinskega področja v hierarhiji \"ZDRAVJE\".','Demography.MorbidityAndMortality','Demography',3,3382,3926,'obolevnost in smrtnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',303),(4389,'Vključuje raziskave, ki merijo stanovanjski standard v skupnosti, vključno z neprofitnimi stanovanji ter razpoložljivostjo in ceno nastanitev. Stanovanja vključujejo domove, druge domove in počitniške domove.','HousingAndLandUse.Housing','HousingAndLandUse',29,3410,3855,'bivalne razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',303),(4390,'Morda bo potrebna dodatna tema, če so otroci proučevani s posebnega vidika.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,3451,3869,'otroci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',303),(4391,'Uporaba biomolekularnih in celičnih procesov za ustvarjanje novih izdelkov in tehnoloških procesov.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,3443,3912,'biotehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',303),(4392,'','SocialWelfarePolicyAndSystems',NULL,73,3454,3880,'POLITIKA IN SISTEMI DRUŽBENE BLAGINJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',303),(4393,'Zdravljenje bolezni ali postopek oziroma postopki za preprečevanje bolezni. Nega bolnikov na individualni ravni. Raziskave o zdravilih in zdravljenju bolezni. Podatki o, na primer, kirurških posegih, rehabilitaciji, posvetovanju z zdravnikom, fizikalni terapiji, kiropraktiki, oskrbi v bolnišnici ali na domu, psihoterapiji, preiskovalnih tehnikah, zdravilih.','Health.MedicationAndTreatment','Health',21,3402,3847,'zdravila in zdravljenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',303),(4394,'Odločitve in načela, sprejeta na državni, regionalni ali lokalni ravni glede družbene blaginje, financiranja in zagotavljanja, na primer, kdo je upravičen do določenih socialnih storitev in ugodnosti ter zakaj, kakšna je njihova raven in kdo lahko nudi storitve. Na primer, politika, da naj ostanejo ostareli ljudje v svojih domovih čim dlje; politika o dolžini trajanja nadomestila za brezposelnost. Uporabite tudi vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,3455,3910,'politika družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',303),(4395,'Podatki vključujejo jezikovne študije, jezikovne analize in sociolingvistiko ter podatke o jezikovnih politikah, jezikovnih spretnostih, jezikih, ki se govorijo na delu in doma, odnosih do jezikov manjšin itd.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,3427,3896,'jezik in jezikoslovje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',303),(4396,'','LawCrimeAndLegalSystems',NULL,39,3420,3844,'PRAVO, KRIMINAL IN PRAVNI SISTEMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',303),(4397,'Podatki o volitvah, referendumih, volilnih kampanjah, rezultatih volitev, kandidatih na volitvah, financiranju volitev itd.','Politics.Elections','Politics',54,3435,3898,'volitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',303),(4398,'Praktiske uddannelser, der er rettet mod et erhverv og designet til elever for at erhverve dem den viden, de færdigheder og kompetencer, som er specifik for en bestemt beskæftigelse eller et bestemt erhverv. Erhvervsuddannelse kan have arbejdsbaserede komponenter. Omfatter erhvervsuddannelse på ISCED-niveauer 3-4 og lærlingeuddannelser. Dette inkluderer følgende uddannelser i Danmark: Lærlinge- og erhvervsuddannelser såsom EUD, EUX, EGU, EUV, maritime uddannelser, samt professionsbachelor og erhvervsakademiuddannelser. Inkluderer data om studerende, lærere, fag eller underviste færdigheder, faciliteter mm.','Education.VocationalAndTraining','Education',13,3574,3851,'Erhvervsuddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',304),(4399,'Kan have brug for et ekstra emne, hvis ældre mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,3628,3850,'Ældre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',304),(4400,'Udveksling af kapital, varer eller tjenester på tværs af internationale grænser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,3649,3903,'Udenrigshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',304),(4401,'Anvend, hvis emnet er kendt, men ikke findes i listen.','Other',NULL,92,3651,3849,'ANDET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',304),(4402,'Behandling af sygdom eller procedure(r) for at forebygge den. Patientpleje på individuelt niveau. Forskning om medicinering og behandling af en sygdom. Data om, for eksempel, kirurgiske procedurer, rehabilitering, lægekonsultation, fysioterapi, muskuloskeletal manipulation, pleje på sygehus eller hjemme, psykoterapi, undersøgelsesteknikker, medicinering.','Health.MedicationAndTreatment','Health',21,3582,3847,'Medicinering og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',304),(4403,'Emner, der relaterer sig til den faktiske tilvejebringelse af social velfærd, hvem der i praksis leverer sociale velfærdsydelser og i hvilket omfang, hvordan de faktiske ydelser er struktureret. For eksempel, spørgsmål om, hvordan en lokal myndighed har organiseret ydelser for de ældre. ','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,3634,3900,'Sociale velfærdssystemer/strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',304),(4404,'Data om industri og forretning såsom ledelse, produktivitet, vækst og nedgang, organisationsstruktur, administration, investering i F&U, markeder og markedsandel. ','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,3647,3913,'Forretnings/industriel ledelse og organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',304),(4405,'','TradeIndustryAndMarkets',NULL,87,3646,3876,'HANDEL, INDUSTRI OG MARKEDER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',304),(4406,'Data relateret til forskellige aspekter af livet i lokalsamfundet eller i byområder og landdistrikter. Meninger om og billeder af nabolaget eller af byområder og landdistrikter. Tjenester, faciliteter og forretningsmuligheder i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,3643,3853,'Lokalsamfund, byliv og landligt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',304),(4407,'Forebyggelse og kontrol af sygdom og handicap og fremme af befolkningens fysiske og mentale sundhed på det internationale, nationale, statslige eller kommunale niveau. For eksempel sundhedsfremme, sygdomsforebyggelse, indvirkning af folkesundhedsprogrammer, håndtering af lokale, nationale og globale sundhedsproblemer, sygdomsepidemiologi, tilstand eller patogen eller sygdomsudbrud.','Health.Public','Health',23,3584,3907,'Folkesundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',304),(4408,'Obligatorisk uddannelse refererer til den uddannelsesperiode, der kræves af alle personer, som bor i et land og er pålagt ved lov. Dagtilbud refererer til formel børnepasning og uddannelse, der gives forud for obligatorisk uddannelse. Anvend dette udtryk til indeksdata vedrørende dagtilbud og folkeskoleniveau, uanset om dataene fokuserer på studerende, lærere, fag eller underviste færdigheder mm. ','Education.CompulsoryAndPreschool','Education',11,3572,3877,'Obligatorisk undervisning og dagtilbud','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',304),(4409,'Data om international eller national lovgivning, administrative forskrifter, det juridiske system (domstoles magt og aktiviteter), alternativ konfliktløsning og genoprettende retfærdighed, straffe.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,3601,3929,'Lovgivning og retssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',304),(4410,'','Politics',NULL,52,3613,3917,'POLITIK ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',304),(4411,'Data om beskæftigelsespolitikker relateret til ansættelsesforhold, arbejdsmarkedet og lighed og diskrimination på arbejdspladsen; på nationalt niveau inkluderer politikker indflydelse på efterspørgslen og udbuddet af arbejdskraft og arbejdsmarkeders funktion. Anvend \'Lovgivning og retssystemer\' for lovgivning og forskrifter, der allerede er implementeret.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,3599,3852,'Arbejdsmarkeds- og beskæftigelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',304),(4412,'Global ledelse, diplomati, udenrigspolitik, relationer mellem lande, internationale organisationer (for eksempel EU, WHO, FN, WTO) og internationale aftaler.','Politics.InternationalPoliticsAndOrganisations','Politics',57,3617,3861,'International politik og organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',304),(4413,'Kan have brug for et ekstra emne, hvis unge mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,3627,3888,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',304),(4414,'','Health',NULL,16,3577,3925,'SUNDHED','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',304),(4415,'','SocietyAndCulture',NULL,77,3636,3886,'SAMFUND OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',304),(4416,'Diskussioner om politik og principper, samt beslutninger og principper vedtaget på nationalt, regionalt eller lokalt niveau vedrørende uddannelse og dens tilvejebringelse. Anvend ”Lovgivning og retssystemer” til love og foreskrifter, der allerede er implementeret.','Education.EducationalPolicy','Education',15,3576,3859,'Uddannelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',304),(4417,'','SocialWelfarePolicyAndSystems',NULL,73,3632,3880,'SOCIAL VELFÆRDSPOLITIK OG -SYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',304),(4418,'Inkluderer indvandring, udvandring, intern migration samt andre typer af geografisk mobilitet. Indvandring betyder at komme for at bosætte sig i et andet land end ens hjemland. Udvandring betyder at forlade et hjemland for at bosætte sig i et andet land. Migration er en parablybetegnelse for begge. Migration inkluderer også intern migration, dvs. bevægelse af personer inden for et land på forskellige geografiske niveauer.','Demography.Migration','Demography',2,3564,3894,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',304),(4419,'Aktiv eller passiv deltagelse i enhver form for kulturelle aktiviteter, såvel som holdninger og opfattelser af dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,3639,3864,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',304),(4420,'Data om ændringer i samfundet, inklusiv holdningsændringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,3645,3923,'Social forandring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',304),(4421,'Undersøgelse af specifikke, diagnosticerede sygdomme, lidelser eller syndromer (ofte klassificerede i ICD-10 eller dets tidligere versioner). For eksempel medicinsk forskning om årsagerne til diabetes eller undersøgelse af den fysiske eller mentale helbredelse af personer, der har haft hjerteoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,3579,3840,'Specifikke sygdomme, lidelser og medicinske tilstande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',304),(4422,'Naturressourcer er aktiver såsom land, skove, energikilder, vand, mineraler, der eksisterer naturligt og kan anvendes til økonomisk produktion eller forbrug. Energiressourcer inkluderer fossile brændstoffer såsom olie, naturgas eller kul, såvel som atomkraft, solenergi, tidevand og vind eller fra levende organismer, der kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,3610,3908,'Energi og naturrressourcer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',304),(4423,'Inkluderer undersøgelser, der måler boligstandarden i et samfund, inklusiv alment boligbyggeri, samt tilgængelighed og prisfastsættelse af boliger. Bolig inkluderer hjem, fritidsboliger og ferieboliger.','HousingAndLandUse.Housing','HousingAndLandUse',29,3590,3855,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',304),(4424,'Bevægelse af personer, familier eller grupper af individer i social og erhvervsmæssig status over tid. Bevægelsen kan være vandret, dvs. ændring i position inden for samme status eller lodret, hvor personer kan bevæge sig opad eller nedad i statushierarkiet. For eksempel kan arbejdere i faldende industrier blive arbejdere i en anden industri (vandret erhvervsmæssig mobilitet), eller børn i fattige familier kan nå en højere social klasse end deres forældre (lodret social mobilitet mellem generationer).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,3624,3843,'Social- og erhvervsmobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',304),(4425,'Emner om, hvorvidt alle personer og grupper af individer har samme status og muligheder i samfundet. Lighed kan for eksempel studeres med hensyn til uddannelse, (finansielle) aktiver eller indkomst, jobposition, magt, prestige, arbejdsforhold og fritid, adgang til ydelser og sociale relationer. Marginalisering og social udstødelse kan være resultatet af systematiske ulemper på flere områder i livet, og berørte personer kan være frataget rettigheder, muligheder, ressourcer og sociale integration. Eksempler på data: statistik om indkomstlighed; opfattet gruppefokuseret diskrimination (for eksempel mod udlændinge, de hjemløse, asylansøgere); opfattede forskelle mellem mænd og kvinder vedrørende muligheder for lederroller i politik; indvirkning af forældrearbejdsløshed på børns uddannelsesniveau og sociale netværk.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,3623,3931,'Lighed, ulighed og social udstødelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',304),(4426,'Kan have brug for et ekstra emne, hvis børn studeres fra en bestemt side.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,3629,3869,'Børn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',304),(4427,'Inkluderer alle typer af godstransport såvel som pendling, offentlig transport (tog, busser, undergrund mm.) og transportnetværk i by. Data om mobilitetsvaner, for eksempel, grænsehandel, ruter og midler, der anvendes til at få adgang til en lokation. Anvend begrebet \'Fritid, turisme og sport\' til fritidsrejse. ','TransportAndTravel',NULL,91,3650,3884,'TRANSPORT OG REJSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',304),(4428,'','ScienceAndTechnology',NULL,60,3620,3858,'VIDENSKAB OG TEKNOLOGI ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',304),(4429,'Intern og international sikkerhed og tryghed; interne og internationale konflikter; krig og fred; nationalt forsvar og forsvarsstyrker (militæret). Bemærk, at politiet er dækket af \'Kriminalitet og retshåndhævelse\'.','Politics.ConflictSecurityAndPeace','Politics',58,3618,3856,'Konflikt, sikkerhed og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',304),(4431,'Trufne beslutninger og principper, der er vedtaget på nationalt, regional eller lokalt plan vedrørende social velfærd, dets finansiering og levering, for eksempel, hvem er berettiget til hvilke former for sociale ydelser og fordele og hvorfor, hvad er deres niveau, og hvem kan levere ydelserne. For eksempel en politik, at ældre skal forblive i deres hjem så længe som muligt, en politik relateret til, hvor længe folk kan have en arbejdsløshedsunderstøttelse. Anvend også begrebet \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er indført.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,3633,3910,'Social velfærdsspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',304),(4432,'Data om arbejdsløshedstal og -statistik, beskæftigelsesprogrammer og -skemaer, varighed og hyppighed af arbejdsløshed, social og psykologisk indvirkning af arbejdsløshed mm.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,3594,3872,'Arbejdsløshed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',304),(4433,'Dækker alle aspekter af livskvaliteten og trivsel hos personer og samfund, såvel folks opfattelser heraf. Bemærk venligst ifølge det studerede aspekt, at begreberne \'Generel sundhed og trivsel\', \'Lighed, ulighed og social udstødelse\' og \'Økonomiske forhold og indikatorer\' mm. også kan være relevante. ','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,3638,3868,'Sociale forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',304),(4434,'Anvend til undersøgelser, der forsker i kapitalistiske, socialistiske og andre økonomiske systemer og til undersøgelser, for eksempel, om internationale udviklingsprogrammer.','Economics.SystemsAndDevelopment','Economics',9,3570,3878,'Økonomiske systemer og udvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',304),(4435,'Kønsidentitet; repræsentation af køn (for eksempel repræsentation af køn i beslutningstagende organer, i medier, i litteratur mm.); sociale, kulturelle and psykologiske træk forbundet med mænd og kvinder; kvindestudier; mandestudier; forventet adfærd og valg ifølge kønsroller og indvirkningen af sådanne forventninger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,3625,3891,'Køn og kønsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',304),(4436,'Oprettelsen, distributionen, anvendelsen, integrationen og manipulationen af information som en væsentlig økonomisk, politisk eller kulturel aktivitet. For eksempel data, der relaterer sig til e-handel, digital forvaltning, sociale medier, mobile enheder, adgang til og brug af internettet, e-privacy, information og biblioteksressourcer. Anvend \'Informationsteknologi\', når der tales om de faktiske teknologier. ','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,3606,3865,'Informationssamfund','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',304),(4438,'','Economics',NULL,4,3565,3866,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',304),(4439,'Sygelighed refererer til forekomst af dårligt helbred i en befolkning. Data kan dække forekomsten eller dødelighedsgraden af en medicinsk tilstand. For eksempel antallet af personer, der lider af lungekræft i et land eller et geografisk område i løbet af et år. Dødelighedsdata angiver antallet af dødsfald i en population efter sted, tid, årsag eller individtype. For eksempel mødredødelighed, børnedødelighed. Bemærk, at selvrapporterende undersøgelsesdata om sygdomme og medicinske forhold er indekseret med SUNDHED hierarkiske begreber.','Demography.MorbidityAndMortality','Demography',3,3562,3926,'Sygelighed og dødelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',304),(4440,'','SocialStratificationAndGroupings',NULL,63,3622,3928,'SOCIAL STRATIFIKATION OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',304),(4441,'','Demography',NULL,0,3561,3857,'DEMOGRAFI (BEFOLKNING, VITAL STATISTIK OG FOLKETÆLLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',304),(4442,'Data, der refererer til enhver type af massemedier. For eksempel trykte eller online aviser, magasiner, TV og radioen. Bemærk, at sociale medier er indekseret med udtrykket \'Informationssamfund\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,3604,3911,'Medier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',304),(4443,'De betingelser, hvorunder medarbejdere arbejder. For eksempel kontrakttyper, arbejdstid (arbejdstimer, pauser, vagtplaner, overtidsarbejde), løn og vederlag, fysiske aspekter og mentale krav til arbejde, medarbejderrettigheder og -ansvar, arbejdsbyrde, medarbejderinvolvering i beslutningstagning, orlovsrettigheder, fysisk miljø. For spørgsmål om sikkerhed på arbejdspladsen, anvend også \'Sundhed på arbejdsplads\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,3598,3893,'Arbejdsvilkår','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',304),(4444,'','Psychology',NULL,59,3619,3879,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',304),(4446,'Undersøgelse af unormale anatomiske eller fysiologiske tilstande og objektive eller subjektive manifestationer af sygdom/symptomer, der ikke er klassificeret som sygdom eller syndrom (i hvilket tilfælde \'Specifikke sygdomme, lidelser og medicinske tilstande\' ville blive anvendt). Inkluderer kliniske manifestationer, der kan være objektive, når de observeres af en medicinsk professionel eller subjektive, når de opfattes af patienten. For eksempel smerte, diarré, udslæt, ulighed i benlængde, søvnløshed, skæren tænder, betændelse, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',19,3580,3841,'Tegn  og symptomer; patologiske lidelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',304),(4447,'Grupper af personer, der på en eller anden måde adskiller sig fra flertallet af populationen. Differentierende karakteristika inkluderer, for eksempel, etnicitet, religion, sundhed, seksuel orientering, første sprog (modersmål) og kultur. Bemærk, at du også kan anvende termer \'Lighed, ulighed og social udstødelse\' eller \'Sprog og lingvistik\' i forbindelse med nogle minoritetsspørgsmål.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,3630,3890,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',304),(4448,'Data om social adfærd; social interaktion og netværk; sociale ansvar; sociale normer og regler; og holdninger til disse spørgsmål.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,3637,3892,'Social adfærd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',304),(4449,'Data om partipolitiske holdninger, politisk engagement og deltagelse i den politiske proces, stemmeadfærd, tilfredshed med regering. Anvend \'Politisk ideologi\' til data om specifikke doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,3614,3882,'Politisk adfærd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',304),(4450,'','MediaCommunicationAndLanguage',NULL,42,3603,3916,'MEDIER, KOMMUNIKATION OG SPROG ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',304),(4451,'','LawCrimeAndLegalSystems',NULL,39,3600,3844,'LOV, KRIMINALITET OG RETSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',304),(4452,'Adspredelsesmønstre, fritidsaktiviteter og hobbyer. Inkluderer tilskuerrolle i sport, konkurrencesport og rejsefritid. For data om motion for at holde sig i form, anvend \'Sundhedsadfærd\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,3641,3915,'Fritid, turisme og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',304),(4453,'Anvend den passende, aktuelle term for historiske data såvel som hovedbegrebet her. For eksempel, \'Arbejdsvilkår\' og \'Sundhedsydelser og -politikker\' plus HISTORIE til data om arbejdsmiljøerne for familielæger i 1960’erne. Det historiske hovedbegreb skal kun anvendes alene i tilfælde, hvor der ikke findes noget aktuelt udtryk.','History',NULL,27,3588,3875,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',304),(4454,'Omfatter emner om miljøforringelse, forurening, miljøbeskyttelse, klimaforandringer, forebyggelse af oversvømmelse, jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,3609,3902,'Miljø og bevaring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',304),(4456,'Data om mængden af tid brugt af befolkningen på forskellige aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,3644,3867,'Forbrug af tid','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',304),(4457,'Idéer, idealer og teorier om måderne, hvorpå regeringer og samfund kan organiseres. Store politiske ideologier inkluderer anarkisme, demokrati, liberalisme, konservatisme mm.','Politics.PoliticalIdeology','Politics',55,3615,3854,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',304),(4458,'Emner relateret til eksistensen, rollerne og effekten af eliter i samfundet, dvs., personer eller grupper der har en stor grad af magt eller indflydelse på samfundet, politik, velstand mm., enten gennem beslutninger, de træffer, eller for eksempel, gennem idéer og følelser, som de udtrykker eller repræsenterer. Inkluderer emner relateret til indflydelsesrige folk i alle samfundssfærer, for eksempel, beslutningstagere i det politiske liv, politisk partiledere, indflydelsesrige kunstnere, fremtrædende figurer i massemedier eller på sociale medier mm.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,3631,3924,'Eliter og lederskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',304),(4459,'Omfatter husdyr, produktion eller vilde dyr, samt alle typer af planter (for eksempel blomster, træer, mos, grøntsager).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,3611,3842,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',304),(4460,'Dækker landskaber og elementer af land, der ikke er blevet direkte ændret af mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,3612,3901,'Naturlige landskaber','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',304),(4461,'Omfatter problemer relateret til familier, slægtninge, generationer og husstandssammensætning. For eksempel data om børneopdragelse, arbejdsfordeling inden for familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,3626,3845,'Familieliv og ægteskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',304),(4462,'For eksempel data om, i hvilket omfang folk bruger specifikke sociale ydelser, holdninger til tilstrækkeligheden og tilgængeligheden af specifikke ydelser og generel tilfredshed med dem. For eksempel spørgsmål om, hvilke ydelser ældre respondenter har brugt eller brugsstatistik om bestemte ydelser.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,3635,3927,'Specifikke sociale ydelser: Brug og tilgængelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',304),(4463,'Kvalitet og tilgængelighed af tjenester, tilhørende faciliteter og personale inden for sundhedsvæsenet. Sundhedsøkonomi og politiske beslutninger og principper på nationalt, regionalt eller lokalt niveau vedrørende sundhedspleje. Anvend \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er implementeret.','Health.HealthCareServicesAndPolicies','Health',17,3578,3905,'Sundhedsydelser og -politikker','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',304),(4464,'Relationer mellem arbejdsgivere og medarbejdere.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,3597,3887,'Arbejdsforhold/konflikt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',304),(4465,'','LabourAndEmployment',NULL,31,3592,3873,'ARBEJDSKRAFT OG BESKÆFTIGELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',304),(4466,'Data om kriminalitet, kriminalitetsforebyggelse, ofre for kriminalitet, kriminelle, såvel som politiet, efterretningstjeneste, korrektionsanstalter (for eksempel fængsler, korrektionsanstalter for unge), grænsekontrol og told. Inkluderer også data om disse agenturers personale og faciliteter.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,3602,3863,'Kriminalitet og retshåndhævelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',304),(4467,'Data inkluderer undersøgelser i lingvistik, lingvistisk analyse og sociolingvistik, såvel som data om sprogpolitik, folks sprogfærdigheder, sprog talt på arbejde og hjemme, holdninger til minoritetssprog mm.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,3607,3896,'Sprog og lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',304),(4468,'Inkluderer både arealanvendelse og planlægning af arealanvendelse. Planlægning af arealanvendelse vedrører procedurer udført for at sikre en optimal og bæredygtig udnyttelse af jordressourcer i landdistrikter og bysamfund.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,3591,3870,'Arealanvendelse og planlægning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',304),(4469,'Henviser til det at erhverve eller/og anvende noget til at imødekomme en persons, fællesskabs eller samfunds behov og ønsker. Data i denne kategori inkluderer mønstre af forbrugeradfærd, ændringer i dem og undersøgelse af forbrugeretik. For eksempel undersøgelsesdata om, hvor ofte folk køber visse varer; hvornår og hvor de handler; hvorvidt etiske overvejelser påvirker deres forbrugsvalg.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,3567,3918,'Forbrug og forbrugeradfærd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',304),(4470,'Omfatter almen uddannelse på ISCED-niveauer 3-4 plus tertiær uddannelse, dvs. almen gymnasieuddannelse og kollegium, universitet for anvendt videnskab og universitetsuddannelse. Inkluderer data om studerende, undervisere, fag eller underviste færdigheder, faciliteter mm.','Education.HigherAndFurther','Education',12,3573,3922,'Ungdomsuddanelse og videregående uddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',304),(4471,'','HousingAndLandUse',NULL,28,3589,3899,'BOLIG OG AREALANVENDELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',304),(4472,'Data, der adresserer spørgsmål om religiøs adfærd, religiøse bevægelser, spiritualitet, moralitet og andre værdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,3642,3883,'Religion og værdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',304),(4473,'','Education',NULL,10,3571,3862,'UDDANNELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',304),(4475,'Data om identitetsdannelse, hvem folk føler, de er, og hvor de hører til. Forholdet mellem kulturel og national identitet til repræsentation og at klassificere en anden som ”ikke en af os” (Andetgørelse). Vaner og manerer om og holdninger til egen opfattede og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,3640,3914,'Kulturel og national identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',304),(4476,'Data om beskæftigelsestal og -statistik, arbejdsmarked, ledige stillinger, jobsøgning, jobkarakteristika, beskæftigelse for bestemte grupper (for eksempel ungdoms- eller minoritetsbeskæftigelse), beskæftigelsestjenester, karriere. For løn og vederlag, anvend \'Arbejdsvilkår\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,3593,3904,'Beskæftigelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',304),(4477,'Undersøgelse af den generelle trivsel eller sundhedstilstand hos et individ, en gruppe eller population. Kan måles/observeres eller opfattes objektivt. Trivsel inkluderer, for eksempel, fysisk og mental kapacitet eller tilstand, samt social tilstand.','Health.GeneralHealthAndWellbeing','Health',22,3583,3906,'Generel sundhed og trivsel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',304),(4478,'Informations- og kommunikationsteknologier, der bruges i hjemmet, på arbejdspladsen og andre rammer for fællesskab. Bemærk, at brugen og indvirkningen af disse teknologier er dækket af \'Informationssamfund\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,3621,3920,'Informationsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',304),(4479,'Sår og skader, bade fysiske og psykiske, forårsaget enten af ulykker eller vold (gennem individuel eller aggressiv gruppeadfærd). Hvis arbejdsrelaterede sår eller skader, anvend \'Sundhed på arbejdsplads\'.','Health.WoundsAndInjuries','Health',20,3581,3885,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',304),(4480,'Anvend denne kategori i undersøgelser om landbrugsproduktion og alle landlige industrier, der inkluderer, for eksempel, fiskeri og skovbrug.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,3648,3921,'Landbrug og landlig industri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',304),(4481,'Inkluderer alle mønstre af pensionering som ”nedtrapning” eller ”fleksibel” pension, data om pensionsalder og tidlig pension.','LabourAndEmployment.Retirement','LabourAndEmployment',34,3595,3874,'Pensionering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',304),(4482,'','NaturalEnvironment',NULL,47,3608,3889,'NATURLIGT MILJØ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',304),(4483,'Foranstaltninger, der er vedtaget for at forbedre eller opretholde image hos personer, virksomheder, organisationer og regeringer for eksempel ved reklametiltag, lobbyvirksomhed etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,3605,3919,'Offentlige relationer (PR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',304),(4484,'Brug af biomolekylære og cellulære processer til at skabe nye produkter og teknologiske processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,3653,3912,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',304),(4485,'Økonomiske indikatorer angiver, i hvilken retning en økonomi bevæger sig og inkluderer, for eksempel, vækst i bruttonationalproduktet (BNP), beskæftigelse, inflation og rentesats, forbruger- og investoraktivitet, husholdningsgæld. Dette er også anvendt for enkeltpersoners og husholdningers økonomiske forhold, der er undersøgt eller registreret.','Economics.EconomicConditionsAndIndicators','Economics',5,3566,3932,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',304),(4486,'Henviser til uddannelsesmuligheder i forskellige former for voksne, efter de har forladt det formelle uddannelsessystem. Voksne kan deltage i en sådan uddannelse, for eksempel, for at forbedre deres færdigheder eller kvalifikationer, at omskole sig til nyt arbejde eller bare for at lære noget nyt. Inkluderer generelt ikke opkvalificering eller efteruddannelse af medarbejdere.','Education.LifelongContinuing','Education',14,3575,3860,'Livslang uddannelse/efteruddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',304),(4487,'Data om valg, folkeafstemninger, valgkampagner, valgresultater, valgkandidater, kandidatvælgere, valgstøtte mm.','Politics.Elections','Politics',54,3652,3898,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',304),(4488,'Intern erhvervstræning og anden medarbejderuddannelse finansieret af arbejdsgiver for at øge medarbejderfærdigheder og -kompetence. Inkluderer ikke lærlingeuddannelser, der er inkluderet i \'Erhvervsuddannelse\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,3596,3848,'Medarbejderuddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',304),(4489,'Data om erhvervsmæssige eksponeringer og sygdomme, arbejdssikkerhed, sygeorlov, arbejdsevne- eller handicap eller arbejdsrelateret invalidepension.','Health.Occupational','Health',25,3586,3909,'Sundhed på arbejdsplads','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',304),(4490,'Reproduktionsproces, funktion eller system på ethvert stadium i livet. Inkluderer data om graviditet, fødsel, familieplanlægning, prævention og abort, overgangsalder. ','Health.Reproductive','Health',24,3585,3846,'Reproduktiv sundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',304),(4494,'The official name is US-ASCII but use the format: ASCII. The ISO code for ASCII is ISO 14962.','ASCII',NULL,0,NULL,NULL,'ASCII','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ASCII',274),(4495,'For ISO standards, use format: ISO-n-n in Caption and ISOnn in Code. ISO standards are also known as Latin, for example, ISO-8859-1 as Latin1.','ISO88591',NULL,1,NULL,NULL,'ISO-8859-1','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88591',274),(4496,'','ISO88592',NULL,2,NULL,NULL,'ISO-8859-2','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88592',274),(4497,'','ISO88593',NULL,3,NULL,NULL,'ISO-8859-3','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88593',274),(4498,'','ISO88594',NULL,4,NULL,NULL,'ISO-8859-4','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88594',274),(4499,'','ISO88595',NULL,5,NULL,NULL,'ISO-8859-5','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88595',274),(4500,'','ISO88596',NULL,6,NULL,NULL,'ISO-8859-6','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88596',274),(4501,'','ISO88597',NULL,7,NULL,NULL,'ISO-8859-7','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88597',274),(4502,'','ISO88598',NULL,8,NULL,NULL,'ISO-8859-8','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88598',274),(4503,'','ISO88599',NULL,9,NULL,NULL,'ISO-8859-9','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO88599',274),(4504,'','ISO885910',NULL,10,NULL,NULL,'ISO-8859-10','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885910',274),(4505,'','ISO885911',NULL,11,NULL,NULL,'ISO-8859-11','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885911',274),(4506,'','ISO885913',NULL,12,NULL,NULL,'ISO-8859-13','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885913',274),(4507,'','ISO885914',NULL,13,NULL,NULL,'ISO-8859-14','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885914',274),(4508,'','ISO885915',NULL,14,NULL,NULL,'ISO-8859-15','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885915',274),(4509,'','ISO885916',NULL,15,NULL,NULL,'ISO-8859-16','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#ISO885916',274),(4510,'','MacOSRoman',NULL,16,NULL,NULL,'Mac OS Roman','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#MacOSRoman',274),(4511,'For Unicode Transformation Formats, use format: UTF-n in Caption and UTFn in Code.','UTF8',NULL,17,NULL,NULL,'UTF-8','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#UTF8',274),(4512,'','UTF16',NULL,18,NULL,NULL,'UTF-16','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#UTF16',274),(4513,'','UTF32',NULL,19,NULL,NULL,'UTF-32','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#UTF32',274),(4514,'For MS-Windows character sets, use format: Windows-n in Caption and Windowsn in Code.','Windows1251',NULL,20,NULL,NULL,'Windows-1251','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1251',274),(4515,'','Windows1252',NULL,21,NULL,NULL,'Windows-1252','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1252',274),(4516,'','Windows1253',NULL,22,NULL,NULL,'Windows-1253','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1253',274),(4517,'','Windows1254',NULL,23,NULL,NULL,'Windows-1254','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1254',274),(4518,'','Windows1255',NULL,24,NULL,NULL,'Windows-1255','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1255',274),(4519,'','Windows1256',NULL,25,NULL,NULL,'Windows-1256','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1256',274),(4520,'','Windows1257',NULL,26,NULL,NULL,'Windows-1257','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1257',274),(4521,'','Windows1258',NULL,27,NULL,NULL,'Windows-1258','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Windows1258',274),(4522,'Use if the character set is not known, for example for some proprietary data files.','Unspecified',NULL,28,NULL,NULL,'Unspecified','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Unspecified',274),(4523,'Use if the character set is known, but not found in the list.','Other',NULL,29,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html#Other',274),(4524,'Whole numbers,  the infinite set of integers, no minimum or maximum value.  An integer datatype corresponding to the W3C XML Schema\'s xs:integer datatype.','Integer',NULL,0,NULL,NULL,'Integer','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Integer',307),(4525,'Whole numbers in the range -2147483648 .. 2147483647. An integer datatype corresponding to the W3C XML Schema\'s xs:int datatype.','Int',NULL,1,NULL,NULL,'Int ','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Int',307),(4526,'Whole numbers in the range -9223372036854775808 .. 9223372036854775807. A numeric datatype corresponding to the W3C XML Schema\'s xs:long datatype.','Long',NULL,2,NULL,NULL,'Long','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Long',307),(4527,'Whole numbers in the range -32768 .. 32767. A numeric datatype corresponding to the W3C XML Schema\'s xs:short datatype.','Short',NULL,3,NULL,NULL,'Short','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Short',307),(4528,'A subset of real numbers, which can be represented by a finite-length sequence of decimal digits (0-9) separated by a period as a decimal indicator. An optional leading sign is allowed. If the sign is omitted, \"+\" is assumed. Leading and trailing zeroes are optional. If the fractional part is zero, the period and following zero(es) can be omitted. For example: -1.23, 12678967.543233, +100000.00, 210. A numeric datatype corresponding to the W3C XML Schema\'s xs:decimal datatype.','Decimal',NULL,4,NULL,NULL,'Decimal','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Decimal',307),(4529,'Single-precision 32-bit floating point type: The basic value space of float consists of the values m�2^e, where m is an integer whose absolute value is less than 2^24, and e is an integer between -149 and 104, inclusive. In addition, it also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for float. A numeric datatype corresponding to the W3C XML Schema\'s xs:float datatype.','Float',NULL,5,NULL,NULL,'Float','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Float',307),(4530,'Double-precision 64-bit floating point type. The basic value space of double consists of the values m�2^e, where m is an integer whose absolute value is less than 2^53, and e is an integer between -1075 and 970, inclusive. In addition to the basic value space described above, the value space of double also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for double. A numeric datatype corresponding to the W3C XML Schema\'s xs:double datatype.','Double',NULL,6,NULL,NULL,'Double','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Double',307),(4531,'Ordinal number of objects in a finite set, discrete. A simple incrementing Integer type. When using in DDI-L, the \"isSequence\" facet must be set to true, and the \"interval\" facet must be set to \"1\".','Count',NULL,7,NULL,NULL,'Count','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Count',307),(4532,'A value that increases continuously and infinitely by a given amount. Use of this term in DDI-L indicates that the value increases by the amount provided in the \"interval\" facet; the \"isSequence\" facet will be set to \"true\".','Incremental',NULL,8,NULL,NULL,'Incremental','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Incremental',307),(4533,'Use if the numeric type is known, but not found in the list.','Other',NULL,9,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html#Other',307),(4580,'En bruksenhet er et hus, en leilighet, et mobilt hjem (campingvogn), eller ett eller flere rom som er bebodd (eventuelt ledig, men som er ment å være bebodd), som adskilte enheter. Med adskilt menes det at personer bor og spiser uavhengig av andre personer i samme bruksenhet, og som har direkte tilgang til enheten utenfra, eller gjennom en felles inngang.','HousingUnit',NULL,5,1295,1171,'Bruksenhet',NULL,313),(4581,'Enhver enhet som romlig kan defineres som et geografisk område, med enten naturlige (fysiske) eller administrative grenser.','GeographicUnit',NULL,7,1297,1173,'Geografisk enhet',NULL,313),(4582,'Typer av hendelse, begivenhet eller aktivitet. Hendelser er som oftest enkeltstående med begrenset eller kort varighet. For eksempel: kriminell handling, opptøyer, møter, valg, idrettsbegivenheter, terroraksjoner, naturkatastrofer osv. Prosesser finner som regel sted over tid, og kan inkludere flere \'hendelser\' eller gradvise endringer som etterhvert fører til, eller er anslått å føre til, et bestemt resultat. For eksempel: rettsaker, kriminaletterforskning, politiske kampanjer, medisinsk behandling, utdanning, idrettsutøveres treninger etc.','EventOrProcess',NULL,6,1296,1172,'Hendelse/prosess',NULL,313),(4583,'Benytt hvis analyseenheten er kjent, men ikke finnes i listen.','Other',NULL,12,1302,1178,'Annet',NULL,313),(4584,'To eller flere personer som er i slekt gjennom blodsbånd, ekteskap (inkludert ste-relasjoner), adopsjon eller fosterfamilie, som bor eller ikke bor sammen. Brukes for eksempel når man forsker på i hvilken grad folk bistår med støtte og hjelp til slektninger.','Family',NULL,2,1293,1168,'Familie',NULL,313),(4585,'En individuell person, uavhengig av demografiske kjennetegn, yrkesmessig, sosial eller juridisk status, eller tilhørighet.','Individual',NULL,0,1291,1166,'Individ',NULL,313),(4586,'To eller flere personer som samles eller som har et forhold som forener dem.','Group',NULL,10,1300,1176,'Gruppe',NULL,313),(4587,'En person eller en gruppe av personer som har samme boligenhet og leveforhold. Disse felles leveforholdene kan inkludere at deler av, eller alt av inntekt og eiendom er felles, og at visse type varer og tjenester konsumeres i fellesskap, hovedsakelig bosted og mat (Eurostat).','Household',NULL,4,1303,1170,'Husholdning',NULL,313),(4589,'Et mer spesifikt begrep som kun referer til personer som bor i samme husholdning på et gitt tidspunkt. Om det ikke er kjent om analyseenheten er \'Familie\' eller \'Familiehusholdning\' skal begrepet \'Familie\' benyttes.','Family.HouseholdFamily','Family',3,1294,1169,'Familie: familiehusholdning',NULL,313),(4590,'Former for formelle administrative og funksjonelle strukturerer - inkluderer foreninger, institusjoner, foretak, bedrifter, politiske partier, skoler etc.','Organization',NULL,1,1292,1167,'Organisasjon',NULL,313),(4591,'Tidsperiode: år, uke, måned, dag, annenhver måned eller kvartal etc.','TimeUnit',NULL,8,1298,1174,'Tidsenhet',NULL,313),(4592,'Noe fysisk, men ikke levende som eksisterer som en uavhengig enhet og som kan oppfattes av sansene. For eksempel: kunst (malerier, skulpturer osv.), våpen, kjøretøy etc.','Object',NULL,11,1301,1177,'Objekt',NULL,313),(4632,'Baker Island, Howland Island (both uninhabited)','-12:00',NULL,0,NULL,NULL,'UTC- 12:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-12:00',317),(4633,'Samoa Standard Time (SST)','-11:00',NULL,1,NULL,NULL,'UTC- 11:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-11:00',317),(4634,'Hawaii Standard Time (HST)','-10:00',NULL,2,NULL,NULL,'UTC- 10:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-10:00',317),(4635,'Marquesas Time (MART)','-09:30',NULL,3,NULL,NULL,'UTC- 09:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-09:30',317),(4636,'Alaska Standard Time (AKST)','-09:00',NULL,4,NULL,NULL,'UTC- 09:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-09:00',317),(4637,'Pacific Standard Time (PST)','-08:00',NULL,5,NULL,NULL,'UTC- 08:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-08:00',317),(4638,'Mountain Standard Time (North America) (MST)','-07:00',NULL,6,NULL,NULL,'UTC- 07:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-07:00',317),(4639,'Central Standard Time (North and Central Americas) (CST)','-06:00',NULL,7,NULL,NULL,'UTC- 06:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-06:00',317),(4640,'Eastern Standard Time (North and Central Americas, Caribbean) (EST)','-05:00',NULL,8,NULL,NULL,'UTC- 05:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-05:00',317),(4641,'Venezuelan Standard Time (VET)','-04:30',NULL,9,NULL,NULL,'UTC- 04:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-04:30',317),(4642,'Atlantic Standard Time (North America, Caribbean) (AST)','-04:00',NULL,10,NULL,NULL,'UTC- 04:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-04:00',317),(4643,'Newfoundland Standard Time (NST)','-03:30',NULL,11,NULL,NULL,'UTC- 03:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-03:30',317),(4644,'West Greenland Time (WGT)','-03:00',NULL,12,NULL,NULL,'UTC- 03:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-03:00',317),(4645,'Fernando de Noronha Time (FNT)','-02:00',NULL,13,NULL,NULL,'UTC- 02:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-02:00',317),(4646,'Central African Time (CAT)','-01:00',NULL,14,NULL,NULL,'UTC- 01:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#-01:00',317),(4647,'Universal Coordinated Time (UTC) / Greenwich Mean Time (GMT)','00:00',NULL,15,NULL,NULL,'UTC','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#00:00',317),(4648,'European Central Time (ECT)','+01:00',NULL,16,NULL,NULL,'UTC + 01:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+01:00',317),(4649,'Eastern European Time (EET), (Arabic) Egypt Standard Time (ART)','+02:00',NULL,17,NULL,NULL,'UTC + 02:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+02:00',317),(4650,'Eastern African Time (EAT)','+03:00',NULL,18,NULL,NULL,'UTC + 03:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+03:00',317),(4651,'Middle East Time (MET)','+03:30',NULL,19,NULL,NULL,'UTC + 03:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+03:30',317),(4652,'Near East Time (NET)','+04:00',NULL,20,NULL,NULL,'UTC + 04:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+04:00',317),(4653,'Afganistan Time (AFT)','+04:30',NULL,21,NULL,NULL,'UTC + 04:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+04:30',317),(4654,'Pakistan Lahore Time (PLT)','+05:00',NULL,22,NULL,NULL,'UTC + 05:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+05:00',317),(4655,'India Standard Time (IST)','+05:30',NULL,23,NULL,NULL,'UTC + 05:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+05:30',317),(4656,'Nepal Time (NPT)','+05:45',NULL,24,NULL,NULL,'UTC + 05:45','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+05:45',317),(4657,'Bangladesh Standard Time (BST)','+06:00',NULL,25,NULL,NULL,'UTC + 06:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+06:00',317),(4658,'Cocos Islands Time (CCT)','+06:30',NULL,26,NULL,NULL,'UTC + 06:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+06:30',317),(4659,'Vietnam Standard Time (VST)','+07:00',NULL,27,NULL,NULL,'UTC + 07:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+07:00',317),(4660,'China Taiwan Time (CTT)','+08:00',NULL,28,NULL,NULL,'UTC + 08:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+08:00',317),(4661,'Japan Standard Time (JST)','+09:00',NULL,29,NULL,NULL,'UTC + 09:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+09:00',317),(4662,'Australia Central Time (ACT)','+09:30',NULL,30,NULL,NULL,'UTC + 09:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+09:30',317),(4663,'Australia Eastern Time (AET)','+10:00',NULL,31,NULL,NULL,'UTC + 10:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+10:00',317),(4664,'Lord Howe Standard Time (LHST)','+10:30',NULL,32,NULL,NULL,'UTC + 10:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+10:30',317),(4665,'Solomon Standard Time (SST)','+11:00',NULL,33,NULL,NULL,'UTC + 11:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+11:00',317),(4666,'Norfolk Time (Australia) (NFT)','+11:30',NULL,34,NULL,NULL,'UTC + 11:30','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+11:30',317),(4667,'New Zealand Standard Time (NZST)','+12:00',NULL,35,NULL,NULL,'UTC + 12:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+12:00',317),(4668,'Chatham Island Standard Time (CHAST)','+12:45',NULL,36,NULL,NULL,'UTC + 12:45','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+12:45',317),(4669,'West Samoa Time (WST)','+13:00',NULL,37,NULL,NULL,'UTC + 13:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+13:00',317),(4670,'Line Islands Time (LINT)','+14:00',NULL,38,NULL,NULL,'UTC + 14:00','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#+14:00',317),(4671,'Use if Time Zone is known, but not found in the list; enter new code in the same format used in this list, i.e., ±xx:xx as an offset from UTC.','Other',NULL,39,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html#Other',317),(4672,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.Occupational','Health',25,2563,3909,'työterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',318),(4673,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi olla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai toimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen asukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellbeing','Health',22,2560,3906,'yleinen terveydentila ja hyvinvointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',318),(4674,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden väestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu siihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmaantuvuus tietyssä maassa tai tietyllä maantieteellisellä alueella vuoden aikana. Kuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden lukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä maantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. lapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot terveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,2539,3926,'sairastuvuus ja kuolleisuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',318),(4675,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,2607,3850,'ikääntyneet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',318),(4676,'','SocietyAndCulture',NULL,77,2615,3886,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',318),(4677,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,2589,3901,'luonnonmaisemat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',318),(4678,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,2628,3903,'ulkomaankauppa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',318),(4679,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, varhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle siirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',34,2572,3874,'eläkkeelle siirtyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',318),(4680,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät aiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, perheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,2605,3845,'perhe-elämä, avioliitto ja sukupolvet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',318),(4681,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreschool','Education',11,2549,3877,'esi- ja peruskoulu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',318),(4682,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät aiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä maaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja liiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,2622,3853,'lähiympäristö, kaupunki- ja maaseutuelämä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',318),(4683,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta voitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita ovat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',55,2593,3854,'poliittiset ideologiat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',318),(4684,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä sama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia esimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, vallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai sosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta asemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä esimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen integraation puutteesta. Aineistoesimerkkejä: tilastotiedot varallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä ryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus havaituista eroista naisten ja miesten mahdollisuuksissa kohota korkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten koulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,2602,3931,'tasa-arvo, eriarvoisuus ja syrjäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',318),(4685,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja vaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri vaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, joko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden kautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, tunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,2610,3924,'eliitit ja vaikuttajat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',318),(4686,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka kansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa jo olemassa olevista, terveydenhoitoon liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja tarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',17,2555,3905,'terveyspalvelut ja terveyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',318),(4687,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, tasa-arvo ja syrjintämääräyksiä, työvoiman kysyntää ja tarjontaa kansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,2576,3852,'työvoima- ja työllisyyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',318),(4688,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien ennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. Tutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat käsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien antamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, psykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,2559,3847,'hoito ja lääkitys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',318),(4689,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,2541,3894,'maahanmuutto,  maastamuutto ja sisäinen muuttoliike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',318),(4690,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen terveydentilan edistäminen kansallisella, alueellisella tai kunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy. Esim. terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja terveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat tekijät.','Health.Public','Health',23,2561,3907,'kansanterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',318),(4691,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,92,2630,3849,'MUU AIHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',318),(4692,'','ScienceAndTechnology',NULL,60,2598,3858,'TIEDE JA TEKNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',318),(4693,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,2618,3864,'kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',318),(4694,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; sosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet näistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,2616,3892,'sosiaalinen käyttäytyminen ja asenteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',318),(4695,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. sukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä haastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; naisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset ominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja valinnoista ja niiden vaikutukset (esim. ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,2604,3891,'sukupuoli ja sukuoliroolit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',318),(4696,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, oppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat ammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalAndTraining','Education',13,2551,3851,'ammatillinen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',318),(4697,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus. Ei sisällä työharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,2573,3848,'työpaikkakoulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',318),(4698,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. Asumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä pääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',29,2567,3855,'asuminen ja asunnot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',318),(4699,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,2574,3887,'työmarkkinasuhteet ja -järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',318),(4701,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja kansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen \'ei kuulu meihin\' -joukkoon (toiseuttaminen). Erilaisten identiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä identiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,2619,3914,'kulttuuri- ja kansallinen identiteetti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',318),(4702,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,2600,3912,'biotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',318),(4703,'','HousingAndLandUse',NULL,28,2566,3899,'ASUMINEN JA MAANKÄYTTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',318),(4704,'Sisältää mm. ympäristön saastumiseen, ympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,2586,3902,'ympäristönsuojelu ja ympäristöongelmat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',318),(4705,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, vesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai kuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat energialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, vesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,2587,3908,'energia- ja luonnonvarat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',318),(4706,'','NaturalEnvironment',NULL,47,2585,3889,'LUONTO JA YMPÄRISTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',318),(4708,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen koulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos puhutaan olemassa olevista, koulutukseen liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',15,2553,3859,'koulutuspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',318),(4709,'Kotona, työpaikalla ja muualla käytettävä tieto- ja tietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos aiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,2599,3920,'tietotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',318),(4710,'','SocialStratificationAndGroupings',NULL,63,2601,3928,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',318),(4711,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä laajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä, kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,2613,3900,'sosiaaliturvajärjestelmä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',318),(4712,'','LawCrimeAndLegalSystems',NULL,39,2577,3844,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',318),(4713,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja ammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli yhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai vertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin luokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä työskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen liikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon korkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen yhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,2603,3843,'yhteiskunnallinen ja ammatillinen liikkuvuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',318),(4714,'','LabourAndEmployment',NULL,31,2569,3873,'TYÖVOIMA JA TYÖELÄMÄ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',318),(4715,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen poliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys päätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,2591,3882,'poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',318),(4716,'','Health',NULL,16,2554,3925,'TERVEYS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',318),(4717,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai terveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä lääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden potilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,2556,3840,'tietyt taudit, sairaudet ja terveydentilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',318),(4718,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, tiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), työvoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä aiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,2570,3904,'työllisyys ja työllistyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',318),(4719,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro jne.), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen. Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten käytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan matkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,91,2629,3884,'KULKEMINEN, KULJETUS JA LIIKENNE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',318),(4720,'','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,2627,3921,'maa- ja metsätalous, kalastus, maaseutuelinkeinot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',318),(4721,'','Psychology',NULL,59,2597,3879,'PSYKOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',318),(4723,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.Reproductive','Health',24,2562,3846,'perhesuunnittelu ja lisääntymisterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',318),(4724,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, rikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa mm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,2579,3863,'rikollisuus ja lainvalvonta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',318),(4726,'','Economics',NULL,4,2542,3866,'TALOUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',318),(4727,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä (kapitalistinen, sosialistinen, markkinatalous). Sisältää myös kehitysyhteistyöhön liittyvät aiheet.','Economics.SystemsAndDevelopment','Economics',9,2547,3878,'talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',318),(4728,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja päätökset kansallisella, alueellisella tai kunnallisella tasolla. Kenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on sosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää sosiaaliturvapalveluita.  Esimerkkejä: periaate, jonka mukaan ikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista tai päätös, kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä, käytetään myös termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,2612,3910,'sosiaalipolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',318),(4729,'','TradeIndustryAndMarkets',NULL,87,2625,3876,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',318),(4730,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',54,2592,3898,'vaalit, ehdokkaat ja kansanäänestykset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',318),(4731,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin liikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään uskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,2621,3883,'uskonto ja arvot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',318),(4732,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset suhteet, kansainväliset järjestöt (esim. EU, YK, Maailman terveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset sopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',57,2595,3861,'kansainvälinen politiikka ja järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',318),(4733,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio taloudellisena, poliittisena ja kulttuurisena toimintana. Esimerkiksi verkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen media, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän tietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa varsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,2583,3865,'tietoyhteiskunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',318),(4734,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,2608,3869,'lapset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',318),(4735,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, työttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, työttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,2571,3872,'työttömyys ja työttömät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',318),(4736,'','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,2582,3919,'mainonta, tiedotus- ja suhdetoiminta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',318),(4737,'','MediaCommunicationAndLanguage',NULL,42,2580,3916,'TIEDOTUS, VIESTINTÄ JA KIELI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',318),(4738,'Käytetään historiallisten aineistojen kohdalla sekä tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan päihteidenkäyttöä 1960-luvulla, käytetään sekä termiä \'historia\' että \'terveyskäyttäytyminen\'.','History',NULL,27,2565,3875,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',318),(4739,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,2588,3842,'kasvit ja eläimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',318),(4740,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon johtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla parantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain oppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. HUOM! Työpaikan antamasta tai maksamasta koulutuksesta käytetään termiä \'työpaikkakoulutus\'.','Education.LifelongContinuing','Education',14,2552,3860,'täydennys- ja jatkokoulutus,  elinikäinen oppiminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',318),(4741,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko objektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt taudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin diagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen pituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',19,2557,3841,'terveydentilaan liittyvät oireet, löydökset ja patologiset tilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',318),(4742,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja hallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,2626,3913,'yritysten hallinto, johtaminen ja organisaatio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',318),(4743,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,2623,3867,'ajankäyttö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',318),(4744,'','Politics',NULL,52,2590,3917,'POLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',318),(4745,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat ja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön liittyvistä loukkaantumisista ja vammoista, käytetään termiä \'työterveys\'.','Health.WoundsAndInjuries','Health',20,2558,3885,'loukkaantumiset, haavat ja vammat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',318),(4746,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, ylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja psyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, työmäärä, työntekijöiden osallistuminen päätöksentekoon, työn autonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta puhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,2575,3893,'työolot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',318),(4747,'','SocialWelfarePolicyAndSystems',NULL,73,2611,3880,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',318),(4748,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. Eroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, terveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. Huomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten \'tasa-arvo, eriarvoisuus ja syrjäytyminen\' \'uskonto ja arvot\' tai \'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,2609,3890,'vähemmistöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',318),(4749,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin liittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! Aiheesta riippuen myös termit \'yleinen terveydentila ja hyvinvointi\', \'tasa-arvo ja eriarvoisuus\', \'talouden tila ja tunnusluvut\', \'syrjäytyminen ja syrjintä\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,2617,3868,'sosiaaliset olot ja indikaattorit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',318),(4751,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset konfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. HUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja lainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',58,2596,3856,'konfliktit, turvallisuus ja rauha','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',318),(4752,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,2568,3870,'maankäyttö, suunnittelu ja kaavoitus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',318),(4753,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut sanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! Sosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \'informaatioyhteiskunta\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,2581,3911,'joukkoviestimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',318),(4754,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen. HUOM! Kuntoilusta puhuttaessa käytetään termiä \'terveyskäyttäytyminen\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,2620,3915,'vapaa-aika, matkailu ja urheilu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',318),(4755,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,2584,3896,'kielet ja kielitiede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',318),(4756,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,2606,3888,'nuoret','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',318),(4757,'','Education',NULL,10,2548,3862,'KOULUTUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',318),(4758,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin tutkintoihin johtavaan koulutukseen, mukaan lukien lukio, ammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta koulutuksesta käytetään termiä \'ammatillinen koulutus\'.','Education.HigherAndFurther','Education',12,2550,3922,'toisen ja korkea-asteen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',318),(4759,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. Tunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, työllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien velkaantumisaste, investoinnit, innovaatiotoiminta. Termiä käytetään myös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien taloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',5,2543,3932,'talouden tila ja tunnusluvut','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',318),(4760,'','Demography',NULL,0,2538,3857,'VÄESTÖ, VÄESTÖTILASTOT JA VÄESTÖNLASKENTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',318),(4761,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, mielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen tyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen käytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä vanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,2614,3927,'sosiaalipalveluiden käyttö ja saatavuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',318),(4762,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset säädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta ja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,2578,3929,'lainsäädäntö ja oikeusjärjestelmät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',318),(4763,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. Esimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset kuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. kuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he tekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin perustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,2544,3918,'kulutus ja kuluttajakäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',318),(4764,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,2624,3923,'yhteiskunnallinen ja sosiaalinen muutos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',318),(4765,'','Demography',NULL,0,NULL,3857,'DEMOGRAFIA (POPOLAZIONE, STATISTICHE DEMOGRAFICHE E CENSIMENTI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.1',320),(4766,'La morbilità si riferisce all\'incidenza di malattie in una popolazione: i dati possono riguardare l\'incidenza o il tasso di morbilità di una condizione medica. Ad esempio, il numero di persone che soffrono di cancro ai polmoni in un paese o in un\'area geografica nel corso di un singolo anno. I dati sulla mortalità indicano il numero di decessi in una popolazione per luogo, tempo, causa, tipo di individuo, ecc. Ad esempio, il tasso di mortalità materna o il tasso di mortalità infantile. Si noti che i dati provenienti da sondaggi auto-compilati sulle malattie e le condizioni mediche sono classificati con i termini che appartengono alla classe \"SALUTE\".','Demography.MorbidityAndMortality','Demography',3,NULL,3926,'Morbilità e mortalità','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.1',320),(4768,'Include immigrazione, emigrazione, migrazione interna e altri tipi di mobilità geografica. Immigrazione significa venire a stabilirsi in un paese diverso rispetto al proprio paese d\'origine. Emigrazione significa lasciare il proprio paese d\'origine per stabilirsi in un altro paese. Migrazione è un termine generico che copre entrambi. Migrazione include anche la migrazione interna, ovvero la circolazione di persone all\'interno di un paese a diversi livelli geografici.','Demography.Migration','Demography',2,NULL,3894,'Migrazioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.1',320),(4769,'','Economics',NULL,4,NULL,3866,'ECONOMIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.1',320),(4770,'Gli indicatori economici mostrano l\'evoluzione e l\'andamento economico e comprendono, ad esempio, il tasso di crescita del PIL, l\'occupazione, l\'inflazione e il tasso di interesse, l\'attività dei consumatori e degli investitori, il debito delle famiglie. Quest\'ultimo è anche utilizzato per stimare le condizioni economiche degli individui e delle famiglie intervistate.','Economics.EconomicConditionsAndIndicators','Economics',5,NULL,3932,'Condizioni economiche e indicatori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.1',320),(4771,'Si riferisce all\'atto di acquisire e/o utilizzare qualcosa per soddisfare i bisogni e le esigenze di una persona, comunità o società. I dati in questa categoria includono modelli di comportamento del consumatore, cambiamenti in essi e studio sull\'etica di consumo. Ad esempio, i dati provenienti da sondaggi sulla frequenza con cui le persone acquistano determinati prodotti; quando e dove fanno acquisti; se le considerazioni etiche influenzano le loro scelte di consumo.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,NULL,3918,'Consumo e comportamento di consumo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.1',320),(4774,'Utilizzato per studi che indagano sui sistemi capitalistici, socialisti e altri sistemi economici e per studi, ad esempio, sui programmi internazionali di sviluppo.','Economics.SystemsAndDevelopment','Economics',9,NULL,3878,'Sistemi economici e programmi di sviluppo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.1',320),(4775,'','Education',NULL,10,NULL,3862,'EDUCAZIONE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.1',320),(4776,'Comprende l\'istruzione generalmente classificata nei livelli 3-4 dello standard ISCED più l\'istruzione superiore, ossia l\'istruzione secondaria di secondo grado e l\'istruzione universitaria. Include dati su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.HigherAndFurther','Education',12,NULL,3922,'Istruzione secondaria e superiore','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.1',320),(4777,'Programmi concepiti per consentire agli studenti di acquisire le conoscenze, abilità e competenze specifiche per una particolare professione, mestiere o classe di professioni o mestieri. L\'istruzione professionale può prevedere moduli basati su attività lavorative. Comprende l\'istruzione professionale classificata nei livelli ISCED 3-4 e l\'apprendistato. Include dati su studenti, materie degli insegnanti o abilità insegnate, strutture, ecc.','Education.VocationalAndTraining','Education',13,NULL,3851,'Istruzione e formazione professionale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.1',320),(4778,'Si riferisce alle opportunità di istruzione fornite in varie forme per gli adulti dopo che hanno lasciato il sistema di istruzione formale. Gli adulti possono impegnarsi in questi percorsi educativi, ad esempio, per migliorare le proprie capacità o qualifiche, per riqualificarsi da un punto di vista lavorativo oppure semplicemente per imparare qualcosa di nuovo. In genere non include l\'istruzione che porta a una qualifica o alla formazione dei dipendenti.','Education.LifelongContinuing','Education',14,NULL,3860,'Formazione permanente/continua','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.1',320),(4779,'Dibattiti su politiche, scelte e principi adottati a livello nazionale, regionale o locale in materia di istruzione e di offerta formativa. Utilizzare invece \"Legislazione e sistemi giuridici\" per le leggi e i regolamenti già implementati.','Education.EducationalPolicy','Education',15,NULL,3859,'Politiche educative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.1',320),(4780,'','Health',NULL,16,NULL,3925,'SALUTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.1',320),(4781,'Qualità e disponibilità di servizi, strutture e personale operanti nell\'ambito dell\'assistenza sanitaria. Economia sanitaria e politiche a livello nazionale, regionale o locale in materia di assistenza sanitaria. Utilizzare \"Legislazione e sistemi giuridici\" per le leggi e i regolamenti già implementati.','Health.HealthCareServicesAndPolicies','Health',17,NULL,3905,'Servizi di assistenza e politiche sanitarie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.1',320),(4782,'Studi relativi a particolari malattie, disturbi o sindromi diagnosticati (spesso classificati nell\'ICD-10 o nelle sue versioni precedenti). Ad esempio, ricerca medica sulle cause del diabete o studi sul recupero fisico e mentale delle persone che hanno avuto un intervento al cuore.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,NULL,3840,'Malattie particolari, disturbi e condizioni mediche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.1',320),(4783,' Studi sulla presenza di condizioni anatomiche o fisiologiche anormali e sulle manifestazioni oggettive o soggettive di malattia/sintomi, non classificate come malattia o sindrome (nel qual caso si utilizzerebbero \"Malattie particolari, disturbi o condizioni mediche\"). Include manifestazioni cliniche che possono essere obiettive se osservate da un professionista medico o soggettive quando percepite dal paziente. Per esempio: dolore, diarrea, eruzioni cutanee,  lunghezza diseguale delle gambe, insonnia, digrignamento dei denti, infiammazione, aritmia.','Health.SignsAndSymptomsPathologicalConditions','Health',19,NULL,3841,'Segni e sintomi; condizioni patologiche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.1',320),(4784,'Ferite e lesioni, sia fisiche che psicologiche, causate da incidenti o violenze (attraverso comportamenti aggressivi individuali o di gruppo). Se le ferite/lesioni sono legate alle attività lavorative, utilizzare \"Salute sul lavoro\".','Health.WoundsAndInjuries','Health',20,NULL,3885,'Ferite e lesioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.1',320),(4785,'Trattamento della malattia o procedure di prevenzione della stessa. Cura del paziente a livello individuale. Ricerca su farmaci e cure di una malattia. Ad esempio, dati relativi a procedure chirurgiche, riabilitazione, consulenza medica, terapia fisica, manipolazioni muscoloscheletriche, assistenza in ospedale o a domicilio, psicoterapia, tecniche investigative, farmaci.','Health.MedicationAndTreatment','Health',21,NULL,3847,'Cure e terapie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.1',320),(4786,'Prevenzione e controllo di malattie e disabilità e promozione della salute fisica e mentale della popolazione a livello internazionale, nazionale, statale o municipale. Esempi: promozione della salute; prevenzione delle malattie; impatto dei programmi di salute pubblica; gestione di problemi sanitari locali, nazionali o globali; epidemiologia di una patologia, di una condizione patologica o di un\'epidemia.','Health.Public','Health',23,NULL,3907,'Salute pubblica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.1',320),(4787,'I processi, le funzioni o il sistema riproduttivi in tutte le fasi della vita. Include dati su gravidanza, parto, pianificazione familiare, contraccezione e aborto, menopausa.','Health.Reproductive','Health',24,NULL,3846,'Salute riproduttiva','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.1',320),(4788,'Dati relativi alle malattie e all\'esposizione a malattie professionali, sicurezza sul lavoro, assenze per malattia, abilità lavorativa e disabilità, pensione di invalidità correlata al lavoro.','Health.Occupational','Health',25,NULL,3909,'Salute sul lavoro','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.1',320),(4790,'Per i dati storici utilizzare questo termine affiancato al termine più appropriato per classificarne i contenuti. Ad esempio, oltre a \"STORIA\" utilizzare \"Condizioni lavorative\" e \"Servizi di assistenza e politiche sanitarie\" per i dati sugli ambienti di lavoro dei medici di famiglia negli anni \'60. Il termine principale \"STORIA\" deve essere usato da solo esclusivamente nei casi in cui non è possibile trovare altri termini più specifici.','History',NULL,27,NULL,3875,'STORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.1',320),(4791,'','HousingAndLandUse',NULL,28,NULL,3899,'ABITARE E TERRITORIO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.1',320),(4792,'Include studi che misurano lo standard abitativo in una comunità, compresi gli alloggi sociali, nonché la disponibilità e il prezzo degli alloggi. Abitare include le case di residenza, le seconde case e le case vacanza.','HousingAndLandUse.Housing','HousingAndLandUse',29,NULL,3855,'Abitare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.1',320),(4793,'Comprende sia l\'utilizzo del suolo che la pianificazione territoriale. La pianificazione territoriale si riferisce alle procedure attuate per garantire un utilizzo ottimale e sostenibile delle risorse del territorio nelle comunità rurali e urbane.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,NULL,3870,'Utilizzo e pianificazione del territorio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.1',320),(4794,'','LabourAndEmployment',NULL,31,NULL,3873,'LAVORO E OCCUPAZIONE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.1',320),(4795,'Dati e statistiche sul tasso di occupazione, mercato del lavoro, offerte di lavoro, ricerca di lavoro, caratteristiche del lavoro, occupazione di specifici gruppi (ad esempio occupazione giovanile o minoranze), servizi per l\'impiego, carriere. Per la retribuzione utilizzare \"Condizioni lavorative\".','LabourAndEmployment.Employment','LabourAndEmployment',32,NULL,3904,'Occupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.1',320),(4796,'Dati e statistiche sui tassi di disoccupazione, programmi e progetti per l\'occupazione, durata e frequenza della disoccupazione, impatto sociale e psicologico della disoccupazione, ecc.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,NULL,3872,'Disoccupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.1',320),(4797,'Comprende tutti i modelli di pensionamento come quello \'graduale\' o \'flessibile\', dati sull\'età pensionabile e il pensionamento anticipato.','LabourAndEmployment.Retirement','LabourAndEmployment',34,NULL,3874,'Pensionamento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.1',320),(4798,'Formazione aziendale interna e altri tipi di formazione rivolta ai dipendenti finanziata dal datore di lavoro per aumentarne  capacità e competenze. Non include l\'apprendistato che è, invece, incluso in \"Istruzione e formazione professionale\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,NULL,3848,'Formazione aziendale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.1',320),(4799,'Relazioni tra datori di lavoro e dipendenti.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,NULL,3887,'Rapporti di lavoro/conflitto','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.1',320),(4800,'Le condizioni in cui lavorano i dipendenti. Ad esempio, tipo di contratto, orario di lavoro (numero di ore di lavoro, periodi di riposo, programmi di lavoro, straordinari), retribuzione, aspetti fisici e psicologici del lavoro, diritti e responsabilità dei dipendenti, carico di lavoro, coinvolgimento dei dipendenti nel processo decisionale, diritto di congedo, ambiente fisico. Per i problemi di sicurezza sul posto di lavoro utilizzare anche \"Salute sul lavoro\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,NULL,3893,'Condizioni lavorative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.1',320),(4801,'Dati sulle politiche occupazionali relative ai rapporti di lavoro, al mercato del lavoro e alla parità e discriminazione sul lavoro; a livello nazionale si includono le politiche volte ad influenzare la domanda e l\'offerta di lavoro e il funzionamento dei mercati del lavoro. Utilizzare \"Legislazione e sistemi giuridici\" per leggi e regolamenti già implementati.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,NULL,3852,'Politiche del lavoro e dell\'occupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.1',320),(4802,'','LawCrimeAndLegalSystems',NULL,39,NULL,3844,'LEGGE, CRIMINALITÀ E SISTEMI GIURIDICI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.1',320),(4803,'Dati sulla legislazione internazionale o nazionale, regolamenti amministrativi, sistema giudiziario (poteri e attività dei tribunali), risoluzioni alternative delle controversie e giustizia riparativa, pene.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,NULL,3929,'Legislazione e sistemi giuridici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.1',320),(4804,'Dati su criminalità, prevenzione del crimine, vittime di reati, criminali, polizia, servizi segreti, istituti penitenziari (ad es. carceri, anche minorili), controllo delle frontiere e dogane. Comprende anche i dati sullo staff e le strutture di queste agenzie.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,NULL,3863,'Criminalità e applicazione della legge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.1',320),(4805,'','NaturalEnvironment',NULL,47,NULL,3889,'AMBIENTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.1',320),(4806,'Riguarda questioni di degrado ambientale, inquinamento, protezione ambientale, cambiamenti climatici, prevenzione delle inondazioni, erosione del suolo.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,NULL,3902,'Protezione ambientale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.1',320),(4807,'Sono considerate risorse naturali i beni come terra, foreste, fonti energetiche, acqua, minerali che esistono naturalmente e possono essere utilizzati per la produzione o il consumo economico. Le risorse energetiche comprendono i combustibili fossili come petrolio, gas naturale o carbone, nonché il nucleare, il solare, le maree e il vento oppure la bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,NULL,3908,'Energia e risorse naturali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.1',320),(4808,'Riguarda gli animali domestici, di allevamento e selvatici, così come tutti i tipi di piante (ad esempio fiori, alberi, muschio, vegetali).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,NULL,3842,'Piante e animali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.1',320),(4809,'Riguarda i paesaggi e gli elementi della terra che non sono stati modificati direttamente dagli esseri umani.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,NULL,3901,'Paesaggi naturali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.1',320),(4810,'','Politics',NULL,52,NULL,3917,'POLITICA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.1',320),(4811,'Dati sugli atteggiamenti politici dei partiti, impegno e partecipazione al processo politico, comportamento di voto, soddisfazione nei confronti del governo. Utilizzare \"Ideologia politica\" per i dati su specifiche dottrine.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,NULL,3882,'Comportamenti e atteggiamenti politici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.1',320),(4812,'Dati su elezioni, referendum, campagne elettorali, risultati elettorali, candidati alle elezioni, scelta dei candidati, fondi elettorali, ecc.','Politics.Elections','Politics',54,NULL,3898,'Elezioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.1',320),(4813,'Idee, ideali e teorie sui modi in cui i governi e le società possono essere organizzati. Le principali ideologie politiche includono anarchismo, democrazia, liberalismo, conservatorismo, ecc.','Politics.PoliticalIdeology','Politics',55,NULL,3854,'Ideologia politica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.1',320),(4815,'Governance globale, diplomazia, politica estera, relazioni tra paesi, organizzazioni internazionali (ad es. UE, OMS, ONU, OMC) e accordi internazionali.','Politics.InternationalPoliticsAndOrganisations','Politics',57,NULL,3861,'Politica e organizzazioni internazionali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.1',320),(4816,'Misure e condizioni di sicurezza interna e internazionale; conflitti interni e internazionali; guerre e processi di pace; difesa nazionale e forze di difesa (esercito). Si noti che le forze dell\'ordine (polizia) rientrano nel termine \"Criminalità e applicazione della legge\".','Politics.ConflictSecurityAndPeace','Politics',58,NULL,3856,'Conflitti, sicurezza e pace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.1',320),(4817,'','Psychology',NULL,59,NULL,3879,'PSICOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.1',320),(4818,'','ScienceAndTechnology',NULL,60,NULL,3858,'SCIENZA E TECNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.1',320),(4819,'Tecnologie dell\'informazione e della comunicazione che vengono utilizzate a casa, sul posto di lavoro e in altri contesti. Si noti che l\'utilizzo e l\'impatto di queste tecnologie sono coperti dal termine \"Società dell\'informazione\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,NULL,3920,'Tecnologie dell\'informazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.1',320),(4820,'Utilizzo di processi biomolecolari e cellulari per creare nuovi prodotti e processi tecnologici.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,NULL,3912,'Biotecnologia','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.1',320),(4821,'','SocialStratificationAndGroupings',NULL,63,NULL,3928,'STRATIFICAZIONE SOCIALE E GRUPPI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.1',320),(4822,'Questioni relative alle disuguaglianze di status e di opportunità tra gli individui o gruppi di individui nella società. L\'uguaglianza può essere studiata, ad esempio, in termini di istruzione, condizione economica (finanziaria) o reddito, posizione occupazionale, potere, prestigio, condizioni di lavoro e tempo libero, accesso ai servizi e relazioni sociali. La marginalizzazione e l\'esclusione sociale possono essere il risultato di uno svantaggio sistematico in molteplici aree della vita e le persone interessate possono essere private di diritti, opportunità, risorse e integrazione sociale. Esempi di dati: statistiche sulle uguaglianze dei redditi; percezione della discriminazione relativa a specifici gruppi (ad esempio verso gli stranieri, i senzatetto, i richiedenti asilo); percezioni delle differenze tra uomini e donne in merito alle opportunità di ruoli dirigenziali in politica; impatto della disoccupazione dei genitori sul livello di istruzione e sulle reti sociali dei bambini.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,NULL,3931,'Uguaglianza, disuguaglianza ed esclusione sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.1',320),(4823,'Cambiamento dello status sociale e lavorativo di individui, famiglie o gruppi di individui nel tempo. La mobilità può essere orizzontale, ossia un cambiamento di posizione all\'interno dello stesso status, oppure verticale, in cui gli individui si spostano verso l\'alto o verso il basso nella gerarchia di status. Ad esempio, i lavoratori nelle industrie in declino possono diventare lavoratori in qualche altra industria (mobilità professionale orizzontale), oppure i bambini nelle famiglie povere possono raggiungere una classe sociale più alta rispetto ai loro genitori (mobilità sociale intergenerazionale verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,NULL,3843,'Mobilità sociale e lavorativa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.1',320),(4824,'Identita di genere; rappresentazione dei generi (ad esempio rappresentazione di generi negli organi decisionali, nei media, nella letteratura, ecc.); tratti sociali, culturali e psicologici legati a maschi e femmine; women\'s studies; men\'s studies; aspettative sul comportamento e scelte in base ai ruoli di genere e all\'impatto di tali aspettative.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,NULL,3891,'Genere e ruoli di genere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.1',320),(4825,'Riguarda questioni relative a famiglie, parenti, generazioni e composizione familiare. Ad esempio, i dati sull\'educazione dei figli, la divisione del lavoro all\'interno della famiglia, il supporto fornito ai familiari.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,NULL,3845,'Matrimonio e vita familiare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.1',320),(4826,'Se i giovani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,NULL,3888,'Giovani','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.1',320),(4827,'Se gli anziani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,NULL,3850,'Anziani','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.1',320),(4828,'Se i bambini sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,NULL,3869,'Bambini','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.1',320),(4829,'Gruppi di individui che si differenziano in qualche modo dalla maggioranza della popolazione. Le differenze possono includere, ad esempio, etnia, religione, salute, orientamento sessuale, lingua madre e cultura. Si noti che è anche possibile utilizzare i termini \"Uguaglianza, disuguaglianza ed esclusione sociale\" o \"Linguaggio e linguistica\" in relazione ad alcune questioni legate alle minoranze.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,NULL,3890,'Minoranze','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.1',320),(4830,'Questioni legate all\'esistenza, ai ruoli e all\'impatto delle élite nella società, ossia individui o gruppi che esercitano una quantità significativa di potere o influenza sulla società, sulla politica, sulla ricchezza, ecc. sia attraverso le decisioni che prendono oppure, ad esempio, attraverso idee o sentimenti che esprimono o rappresentano. Include le questioni relative alle persone influenti in tutte le sfere della società, ad esempio i responsabili delle decisioni politiche nella vita politica, i leader dei partiti politici, gli artisti influenti, i personaggi di spicco o influencer sui social media ecc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,NULL,3924,'Elite e leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.1',320),(4831,'','SocialWelfarePolicyAndSystems',NULL,73,NULL,3880,'POLITICHE SOCIALI E SISTEMI DI WELFARE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.1',320),(4832,'Decisioni e principi adottati a livello nazionale, regionale o locale per quanto riguarda il welfare sociale, il suo finanziamento e l\'erogazione dei servizi. Ad esempio, i soggetti che hanno diritto ai diversi tipi di servizi e benefici sociali, i loro motivi e il loro livello di necessità, nonché i soggetti che possono fornire i servizi.  Esempi di politiche: politica che incoraggia gli anziani a rimanere nelle loro case il più a lungo possibile, oppure una politica che stabilisce la durata del sussidio di disoccupazione. Usare anche il termine \"Legislazione e sistemi giuridici\" per leggi e regolamenti già implementati.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,NULL,3910,'Politiche di welfare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.1',320),(4833,'','SocietyAndCulture',NULL,77,NULL,3886,'SOCIETÀ E CULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.1',320),(4834,'Dati sul comportamento sociale, interazioni e reti sociali, responsabilità sociali, norme e regole sociali, e atteggiamenti verso questi temi.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,NULL,3892,'Comportamenti e atteggiamenti sociali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.1',320),(4835,'Riguarda tutti gli aspetti inerenti la qualità della vita e il benessere degli individui e delle società, così come le percezioni delle persone su tali aspetti. Si noti che, a seconda dell\'aspetto studiato, possono essere altrettanto rilevanti i termini \"Salute e benessere generale\", \"Uguaglianza, disuguaglianza ed esclusione sociale\" oppure \"Condizioni economiche e indicatori\".','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,NULL,3868,'Condizioni e indicatori sociali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.1',320),(4836,'Partecipazione attiva o passiva a qualsiasi tipo di attività culturale, nonché opinioni e percezioni su di esse.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,NULL,3864,'Attività culturali e partecipazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.1',320),(4837,'Dati sulla formazione dell\'identità, sulle questioni legate all\'identità personale e all\'appartenenza sociale. La relazione dell\'identità culturale/nazionale con la rappresentazione e la classificazione di qualcun altro come \'Non uno di noi\' (l\'Altro). Usi, costumi e atteggiamenti verso i gruppi di identità percepiti come i propri e gli altri gruppi.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,NULL,3914,'Identità culturale e nazionale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.1',320),(4838,'Modelli di attività ricreative, attività del tempo libero e hobby. Include partecipazione a manifestazioni sportive, attività sportive e viaggi nel il tempo libero. Per i dati relativi al benessere fisico e fitness utilizzare \"Comportamenti di salute\".','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,NULL,3915,'Tempo libero, turismo e sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.1',320),(4839,'Dati che affrontano questioni connesse al comportamento religioso, ai movimenti religiosi, alla spiritualità, alla moralità e altri valori.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,NULL,3883,'Religione e valori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.1',320),(4840,'Dati relativi a diversi aspetti della vita nelle comunità o nelle aree urbane e rurali. Opinioni e immagini del quartiere, di aree urbane o rurali. Servizi, strutture e opportunità di business nel quartiere.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,NULL,3853,'Comunità, vita urbana e rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.1',320),(4841,'Dati sulla quantità di tempo utilizzato dalla popolazione in varie attività.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,NULL,3867,'Uso del tempo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.1',320),(4842,'Dati sui cambiamenti nella società, compresi i cambiamenti comportamentali e di atteggiamento.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,3923,'Mutamento sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.1',320),(4843,'','TradeIndustryAndMarkets',NULL,87,NULL,3876,'COMMERCIO, INDUSTRIA E MERCATI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.1',320),(4844,'Dati sulla gestione dell\'industria e del commercio, su produttività, crescita e declino economico, sulle strutture organizzative, l\'amministrazione, gli investimenti in R&S, sui mercati e quote di mercato.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,NULL,3913,'Gestione e organizzazione aziendale/industriale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.1',320),(4845,'Scambio di capitali, beni o servizi attraverso i confini internazionali.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,NULL,3903,'Commercio estero','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.1',320),(4846,'Include tutti i tipi di trasporto: merci, pendolari, trasporti pubblici (treni, autobus, metropolitane, ecc.) e le reti di trasporto urbano. Dati sulle abitudini di mobilità, ad esempio acquisti transfrontalieri, percorsi e mezzi utilizzati per accedere a una località. Utilizzare il termine \"Tempo libero, turismo e sport\" per i dati relativi a viaggi di piacere.','TransportAndTravel',NULL,91,NULL,3884,'TRASPORTI E VIAGGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.1',320),(4847,'Utilizzare se l\'argomento è noto, ma non riconducibile a nessun termine presente nell\'elenco.','Other',NULL,92,NULL,3849,'ALTRO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.1',320),(4848,'L\'istruzione obbligatoria si riferisce al periodo di istruzione richiesto a tutte le persone che vivono in un paese ed è imposto dalla legge. L\'istruzione pre-scolastica si riferisce alla scuola dell\'infanzia e all\'educazione impartita prima dell\'istruzione obbligatoria. Utilizzare questo termine per classificare i dati relativi alle fasi di istruzione prescolare, primaria e secondaria di primo grado, indipendentemente dal fatto che i dati si concentrino su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.CompulsoryAndPreschool','Education',11,NULL,NULL,'Istruzione obbligatoria e pre-scolastica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.1',320),(4849,'Studi sul benessere generale o sullo stato di salute di un individuo, gruppo o popolazione. Può essere oggettivamente misurato/osservato o auto-percepito. Il benessere include, ad esempio, le capacità o le condizioni fisiche e psichiche, così come le condizioni sociali.','Health.GeneralHealthAndWellbeing','Health',22,NULL,NULL,'Salute e benessere generale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.1',320),(4850,'','MediaCommunicationAndLanguage',NULL,42,NULL,NULL,'MEDIA, COMUNICAZIONE E LINGUAGGIO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.1',320),(4851,'Dati riferiti a qualsiasi tipo di mass media. Ad esempio, quotidiani stampati o online, riviste, televisione e radio. Si noti che i social media sono classificati con il termine \"Società dell\'informazione\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,NULL,NULL,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.1',320),(4852,'Misure adottate per migliorare o preservare l\'immagine di individui, aziende, organizzazioni e governi, ad esempio mediante pubblicità, lobbying, ecc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,NULL,NULL,'Relazioni pubbliche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.1',320),(4853,'La creazione, distribuzione, utilizzo, integrazione e manipolazione delle informazioni come attività economica, politica e culturale rilevante. Ad esempio, i dati relativi all\'e-commerce, e-government, social media, dispositivi mobili, accesso e uso di Internet, e-privacy, informazioni e risorse bibliotecarie. Utilizzare \"Tecnologie dell\'informazione\" quando si tratta di tecnologie in senso stretto.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,NULL,'Società dell\'informazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.1',320),(4854,'I dati includono studi linguistici, analisi linguistiche e sociolinguistiche, nonché dati sulle politiche linguistiche, le competenze linguistiche delle persone, le lingue parlate sul posto di lavoro o in ambiti domestici, gli atteggiamenti nei confronti delle minoranze linguistiche, ecc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,NULL,'Linguaggio e linguistica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.1',320),(4855,'Questioni relative all\'erogazione di servizi di assistenza sociale, quali soggetti forniscono servizi di assistenza sociale nella pratica e in che misura, come sono strutturati i servizi esistenti. Ad esempio, questioni relative alle modalità attraverso cui un governo locale ha organizzato i servizi per gli anziani.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,NULL,NULL,'Sistemi/strutture di welfare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.1',320),(4856,'Ad esempio, dati sull\'utilizzo di specifici servizi sociali da parte delle persone, opinioni sull\'adeguatezza, accessibilità e disponibilità di tali servizi e grado di soddisfazione generale. Ad esempio, questioni relative al tipo di servizi utilizzati dagli anziani intervistati oppure statistiche sull\'utilizzo di particolari servizi.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,NULL,NULL,'Servizi sociali specifici: utilizzo e disponibilità','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.1',320),(4857,'Utilizzare questa categoria per studi sulla produzione agricola e su tutte le attività economiche rurali che includono, ad esempio, la pesca e la silvicoltura.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,NULL,NULL,'Agricoltura e attività economiche rurali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.1',320),(4884,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien ennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. Tutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat käsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien antamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, psykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,4688,NULL,'hoito ja lääkitys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=3.0.2',324),(4885,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreschool','Education',11,4681,NULL,'esi- ja peruskoulu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschool?v=3.0.2',324),(4886,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja vaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri vaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, joko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden kautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, tunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',72,4685,NULL,'eliitit ja vaikuttajat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=3.0.2',324),(4887,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen koulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos puhutaan olemassa olevista, koulutukseen liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',15,4708,NULL,'koulutuspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=3.0.2',324),(4888,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, tiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), työvoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä aiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',32,4718,NULL,'työllisyys ja työllistyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=3.0.2',324),(4889,'Kotona, työpaikalla ja muualla käytettävä tieto- ja tietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos aiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',61,4709,NULL,'tietotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=3.0.2',324),(4890,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, ylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja psyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, työmäärä, työntekijöiden osallistuminen päätöksentekoon, työn autonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta puhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',37,4746,NULL,'työolot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=3.0.2',324),(4891,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät aiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, perheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',67,4680,NULL,'perhe-elämä, avioliitto ja sukupolvet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=3.0.2',324),(4892,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi olla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai toimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen asukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellbeing','Health',22,4673,NULL,'yleinen terveydentila ja hyvinvointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=3.0.2',324),(4893,'','SocietyAndCulture',NULL,77,4676,NULL,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=3.0.2',324),(4894,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta voitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita ovat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',55,4683,NULL,'poliittiset ideologiat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=3.0.2',324),(4895,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja ammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli yhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai vertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin luokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä työskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen liikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon korkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen yhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',65,4713,NULL,'yhteiskunnallinen ja ammatillinen liikkuvuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=3.0.2',324),(4896,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.Occupational','Health',25,4672,NULL,'työterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Occupational?v=3.0.2',324),(4897,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen terveydentilan edistäminen kansallisella, alueellisella tai kunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy. Esim. terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja terveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat tekijät.','Health.Public','Health',23,4690,NULL,'kansanterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Public?v=3.0.2',324),(4898,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, rikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa mm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',41,4724,NULL,'rikollisuus ja lainvalvonta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=3.0.2',324),(4899,'Sisältää mm. ympäristön saastumiseen, ympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',48,4704,NULL,'ympäristönsuojelu ja ympäristöongelmat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=3.0.2',324),(4900,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',54,4730,NULL,'vaalit, ehdokkaat ja kansanäänestykset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=3.0.2',324),(4901,'','NaturalEnvironment',NULL,47,4706,NULL,'LUONTO JA YMPÄRISTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=3.0.2',324),(4902,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät aiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä maaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja liiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',84,4682,NULL,'lähiympäristö, kaupunki- ja maaseutuelämä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=3.0.2',324),(4903,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai terveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä lääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden potilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',18,4717,NULL,'tietyt taudit, sairaudet ja terveydentilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=3.0.2',324),(4904,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.Reproductive','Health',24,4723,NULL,'perhesuunnittelu ja lisääntymisterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.Reproductive?v=3.0.2',324),(4905,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. Eroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, terveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. Huomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'uskonto ja arvot\' tai \'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',71,4748,NULL,'vähemmistöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=3.0.2',324),(4906,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; sosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet näistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',78,4694,NULL,'sosiaalinen käyttäytyminen ja asenteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=3.0.2',324),(4907,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. sukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä haastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; naisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset ominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja valinnoista ja niiden vaikutukset (esim. ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',66,4695,NULL,'sukupuoli ja sukupuoliroolit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=3.0.2',324),(4908,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',36,4699,NULL,'työmarkkinasuhteet ja -järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=3.0.2',324),(4909,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. Asumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä pääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',29,4698,NULL,'asuminen ja asunnot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=3.0.2',324),(4910,'','MediaCommunicationAndLanguage',NULL,42,4737,NULL,'TIEDOTUS, VIESTINTÄ JA KIELI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=3.0.2',324),(4911,'','HousingAndLandUse',NULL,28,4703,NULL,'ASUMINEN JA MAANKÄYTTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=3.0.2',324),(4912,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä laajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä, kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',75,4711,NULL,'sosiaaliturvajärjestelmä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=3.0.2',324),(4913,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',30,4752,NULL,'maankäyttö, suunnittelu ja kaavoitus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=3.0.2',324),(4914,'','LawCrimeAndLegalSystems',NULL,39,4712,NULL,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=3.0.2',324),(4915,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, oppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat ammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalAndTraining','Education',13,4696,NULL,'ammatillinen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalAndTraining?v=3.0.2',324),(4916,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat ja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön liittyvistä loukkaantumisista ja vammoista, käytetään termiä \'työterveys\'.','Health.WoundsAndInjuries','Health',20,4745,NULL,'loukkaantumiset, haavat ja vammat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=3.0.2',324),(4917,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, mielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen tyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen käytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä vanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialServices','SocialWelfarePolicyAndSystems',76,4761,NULL,'sosiaalipalveluiden käyttö ja saatavuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServices?v=3.0.2',324),(4918,'','SocialStratificationAndGroupings',NULL,63,4710,NULL,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=3.0.2',324),(4919,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus. Ei sisällä työharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',35,4697,NULL,'työpaikkakoulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=3.0.2',324),(4920,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko objektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt taudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin diagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen pituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',19,4741,NULL,'terveydentilaan liittyvät oireet, löydökset ja patologiset tilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=3.0.2',324),(4922,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',62,4702,NULL,'biotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=3.0.2',324),(4923,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',69,4675,NULL,'ikääntyneet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=3.0.2',324),(4924,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',68,4756,NULL,'nuoret','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=3.0.2',324),(4925,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,4689,NULL,'maahanmuutto,  maastamuutto ja sisäinen muuttoliike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=3.0.2',324),(4926,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon johtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla parantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain oppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. HUOM! Työpaikan antamasta tai maksamasta koulutuksesta käytetään termiä \'työpaikkakoulutus\'.','Education.LifelongContinuing','Education',14,4740,NULL,'täydennys- ja jatkokoulutus,  elinikäinen oppiminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuing?v=3.0.2',324),(4927,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro jne.), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen. Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten käytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan matkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,91,4719,NULL,'KULKEMINEN, KULJETUS JA LIIKENNE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=3.0.2',324),(4928,'','Economics',NULL,4,4726,NULL,'TALOUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=3.0.2',324),(4929,'','LabourAndEmployment',NULL,31,4714,NULL,'TYÖVOIMA JA TYÖELÄMÄ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=3.0.2',324),(4930,'Käytetään historiallisten aineistojen kohdalla tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan päihteidenkäyttöä 1960-luvulla, käytetään sekä termiä \'historia\' että \'terveyskäyttäytyminen\'.','History',NULL,27,4738,NULL,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=3.0.2',324),(4932,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden väestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu siihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmaantuvuus tietyssä maassa tai tietyllä maantieteellisellä alueella vuoden aikana. Kuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden lukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä maantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. lapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot terveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,4674,NULL,'sairastuvuus ja kuolleisuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=3.0.2',324),(4933,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset suhteet, kansainväliset järjestöt (esim. EU, YK, Maailman terveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset sopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',57,4732,NULL,'kansainvälinen politiikka ja järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=3.0.2',324),(4934,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen. HUOM! Kuntoilusta puhuttaessa käytetään termiä \'terveyskäyttäytyminen\'.','SocietyAndCulture.LeisureTourismSport','SocietyAndCulture',82,4754,NULL,'vapaa-aika, matkailu ja urheilu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismSport?v=3.0.2',324),(4935,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,4755,NULL,'kielet ja kielitiede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=3.0.2',324),(4936,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja päätökset kansallisella, alueellisella tai kunnallisella tasolla. Kenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on sosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää sosiaaliturvapalveluita.  Esimerkkejä: periaate, jonka mukaan ikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista tai päätös, kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä, käytetään myös termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',74,4728,NULL,'sosiaalipolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=3.0.2',324),(4937,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. Esimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset kuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. kuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he tekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin perustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',6,4763,NULL,'kulutus ja kuluttajakäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=3.0.2',324),(4938,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset säädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta ja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',40,4762,NULL,'lainsäädäntö ja oikeusjärjestelmät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=3.0.2',324),(4939,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio taloudellisena, poliittisena ja kulttuurisena toimintana. Esimerkiksi verkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen media, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän tietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa varsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,4733,NULL,'tietoyhteiskunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=3.0.2',324),(4940,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, työttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, työttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',33,4735,NULL,'työttömyys ja työttömät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=3.0.2',324),(4941,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä (kapitalistinen, sosialistinen, markkinatalous). Sisältää myös kehitysyhteistyöhön liittyvät aiheet.','Economics.SystemsAndDevelopment','Economics',9,4727,NULL,'talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.SystemsAndDevelopment?v=3.0.2',324),(4942,'','SocialWelfarePolicyAndSystems',NULL,73,4747,NULL,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=3.0.2',324),(4943,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, vesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai kuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat energialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, vesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',49,4705,NULL,'energia- ja luonnonvarat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=3.0.2',324),(4944,'','ScienceAndTechnology',NULL,60,4692,NULL,'TIEDE JA TEKNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=3.0.2',324),(4945,'','Education',NULL,10,4757,NULL,'KOULUTUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=3.0.2',324),(4946,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja hallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',88,4742,NULL,'yritysten hallinto, johtaminen ja organisaatio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=3.0.2',324),(4947,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',51,4677,NULL,'luonnonmaisemat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=3.0.2',324),(4948,'','Psychology',NULL,59,4721,NULL,'PSYKOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=3.0.2',324),(4949,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',90,4678,NULL,'ulkomaankauppa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=3.0.2',324),(4950,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin liittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! Aiheesta riippuen myös termit \'yleinen terveydentila ja hyvinvointi\', \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'talouden tila ja tunnusluvut\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',79,4749,NULL,'sosiaaliset olot ja indikaattorit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=3.0.2',324),(4951,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja kansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen \'ei kuulu meihin\' -joukkoon (toiseuttaminen). Erilaisten identiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä identiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',81,4701,NULL,'kulttuuri- ja kansallinen identiteetti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=3.0.2',324),(4952,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä sama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia esimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, vallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai sosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta asemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä esimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen integraation puutteesta. Aineistoesimerkkejä: tilastotiedot varallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä ryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus havaituista eroista naisten ja miesten mahdollisuuksissa kohota korkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten koulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityAndInequality','SocialStratificationAndGroupings',64,4684,NULL,'tasa-arvo, eriarvoisuus ja syrjäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityAndInequality?v=3.0.2',324),(4953,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4764,NULL,'yhteiskunnallinen ja sosiaalinen muutos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=3.0.2',324),(4954,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,92,4691,NULL,'MUU AIHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=3.0.2',324),(4955,'','Demography',NULL,0,4760,NULL,'VÄESTÖ, VÄESTÖTILASTOT JA VÄESTÖNLASKENTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=3.0.2',324),(4956,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset konfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. HUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja lainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',58,4751,NULL,'konfliktit, turvallisuus ja rauha','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=3.0.2',324),(4958,'','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',89,4720,NULL,'maa- ja metsätalous, kalastus, maaseutuelinkeinot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=3.0.2',324),(4959,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen poliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys päätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',53,4715,NULL,'poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=3.0.2',324),(4960,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin liikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään uskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',83,4731,NULL,'uskonto ja arvot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=3.0.2',324),(4961,'','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',44,4736,NULL,'mainonta, tiedotus- ja suhdetoiminta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=3.0.2',324),(4962,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',50,4739,NULL,'kasvit ja eläimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=3.0.2',324),(4963,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',70,4734,NULL,'lapset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=3.0.2',324),(4964,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut sanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! Sosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \'tietoyhteiskunta\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',43,4753,NULL,'joukkoviestimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=3.0.2',324),(4965,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, tasa-arvo ja syrjintämääräyksiä, työvoiman kysyntää ja tarjontaa kansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',38,4687,NULL,'työvoima- ja työllisyyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=3.0.2',324),(4966,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka kansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa jo olemassa olevista, terveydenhoitoon liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja tarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',17,4686,NULL,'terveyspalvelut ja terveyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=3.0.2',324),(4967,'','Politics',NULL,52,4744,NULL,'POLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=3.0.2',324),(4968,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, varhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle siirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',34,4679,NULL,'eläkkeelle siirtyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=3.0.2',324),(4969,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. Tunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, työllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien velkaantumisaste, investoinnit, innovaatiotoiminta. Termiä käytetään myös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien taloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',5,4759,NULL,'talouden tila ja tunnusluvut','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=3.0.2',324),(4970,'','TradeIndustryAndMarkets',NULL,87,4729,NULL,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=3.0.2',324),(4972,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',85,4743,NULL,'ajankäyttö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=3.0.2',324),(4973,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',80,4693,NULL,'kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=3.0.2',324),(4974,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin tutkintoihin johtavaan koulutukseen, mukaan lukien lukio, ammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta koulutuksesta käytetään termiä \'ammatillinen koulutus\'.','Education.HigherAndFurther','Education',12,4758,NULL,'toisen ja korkea-asteen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurther?v=3.0.2',324),(4975,'','Health',NULL,16,4716,NULL,'TERVEYS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=3.0.2',324),(4976,'A pre-planned communication between two (or more) people - the interviewer(s) and the interviewee(s) - in which information is obtained by the interviewer(s) from the interviewee(s). If group interaction is part of the method, use \"Focus group\".','Interview',NULL,0,NULL,NULL,'Interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview',325),(4977,'Data collection method in which a live interviewer conducts a personal interview, presenting questions and entering the responses. Use this broader term if not CAPI or PAPI, or if not known whether CAPI/PAPI or not.','Interview.FaceToFace','Interview',1,NULL,NULL,'Face-to-face interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.FaceToFace',325),(4980,'Interview administered on the telephone. Use this broader term if not CATI, or if not known whether CATI or not.','Interview.Telephone','Interview',4,NULL,NULL,'Telephone interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.Telephone',325),(4981,'Computer-assisted telephone interviewing (CATI). The interviewer asks questions as directed by a computer, responses are keyed directly into the computer and the administration of the interview is managed by a specifically designed program.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,NULL,'Telephone interview: Computer-assisted (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.Telephone.CATI',325),(4982,'Interviews conducted via e-mail, usually consisting of several e-mail messages that allow the discussion to continue beyond the first set of questions and answers, or the first e-mail exchange.','Interview.Email','Interview',6,NULL,NULL,'E-mail interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.Email',325),(4983,'An interview conducted via the Internet. For example, interviews conducted within online forums or using web-based audio-visual technology that enables the interviewer(s) and interviewee(s) to communicate in real time.','Interview.WebBased','Interview',7,NULL,NULL,'Web-based interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.WebBased',325),(4984,'Data collection method in which the respondent reads or listens to the questions, and enters the responses by him/herself; no live interviewer is present, or participates in the questionnaire administration. If possible, use a narrower term. Use this broader term if the method is not described by any of the narrower terms - for example, for PDF and diskette questionnaires.','SelfAdministeredQuestionnaire',NULL,8,NULL,NULL,'Self-administered questionnaire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire',325),(4985,'Self-administered survey in which questions are presented to the respondent in the text body of an e-mail or as an attachment to an e-mail, but not as a link to a web-based questionnaire. Responses are also sent back via e-mail, in the e-mail body or as an attachment.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,NULL,'Self-administered questionnaire: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire.Email',325),(4986,'Self-administered survey using a traditional paper questionnaire delivered and/or collected by mail (postal services), by fax, or in person by either interviewer, or respondent.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,NULL,'Self-administered questionnaire: Paper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire.Paper',325),(4987,'Self-administered survey in which the respondents receive the questions incorporated in SMS (text messages) or MMS (messages including multimedia content) and send their replies in the same format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,NULL,'Self-administered questionnaire: Messaging (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire.SMSorMMS',325),(4988,'Computer-assisted web interviewing (CAWI). Data are collected using a web questionnaire, produced with a program for creating web surveys. The program can customize the flow of the questionnaire based on the answers provided, and can allow for the questionnaire to contain pictures, audio and video clips, links to different web pages etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,NULL,'Self-administered questionnaire: Web-based (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire.CAWI',325),(4989,'Computer-assisted self-interview (CASI). Respondents enter the responses into a computer (desktop, laptop, Palm/PDA, tablet, etc.) by themselves. The administration of the questionnaire is managed by a specifically designed program/application but there is no real-time data transfer as in CAWI, the answers are stored on the device used for the interview. The questionnaire may be fixed form or interactive. Includes VCASI (Video computer-assisted self-interviewing), ACASI (Audio computer-assisted self-interviewing) and TACASI (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,NULL,'Self-administered questionnaire: Computer-assisted (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredQuestionnaire.CASI',325),(4990,'A group discussion on a particular topic, organized for research purposes. The individuals are selected with relevance to the topic, and interaction among the participants is used as part of the method.','FocusGroup',NULL,14,NULL,NULL,'Focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#FocusGroup',325),(4991,'The focus group participants meet in person to conduct the discussion.','FocusGroup.FaceToFace','FocusGroup',15,NULL,NULL,'Face-to-face focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#FocusGroup.FaceToFace',325),(4992,'The focus group discussion is conducted over the telephone.','FocusGroup.Telephone','FocusGroup',16,NULL,NULL,'Telephone focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#FocusGroup.Telephone',325),(4993,'The focus group discussion is conducted over the Internet in an interactive manner.','FocusGroup.Online','FocusGroup',17,NULL,NULL,'Online focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#FocusGroup.Online',325),(4994,'Narratives, stories, diaries, and written texts created by the research subject.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,NULL,'Self-administered writings and/or diaries','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredWritingsAndDiaries',325),(4995,'Narratives, stories, diaries, and written texts submitted via e-mail messages.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,NULL,'Self-administered writings and/or diaries: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredWritingsAndDiaries.Email',325),(4996,'Narratives, stories, diaries, and written texts created and collected in paper form.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,NULL,'Self-administered writings and/or diaries: Paper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredWritingsAndDiaries.Paper',325),(4997,'Narratives, stories, diaries, and written texts gathered from Internet sources, e.g. websites, blogs, discussion forums.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,NULL,'Self-administered writings and/or diaries: Web-based','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#SelfAdministeredWritingsAndDiaries.WebBased',325),(4998,'Research method that involves collecting data as they occur (for example, observing behaviors, events, development of condition or disease, etc.), without attempting to manipulate any of the independent variables.','Observation',NULL,22,NULL,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation',325),(4999,'Observation that is conducted in a natural environment.','Observation.Field','Observation',23,NULL,NULL,'Field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Field',325),(5001,'Observation that is conducted in a natural, non-controlled setting without any interaction between the researcher and his/her subjects.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,NULL,'Non-participant field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Field.Nonparticipant',325),(5002,'Observation that is conducted in a controlled, artificially created setting. For example, observing children\'s play in a laboratory playroom.','Observation.Laboratory','Observation',24,NULL,NULL,'Laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Laboratory',325),(5004,'Type of laboratory observation that is conducted without any interaction between the researcher and his/her subjects.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,NULL,'Non-participant laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Laboratory.Nonparticipant',325),(5005,'Type of observation in which data regarding computer usage are being collected by software that can be built into the computer program itself or can be a separate program. Information may be collected about the number of users, the ways in which users interact with the program(s), how much time they spend on a page, how they use specific sections of applications, how they navigate from page to page or from one application to another, etc.','Observation.ComputerBased','Observation',26,NULL,NULL,'Computer-based observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.ComputerBased',325),(5006,'Research method involving the manipulation of some or all of the independent variables included in the hypotheses.','Experiment',NULL,30,NULL,NULL,'Experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Experiment',325),(5007,'An experiment conducted in a controlled, artificially created physical setting, in which a researcher manipulates one or several independent variables and measures its/their effect on the dependent variable.','Experiment.Laboratory','Experiment',31,NULL,NULL,'Laboratory experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Experiment.Laboratory',325),(5008,'An experiment conducted in a natural, uncontrolled setting, in which the researcher manipulates one or several independent variables. Intervention/clinical studies are one example of field experiments.','Experiment.FieldIntervention','Experiment',32,NULL,NULL,'Field/Intervention experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Experiment.FieldIntervention',325),(5009,'An experiment conducted in the virtual setting of the World Wide Web, in which experimental materials are programmed to implement artificial situations or events to be investigated in a distributed environment. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,NULL,NULL,'Web-based experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Experiment.WebBased',325),(5010,'Registering by mechanical or electronic means, in a form that allows the information to be retrieved and/or reproduced. For example, images or sounds on disc or magnetic tape.','Recording',NULL,34,NULL,NULL,'Recording','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Recording',325),(5011,'As a mode of secondary data collection, content coding applies coding techniques to transform qualitative data (textual, video, audio or still-image) originally produced for other purposes into quantitative data (expressed in unit-by-variable matrices) in accordance with pre-defined categorization schemes. For example, coded party manifesto data like the \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,35,NULL,NULL,'Content coding','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#ContentCoding',325),(5012,'Capturing information in writing from a different source, or from a different medium, alphabet, or form of notation, like scientific formulae, or musical notes. For transcribed interviews or observations, it is recommended to document the primary mode of collection, using one of the interview or observation terms.','Transcription',NULL,36,NULL,NULL,'Transcription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Transcription',325),(5013,'Collecting and assembling data from multiple, often heterogeneous sources that have one or more reference points in common, and at least one of the sources was originally produced for other purposes. The data are incorporated in a new entity. For example, providing data on the number of universities in the last 150 years using a variety of available sources (e.g. finance documents, official statistics, university registers), combining survey data with information about geographical areas from official statistics (e.g. population density, doctors per capita, etc.), or using RSS to collect blog posts or tweets, etc.','CompilationSynthesis',NULL,37,NULL,NULL,'Compilation/Synthesis','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#CompilationSynthesis',325),(5014,'Presentation of information in a condensed form, by reducing it to its main points. For example, abstracts of interviews or reports that are published and used as data rather than the full-length interviews or reports.','Summary',NULL,38,NULL,NULL,'Summary','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Summary',325),(5015,'Statistics that relate to broad classes, groups, or categories. The data are averaged, totaled, or otherwise derived from individual-level data, and it is no longer possible to distinguish the characteristics of individuals within those classes, groups, or categories. For example, the number and age group of the unemployed in specific geographic regions, or national level statistics on the occurrence of specific offences, originally derived from the statistics of individual police districts.','Aggregation',NULL,39,NULL,NULL,'Aggregation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Aggregation',325),(5016,'Modeling or imitative representation of real-world processes, events, or systems, often using computer programs. For example, a program modeling household consumption responses to indirect tax changes; or a dataset on hypothetical patients and their drug exposure, background conditions, and known adverse events.','Simulation',NULL,40,NULL,NULL,'Simulation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Simulation',325),(5017,'Assessing specific properties (or characteristics) of beings, things, phenomena, (and/ or processes) by applying pre-established standards and/or specialized instruments or techniques.','MeasurementsAndTests',NULL,41,NULL,NULL,'Measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#MeasurementsAndTests',325),(5018,'Assessment of knowledge, skills, aptitude, or educational achievement by means of specialized measures or tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,NULL,'Educational measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#MeasurementsAndTests.Educational',325),(5019,'Assessment of physical properties of living beings, objects, materials, or natural phenomena. For example, findings from hands-on medical examination (e.g., palpation or auscultation), clinical measurements and lab tests like blood analysis, blood pressure, heart rate, body weight and height, as well as general measurements like time, distance, mass, temperature, force, power, speed, GPS data on physical movement and other physical parameters or variables, like geospatial data.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,NULL,'Physical measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#MeasurementsAndTests.Physical',325),(5020,'Assessment of personality traits or psychological/behavioral responses by means of specialized measures or tests. For example, objective tests like self-report measures with a restricted response format, or projective methods allowing free responses, including word association, sentence or story completion, vignettes, cartoon test, thematic apperception tests, role play, drawing tests, inkblot tests, choice ordering exercises, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,NULL,'Psychological measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#MeasurementsAndTests.Psychological',325),(5021,'Use if the mode of data collection is known, but not found in the list.','Other',NULL,45,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Other',325),(5022,'Paper-and-pencil interviewing (PAPI). The interviewer uses a traditional paper questionnaire to read the questions and enter the answers.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,NULL,'Face-to-face interview: Paper-and-pencil (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.FaceToFace.PAPI',325),(5023,'Computer-assisted personal interviewing (CAPI), or computer-assisted mobile interviewing (CAMI). Data collection method in which the interviewer reads questions to the respondents from the screen of a computer, laptop, or a mobile device like tablet or smartphone, and enters the answers in the same device. The administration of the interview is managed by a specifically designed program/application.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,NULL,'Face-to-face interview: Computer-assisted (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Interview.FaceToFace.CAPIorCAMI',325),(5024,'Type of field observation in which the researcher interacts with the subjects and often plays a role in the social situation under observation.','Observation.Field.Participant','Observation.Field',27,NULL,NULL,'Participant field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Field.Participant',325),(5025,'Type of laboratory observation in which the researcher interacts with the subjects and often plays a role in the social situation under observation. For example, observing children\'s play in a laboratory playroom with the researcher taking part in the play.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,NULL,'Participant laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html#Observation.Laboratory.Participant',325),(5040,'En gruppediskussion om et bestemt emne organiseret til forskningsformål. Individerne vælges med relevans for emnet, og interaktion mellem deltagerne anvendes som en del af metoden.','FocusGroup',NULL,14,NULL,4990,'Fokusgruppe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',326),(5041,'Fokusgruppens deltagere mødes personligt for at gennemføre diskussionen.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Personlig fokusgruppe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',326),(5042,'Fokusgruppediskussionen gennemføres over telefonen.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Telefonfokusgruppe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',326),(5043,'Fokusgruppediskussionen gennemføres over internettet på en interaktiv måde.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Online-fokusgruppe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',326),(5048,'Forskningsmetode, der involverer at indsamle data, som de opstår (for eksempel observering af opførsel, begivenheder, udviklingen af tilstand eller sygdom mm.) uden at forsøge at manipulere de uafhængige variable.','Observation',NULL,22,NULL,4998,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',326),(5049,'Observation, som udføres i et naturligt miljø.','Observation.Field','Observation',23,NULL,4999,'Feltobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',326),(5050,'Type af feltobservation, hvor forskeren interagerer med subjekterne og ofte spiller en rolle i den sociale situation under observation.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Feltobservation med deltager','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',326),(5051,'Observation, der udføres i en naturlig, ikke-kontrolleret opsætning uden nogen interaktion mellem forsker og hans/hendes subjekter. ','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Feltobservation uden deltager','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',326),(5052,'Observation, der udføres i en kontrolleret, kunstig skabt opsætning. For eksempel observering af børns leg i et laboratoriums legerum.','Observation.Laboratory','Observation',24,NULL,5002,'Laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',326),(5053,'Type af laboratorieobservation, hvor forskeren interagerer med subjekterne og ofte spiller en rolle i den sociale situation under observation. For eksempel observering af børns leg i et laboratorielegerum med forskeren, der deltager i legen.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Laboratorieobservation med deltager','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',326),(5054,'Type af laboratorieobservation, der udføres uden nogen interaktion mellem forskeren og hans/hendes subjekter.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Laboratorieobservation uden deltager','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',326),(5055,'Observationstype, hvor data vedrørende computerbrug indsamles af software, der kan indbygges i selve computerprogrammet eller kan være et særskilt program. Oplysninger kan indsamles om antallet af brugere, hvordan brugere interagerer med programmet (programmerne), hvor meget tid de bruger på en side, hvordan de anvender bestemte sektioner af applikationer, hvordan de navigerer fra side til side eller fra en applikation til en anden mm.','Observation.ComputerBased','Observation',26,NULL,5005,'Computerbaseret observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',326),(5056,'Forskningsmetode, der involverer manipulationen af nogle eller alle af de uafhængige variabler inkludereret i hypoteserne.','Experiment',NULL,30,NULL,5006,'Eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',326),(5057,'Et eksperiment udført i en kontrolleret, kunstigt skabt fysisk opsætning, hvor en forsker manipulerer en eller flere uafhængige variabler og måler dens/deres effekt på den afhængige variabel.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laboratorieeksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',326),(5058,'Et eksperiment udført i en naturlig, ukontrolleret opsætning, hvor forskeren manipulerer en eller flere uafhængige variabler. Intervention/kliniske studier er et eksempel på felteksperimenter.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Felt/Interventionseksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',326),(5059,'Et eksperiment udført i den virtuelle opsætning på World Wibe Web, hvor eksperimentelle materialer er programmeret til at implementere kunstige situationer eller begivenheder, der skal undersøges i et spredt miljø. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,NULL,5009,'Webbaseret eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',326),(5060,'Registrering på mekanisk eller elektronisk vis i en form, der muliggør, at information kan genfindes og/eller genskabes. For eksempel billeder eller lyd på disk eller magnetbånd.','Recording',NULL,34,NULL,5010,'Optagelse','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',326),(5061,'Som en metode til sekundær dataindsamling anvender indholdskodning kodningsteknikker til at transformere kvalitative data (tekst, video, lyd eller stillbilleder), der oprindeligt blev produceret til andre formål, til kvantitative data (udtrykt ved enhed-til-variabel-matricer) i overensstemmelse med forhåndsdefinerede kategoriseringsskemaer. For eksempel, kodede partimanifestdata som \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,35,NULL,5011,'Indholdskodning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',326),(5062,'Indfangning af skriftlige oplysninger fra en anden kilde eller fra et andet medium, alfabet eller form for notation, såsom videnskabelige formler eller musikalske noder. For transskriberede interviews eller observationer anbefales det at dokumentere den primære indsamlingsform ved brug af et af interview- eller observationsbetingelserne.','Transcription',NULL,36,NULL,5012,'Transskription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',326),(5063,'Indsamling og samling af data fra flere, ofte heterogene, kilder, der har en eller flere referencepunkter til fælles, og mindst en af kilderne oprindeligt blev produceret til andre formål. Dataene inkorporeres i en ny enhed. For eksempel, give data om antallet af universiteter i de sidste 150 år ved brug af en række af tilgængelige kilder (f.eks. finansielle dokumenter, officielle statistikker, universitetsregistre), kombinere undersøgelsesdata med oplysninger om geografiske områder fra officielle statistikker (f.eks. befolkningstæthed, læger pr. indbygger etc.) eller brug af RSS til at indsamle blogindlæg eller tweets mm.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilering/Syntese','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',326),(5064,'Præsentation af oplysninger i kondenseret form, ved at reducere den til dens hovedpunkter. For eksempel abstracts af interviews eller reporter, der publiceres og anvendes som data frem for interviews og rapporter i fuld længde.','Summary',NULL,38,NULL,5014,'Resumé','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',326),(5065,'Statistik, der vedrører bredere klasser, grupper eller kategorier. Dataene er i gennemsnit, summeret eller på anden vis afledt af data på individuelt niveau, og det er ikke længere muligt at adskille individers karakteristika inden for disse klasser, grupper eller kategorier. For eksempel antallet eller aldersgruppen for de ledige i en bestemt geografisk region eller statistik på et nationalt plan om forekomsten af specifikke lovovertrædelser, der oprindeligt er afledt af statistikkerne for de enkelte politidistrikter.','Aggregation',NULL,39,NULL,5015,'Aggregering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',326),(5066,'Modellering eller imitativ repræsentation af processer i den virkelige verden, hændelser eller systemer, ofte ved brug af computerprogrammer. For eksempel et program, der modellerer husholdningsforbrug, som responderer til indirekte skatteændringer; eller et datasæt om hypotetiske patienter og deres lægemiddeleksponering, baggrundsforhold og kendte bivirkninger.','Simulation',NULL,40,NULL,5016,'Simulation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',326),(5067,'Vurdere specifikke egenskaber (eller karakteristika) af væsener, ting, fænomener (og/eller processer) ved at anvende forudbestemte standarder og/eller specialiserede instrumenter eller teknikker.','MeasurementsAndTests',NULL,41,NULL,5017,'Målinger og tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',326),(5068,'Vurdering af viden, færdigheder, egnethed eller uddannelsesmæssig præstation ved brug af specialiserede målinger eller tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Udannelsesmæssige målinger og tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',326),(5069,'Vurdering af fysiske egenskaber hos levende væsener, objekter, materialer eller naturlige fænomener. For eksempel resultater fra praktisk lægeundersøgelse (f.eks. palpation eller auskultation), kliniske målinger og laboratorietests såsom blodanalyse, blodtryk, hjerterytme, kropsvægt og højde, såvel som generelle målinger såsom tid, afstand, masse, temperatur, styrke, kraft, hastighed, GPS-data om fysisk bevægelse og andre fysiske parametre eller variabler, såsom geospatiale data.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Fysiske målinger og tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',326),(5070,'Vurdering af personlighedskarakterer eller psykologiske/adfærdsmæssige reaktioner ved hjælp af specialiserede målinger og tests. For eksempel objektive tests såsom selvrapporterende målinger med et begrænset responsformat eller projektive metoder, der tillader fri respons, inklusiv associering af ord, sætninger eller historiefærdiggørelse, vignetter, tegneserietests, tematiske accerceptionstests, rollespil, tegnetests, blækklattests, øvelser om valgprioritering mm.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Psykologiske målinger og tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',326),(5071,'Anvend, hvis dataindsamlingsmåden er kendt, men ikke findes på listen.','Other',NULL,45,NULL,5021,'Andet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',326),(5086,'Eine für Forschungszwecke organisierte Gruppendiskussion zu einem bestimmten Thema. Individuen mit Bezug zum Thema werden ausgewählt, und die Interaktion zwischen den Teilnehmern wird als Teil der Methode verwendet.','FocusGroup',NULL,14,NULL,4990,'Fokusgruppe',NULL,327),(5087,'Die Fokusgruppenteilnehmer treffen sich persönlich zur Diskussion.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Fokusgruppe: Persönlich',NULL,327),(5088,'Die Fokusgruppendiskussion wird über das Telefon durchgeführt.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Fokusgruppe: Telefonisch',NULL,327),(5089,'Die Fokusgruppendiskussion wird interaktivüber das Internet durchgeführt.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Fokusgruppe: Online',NULL,327),(5094,'Forschungsmethode, die das Sammeln von Daten beinhaltet, wie sieauftreften(z. B. Beobachtung von Verhaltensweisen, Ereignissen, Entwicklung vonZustandoder Krankheit usw.), ohne zu versuchen, eine der unabhängigen Variablen zu manipulieren.','Observation',NULL,22,NULL,4998,'Beobachtung',NULL,327),(5095,'Beobachtung, die in einer natürlichen Umgebung durchgeführt wird.','Observation.Field','Observation',23,NULL,4999,'Feldbeobachtung',NULL,327),(5096,'Eine Art der Feldbeobachtung, in der der Forscher mit den Probanden interagiert und oft selbst eine Rolle in der sozialen Situation unter Beobachtung einnimmt.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Teilnehmende Feldbeobachtung',NULL,327),(5097,'Beobachtung, die in einer natürlichen, nicht kontrollierten Umgebung durchgeführt wird - ohne jegliche Interaktion zwischen dem/der Forscher/in und seinen/ihren Probanden.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Nicht-teilnehmende Feldbeobachtung',NULL,327),(5098,'Beobachtung, die in einer kontrollierten, künstlich geschaffenen Umgebung durchgeführt wird. Zum Beispiel, das Spielen der Kinder in einem Labor-Spielzimmer beobachten.','Observation.Laboratory','Observation',24,NULL,5002,'Beobachtung in künstlicher Situation',NULL,327),(5099,'Eine Art der Laborbeobachtung, in der der Forscher mit den Probanden interagiert und oft selbst ein Rolle in der gesellschaftlichen Situation unter Beobachtung einnimmt. Zum Beispiel, dasBeobachtenspielender Kinder in einem Labor-Spielzimmer,wobeider Forscher selbst amSpielteilnimmt.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Teilnehmende Beobachtung in künstlicher Situation',NULL,327),(5100,'Eine Art der Laborbeobachtung, die ohne jegliche Interaktion zwischen dem/der Forscher/in und seinen/ihren Probanden durchgeführt wird.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Nicht-teilnehmende Beobachtung in künstlicher Situation',NULL,327),(5101,'Eine Art der Beobachtung, bei der Daten bezüglich der Computer-Nutzung von einer Software gesammelt werden, die in das Computerprogramm selbst eingebaut werden oder ein separates Programm sein kann. Es können Informationen über die Anzahl der Nutzer, die Art und Weise, wie Nutzer mit dem/denProgramm/eninteragieren, wie viel Zeit sie auf einer Seite verbringen, wie sie bestimmte Abschnitte von Anwendungen verwenden, wie sie von Seite zu Seite oder von einer Anwendung zur anderen navigieren etc. gesammelt werden.','Observation.ComputerBased','Observation',26,NULL,5005,'Computer-basierte Beobachtung',NULL,327),(5102,'Forschungsmethode, die die Manipulation einiger oder aller der in den Hypothesen enthaltenen unabhängigen Variablen beinhaltet.','Experiment',NULL,30,NULL,5006,'Experiment',NULL,327),(5103,'Ein Experiment, das in einer kontrollierten, künstlich erzeugten Umgebung durchgeführt wird, in der ein Forscher eine oder mehrere unabhängige Variablen manipuliert und ihre Wirkung auf die abhängige Variable misst.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laborexperiment',NULL,327),(5104,'Ein Experiment, das in einernatürlichen, unkontrollierten Umgebung, in der der Forscher eine oder mehrere unabhängige Variablen manipuliert, durchgeführtwird. Interventions-/klinische Studien sind ein Beispiel für Feldexperimente.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Feld-/Interventionsexperiment',NULL,327),(5105,'Ein Experiment, das in der virtuellen Umgebung des World Wide Web durchgeführt wird, in dem experimentelle Materialien programmiert werden, um künstliche Situationen oder Ereignisse zu implementieren, die in einer verteilten Umgebung untersucht werden sollen.','Experiment.WebBased','Experiment',33,NULL,5009,'Web-basiertes Experiment',NULL,327),(5106,'Aufzeichnungen, getätigt durch mechanische oder elektronische Mittel, die das Abrufen und/oder Reproduzieren von Informationen ermöglichen. Zum Beispiel Bilder oder Töne auf Magnetplatte oder Band.','Recording',NULL,34,NULL,5010,'Aufzeichnung (mechanisch/elektronisch)',NULL,327),(5107,'Als eine Art der Sekundärdatensammlung, setzt Inhaltscodierung Codierungstechniken ein, um qualitative Daten (Text-, Video-, Audio oder Standbild ), die ursprünglich für andere Zwecke produziert wurden, in quantitative Daten (ausgedrückt in einer Unit-by-Variable Matrix) nach einem zuvor erstellten Kategorienschema umzuwandeln. Zum Beispiel kodierte Parteiprogrammdaten wie \'European Parliament Election Study 2009, Manifesto Study\' (doi:10.4232/1.10204)','ContentCoding',NULL,35,NULL,5011,'Inhaltscodierung',NULL,327),(5108,'Erfassen von Informationen in schriftlicher Form aus unterschiedlichen Quellen, odereinemanderenMedium, Alphabet oder Notationsform, wie wissenschaftliche Formeln oder Musiknoten. Für transkribierte Interviews oder Beobachtungen empfiehlt es sich, die primäre Art der Erhebung unter Verwendung der Begriffe aus dem Interview oder der Beobachtung zu dokumentieren.','Transcription',NULL,36,NULL,5012,'Transkription',NULL,327),(5109,'Sammeln und Zusammenfügen von Daten aus mehreren, oft heterogenen Quellen, die einen oder mehrere Bezugspunkt/e gemeinsam haben, und mindestens eine der Quellen wurde ursprünglich für andere Zwecke hergestellt. Die Daten bilden eine neue Dateneinheit. Zum Beispiel kann zur Bereitstellung der Daten zur Anzahl der Universitäten in den letzten 150 Jahren eine Vielzahl an verfügbaren Quellen genutzt werden (z. B. Finanzdokumente, amtliche Statistiken, Universitätsregister), Umfragedaten können mit Informationen über geografische Regionen aus der amtlichen Statistik kombiniert werden (z. B. Bevölkerungsdichte , Ärzte pro-Kopf, etc.), oder es können RSS genutzt werden, um Blog, Posts oder Tweets zu sammeln, usw.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilation/Synthese',NULL,327),(5110,'Darstellung von Informationen in komprimierter Form, indem man diese auf ihre wichtigsten Punkte reduziert. Zum Beispiel Zusammenfassungen von Interviews oder Berichten, die veröffentlicht und als Daten genutzt werden, anstatt der Interviews oder Berichte in deren vollen Länge.','Summary',NULL,38,NULL,5014,'Zusammenfassung',NULL,327),(5111,'Statistiken, die sich auf breite Klassen, Gruppen oder Kategorien beziehen. Die Daten werden gemittelt, summiert oder anderweitig aus Individualdaten abgeleitet, und es ist nicht mehr möglich, die Merkmale von Individuen innerhalb dieser Klassen, Gruppen oder Kategorien zu unterscheiden. Zum Beispiel, die Anzahl und Altersgruppe von Arbeitslosen in bestimmten geografischen Regionen, oder Statistiken auf nationaler Ebene über das Auftreten von spezifischen Straftaten, die ursprünglich aus der Statistik der einzelnen Polizeibezirke abgeleitet wurden.','Aggregation',NULL,39,NULL,5015,'Aggregation',NULL,327),(5112,'Modellieren oder Nachahmen von realen Prozessen, Ereignissen oder Systemen, oft unter Anwendung von Computerprogrammen. Zum Beispiel, ein Programm, dasdie Reaktion des Haushaltskonsums auf indirekte Steuerveränderungenmodelliert;oder ein Datensatz über hypothetische Patienten und ihren Umgang mit Drogen, ihren Hintergrund und bekannte Nebenwirkungen.','Simulation',NULL,40,NULL,5016,'Simulation',NULL,327),(5113,'Beurteilung von spezifischen Eigenschaften (oder Merkmalen) von Lebewesen,Dingen, Phänomenen, (und/oder Prozessen) durch Anwendung vorgegebener Standards und/oder spezialisierter Instrumente oder Techniken.','MeasurementsAndTests',NULL,41,NULL,5017,'Messungen und Tests',NULL,327),(5114,'Beurteilung von Wissen, Fähigkeiten, Eignung oder Bildungsleistung durch fachkundige Messungen oder Tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Messungen und Tests: Leistungs- und Kompetenztests',NULL,327),(5115,'Beurteilung der physischen Eigenschaften von Lebewesen, Gegenständen, Materialien oder Naturphänomenen. Zum Beispiel Erkenntnisse aus der praktischen medizinischen Untersuchung (z. B. Abtasten oder Abhören), klinische Messungen und Labortests wie Blutanalyse, Blutdruck, Herzfrequenz, Körpergewicht und Körpergröße sowie allgemeine Messungen wie Zeit, Distanz, Masse, Temperatur, Kraft, Stärke, Geschwindigkeit, GPS-Daten über physische Bewegung und andere physische Parameter oder Variablen, wie Geodaten.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Messungen und Tests: Physische Tests',NULL,327),(5116,'Beurteilung von Persönlichkeitsmerkmalen oder psychologischen Reaktionen/Verhaltensreaktionen durch fachkundige Messungen oder Tests. Zum Beispiel objektive Tests wie Selbstbericht mit eingeschränktem Antwortformat oder projektiven Methoden, die freie Äußerungen erlauben, einschließlich Wortassoziationen, Vollendung des Satzes oder einer Geschichte, Vignetten, Karikaturtests, thematische Auffassungstests, Rollenspiele, Zeichentests, Tintenklecks-tests, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Messungen und Tests: Psychologische Tests',NULL,327),(5117,'Verwenden Sie diese Kategorie,wenn die Art der Datenerhebung bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,45,NULL,5021,'Andere',NULL,327),(5132,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Ryhmän osanottajat valitaan aiheen mukaan ja osanottajien välinen vuorovaikutus on osa tutkimuskohdetta.','FocusGroup',NULL,14,NULL,4990,'Kohderyhmäkeskustelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',328),(5133,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään kasvokkain.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Kohderyhmäkeskustelu: kasvokkainen keskustelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',328),(5134,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään puhelimen välityksellä.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Kohderyhmäkeskustelu: puhelinkeskustelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',328),(5135,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään verkossa.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Kohderyhmäkeskustelu: verkkokeskustelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',328),(5140,'Keruumenetelmä, jossa tarkkaillaan tapahtumia, käyttäytymistä, vuorovaikutusta jne. niiden tapahtuessa, ilman minkään riippumattoman muuttujan manipulointia.','Observation',NULL,22,NULL,4998,'Havainnointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',328),(5141,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Käytä termiä mikäli ei tiedossa onko osallistuvaa vai ei-osallistuvaa.','Observation.Field','Observation',23,NULL,4999,'Havainnointi: kenttähavainnointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',328),(5142,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Tutkija on vuorovaikutuksessa tutkittavien kanssa ja hänellä on usein jokin rooli tutkinnan kohteena olevassa sosiaalisessa tilanteessa.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Havainnointi: kenttähavainnointi: osallistuva','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',328),(5143,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Tutkija ja tutkittavat eivät ole lainkaan vuorovaikutuksessa keskenään. Kutsutaan myös suoraksi tai ulkopuoliseksi kenttähavainnoinniksi.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Havainnointi: kenttähavainnointi: ei-osallistuva','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',328),(5144,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa tai ympäristössä. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa. Käytä tätä termiä mikäli ei ole tiedossa onko laboratoriohavainnointi osallistuvaa vai ei-osallistuvaa.','Observation.Laboratory','Observation',24,NULL,5002,'Havainnointi: laboratoriohavainnointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',328),(5145,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa. Tutkija on vuorovaikutuksessa tutkittavien kanssa ja hänellä on usein jokin rooli tutkimuksen kohteena olevassa sosiaalisessa tilanteessa. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa, jossa tutkija ottaa osaa leikkiin.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Havainnointi: laboratoriohavainnointi: osallistuva','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',328),(5146,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa. Tutkija ei ole missään vuorovaikutuksessa tutkittavien kanssa. Kutsutaan myös tarkkailevaksi laboratoriohavainnoinniksi. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa, jossa tutkija ei ota osaa leikkiin.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Havainnointi: laboratoriohavainnointi: ei-osallistuva','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',328),(5147,'Havainnointimenetelmä, jossa kerätään tietoa ihmisten tietokoneen käytöstä ohjelmallisesti. Havainnointiohjelma voi olla sisäänrakennettu tietokoneohjelmaan tai se voi olla erillinen ohjelma. Tietoa voidaan kerätä käyttäjien määristä, heidän tavoistaan käyttää ohjelmaa ja sen toimintoja, navigoinnista jne.','Observation.ComputerBased','Observation',26,NULL,5005,'Havainnointi: tietokonepohjainen havainnointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',328),(5148,'Tutkimusasetelma, jossa tutkimushypoteesin mukaisesti manipuloidaan yhtä tai useampaa riippumatonta muuttujaa.','Experiment',NULL,30,NULL,5006,'Kontrolloitu koe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',328),(5149,'Kontrolloidussa, tarkoitusta varten luodussa ympäristössä suoritettu koe, jossa tutkija(t) manipuloivat yhtä tai useampaa riippumatonta muuttujaa ja mittaavat sen vaikutusta riippuvaan muuttujaan.','Experiment.Laboratory','Experiment',31,NULL,5007,'Kontrolloitu koe: laboratoriokoe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',328),(5150,'Luonnollisessa, kontrolloimattomassa ympäristössä suoritettu koe, jossa tutkija(t) manipuloivat yhtä tai useampaa riippumatonta muuttujaa. Esimerkkejä: kliiniset tutkimukset.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Kontrolloitu koe: kenttä- tai interventiokoe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',328),(5151,'Internetissä toteutettu kokeellinen tutkimus, jossa on ohjelmallisesti luotu keinotekoisia virtuaalisia ympäristöjä tai tapahtumia tutkimusta varten. Esimerkki: Keinotekoisen kielen oppimiskoe, virtuaalisen pelikäyttäytymisen koe.','Experiment.WebBased','Experiment',33,NULL,5009,'Kontrolloitu koe: virtuaalinen koe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',328),(5152,'Aineiston taltioiminen mekaanisesti tai elektronisesti tavalla, joka mahdollistaa sen kuuntelun, katselun tai monistamisen. Sisältää mm. valokuvien, videon tai äänen taltioimisen. Esimerkki: Kokousten tai vastaanottojen videoiminen ilman tutkijan läsnäoloa, valokuvista muodostuva aineisto.','Recording',NULL,34,NULL,5010,'Taltiointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',328),(5153,'Jo olemassa olevasta, alun perin toisiin tarkoituksiin luodusta kvalitatiivisesta aineistosta (esim. tekstiaineistot, ääni- ja kuvatiedostot, valokuvat) muodostetaan kvantitatiivinen aineisto (matriisi) sovittua koodausohjetta käyttäen. Esimerkki: sanomalehtiartikkeleiden sisällön luokittelu annettujen kriteerien mukaan.','ContentCoding',NULL,35,NULL,5011,'Sisällönkoodaus','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',328),(5154,'Informaation siirtäminen käsin kirjaamalla toisesta lähteestä tai toisesta formaatista, muodosta tai aakkosjärjestelmästä. Esimerkki: Musiikin esittäminen nuotteina, kemialliset kaavat. Jos aineisto muodostuu havaintomuistiinpanoista tai haastattelulitteroinneista, suositellaan kuvattavaksi ensisijainen keruumenetelmä käyttämällä sopivaa havainnointi- tai haastattelutermiä.','Transcription',NULL,36,NULL,5012,'Litterointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',328),(5155,'Tietojen kerääminen ja kokoaminen useista, usein heterogeenisistä lähdemateriaaleista, joilla yksi tai useampi yhteinen referenssi. Ainakin yksi lähteistä on olemassa valmiina jo ennestään muita tarkoituksia varten. Kerätyt tiedot yhdistetään uudeksi tutkimusaineistoksi. Esimerkkejä: Tiedon kerääminen suomalaisten yliopistojen historiasta käyttämällä monia eri lähteitä, tai kyselytutkimuksen tietojen yhdistäminen muista tietolähteistä saatuihin tietoihin.','CompilationSynthesis',NULL,37,NULL,5013,'Kooste- tai synteesiaineisto','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',328),(5156,'Tietoa kerätään muodostamalla yhteenveto tai tiivistelmä olennaisista seikoista. Esimerkiksi: Haastatteluista ei tehdä translitteraatioita vaan aineisto muodostuu haastattelujen tiivistelmistä, tai sanomalehtiuutisisten aiheista muodostetaan aineisto tiivistämällä ne pariin lauseeseen. Mikäli kvalitatiivisesta lähdeaineistosta muodostetaan kvantitatiivinen aineisto, käytä termiä \'Sisällönkoodaus\'.','Summary',NULL,38,NULL,5014,'Yhteenveto,  lyhennelmä tai tiivistelmä','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',328),(5157,'Tilastollinen tieto, jossa yksittäisiä havaintoyksiköitä koskevat tiedot ovat keskiarvoistettu, yhteenlaskettu tai jotenkin muuten yhdistetty laajempaa ryhmää koskevaksi tiedoksi siten, että yksittäisen havaintoyksiköiden tiedot eivät ole enää erotettavissa. Esimerkkejä: Kansallinen rikostilasto, joka yhteenlaskettu yksittäisten poliisipiirien tilastoista, tai kuukausittainen hintaindeksi, joka on keskiarvo yksittäisten hyödykkeiden hinnoista.','Aggregation',NULL,39,NULL,5015,'Aggregointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',328),(5158,'Todellisten prosessien, tapahtumien ja systeemien piirteiden tai mahdollisen muuttumisen tutkiminen mallintamalla, usein tietokoneohjelmia käyttäen.','Simulation',NULL,40,NULL,5016,'Simulointi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',328),(5159,'Ihmisten ja muiden elollisten olioiden, esineiden, materiaalien ja ilmiöiden ominaisuuksien mittaaminen käyttäen etukäteen määriteltyjä standardeja tai tarkoitukseen kehitettyjä mittareita ja tekniikoita.','MeasurementsAndTests',NULL,41,NULL,5017,'Mittaukset ja testit','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',328),(5160,'Mittaamalla tai testaamalla saadut tiedot tutkittavien tietotasosta, synnynnäisistä taipumuksista, soveltuvuudesta tai oppimistuloksista. Esimerkkejä: PISA-testit, ylioppilaskokeiden tulokset, yhteiskunnallisen tietämyksen mittari, tai kielellistä tai matemaattista lahjakkuutta mittaavat testit.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Mittaukset ja testit: tietämyksen, taipumusten, soveltuvuuden ja oppimistulosten mittaaminen','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',328),(5161,'Ihmisten ja muiden elollisten olioiden, esineiden, materiaalien ja luonnonilmiöiden fyysisten ominaisuuksien mittaaminen. Esimerkkejä: verenpaine, paino ja pituus, voima, etäisyys, lämpötila, nopeus, seismografiset mittaukset, GPS-koordinaatit.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Mittaukset ja testit: fyysisten ominaisuuksien mittaaminen','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',328),(5162,'Luonteenpiirteiden ja käyttäytymismallien tutkiminen tarkoitusta varten kehitettyjen testien avulla. Esimerkiksi: Luonteenpiirteiden itseraportointi, eläytymismenetelmät. Tarvittaessa voidaan käyttää yhdessä muiden aineistonkeruumenetelmätermien kanssa (esimerkiksi masentuneisuusaste-testi osana kyselylomaketta).','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Mittaukset ja testit: psykologisten ominaisuuksien mittaaminen','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',328),(5163,'Käytä mikäli keruumenetelmä on tiedossa, mutta ei sanastossa. Lisää tarkempi selostus.','Other',NULL,45,NULL,5021,'Muu keruumenetelmä','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',328),(5178,'En gruppediskusjon som omhandler et bestemt tema, organisert for forskningsformål. Individene er valgt med relevans til temaet og samhandlingen mellom deltakerne er brukt som en del av metoden.','FocusGroup',NULL,14,NULL,4990,'Fokusgruppe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',329),(5179,'Deltakerne i fokusgruppen møtes fysisk for å gjennomføre diskusjonen.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Fokusgruppe: Ansikt til ansikt','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',329),(5180,'Fokusgruppediskusjonen er gjennomført over telefonen.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Fokusgruppe: Telefon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',329),(5181,'Fokusgruppediskusjonen er gjennomført over internett på en interaktiv måte.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Fokusgruppe: Online','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',329),(5186,'Forskningsmetode som innebærer å samle inn data etterhvert som de opptrår (for eksempel, observere atferd, hendelser, utviklingen av helsetilstand eller sykdom, etc.) uten å prøve å manipulere noen av de uavhengige variablene.','Observation',NULL,22,NULL,4998,'Observasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',329),(5187,'Observasjon som utføres i et naturlig miljø.','Observation.Field','Observation',23,NULL,4999,'Feltobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',329),(5188,'Type feltobservasjon hvor forskeren samhandler og ofte spiller en rolle i de sosiale situasjonene som observeres.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Deltagende feltobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',329),(5189,'Observasjon som er gjennomført i et naturlig, ikke kontrollert miljø uten interaksjon mellom forskeren og studieobjektene.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Ikke-deltagende feltobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',329),(5190,'Observasjon som er utført i et kontrollert, kunstig konstruert miljø. For eksempel observasjon av barns lek i et lekerom i laboratoriet.','Observation.Laboratory','Observation',24,NULL,5002,'Laboratorieobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',329),(5191,'En type laboratorieobservasjon hvor forskeren samhandler med forskningsobjektene, og ofte spiller en rolle i den sosiale situasjonen som er under observasjon. For eksempel observere barns lek i et lekerom i laboratoriet, der forsker deltar i leken.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Deltagende laboratorieobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',329),(5192,'En type laboratorieobservasjon som blir gjennomført uten interaksjon mellom forskeren og studieobjektene.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Ikke-deltagende laboratorieobservasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',329),(5193,'Type observasjon hvor data om datamaskinbruk blir samlet av program som kan være inkludert i dataprogrammet en ønsker informasjon om, eller kan forekomme som et eget program. Informasjon om antall brukere, måten brukere samhandler med program(met/mene), hvor mye tid de bruker på siden, hvordan de bruker bestemte deler av en applikasjon, hvordan de navigerer fra side til side eller fra en applikasjon til en annen etc., kan bli samlet.','Observation.ComputerBased','Observation',26,NULL,5005,'Datamaskinbasert observasjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',329),(5194,'Forskningsmetode som innebærer manipulering av noen eller alle de uavhengige variablene inkludert i hypotesene.','Experiment',NULL,30,NULL,5006,'Eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',329),(5195,'Et eksperiment som utføres i et kontrollert, kunstig utformet miljø, hvor forskeren manipulerer én eller flere av de uavhengige variablene og måler effekten det har på den avhengige variabelen.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laboratorieeksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',329),(5196,'Et eksperiment som utføres i et naturlig, ukontrollert miljø, hvor forskeren manipulerer én eller flere av de uavhengige variablene. Intervensjon/kliniske studier er et eksempel på felteksperiment.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Felt/felteksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',329),(5197,'Et eksperiment som utføres i et vituelt miljø på internett (World Wide Web), hvor eksperimentelt materiale er programmert til å sette i gang kunstige situasjoner eller hendelser som kan undersøkes i et gitt miljø. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,NULL,5009,'Webbasert eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',329),(5198,'Mekanisk eller elektronisk registrering i et format som gjør det mulig å gjeninnhente og/eller gjenskape informasjonen. For eksempel bilder eller lyd på disk eller magnetbånd.','Recording',NULL,34,NULL,5010,'Opptak','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',329),(5199,'Som metode for sekundær datainnsamling, innholdskoding omfatter kodeteknikker for å omgjøre kvalitative data (tekst, video, lyd eller bilde), som opprinnelig var utarbeidet for andre formål, til kvantitative data (uttrykket i en matrise med enheter og variabler) i henhold til bestemte kategoriseringssystem. For eksempel, kodede partimanifesto som i \'European Parliament Election Study 2009, Manifesto Study\' (doi:10.4232/1.10204).','ContentCoding',NULL,35,NULL,5011,'Innholdskoding','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',329),(5200,'Nedtegning av informasjon i skrift fra en annen kilde, eller et annet medium, alfabet, eller fra notasjoner, som vitenskapelige formler, eller musikknoter. For transkriberte intervju eller observasjoner er det anbefalt å dokumentere den opprinnelige formen for datainnsamling, ved å bruke et av intervju- eller observasjonsbegrepene.','Transcription',NULL,36,NULL,5012,'Transkripsjon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',329),(5201,'Innsamling og sammensetting av data fra flere, ofte heterogene, kilder som har en eller flere felles referansepunkter, og minst én av kildene var opprinnelig utarbeidet for andre formål. Dataene blir integrert i en ny enhet. For eksempel utarbeide data om antallet universitet de siste 150 årene ved å bruke flere tilgjengelige kilder (e.g. finansdokumenter, offisiell statistikk, universitetsregistre), kombinere spørreundersøkelsesdata med informasjon om geografiske områder fra offisiell statistikk (e.g. befolkningstetthet, antall leger per innbygger, etc.), eller bruke RSS for å samle blogginnlegg eller tweets etc.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilering/Syntese','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',329),(5202,'Presentasjon av informasjon i en konsentrert form, ved å redusere den til dens hovedpoeng. For eksempel, sammendrag av intervjuer eller rapporter som er publisert og brukt som data til fordel for de fulle intervjuene eller rapportene.','Summary',NULL,38,NULL,5014,'Sammendrag','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',329),(5203,'Statistikk som relateres til store klasser, grupper eller kategorier. Dataene er tatt gjennomsnittet av, summert, eller på andre måter utvunnet av data på individnivå, og det er ikke lengre mulig å skille mellom egenskapene til individer innad i disse klassene, gruppene eller kategoriene. For eksempel, antallet og aldersgruppen til de arbeidsledige i bestemte regioner, eller statistikk på nasjonalt nivå om forekomsten av bestemte overtredelser, opprinnelig utarbeidet fra statistikk om individuelle politidistrikt.','Aggregation',NULL,39,NULL,5015,'Aggregering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',329),(5204,'Modellering eller etterlignende representasjon av virkelige prosesser, hendelser eller systemer, ofte ved bruk av dataprogrammer. For eksempel et program som modellerer hvordan en husholdnings forbruk svarer på endringer i indirekte skatter; eller et datasett om hypotetiske pasienter og deres eksponering for narkotiske stoffer, bakgrunnsforhold, og kjente ugunstige hendelser.','Simulation',NULL,40,NULL,5016,'Simulering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',329),(5205,'Vurdering av bestemte egenskaper (eller karakteristika) ved vesener, ting, fenomen (og/eller prosesser) ved å anvende forutbestemte standarder og/eller spesialiserte instrumenter eller teknikker.','MeasurementsAndTests',NULL,41,NULL,5017,'Målinger og tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',329),(5206,'Vurdering av kunnskap, ferdighet, egnethet, eller utdanningsoppnåelser ved spesialiserte mål eller tester.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Pedagogiske målinger og tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',329),(5207,'Vurdering av fysiske egenskaper hos levende vesener, objekter, materiale, eller naturlige fenomen. For eksempel, funn fra fysiske medisinske undersøkelser (e.g., palpasjon eller auskultasjon), kliniske mål og laboratorietester som blodanalyse, blodtrykksmål, hjerterytme, kroppsvekt og høyde, og generelle mål som tid, distanse, masse, temperatur, kraft, energi, fart, GPS data på fysisk bevegelse og andre mål på fysiske parameter eller variabler.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Fysiske målinger og tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',329),(5208,'Vurdering av personlighetstrekk eller psykologiske/atferdsmessige reaksjoner ved bruk av spesialiserte mål og tester. For eksempel, objektive tester som selvrapporteringsmål med mer begrenset svarformat, eller projektive metoder som gjør det mulig å svare helt fritt, inkludert ordassosiasjon, setning eller fortellingsfullføring, korte beskrivelser, tematiske appersepsjonstester, rollespill, tegnetester, blekk-kladd tester, prioriteringsøvelser etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Psykologiske målinger og tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',329),(5209,'Bruk dersom metode for datainnsamling er kjent, men ikke finnes i listen.','Other',NULL,45,NULL,5021,'Annet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',329),(5224,'Skupinska razprava o določeni temi, organizirana za raziskovalne namene. Posamezniki so izbrani glede na temo, interakcija med udeleženci pa se uporablja kot del metode.','FocusGroup',NULL,14,NULL,4990,'Fokusna skupina','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',330),(5225,'Udeleženci fokusne skupine se osebno sestanejo za vodenje razprave.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Fokusna skupina v živo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',330),(5226,'Fokusna skupina, kjer razprava poteka preko telefona.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Telefonska fokusna skupina','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',330),(5227,'Fokusna skupina, kjer razprava poteka preko spleta na interaktiven način.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Spletna fokusna skupina','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',330),(5232,'Raziskovalna metoda, ki vključuje zbiranje podatkov, ko se pojavijo (npr. opazovanje vedenj, dogodkov, razvoja stanja ali bolezni itd.), ne da bi poskušali manipulirati s katero od neodvisnih spremenljivk.','Observation',NULL,22,NULL,4998,'Opazovanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',330),(5233,'Opazovanje, ki se izvaja v naravnem okolju.','Observation.Field','Observation',23,NULL,4999,'Opazovanje na terenu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',330),(5234,'Vrsta opazovanja, kjer je raziskovalec v interakciji z raziskovalnim subjektom in pogosto igra vlogo v opazovani družbeni situaciji.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Opazovanje na terenu z udeležbo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',330),(5235,'Opazovanje, ki se izvaja v naravnem, nekontroliranem okolju brez kakršnekoli interakcije med raziskovalcem in njegovimi/njenimi subjekti.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Opazovanje na terenu brez udeležbe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',330),(5236,'Opazovanje, ki se izvaja v nadzorovanem, umetno ustvarjenem okolju. Na primer, opazovanje otroške igre v laboratorijski igralnici.','Observation.Laboratory','Observation',24,NULL,5002,'Laboratorijsko opazovanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',330),(5237,'Vrsta laboratorijskega opazovanja, kjer je raziskovalec v interkaciji s subjekti in pogosto igra vlogo v opazovani družbeni situaciji. Na primer, opazovanje otroške igre v laboratorijski igralnici, kjer ima raziskovalec vlogo v igri.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Laboratorijsko opazovanje z udeležbo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',330),(5238,'Vrsta laboratorijskega opazovanja, ki se izvaja brez kakršnekoli interakcije med raziskovalcem in njegovimi/njenimi subjekti.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Laboratorijsko opazovanje brez udeležbe','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',330),(5239,'Vrsta opazovanja, kjer se podatki o uporabi računalnika zbirajo s programsko opremo, ki se jo lahko vgradi v sam računalniški program ali pa predstavlja ločen program. Lahko se zbirajo informacije o številu uporabnikov, o načinih interakcije uporabnikov z računalniškim(i) programom(-mi), koliko časa porabijo na strani, kako uporabljajo določene dele aplikacije, kako krmarijo po straneh ali med aplikacijami itd.','Observation.ComputerBased','Observation',26,NULL,5005,'Računalniško podprto opazovanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',330),(5240,'Raziskovalna metoda, ki vključuje manipulacijo nekaterih ali vseh neodvisnih spremenljivk, vključenih v hipoteze.','Experiment',NULL,30,NULL,5006,'Eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',330),(5241,'Eksperiment, ki se izvaja v nadzorovanem, umetno ustvarjenem fizičnem okolju, v katerem raziskovalec manipulira z eno ali več neodvisnimi spremenljivkami in meri svoj vpliv na odvisno spremenljivko.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laboratorijski eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',330),(5242,'Eksperiment, ki se izvaja v naravnem, nekontroliranem okolju, v katerem raziskovalec manipulira z eno ali več neodvisnimi spremenljivkami. Intervencija/klinične študije so en primer terenskih eksperimentov.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Terenski/intervencijski eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',330),(5243,'Eksperiment, ki se izvaja v virtualnem okolju svetovnega spleta, v katerem so eksperimentalni materiali programirani za izvajanje umetnih situacij ali dogodkov, ki jih je treba raziskati v porazdeljenem okolju.','Experiment.WebBased','Experiment',33,NULL,5009,'Spletni eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',330),(5244,'Snemanje z mehanskimi ali elektronskimi sredstvi v obliki, ki omogoča, da se informacije prikličejo in/ali reproducirajo. Na primer slike ali zvoki na disku ali magnetnem traku.','Recording',NULL,34,NULL,5010,'Snemanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',330),(5245,'Kot način sekundarnega zbiranja podatkov, kodiranje vsebine uporablja kodirne tehnike za preoblikovanje kvalitativnih podatkov (besedilni podatki, video, avdio ali mirujoče slike), ki so bili prvotno ustvarjeni za druge namene, v kvantitativne podatke (izražene z matricami enot po spremenljivkah) v skladu s vnaprej opredeljenimi kategorizacijskimi shemami. Na primer, kodiranje manifestov političnih strank, kot npr. študija o volitvah v Evropski parlament 2009.','ContentCoding',NULL,35,NULL,5011,'Kodiranje vsebine','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',330),(5246,'Zajemanje podatkov v pisni obliki iz drugega vira ali iz drugega medija, abecede, ali oblika zapisa, kot so znanstvene formule ali glasbene note. Pri transkriptih intervjujev ali opazovanj je priporočljivo dokumentirati primarni način zbiranja podatkov z uporabo enega od razgovornih ali opazovalnih pogojev.','Transcription',NULL,36,NULL,5012,'Prepis','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',330),(5247,'Zbiranje in sestavljanje podatkov iz več, pogosto heterogenih virov, ki imajo eno ali več skupnih referenčnih točk in kjer je bil vsaj eden od virov prvotno produciran v druge namene. Podatki so vključeni v novo entiteto. Na primer z zagotavljanjem podatkov o številu univerz v zadnjih 150 letih z uporabo različnih razpoložljivih virov (npr. finančni dokumenti, uradne statistike, univerzitetni registri), kombiniranjem anketnih podatkov z informacijami o geografskih območjih iz uradnih statističnih podatkov (npr. gostota prebivalstva, število zdravnikov na prebivalca itd.) ali z uporabo RSS za zbiranje objav bloga ali tvitov itd.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilacija/sinteza','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',330),(5248,'Predstavitev informacij v zgoščeni obliki z reduciranjem na glavne točke. Na primer, povzetki intervjujev ali poročil, ki so objavljeni in uporabljeni kot podatki in ne kot celoviti intervjuji ali poročila.','Summary',NULL,38,NULL,5014,'Povzetek','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',330),(5249,'Statistike, ki se nanašajo na širše razrede, skupine ali kategorije. Podatki so predstavljeni kot povprečja, vsote ali druge izpeljave, na podlagi katerih ni več možno razlikovati med značilnostmi posameznikov znotraj teh razredov, skupin ali kategorij. Na primer, število in starostna skupina brezposelnih v posebnih geografskih regijah ali nacionalne statistike o pojavu poosameznih kaznivih dejanj, ki so bila prvotno izpeljana iz statističnih podatkov posameznih policijskih okrožij.','Aggregation',NULL,39,NULL,5015,'Agregacija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',330),(5250,'Modeliranje ali oponašajoče predstavljanje procesov, dogodkov ali sistemov v realnem svetu, pogosto z uporabo računalniških programov. Na primer program, ki modelira odziv potrošnje gospodinjstev na posredne davčne spremembe; ali podatkovje o hipotetičnih pacientih in njihovi izpostavljenosti zdravilu, pogojih v ozadju in znanih neželenih doogodkih.','Simulation',NULL,40,NULL,5016,'Simulacija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',330),(5251,'Ocenjevanje specifičnih lastnosti (ali značilnosti) bitij, stvari, pojavov (in/ali procesov), z uporabo vnaprej določenih standardov in/ali specializiranih instrumentov ali tehnik.','MeasurementsAndTests',NULL,41,NULL,5017,'Merjenje in testiranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',330),(5252,'Ocenjevanje znanja, spretnosti, sposobnosti ali izobraževalnih dosežkov s pomočjo specializiranih meritev ali testov.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Meritve in testiranja v vzgoji in izobraževanju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',330),(5253,'Ocenjevanje fizičnih lastnosti živih bitij, predmetov, materialov ali naravnih pojavov. Na primer ugotovitve praktičnega zdravniškega pregleda (npr. palpacije ali auskultacije), kliničnih meritev in laboratorijskih preiskav, kot so analiza krvi, krvni talak, srčni utrip, telesna teža in višina ter splošne meritve, kot so čas, razdalja, temperatura, sila, moč, hitrost, podatki GPS o fizičnem gibanju in drugih fizičnih parametrih ali spremenljivkah, kot so geoprostorski podatki.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Meritve in testiranja fizičnih lastnosti','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',330),(5254,'Ocena osebnostnih lastnosti ali psiholoških/vedenjskih odzivov s pomočjo posebnih meritev ali testov. Na primer objektivni testi, kot so samoporočanje z zaprtim formatom odgovorov ali projekcijske tehnike, ki omogočajo proste odgovore, vključno z besednimi asociacijami, dopolnjevanjem stavkov ali zgodb, vinjetami, testi s karikaturami, testi tematske apercepcije, igranjem vlog, testi risanja, testi pack, testi izbire itd.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Meritve in testiranja psiholoških lastnosti','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',330),(5255,'Uporabite, če je način zbiranja podatkov znan, vendar ga ni na tem seznamu.','Other',NULL,45,NULL,5021,'Drugo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',330),(5270,'En gruppdiskussion om ett visst ämne som anordnats i forskningssyfte. Deltagarna har valts ut med hänsyn till ämnet och interaktionen mellan deltagarna utgör en del av forskningsmetoden.','FocusGroup',NULL,14,NULL,4990,'Fokusgrupp','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',331),(5271,'Fokusgruppens medlemmar träffas på samma plats för att diskutera.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Fokusgrupp: traditionell','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',331),(5272,'Fokusgruppens diskussion förs över telefon.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Fokusgrupp: telefon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',331),(5273,'Fokusgruppens diskussion förs interaktivt över Internet. Kallas även IT-stödd fokusgrupp.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Fokusgrupp: virtuell','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',331),(5278,'Forskningsmetod som omfattar att samla in data om företeelser när de uppträder (t.ex. observationer av beteenden, händelser m.m.) utan att försöka påverka några av de oberoende variablerna.','Observation',NULL,22,NULL,4998,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',331),(5279,'Observation som utförs i en naturlig miljö.','Observation.Field','Observation',23,NULL,4999,'Fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',331),(5280,'Fältobservation där forskaren interagerar med forskningsobjekten och ofta har en funktion i den sociala situation som observeras.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Deltagande fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',331),(5281,'Observation som utförs i en naturlig, icke-kontrollerad miljö utan interaktion mellan forskaren och dennes forskningsobjekt.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Icke-deltagande fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',331),(5282,'Observation som utförs i en kontrollerad, konstgjord miljö. Exempel: observation av barns lek i ett laboratorielekrum.','Observation.Laboratory','Observation',24,NULL,5002,'Laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',331),(5283,'Laboratorieobservation där forskaren interagerar med forskningsobjekten och ofta har en funktion i den sociala situation som observeras. Exempel: observation av barns lek i ett laboratorielekrum där forskaren deltar i leken.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Deltagande laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',331),(5284,'Laboratorieobservation som utförs utan interaktion mellan forskaren och dennes forskningsobjekt.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Icke-deltagande laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',331),(5285,'Observation där data om datoranvändning samlas in av programvara som inkluderats i ett datorprogram eller som kan vara ett separat program. Information kan samlas in om antal användare, hur användare interagerar med programmet, hur länge de stannar på en sida, hur de använder bestämda delar av program, hur de navigerar från en sida till en annan eller växlar mellan program m.m.','Observation.ComputerBased','Observation',26,NULL,5005,'Datorbaserade observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',331),(5286,'Forskningsmetod som omfattar att styra vissa eller alla oberoende variabler som ingår i hypotesen.','Experiment',NULL,30,NULL,5006,'Experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',331),(5287,'Ett experiment som utförs i en kontrollerad, konstgjord fysisk miljö där forskaren styr en eller flera oberoende variabler och mäter dess/deras effekt på den beroende variabeln.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laboratorieexperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',331),(5288,'Ett experiment som utförs i en naturlig, okontrollerad miljö där forskaren styr en eller flera oberoende variabler. Interventionsstudier och kliniska studier är exempel på fältexperiment.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Fältexperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',331),(5289,'Ett experiment som utförs i en virtuell miljö på webben, där experimentella material programmeras för att skapa artificiella situationer eller händelser som undersöks i en distribuerad miljö.  (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Tillgänglig: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [8 september, 2016]) ','Experiment.WebBased','Experiment',33,NULL,5009,'Webbaserat experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',331),(5290,'Upptagning, på mekanisk eller elektronisk väg, på sådant sätt att informationen kan återfås och/eller återskapas. Exempel: bilder eller ljud på en cd eller ett magnetband.','Recording',NULL,34,NULL,5010,'Inspelning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',331),(5291,'Som en metod för sekundär datainsamling tillämpar innehållskodning  kodningstekniker för att omvandla kvalitativa data (text-, ljud-, video-, eller stillbildsdata) som ursprungligen skapats för andra syften till kvantitativa data (uttryckta i en matris med enheter och variabler) enligt fördefinierade kategoriseringsscheman. Exempel: kodade partiprogramsdata som i \"European Parliament Election Study 2009, Manifesto Study\" (DOI: 10.4232/1.10204).','ContentCoding',NULL,35,NULL,5011,'Kodning av innehåll','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',331),(5292,'Att nedteckna information från en annan källa eller från ett annat medium, alfabet eller notationssystem, som till exempel vetenskapliga formler eller noter för musik. För transkriberade intervjuer och observationer rekommenderas det att man dokumenterar den primära insamlingsmetoden med någon av termerna för intervjuer eller observationer.','Transcription',NULL,36,NULL,5012,'Transkription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',331),(5293,'Att samla in och sammanställa data från flera, ofta heterogena, källor som har en eller flera gemensamma referenspunkter, och där minst en av källorna ursprungligen producerades för andra syften. Datamaterialet har införlivats i ett nytt material. Exempel: data om antalet universitet under de senaste 150 åren som tas fram med hjälp av ett antal olika källor (t.ex. räkenskaper, offentlig statistik och universitetsrullor); en kombination av surveydata med information om geografiska områden från offentlig statistik (t.ex. befolkningstäthet, läkare per capita osv); eller bloggposter, tweetar, m.m. som samlats in med hjälp av RSS.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilering/Syntes','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',331),(5294,'Presentation av information i sammandrag, som reducerats till sitt viktigaste innehåll. Exempel: Abstrakt från intervjuer eller rapporter publiceras och används som data istället för de fullständiga intervjuerna eller rapporterna.','Summary',NULL,38,NULL,5014,'Sammanfattning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',331),(5295,'Statistik som rör breda klasser, grupper eller kategorier. Datamaterialet består av genomsnitt, totalsummor eller andra värden som har härletts från data på individnivå, och det går inte längre att utläsa individernas egenskaper inom dessa klasser, grupper eller kategorier. Exempel: antal och ålderskategorier för arbetslösa inom särskilda geografiska områden, eller statistik på nationsnivå över förekomsten av särskilda brott som ursprungligen härletts från statistik från enskilda polisdistrikt.','Aggregation',NULL,39,NULL,5015,'Aggregation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',331),(5296,'Modellering eller imiterande representation av processer, händelser eller system i den verkliga världen, ofta skapade med datorprogram. Exempel: ett program som modellerar hur hushållens konsumtion svarar på förändringar i indirekta skatter; eller ett dataset över hypotetiska patienter och deras droganvändning, bakgrundsförhållanden och kända negativa händelser.','Simulation',NULL,40,NULL,5016,'Simulering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',331),(5297,'Bedömning av varelsers, föremåls, fenomens (och/eller processers) särskilda egenskaper (eller karakteristiska) genom att tillämpa förutbestämda standarder och/eller specialiserade instrument eller tekniker.','MeasurementsAndTests',NULL,41,NULL,5017,'Mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',331),(5298,'Bedömning av kunskap, förmågor, begåvning eller inlärningsförmåga med hjälp av specialiserade mätredskap och tester.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Pedagogiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',331),(5299,'Bedömning av levande varelsers, föremåls, materials eller naturliga fenomens fysiska egenskaper. Till exempel: blodtryck, puls, kroppsvikt och längd, men även tid, avstånd, massa, temperatur, kraft, effekt, hastighet, GPS-data för fysisk rörelse och andra fysiska parametrar eller variabler, som t.ex. geospatiala data.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Fysiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',331),(5300,'Bedömning av personlighetsdrag eller psykologiska/beteendemässiga responser genom specialiserade mätredskap eller tester. Exempel: objektiva tester som självskattning med begränsade svarsformat, eller projektiva tester som tillåter öppna svar, inklusive ordassociation, menings- eller berättelsekomplettering, vinjetter, \"cartoon tests\", tematiska apperceptionstester (TAT), rollspel, teckningstester, Rorschachtester, \"choice ordering exercises\" m.m.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Psykologiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',331),(5301,'Används när datainsamlingsmetoden är känd men saknas i listan.','Other',NULL,45,NULL,5021,'Övrigt','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',331),(5312,'Tutte le unità (individui, famiglie, organizzazioni, ecc.) della popolazione di riferimento hanno una probabilità diversa da zero di essere incluse nel campione e tale probabilità può essere determinata con precisione. Utilizzare questo termine più ampio se non è conosciuto oppure è difficile identificare un tipo più specifico di campionamento probabilistico.','Probability',NULL,1,NULL,NULL,'Probabilistisco','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',332),(5313,'Tutte le unità della popolazione di riferimento hanno uguale probabilità di essere incluse nel campione. In genere, l\'intera popolazione è inclusa in una \"lista di campionamento\" e le singole unità vengono quindi scelte da questa lista usando un metodo di selezione casuale.','Probability.SimpleRandom','Probability',2,NULL,NULL,'Probabilistisco: casuale semplice','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',332),(5314,'Si determina un intervallo fisso dividendo la dimensione della popolazione per la dimensione del campione desiderata. Successivamente viene estratto in modo casuale il punto di partenza dalla lista di campionamento che, generalmente, copre l\'intera popolazione di riferimento. Dal punto di partenza verranno poi estratte le unità in base all\'intervallo determinato. È conosciuto anche come \"campionamento a intervalli\". Ad esempio, un sondaggio aziendale cerca un campione di 1.000 dipendenti sulla popolazione totale di 10.000. A partire da un numero di partenza casuale, sarà invitato a partecipare allo studio ogni decimo nome selezionato dall\'elenco dei dipendenti dell\'azienda.','Probability.SystematicRandom','Probability',3,NULL,NULL,'Probabilistisco: sistematico','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',332),(5315,'La popolazione di riferimento è suddivisa in segmenti separati e mutuamente esclusivi (strati) che coprono l\'intera popolazione. Da ciascun segmento vengono estratti, in modo casuale, campioni casuali indipendenti. Ad esempio, in un sondaggio nazionale sull\'opinione pubblica l\'intera popolazione è divisa in due strati regionali: est e ovest. Le unità di campionamento vengono quindi estratte da ognuna dei due strati regionali utilizzando campionamenti casuali semplici o sistematici. Utilizzare questo termine più ampio se non è conosciuto oppure è difficile identificare il tipo specifico di campionamento stratificato.','Probability.Stratified','Probability',4,NULL,NULL,'Probabilistisco: stratificato','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',332),(5316,'La popolazione di riferimento è suddivisa in segmenti separati e mutuamente esclusivi (strati) che coprono l\'intera popolazione. Nel campionamento stratificato proporzionale il numero di elementi scelti da ogni strato è proporzionale alla dimensione della popolazione dello strato, in rapporto all\'intera popolazione. Ad esempio, un paese è diviso in due strati regionali che comprendono l\'80% (ovest) e il 20% (est) della popolazione totale. Per un campione di 1.000 persone, 800 (cioè l\'80%) saranno estratte dalla regione Ovest e 200 (ossia il 20%) dalla regione Est, mantenendo adeguatamente la relativa proporzione rispetto alla popolazione totale.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,NULL,'Probabilistisco: stratificato proporzionale','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',332),(5317,'La popolazione di riferimento è suddivisa in segmenti separati e mutuamente esclusivi (strati) che coprono l\'intera popolazione. Nel campionamento non proporzionale il numero di unità scelte da ogni strato non è proporzionale alla dimensione della popolazione dello strato in rapporto all\'intera popolazione. Il numero di unità campionarie provenienti da ogni strato può essere uguale oppure riflettere lo scopo dello studio, come nel caso di sovracampionamento di diversi sottogruppi della popolazione. Ad esempio, un paese è diviso in due strati regionali che comprendono l\'80% (ovest) e il 20% (est) della popolazione totale. Se in uno studio è necessaria una uguale rappresentazione delle due regioni, metà del campione sarà estratto dalla regione Est, in modo che ciascuna regione sia rappresentata dal 50% del campione. Se invece è necessaria un\'analisi più dettagliata della popolazione proveniente dalla regione Est, potrà essere estratto il 40% delle unità dalla regione Ovest e il restante 60% dalla regione Est, in modo che quest\'ultima sia sovrarappresentata.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,NULL,'Probabilistisco: stratificato non proporzionale','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',332),(5318,'La popolazione di riferimento è divisa in modo naturale in gruppi (cluster) e viene selezionato un campione probabilistico dei cluster. I dati vengono quindi raccolti da tutte le unità individuate all\'interno di ciascun cluster selezionato. Il campionamento è spesso raggruppato su base geografica o temporale. Utilizzare questo termine più ampio se non è conosciuto oppure è difficile identificare un tipo più specifico di campionamento a grappoli.','Probability.Cluster','Probability',7,NULL,NULL,'Probabilistico: a grappoli','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',332),(5319,'La popolazione di riferimento è divisa in modo naturale in gruppi (cluster) e viene selezionato un campione probabilistico dei cluster. I dati vengono quindi raccolti da tutte le unità individuate all\'interno di ciascun cluster selezionato. Ad esempio, per selezionare un campione di studenti in una città, viene scelto casualmente un determinato numero di scuole e, successivamente, saranno inclusi tutti gli studenti di ogni scuola selezionata.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,NULL,'Probabilistico: a grappoli casuale semplice','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',332),(5320,'La popolazione di riferimento è divisa in modo naturale in gruppi (cluster); successivamente, i cluster sono divisi in strati mutualmente esclusivi e, per ogni strato, viene selezionato in modo casuale un campione di cluster. I dati vengono quindi raccolti da tutte le unità individuate all\'interno di ciascun cluster. Ad esempio, per selezionare un campione di studenti in una città, si suddividono le scuole in due strati a seconda del tipo di scuola (privato vs pubblico); le scuole saranno quindi selezionate in modo casuale per ogni strato, e saranno successivamente inclusi tutti gli studenti di ogni scuola selezionata.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,NULL,'Probabilistico: a grappoli stratificato','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',332),(5321,'Il campionamento viene eseguito in differenti stadi, utilizzando unità sempre più piccole in ogni stadio. Tutti gli stadi implicano un campionamento probabilistico che può essere diverso in ogni stadio. Ad esempio, per selezionare un campione di studenti in una città, nel primo stadio si selezionano in modo casuale le scuole. Nel secondo stadio si effettua un campione casuale di classi all\'interno di ciascuna scuola selezionata. Nel terzo stadio, infine, vengono selezionati in modo casuale gli studenti da ciascuna delle classi identificate.','Probability.Multistage','Probability',10,NULL,NULL,'Probabilistico: multistadio','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',332),(5322,'La selezione delle unità (individui, famiglie, organizzazioni, ecc.) della popolazione di riferimento non è basata su un campionamento casuale. Non è quindi possibile determinare la probabilità di ciascun elemento di essere incluso nel campione. Utilizzare questo termine più ampio se non è conosciuto oppure è difficile identificare il tipo specifico di campionamento non probabilistico, oppure se si utilizzano più metodi non probabilistici.','Nonprobability',NULL,11,NULL,NULL,'Non probabilistico','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',332),(5323,'La selezione del campione si basa sull\'accessibilità o relativa facilità di accesso delle unità. Le unità possono essere facilmente contattabili oppure possono scegliere autonomamente di partecipare allo studio (auto-selezione). I ricercatori possono aver immaginato determinati gruppi target, ma non controllano il meccanismo di selezione del campione. Ad esempio, il campione può essere composto da studenti contattati all\'uscita di un determinato edificio del campus universitario oppure da individui che si offrono volontariamente di partecipare allo studio in risposta ad inviti non rivolti specificamente a loro, ma ad un gruppo più ampio a cui possono appartenere. Questo campionamento è anche denominato \"di convenienza\" o \"di opportunità\".','Nonprobability.Availability','Nonprobability',12,NULL,NULL,'Non probabilistico: di disponibilità','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',332),(5324,'Le unità campionarie vengono identificate, selezionate e contattate sulla base delle informazioni che possono fornire rispetto al tema di ricerca. La selezione si basa su diverse caratteristiche delle variabili indipendenti e/o dipendenti dello studio, e si fonda sul giudizio dei ricercatori. Gli autori dello studio, o le persone da loro autorizzate, hanno il controllo sul meccanismo di selezione del campione e l\'universo è definito in relazione ai criteri di selezione. Chiamato anche \"campionamento di giudizio\". Ad esempio, un ricercatore in ambito medico può selezionare intenzionalmente individui che sono simili sotto molti aspetti, tranne che rispetto all\'esito relativo al tema di ricerca (ad esempio una malattia specifica). Alcuni tipi di campionamento mirato sono rappresentati dai casi tipici/devianti, variazioni omogenee/variazioni massime, campione esperto oppure casi critici.','Nonprobability.Purposive','Nonprobability',13,NULL,NULL,'Non probabilistico: mirato','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',332),(5326,'Le unità campionarie sono identificate all\'interno della popolazione di riferimento attraverso il ricorso a unità già selezionate. Un caso tipico è il \"campionamento a palla di neve\", in cui il ricercatore identifica un gruppo di unità che soddisfa un particolare criterio di ammissibilità. Queste unità sono invitate a reclutare altri membri della stessa popolazione che soddisfano lo stesso criterio di ammissibilità (campionamento di popolazioni specifiche come migranti, ecc.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,NULL,'Non probabilistico: guidato dal rispondente','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',332),(5327,'Disegno di campionamento che combina, all\'intero dello stesso processo, campionamento di tipo probabilistico e non probabilistico. Diversi tipi di campionamento possono essere utilizzati nelle diverse fasi della creazione del campione. Ad esempio, per costruire un campione di studenti appartenenti a una minoranza in una determinata città, nella prima fase vengono selezionate in modo casuale le scuole. Quindi, nella seconda fase, viene selezionato un campione per quote di studenti all\'interno di ciascuna scuola. Se vengono estratti campioni separati dalla stessa popolazione di riferimento utilizzando diversi metodi di campionamento, il tipo di procedura di campionamento utilizzato per ciascun campione deve essere classificato separatamente.','MixedProbabilityNonprobability',NULL,16,NULL,NULL,'Misto','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',332),(5328,'Utilizzare se la procedura di campionamento è conosciuta, ma non è presente nell\'elenco.','Other',NULL,17,NULL,NULL,'Altro','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',332),(5329,'Data collected repeatedly over time to allow studying change in a population. At least some of the questions or modules are repeated over waves. Use the broad term when none of the subterms is suitable.','Longitudinal',NULL,0,NULL,NULL,'Longitudinal','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal',333),(5330,'Data collected over time from the same cohort of respondents. The individuals in the cohort are connected in some way or have shared some significant experience within a given period. In some cases, the samples may differ between waves but are drawn from the same cohort. Examples: birth year, disease (clinical trials), common problem (intervention studies), education, employment, family formation, participation in an event.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,NULL,'Longitudinal: Cohort/Event-based','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal.CohortEventBased',333),(5331,'Data collected from different samples or different groups of people from the same population at several points in time, using at least partly the same set of questions/variables. Conclusions are drawn for the population. Examples: European Social Survey (ESS), national longitudinal crime surveys.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,NULL,'Longitudinal: Trend/Repeated cross-section','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal.TrendRepeatedCrossSection',333),(5332,'Data collected over time from, or about, the same sample of respondents. Differs from cohort/event-based data in that the selection of respondents is not based on their being connected in some way or having shared some significant experience.','Longitudinal.Panel','Longitudinal',3,NULL,NULL,'Longitudinal: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal.Panel',333),(5334,'Data collected from a panel of respondents only when information is needed.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,NULL,'Longitudinal: Panel: Interval','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal.Panel.Interval',333),(5335,'Data collected repeatedly over time to study change in observations. These are typically \"objective\" measurements of phenomena that can be observed externally, as opposed to attitudes/opinions or feelings. Examples may include economic/financial indicators, natural/meteorological phenomena, vital statistics, etc.','TimeSeries',NULL,6,NULL,NULL,'Time series','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#TimeSeries',333),(5336,'Measurements are taken at every instant in time. Examples: lie detectors, electrocardiograms, etc.','TimeSeries.Continuous','TimeSeries',7,NULL,NULL,'Time series: Continuous','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#TimeSeries.Continuous',333),(5337,'Measurements are taken at (usually regularly) spaced intervals. Examples: macroeconomics (weekly share prices, monthly profits, sales); meteorology (hourly temperature); measurements of individuals (blood pressure, weight, height); sociology (crime figures, employment figures), etc.','TimeSeries.Discrete','TimeSeries',8,NULL,NULL,'Time series: Discrete','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#TimeSeries.Discrete',333),(5338,'Data collected by observing subjects within the study period, without regard to changes over time. May include more than one collection event. Analysis of cross-sectional data often consists in comparing the differences and similarities among subjects.','CrossSection',NULL,9,NULL,NULL,'Cross-section','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#CrossSection',333),(5339,'Data collected at one point in time to complete information collected in a previous cross-sectional study; the decision to collect follow-up data was not included in the original study design.','CrossSectionAdHocFollowUp',NULL,10,NULL,NULL,'Cross-section ad-hoc follow-up','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#CrossSectionAdHocFollowUp',333),(5340,'Use if the time method is known, but not found in the list.','Other',NULL,11,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Other',333),(5341,'Data collected from a panel of respondents on a regular basis.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,NULL,'Longitudinal: Panel: Continuous','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html#Longitudinal.Panel.Continuous',333),(5348,'Data indsamlet gentagne gange over tid for at studere ændringer i observationer. Disse er typisk ’objektive’ målinger af fænomener, der kan observeres udefra, i modsætning til holdninger/meninger eller følelser. Eksempler kan inkludere økonomiske/finansielle indikatorer, naturlige/meteorologiske fænomener, afgørende statistikker mm.','TimeSeries',NULL,6,NULL,5335,'Tidsserier','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',334),(5349,'Målinger foretages hvert øjeblik i tid. Eksempler: løgnedetektorer, elektrokardiogrammer (EKG) mm.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Tidsserier: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',334),(5350,'Målinger foretages (normalt regelmæssigt) i tidsintervaller. Eksempler: makroøkonomi (ugentlige aktiekurser, månedlige fortjenester, salg); meteorologi (timetemperatur); målinger af individer (blodtryk, vægt, højde); sociologi (kriminalitetstal, beskæftigelsestal) mm.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Tidsserier: Diskret','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',334),(5351,'Data indsamlet ved observation af subjekter inden for undersøgelsesperioden uden hensyntagen til ændringer over tid. Kan inkludere mere end en indsamlingsbegivenhed. Analyse af tværsnitdata består ofte i sammenligning af forskellene og lighederne mellem subjekter.','CrossSection',NULL,9,NULL,5338,'Tværsnit','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',334),(5352,'Data indsamlet på et tidspunkt for at færdiggøre information indsamlet i en tidligere tværsnitundersøgelse; beslutningen om at indsamle opfølgningsdata var ikke inkluderet i det originale undersøgelsesdesign.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Tværsnit ad-hoc-opfølgning','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',334),(5360,'Daten, die in wiederholten Zeitabständen gesammelt wurden, um Veränderungen der Untersuchungseinheit zu untersuchen. Diese sind typischerweise \'objektive\' Messungen von Phänomenen, die durch externe Beobachtung erhoben werden können, im Gegensatz zu Einstellungen/Meinungen oder Emotionen. Beispiele sind ökonomische/finanzielle Indikatoren, natürliche/meteorologische Phänomene, Bevölkerungsstatistik, etc.','TimeSeries',NULL,6,NULL,5335,'Zeitreihen',NULL,335),(5361,'Die Messungen erfolgen kontinuierlich zu jedem Zeitpunkt. Beispiele: Lügendetektoren und Elektrokardiogramme, etc.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Zeitreihen: Kontinuierlich',NULL,335),(5362,'Die Messungen werden in (meist unregelmäßigen) Anständen durchgeführt. Beispiele: Makroökonomie (wöchentliche Aktienkurse, Monatsgewinne, Umsatz); Meteorologie (stündliche Temperatur); Körpermessungen (Blutdruck, Gewicht, Höhe) Soziologie (Verbrechen, Beschäftigungszahlen) usw.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Zeitreihen: Diskret',NULL,335),(5363,'Daten, die zu einem Zeitpunkt erhoben wurden, ohne bei den Untersuchungseinheiten Veränderungen über die Zeit zu berücksichtigen. Dabei kann die Erhebung auch mehrere \'Erhebungsereignisse\' umfassen, z. B. an mehreren Tagen innerhalb der Feldzeit durchgeführt werden. Die Analyse der Querschnittsdaten besteht häufig in der Untersuchung von Unterschieden und Gemeinsamkeiten der Befragten.','CrossSection',NULL,9,NULL,5338,'Querschnitt',NULL,335),(5364,'Daten, die an einem Zeitpunkt erhoben wurden, um eine frühere Querschnittsstudie zu vervollständigen; die Entscheidung der Erhebung von Follow-Up-Daten war in der ursprünglichen Studie nicht vorgesehen.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Querschnitt: ad-hoc Nachuntersuchung',NULL,335),(5372,'Dataa kerätty havaintoyksiköstä useilta eri ajanjaksoilta havainnossa tapahtuvan muutoksen tutkimiseksi. Yleensä viittaa \'objektiivisiin\' mittauksiin ilmiöistä, joita voidaan havainnoida ulkoisesti eli ei asenteiden tai tuntemusten tutkimiseen. Esimerkiksi taloudelliset indikaattorit, luonnonilmiöt, väestönmuutostekijät (kuolemat, syntymät, sairastavuus, avioliitot ja -erot) yms.','TimeSeries',NULL,6,NULL,NULL,'Aikasarja-aineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',336),(5373,'Mittaus on havaintoperiodin aikana jatkuvaa, esim. valheenpaljastuskoneet, EKG (sydänkäyrä) jne.','TimeSeries.Continuous','TimeSeries',7,NULL,NULL,'Aikasarja-aineisto: jatkuva','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',336),(5374,'Havaintoperiodin aikana havaintoja mitataan erillisinä ajanhetkinä, usein tasaisin väliajoin. Esimerkiksi makrotaloustieteessä (kuukausittaiset myynnit, vuotuinen bruttokansantuote), meteorologiassa (järviveden lämpötila), sosiologiassa (vuosittaiset rikosluvut), ihmisiin kohdistuvissa mittauksissa (verenpaine, paino, pituus).','TimeSeries.Discrete','TimeSeries',8,NULL,NULL,'Aikasarja-aineisto: diskreetti','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',336),(5375,'Dataa on kerätty vain tietyn tutkimusajankohdan sisällä. Useimmiten tehdään yksi aineistonkeruu mutta joissakin tapauksissa on saatettu kerätä dataa useammassa jaksossa saman tutkimusajankohdan sisällä. Aineiston avulla ei ole tarkoitus tutkia ajallista muutosta vaan esimerkiksi havaintoyksiköiden välisiä eroavaisuuksia tai samankaltaisuuksia tiettynä ajankohtana.','CrossSection',NULL,9,NULL,NULL,'Poikkileikkausaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',336),(5376,'Aineistoa kerätään tietojen täydentämiseksi saman tutkimuksen sisällä tai seurantatutkimuksena. Täydennys- tai uusintakeruu ei ole sisältynyt alkuperäiseen tutkimussuunnitelmaan.','CrossSectionAdHocFollowUp',NULL,10,NULL,NULL,'Poikkileikkausaineisto: täydennys/seurantakeruu','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',336),(5384,'Dati raccolti ripetutamente nel tempo per studiare il cambiamento dei fenomeni. Si tratta in genere di misurazioni \"oggettive\" di fenomeni che possono essere osservati esternamente, a differenza di atteggiamenti, opinioni o sentimenti. Gli esempi possono includere indicatori economici/finanziari, fenomeni naturali/meteorologici, statistiche anagrafiche, ecc.','TimeSeries',NULL,6,NULL,NULL,'Serie temporali','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',337),(5385,'Le misurazioni sono rilevate in ogni istante temporale. Esempi: macchine della verità, elettrocardiogrammi, ecc.','TimeSeries.Continuous','TimeSeries',7,NULL,NULL,'Serie temporali: continue','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',337),(5386,'Le misurazioni sono prese a intervalli regolari. Esempi: macroeconomia (prezzi delle azioni settimanali, profitti mensili, vendite); meteorologia (temperatura oraria); rilievi sugli individui (pressione arteriosa, peso, altezza); sociologia (tassi di criminalità, tassi occupazionali), ecc.','TimeSeries.Discrete','TimeSeries',8,NULL,NULL,'Serie temporali: discrete','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',337),(5387,'Dati raccolti osservando i soggetti in un determinato periodo di tempo, senza prendere in esame i cambiamenti nel tempo. Può includere più di una rilevazione. L\'analisi dei dati trasversali si basa spesso sulle differenze e sulle somiglianze tra i soggetti.','CrossSection',NULL,9,NULL,NULL,'Trasversale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',337),(5388,'Dati raccolti in un specifico momento per completare le informazioni raccolte in un precedente studio trasversale; la decisione di raccogliere i dati di follow-up non era stata inclusa nel progetto di studio originale.','CrossSectionAdHocFollowUp',NULL,10,NULL,NULL,'Trasversale: follow-up ad hoc','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',337),(5396,'Data samlet inn gjentatte ganger over tid for å studere endring i observasjoner. Dette er typiske \'objektive\' målinger av fenomener som kan observeres eksternt, i motsetning til holdninger/meninger eller følelser. For eksempel økonomiske/finansielle indikatorer, natur/meteorologiske fenomener, befolkningsstatistikk etc.','TimeSeries',NULL,6,NULL,5335,'Tidsserie','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',338),(5397,'Målinger blir gjennomført ved et gitt tidspunkt. For eksempel løgndetektor, elektrokardiogram (EKG) etc.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Tidsserie: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',338),(5398,'Målinger basert på (ofte regelmessige) intervaller. For eksempel makroøknonomi (ukentlige aksjekurser, månedlig fortjeneste, salg), meteorologi (temperatur hver time), målinger hos individer (blodtrykk, vekt, høyde), sosiologi (statistikk på lovbrudd, sysselsetting) etc.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Tidsserie: Diskret','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',338),(5399,'Data samlet inn ved å observere subjekter under studieperioden, uten å ta hensyn til endringer over tid. Kan inkludere mer enn ett innsamlingstilfelle. Analyse av data fra tverrsnittstudier består ofte i å sammenligne likheter og ulikheter mellom subjektene.','CrossSection',NULL,9,NULL,5338,'Tverrsnitt','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',338),(5400,'Data innsamlet på et tidspunkt for å fullføre informasjon som er samlet inn i en tidligere tverrsnittstudie. Beslutningen om å samle inn oppfølgingsdata var ikke en del av det opprinnelige studiedesignet.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Tverrsnitt ad-hoc oppfølging','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',338),(5408,'Podatki zbirani v času s ponovitvami z namenom preučevanja sprememb v opazovanjih. To so običajno \'objektivne\' meritve pojavov, ki jih je mogoče opazovati navzven, v nasprotju s stališči/mnenji ali občutki. Primeri lahko vključujejo ekonomske/finančne kazalnike, naravne/meteorološke pojave, vitalno statistiko itd.','TimeSeries',NULL,6,NULL,5335,'Časovne vrste','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',339),(5409,'Meritve se izvajajo v celotnem obdobju merjenja. Primeri: detektorji laži, elektrokardiogrami itd.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Časovne vrste: kontinuirane','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',339),(5410,'Meritve se izvajajo v (običajno enako) razmaknjenih intervalih. Primeri: makroekonomija (tedensko gibanje cen delnic, meseči dobički, prodaja); meteorologija (temperatura po urah); meritve posameznikov (krvni tlak, teža, višina); sociologija (podatki o kriminalu, podatki o zaposlenosti) itd.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Časovne vrste: diskretne','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',339),(5411,'Podatki, zbrani z opazovanjem udeležencev znotraj obdobja raziskovanja, ne glede na spremembe skozi čas. Lahko vključuje več kot en dogodek zbiranja podatkov. Analiza presečnih podatkov pogosto vsebuje primerjavo razlik in podobnosti med udeleženci.','CrossSection',NULL,9,NULL,5338,'Presečno','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',339),(5412,'Podatki, zbrani v določenem trenutku, z namenom dopolnitve informacije, zbrane v predhodni presečni raziskavi; odločitev o naknadnem zbiranju podatkov ni bila vključena v prvotni raziskovalni načrt.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Presečno ad-hoc nadaljevalno','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',339),(5420,'Data samlas in upprepade gånger över tid så att det går att studera förändringar i observationerna. Dessa är generellt \"objektiva\" mätningar av externa, observerbara fenomen, i motsats till attityder/åsikter eller känslor. Exempel kan inkludera ekonomiska/finansiella indikatorer, naturliga/meteorologiska fenomen, befolkningsstatistik m.m.','TimeSeries',NULL,6,NULL,5335,'Tidsserie','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',340);
INSERT  IGNORE INTO `concept` (`id`, `definition`, `notation`, `parent`, `position`, `previous_concept`, `sl_concept`, `title`, `uri`, `version_id`) VALUES (5421,'Mätvärden tas vid varje given tidpunkt. Exempel: lögndetektorer, elektrokardiogram (EKG) m.m.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Tidsserie: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',340),(5422,'Mätvärden tas med (vanligtvis regelbundna) intervall. Exempel: makroekonomi (aktiekurser varje vecka, månatliga vinster, försäljningssiffror); meteorologi (temperaturen varje timme); mätningar på individer (blodtryck, vikt, längd); sociologi (brottsstatistik, arbetslöshetstal) m.m.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Tidsserie: Diskret','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',340),(5423,'Data samlas in genom att observera subjekten under studieperioden utan att ta hänsyn till förändring över tid. Kan inkludera mer än ett insamlingstillfälle. Analys av tvärsnittsdata består ofta i att jämföra likheter och skillnader mellan subjekten.','CrossSection',NULL,9,NULL,5338,'Tvärsnitt','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',340),(5424,'Data samlas in vid ett tillfälle för att komplettera information som har samlats in vid en tidigare tvärsnittsstudie; beslutet att samla in uppföljningsdata var inte en del av den ursprungliga studiedesignen.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Tvärsnitt ad hoc uppföljning','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',340),(5440,'Una discussione di gruppo focalizzata su un argomento particolare, organizzata per scopi di ricerca. I singoli individui sono selezionati in base all\'argomento trattato, e l\'interazione tra i partecipanti viene utilizzata come parte della tecnica.\n','FocusGroup',NULL,14,NULL,NULL,'Focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',341),(5441,'I partecipanti al focus group si incontrano di persona per condurre la discussione.','FocusGroup.FaceToFace','FocusGroup',15,NULL,NULL,'Focus group faccia a faccia','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',341),(5442,'La discussione del focus group è condotta via telefono.','FocusGroup.Telephone','FocusGroup',16,NULL,NULL,'Focus group telefonico','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',341),(5443,'La discussione del focus group è condotta via Internet in modo interattivo.','FocusGroup.Online','FocusGroup',17,NULL,NULL,'Focus group online','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',341),(5448,'Tecnica di rilevazione che implica la raccolta di dati nel momento in cui si generano (ad esempio osservando comportamenti, eventi, sviluppo di condizioni o malattie, ecc.), senza tentare di manipolare nessuna delle variabili indipendenti.','Observation',NULL,22,NULL,NULL,'Osservazione','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',341),(5449,'Osservazione condotta in un ambiente naturale.','Observation.Field','Observation',23,NULL,NULL,'Osservazione sul campo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',341),(5450,'Tipo di osservazione sul campo nella quale il ricercatore interagisce con i soggetti e spesso ricopre un ruolo nella situazione sociale sotto osservazione.','Observation.Field.Participant','Observation.Field',27,NULL,NULL,'Osservazione partecipante sul campo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',341),(5451,'Osservazione condotta in un ambiente naturale non controllato senza alcuna interazione tra il ricercatore e i soggetti.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,NULL,'Osservazione non partecipante sul campo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',341),(5452,'Osservazione condotta in un ambiente controllato, creato artificialmente. Ad esempio, osservazione del gioco dei bambini in una stanza da gioco ricreata in laboratorio.','Observation.Laboratory','Observation',24,NULL,NULL,'Osservazione in laboratorio','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',341),(5453,'Tipo di osservazione in laboratorio in cui il ricercatore interagisce con i soggetti e spesso gioca un ruolo nella situazione sociale sotto osservazione. Ad esempio, osservando il gioco dei bambini in una stanza da gioco ricreata in laboratorio con il ricercatore che partecipa al gioco.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,NULL,'Osservazione partecipante in laboratorio','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',341),(5454,'Osservazione condotta in laboratorio senza alcuna interazione tra il ricercatore e i soggetti.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,NULL,'Osservazione non partecipante in laboratorio','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',341),(5455,'Tipo di osservazione in cui vengono raccolti dati riguardanti l\'uso del computer, attraverso software che può essere incorporato nel programma informatico stesso, oppure essere un programma separato. Con questo metodo si possono raccogliere informazioni sul numero di utenti, sui modi in cui gli utenti interagiscono con il programma, sulla quantità di tempo che trascorrono su una pagina, su come utilizzano specifiche sezioni di applicazioni, su come navigano da una pagina all\'altra o da una applicazione all\'altra, ecc.','Observation.ComputerBased','Observation',26,NULL,NULL,'Osservazione basata su computer','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',341),(5456,'Metodo di ricerca che coinvolge la manipolazione di alcune o tutte le variabili indipendenti incluse nelle ipotesi.','Experiment',NULL,30,NULL,NULL,'Esperimento','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',341),(5457,'Un esperimento condotto in un ambiente fisico controllato, creato artificialmente, in cui un ricercatore manipola una o più variabili indipendenti e misura il loro effetto sulla variabile dipendente.','Experiment.Laboratory','Experiment',31,NULL,NULL,'Esperimento in laboratorio','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',341),(5458,'Un esperimento condotto in un ambiente naturale, non controllato, in cui il ricercatore manipola una o più variabili indipendenti. Gli interventi o studi clinici sono un esempio di esperimenti sul campo.','Experiment.FieldIntervention','Experiment',32,NULL,NULL,'Esperimento sul campo / Intervento','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',341),(5459,'Un esperimento condotto nell\'ambiente virtuale del World Wide Web, in cui i materiali sperimentali sono programmati per ricreare situazioni o eventi artificiali da indagare in un ambiente distribuito.','Experiment.WebBased','Experiment',33,NULL,NULL,'Esperimento web','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',341),(5460,'Registrazione tramite mezzi meccanici o elettronici, in una forma che consente di recuperare e/o riprodurre le informazioni. Ad esempio, registrazioni di immagini o suoni su disco o supporto magnetico.','Recording',NULL,34,NULL,NULL,'Registrazione','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',341),(5461,'Metodo di raccolta secondaria dei dati, in cui si applicano le tecniche di codifica del contenuto per trasformare dati qualitativi originariamente prodotti per altri scopi (testi, video, audio o immagini) in dati quantitativi (espressi in forma di matrici) secondo schemi di categorizzazione definiti. Ad esempio, codifica dei dati relativi ai manifesti di partito, come il \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204)','ContentCoding',NULL,35,NULL,NULL,'Codifica del contenuto','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',341),(5462,'Raccolta di informazioni per iscritto da un\'altra fonte, o da un altro mezzo, alfabeto o forma di notazione, come formule scientifiche o note musicali. Per le interviste o le osservazioni trascritte, si consiglia di documentare la modalità di raccolta dei dati utilizzando uno dei termini del vocabolario relativi all\'intervista o all\'osservazione.','Transcription',NULL,36,NULL,NULL,'Trascrizione','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',341),(5463,'Raccolta e assemblaggio di dati da più fonti, spesso eterogenee, che hanno uno o più punti di riferimento in comune, e dove almeno una delle fonti sia stata originariamente prodotta per altri scopi di ricerca. I dati sono incorporati in una nuova base di dati. Ad esempio, la raccolta di dati sul numero di università negli ultimi 150 anni attraverso diverse fonti disponibili (ad esempio documenti finanziari, statistiche ufficiali, registri universitari), successivamente combinati con le statistiche ufficiali relative alle aree geografiche (ad es. densità di popolazione, medici pro-capite, ecc.) o tramite RSS per raccogliere post o tweet del blog, ecc.','CompilationSynthesis',NULL,37,NULL,NULL,'Raccolta/sintesi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',341),(5464,'Presentazione di informazioni in forma sintetica, riducendole ai punti principali. Ad esempio, abstract di interviste o report che vengono pubblicati e utilizzati come dati, al posto delle interviste o dei report completi.','Summary',NULL,38,NULL,NULL,'Sintesi','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',341),(5465,'Statistiche relative a classi, gruppi o categorie. I dati rappresentano il valore medio, la somma o altre derivazioni dei dati raccolti a livello individuale, che non consentono più di distinguere le caratteristiche degli individui all\'interno di tali classi, gruppi o categorie. Ad esempio, il numero e la fascia di età dei disoccupati in specifiche regioni geografiche, o le statistiche a livello nazionale sul verificarsi di reati specifici, originariamente desunti dalle statistiche dei singoli distretti di polizia.','Aggregation',NULL,39,NULL,NULL,'Aggregazione','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',341),(5466,'Modellazione o rappresentazione finalizzata alla riproduzione di processi, eventi o sistemi reali, spesso utilizzando programmi per computer. Ad esempio, un programma che modella le risposte dei consumi delle famiglie alle variazioni delle imposte indirette; o un dataset relativo a pazienti ipotetici e alla loro esposizione a farmaci, alle condizioni di fondo e ad eventi avversi conosciuti.','Simulation',NULL,40,NULL,NULL,'Simulazione','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',341),(5467,'Valutazione di specifiche proprietà (o caratteristiche) di esseri viventi, cose, fenomeni (e/o processi) applicando standard prestabiliti e/o strumenti o tecniche specializzate.','MeasurementsAndTests',NULL,41,NULL,NULL,'Misurazioni e test','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',341),(5468,'Valutazione delle conoscenze, abilità, attitudini o risultati in ambito educativo mediante misure o test specializzati.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,NULL,'Misurazioni e test in ambito educativo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',341),(5469,'Valutazione delle proprietà fisiche di esseri viventi, oggetti, materiali o fenomeni naturali. Per esempio, risultati di esami pratici a livello medico (ad esempio, palpazione o auscultazione), misurazioni cliniche e test di laboratorio come analisi del sangue, pressione sanguigna, frequenza cardiaca, peso corporeo e altezza, nonché misure generali come tempo, distanza, massa, temperatura, forza, potenza, velocità, dati GPS sul movimento fisico e altri parametri o variabili fisici, come i dati geospaziali.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,NULL,'Misurazioni e test fisici','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',341),(5470,'Valutazione dei tratti di personalità o risposte psicologiche/comportamentali mediante misure o test specializzati. Ad esempio, test oggettivi come misure di autovalutazione con un range predefinito, o test proiettivi che consentono risposte libere, incluse associazione di parole, completamento di frasi o storie, vignette, fumetti, test di appercezione tematica, giochi di ruolo, prove di disegno, test macchie di inchiostri, esercizi sulle scelte di ordinamento, ecc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,NULL,'Misurazioni e test psicologici','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',341),(5471,'Utilizzare quando la tecnica di raccolta dei dati è conosciuta, ma non è presente nell\'elenco.','Other',NULL,45,NULL,NULL,'Altro','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',341),(5495,'Insieme di domande pre-determinate presentate ai partecipanti allo studio.','Questionnaire',NULL,0,NULL,NULL,'Questionario','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',343),(5496,'Insieme di domande pre-determinate, la maggior parte delle quali prevede risposte chiuse, sebbene possa esserci una piccola percentuale di domande a risposta aperta.','Questionnaire.Structured','Questionnaire',1,NULL,NULL,'Questionario strutturato','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',343),(5497,'Insieme di domande pre-determinate, di cui una parte significativa presenta risposta aperte (indicativamente tra un terzo e due terzi del totale), e le restanti sono chiuse.','Questionnaire.Semistructured','Questionnaire',2,NULL,NULL,'Questionario semi-strutturato','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',343),(5498,'Insieme di domande pre-determinate, la maggior parte delle quali prevede risposte aperte, sebbene possa esserci una piccola percentuale di domande a risposta chiusa.','Questionnaire.Unstructured','Questionnaire',3,NULL,NULL,'Questionario non strutturato','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',343),(5499,'Temi, argomenti e/o domande utilizzate in un\'intervista. Può variare tra temi definiti in modo ampio e domande formulate in modo più preciso. Rispetto a un questionario non strutturato c\'è una maggiore flessibilità riguardo a quali domande vengono effettivamente poste a ciascun partecipante e come esse vengono poste.','InterviewSchemeAndThemes',NULL,4,NULL,NULL,'Traccia e/o temi di intervista','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',343),(5500,'Indicazioni o istruzioni relative ai metodi e alle procedure da utilizzare per la raccolta dei dati. Utilizzare un termine più specifico, se possibile.','DataCollectionGuidelines',NULL,5,NULL,NULL,'Linee guida per la raccolta dei dati','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',343),(5501,'Linee guida riguardanti ciò che verrà osservato. A seconda della disegno della ricerca, una guida all\'osservazione può essere più o meno strutturata, variando da indicazioni e scale precise a idee formulate in modo generale.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,NULL,'Linee guida per la raccolta dei dati: traccia di osservazione','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',343),(5503,'Linee guida relative al contenuto desiderato o atteso di documenti o narrazioni personali dei potenziali partecipanti allo studio. Le istruzioni possono essere fornite come parte dell\'invito a partecipare oppure separatamente. Ad esempio, un invito che chiede alle persone che soffrono di una specifica malattia o disabilità di descrivere come essa influisca sui loro sentimenti, sulle relazioni sociali e sulla vita quotidiana; oppure un invito a tenere un diario dei libri letti durante un periodo di sei mesi con la richiesta di riportare i pensieri suscitati dai libri.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,NULL,'Linee guida per la raccolta dei dati: scritti autocompilati','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',343),(5504,'Linee guida che specificano quali dati devono essere raccolti da fonti precedentemente esistenti ma create originariamente per altri scopi. Ad esempio, indicazioni su come selezionare e codificare i dati da fonti qualitative per creare un dataset quantitativo.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,NULL,'Linee guida per la raccolta dei dati: dati secondari','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',343),(5505,'Una descrizione delle attività che i partecipanti sono invitati a svolgere come parte del processo di raccolta dei dati. Ad esempio, segnare i luoghi su una mappa, scattare fotografie, raccontare una fiaba, ecc.','ParticipantTasks',NULL,10,NULL,NULL,'Compiti del partecipante','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',343),(5506,'Strumenti utilizzati per raccogliere dati oggettivi come misurazioni, immagini, ecc. Ad esempio, cronometri, scale, tachimetri, misuratori della pressione sanguigna, termometri, macchine a raggi X, ecc.','TechnicalInstruments',NULL,11,NULL,NULL,'Strumenti tecnici','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',343),(5507,'Script di programmazione sviluppato in un linguaggio di interrogazione dei dati che viene utilizzato per estrarre dati specifici, ad esempio dai social network online.','ProgrammingScript',NULL,12,NULL,NULL,'Script di programmazione','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',343),(5508,'Utilizzare quando il tipo di strumento è conosciuto, ma non è presente nell\'elenco.','Other',NULL,13,NULL,NULL,'Altro','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',343),(5509,'Media matematica di un insieme di valori. La media è calcolata sommando tutti i  valori e dividendo la somma per il loro numero. Nell\'ambito delle scienze sociali/politiche identifica il valore medio della misura (ad esempio la somma dei punteggi diviso il numero di unità per cui il punteggio è disponibile).','ArithmeticMean',NULL,0,NULL,NULL,'Media aritmetica','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',344),(5510,'Valore medio di tutti i dati se si estrae l\'ennesima radice del prodotto di tutti i valori (n). Utilizzata raramente nelle scienze sociali.','GeometricMean',NULL,1,NULL,NULL,'Media geometrica','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',344),(5511,'Valore medio di tutti i dati se si calcola il reciproco della media aritmetica del reciproco dei valori. Utilizzata raramente nelle scienze sociali.','HarmonicMean',NULL,2,NULL,NULL,'Media armonica','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',344),(5512,'La media (aritmetica) calcolata senza considerare parte delle osservazioni che nella sequenza ordinata si trovano  all\'estremità  superiore e inferiore (ad esempio, la media interquartile è calcolata sulle osservazioni centrali della distribuzione ordinata eludendo il  25% di quelle più basse ed il 25% di quelle più alte).','TrimmedMean',NULL,3,NULL,NULL,'Media troncata','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',344),(5513,'Fornisce una stima di quanto la media campionaria differisce dalla media effettiva della popolazione.','StandardErrorOfMean',NULL,4,NULL,NULL,'Errore standard della media','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',344),(5514,'Valore a cui corrisponde la massima frequenza.','Mode',NULL,5,NULL,NULL,'Moda','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',344),(5515,'Il valore medio di un insieme di valori disposti in ordine crescente. Metà dei valori si trova al di sotto della mediana e metà al di sopra di essa. Se l\'insieme ha un numero pari di valori, la mediana sarà pari alla media dei due valori centrali.','Median',NULL,6,NULL,NULL,'Mediana','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',344),(5516,'Valori considerati ammissibili per lo studio, e che pertanto forniscono informazioni sostanziali nelle analisi dei dati.','ValidCases',NULL,7,NULL,NULL,'Casi validi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',344),(5517,'Valori non considerati ammissibili per lo studio (ad esempio, non accertati, non applicabili, ecc.) e che pertanto vengono esclusi  nelle analisi dei dati.','InvalidCases',NULL,8,NULL,NULL,'Casi non validi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',344),(5518,'Il valore valido più basso assunto da una variabile.','Minimum',NULL,9,NULL,NULL,'Minimo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',344),(5519,'Il valore valido più alto assunto da una variabile.','Maximum',NULL,10,NULL,NULL,'Massimo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',344),(5520,'L\'intervallo di valori validi, ossia tutti i valori compresi tra il più basso e il più alto dei valori validi.','Range',NULL,11,NULL,NULL,'Intervallo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',344),(5521,'La somma o il totale dei valori di tutti i casi validi.','Sum',NULL,12,NULL,NULL,'Somma','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',344),(5522,'La varianza di una variabile è lo scarto quadratico medio dal valore medio. Riflette la dispersione di una distribuzione di frequenza attorno alla sua media.','Variance',NULL,13,NULL,NULL,'Varianza','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',344),(5523,'Indica il grado in cui gli individui all\'interno del campione differiscono dalla media campionaria.','StandardDeviation',NULL,14,NULL,NULL,'Deviazione standard','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',344),(5524,'Deviazione standard divisa per la media.','CoefficientOfVariation',NULL,15,NULL,NULL,'Coefficiente di variazione','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',344),(5525,'La media delle differenze assolute tra ciascun valore e la media complessiva. Misura la dispersione statistica attorno alla media, alternativa alla deviazione standard.','AverageAbsoluteDeviation',NULL,16,NULL,NULL,'Deviazione media assoluta','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',344),(5526,'La deviazione mediana assoluta dalla mediana. Misura la dispersione statistica intorno alla mediana.','MedianAbsoluteDeviation',NULL,17,NULL,NULL,'Deviazione mediana assoluta','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',344),(5527,'Il primo dei tre valori che suddividono la frequenza totale di una distribuzione in quattro parti uguali.','FirstQuartile',NULL,18,NULL,NULL,'Primo quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',344),(5528,'Il secondo dei tre valori che suddividono la frequenza totale di una distribuzione in quattro parti uguali (= mediana).','SecondQuartile',NULL,19,NULL,NULL,'Secondo quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',344),(5529,'Il terzo dei tre valori che suddividono la frequenza totale di una distribuzione in quattro parti uguali.','ThirdQuartile',NULL,20,NULL,NULL,'Terzo quartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',344),(5530,'L\'intervallo tra il primo e il terzo quartile.','InterquartileRange',NULL,21,NULL,NULL,'Differenza interquartile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',344),(5531,'Il primo dei quattro valori che suddividono la frequenza totale di una distribuzione in cinque parti uguali.','FirstQuintile',NULL,22,NULL,NULL,'Primo quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',344),(5532,'Il secondo dei quattro valori che suddividono la frequenza totale di una distribuzione in cinque parti uguali.','SecondQuintile',NULL,23,NULL,NULL,'Secondo quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',344),(5533,'Il terzo dei quattro valori che suddividono la frequenza totale di una distribuzione in cinque parti uguali.','ThirdQuintile',NULL,24,NULL,NULL,'Terzo quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',344),(5534,'Il quarto dei quattro valori che suddividono la frequenza totale di una distribuzione in cinque parti uguali.','FourthQuintile',NULL,25,NULL,NULL,'Quarto quintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',344),(5535,'L\'intervallo tra il primo e il quarto quintile.','InterquintileRange',NULL,26,NULL,NULL,'Ampiezza interquintile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',344),(5536,'Il primo dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','FirstDecile',NULL,27,NULL,NULL,'Primo decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',344),(5537,'Il secondo dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','SecondDecile',NULL,28,NULL,NULL,'Secondo decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',344),(5538,'Il terzo dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','ThirdDecile',NULL,29,NULL,NULL,'Terzo decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',344),(5539,'Il quarto dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','FourthDecile',NULL,30,NULL,NULL,'Quarto decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',344),(5540,'Il quinto dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali (= mediana).','FifthDecile',NULL,31,NULL,NULL,'Quinto decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',344),(5541,'Il sesto dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','SixthDecile',NULL,32,NULL,NULL,'Sesto decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',344),(5542,'Il settimo dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','SeventhDecile',NULL,33,NULL,NULL,'Settimo decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',344),(5543,'L\'ottavo dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','EighthDecile',NULL,34,NULL,NULL,'Ottavo decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',344),(5544,'Il nono dei nove valori che suddividono la frequenza totale di una distribuzione in dieci parti uguali.','NinthDecile',NULL,35,NULL,NULL,'Nono decile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',344),(5545,'L\'intervallo tra il primo e il nono decile.','InterdecileRange',NULL,36,NULL,NULL,'Ampiezza interdecile','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',344),(5546,'Un percentile non coperto da nessuno degli altri percentili indicati.','OtherPercentile',NULL,37,NULL,NULL,'Altri percentili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',344),(5547,'Una misura dell\'asimmetria di una distribuzione di probabilità di una variabile.','Beta1',NULL,38,NULL,NULL,'Indice di asimmetria','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',344),(5548,'Una misura del \"picco\" di una distribuzione di probabilità di una variabile.','Beta2',NULL,39,NULL,NULL,'Curtosi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',344),(5549,'Test di normalità statistica.','ShapiroWilk',NULL,40,NULL,NULL,'Test di Shapiro-Wilk','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',344),(5550,'Indica la percentuale di casi validi sul numero totale dei casi.','PercentageOfValidCases',NULL,41,NULL,NULL,'Percentuale di casi validi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',344),(5551,'Indica la percentuale di casi non validi sul numero totale dei casi.','PercentageOfInvalidCases',NULL,42,NULL,NULL,'Percentuale di casi non validi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',344),(5552,'Utilizzare se il tipo di statistica riassuntiva è conosciuto, ma non è presente nell\'elenco.','Other',NULL,43,NULL,NULL,'Altro','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',344),(5570,'Describing the rationale, and putting together a specific plan for conducting a study or research project.\n','ProjectOrStudyDesign',NULL,0,NULL,NULL,'Project/Study design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign',350),(5571,'Developing high-level research concepts as well as specific concepts to be measured. Conceptualization involves clarifying the concepts with verbal definitions and examples as well as expressing relationships among the concepts. ','ProjectOrStudyDesign.Conceptualization','ProjectOrStudyDesign',1,NULL,NULL,'Project/Study design: Conceptualization','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.Conceptualization',350),(5572,'Conceiving and planning for the data collection instrument(s). May include the operationalization of concepts into questions and indicators, instrument testing, forward translation and subsequent changes in the master instrument(s),  as well as designing  and testing other types of data collection instruments than survey questionnaires. ','ProjectOrStudyDesign.InstrumentDesign','ProjectOrStudyDesign',2,NULL,NULL,'Project/Study design: Instrument design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.InstrumentDesign',350),(5573,'Developing guidelines or protocols for the methods used to conduct the study, and to process and analyze the data. For example, directions and instructions for collecting data, conducting interviews, translating questionnaires, input harmonization, using weights, etc.','ProjectOrStudyDesign.MethodologyDevelopment','ProjectOrStudyDesign',3,NULL,NULL,'Project/Study design: Methodology development','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.MethodologyDevelopment',350),(5574,'Defining which elements of the target population are included in the sample, as well as the rules and procedures by which they will be selected. ','ProjectOrStudyDesignSamplingDesign',NULL,7,NULL,NULL,'Project/Study design: Sampling design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesignSamplingDesign',350),(5575,'Developing weights to assist in adjusting the data to the desired objectives of the study, for example, to make the data representative of the target population.   ','ProjectOrStudyDesign.WeightsDesign','ProjectOrStudyDesign',4,NULL,NULL,'Project/Study design: Weights design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.WeightsDesign',350),(5576,'Developing models for the structure and distribution of data and metadata in fixed, predictable formats. For example, the DATS (Data Tag Suite) for describing biomedical data, the Data Documentation Initiative (DDI) for describing social, behavioral, economic, and health sciences data, etc. ','ProjectOrStudyDesign.StandardsDevelopment','ProjectOrStudyDesign',5,NULL,NULL,'Project/Study design: Standards development','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.StandardsDevelopment',350),(5577,'Creating a data model based on an analysis of data objects and their relationships, data properties, as well as data flows and processes. It is often the first step in database creation, tool and standards development, etc., and typically involves a progression from a conceptual model to a logical model, and then to a physical schema. ','ProjectOrStudyDesign.DataModeling','ProjectOrStudyDesign',6,NULL,NULL,'Project/Study design: Data modeling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOrStudyDesign.DataModeling',350),(5578,'Development and execution of architectures, policies, practices and procedures to handle data at any stage of its life cycle. Includes processes and activities related to the selection, organization and integration of data, their annotation, as well as their publication and preservation so that the data maintain their value over time, and remain available for reuse. ','DataManagement',NULL,8,NULL,NULL,'Data management','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataManagement',350),(5579,'Reviewing whether a research proposal or study complies with ethical principles based on legislation or approved ethical guidelines (soft legislation). ','EthicsReview',NULL,9,NULL,NULL,'Ethics review','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#EthicsReview',350),(5580,'Activities relating to the process of gathering data in an established, systematic fashion that enables answering the stated research questions, testing hypotheses, and evaluating outcomes. Maps to \'DataCollector\' in DataCite.','DataCollection',NULL,10,NULL,NULL,'Data collection','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataCollection',350),(5581,'Selecting units from the target population. ','SampleSelection',NULL,11,NULL,NULL,'Sample selection','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#SampleSelection',350),(5582,'Entering or updating data into a computer system, often from other forms of media, like paper questionnaires, newspaper articles, etc. ','DataEntry',NULL,12,NULL,NULL,'Data entry','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataEntry',350),(5583,'Performing operations that result in changes to the data, including data cleaning, editing, post-harmonization, etc. Maps to \'DataCurator\' in DataCite.','DataProcessing',NULL,13,NULL,NULL,'Data processing','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataProcessing',350),(5584,'Planning or using specific techniques to preserve the anonymity of individual or other entities that the data refer to. For example, anonymization, pseudonymization, or removal of direct and indirect identifiers. ','DataProcessing.DisclosureControl','DataProcessing',14,NULL,NULL,'Data processing: Disclosure control','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataProcessing.DisclosureControl',350),(5585,'Producing individually collected data in a summary form, for purposes such as statistical analysis. A common aggregation goal is to obtain more information about particular population groups, based on specific variables, such as age, profession, education, or income. ','DataProcessing.DataAggregation','DataProcessing',15,NULL,NULL,'Data processing: Data aggregation','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataProcessing.DataAggregation',350),(5586,'Combining data from separate sources into meaningful information. For example, linking register data with survey data or integrating datasets collected in different countries into a cross-national dataset. ','DataProcessing.DataIntegration','DataProcessing',16,NULL,NULL,'Data processing: Data integration','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataProcessing.DataIntegration',350),(5587,'The process of checking data to ensure that all of them have acceptable values, that they are accurate, coherent, consistent, complete and in the expected format. ','DataProcessing.DataValidation','DataProcessing',17,NULL,NULL,'Data processing: Data validation','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataProcessing.DataValidation',350),(5588,'Acquiring data and supporting documentation from potential contributors for further preservation and/or dissemination.','DataAcquisition',NULL,18,NULL,NULL,'Data acquisition','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataAcquisition',350),(5589,'Generating data documentation. For example, a study description covering study rationale, methodology, and other characteristics of the dataset as a whole; variable-level documentation (labels, frequencies, question text); references to study-related materials or publications, etc.','MetadataProduction',NULL,19,NULL,NULL,'Metadata production','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#MetadataProduction',350),(5590,'Distributing/disseminating the data to users and making them available for reuse. Maps to \'Distributor\' in DataCite. ','DataDistribution',NULL,20,NULL,NULL,'Data distribution','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataDistribution',350),(5591,'Housing, servicing, and maintaining data and, usually, the accompanying  metadata or related documentation. Maps to to \'HostingInstitution\' in DataCite.','DataHosting',NULL,21,NULL,NULL,'Data hosting','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataHosting',350),(5592,'Protecting and maintaining the integrity and usability of data and accompanying metadata so that they remain available to future generations. Maps to \'DataManager\' in DataCite. ','LongTermPreservationOrArchiving',NULL,22,NULL,NULL,'Long-term preservation/archiving','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#LongTermPreservationOrArchiving',350),(5593,'Providing expert advice. ','Consulting',NULL,23,NULL,NULL,'Consulting','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Consulting',350),(5594,'Individual, or organization that may be reached to obtain data-related information. Maps to  \'ContactPerson\' in DataCite.\n','Contact',NULL,24,NULL,NULL,'Contact','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Contact',350),(5595,'The process of investigating the data to help answer research questions and reach conclusions.','DataAnalysis',NULL,25,NULL,NULL,'Data analysis','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#DataAnalysis',350),(5596,'Arranging, revising, and preparing materials (e.g., text, audio or video) for final production or publication. Maps to \'Editor\' in DataCite.','Editing',NULL,26,NULL,NULL,'Editing','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Editing',350),(5597,'Assessing quality, worth and significance. Includes, for example, establishing evaluation criteria, gathering evaluation inputs and conducting the process of evaluation.','Evaluation',NULL,28,NULL,NULL,'Evaluation','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Evaluation',350),(5598,'Providing financial support to a program or project, usually by an organization or government. Funding is made for a specific purpose for which the successful applicant must often account in full. ','FundingProvision',NULL,29,NULL,NULL,'Funding provision','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#FundingProvision',350),(5599,'Searching for, and/or obtaining financial or other type of support for a program or project. ','FundingOrSponsorshipAcquisition',NULL,30,NULL,NULL,'Funding/sponsorship acquisition','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#FundingOrSponsorshipAcquisition',350),(5600,'Providing support for research or for other work or activities. Includes in-kind support, for example, providing staff time, facilities or instrumentation. Maps to \'Sponsor\' in DataCite.','Sponsorship',NULL,31,NULL,NULL,'Sponsorship','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Sponsorship',350),(5601,'Combining text and images to support and enhance content, and make it visually appealing and user-friendly. ','GraphicDesign',NULL,32,NULL,NULL,'Graphic design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#GraphicDesign',350),(5602,'Initiating, planning, executing, controlling, and closing the work of a team designed to achieve specific goals.','ProjectOperations',NULL,33,NULL,NULL,'Project operations','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOperations',350),(5603,'Person officially designated as head of a project, or subproject team that carries out the work for developing a resource. The project leader remains closely involved in the work performed throughout the life of the project. Maps to \'ProjectLeader\' in DataCite.','ProjectOperations.ProjectLeader','ProjectOperations',34,NULL,NULL,'Project operations: Project leader','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOperations.ProjectLeader',350),(5604,'Person officially designated as manager of a project. This function normally has more administrative responsibilities than actual work involvement. Maps to \'ProjectManager\' in DataCite.','ProjectOperations.ProjectManager','ProjectOperations',35,NULL,NULL,'Project operations: Project manager','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOperations.ProjectManager',350),(5605,'Person that contributes and participates as a member in a designated project or project team. Maps to \'ProjectMember\' in DataCite.\n','ProjectOperations.ProjectMember','ProjectOperations',36,NULL,NULL,'Project operations: Project member','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ProjectOperations.ProjectMember',350),(5606,'Raising awareness and understanding of products and services, to attract potential users. ','Promotion',NULL,37,NULL,NULL,'Promotion','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Promotion',350),(5607,'A standards-setting body from which Registration Agencies obtain official recognition and guidance. For example, the International DOI Foundation (IDF) serves as the registration authority for the International Standards Organization (ISO) in the area/domain of Digital Object Identifiers.','RegistrationAuthority',NULL,38,NULL,NULL,'Registration authority','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#RegistrationAuthority',350),(5610,'An individual involved in analyzing the data or the study results, but whose role is to help with the research rather than be a creator.  For example, a researcher may seek, and find additional data from another source and correlate it to the study or experiment that is being conducted. Maps to \'Researcher\' in DataCite.','Researcher',NULL,39,NULL,NULL,'Researcher','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Researcher',350),(5611,'Group of individuals involved in the research. Maps to \'ResearchGroup\' in DataCite.','ResearchGroup',NULL,40,NULL,NULL,'Research group','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#ResearchGroup',350),(5612,'Owning property rights, including intellectual property rights over the resource. Maps to \'RightsHolder\' in DataCite.','RightsHolding',NULL,41,NULL,NULL,'Rights holding','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#RightsHolding',350),(5613,'Managing licenses for distributed data, tools, and other research materials on behalf of the rights holder.\n','RightsManagement',NULL,42,NULL,NULL,'Rights management','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#RightsManagement',350),(5614,'Creating and maintaining software needed at any stage of the data life cycle. ','SoftwareDevelopment',NULL,43,NULL,NULL,'Software development','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#SoftwareDevelopment',350),(5615,'Creating and maintaining equipment needed at any stage of the data life cycle. ','EquipmentDevelopment',NULL,27,NULL,NULL,'Equipment development','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#EquipmentDevelopment',350),(5616,'Overseeing one or more individuals or teams in their work. Maps to \'Supervisor\' in DataCite.','Supervision',NULL,44,NULL,NULL,'Supervision','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Supervision',350),(5617,'Imparting information and/or instructions to improve the recipient\'s performance or to help attain a required level of knowledge or skills related to research or research data. For example, training interviewers, translators, data archivists, or data analysts. ','Training',NULL,45,NULL,NULL,'Training','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Training',350),(5618,'Expressing the content of text or speech in a different language than the original language used. For example, questionnaire or study report translation. ','Translation',NULL,46,NULL,NULL,'Translation','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Translation',350),(5619,'Providing assistance to users of data, metadata, tools, etc. ','UserSupport',NULL,47,NULL,NULL,'User support','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#UserSupport',350),(5620,'Representing data, analysis results, or other information as a chart, image or animation, to aid in the understanding of their meaning. ','Visualization',NULL,48,NULL,NULL,'Visualization','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Visualization',350),(5621,'Creating and maintaining a website related to the data. May include web design, building a user interface, network security configuration, etc. ','WebsiteDevelopment',NULL,49,NULL,NULL,'Website development','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#WebsiteDevelopment',350),(5622,'Use if the role is known but not in the list. Can be mapped to the roles \'RelatedPerson\', \'Producer\', and \'Work Package Leader\' in DataCite.','Other',NULL,50,NULL,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html#Other',350),(5716,'Data on employment policies relating to employment relations, the labour market and equality and discrimination at work; at national level policies include influencing the demand and supply of labour and the functioning of labour markets. Use \'Legislation and legal systems\' for laws and regulations already implemented.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,3852,NULL,'Labour and employment policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0',358),(5717,'Data on employment rate and statistics, labour market, job vacancies, job-seeking, job characteristics, employment of certain groups (e.g. youth or minority employment), employment services, career. For pay and remuneration use \'Working conditions\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,3904,NULL,'Employment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0',358),(5718,'Global governance, diplomacy, foreign policy, relations between countries, international organisations (e.g. the EU, WHO, UN, WTO), and international agreements.','Politics.InternationalPoliticsAndOrganisations','Politics',58,3861,NULL,'International politics and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0',358),(5719,'Includes studies measuring the standard of housing in a community, including social housing, as well as the availability and pricing of housing. Housing includes homes, second homes and holiday homes.','HousingAndLandUse.Housing','HousingAndLandUse',31,3855,NULL,'Housing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0',358),(5720,'Issues relating to whether all individuals or groups of individuals have the same status and opportunities in society.  Equality can be studied, for example, in terms of education, (financial) assets or income, occupational position, power, prestige, conditions of work and leisure time, access to services, and social relations. Marginalisation and social exclusion can be the result of systematic disadvantage in multiple areas of life, and people concerned may be deprived of rights, opportunities, resources and social integration. \nExamples of data: statistics on income equality; perceived group-focused discrimination (e.g. towards foreigners, the homeless, asylum seekers); perceived  differences between men and women regarding opportunities for leading roles in politics; impact of parental unemployment on children\'s education level and social networks.\n','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,3931,NULL,'Equality, inequality and social exclusion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0',358),(5721,'','TradeIndustryAndMarkets',NULL,89,3876,NULL,'TRADE, INDUSTRY AND MARKETS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0',358),(5722,'Data on international or national legislation, administrative regulations, judiciary system (powers and activities of courts), alternative dispute resolution and restorative justice, punishments.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,3929,NULL,'Legislation and legal systems','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0',358),(5724,'Study on abnormal anatomical or physiological conditions, and objective or subjective manifestations of disease/symptoms, not classified as disease or syndrome (in which case \'Specific diseases, disorders or medical conditions\' would be used). Includes clinical manifestations that can be objective when observed by a medical professional or subjective when perceived by the patient. E.g. pain, diarrhoea, rash, leg length inequality, insomnia, teeth grinding, inflammation, arrhythmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,3841,NULL,'Signs and symptoms; pathological conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0',358),(5725,'Data on elections, referendums, election campaigns, election results, candidates in elections, candidate selectors, election funding etc.','Politics.Elections','Politics',56,3898,NULL,'Elections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0',358),(5726,'Covers issues related to families, relatives, generations and household composition. For instance, data on child rearing, division of labour within the family, support provided for family members.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,3845,NULL,'Family life and marriage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0',358),(5727,'Decisions made and principles adopted at national, regional or local level concerning social welfare, its funding and provision, for instance, who is entitled to what kind of social services and benefits and why, what is their level, and who can provide the services.  For example, a policy that elderly people should remain in their homes for as long as possible, a policy relating to how long people can have an unemployment benefit. Use also the term \'Legislation and legal systems\' for laws and regulations already implemented.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,3910,NULL,'Social welfare policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0',358),(5728,'','Education',NULL,10,3862,NULL,'EDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0',358),(5729,'Compulsory education refers to the period of education that is required of all persons living in a country and is imposed by law. Pre-school education refers to formal childcare and education given prior to compulsory education. Use this term to index data relating to pre-school, primary and lower secondary stages of education, regardless of whether the data focuses on students, teachers, subjects or skills taught, facilities etc.','Education.CompulsoryAndPreschoolEducation','Education',11,3877,NULL,'Compulsory and pre-school education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0',358),(5730,'Data on changes in the society, including attitudinal changes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,3923,NULL,'Social change','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0',358),(5732,'Use the appropriate topical term for historical data as well as the main term here. For example, \'Working conditions\' and \'Health care services and policies\' plus HISTORY for data on the working environments of family doctors in the 1960s. The history main term is to be used on its own only in cases where no topical term can be found.','History',NULL,29,3875,NULL,'HISTORY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0',358),(5733,'Treatment of disease, or procedure/s of preventing it. Patient care at individual level. Research on medication and treatment of a disease. Data on, for instance, surgical procedures, rehabilitation, doctor consultation, physical therapy, musculoskeletal manipulations, care in hospital or home, psychotherapy, investigative techniques, medication.','Health.MedicationAndTreatment','Health',21,3847,NULL,'Medication and treatment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0',358),(5734,'Data on industry and business such as management, productivity, growth and decline, organisation structure, administration, investment in R&D, markets and market share.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,3913,NULL,'Business/industrial management and organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0',358),(5735,'May need an additional topic, if young people are studied from a particular aspect.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,3888,NULL,'Youth','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0',358),(5736,'Use this category for studies about agricultural production and all rural industries which includes, for example, fisheries and forestry.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,3921,NULL,'Agriculture and rural industry','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0',358),(5737,'Quality and availability of services, associated facilities and personnel within health care. Health care economy and policy decisions and principles at national, regional or local level regarding health care. Use \'Legislation and legal systems\' for laws and regulations already implemented.','Health.HealthCareServicesAndPolicies','Health',20,3905,NULL,'Health care services and policies','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0',358),(5738,'Data referring to any type of mass media. For example, printed or online newspapers, magazines, television and the radio. Please note that social media are indexed with the term \'Information society\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,3911,NULL,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0',358),(5739,'Reproductive process, function or system at any stage of life. Includes data on pregnancy, birth, family planning, contraception and abortion, menopause.','Health.ReproductiveHealth','Health',25,3846,NULL,'Reproductive health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0',358),(5740,'Natural resources are assets such as land, forests, energy sources, water, minerals which exist naturally and can be used for economic production or consumption. Energy resources include fossil fuels such as oil, natural gas or coal, as well as nuclear, solar, tidal and wind or from living organisms that can be replaced.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,3908,NULL,'Energy and natural resources','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0',358),(5741,'Measures adopted to enhance or preserve the image of individuals, companies, organisations, and governments for example by means of advertising, lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,3919,NULL,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0',358),(5742,'Information and communication technologies that are used in the home, workplace and other community setting. Note that the use and impact of these technologies are covered by \'Information society\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,3920,NULL,'Information technology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0',358),(5743,'','ScienceAndTechnology',NULL,62,3858,NULL,'SCIENCE AND TECHNOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0',358),(5745,'Programmes that are designed for learners to acquire the knowledge, skills and competencies specific to a particular occupation, trade or class of occupations or trades. Vocational education may have work-based components. Covers vocational education at ISCED levels 3-4 and apprenticeships. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.VocationalEducationAndTraining','Education',15,3851,NULL,'Vocational education and training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0',358),(5746,'Active or passive participation in any kind of cultural activities, as well as opinions and perceptions of them.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,3864,NULL,'Cultural activities and participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0',358),(5747,'Discussions of policy and principles, and decisions made and principles adopted at national, regional or local level concerning education and its provision. Use \'Legislation and legal systems\' for laws and regulations already implemented.','Education.EducationalPolicy','Education',12,3859,NULL,'Educational policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0',358),(5748,'','LabourAndEmployment',NULL,33,3873,NULL,'LABOUR AND EMPLOYMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0',358),(5749,'','Psychology',NULL,61,3879,NULL,'PSYCHOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0',358),(5750,'','Politics',NULL,54,3917,NULL,'POLITICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0',358),(5751,'The creation, distribution, use, integration and manipulation of information as a significant economic, political, and cultural activity. For instance, data relating to e-commerce, e-government, social media, mobile devices, access and use of the Internet, e-privacy, information and library resources. Use \'Information technology\' when talking about the actual technologies.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,3865,NULL,'Information society','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0',358),(5752,'Exchange of capital, goods, or services across international borders.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,3903,NULL,'Foreign trade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0',358),(5753,'Data on unemployment rates and statistics, employment programmes and schemes, duration and frequency of unemployment, social and psychological impact of unemployment etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,3872,NULL,'Unemployment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0',358),(5754,'','SocialWelfarePolicyAndSystems',NULL,75,3880,NULL,'SOCIAL WELFARE POLICY AND SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0',358),(5755,'','SocialStratificationAndGroupings',NULL,65,3928,NULL,'SOCIAL STRATIFICATION AND GROUPINGS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0',358),(5756,'Internal corporate training and other employee training funded by the employer to increase employee skills and competence. Does not include apprenticeships, which are included in \'Vocational education and training\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,3848,NULL,'Employee training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0',358),(5757,'Includes immigration, emigration, internal migration as well as other types of geographical mobility. Immigration means coming to settle in another country than one\'s home country. Emigration means leaving one\'s home country to settle in another country. Migration is an umbrella term for both. Migration also includes internal migration, that is, movement of people within one country at different geographical levels.','Demography.Migration','Demography',2,3894,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0',358),(5758,'','Economics',NULL,4,3866,NULL,'ECONOMICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0',358),(5759,'Data on identity formation, who people feel they are and where they belong. The relation of cultural and national identity to representation and to classifying someone else as \"not one of us\" (Othering). Customs and manners of, and attitudes to own perceived and other identity groups.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,3914,NULL,'Cultural and national identity','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0',358),(5760,'Groups of individuals that differ from the majority of population in some way. Differentiating characteristics include, for instance, ethnicity, religion, health, sexual orientation, first language (mother tongue) and culture. Please note that you can also use terms \'Equality, inequality and social exclusion\' or \'Language and linguistics\' in connection with some minority issues.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,3890,NULL,'Minorities','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0',358),(5761,'','SocietyAndCulture',NULL,79,3886,NULL,'SOCIETY AND CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0',358),(5762,'Covers general education at ISCED levels 3-4 plus tertiary education, that is, upper secondary general education, and college, university of applied sciences, and university education. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.HigherAndFurtherEducation','Education',13,3922,NULL,'Higher and further education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0',358),(5763,'Data on the amount of time spent by the population on various activities.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,3867,NULL,'Time use','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0',358),(5764,'For example, data on the extent people use specific social services, opinions on the adequacy, accessibility and availability of specific services, and general satisfaction with them. For example, questions on what services elderly respondents have used, or use statistics on particular services.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,3927,NULL,'Specific social services: use and availability','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0',358),(5765,'Refers to educational opportunities in varied forms provided for adults after they have left the formal education system. Adults may engage in such education to, for instance, improve their skills or qualifications, to retrain for a new line of work, or just to learn something new. Does not generally include education leading to a qualification, or employee training.','Education.LifelongContinuingEducation','Education',14,3860,NULL,'Life-long/continuing education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0',358),(5766,'Covers domesticated, production and wild animals, as well as all types of plants (e.g. flowers, trees, moss, vegetables).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,3842,NULL,'Plants and animals','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0',358),(5767,'The conditions under which employees work. For example, types of contract, working time (hours of work, rest periods, work schedules, overtime), pay and remuneration, physical aspects and mental demands of work, employee rights and responsibilities, workload, employee involvement in decision-making, leave entitlements, physical environment. For workplace safety issues use also \'Occupational health\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,3893,NULL,'Working conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0',358),(5768,'Data on social behaviour; social interaction and networks; social responsibilities; social norms and rules; and attitudes towards these issues.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,3892,NULL,'Social behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0',358),(5769,'Morbidity refers to incidence of ill health in a population. Data may cover the incidence or morbidity rate of a medical condition. For example, the number of people who suffer from lung cancer in a country or a geographic area during a single year. Mortality data indicate the numbers of deaths in a population by place, time, cause, or type of individual etc. For example, maternal mortality rate, child mortality rate. Note that self-reported survey data on illnesses and medical conditions are indexed with HEALTH hierarchy terms.','Demography.MorbidityAndMortality','Demography',3,3926,NULL,'Morbidity and mortality','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0',358),(5770,'Prevention and control of disease and disability, and the promotion of physical and mental health of the population on the international, national, state, or municipal level. For instance, health promotion, disease prevention, impact of public health programmes, managing local, national or global health issues, epidemiology of a disease, condition, or pathogen, or disease outbreak.','Health.PublicHealth','Health',24,3907,NULL,'Public health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0',358),(5771,'Include all types of goods transport as well as commuting, public transport (trains, buses, underground etc), and urban transport networks. Data on mobility habits, for example, cross-border shopping, routes and means used to access a location. Use the term \'Leisure, tourism and sport\' for travel for leisure.','TransportAndTravel',NULL,93,3884,NULL,'TRANSPORT AND TRAVEL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0',358),(5772,'','NaturalEnvironment',NULL,49,3889,NULL,'NATURAL ENVIRONMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0',358),(5773,'Refers to the act of acquiring and/or using something to meet the needs and wants of a person, community or society. Data in this category include patterns of consumer behaviour, changes in them, and study on consumer ethics. For example, survey data on how often people buy certain items;  when and where they shop; whether ethical considerations affect their consumer choices.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,3918,NULL,'Consumption and consumer behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0',358),(5774,'','HousingAndLandUse',NULL,30,3899,NULL,'HOUSING AND LAND USE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0',358),(5775,'May need an additional topic, if children are studied from a particular aspect.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,3869,NULL,'Children','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0',358),(5776,'Covers issues of environmental degradation, pollution, environmental protection, climate change, flood prevention, soil erosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,3902,NULL,'Environment and conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0',358),(5777,'Study on the general well-being or health status of an individual, group or population. May be objectively measured/observed or self-perceived. Well-being includes, for instance, physical and mental capacity or state, as well as social state.','Health.GeneralHealthAndWellbeing','Health',19,3906,NULL,'General health and well-being','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0',358),(5778,'Issues related to the actual provision of social welfare, who provides social welfare services in practice and to what extent, how the actual services are structured. For example,  questions on how a local government has organised services for the elderly.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,3900,NULL,'Social welfare systems/structures','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0',358),(5779,'Ideas, ideals and theories on the ways governments and societies can be organised. Major political ideologies include anarchism, democracy, liberalism, conservatism etc.','Politics.PoliticalIdeology','Politics',60,3854,NULL,'Political ideology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0',358),(5780,'Data on party political attitudes, political engagement and participation in the political process, voting behaviour, satisfaction with government. Use \'Political ideology\' for data on specific doctrines.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,3882,NULL,'Political behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0',358),(5781,'Use if the topic is known, but not found in the list.','Other',NULL,94,3849,NULL,'OTHER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0',358),(5782,'Includes both land use and land use planning. Land use planning refers to procedures carried out to ensure an optimal and sustainable use of land resources in rural and urban communities.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,3870,NULL,'Land use and planning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0',358),(5784,'Covers all aspects of the quality of life and well-being of individuals and societies, as well as people\'s perceptions thereof. Please note that, according to the aspect studied, the terms \'General health and well-being\', \'Equality, inequality and social exclusion\' and \'Economic conditions and indicators\', etc. may be relevant as well.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,3868,NULL,'Social conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0',358),(5785,'Internal and international security and safety; internal and international conflicts; war and peace; national defence and defence forces (the army). Note that the police are covered by \'Crime and law enforcement\'.','Politics.ConflictSecurityAndPeace','Politics',55,3856,NULL,'Conflict, security and peace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0',358),(5786,'Data related to different aspects of life in the community, or in urban and rural areas. Opinions on and images of the neighbourhood, or of urban or rural areas. Services, facilities and business opportunities in the neighbourhood.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,3853,NULL,'Community, urban and rural life','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0',358),(5787,'Gender identity; gendered representation (e.g. representation of genders in decision-making bodies, in media, in literature etc); social, cultural and psychological traits linked to males and females; women\'s studies; men\'s studies; expected behaviour and choices according to gender roles and the impact of such expectations.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,3891,NULL,'Gender and gender roles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0',358),(5788,'Relations between employers and employees.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,3887,NULL,'Labour relations/conflict','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0',358),(5789,'Covers landscapes and elements of land that have not been directly changed by humans.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,3901,NULL,'Natural landscapes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0',358),(5790,'','Demography',NULL,0,3857,NULL,'DEMOGRAPHY (POPULATION, VITAL STATISTICS, AND CENSUSES)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0',358),(5791,'Movement of individuals, families or groups of individuals in social and occupational status over time. The movement may be horizontal, that is, change in position within the range of same status, or vertical where individuals may move upwards or downwards in the status hierarchy. For example, labourers in declining industries may become labourers in some other industry (horizontal occupational mobility), or children in poor families may reach a higher social class than their parents (vertical inter-generational social mobility).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,3843,NULL,'Social and occupational mobility','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0',358),(5792,'Includes all patterns of retirement such as \'phased\' or \'flexible\' retirement, data on retirement age and early retirement.','LabourAndEmployment.Retirement','LabourAndEmployment',38,3874,NULL,'Retirement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0',358),(5793,'Economic indicators indicate in which direction an economy is headed and include, for example, GDP growth rate, employment, inflation and interest rate, consumer and investor activity, household debt. This is also used for economic conditions of individuals and households which are surveyed or registered.','Economics.EconomicConditionsAndIndicators','Economics',6,3932,NULL,'Economic conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0',358),(5794,'Use for studies that research capitalist, socialist and other economic systems and for studies, for example, on international development programs.','Economics.EconomicSystemsAndDevelopment','Economics',8,3878,NULL,'Economic systems and development','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0',358),(5795,'Data which addresses questions of religious behaviour, religious movements, spirituality, morality and other values.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,3883,NULL,'Religion and values','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0',358),(5796,'Data includes linguistic studies, linguistic analysis and sociolinguistics, as well as data on language policies, people\'s language skills, languages spoken at work and at home, attitudes towards minority languages etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,3896,NULL,'Language and linguistics','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0',358),(5797,'','LawCrimeAndLegalSystems',NULL,41,3844,NULL,'LAW, CRIME AND LEGAL SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0',358),(5798,'Issues related to the existence, roles and impact of elites in society, that is, individuals or groups who have a large amount of power or influence over society, politics, wealth etc, either through decisions they make or, for example, through ideas or feelings that they express or represent. Includes issues related to influential people in all spheres of society, for example, decision-makers in political life, political party leaders, influential artists, prominent mass or social media figures etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,3924,NULL,'Elites and leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0',358),(5799,'','MediaCommunicationAndLanguage',NULL,44,3916,NULL,'MEDIA, COMMUNICATION AND LANGUAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0',358),(5800,'Data on crime, crime prevention, victims of crime, criminals, as well the police, secret service, correctional institutions (e.g. prisons, young people\'s correctional institutions), border control and customs. Also includes data on the staff and facilities of these agencies.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,3863,NULL,'Crime and law enforcement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0',358),(5801,'Recreation patterns, leisure time activities and hobbies. Includes sports spectatorship, competition sports, and travel for leisure. For data on exercise for keeping fit, use \'Health behaviour\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,3915,NULL,'Leisure, tourism and sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0',358),(5802,'Wounds and injuries, both physical and psychological, caused either by accidents or violence (through individual or group aggressive behaviour). If work-related wounds or injuries, use \'Occupational health\'.','Health.WoundsAndInjuries','Health',28,3885,NULL,'Wounds and injuries','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0',358),(5803,'May need an additional topic, if the elderly are studied from a particular aspect.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,3850,NULL,'Elderly','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0',358),(5804,'','Health',NULL,16,3925,NULL,'HEALTH','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0',358),(5805,'Data on occupational exposures and diseases, occupational safety, sick leave, work ability and disability, or work-related disability pension.','Health.OccupationalHealth','Health',22,3909,NULL,'Occupational health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0',358),(5806,'Study on specific, diagnosed diseases, disorders or syndromes (often classified in ICD-10 or its earlier versions). For example, medical research on the causes of diabetes or study on the physical and mental recovery of people who have had heart surgery.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,3840,NULL,'Specific diseases, disorders and medical conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0',358),(5807,'Using biomolecular and cellular processes to create new products and technological processes.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,3912,NULL,'Biotechnology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0',358),(5809,'Data on people\'s general level of fitness, physical activity and exercise they take.','Health.PhysicalFitnessAndExercise','Health',23,NULL,NULL,'Physical fitness and exercise','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0',358),(5810,'Nutritional processes, eating patterns and practices, and measurable nutritional parameters such as body mass index (BMI), weight, vitamin levels.','Health.DietAndNutrition','Health',17,NULL,NULL,'Diet and nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0',358),(5820,'Two or more individuals assembled together or having some unifying relationship or characteristic. In surveys, the questions are mainly focused on the group and the attitudes/experiences of the group, rather than on those of the individual respondents. If questions cover both the group and the individual, use  both as analysis units.\n','Group',NULL,15,1176,NULL,'Group','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Group',359),(5821,'Any kind of formal administrative and functional structure - includes associations, institutions, agencies, businesses, political parties, schools, etc. The data are collected about the organizations or institutions, even if the questions are answered by individuals. For example, data on the environmental policies of businesses, data on enrollment or graduation rates at national universities, etc.\n','OrganizationOrInstitution',NULL,1,1167,NULL,'Organization/Institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#OrganizationOrInstitution',359),(5822,'A person or a group of persons who share the same dwelling unit and common living arrangements. These common living arrangements may include pooling some, or all, of their income and wealth, and consuming certain types of goods and services collectively, mainly housing and food (Eurostat).','Household',NULL,4,1170,NULL,'Household','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Household',359),(5823,'Any type of incident, occurrence, or activity. Events are usually one-time, individual occurrences, with a limited or short duration. Examples: criminal offenses, riots, meetings, elections, sports competitions, terrorist attacks, natural disasters like floods, etc. Processes typically take place over time, and may include multiple \'events\' or gradual changes that ultimately lead, or are projected to lead, to a particular result. Examples: court trials, criminal investigations, political campaigns, medical treatments, education, athletes\' training, etc. Use when the main focus is more on the event, process or activity itself. For example, a field observation study on slot machine gambling; or data collected on child abuse cases, such as the type and duration of abuse, the role of the persons involved, etc.','EventOrProcessOrActivity',NULL,6,1172,NULL,'Event/Process/Activity','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#EventOrProcessOrActivity',359),(5824,'Anything material, but inanimate, that has an independent existence and may be perceived by the senses. Examples: objects of art (paintings, sculptures, etc.) or weapons, or vehicles, etc.','Object',NULL,16,1177,NULL,'Object','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Object',359),(5825,'Use if the unit of analysis is known, but not found in the list.','Other',NULL,17,1178,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Other',359),(5826,'Any period of time: year, week, month, day, or bimonthly or quarterly periods, etc.','TimeUnit',NULL,9,1174,NULL,'Time unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#TimeUnit',359),(5827,'Any individual person.','Individual',NULL,0,1166,NULL,'Individual','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Individual',359),(5828,'Two or more people related by blood, marriage (including step-relations), co-habitation or registered partnership, adoption or fostering, and who may or may not live together. For example, data on what kind of public services the family uses or would require; or how often family members are in contact with each other. \n','Family',NULL,2,1168,NULL,'Family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Family',359),(5829,'A more specific term that refers only to people who are related through family ties (see definition for \'Family\') and live in the same household at a point in time. If not known whether the analysis unit is \'Family\' or \'Household family\', use \'Family\'.\n','Family.HouseholdFamily','Family',3,1169,NULL,'Family: Household family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#Family.HouseholdFamily',359),(5830,'U.S. Census: A housing unit is a house, an apartment, a mobile home, a group of rooms, or a single room that is occupied (or if vacant, is intended for occupancy) as separate living quarters. Separate living quarters are those in which the occupants live and eat separately from any other persons in the building and which have direct access from the outside of the building or through a common hall.','HousingUnit',NULL,5,1171,NULL,'Housing unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#HousingUnit',359),(5831,'Any entity that can be spatially defined as a geographic area, with either natural (physical) or administrative boundaries. For example, data on home sales, landscaping changes, new constructions, or changes in the demographic composition of certain regions or districts.','GeographicUnit',NULL,7,1173,NULL,'Geographic unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#GeographicUnit',359),(5832,'A geographical area governed by a sovereign authority that has the power to take administrative or policy decisions for that area. This includes areas at the supranational (e.g., unions of states like the European Union),  national (e.g., individual states or countries), sub-national (e.g., administrative subdivisions like federal states, provinces, etc.), and local (e.g., municipalities) levels.\n','PoliticalAdministrativeArea',NULL,8,NULL,NULL,'Political-administrative area','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#PoliticalAdministrativeArea',359),(5833,'Includes text, still image, video and sound.','MediaUnit',NULL,10,NULL,NULL,'Media unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#MediaUnit',359),(5834,'Any written piece/entity, such as books, articles, tweets, blogs, etc. For example, a study on hate speech in tweets, or a study of the way newspapers present certain political/social issues over time, like women\'s or minorities\' rights, etc.','MediaUnit.Text','MediaUnit',13,NULL,NULL,'Media unit: Text','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#MediaUnit.Text',359),(5835,'Recorded sound, including voice, music, etc.\n','MediaUnit.Sound','MediaUnit',11,NULL,NULL,'Media unit: Sound','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#MediaUnit.Sound',359),(5836,'Static images, such as graphs, drawings, photographs, diagnostic/medical images like X-rays and other types of imaging tests, etc.','MediaUnit.StillImage','MediaUnit',12,NULL,NULL,'Media unit: Still image','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#MediaUnit.StillImage',359),(5837,'Moving images. May include films, animation, digital recordings, visual output from simulations, recorded television programs, diagnostic/medical videos like ultrasound scans, etc. May be mute or may include synchronized sound.','MediaUnit.Video','MediaUnit',14,NULL,NULL,'Media unit: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html#MediaUnit.Video',359),(5861,'','LabourAndEmployment',NULL,33,4465,5748,'ARBEJDSKRAFT OG BESKÆFTIGELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',361),(5862,'Udveksling af kapital, varer eller tjenester på tværs af internationale grænser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4400,5752,'Udenrigshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',361),(5863,'Dækker alle aspekter af livskvaliteten og trivsel hos personer og samfund, såvel folks opfattelser heraf. Bemærk venligst ifølge det studerede aspekt, at begreberne \'Generel sundhed og trivsel\', \'Lighed, ulighed og social udstødelse\' og \'Økonomiske forhold og indikatorer\' mm. også kan være relevante. ','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4433,5784,'Sociale forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',361),(5864,'','LawCrimeAndLegalSystems',NULL,41,4451,5797,'LOV, KRIMINALITET OG RETSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',361),(5865,'Trufne beslutninger og principper, der er vedtaget på nationalt, regional eller lokalt plan vedrørende social velfærd, dets finansiering og levering, for eksempel, hvem er berettiget til hvilke former for sociale ydelser og fordele og hvorfor, hvad er deres niveau, og hvem kan levere ydelserne. For eksempel en politik, at ældre skal forblive i deres hjem så længe som muligt, en politik relateret til, hvor længe folk kan have en arbejdsløshedsunderstøttelse. Anvend også begrebet \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er indført.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,4431,5727,'Social velfærdsspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',361),(5866,'Naturressourcer er aktiver såsom land, skove, energikilder, vand, mineraler, der eksisterer naturligt og kan anvendes til økonomisk produktion eller forbrug. Energiressourcer inkluderer fossile brændstoffer såsom olie, naturgas eller kul, såvel som atomkraft, solenergi, tidevand og vind eller fra levende organismer, der kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4422,5740,'Energi og naturrressourcer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',361),(5867,'Data om partipolitiske holdninger, politisk engagement og deltagelse i den politiske proces, stemmeadfærd, tilfredshed med regering. Anvend \'Politisk ideologi\' til data om specifikke doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,4449,5780,'Politisk adfærd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',361),(5868,'Data om industri og forretning såsom ledelse, produktivitet, vækst og nedgang, organisationsstruktur, administration, investering i F&U, markeder og markedsandel. ','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4404,5734,'Forretnings/industriel ledelse og organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',361),(5869,'','MediaCommunicationAndLanguage',NULL,44,4450,5799,'MEDIER, KOMMUNIKATION OG SPROG ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',361),(5870,'Aktiv eller passiv deltagelse i enhver form for kulturelle aktiviteter, såvel som holdninger og opfattelser af dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,4419,5746,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',361),(5871,'Reproduktionsproces, funktion eller system på ethvert stadium i livet. Inkluderer data om graviditet, fødsel, familieplanlægning, prævention og abort, overgangsalder. ','Health.ReproductiveHealth','Health',25,4490,5739,'Reproduktiv sundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',361),(5872,'For eksempel data om, i hvilket omfang folk bruger specifikke sociale ydelser, holdninger til tilstrækkeligheden og tilgængeligheden af specifikke ydelser og generel tilfredshed med dem. For eksempel spørgsmål om, hvilke ydelser ældre respondenter har brugt eller brugsstatistik om bestemte ydelser.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,4462,5764,'Specifikke sociale ydelser: Brug og tilgængelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',361),(5873,'','Health',NULL,16,4414,5804,'SUNDHED','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',361),(5874,'Diskussioner om politik og principper, samt beslutninger og principper vedtaget på nationalt, regionalt eller lokalt niveau vedrørende uddannelse og dens tilvejebringelse. Anvend ”Lovgivning og retssystemer” til love og foreskrifter, der allerede er implementeret.','Education.EducationalPolicy','Education',12,4416,5747,'Uddannelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',361),(5875,'','TradeIndustryAndMarkets',NULL,89,4405,5721,'HANDEL, INDUSTRI OG MARKEDER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',361),(5876,'Økonomiske indikatorer angiver, i hvilken retning en økonomi bevæger sig og inkluderer, for eksempel, vækst i bruttonationalproduktet (BNP), beskæftigelse, inflation og rentesats, forbruger- og investoraktivitet, husholdningsgæld. Dette er også anvendt for enkeltpersoners og husholdningers økonomiske forhold, der er undersøgt eller registreret.','Economics.EconomicConditionsAndIndicators','Economics',6,4485,5793,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',361),(5877,'Obligatorisk uddannelse refererer til den uddannelsesperiode, der kræves af alle personer, som bor i et land og er pålagt ved lov. Dagtilbud refererer til formel børnepasning og uddannelse, der gives forud for obligatorisk uddannelse. Anvend dette udtryk til indeksdata vedrørende dagtilbud og folkeskoleniveau, uanset om dataene fokuserer på studerende, lærere, fag eller underviste færdigheder mm. ','Education.CompulsoryAndPreschoolEducation','Education',11,4408,5729,'Obligatorisk undervisning og dagtilbud','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',361),(5878,'Bevægelse af personer, familier eller grupper af individer i social og erhvervsmæssig status over tid. Bevægelsen kan være vandret, dvs. ændring i position inden for samme status eller lodret, hvor personer kan bevæge sig opad eller nedad i statushierarkiet. For eksempel kan arbejdere i faldende industrier blive arbejdere i en anden industri (vandret erhvervsmæssig mobilitet), eller børn i fattige familier kan nå en højere social klasse end deres forældre (lodret social mobilitet mellem generationer).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,4424,5791,'Social- og erhvervsmobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',361),(5879,'Data om beskæftigelsestal og -statistik, arbejdsmarked, ledige stillinger, jobsøgning, jobkarakteristika, beskæftigelse for bestemte grupper (for eksempel ungdoms- eller minoritetsbeskæftigelse), beskæftigelsestjenester, karriere. For løn og vederlag, anvend \'Arbejdsvilkår\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,4476,5717,'Beskæftigelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',361),(5880,'Anvend, hvis emnet er kendt, men ikke findes i listen.','Other',NULL,94,4401,5781,'ANDET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',361),(5881,'','Psychology',NULL,61,4444,5749,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',361),(5882,'Global ledelse, diplomati, udenrigspolitik, relationer mellem lande, internationale organisationer (for eksempel EU, WHO, FN, WTO) og internationale aftaler.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4412,5718,'International politik og organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',361),(5883,'Henviser til uddannelsesmuligheder i forskellige former for voksne, efter de har forladt det formelle uddannelsessystem. Voksne kan deltage i en sådan uddannelse, for eksempel, for at forbedre deres færdigheder eller kvalifikationer, at omskole sig til nyt arbejde eller bare for at lære noget nyt. Inkluderer generelt ikke opkvalificering eller efteruddannelse af medarbejdere.','Education.LifelongContinuingEducation','Education',14,4486,5765,'Livslang uddannelse/efteruddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',361),(5884,'Behandling af sygdom eller procedure(r) for at forebygge den. Patientpleje på individuelt niveau. Forskning om medicinering og behandling af en sygdom. Data om, for eksempel, kirurgiske procedurer, rehabilitering, lægekonsultation, fysioterapi, muskuloskeletal manipulation, pleje på sygehus eller hjemme, psykoterapi, undersøgelsesteknikker, medicinering.','Health.MedicationAndTreatment','Health',21,4402,5733,'Medicinering og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',361),(5885,'Foranstaltninger, der er vedtaget for at forbedre eller opretholde image hos personer, virksomheder, organisationer og regeringer for eksempel ved reklametiltag, lobbyvirksomhed etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,4483,5741,'Offentlige relationer (PR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',361),(5886,'','Economics',NULL,4,4438,5758,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',361),(5887,'De betingelser, hvorunder medarbejdere arbejder. For eksempel kontrakttyper, arbejdstid (arbejdstimer, pauser, vagtplaner, overtidsarbejde), løn og vederlag, fysiske aspekter og mentale krav til arbejde, medarbejderrettigheder og -ansvar, arbejdsbyrde, medarbejderinvolvering i beslutningstagning, orlovsrettigheder, fysisk miljø. For spørgsmål om sikkerhed på arbejdspladsen, anvend også \'Sundhed på arbejdsplads\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4443,5767,'Arbejdsvilkår','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',361),(5888,'Undersøgelse af den generelle trivsel eller sundhedstilstand hos et individ, gruppe eller population. Kan blive objektivt målt/observeret eller selvopfattet. Trivsel inkluderer, for eksempel, fysisk eller mental kapacitet eller tilstand, såvel som social tilstand.','Health.GeneralHealthAndWellbeing','Health',19,4477,5777,'Generel sundhed og trivsel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',361),(5889,'Omfatter almen uddannelse på ISCED-niveauer 3-4 plus tertiær uddannelse, dvs. almen gymnasieuddannelse og kollegium, universitet for anvendt videnskab og universitetsuddannelse. Inkluderer data om studerende, undervisere, fag eller underviste færdigheder, faciliteter mm.','Education.HigherAndFurtherEducation','Education',13,4470,5762,'Ungdomsuddanelse og videregående uddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',361),(5890,'','HousingAndLandUse',NULL,30,4471,5774,'BOLIG OG AREALANVENDELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',361),(5891,'Data om identitetsdannelse, hvem folk føler, de er, og hvor de hører til. Forholdet mellem kulturel og national identitet til repræsentation og at klassificere en anden som ”ikke en af os” (Andetgørelse). Vaner og manerer om og holdninger til egen opfattede og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,4475,5759,'Kulturel og national identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',361),(5892,'Anvend til undersøgelser, der forsker i kapitalistiske, socialistiske og andre økonomiske systemer og til undersøgelser, for eksempel, om internationale udviklingsprogrammer.','Economics.EconomicSystemsAndDevelopment','Economics',8,4434,5794,'Økonomiske systemer og udvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',361),(5893,'Emner relateret til eksistensen, rollerne og effekten af eliter i samfundet, dvs., personer eller grupper der har en stor grad af magt eller indflydelse på samfundet, politik, velstand mm., enten gennem beslutninger, de træffer, eller for eksempel, gennem idéer og følelser, som de udtrykker eller repræsenterer. Inkluderer emner relateret til indflydelsesrige folk i alle samfundssfærer, for eksempel, beslutningstagere i det politiske liv, politisk partiledere, indflydelsesrige kunstnere, fremtrædende figurer i massemedier eller på sociale medier mm.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,4458,5798,'Eliter og lederskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',361),(5894,'Dækker landskaber og elementer af land, der ikke er blevet direkte ændret af mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,4460,5789,'Naturlige landskaber','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',361),(5895,'Data relateret til forskellige aspekter af livet i lokalsamfundet eller i byområder og landdistrikter. Meninger om og billeder af nabolaget eller af byområder og landdistrikter. Tjenester, faciliteter og forretningsmuligheder i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4406,5786,'Lokalsamfund, byliv og landligt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',361),(5896,'Omfatter problemer relateret til familier, slægtninge, generationer og husstandssammensætning. For eksempel data om børneopdragelse, arbejdsfordeling inden for familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4461,5726,'Familieliv og ægteskab','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',361),(5897,'Data om social adfærd; social interaktion og netværk; sociale ansvar; sociale normer og regler; og holdninger til disse spørgsmål.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4448,5768,'Social adfærd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',361),(5898,'','SocietyAndCulture',NULL,79,4415,5761,'SAMFUND OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',361),(5900,'Adspredelsesmønstre, fritidsaktiviteter og hobbyer. Inkluderer tilskuerrolle i sport, konkurrencesport og rejsefritid. For data om motion for at holde sig i form, anvend \'Sundhedsadfærd\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,4452,5801,'Fritid, turisme og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',361),(5901,'Idéer, idealer og teorier om måderne, hvorpå regeringer og samfund kan organiseres. Store politiske ideologier inkluderer anarkisme, demokrati, liberalisme, konservatisme mm.','Politics.PoliticalIdeology','Politics',60,4457,5779,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',361),(5902,'Data om arbejdsløshedstal og -statistik, beskæftigelsesprogrammer og -skemaer, varighed og hyppighed af arbejdsløshed, social og psykologisk indvirkning af arbejdsløshed mm.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4432,5753,'Arbejdsløshed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',361),(5903,'Data om international eller national lovgivning, administrative forskrifter, det juridiske system (domstoles magt og aktiviteter), alternativ konfliktløsning og genoprettende retfærdighed, straffe.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,4409,5722,'Lovgivning og retssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',361),(5904,'Kvalitet og tilgængelighed af tjenester, tilhørende faciliteter og personale inden for sundhedsvæsenet. Sundhedsøkonomi og politiske beslutninger og principper på nationalt, regionalt eller lokalt niveau vedrørende sundhedspleje. Anvend \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er implementeret.','Health.HealthCareServicesAndPolicies','Health',20,4463,5737,'Sundhedsydelser og -politikker','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',361),(5905,'Omfatter husdyr, produktion eller vilde dyr, samt alle typer af planter (for eksempel blomster, træer, mos, grøntsager).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4459,5766,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',361),(5906,'Intern og international sikkerhed og tryghed; interne og internationale konflikter; krig og fred; nationalt forsvar og forsvarsstyrker (militæret). Bemærk, at politiet er dækket af \'Kriminalitet og retshåndhævelse\'.','Politics.ConflictSecurityAndPeace','Politics',55,4429,5785,'Konflikt, sikkerhed og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',361),(5907,'Relationer mellem arbejdsgivere og medarbejdere.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,4464,5788,'Arbejdsforhold/konflikt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',361),(5908,'Undersøgelse af specifikke, diagnosticerede sygdomme, lidelser eller syndromer (ofte klassificerede i ICD-10 eller dets tidligere versioner). For eksempel medicinsk forskning om årsagerne til diabetes eller undersøgelse af den fysiske eller mentale helbredelse af personer, der har haft hjerteoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,4421,5806,'Specifikke sygdomme, lidelser og medicinske tilstande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',361),(5909,'Kan have brug for et ekstra emne, hvis unge mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,4413,5735,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',361),(5910,'Anvend denne kategori i undersøgelser om landbrugsproduktion og alle landlige industrier, der inkluderer, for eksempel, fiskeri og skovbrug.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,4480,5736,'Landbrug og landlig industri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',361),(5911,'','SocialStratificationAndGroupings',NULL,65,4440,5755,'SOCIAL STRATIFIKATION OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',361),(5912,'Data om kriminalitet, kriminalitetsforebyggelse, ofre for kriminalitet, kriminelle, såvel som politiet, efterretningstjeneste, korrektionsanstalter (for eksempel fængsler, korrektionsanstalter for unge), grænsekontrol og told. Inkluderer også data om disse agenturers personale og faciliteter.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,4466,5800,'Kriminalitet og retshåndhævelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',361),(5913,'Data om mængden af tid brugt af befolkningen på forskellige aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4456,5763,'Forbrug af tid','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',361),(5914,'Undersøgelse af unormale anatomiske eller fysiologiske tilstande og objektive eller subjektive manifestationer af sygdom/symptomer, der ikke er klassificeret som sygdom eller syndrom (i hvilket tilfælde \'Specifikke sygdomme, lidelser og medicinske tilstande\' ville blive anvendt). Inkluderer kliniske manifestationer, der kan være objektive, når de observeres af en medicinsk professionel eller subjektive, når de opfattes af patienten. For eksempel smerte, diarré, udslæt, ulighed i benlængde, søvnløshed, skæren tænder, betændelse, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,4446,5724,'Tegn  og symptomer; patologiske lidelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',361),(5915,'Kan have brug for et ekstra emne, hvis ældre mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,4399,5803,'Ældre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',361),(5916,'Inkluderer alle mønstre af pensionering som ”nedtrapning” eller ”fleksibel” pension, data om pensionsalder og tidlig pension.','LabourAndEmployment.Retirement','LabourAndEmployment',38,4481,5792,'Pensionering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',361),(5917,'Emner, der relaterer sig til den faktiske tilvejebringelse af social velfærd, hvem der i praksis leverer sociale velfærdsydelser og i hvilket omfang, hvordan de faktiske ydelser er struktureret. For eksempel, spørgsmål om, hvordan en lokal myndighed har organiseret ydelser for de ældre. ','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,4403,5778,'Sociale velfærdssystemer/strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',361),(5918,'Grupper af personer, der på en eller anden måde adskiller sig fra flertallet af populationen. Differentierende karakteristika inkluderer, for eksempel, etnicitet, religion, sundhed, seksuel orientering, første sprog (modersmål) og kultur. Bemærk, at du også kan anvende termer \'Lighed, ulighed og social udstødelse\' eller \'Sprog og lingvistik\' i forbindelse med nogle minoritetsspørgsmål.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4447,5760,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',361),(5919,'Brug af biomolekylære og cellulære processer til at skabe nye produkter og teknologiske processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4484,5807,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',361),(5920,'Data om valg, folkeafstemninger, valgkampagner, valgresultater, valgkandidater, kandidatvælgere, valgstøtte mm.','Politics.Elections','Politics',56,4487,5725,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',361),(5921,'Data, der adresserer spørgsmål om religiøs adfærd, religiøse bevægelser, spiritualitet, moralitet og andre værdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4472,5795,'Religion og værdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',361),(5922,'Data om ændringer i samfundet, inklusiv holdningsændringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4420,5730,'Social forandring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',361),(5923,'Anvend den passende, aktuelle term for historiske data såvel som hovedbegrebet her. For eksempel, \'Arbejdsvilkår\' og \'Sundhedsydelser og -politikker\' plus HISTORIE til data om arbejdsmiljøerne for familielæger i 1960’erne. Det historiske hovedbegreb skal kun anvendes alene i tilfælde, hvor der ikke findes noget aktuelt udtryk.','History',NULL,29,4453,5732,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',361),(5925,'Inkluderer alle typer af godstransport såvel som pendling, offentlig transport (tog, busser, undergrund mm.) og transportnetværk i by. Data om mobilitetsvaner, for eksempel, grænsehandel, ruter og midler, der anvendes til at få adgang til en lokation. Anvend begrebet \'Fritid, turisme og sport\' til fritidsrejse. ','TransportAndTravel',NULL,93,4427,5771,'TRANSPORT OG REJSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',361),(5926,'Inkluderer undersøgelser, der måler boligstandarden i et samfund, inklusiv alment boligbyggeri, samt tilgængelighed og prisfastsættelse af boliger. Bolig inkluderer hjem, fritidsboliger og ferieboliger.','HousingAndLandUse.Housing','HousingAndLandUse',31,4423,5719,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',361),(5927,'Forebyggelse og kontrol af sygdom og handicap og fremme af befolkningens fysiske og mentale sundhed på det internationale, nationale, statslige eller kommunale niveau. For eksempel sundhedsfremme, sygdomsforebyggelse, indvirkning af folkesundhedsprogrammer, håndtering af lokale, nationale og globale sundhedsproblemer, sygdomsepidemiologi, tilstand eller patogen eller sygdomsudbrud.','Health.PublicHealth','Health',24,4407,5770,'Folkesundhed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',361),(5928,'Data, der refererer til enhver type af massemedier. For eksempel trykte eller online aviser, magasiner, TV og radioen. Bemærk, at sociale medier er indekseret med udtrykket \'Informationssamfund\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,4442,5738,'Medier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',361),(5929,'','Politics',NULL,54,4410,5750,'POLITIK ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',361),(5930,'Praktiske uddannelser, der er rettet mod et erhverv og designet til elever for at erhverve dem den viden, de færdigheder og kompetencer, som er specifik for en bestemt beskæftigelse eller et bestemt erhverv. Erhvervsuddannelse kan have arbejdsbaserede komponenter. Omfatter erhvervsuddannelse på ISCED-niveauer 3-4 og lærlingeuddannelser. Dette inkluderer følgende uddannelser i Danmark: Lærlinge- og erhvervsuddannelser såsom EUD, EUX, EGU, EUV, maritime uddannelser, samt professionsbachelor og erhvervsakademiuddannelser. Inkluderer data om studerende, lærere, fag eller underviste færdigheder, faciliteter mm.','Education.VocationalEducationAndTraining','Education',15,4398,5745,'Erhvervsuddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',361),(5931,'Oprettelsen, distributionen, anvendelsen, integrationen og manipulationen af information som en væsentlig økonomisk, politisk eller kulturel aktivitet. For eksempel data, der relaterer sig til e-handel, digital forvaltning, sociale medier, mobile enheder, adgang til og brug af internettet, e-privacy, information og biblioteksressourcer. Anvend \'Informationsteknologi\', når der tales om de faktiske teknologier. ','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,4436,5751,'Informationssamfund','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',361),(5932,'','NaturalEnvironment',NULL,49,4482,5772,'NATURLIGT MILJØ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',361),(5933,'Informations- og kommunikationsteknologier, der bruges i hjemmet, på arbejdspladsen og andre rammer for fællesskab. Bemærk, at brugen og indvirkningen af disse teknologier er dækket af \'Informationssamfund\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,4478,5742,'Informationsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',361),(5935,'Kønsidentitet; repræsentation af køn (for eksempel repræsentation af køn i beslutningstagende organer, i medier, i litteratur mm.); sociale, kulturelle and psykologiske træk forbundet med mænd og kvinder; kvindestudier; mandestudier; forventet adfærd og valg ifølge kønsroller og indvirkningen af sådanne forventninger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,4435,5787,'Køn og kønsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',361),(5936,'Inkluderer indvandring, udvandring, intern migration samt andre typer af geografisk mobilitet. Indvandring betyder at komme for at bosætte sig i et andet land end ens hjemland. Udvandring betyder at forlade et hjemland for at bosætte sig i et andet land. Migration er en parablybetegnelse for begge. Migration inkluderer også intern migration, dvs. bevægelse af personer inden for et land på forskellige geografiske niveauer.','Demography.Migration','Demography',2,4418,5757,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',361),(5937,'','Education',NULL,10,4473,5728,'UDDANNELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',361),(5939,'Sår og skader, bade fysiske og psykiske, forårsaget enten af ulykker eller vold (gennem individuel eller aggressiv gruppeadfærd). Hvis arbejdsrelaterede sår eller skader, anvend \'Sundhed på arbejdsplads\'.','Health.WoundsAndInjuries','Health',28,4479,5802,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',361),(5940,'','SocialWelfarePolicyAndSystems',NULL,75,4417,5754,'SOCIAL VELFÆRDSPOLITIK OG -SYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',361),(5941,'Emner om, hvorvidt alle personer og grupper af individer har samme status og muligheder i samfundet. Lighed kan for eksempel studeres med hensyn til uddannelse, (finansielle) aktiver eller indkomst, jobposition, magt, prestige, arbejdsforhold og fritid, adgang til ydelser og sociale relationer. Marginalisering og social udstødelse kan være resultatet af systematiske ulemper på flere områder i livet, og berørte personer kan være frataget rettigheder, muligheder, ressourcer og sociale integration. Eksempler på data: statistik om indkomstlighed; opfattet gruppefokuseret diskrimination (for eksempel mod udlændinge, de hjemløse, asylansøgere); opfattede forskelle mellem mænd og kvinder vedrørende muligheder for lederroller i politik; indvirkning af forældrearbejdsløshed på børns uddannelsesniveau og sociale netværk.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,4425,5720,'Lighed, ulighed og social udstødelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',361),(5942,'Data om erhvervsmæssige eksponeringer og sygdomme, arbejdssikkerhed, sygeorlov, arbejdsevne- eller handicap eller arbejdsrelateret invalidepension.','Health.OccupationalHealth','Health',22,4489,5805,'Sundhed på arbejdsplads','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',361),(5943,'Sygelighed refererer til forekomst af dårligt helbred i en befolkning. Data kan dække forekomsten eller dødelighedsgraden af en medicinsk tilstand. For eksempel antallet af personer, der lider af lungekræft i et land eller et geografisk område i løbet af et år. Dødelighedsdata angiver antallet af dødsfald i en population efter sted, tid, årsag eller individtype. For eksempel mødredødelighed, børnedødelighed. Bemærk, at selvrapporterende undersøgelsesdata om sygdomme og medicinske forhold er indekseret med SUNDHED hierarkiske begreber.','Demography.MorbidityAndMortality','Demography',3,4439,5769,'Sygelighed og dødelighed','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',361),(5944,'Inkluderer både arealanvendelse og planlægning af arealanvendelse. Planlægning af arealanvendelse vedrører procedurer udført for at sikre en optimal og bæredygtig udnyttelse af jordressourcer i landdistrikter og bysamfund.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,4468,5782,'Arealanvendelse og planlægning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',361),(5945,'Intern erhvervstræning og anden medarbejderuddannelse finansieret af arbejdsgiver for at øge medarbejderfærdigheder og -kompetence. Inkluderer ikke lærlingeuddannelser, der er inkluderet i \'Erhvervsuddannelse\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,4488,5756,'Medarbejderuddannelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',361),(5946,'Data om beskæftigelsespolitikker relateret til ansættelsesforhold, arbejdsmarkedet og lighed og diskrimination på arbejdspladsen; på nationalt niveau inkluderer politikker indflydelse på efterspørgslen og udbuddet af arbejdskraft og arbejdsmarkeders funktion. Anvend \'Lovgivning og retssystemer\' for lovgivning og forskrifter, der allerede er implementeret.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,4411,5716,'Arbejdsmarkeds- og beskæftigelsespolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',361),(5947,'Kan have brug for et ekstra emne, hvis børn studeres fra en bestemt side.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4426,5775,'Børn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',361),(5948,'Omfatter emner om miljøforringelse, forurening, miljøbeskyttelse, klimaforandringer, forebyggelse af oversvømmelse, jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,4454,5776,'Miljø og bevaring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',361),(5949,'Henviser til det at erhverve eller/og anvende noget til at imødekomme en persons, fællesskabs eller samfunds behov og ønsker. Data i denne kategori inkluderer mønstre af forbrugeradfærd, ændringer i dem og undersøgelse af forbrugeretik. For eksempel undersøgelsesdata om, hvor ofte folk køber visse varer; hvornår og hvor de handler; hvorvidt etiske overvejelser påvirker deres forbrugsvalg.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,4469,5773,'Forbrug og forbrugeradfærd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',361),(5950,'','ScienceAndTechnology',NULL,62,4428,5743,'VIDENSKAB OG TEKNOLOGI ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',361),(5951,'','Demography',NULL,0,4441,5790,'DEMOGRAFI (BEFOLKNING, VITAL STATISTIK OG FOLKETÆLLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',361),(5952,'Data inkluderer undersøgelser i lingvistik, lingvistisk analyse og sociolingvistik, såvel som data om sprogpolitik, folks sprogfærdigheder, sprog talt på arbejde og hjemme, holdninger til minoritetssprog mm.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,4467,5796,'Sprog og lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',361),(5953,'Wirtschaftliche Indikatoren geben an, in welche Richtung sich eine Volkswirtschaft bewegt. Dazu gehören zum Beispiel Bruttoinlandsprodukt, Arbeitslosenquote, Inflations- und Zinsrate, Konsum- und Investitionsaktivitäten, Verschuldungsrate. Die Klasse umfasst auch die erhobene oder erfasste wirtschaftliche Lage von Individuen und Haushalten.','Economics.EconomicConditionsAndIndicators','Economics',6,3934,5793,'Wirtschaftliche Lage und Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',362),(5956,'Die Klasse umfasst Fragen der Umweltzerstörung und -verschmutzung, des Umweltschutzes, des Klimawandels, des Hochwasserschutzes und der Bodenerosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,3985,5776,'Umweltschutz und Naturschutz','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',362),(5957,'Daten mit Bezug zu jeglicher Form von Massenmedien. Zum Beispiel gedruckte oder Online-Zeitungen, Zeitschriften, Fernsehen und Radio. Für Soziale Medien bitte die Klasse \'Informationsgesellschaft\' verwenden.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,3956,5738,'Medien','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',362),(5958,'Bildung in der Pflichtschulzeit bezieht sich auf eine gesetzlich vorgegebene Bildungsphase, die alle in einem Land lebenden Personen absolvieren müssen. Vorschulerziehung bezieht sich auf Betreuungs- und Bildungsangebote vor der Pflichtschulzeit. Verwenden Sie diese Klasse für Daten zu Vorschulzeiten (ISCED-Level 0) und Bildungszeiten in der Primarstufe (ISCED-Level 1) sowie Sekundarstufe I (ISCED-Level 2). Davon erfasst sind Daten zu Schülerinnen und Schülern, Lehrerinnen und Lehrern, Unterrichtsfächern, vermittelte Kompetenzen, Einrichtungen usw.','Education.CompulsoryAndPreschoolEducation','Education',11,3964,5729,'Vorschulerziehung und Bildung in der Pflichtschulzeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',362),(5959,'','ScienceAndTechnology',NULL,62,3970,5743,'WISSENSCHAFT UND TECHNIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',362),(5960,'','MediaCommunicationAndLanguage',NULL,44,3946,5799,'MEDIEN, KOMMUNIKATION UND SPRACHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',362),(5961,'Verwenden Sie diese Klasse für Themen, die keine eigene Klasse haben.','Other',NULL,94,3967,5781,'SONSTIGES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',362),(5962,'Bezieht sich auf den Vorgang, dass etwas erworben und/oder verwendet wird, um Bedürfnisse und Wünsche einer Person, Gemeinschaft oder Gesellschaft zu erfüllen. Diese Klasse umfasst auch Daten zu (Wandel in) Konsummustern und zu ethischen Aspekten des Konsums. Erfasst ist davon zum Beispiel, wie häufig Personen bestimmte Produkte kaufen, wann und wo sie einkaufen und ob ethische Überlegungen ihre Konsumentscheidungen beeinflussen.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,3948,5773,'Konsum und Konsumverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',362),(5963,'Zu verwenden für Studien über kapitalistische, sozialistische oder andere volkswirtschaftliche Systeme. Auch für Studien, die beispielsweise internationale Entwicklungsprogramme untersuchen.','Economics.EconomicSystemsAndDevelopment','Economics',8,3987,5794,'Wirtschaftssysteme und wirtschaftliche Entwicklung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',362),(5964,'Öffentlichkeitsarbeit beinhaltet Maßnahmen zur Erhaltung oder Verbesserung des Rufs (Image) von Individuen, Unternehmen, Organisationen und Regierungen, zum Beispiel durch Werbemaßnahmen, Lobby-Arbeit usw.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,3944,5741,'Öffentlichkeitsarbeit/Public Relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',362),(5965,'Beinhaltet Immigration, Emigration, Binnenmigration sowie andere Formen geographischer Mobilität. Immigration bedeutet, in einem anderen als dem Heimatland sesshaft zu werden. Emigration bedeutet, das Heimatland zu verlassen, um in einem anderen Land sesshaft zu werden. Der Begriff Migration umfasst beide Sachverhalte. Migration schließt auch Binnenmigration ein, das heißt Mobilität innerhalb eines Landes, zwischen Regionen, Kommunen etc.','Demography.Migration','Demography',2,3937,5757,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',362),(5966,'Gruppen von Individuen, die sich von der Mehrheit der Bevölkerung in irgendeiner Weise unterschieden. Unterscheidungsmerkmale sind zum Beispiel Ethnien, Religion, Gesundheit, sexuelle Orientierung, Muttersprache und Kultur. Für bestimmte Minderheitenthemen kann es sinnvoll sein, zusätzlich eine weitere Klasse zu vergeben, zum Beispiel \'Gleichheit, Ungleichheit und soziale Ausgrenzung\' oder \'Sprache und Sprachwissenschaft\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4009,5760,'Minderheiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',362),(5967,'Daten zu internationaler oder nationaler Gesetzgebung (Legislative), zu Verwaltungsvorschriften, zur Judikative (Einfluss und Aktivitäten der Gerichte), zu alternativer Streitbeilegung und Wiedergutmachung sowie zu Strafen.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,3968,5722,'Gesetzgebung und Rechtssysteme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',362),(5968,'Umfasst Daten zu jeglicher Art des Gütertransports sowie zu den Themen Pendeln, Öffentlicher Personennahverkehr (Zug-, Bus-, U-Bahn-Verkehr etc.) und städtische Verkehrsverbünde. Erfasst sind auch Daten zu Mobilitätsgewohnheiten, zum Beispiel grenzübergreifendes Einkaufen; Verkehrswege und -mittel, die genutzt werden, um ein Ziel zu erreichen. Für Urlaubs- und Freizeitreisen bitte die Klasse \'Freizeit, Tourismus und Sport\' verwenden.','TransportAndTravel',NULL,93,3935,5771,'TRANSPORT UND REISEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',362),(5969,'Daten zu gesellschaftlichen Veränderungen, einschließlich Veränderungen in den Einstellungen.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,3974,5730,'Sozialer Wandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',362),(5970,'Bezieht sich auf Haustiere, Nutztiere und wilde Tiere sowie auf alle Arten von Pflanzen (z.B. Blumen, Bäume, Moos, Gemüse).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4019,5766,'Pflanzen und Tiere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',362),(5971,'Diese Klasse umfasst alle Aspekte der Lebensqualität und des Wohlbefindens auf individueller sowie gesellschaftlicher Ebene und wie diese Aspekte wahrgenommen werden. Je nachdem, welcher Aspekt in einer Studie untersucht wird, muss möglicherweise noch eine weitere Klasse vergeben werden, zum Beispiel \'Gesundheit und Wohlbefinden\', \'Gleichheit und Ungleichheit\', \'Wirtschaftliche Lage und Indikatoren\', \'Soziale Ausgrenzung\' usw.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4020,5784,'Soziale Lage und soziale Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',362),(5972,'Umfasst Daten zu Fragen religiösen Verhaltens, religiöser Bewegungen, Spiritualität, Moral und anderen Werten.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4012,5795,'Religion und Werte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',362),(5973,'Beziehungen zwischen Arbeitgebern und Arbeitnehmern.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,3979,5788,'Arbeitsbeziehungen und Arbeitskonflikte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',362),(5974,'Diese Klasse bezieht sich auf landwirtschaftliche Produktion und alle ländlichen Gewerbe, zum Beispiel auch einschließlich Fischerei und Forstwirtschaft.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,3958,5736,'Landwirtschaft und Agrarindustrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',362),(5975,'Beispiele für Daten in dieser Klasse sind: Angaben zum Umfang der Inanspruchnahme spezifischer Sozialleistungen; Meinungen zur Angemessenheit, Zugänglichkeit und Verfügbarkeit einzelner Leistungen; allgemeine Zufriedenheit mit den Leistungen. Zum Beispiel werden zum Thema der Inanspruchnahme von Leistungen durch eine Personengruppe (z.B. ältere Menschen) sowohl Befragungen dieser Personen, als auch Auswertungen von Statistiken zu diesen Leistungen von dieser Klasse erfasst.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,4024,5764,'Inanspruchnahme sozialer Dienstleistungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',362),(5976,'Umfasst Daten zum Austausch von Kapital, Waren oder Dienstleistungen über internationale Grenzen hinweg.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4006,5752,'Außenhandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',362),(5977,'','SocialStratificationAndGroupings',NULL,65,3960,5755,'SOZIALE SCHICHTUNG UND GRUPPIERUNGEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',362),(5978,'','LawCrimeAndLegalSystems',NULL,41,3936,5797,'GESETZ, KRIMINALITÄT UND RECHTSSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',362),(5979,'Daten zu Beschäftigungsquoten und -statistiken, zum Arbeitsmarkt, zu offenen Stellen, zur Arbeitssuche, zu Tätigkeitsmerkmalen, zur Beschäftigung bestimmter Gruppen (z.B. Beschäftigung von Jugendlichen oder Minderheiten), Arbeitsvermittlung und Karriere. Für Daten zu Löhnen und Gehältern bitte die Klasse \'Arbeitsbedingungen\' verwenden.','LabourAndEmployment.Employment','LabourAndEmployment',35,3965,5717,'Beschäftigung und Erwerbstätigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',362),(5980,'','Education',NULL,10,3978,5728,'BILDUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',362),(5981,'Die Klasse bezieht sich auf soziale und berufliche Mobilität von Individuen, Familien oder Gruppen im Zeitverlauf. Dazu gehören horizontale Mobilität (Positionswechsel ohne Statuswechsel) und vertikale Mobilität (statusbezogene Auf- oder Abwärtsbewegung). Beispiele: Arbeiter und Arbeiterinnen aus verschwindenden Industriezweigen wechseln in andere Industriezweige (horizontale berufliche Mobilität); Kinder aus armen Familien erreichen eine höhere soziale Schicht als ihre Eltern (vertikale zwischengenerationale soziale Mobilität).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,3954,5791,'Soziale und berufliche Mobilität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',362),(5982,'Bezieht sich auf Informations- und Kommunikationstechnologie die zuhause, am Arbeitsplatz oder in anderen sozialen Situationen zum Einsatz kommt. Für Anwendung und Auswirkungen dieser Technologien bitte die Klasse \'Informationsgesellschaft\' verwenden.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,3969,5742,'Informations- und Kommunikationstechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',362),(5983,'','Psychology',NULL,61,3982,5749,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',362),(5984,'','Demography',NULL,0,4025,5790,'BEVÖLKERUNGSSTATISTIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',362),(5985,'Die Klasse bezieht sich auf die Themen Familie, Verwandschaft, Generationen und Haushaltszusammensetzung. Beispiele: Daten zur Kindererziehung; Arbeitsaufteilung in der Familie; Unterstützung für Familienmitglieder.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4014,5726,'Familie und Ehe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',362),(5986,'','LabourAndEmployment',NULL,33,3995,5748,'ARBEIT UND BESCHÄFTIGUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',362),(5987,'Politische Ideologie umfasst Ideen, Ideale und Theorien zu Regierungs- und Gesellschaftsformen bzw. deren Organisation. Bedeutende politische Ideologien sind Anarchie, Demokratie, Liberalismus, Konservatismus usw.','Politics.PoliticalIdeology','Politics',60,3951,5779,'Politische Ideologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',362),(5988,'Daten zu Gefährdungen am Arbeitsplatz, arbeitsbezogenen Erkrankungen, Sicherheit am Arbeitsplatz, Krankheitstagen, Arbeitsfähigkeit und Arbeitsunfähigkeit, Berufsunfähigkeitsrenten.','Health.OccupationalHealth','Health',22,4017,5805,'Arbeitsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',362),(5989,'','SocialWelfarePolicyAndSystems',NULL,75,3991,5754,'SOZIALPOLITIK, SOZIALFÜRSORGE UND SOZIALSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',362),(5990,'Umfasst Daten zur Identitätsbildung, zum persönlichen Selbstbild und zu Zugehörigkeitsgefühlen. Mit erfasst ist das Verhältnis von kultureller und nationaler Identität zur Selbstwahrnehmung (Repräsentanz) und die Einstufung anderer als nicht zur Eigengruppe gehörend (sog. Othering). Außerdem erfasst sind Gewohnheiten und Verhaltensweisen von sowie Einstellungen gegenüber Eigengruppen und Fremdgruppen.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,3961,5759,'Kulturelle und nationale Identität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',362),(5991,'Daten zu Wahlen, Volksabstimmungen, Wahlkampagnen, Wahlergebnissen, Kandidatinnen und Kandidaten, Wahlempfehlungsanwendungen, Wahlkampffinanzierung usw. Für Wahlverhalten bitte zusätzlich die Klasse \'Politisches Verhalten und politische Einstellungen\' vergeben.','Politics.Elections','Politics',56,3943,5725,'Wahlen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',362),(5992,'Daten zu Beschäftigungspolitik in Bezug auf industrielle Beziehungen, den Arbeitsmarkt sowie Gleichbehandlung und Diskriminierung bei der Arbeit. Auf nationaler Ebene schließt Beschäftigungspolitik die Einflussnahme auf Arbeitsplatznachfrage und -angebot und das Funktionieren des Arbeitsmarkts ein. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,3941,5716,'Beschäftigungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',362),(5993,'Umfasst die Vorbeugung und Überwachung von Krankheiten und Behinderungen sowie die Förderung körperlicher und geistiger Gesundheit der Bevölkerung auf internationaler, nationaler, regionaler oder lokaler Ebene. Zum Beispiel Maßnahmen zur Gesundheitsförderung und Krankheitsprävention; Wirkung von Public-Health-Programmen; Bewältigung lokaler, nationaler oder globaler Gesundheitsprobleme; Verbreitung und Auswirkung von Krankheiten, Gesundheitsproblemen oder Erregern; Ausbruch von Krankheiten.','Health.PublicHealth','Health',24,3959,5770,'Öffentliche Gesundheit/Public Health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',362),(5994,'Die Klasse bezieht sich auf die tatsächliche Leistung der Sozialfürsorge; wer setzt die Sozialfürsorge in der Praxis um und in welchem Umfang; wie sind die Leistungen konkret aufgebaut. Beispiel: Fragen dazu, wie eine Kommunalverwaltung die lokale Altenpflege organisiert.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,3984,5778,'Sozialsysteme und Strukturen der Sozialfürsorge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',362),(5995,'Die Klasse bezieht sich auf Entspannungsgewohnheiten, Freizeitaktivitäten und Hobbys. Dazu gehören das Verfolgen von Sportveranstaltungen, Teilnahme an Sportwettbewerben, Urlaubsreisen. Für Daten zu körperlicher Betätigung aus gesundheitlichen Gründen bitte die Klasse \'Gesundheitsverhalten\' verwenden.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,3973,5801,'Freizeit, Tourismus und Sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',362),(5996,'Sozialpolitik bezieht sich auf Entscheidungen und die Umsetzung von Richtlinien zur Sozialfürsorge, etwa zu deren Finanzierung und Verfügbarkeit, sowohl auf nationaler und regionaler, als auch auf lokaler Ebene. Mögliche Inhalte: Wem stehen welche Sozialleistungen und Hilfen zu und auf welcher Grundlage; Höhe von Sozialleistungen; wer kann Fürsorge leisten. Beispiele: eine Regelung, die vorgibt, dass ältere Menschen so lange zuhause gepflegt werden sollen wie möglich; eine Regelung, die festlegt, wie lange Anspruch auf Arbeitslosengeld besteht. Für bereits implementierte Gesetze und Regelungen bitte zusätzlich die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,3962,5727,'Sozialpolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',362),(5997,'In der Bildungspolitik werden in Bezug auf Bildung und Bildungsversorgung Strategien und Regelungen diskutiert, Entscheidungen getroffen sowie Richtlinien auf nationaler, regionaler oder lokaler Ebene umgesetzt. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Education.EducationalPolicy','Education',12,3976,5747,'Bildungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',362),(5998,'Wenn ein bestimmter Aspekt des Alters untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,3998,5803,'Ältere Menschen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',362),(5999,'Berufsausbildung bezieht sich auf Bildungsprogramme, in denen Lernenden das Wissen, die Fertigkeiten und die Kompetenzen für einen bestimmten Beruf, ein bestimmtes Gewerbe oder eine bestimmte Branche vermittelt werden. Die Klasse umfasst Berufsausbildungen im Rahmen der ISCED-Level 3 und 4, einschließlich Lehrberufe. Dazu gehört sowohl die Ausbildung an Berufsfachschulen, als auch die duale Ausbildung an Berufsschulen und in Betrieben. Im Rahmen des Dualen Systems hat die Berufsausbildung sowohl schulische, als auch betriebspraktische Elemente. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für allgemeinbildende Programme im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Höhere Bildung und Weiterbildung\' verwenden.','Education.VocationalEducationAndTraining','Education',15,4004,5745,'Berufsausbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',362),(6000,'Daten zu allgemeinem Wohlbefinden oder Gesundheitszustand eines Individuums, einer Gruppe oder einer Population, entweder objektiv gemessen/beobachtet oder selbst empfunden. Wohlbefinden umfasst beispielsweise körperliche und geistige Leistungsfähigkeit und Verfassung sowie die soziale Situation.','Health.GeneralHealthAndWellbeing','Health',19,3992,5777,'Allgemeine Gesundheit und Wohlbefinden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',362),(6001,'','HousingAndLandUse',NULL,30,3983,5774,'WOHNRAUM UND FLÄCHENNUTZUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',362),(6002,'Verwundungen und Verletzungen, sowohl physisch, als auch psychisch, verursacht entweder durch Unfälle oder Gewalteinwirkung (durch aggressives Verhalten eines Einzelnen oder einer Gruppe). Für arbeitsbezogene Verwundungen und Verletzungen bitte die Klasse \'Arbeitsmedizin\' verwenden.','Health.WoundsAndInjuries','Health',28,3989,5802,'Verwundungen und Verletzungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',362),(6003,'Umfasst Daten zu allen Formen des Ruhestands, etwa auch zu Altersteilzeit, zum Rentenalter und zum Frühruhestand.','LabourAndEmployment.Retirement','LabourAndEmployment',38,3966,5792,'Ruhestand','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',362),(6004,'Diese Hauptklasse bitte mit einer jeweils inhaltlich passenden Klasse kombinieren. Zum Beispiel \'Arbeitsbedingungen\' und \'Gesundheitswesen\' zusammen mit \'GESCHICHTE\' für Daten zur Arbeitsumgebung von Hausärzten in den 1960er Jahren. Die Hauptklasse \'GESCHICHTE\' sollte nur in solchen Fällen alleine verwendet werden, für die keine weitere inhaltlich passende Klasse vorhanden ist.','History',NULL,29,3986,5732,'GESCHICHTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',362),(6005,'Die Klasse bezieht sich auf innere und internationale Sicherheit, innere und internationale Konflikte, Krieg und Frieden, Verteidigung und Streitkräfte (Militär). Für Daten zum Thema Polizei verwenden sie bitte die Klasse \'Kriminalität und Gesetzesvollzug\'.','Politics.ConflictSecurityAndPeace','Politics',55,4016,5785,'Konflikte, Sicherheit und Frieden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',362),(6006,'Bezieht sich sowohl auf die Planung der Raum- oder Flächennutzung, als auch auf die Nutzung selbst. Raumplanung bezieht sich auf Vorgänge, die eine optimale und nachhaltige Nutzung von Flächen in ländlichen und städtischen Umgebungen sicherstellen sollen.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,3952,5782,'Flächennutzung und Raumplanung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',362),(6007,'Höhere Bildung umfasst Allgemeinbildung im Rahmen der ISCED-Level 3 (Sekundarstufe II) und 4 (postsekundare Bildung) sowie tertiäre Bildung (ISCED-Level 5). Dazu gehören gymnasiale Oberstufen, Abendgymnasien, Kollegs sowie Universitäten, Fachhochschulen und Berufsakademien. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für Berufsausbildung im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Berufsausbildung\' verwenden.','Education.HigherAndFurtherEducation','Education',13,4000,5762,'Höhere Bildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',362),(6008,'Umfasst Daten zu Sozialverhalten, sozialer Interaktion und sozialen Netzwerken, sozialer Verantwortung, sozialen Normen und Regeln sowie Einstellungen zu diesen Themen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4013,5768,'Soziales Verhalten und soziale Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',362),(6009,'Daten zu Kriminalität, Kriminalitätsbekämpfung, Opfern von Straftaten, Straftätern, Polizei, Geheimdienst, Justizvollzuganstalten (z.B. Gefängnisse, Jugendarrestanstalten), Grenzkontrollen und Zöllen, einschließlich Daten zu den entsprechenden Einrichtungen und den dort Beschäftigten.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,3988,5800,'Kriminalität und Gesetzesvollzug','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',362),(6010,'Erfasst Studien zu Existenz, Rolle und Einfluss von Eliten in einer Gesellschaft. Eliten sind Personen oder Gruppen, die viel Macht oder Einfluss auf Gesellschaft, Politik, Wohlstandsverhältnisse usw. ausüben. Sie tun dies entweder durch Entscheidungen oder beispielsweise auch dadurch, dass sie ihren Vorstellungen oder Gefühlen Ausdruck verleihen bzw. für diese einstehen. Eingeschlossen sind alle Themen mit Bezug zu einflussreichen Personen in allen Gesellschaftsbereichen, zum Beispiel zu politischen Entscheidungsträgerinnen und Entscheidungsträgern, Führungspersonen politischer Parteien, einflussreichen Kunstschaffenden und Medienprominenz (auch aus den sozialen Medien).','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,3996,5798,'Eliten und Führungspersönlichkeiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',362),(6011,'Bezieht sich auf die Therapie von Krankheiten oder auf Maßnahmen, die Krankheiten vorbeugen sollen. Gemeint ist hier die individuelle Patientenversorgung sowie Forschung zu medikamentösen und sonstigen Therapien. Umfasst beispielsweise Daten zu chirurgischen Verfahren, Rehabilitation, Arztbesuchen, Physiotherapie, Manuelle Therapie, Pflege im Krankenhaus oder zuhause, Psychotherapie, Medikation.','Health.MedicationAndTreatment','Health',21,3993,5733,'Medizinische Behandlung und Medikation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',362),(6012,'','SocietyAndCulture',NULL,79,3947,5761,'GESELLSCHAFT UND KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',362),(6013,'','TradeIndustryAndMarkets',NULL,89,3963,5721,'HANDEL, INDUSTRIE UND MÄRKTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',362),(6014,'Die Klasse bezieht sich auf die wirtschaftlich, politisch oder kulturell relevante Generierung, Verbreitung, Nutzung, Integration und Verarbeitung von Information. Umfasst beispielsweise Daten zu e-Commerce (Internethandel), e-Government, Sozialen Medien, Mobilen Empfangsgeräten, Internetzugang und -nutzung, Datenschutz, Informations- und Bibliotheksressourcen. Für einzelne Technologien bitte die Klasse \'Informations- und Kommunikationstechnologie\' verwenden.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,3957,5751,'Informationsgesellschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',362),(6016,'Unter Morbidität wird die Krankheitshäufigkeit innerhalb einer Bevölkerungsgruppe verstanden. Daten können sich auf das Vorkommen oder die Morbiditätsrate einer Krankheit beziehen, zum Beispiel die Anzahl der an Lungenkrebs leidenden Personen in einem Land im Zeitraum eines Jahres. Daten zur Mortalität geben die Anzahl der Todesfälle in einer Bevölkerungsgruppe nach Ort, Zeit, Ursache, Personengruppe o.ä. an. Beispiele sind Müttersterblichkeit und Säuglingssterblichkeit. Für Mikrodaten zu Krankheiten und Gesundheitsproblemen bitte die entsprechenden Unterklassen der Klasse GESUNDHEIT verwenden.','Demography.MorbidityAndMortality','Demography',3,3950,5769,'Morbidität und Mortalität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',362),(6017,'','Health',NULL,16,3994,5804,'GESUNDHEIT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',362),(6018,'Die Klasse bezieht sich auf die Verfügbarkeit und Qualität von Dienstleistungen, Einrichtungen und Personal im Gesundheitsbereich sowie auf wirtschaftliche und politische Entscheidungen und Regelungen zu Medizin und Gesundheitswesen auf nationaler, regionaler oder lokaler Ebene. Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Health.HealthCareServicesAndPolicies','Health',20,3955,5737,'Gesundheitswesen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',362),(6019,'Wenn ein bestimmter Aspekt der Kindheit untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4011,5775,'Kinder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',362),(6020,'Umfasst Daten zu Industrie und Betrieb wie zum Beispiel Management, Produktivität, Geschäftswachstum und -rückgang, Organisationsstruktur, Verwaltung, Investition in Forschung und Entwicklung, Märkte und Marktanteile.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4015,5734,'Management und Organisation von Betrieben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',362),(6021,'Einsatz von Prozessen auf biomolekularer und zellularer Ebene zum Zweck der Entwicklung neuer Produkte und technischer Verfahrensweisen.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4010,5807,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',362),(6022,'Aktive oder passive Teilnahme an jeglicher kultureller Aktivität sowie Einstellungen und Auffassungen zu diesen Aktivitäten.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,3977,5746,'Kulturelle Aktivitäten und kulturelle Teilhabe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',362),(6023,'Umfasst Daten zu verschiedenen Aspekten des Lebens in der Wohnumgebung oder städtischen bzw. ländlichen Gegenden. Erfasst sind auch Meinungen zu und Vorstellungen von der eigenen Wohngegend, städtischen und ländlichen Gegenden. Auch erfasst sind Dienstleistungen, Einrichtungen und Geschäftsgelegenheiten in der Wohnumgebung.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4005,5786,'Gemeinde, Wohnumgebung, Stadtleben und Landleben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',362),(6024,'Daten zu anatomischen oder physiologischen Befunden und objektiven oder subjektiven Anzeichen von Erkrankungen oder Symptomen, die nicht als Krankheit oder Syndrom eingeordnet werden (in solchen Fällen bitte die Klasse \'Spezifische Krankheiten, Störungen und Gesundheitsprobleme\' verwenden). Davon erfasst sind klinische Anzeichen, die entweder objektiv von medizinisch ausgebildeten Personen oder subjektiv durch Betroffene wahrgenommen werden. Beispiele sind Schmerzen, Durchfall, Ausschlag, Beinlängendifferenz, Schlafstörungen, Zähneknirschen, Entzündung, Herzrhythmusstörung.','Health.SignsAndSymptomsPathologicalConditions','Health',26,3940,5724,'Krankheitszeichen, Symptome und krankhafte Befunde','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',362),(6025,'Natürliche Rohstoffquellen sind Güter wie Land, Wälder, Energiequellen, Wasser oder Mineralien, die in der Natur vorkommen und verarbeitet oder konsumiert werden können. Energiequellen sind fossile Brennstoffe wie Öl, Erdgas oder Kohle sowie Kernkraft, Sonne, Gezeiten und Wind oder erneuerbare organische Energiequellen.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4008,5740,'Energiequellen und natürliche Rohstoffquellen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',362),(6026,'Wenn ein bestimmter Aspekt der Jugend untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,3945,5735,'Jugend','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',362),(6027,'Arbeitsbedingungen sind die Bedingungen, unter denen Beschäftigte arbeiten. Zum Beispiel Vertragsarten, Arbeitszeiten (Stundenzahl, Pausenzeiten, Arbeitspläne, Überstunden), Löhne und Gehälter, körperliche Aspekte und geistige Herausforderungen der Arbeit, Rechte und Pflichten der Beschäftigten, Arbeitsbelastung, Einflussmöglichkeiten der Beschäftigten, Urlaubsansprüche, physische Arbeitsumgebung. Für Daten zur Sicherheit am Arbeitsplatz bitte auch die Klasse \'Arbeitsmedizin\' verwenden.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4001,5767,'Arbeitsbedingungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',362),(6028,'Die Klasse umfasst Global Governance, Diplomatie, Außenpolitik, internationale Beziehungen, internationale Organisationen (z.B. EU, WHO, UN, WTO) und internationale Abkommen.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4002,5718,'Internationale Politik und Internationale Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',362),(6029,'','Economics',NULL,4,3981,5758,'WIRTSCHAFT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',362),(6030,'Naturlandschaften sind Landschaften und Bestandteile von Landschaften, die nicht von Menschen verändert oder beeinflusst wurden.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,3942,5789,'Naturlandschaften','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',362),(6031,'Daten zu parteipolitischen Einstellungen, zu politischem Engagement und politischer Teilhabe, zu Wahlverhalten und zur Zufriedenheit mit der Regierung. Für Wahlverhalten bitte zusätzlich die Klasse \'Wahlen\' vergeben. Für Daten zu einzelnen Doktrinen bitte die Klasse \'Politische Ideologie\' verwenden.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,3939,5780,'Politisches Verhalten und politische Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',362),(6032,'Daten zu Arbeitslosenquoten und -statistiken, zu Beschäftigungsprogrammen und Arbeitsbeschaffungsmaßnahmen, zu Dauer und Häufigkeit individueller Arbeitslosigkeit, zu sozialen und psychologischen Auswirkungen von Arbeitslosigkeit usw.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4003,5753,'Arbeitslosigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',362),(6033,'Die Reproduktionsmedizin befasst sich mit den Vorgängen, den Funktionen und dem System der Fortpflanzung in allen Lebensphasen. Umfasst Daten zu Schwangerschaft, Geburt, Familienplanung, Empfängnis, Abtreibung und Menopause.','Health.ReproductiveHealth','Health',25,4007,5739,'Reproduktionsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',362),(6034,'Unternehmensinterne Weiterbildung bzw. vom Unternehmen finanzierte Weiterbildungsmaßnahmen für Beschäftigte. Berufliche Weiterbildung hat die Verbesserung der Fertigkeiten und Kompetenzen der Beschäftigten zum Ziel. Für Berufsausbildungen, z.B. nach dem Dualen System, bitte die Klasse \'Berufsausbildung\' verwenden.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,3990,5756,'Berufliche Weiterbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',362),(6035,'Daten zu einzelnen Krankheiten, Störungen oder Syndromen (etwa entsprechend ICD-10). Zum Beispiel medizinische Forschung zu den Ursachen von Diabetes oder Forschung zur physischen und psychischen Genesung nach Herz-OPs.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,3933,5806,'Spezifische Krankheiten, Störungen und Gesundheitsprobleme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',362),(6036,'','NaturalEnvironment',NULL,49,4023,5772,'UMWELT UND NATUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',362),(6037,'Diese Klasse bezieht sich auf Studien die untersuchen, inwiefern sich Individuen oder Gruppen einer Gesellschaft in Bezug auf Status und Chancengleichheit unterscheiden. Gleichheit wird beispielsweise in Bezug auf Bildung, (finanzielles) Vermögen, Einkommen, berufliche Stellung, Macht, Prestige, Arbeitsbedingungen, Freizeit, Zugang zu Dienstleistungen und soziale Beziehungen untersucht. Marginalisierung und soziale Ausgrenzung (Exklusion) können aus systematischer Benachteiligung in unterschiedlichen Lebensbereichen resultieren. Betroffenen fehlt es möglicherweise an Rechten, Chancen, Mitteln (Resourcen) und sozialer Integration. Beispiele für Daten sind: Statistiken zu Einkommensunterschieden; Studien zu wahrgenommener, gruppenbezogener Diskriminierung (z.B. gegenüber Fremden, Obdachlosen, Asylsuchenden); Studien zu wahrgenommenen Unterschieden zwischen Männern und Frauen in Bezug auf Mögichkeiten, führende Rollen in der Politik einzunehmen; Studien zum Einfluss elterlicher Arbeitslosigkeit auf soziale Beziehungen und das Bildungsniveau ihrer Kinder.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,3953,5720,'Gleichheit, Ungleichheit und soziale Ausgrenzung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',362),(6038,'Die Klasse umfasst: Geschlechtsidentität; Geschlechterrepräsentationen (z.B. Repräsentation der Geschlechter in Entscheidungsgremien, in den Medien, in der Literatur usw.); soziale, kulturelle und psychologische Eigenschaften, die männlich oder weiblich assoziiert sind; Frauenforschung; Männerforschung; erwartetes Verhalten und erwartete Entscheidungen in Bezug auf Geschlechterrollen sowie die Auswirkungen solcher Erwartungen.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,3999,5787,'Geschlecht und Geschlechterrollen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',362),(6039,'Bezieht sich auf Daten zu Zeitanteilen, die Befragte für verschiedene Aktivitäten aufwenden.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4018,5763,'Zeitbudget','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',362),(6040,'Daten zur Wohnraumsituation in einem Gebiet, einschließlich Versorgung mit sozialem Wohnungsbau sowie Verfügbarkeit und Kosten von Wohnraum. Wohnraum schließt Haupt-, Zweit- und Ferienwohnungen bzw. -häuser ein.','HousingAndLandUse.Housing','HousingAndLandUse',31,3949,5719,'Wohnraum','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',362),(6041,'','Politics',NULL,54,3975,5750,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',362),(6043,'Lebenslanges Lernen bezieht sich auf Bildungsangebote unterschliedlicher Art für Erwachsene, die den formalen Bildungsweg bereits absolviert haben. Erwachsene nehmen diese Bildungsangebote zum Beispiel wahr, um ihre Kompentenzen und Qualifikationen zu verbessern, zur beruflichen Neuorientierung (Umschulung) oder einfach um sich mehr Wissen anzueignen. Lebenslanges Lernen bezieht sich nicht zwingend auf Bildungsangebote, die zu einer bestimmten Qualifikation oder einem Abschluss oder zu einer beruflichen Fortbildung führen.','Education.LifelongContinuingEducation','Education',14,3971,5765,'Lebenslanges Lernen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',362),(6044,'Daten zu sprachwissenschaftlichen Studien und Analysen, Soziolinguistik, Sprachregelungen, individuelle Sprachkenntnisse, auf der Arbeit und zuhause gesprochene Sprachen, Einstellungen zu Minderheitensprachen usw.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,3980,5796,'Sprache und Sprachwissenschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',362),(6045,'Ruokavalio ja ruokailutottumukset, ravitsemuksen ja ravitsemustilan mittarit kuten esim. painoindeksi (BMI), paino, vitamiinipitoisuus veressä.','Health.DietAndNutrition','Health',17,4894,5810,'ruokavalio ja ravitsemus	','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',363),(6137,'','TradeIndustryAndMarkets',NULL,89,4843,5721,'COMMERCIO, INDUSTRIA E MERCATI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',364),(6138,'','SocietyAndCulture',NULL,79,4833,5761,'SOCIETÀ E CULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',364),(6140,'Dati e statistiche sul tasso di occupazione, mercato del lavoro, offerte di lavoro, ricerca di lavoro, caratteristiche del lavoro, occupazione di specifici gruppi (ad esempio occupazione giovanile o minoranze), servizi per l\'impiego, carriere. Per la retribuzione utilizzare \"Condizioni lavorative\".','LabourAndEmployment.Employment','LabourAndEmployment',35,4795,5717,'Occupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',364),(6141,'Programmi concepiti per consentire agli studenti di acquisire le conoscenze, abilità e competenze specifiche per una particolare professione, mestiere o classe di professioni o mestieri. L\'istruzione professionale può prevedere moduli basati su attività lavorative. Comprende l\'istruzione professionale classificata nei livelli ISCED 3-4 e l\'apprendistato. Include dati su studenti, materie degli insegnanti o abilità insegnate, strutture, ecc.','Education.VocationalEducationAndTraining','Education',15,4777,5745,'Istruzione e formazione professionale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',364),(6142,'Dati relativi alle malattie e all\'esposizione a malattie professionali, sicurezza sul lavoro, assenze per malattia, abilità lavorativa e disabilità, pensione di invalidità correlata al lavoro.','Health.OccupationalHealth','Health',22,4788,5805,'Salute sul lavoro','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',364),(6143,'Dati sui cambiamenti nella società, compresi i cambiamenti comportamentali e di atteggiamento.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4842,5730,'Mutamento sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',364),(6144,'Riguarda i paesaggi e gli elementi della terra che non sono stati modificati direttamente dagli esseri umani.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,4809,5789,'Paesaggi naturali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',364),(6145,'Riguarda questioni di degrado ambientale, inquinamento, protezione ambientale, cambiamenti climatici, prevenzione delle inondazioni, erosione del suolo.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,4806,5776,'Protezione ambientale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',364),(6146,'Include tutti i tipi di trasporto: merci, pendolari, trasporti pubblici (treni, autobus, metropolitane, ecc.) e le reti di trasporto urbano. Dati sulle abitudini di mobilità, ad esempio acquisti transfrontalieri, percorsi e mezzi utilizzati per accedere a una località. Utilizzare il termine \"Tempo libero, turismo e sport\" per i dati relativi a viaggi di piacere.','TransportAndTravel',NULL,93,4846,5771,'TRASPORTI E VIAGGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',364),(6147,'Dati sulla formazione dell\'identità, sulle questioni legate all\'identità personale e all\'appartenenza sociale. La relazione dell\'identità culturale/nazionale con la rappresentazione e la classificazione di qualcun altro come \'Non uno di noi\' (l\'Altro). Usi, costumi e atteggiamenti verso i gruppi di identità percepiti come i propri e gli altri gruppi.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,4837,5759,'Identità culturale e nazionale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',364),(6148,'Prevenzione e controllo di malattie e disabilità e promozione della salute fisica e mentale della popolazione a livello internazionale, nazionale, statale o municipale. Esempi: promozione della salute; prevenzione delle malattie; impatto dei programmi di salute pubblica; gestione di problemi sanitari locali, nazionali o globali; epidemiologia di una patologia, di una condizione patologica o di un\'epidemia.','Health.PublicHealth','Health',24,4786,5770,'Salute pubblica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',364),(6149,'Studi sul benessere generale o sullo stato di salute di un individuo, gruppo o popolazione. Può essere oggettivamente misurato/osservato o auto-percepito. Il benessere include, ad esempio, le capacità o le condizioni fisiche e psichiche, così come le condizioni sociali.','Health.DietAndNutrition','Health',17,4849,5810,'Salute e benessere generale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',364),(6150,'Dati relativi a diversi aspetti della vita nelle comunità o nelle aree urbane e rurali. Opinioni e immagini del quartiere, di aree urbane o rurali. Servizi, strutture e opportunità di business nel quartiere.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4840,5786,'Comunità, vita urbana e rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',364),(6151,'Dati sulla legislazione internazionale o nazionale, regolamenti amministrativi, sistema giudiziario (poteri e attività dei tribunali), risoluzioni alternative delle controversie e giustizia riparativa, pene.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,4803,5722,'Legislazione e sistemi giuridici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',364),(6152,'Trattamento della malattia o procedure di prevenzione della stessa. Cura del paziente a livello individuale. Ricerca su farmaci e cure di una malattia. Ad esempio, dati relativi a procedure chirurgiche, riabilitazione, consulenza medica, terapia fisica, manipolazioni muscoloscheletriche, assistenza in ospedale o a domicilio, psicoterapia, tecniche investigative, farmaci.','Health.MedicationAndTreatment','Health',21,4785,5733,'Cure e terapie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',364),(6153,'Dati sulla quantità di tempo utilizzato dalla popolazione in varie attività.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4841,5763,'Uso del tempo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',364),(6154,'Utilizzato per studi che indagano sui sistemi capitalistici, socialisti e altri sistemi economici e per studi, ad esempio, sui programmi internazionali di sviluppo.','Economics.EconomicSystemsAndDevelopment','Economics',8,4774,5794,'Sistemi economici e programmi di sviluppo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',364),(6156,'','Economics',NULL,4,4769,5758,'ECONOMIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',364),(6157,'Dati sulle politiche occupazionali relative ai rapporti di lavoro, al mercato del lavoro e alla parità e discriminazione sul lavoro; a livello nazionale si includono le politiche volte ad influenzare la domanda e l\'offerta di lavoro e il funzionamento dei mercati del lavoro. Utilizzare \"Legislazione e sistemi giuridici\" per leggi e regolamenti già implementati.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,4801,5716,'Politiche del lavoro e dell\'occupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',364),(6158,'','Psychology',NULL,61,4817,5749,'PSICOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',364),(6159,'Riguarda tutti gli aspetti inerenti la qualità della vita e il benessere degli individui e delle società, così come le percezioni delle persone su tali aspetti. Si noti che, a seconda dell\'aspetto studiato, possono essere altrettanto rilevanti i termini \"Salute e benessere generale\", \"Uguaglianza, disuguaglianza ed esclusione sociale\" oppure \"Condizioni economiche e indicatori\".','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4835,5784,'Condizioni e indicatori sociali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',364),(6160,'','SocialStratificationAndGroupings',NULL,65,4821,5755,'STRATIFICAZIONE SOCIALE E GRUPPI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',364),(6161,'Dati sul comportamento sociale, interazioni e reti sociali, responsabilità sociali, norme e regole sociali, e atteggiamenti verso questi temi.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4834,5768,'Comportamenti e atteggiamenti sociali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',364),(6162,'Se i bambini sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4828,5775,'Bambini','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',364),(6163,'Scambio di capitali, beni o servizi attraverso i confini internazionali.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4845,5752,'Commercio estero','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',364),(6164,'Se i giovani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,4826,5735,'Giovani','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',364),(6166,'','ScienceAndTechnology',NULL,62,4818,5743,'SCIENZA E TECNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',364),(6167,'Questioni legate all\'esistenza, ai ruoli e all\'impatto delle élite nella società, ossia individui o gruppi che esercitano una quantità significativa di potere o influenza sulla società, sulla politica, sulla ricchezza, ecc. sia attraverso le decisioni che prendono oppure, ad esempio, attraverso idee o sentimenti che esprimono o rappresentano. Include le questioni relative alle persone influenti in tutte le sfere della società, ad esempio i responsabili delle decisioni politiche nella vita politica, i leader dei partiti politici, gli artisti influenti, i personaggi di spicco o influencer sui social media ecc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,4830,5798,'Elite e leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',364),(6169,'Utilizzare se l\'argomento è noto, ma non riconducibile a nessun termine presente nell\'elenco.','Other',NULL,94,4847,5781,'ALTRO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',364),(6171,'Comprende sia l\'utilizzo del suolo che la pianificazione territoriale. La pianificazione territoriale si riferisce alle procedure attuate per garantire un utilizzo ottimale e sostenibile delle risorse del territorio nelle comunità rurali e urbane.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,4793,5782,'Utilizzo e pianificazione del territorio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',364),(6172,'','SocialWelfarePolicyAndSystems',NULL,75,4831,5754,'POLITICHE SOCIALI E SISTEMI DI WELFARE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',364),(6173,'Include studi che misurano lo standard abitativo in una comunità, compresi gli alloggi sociali, nonché la disponibilità e il prezzo degli alloggi. Abitare include le case di residenza, le seconde case e le case vacanza.','HousingAndLandUse.Housing','HousingAndLandUse',31,4792,5719,'Abitare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',364),(6174,'Identita di genere; rappresentazione dei generi (ad esempio rappresentazione di generi negli organi decisionali, nei media, nella letteratura, ecc.); tratti sociali, culturali e psicologici legati a maschi e femmine; women\'s studies; men\'s studies; aspettative sul comportamento e scelte in base ai ruoli di genere e all\'impatto di tali aspettative.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,4824,5787,'Genere e ruoli di genere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',364),(6175,'','HousingAndLandUse',NULL,30,4791,5774,'ABITARE E TERRITORIO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',364),(6176,'Studi relativi a particolari malattie, disturbi o sindromi diagnosticati (spesso classificati nell\'ICD-10 o nelle sue versioni precedenti). Ad esempio, ricerca medica sulle cause del diabete o studi sul recupero fisico e mentale delle persone che hanno avuto un intervento al cuore.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,4782,5806,'Malattie particolari, disturbi e condizioni mediche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',364),(6177,'Dati che affrontano questioni connesse al comportamento religioso, ai movimenti religiosi, alla spiritualità, alla moralità e altri valori.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4839,5795,'Religione e valori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',364),(6179,'Sono considerate risorse naturali i beni come terra, foreste, fonti energetiche, acqua, minerali che esistono naturalmente e possono essere utilizzati per la produzione o il consumo economico. Le risorse energetiche comprendono i combustibili fossili come petrolio, gas naturale o carbone, nonché il nucleare, il solare, le maree e il vento oppure la bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4807,5740,'Energia e risorse naturali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',364),(6180,'Si riferisce alle opportunità di istruzione fornite in varie forme per gli adulti dopo che hanno lasciato il sistema di istruzione formale. Gli adulti possono impegnarsi in questi percorsi educativi, ad esempio, per migliorare le proprie capacità o qualifiche, per riqualificarsi da un punto di vista lavorativo oppure semplicemente per imparare qualcosa di nuovo. In genere non include l\'istruzione che porta a una qualifica o alla formazione dei dipendenti.','Education.LifelongContinuingEducation','Education',14,4778,5765,'Formazione permanente/continua','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',364),(6181,'La morbilità si riferisce all\'incidenza di una malattia in una popolazione: i dati possono riguardare l\'incidenza o il tasso di morbilità di una condizione medica. Ad esempio, il numero di persone che soffrono di cancro ai polmoni in un paese o in un\'area geografica nel corso di un singolo anno. I dati sulla mortalità indicano il numero di decessi in una popolazione per luogo, tempo, causa, tipo di individuo, ecc. Ad esempio, il tasso di mortalità materna o il tasso di mortalità infantile. Si noti che i dati provenienti da sondaggi auto-compilati sulle malattie e le condizioni mediche sono classificati con i termini che appartengono alla classe \"SALUTE\".','Demography.MorbidityAndMortality','Demography',3,4766,5769,'Morbilità e mortalità','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',364),(6182,'Per i dati storici utilizzare questo termine affiancato al termine più appropriato per classificarne i contenuti. Ad esempio, oltre a \"STORIA\" utilizzare \"Condizioni lavorative\" e \"Servizi di assistenza e politiche sanitarie\" per i dati sugli ambienti di lavoro dei medici di famiglia negli anni \'60. Il termine principale \"STORIA\" deve essere usato da solo esclusivamente nei casi in cui non è possibile trovare altri termini più specifici.','History',NULL,29,4790,5732,'STORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',364),(6183,'Misure e condizioni di sicurezza interna e internazionale; conflitti interni e internazionali; guerre e processi di pace; difesa nazionale e forze di difesa (esercito). Si noti che le forze dell\'ordine (polizia) rientrano nel termine \"Criminalità e applicazione della legge\".','Politics.ConflictSecurityAndPeace','Politics',55,4816,5785,'Conflitti, sicurezza e pace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',364),(6184,'Partecipazione attiva o passiva a qualsiasi tipo di attività culturale, nonché opinioni e percezioni su di esse.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,4836,5746,'Attività culturali e partecipazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',364),(6185,'Gruppi di individui che si differenziano in qualche modo dalla maggioranza della popolazione. Le differenze possono includere, ad esempio, etnia, religione, salute, orientamento sessuale, lingua madre e cultura. Si noti che è anche possibile utilizzare i termini \"Uguaglianza, disuguaglianza ed esclusione sociale\" o \"Linguaggio e linguistica\" in relazione ad alcune questioni legate alle minoranze.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4829,5760,'Minoranze','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',364),(6186,'Si riferisce all\'atto di acquisire e/o utilizzare qualcosa per soddisfare i bisogni e le esigenze di una persona, comunità o società. I dati in questa categoria includono modelli di comportamento del consumatore, cambiamenti in essi e studio sull\'etica di consumo. Ad esempio, i dati provenienti da sondaggi sulla frequenza con cui le persone acquistano determinati prodotti; quando e dove fanno acquisti; se le considerazioni etiche influenzano le loro scelte di consumo.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,4771,5773,'Consumo e comportamento di consumo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',364),(6187,'Include immigrazione, emigrazione, migrazione interna e altri tipi di mobilità geografica. Immigrazione significa stabilirsi in un paese diverso rispetto al proprio paese d\'origine. Emigrazione significa lasciare il proprio paese d\'origine per stabilirsi in un altro paese. Migrazione è un termine generico che copre entrambi. Migrazione include anche la migrazione interna, ovvero la circolazione di persone all\'interno di un paese a diversi livelli geografici.','Demography.Migration','Demography',2,4768,5757,'Migrazioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',364),(6188,'Se gli anziani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,4827,5803,'Anziani','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',364),(6189,'Questioni relative alle disuguaglianze di status e di opportunità tra gli individui o gruppi di individui nella società. L\'uguaglianza può essere studiata, ad esempio, in termini di istruzione, condizione economica (finanziaria) o reddito, posizione occupazionale, potere, prestigio, condizioni di lavoro e tempo libero, accesso ai servizi e relazioni sociali. La marginalizzazione e l\'esclusione sociale possono essere il risultato di uno svantaggio sistematico in molteplici aree della vita e le persone interessate possono essere private di diritti, opportunità, risorse e integrazione sociale. Esempi di dati: statistiche sulle uguaglianze dei redditi; percezione della discriminazione relativa a specifici gruppi (ad esempio verso gli stranieri, i senzatetto, i richiedenti asilo); percezioni delle differenze tra uomini e donne in merito alle opportunità di ruoli dirigenziali in politica; impatto della disoccupazione dei genitori sul livello di istruzione e sulle reti sociali dei bambini.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,4822,5720,'Uguaglianza, disuguaglianza ed esclusione sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',364),(6190,'Modelli di attività ricreative, attività del tempo libero e hobby. Include partecipazione a manifestazioni sportive, attività sportive e viaggi nel il tempo libero. Per i dati relativi al benessere fisico e fitness utilizzare \"Forma fisica ed esercizio\".','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,4838,5801,'Tempo libero, turismo e sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',364),(6191,'Dati sugli atteggiamenti politici dei partiti, impegno e partecipazione al processo politico, comportamento di voto, soddisfazione nei confronti del governo. Utilizzare \"Ideologia politica\" per i dati su specifiche dottrine.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,4811,5780,'Comportamenti e atteggiamenti politici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',364),(6192,'','Health',NULL,16,4780,5804,'SALUTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',364),(6193,'Cambiamento dello status sociale e lavorativo di individui, famiglie o gruppi di individui nel tempo. La mobilità può essere orizzontale, ossia un cambiamento di posizione all\'interno dello stesso status, oppure verticale, in cui gli individui si spostano verso l\'alto o verso il basso nella gerarchia di status. Ad esempio, i lavoratori nelle industrie in declino possono diventare lavoratori in qualche altra industria (mobilità professionale orizzontale), oppure i bambini nelle famiglie povere possono raggiungere una classe sociale più alta rispetto ai loro genitori (mobilità sociale intergenerazionale verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,4823,5791,'Mobilità sociale e lavorativa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',364),(6194,'','Politics',NULL,54,4810,5750,'POLITICA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',364),(6195,'Riguarda questioni relative a famiglie, parenti, generazioni e composizione familiare. Ad esempio, i dati sull\'educazione dei figli, la divisione del lavoro all\'interno della famiglia, il supporto fornito ai familiari.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4825,5726,'Matrimonio e vita familiare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',364),(6196,'Comprende l\'istruzione generalmente classificata nei livelli 3-4 dello standard ISCED più l\'istruzione superiore, ossia l\'istruzione secondaria di secondo grado e l\'istruzione universitaria. Include dati su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.HigherAndFurtherEducation','Education',13,4776,5762,'Istruzione secondaria e superiore','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',364),(6197,'Ferite e lesioni, sia fisiche che psicologiche, causate da incidenti o violenze (attraverso comportamenti aggressivi individuali o di gruppo). Se le ferite/lesioni sono legate alle attività lavorative, utilizzare \"Salute sul lavoro\".','Health.WoundsAndInjuries','Health',28,4784,5802,'Ferite e lesioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',364),(6199,'','LabourAndEmployment',NULL,33,4794,5748,'LAVORO E OCCUPAZIONE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',364),(6202,'','NaturalEnvironment',NULL,49,4805,5772,'AMBIENTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',364),(6203,'Dati e statistiche sui tassi di disoccupazione, programmi e progetti per l\'occupazione, durata e frequenza della disoccupazione, impatto sociale e psicologico della disoccupazione, ecc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4796,5753,'Disoccupazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',364),(6204,'Le condizioni in cui lavorano i dipendenti. Ad esempio, tipo di contratto, orario di lavoro (numero di ore di lavoro, periodi di riposo, programmi di lavoro, straordinari), retribuzione, aspetti fisici e psicologici del lavoro, diritti e responsabilità dei dipendenti, carico di lavoro, coinvolgimento dei dipendenti nel processo decisionale, diritto di congedo, ambiente fisico. Per i problemi di sicurezza sul posto di lavoro utilizzare anche \"Salute sul lavoro\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4800,5767,'Condizioni lavorative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',364),(6205,'Formazione aziendale interna e altri tipi di formazione rivolta ai dipendenti finanziata dal datore di lavoro per aumentarne  capacità e competenze. Non include l\'apprendistato che è, invece, incluso in \"Istruzione e formazione professionale\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,4798,5756,'Formazione aziendale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',364),(6206,'I processi, le funzioni o il sistema riproduttivi in tutte le fasi della vita. Include dati su gravidanza, parto, pianificazione familiare, contraccezione e aborto, menopausa.','Health.ReproductiveHealth','Health',25,4787,5739,'Salute riproduttiva','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',364),(6207,'Utilizzo di processi biomolecolari e cellulari per creare nuovi prodotti e processi tecnologici.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4820,5807,'Biotecnologia','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',364),(6209,'Relazioni tra datori di lavoro e dipendenti.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,4799,5788,'Rapporti di lavoro/conflitto','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',364),(6210,'Gli indicatori economici mostrano l\'evoluzione e l\'andamento economico e comprendono, ad esempio, il tasso di crescita del PIL, l\'occupazione, l\'inflazione e il tasso di interesse, l\'attività dei consumatori e degli investitori, il debito delle famiglie. Quest\'ultimo è anche utilizzato per stimare le condizioni economiche degli individui e delle famiglie intervistate.','Economics.EconomicConditionsAndIndicators','Economics',6,4770,5793,'Condizioni economiche e indicatori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',364),(6211,'Dati su criminalità, prevenzione del crimine, vittime di reati, criminali, polizia, servizi segreti, istituti penitenziari (ad es. carceri, anche minorili), controllo delle frontiere e dogane. Comprende anche i dati sullo staff e le strutture di queste agenzie.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,4804,5800,'Criminalità e applicazione della legge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',364),(6212,'Decisioni e principi adottati a livello nazionale, regionale o locale per quanto riguarda il welfare sociale, il suo finanziamento e l\'erogazione dei servizi. Ad esempio, i soggetti che hanno diritto ai diversi tipi di servizi e benefici sociali, i loro motivi e il loro livello di necessità, nonché i soggetti che possono fornire i servizi.  Esempi di politiche: politica che incoraggia gli anziani a rimanere nelle loro case il più a lungo possibile, oppure una politica che stabilisce la durata del sussidio di disoccupazione. Usare anche il termine \"Legislazione e sistemi giuridici\" per leggi e regolamenti già implementati.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,4832,5727,'Politiche di welfare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',364),(6213,'Dati su elezioni, referendum, campagne elettorali, risultati elettorali, candidati alle elezioni, scelta dei candidati, fondi elettorali, ecc.','Politics.Elections','Politics',56,4812,5725,'Elezioni','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',364),(6214,'Dibattiti su politiche, scelte e principi adottati a livello nazionale, regionale o locale in materia di istruzione e di offerta formativa. Utilizzare invece \"Legislazione e sistemi giuridici\" per le leggi e i regolamenti già implementati.','Education.EducationalPolicy','Education',12,4779,5747,'Politiche educative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',364),(6215,'Tecnologie dell\'informazione e della comunicazione che vengono utilizzate a casa, sul posto di lavoro e in altri contesti. Si noti che l\'utilizzo e l\'impatto di queste tecnologie sono coperti dal termine \"Società dell\'informazione\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,4819,5742,'Tecnologie dell\'informazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',364),(6217,'Dati sulla gestione dell\'industria e del commercio, su produttività, crescita e declino economico, sulle strutture organizzative, l\'amministrazione, gli investimenti in R&S, sui mercati e quote di mercato.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4844,5734,'Gestione e organizzazione aziendale/industriale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',364),(6218,'','Demography',NULL,0,4765,5790,'DEMOGRAFIA (POPOLAZIONE, STATISTICHE DEMOGRAFICHE E CENSIMENTI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',364),(6219,'','LawCrimeAndLegalSystems',NULL,41,4802,5797,'LEGGE, CRIMINALITÀ E SISTEMI GIURIDICI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',364),(6220,'Governance globale, diplomazia, politica estera, relazioni tra paesi, organizzazioni internazionali (ad es. UE, OMS, ONU, OMC) e accordi internazionali.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4815,5718,'Politica e organizzazioni internazionali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',364),(6222,' Studi sulla presenza di condizioni anatomiche o fisiologiche anormali e sulle manifestazioni oggettive o soggettive di malattia/sintomi, non classificate come malattia o sindrome (nel qual caso si utilizzerebbero \"Malattie particolari, disturbi o condizioni mediche\"). Include manifestazioni cliniche che possono essere obiettive se osservate da un professionista medico o soggettive quando percepite dal paziente. Per esempio: dolore, diarrea, eruzioni cutanee,  lunghezza diseguale delle gambe, insonnia, digrignamento dei denti, infiammazione, aritmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,4783,5724,'Segni e sintomi; condizioni patologiche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',364),(6224,'Idee, ideali e teorie sui modi in cui i governi e le società possono essere organizzati. Le principali ideologie politiche includono anarchismo, democrazia, liberalismo, conservatorismo, ecc.','Politics.PoliticalIdeology','Politics',60,4813,5779,'Ideologia politica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',364),(6225,'Riguarda gli animali domestici, di allevamento e selvatici, così come tutti i tipi di piante (ad esempio fiori, alberi, muschio, vegetali).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4808,5766,'Piante e animali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',364),(6226,'','Education',NULL,10,4775,5728,'EDUCAZIONE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',364),(6227,'Qualità e disponibilità di servizi, strutture e personale operanti nell\'ambito dell\'assistenza sanitaria. Economia sanitaria e politiche a livello nazionale, regionale o locale in materia di assistenza sanitaria. Utilizzare \"Legislazione e sistemi giuridici\" per le leggi e i regolamenti già implementati.','Health.HealthCareServicesAndPolicies','Health',20,4781,5737,'Servizi di assistenza e politiche sanitarie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',364),(6228,'Comprende tutti i modelli di pensionamento come quello \'graduale\' o \'flessibile\', dati sull\'età pensionabile e il pensionamento anticipato.','LabourAndEmployment.Retirement','LabourAndEmployment',38,4797,5792,'Pensionamento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',364),(6229,'','MediaCommunicationAndLanguage',NULL,44,4107,5799,'MEDIA, KOMMUNIKASJON OG SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',365),(6230,'Data som adresserer spørsmål om religiøs atferd, religiøs diskriminering, religiøse bevegelser, åndelighet/spiritualitet, moralitet og andre verdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4073,5795,'Religion og verdier','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',365),(6231,'Data om sosial atferd; sosial interaksjon og nettverk; sosialt ansvar; sosiale normer og regler; og holdninger til dette.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4083,5768,'Sosial atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',365),(6232,'','Psychology',NULL,61,4099,5749,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',365),(6233,'Data relatert til ulike aspekter av livet i lokalsamfunnet, eller i urbane og rurale områder. Oppfatninger og fremstillinger av nabolag, eller av urbane og rurale områder. Tjenester, fasiliteter og forretningsmuligheter i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4103,5786,'Samfunnet, urbant og ruralt liv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',365),(6234,'Dekker alle aspekter av livskvalitet og trivsel hos enkeltpersoner og samfunn, og menneskers oppfatninger av disse. Vær oppmerksom på at i henhold til aspektene som blir studert kan begrepene \'Generell helse og velvære\', \'Likhet og ulikhet\', \'Likhet, ulikhet og sosial eksklusjon\' og \'Økonomiske forhold og indikatorer\' etc. være relevante.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4111,5784,'Sosiale forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',365),(6235,'Beslutninger og prinsipper vedtatt nasjonalt, regionalt eller lokalt om velferdssystemer, finansiering og tilbud. For eksempel hvem har rett til hvilke tjenester og stønader og hvorfor, hvilket nivå, og hvem som kan tilby disse tjenestene. For eksempel politikk om at eldre bør bo hjemme så lenge som mulig, politikk om hvor lenge folk har rett på arbeidsledighetstrygd. Bruk også \'Lovgivning og rettssystemer\' for lover og reguleringer som allerede er vedtatt.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,4114,5727,'Sosial velferdspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',365),(6236,'Dekker grunnskoleopplæring på ISCED-nivå 3 - 4 i tillegg til høyere utdanning. Det vil si videregående opplæring, høyere utdanning på høgskole, vitenskapelig universitet eller universitet. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.HigherAndFurtherEducation','Education',13,4102,5762,'Høyere- og videreutdanning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',365),(6237,'Studier om det generelle velværet og helsetilstanden til et individ, en gruppe eller en populasjon. Kan bli objektivt målt/observert eller være selvrapportert. Velvære omfatter, for eksempel, fysisk og mental kapasitet eller tilstand, samt sosial tilstand.','Health.GeneralHealthAndWellbeing','Health',19,4050,5777,'Generell helse og velvære','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',365),(6238,'Informasjons- og kommunikasjonsteknologi som brukes i hjemmet, på arbeidsplassen og i andre samfunnssettinger. Bemerk at bruk og innflytelse av disse teknologiene er dekket av \'Informasjonssamfunn\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,4098,5742,'Informasjonsteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',365),(6239,'','HousingAndLandUse',NULL,30,4027,5774,'BOLIG, AREALBRUK OG AREALPLANLEGGING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',365),(6240,'For eksmpel selvrapporterte data om hvorvidt folk bruker bestemte sosiale tjenester, meninger om tilstrekkelighet, tilgjengelighet og tilgang til bestemte tjenester, og generelt hvor tilfreds folk er med disse.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,4093,5764,'Spesielle sosiale tjenester: Bruk og tilveiebringelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',365),(6241,'Dekker domestisering, produksjon og ville dyr, og alle typer planter (for eksempel blomster, trær, mose, grønnsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4070,5766,'Planter og dyr','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',365),(6242,'Kan være bruk for et ekstra emne, hvis eldre mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,4100,5803,'Eldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',365),(6243,'Data om kriminalitet, forebygging av kriminalitet, ofre for kriminalitet, kriminelle, politiet, etterretningstjeneste, sikkerhetstjeneste, kriminalomsorg (for eksempel fengsel, ungdomsfengsel), grensekontroll og tollvesen. Inkluderer også data om ansatte og fasilitetene til virksomhetene.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,4091,5800,'Kriminalitet og rettshåndhevning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',365),(6244,'Forhindring og kontroll av sykdom og funksjonshemminger, og fremming av befolkningens fysiske og mentale helse på internasjonalt, nasjonalt, statlig eller kommunalt nivå. For eksempel, helsefremming, forebygging av sykdom, offentlige helseprogrammers innvirkning, håndtering av lokale, nasjonale eller globale helseproblemer, en sykdoms epidemiologi, tilstand, eller patogen, eller sykdomsutbrudd.','Health.PublicHealth','Health',24,4069,5770,'Folkehelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',365),(6245,'Rekreasjonsmønster, fritidsaktiviteter og hobbyer. Inkluderer idrettsforeninger, konkurransesport og fritidsreiser. For data om trening for å holde seg i form bruk \'Helseatferd\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,4071,5801,'Fritid, turistaktiviteter og sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',365),(6246,'Relasjoner mellom arbeidsgiver og arbeidstaker.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,4041,5788,'Arbeidsforhold/konflikter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',365),(6247,'Undervisningsprogrammer som er utarbeidet slik at elevene skal tilegne seg kunnskap, ferdigheter og kompetanse som er rettet mot et spesifikt yrke eller yrkesgrupper. Yrkesrettet utdanning og opplæring kan ha arbeidsrelaterte komponenter. Dekker yrkesrettet utdanning på ISCED-nivå 3 - 4, og lærlingperioden. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.VocationalEducationAndTraining','Education',15,4059,5745,'Yrkesrettet utdanning og opplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',365),(6248,'Data om industri og foretak slik som ledelse, produktivitet, vekst og fall, organisasjonsstruktur, administrasjon, investeringer i forskning og utvikling, markeder og markedsandel.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4045,5734,'Forretnings-/industridrift og organisasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',365),(6249,'Sykelighet refererer til forekomst av dårlig helse i en befolkning. Data kan dekke forekomsten eller sykdomsgraden av en medisinsk tilstand. For eksempel antall personer som lider av lungekreft i et land eller i et geografisk område i løpet av ett år. Data om dødelighet indikerer antall dødsfall i en befolkning etter sted, tid, årsak, individ osv. For eksempel mødre-, barnedødelighet. Vær oppmerksom på at selvrapporterte undersøkelsesdata om sykdommer og medisinske forhold er indeksert med HELSE-hierarki begreper.','Demography.MorbidityAndMortality','Demography',3,4101,5769,'Sykelighet og dødelighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',365),(6250,'Bruk denne kategorien for undersøkelser om landbruksproduksjon og landbruksnæringer, som for eksempel inkluderer fiskeri og skogbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,4088,5736,'Jordbruk og rural industri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',365),(6251,'Inkluder alle typer godstransport, pendling, kollektivtransport (tog, busser, undergrunn/metro etc.) og transportnettverk i byer. Data om mobilitetsvaner, for eksempel shopping over landegrenser, ruter og midler som blir brukt for å komme seg til et sted. Bruk begrepet \'Fritid, turisme og sport\' for reiser på fritiden.','TransportAndTravel',NULL,93,4118,5771,'TRANSPORT OG REISE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',365),(6252,'Sår og skader, både fysiske og psykologiske, forårsaket enten av ulykke eller vold (utført av individer eller grupper). Hvis det er jobbrelaterte sår og skader benytt \'Arbeidsrelatert helse\'.','Health.WoundsAndInjuries','Health',28,4056,5802,'Sår og skader','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',365),(6253,'Studier om abnorme anatomiske eller fysiologiske tilstander, og objektive eller subjektive manifestasjoner av sykdom eller symptomer, som ikke er klassifisert som sykdom eller syndrom (i hvilket tilfelle ‘Spesifikke sykdommer, lidelser eller medisinske tilfeller’ ville blitt brukt). Omfatter kliniske manifestasjoner som kan være objektive når de blir observert av medisinsk fagpersonell eller subjektive når de blir oppfattet av pasienten. For eksempel smerte, diaré, utslett, ulik benlengde, insomnia, tanngnissing, inflammasjon, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,4051,5724,'Tegn og symptomer; patologiske tilstander','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',365),(6254,'','Demography',NULL,0,4110,5790,'DEMOGRAFI (POPULASJON, KJERNESTATISTIKK OG FOLKETELLINGER)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',365),(6255,'','Education',NULL,10,4090,5728,'UTDANNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',365),(6257,'Problemstillinger relatert til eksistensen, roller og innflytelsen til eliter i samfunnet, det vil si individer eller grupper som har en stor påvirkning på samfunn, politikk, velstand osv. enten gjennom sine beslutninger, eller gjennom sine ideer og følelser som de utrykker eller representerer. Inkluderer problemstillinger knyttet til innflytelsesrike personer på alle samfunnsområder, for eksempel beslutningstakere i det politiske livet, partiledere, innflytelsesrike kunstnere, fremtredende personer i masse- eller sosiale medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,4043,5798,'Eliter og lederskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',365),(6258,'Omfatter både arealbruk og arealplanlegging. Med arealplanlegging menes prosedyrene utført for å sikre optimal og bærekraftig bruk av landressurser i rurale og urbane samfunn.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,4062,5782,'Arealbruk og arealplanlegging','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',365),(6259,'Ideer, idealer og teorier om hvordan myndighetene og samfunn kan organiseres. Store politiske ideologier omfatter anarkisme, demokrati, liberalisme, konservatisme etc.','Politics.PoliticalIdeology','Politics',60,4060,5779,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',365),(6260,'','Economics',NULL,4,4035,5758,'ØKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',365),(6261,'Viser til grunnskoleopplæring som er obligatorisk og lovfestet for alle personer i et land. Førskole viser til opplæring som finner sted før grunnskolen. Bruk dette begrepet til å indeksere data som er relatert til førskole, grunnskoleopplæring, uavhengig om dataene fokuserer på elever, lærere, fag, ferdigheter eller fasiliteter etc.','Education.CompulsoryAndPreschoolEducation','Education',11,4076,5729,'Obligatorisk utdanning og førskole','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',365),(6262,'Økonomiske indikatorerer som anviser en økonomi sin retning og omfatter for eksempel BNP-vekst, sysselsetting, inflasjon og rentesats, forbruker- og investoraktivitet og husholdningsgjeld. Brukes også for økonomiske forhold for enkeltpersoner og husholdninger som er undersøkt eller registrert.','Economics.EconomicConditionsAndIndicators','Economics',6,4079,5793,'Økonomiske forhold og indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',365),(6264,'Omfatter immigrasjon, emigrasjon, flytting internt i et land og andre typer av geografisk mobilitet. Immigrasjon betyr å bosette seg i et annet land enn sitt hjemland. Emigrasjon betyr at man forlater sitt hjemland for å bosette seg i et annet land. Migrasjon er et paraplybegrep for immigrasjon og emigrasjon. Migrasjon omfatter også flytting internt i et land, det vil si forflytninger av mennesker i et land på forskjellige geografiske enheter.','Demography.Migration','Demography',2,4029,5757,'Migrasjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',365),(6265,'Data om internasjonal og nasjonal lovgivning, administrative forskrifter, domstoler, alternative tvisteløsninger og gjenopprettende praksis, straff.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,4106,5722,'Lovgivning og rettssystemer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',365),(6266,'Bruk hvis emnet er kjent, men ikke finnes i listen.','Other',NULL,94,4086,5781,'ANNET','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',365),(6267,'Dekker landskap og land som ikke har blitt direkte endret av mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,4036,5789,'Naturlige omgivelser (landskap)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',365),(6268,'','Politics',NULL,54,4057,5750,'POLITIKK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',365),(6269,'Data som omhandler alle former for massemedia. For eksempel papir- eller nettaviser, ukeblad, fjernsyn og radio. Sosiale medier er indeksert med begrepet \'Informasjonssamfunn\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,4116,5738,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',365),(6271,'','SocietyAndCulture',NULL,79,4087,5761,'SAMFUNN OG KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',365),(6272,'Behandling av sykdom, eller prosedyre(r)  for å forebygge. Pasientbehandling på individuelt nivå. Forskning på medisinering og behandling av sykdom. Data om, for eksempel, kirurgiske prosedyrer, legekonsultasjon, fysisk terapi, manipulasjoner i muskler og skjelett, behandling på sykehus eller i hjemmet, psykoterapi, undersøkelsesteknikker, medisinering.','Health.MedicationAndTreatment','Health',21,4112,5733,'Medisiner og behandling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',365),(6274,'','SocialStratificationAndGroupings',NULL,65,4072,5755,'SOSIAL STRATIFISERING OG GRUPPERINGER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',365),(6275,'Omfatter studier som måler boligstandarden i et samfunn, inkludert sosialboliger, i tillegg til tilgjengeligheten og prissettingen på boliger. Bolig omfatter hjem, andre boliger og fritidsboliger.','HousingAndLandUse.Housing','HousingAndLandUse',31,4031,5719,'Bolig','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',365),(6276,'Data om identitetsdannelse, hvem folk føler de er og hvor de hører til. Forholdet mellom kulturell og nasjonal identitet ved å fremstille og klassifisere andre som \'ikke en av oss/de andre\'. Vaner, oppførsel og holdninger til egne oppfatninger og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,4095,5759,'Kulturell og nasjonal identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',365),(6277,'Kan være bruk for et ekstra emne, hvis unge mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,4085,5735,'Ungdom','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',365),(6278,'Naturressurser er forekomster som jord, skog, energikilder, vann, mineraler som eksisterer naturlig og som kan bli brukt til økonomisk produksjon og konsum. Energiressurser inkluderer fossile brennstoff som olje, naturgass og kull, men også kjernekraft, sol, tidevann og vind, og levende organismer som kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4061,5740,'Energi og naturressurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',365),(6279,'Bruker biomolekylære og cellulære prosesser for å skape nye produkter og teknologiske prosesser.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4065,5807,'Bioteknologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',365),(6280,'Refererer til handlingen om å tilegne seg og/eller evne til å møte behov og ønsker hos en person, fellesskapet eller samfunnet. Data i denne kategorien omfatter også konsum på personlige- og husholdninsartikler, endringer i konsumentatferd, og studier om konsument og etikk. For eksempel data om hvor ofte personer kjøper en type ting, hvor og når de handler; om etiske betraktninger påvirker konsumvalget. ','Economics.ConsumptionAndConsumerBehaviour','Economics',5,4048,5773,'Konsum og konsumentatferd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',365),(6281,'Data om sysselsettingsrate og sysselsettingsstatistikk, sysselsettingsprogrammer og sysselsettingstiltak, varighet og hyppighet av arbeidsløshet, sosial og psykologisk innflytelse av arbeidsledighet etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4066,5753,'Arbeidsledighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',365),(6282,'Data om partipolitiske holdninger, politisk engasjement og deltakelse i den politiske prosessen, velgeratferd, tilfredshet med regjering. Benytt \'Politisk ideologi\' for data om spesifikke politiske doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,4078,5780,'Politisk atferd og holdninger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',365),(6283,'','LawCrimeAndLegalSystems',NULL,41,4105,5797,'LOV, KRIMINALITET OG RETTSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',365),(6284,'Reproduktiv prosess, funksjon eller system på ethvert stadium av livet. Omfatter data om graviditet, fødsel, familieplanlegging, prevensjon og abort, overgangsalder.','Health.ReproductiveHealth','Health',25,4089,5739,'Reproduktiv helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',365),(6285,'Data om arbeids- og sysselsettingspolitikk relatert til ansettelsesforhold, arbeidsmarkedet, likestilling og diskriminering på jobb; for policyer på nasjonalt nivå inkluder påvirkningen av etterspørsel på og tilbud av arbeidskraft og arbeidsmarkedenes funksjon. Bruk ‘Lovgivning og rettsystemer’ for lover og reguleringer som allerede er implementert.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,4049,5716,'Arbeids- og sysselsettingspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',365),(6286,'Kan være bruk for et ekstra emne, hvis barn studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4109,5775,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',365),(6287,'','SocialWelfarePolicyAndSystems',NULL,75,4052,5754,'SOSIALPOLITIKK OG VELFERDSSYSTEMER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',365),(6288,'Data omfatter lingvistiske studier, lingvistisk analyse og sosiolingvistikk, samt data omhandlende språkpolitikk, språkferdigheter, språk brukt hjemme og på jobb, holdninger til minoritetsspråk etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,4058,5796,'Språk og lingvistikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',365),(6289,'Global styring, diplomati, utenrikspolitikk, relasjoner mellom land, internasjonale organisasjoner (for eksempel EU, WHO, FN, WTO), og internasjonale avtaler.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4092,5718,'Internasjonal politikk og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',365),(6290,'Grupper av individer som skiller seg ut fra majoriteten av befolkningen på en eller annen måte. Differensierende karakteristikker inkluderer for eksempel etnisitet, religion, helse, seksuell orientering, førstespråk (morsmål) og kultur. Begrepene \'Likhet og ulikhet\', \'Sosial utstøtning\' eller \'Språk og lingvistikk\' kan også brukes om enkelte minoritets problemstillinger.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4063,5760,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',365),(6291,'Betingelsene de ansatte arbeider under. For eksempel, typer kontrakter, arbeidstid (antall timer arbeid, hvileperioder, arbeidsplan, overtid), betaling og opptelling, fysiske aspekter og mentale krav ved arbeidet, ansattes rettigheter og ansvar, arbeidsmengde, de ansattes involvering i beslutningstaking, permisjonsrettigheter, og fysisk miljø. For sikkerhetsspørsmål på arbeidsplassen benytt også \'Arbeidsrelatert helse\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4054,5767,'Arbeidsbetingelser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',365),(6292,'','TradeIndustryAndMarkets',NULL,89,4113,5721,'HANDEL, INDUSTRI OG MARKEDER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',365),(6293,'Problemstillinger knyttet til tilbudet av velferdssystemer, hvem som har ansvaret for sosiale velferdstjenester i praksis og i hvilken grad, og hvordan tjenestene er strukturert. For eksempel meninger om hvem som skal ha ansvar for eldreomsorg og omsorg for barn, hvordan lokale myndigheter har organisert tjenestene, og hva slags stønader kan man få etc.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,4117,5778,'Sosiale velferdssystemer/strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',365),(6294,'Problemstillinger knyttet til om alle individer eller grupper av individer har samme status og muligheter i et samfunn. Likhet kan studeres for eksempel ved å se på utdannelse, formue eller inntekt, yrke, makt, prestisje, betingelser for arbeid og fritid, tilgang til tjenester, og sosiale relasjoner. Marginalisering og sosial eksklusjon kan være et resultat av ugunstige forhold på flere områder i livet, og mennesker det gjelder kan bli fratatt rettigheter, muligheter, ressurser og sosial integrering. Eksempler på data: Statistikk over inntekt og likhet, oppfattelsen av gruppefokusert diskriminering (for eksempel mot innvandrere, hjemløse, asylsøkere); oppfattelsen av forskjeller mellom menn og kvinner når det gjelder mulighet for ledende politiske roller; innvirkningen av foreldres arbeidsløshet på barns utdanningsnivå og sosiale nettverk. ','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,4026,5720,'Likhet, ulikhet og sosial eksklusjon','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',365),(6295,'Tiltak implementert for å ivareta eller forbedre oppfattelsen av individer, virksomheter, organisasjoner og regjeringer, for eksempel ved bruk av reklame, pressgrupper etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,4081,5741,'Publikumskontakt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',365),(6296,'Opplæring internt i bedriften og annen opplæring som er finansiert av bedriften for å heve ansattes ferdigheter og kompetanse. Omfatter ikke lærlinger, som er inkludert i \'Yrkesrettet utdanning og opplæring\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,4034,5756,'Opplæring av ansatte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',365),(6297,'','NaturalEnvironment',NULL,49,4075,5772,'NATUR OG MILJØ ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',365),(6298,'','ScienceAndTechnology',NULL,62,4067,5743,'VITENSKAP OG TEKONOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',365),(6299,'Brukes på studier om kapitalistiske, sosialistiske og andre øknomiske systemer, og studier om  for eksempel internasjonale utviklingsprogram.','Economics.EconomicSystemsAndDevelopment','Economics',8,4097,5794,'Økonomiske systemer og utvikling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',365),(6300,'Dekker problemstillinger knyttet til familie, slektninger, generasjoner og husholdningssammensetning. For eksempel, data om barneoppdragelse, fordeling av arbeidsoppgaver i familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4028,5726,'Familieliv og ekteskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',365),(6301,'Bruk den passende ‘topical term’ for historisk data i tillegg til hovedbenevnelsen her. For eksempel, ‘Arbeidsforhold’ og ‘Helsetjenester og policyer’ pluss HISTORIE for data om arbeidsmiljøene til familieleger på 1960-tallet. Hovedbenevnelsen for historie skal kun brukes alene i tilfeller hvor det ikke finnes noen ‘topical term’.','History',NULL,29,4044,5732,'HISTORIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',365),(6302,'Data om valg, folkeavstemninger, valgkampanjer, valgresultat, valgkandidater, valgkomitéer, valgstøtte etc.','Politics.Elections','Politics',56,4030,5725,'Valg','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',365),(6303,'Viser til forskjellige utdanningsmuligheter for voksne etter de har forlatt det formelle utdanningssystemet. Voksne kan ta denne type utdanning av ulike grunner, for eksempel, forbedre ferdigheter og kvalifikasjoner, grunnet omskolering, eller for å lære noe nytt. Inkluderer ikke oppkvalifisering eller etterutdannelse av medarbeidere.','Education.LifelongContinuingEducation','Education',14,4115,5765,'Livslang utdanning/voksenopplæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',365),(6304,'','Health',NULL,16,4074,5804,'HELSE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',365),(6305,'','LabourAndEmployment',NULL,33,4108,5748,'ARBEID OG SYSSELSETTING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',365),(6306,'Data om endringer i samfunnet, inkludert holdningsendringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4046,5730,'Sosial endring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',365),(6307,'Data om yrkeseksponering og sykdommer, arbeidssikkerhet, sykefravær, arbeidsevne og uførhet, eller yrkesrelatert uførepensjon.','Health.OccupationalHealth','Health',22,4033,5805,'Arbeidsrelatert helse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',365),(6308,'Omfatter alle pensjonsmønstre, slik som \'gradvis\' eller \'fleksibel\' pensjonering, data om pensjonsalder og tidlig pensjonering.','LabourAndEmployment.Retirement','LabourAndEmployment',38,4104,5792,'Pensjonering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',365),(6309,'Data om hvor mye tid befolkningen bruker på ulike aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4080,5763,'Tidsbruk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',365),(6310,'Kvalitet og tilgjengelighet på tjenester, hjelpemidler og personale innen helsevesenet. Helsevesenets økonomiske og politiske avgjørelser og prinsipper nasjonalt, regionalt eller lokalt. Benytt \'Lovgivning og rettssystemer\' for lover og lovbestemmelser som allerede er implementert.','Health.HealthCareServicesAndPolicies','Health',20,4055,5737,'Helsevesen og politikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',365),(6311,'Diskusjoner om politikk og prinsipper, samt beslutninger og prinsipper vedtatt på nasjonalt, regionalt eller lokalt nivå knyttet til utdanning. \'Lovgivning og rettssystemer\' brukes på lover og reguleringer som allerede er implementert.','Education.EducationalPolicy','Education',12,4068,5747,'Utdanningspolitikk','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',365),(6312,'Nasjonal og internasjonal sikkerhet og trygghet; nasjonale og internasjonale konflikter; krig og fred; militær styrke og militæret. Bemerk at politi er dekket under \'Lov, kriminalitet og rettsystemer\'.','Politics.ConflictSecurityAndPeace','Politics',55,4082,5785,'Konflikt, sikkerhet og fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',365),(6313,'Studier om spesifikke, diagnostiserte sykdommer, lidelser eller syndromer (ofte klassifisert i ICD-10 eller i tidligere versjoner). For eksempel medisinsk forskning på årsaker til diabetes eller studier av fysisk og mental rehabilitering blant personer som har gjennomgått hjerteoperasjon.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,4038,5806,'Spesifikke sykdommer og medisinske tilfeller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',365),(6314,'Aktiv eller passiv deltakelse i alle former for kulturelle aktiviteter, samt meninger og oppfatninger av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,4032,5746,'Kulturelle aktiviteter og deltagelse','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',365),(6315,'Individer, familier eller grupper av individer sin bevegelse i sosial og yrkesmessig status over tid. Bevegelsen kan være horisontal, det vil si endring av posisjon innenfor samme statusnivå, eller vertikal hvor individer kan bevege seg oppover eller nedover i statushierarkiet. For eksempel kan arbeidere innen næringer i nedgang bli arbeidere i en annen industri (horisontal yrkesmessig mobilitet), eller så kan barn i fattige familier oppnå en høyere sosial klasse enn deres foreldre (vertikal intergenerasjonell sosial mobilitet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,4037,5791,'Sosial og yrkesmessig mobilitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',365),(6316,'Dekker problemstillinger knyttet til degradering, forurensning, miljøvern, klimaendringer, forebygging ved flom og jorderosjon.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,4084,5776,'Miljø og naturforvaltning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',365),(6317,'Utveksling av kapital, varer eller tjenester over internasjonale grenser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4064,5752,'Utenrikshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',365),(6318,'Data om sysselsettingsrate og statistikk, arbeidsmarked, ledige jobber, arbeidssøking, karakteristika ved arbeidsforhold, sysselsetting blant bestemte grupper (e.g. ungdoms- eller minoritetssysselsetting), arbeidsmarkedskontor, karriere. For lønn og godtgjørelse brukes \'Arbeidsbetingelser\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,4096,5717,'Sysselsetting','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',365),(6319,'Kjønnsidentitet; kjønnsrepresentasjon (for eksempel representasjon av kjønn i beslutningstakersorgan, i media, i litteratur etc.); sosiale, kulturelle og psykologiske trekk knyttet til menn og kvinner; kvinnestudier, mannsstudier; forventet atferd og valg knyttet til kjønnsroller og innvirkningen av slike forventinger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,4077,5787,'Kjønn og kjønnsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',365),(6320,'Produksjon, distribusjon, bruk, integrering og manipulering av informasjon som en signifikant økonomisk, politisk og kulturell aktivitet. For eksempel, data relatert til netthandel, bruk av informasjons- og kommunikasjonsteknologi i offentlig sektor, sosiale medier, mobilenheter, tilgang til og bruk av internett, personvern, informasjon og biblioteksressurser. Bruk \'Informasjonsteknologi\' om de faktiske teknologiene.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,4047,5751,'Informasjonssamfunn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',365),(6321,'','Politics',NULL,54,4338,5750,'POLITIKA',NULL,366),(6322,'Raziskave splošnega počutja ali zdravstvenega stanja posameznikov, skupin ali prebivalstva. Lahko se objektivno meri/opazuje ali pa o njem poroča posameznik. Dobro počutje vključuje, na primer, telesno in duševno zmogljivost ali stanje, pa tudi socialno državo.','Health.GeneralHealthAndWellbeing','Health',19,4351,5777,'splošno zdravstvo in počutje',NULL,366),(6323,'Programi, namenjeni pridobivanju znanja, spretnosti in kompetenc, potrebnih za določen poklic, določeno obrt ali skupino poklicev oziroma obrti. Poklicno izobraževanje lahko vključuje tudi delovno prakso. Pokriva poklicno izobraževanje na ravni ISCED 3-4 in vajeništvo. Vključuje podatke o dijakih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.VocationalEducationAndTraining','Education',15,4352,5745,'poklicno izobraževanje in usposabljanje',NULL,366),(6324,'Podatki o mednarodni ali državni zakonodaji, upravnih predpisih, pravosodnem sistemu (pristojnosti in dejavnosti sodišč), alternativnem reševanju sporov in poravnalnih pravicah, kaznovanju.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,4378,5722,'zakonodaja in pravni sistemi',NULL,366),(6325,'Naravni viri so dobrine, kot so zemljišča, gozdovi, energetski viri, voda, minerali, ki se nahajajo v naravi in se lahko uporabljajo za gospodarsko proizvodnjo ali potrošnjo. Energetski viri vključujejo fosilna goriva, kot so nafta, zemeljski plin ali premog, pa tudi jedrske, sončne, vodne in veterne vire ali vire živih organizmov, ki jih je mogoče zamenjati.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4377,5740,'energija in naravni viri',NULL,366),(6326,'Gospodarski kazalniki nakazujejo smer gospodarstva in vključujejo na primer stopnjo rasti BDP, zaposlovanje, inflacijo in obrestno mero, dejavnost potrošnikov in vlagateljev, zadolženost gospodinjstev. Vsebinsko področje se uporablja tudi za podatke o gospodarskih razmerah posameznikov in gospodinjstev, zbranih na podlagi anket ali registrov.','Economics.EconomicConditionsAndIndicators','Economics',6,4379,5793,'gospodarske razmere in kazalci',NULL,366),(6327,'Uporaba biomolekularnih in celičnih procesov za ustvarjanje novih izdelkov in tehnoloških procesov.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4391,5807,'biotehnologija',NULL,366),(6328,'Podatki o stopnjah brezposelnosti in statistiki brezposelnih, programih in shemah zaposlovanja, trajanju in pogostosti brezposelnosti, družbenem in psihološkem vplivu brezposelnosti itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4319,5753,'brezposelnost',NULL,366),(6329,'Skupine posameznikov, ki se na določen način razlikujejo od večine prebivalstva. Tovrstne značilnosti vključujejo, na primer, narodnost, vero, zdravje, spolno usmerjenost, prvi jezik (materni jezik) in kulturo. Upoštevajte, da lahko v zvezi z nekaterimi manjšinskimi vprašanji uporabljate tudi vsebinski področji \"Enakost, neenakost in socialna izključenost\" ali \"Jezik in jezikoslovje\".','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4325,5760,'manjšine',NULL,366),(6330,'','Economics',NULL,4,4339,5758,'GOSPODARSTVO',NULL,366),(6331,'Nezgode in poškodbe, tako telesne kot psihične, ki jih povzročijo nesreče ali nasilje (agresivno vedenje posameznikov ali skupin). Za nezgode ali poškodbe, povezane z delom, uporabite vsebinsko področje »Poklicno zdravje«.','Health.WoundsAndInjuries','Health',28,4362,5802,'nezgode in poškodbe',NULL,366),(6332,'Podatki o družbenem vedenju; družbenih interakcijah in omrežjih; o družbeni odgovornosti; o družbenih normah in pravilih; in o stališčih do teh vprašanj.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4361,5768,'družbeno vedenje in stališča',NULL,366),(6333,'Podatki, ki se nanašajo na katero koli vrsto množičnih medijev. Na primer, tiskani ali spletni časopisi, revije, televizija in radio. Upoštevajte, da so družbeni mediji indeksirani z vsebinskim področjem \"Informacijska družba\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,4314,5738,'množični mediji',NULL,366),(6334,'Ustvarjanje, razširjanje, uporaba, integracija in manipulacija informacij kot pomembna gospodarska, politična in kulturna dejavnost. Na primer, podatki, ki se nanašajo na elektronsko poslovanje, e-upravo, družbene medije, mobilne naprave, dostop in uporabo interneta, e-zasebnost, informacijske in knjižnične vire. Uporabite vsebinsko področje \"Informacijska tehnologija\", ko govorite o dejanskih tehnologijah.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,4371,5751,'informacijska družba',NULL,366),(6335,'Vprašanja v zvezi z dejanskim zagotavljanjem družbene blaginje, kdo v praksi zagotavlja storitve socialnega varstva in kako so dejanske storitve urejene. Na primer, vprašanja o tem, kako je lokalna vlada uredila storitve za ostarele.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,4323,5778,'sistemi/strukture družbene blaginje',NULL,366),(6336,'Razmere, v katerih zaposleni delajo. Na primer, vrste pogodb, delovni čas (delovne ure, čas počitka, urniki dela, nadure), plačila, fizični vidiki in psihične zahteve dela, pravice in odgovornosti zaposlenih, delovne obremenitve, sodelovanje zaposlenih pri odločanju, pravice do dopusta, fizično okolje. Pri vprašanjih varnosti na delovnem mestu uporabite tudi vsebinsko področje »Poklicno zdravje«.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4367,5767,'delovne razmere/konflikti',NULL,366),(6338,'','Health',NULL,16,4382,5804,'ZDRAVSTVO',NULL,366),(6339,'Podatki o kriminalu, preprečevanju kriminala, žrtvah kaznivih dejanj, zločincih, pa tudi o policiji, tajni službi, prevzgojnih zavodih (npr. zaporih, prevzgojnih zavodih za mladino), mejni kontroli in carini. Vključuje tudi podatke o osebju in zmogljivostih teh ustanov.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,4353,5800,'kriminal in uveljavljanje zakonov',NULL,366),(6340,'Podatki o spremembah v družbi, vključno s spremembami stališč.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4368,5730,'družbene spremembe',NULL,366),(6341,'','TradeIndustryAndMarkets',NULL,89,4307,5721,'TRGOVINA, INDUSTRIJA IN TRGI',NULL,366),(6342,'Vprašanja, ali imajo vsi posamezniki ali skupine posameznikov enak status in priložnosti v družbi. Enakost se lahko preučuje na primer z vidika izobraževanja, (finančnega) premoženja ali dohodka, poklicnega položaja, moči, prestiža, pogojev dela in prostega časa, dostopa do storitev in družbenih odnosov. Marginalizacija in socialna izključenost sta lahko posledica sistematične prikrajšanosti na številnih področjih življenja, kjer so ljudje prikrajšani za pravice, priložnosti, vire in vključevanje v družbo.\n Primeri podatkov: statistika enakosti dohodkov; zaznana diskriminacija skupin (npr. tujcev, brezdomcev, prosilcev za azil); zaznane razlike med moškimi in ženskami glede možnosti za prevzem vodilnih vlog v politiki; vpliv brezposelnosti staršev na otrokovo izobraževalno raven in družbena omrežja.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,4345,5720,'enakost, neenakost in družbena izključenost',NULL,366),(6343,'','SocietyAndCulture',NULL,79,4321,5761,'DRUŽBA IN KULTURA',NULL,366),(6344,'','Demography',NULL,0,4381,5790,'DEMOGRAFIJA (PREBIVALSTVO, STATISTIKA PREBIVALSTVA IN POPISI)',NULL,366),(6345,'Uporabite za raziskave kapitalističnih, socialističnih in drugih ekonomskih sistemov ter za raziskave, na primer mednarodnih razvojnih programov.','Economics.EconomicSystemsAndDevelopment','Economics',8,4384,5794,'gospodarski sistemi in razvoj',NULL,366),(6346,'','ScienceAndTechnology',NULL,62,4373,5743,'ZNANOST IN TEHNIKA',NULL,366),(6347,'Odnosi med delodajalci in zaposlenimi.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,4309,5788,'odnosi/spori med socialnimi partnerji',NULL,366),(6348,'Odločitve in načela, sprejeta na državni, regionalni ali lokalni ravni glede družbene blaginje, financiranja in zagotavljanja, na primer, kdo je upravičen do določenih socialnih storitev in ugodnosti ter zakaj, kakšna je njihova raven in kdo lahko nudi storitve. Na primer, politika, da naj ostanejo ostareli ljudje v svojih domovih čim dlje; politika o dolžini trajanja nadomestila za brezposelnost. Uporabite tudi vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,4394,5727,'politika družbene blaginje',NULL,366),(6349,'Podatki o poklicnih izpostavljenostih in boleznih, varnosti pri delu, bolniških odsotnostih, zmožnosti za delo in invalidnosti ali invalidskih pokojninah, povezanih z delom.','Health.OccupationalHealth','Health',22,4334,5805,'poklicno zdravje',NULL,366),(6350,'Premiki posameznikov, družin ali skupin posameznikov v družbenem in poklicnem statusu skozi čas. Premiki so lahko vodoravni, kar pomeni, da se spremeni položaj v območju istega statusa, ali navpični, ko se posamezniki premikajo navzgor ali navzdol v statusni hierarhiji. Na primer, delavci v nazadujočih gospodarskih panogah lahko postanejo delavci v drugi industriji (horizontalna poklicna mobilnost) ali pa otroci iz revnejših družin dosežejo višji družbeni razred kot njihovi starši (vertikalna medgeneracijska družbena mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,4322,5791,'družbena in poklicna mobilnost',NULL,366),(6351,'Globalno upravljanje, diplomacija, zunanja politika, odnosi med državami, mednarodne organizacije (npr. EU, SZO, ZN, STO) in mednarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4356,5718,'mednarodna politika in organizacije',NULL,366),(6352,'Podatki, ki obravnavajo vprašanja verskega vedenja, verskih gibanj, duhovnosti, morale in drugih vrednot.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4359,5795,'vera in vrednote',NULL,366),(6353,'','MediaCommunicationAndLanguage',NULL,44,4348,5799,'MEDIJI, KOMUNICIRANJE IN JEZIK',NULL,366),(6354,'Vprašanja, povezana z obstojem, vlogami in vplivom elit v družbi, to so posamezniki ali skupine, ki imajo veliko moči ali vpliva na družbo, politiko, bogastvo itd., bodisi z odločitvami, ki jih sprejemajo bodisi, na primer, z idejami ali čustvi, ki jih izražajo ali zastopajo. Vključuje vprašanja, ki se nanašajo na vplivne ljudi na vseh področjih družbe, na primer na odločevalce v političnem življenju, voditelje političnih strank, vplivne umetnike, vidne predstavnike množičnih ali družbenih medijev itd.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,4383,5798,'elite in vodstvo',NULL,366),(6355,'Vključuje raziskave, ki merijo stanovanjski standard v skupnosti, vključno z neprofitnimi stanovanji ter razpoložljivostjo in ceno nastanitev. Stanovanja vključujejo domove, druge domove in počitniške domove.','HousingAndLandUse.Housing','HousingAndLandUse',31,4389,5719,'bivalne razmere',NULL,366),(6356,'Podatki o stališčih do političnih strank, političnem vključevanju in udeležbi v političnem procesu, glasovanju in zadovoljstvu z vlado. Uporabite vsebinsko področje \"Politična ideologija\" za podatke o posameznih doktrinah.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,4337,5780,'politično vedenje in stališča',NULL,366),(6357,'','SocialWelfarePolicyAndSystems',NULL,75,4392,5754,'POLITIKA IN SISTEMI DRUŽBENE BLAGINJE',NULL,366),(6358,'Nanaša se na pridobivanje in/ali uporabo nečesa z namenom zadovoljitve potreb in želja posameznika, skupnosti ali družbe. Podatki v tej kategoriji vključujejo vzorce vedenja porabnikov, spremembe vedenja in raziskovanje porabniške etike. Na primer anketni podatki o pogostosti nakupovanja določenih izdelkov; podatki o kraju in času nakupovanja; podatki o vplivu etičnih vidikov na izbiro porabnika.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,4327,5773,'poraba in navade porabnikov',NULL,366),(6359,'Podatki, povezani z različnimi vidiki življenja v skupnosti oziroma v mestnih in podeželskih območjih. Mnenja o in podobe sosesk oziroma mestnih ali podeželskih območij. Storitve, zmogljivosti in poslovne priložnosti v soseskah.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4336,5786,'skupnost, mestno in podeželsko življenje',NULL,366),(6360,'Podatki vključujejo jezikovne študije, jezikovne analize in sociolingvistiko ter podatke o jezikovnih politikah, jezikovnih spretnostih, jezikih, ki se govorijo na delu in doma, odnosih do jezikov manjšin itd.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,4395,5796,'jezik in jezikoslovje',NULL,366),(6361,'Pokriva krajine in elemente zemljišč, ki jih ljudje niso neposredno spremenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,4380,5789,'naravne krajine',NULL,366),(6362,'Aktivna ali pasivna udeležba v kakršni koli kulturni dejavnosti, vključno z mnenji in zaznavanjem kulturnih dejavnosti.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,4370,5746,'kulturne dejavnosti in sodelovanje',NULL,366),(6363,'Uporabite, če je vsebinsko področje znano, a ga ne najdete na seznamu.','Other',NULL,94,4347,5781,'DRUGO',NULL,366),(6364,'Pokriva udomačene, vzrejne in divje živali, pa tudi vse vrste rastlin (npr. cvetje, drevesa, mah, zelenjavo).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4330,5766,'rastline in živali',NULL,366),(6365,'Morda bo potrebna dodatna tema, če so otroci proučevani s posebnega vidika.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4390,5775,'otroci',NULL,366),(6366,'Vključuje vse vrste prevoza blaga, kot so dnevni prevozi, javni prevozi (vlaki, avtobusi, podzemna železnica itd.) in omrežja mestnega prometa. Podatki o mobilnostnih navadah, na primer čezmejni nakupi, uporabljene poti in sredstva za dostop do lokacije. Uporabite vsebinsko področje \"Prosti čas, turizem in šport\" za potovanja v prostem času.','TransportAndTravel',NULL,93,4341,5771,'TRANSPORT, POTOVANJE IN MOBILNOST',NULL,366),(6369,'Na primer podatki o tem, koliko ljudje uporabljajo posebne socialne storitve, mnenja o ustreznosti, dostopnosti in razpoložljivosti določenih storitev ter splošno zadovoljstvo z njimi. Na primer vprašanja o tem, katere storitve so uporabili starejši anketiranci ali statistika uporabe določenih storitev.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,4374,5764,'posebne socialne storitve: uporaba in zagotavljanje',NULL,366),(6370,'Podatki o politikah zaposlovanja, ki se nanašajo na delovna razmerja, trg dela ter enakost in diskriminacijo na delovnem mestu; politike na državni ravni vključujejo vpliv na povpraševanje in ponudbo delavcev ter delovanje trgov dela. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,4331,5716,'delovna in zaposlitvena politika',NULL,366),(6371,'Zajema vprašanja uničevanja okolja, onesnaževanja, varstva okolja, podnebnih sprememb, preprečevanja poplav, erozije tal.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,4360,5776,'okolje in varstvo okolja',NULL,366),(6372,'Nanaša se na priložnosti za izobraževanje v različnih oblikah, namenjenih odraslim, po tem ko zapustijo formalni sistem izobraževanja. Odrasli se lahko vključijo v takšna izobraževanja, na primer, da izboljšajo svoje spretnosti ali znanja, da se usposobijo za novo obliko dela ali se naučijo nečesa novega. Ne vključuje izobraževanja, ki vodi do pridobitve kvalifikacij, ali usposabljanja zaposlenih.','Education.LifelongContinuingEducation','Education',14,4363,5765,'vseživljenjsko/stalno izobraževanje',NULL,366),(6374,'Podatki o stopnji zaposlenosti in statistiki zaposlenih, trgu dela, prostih delovnih mestih, iskanju zaposlitve, značilnostih dela, zaposlovanju določenih skupin (npr. zaposlovanje mladih ali manjšin), zavodih za zaposlovanje, karieri. Za plačilo in nadomestilo uporabite vsebinsko področje \"Delovne razmere\".','LabourAndEmployment.Employment','LabourAndEmployment',35,4364,5717,'zaposlovanje',NULL,366),(6375,'Ukrepi, sprejeti za izboljšanje ali ohranjanje podobe posameznikov, podjetij, organizacij in vlad, na primer s pomočjo oglaševanja, lobiranja itd.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,4350,5741,'odnosi z javnostmi',NULL,366),(6376,'','HousingAndLandUse',NULL,30,4387,5774,'BIVALNE RAZMERE IN NAČRTOVANJE RABE PROSTORA',NULL,366),(6377,'Informacijske in komunikacijske tehnologije, ki se uporabljajo na domu, delovnem mestu in drugje v skupnosti. Upoštevajte, da uporabo in vpliv teh tehnologij pokriva vsebinsko področje \"Informacijska družba\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,4375,5742,'informacijska tehnologija',NULL,366),(6378,'Vključuje vse vzorce upokojevanja, kot so \"postopna\" ali \"prilagodljiva\" upokojitev, podatke o upokojitveni starosti in predčasnih upokojitvah.','LabourAndEmployment.Retirement','LabourAndEmployment',38,4372,5792,'upokojevanje',NULL,366),(6379,'Notranja usposabljanja v podjetjih in druga usposabljanja zaposlenih, ki jih financira delodajalec z namenom povečanja spretnosti in kompetenc zaposlenih. Ne vključuje vajeništva, ki je vključeno v \"Poklicno izobraževanje in usposabljanje\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,4385,5756,'usposabljanje zaposlenih',NULL,366),(6380,'Izmenjava kapitala, blaga ali storitev preko mednarodnih meja.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4344,5752,'zunanja trgovina',NULL,366),(6381,'Kakovost in dostopnost storitev, opreme in osebja v zdravstveni oskrbi. Ekonomija zdravstvene oskrbe in politične odločitve ter načela na državni, regionalni ali lokalni ravni glede zdravstvene oskrbe. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Health.HealthCareServicesAndPolicies','Health',20,4335,5737,'storitve in politike zdravstvene oskrbe',NULL,366),(6382,'Pokriva vse vidike kakovosti življenja in blaginje posameznikov in družb ter dojemanje ljudi.\n Upoštevajte, da so glede na obravnavani vidik lahko ustrezna tudi naslednja vsebinska področja: \"Splošno zdravje in dobro počutje\", \"Enakost, neenakost in socialna izključenost\", \"Gospodarske razmere in kazalci\" itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4313,5784,'družbene razmere in kazalci',NULL,366),(6383,'Razprave o politiki in načelih ter odločitvah in načelih, sprejetih na državni, regionalni ali lokalni ravni glede izobraževanja in njegovega zagotavljanja. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Education.EducationalPolicy','Education',12,4317,5747,'izobraževalna politika',NULL,366),(6384,'','Psychology',NULL,61,4315,5749,'PSIHOLOGIJA',NULL,366),(6385,'','LawCrimeAndLegalSystems',NULL,41,4396,5797,'PRAVO, KRIMINAL IN PRAVNI SISTEMI',NULL,366),(6386,'Vključuje priseljevanje, izseljevanje, notranje selitve in druge vrste geografske mobilnosti. Priseljevanje predstavlja naselitev posameznika v državi, ki ni njegova matična država. O izseljevanju govorimo, ko posameznik zapusti matično državo in se naseli v drugi državi. Selitve so krovni izraz za obe obliki. Selitve vključujejo tudi notranje selitve, to je gibanje ljudi znotraj države na različnih geografskih ravneh.','Demography.Migration','Demography',2,4312,5757,'selitve',NULL,366),(6387,'Zdravljenje bolezni ali postopek oziroma postopki za preprečevanje bolezni. Nega bolnikov na individualni ravni. Raziskave o zdravilih in zdravljenju bolezni. Podatki o, na primer, kirurških posegih, rehabilitaciji, posvetovanju z zdravnikom, fizikalni terapiji, kiropraktiki, oskrbi v bolnišnici ali na domu, psihoterapiji, preiskovalnih tehnikah, zdravilih.','Health.MedicationAndTreatment','Health',21,4393,5733,'zdravila in zdravljenje',NULL,366),(6388,'Podatki o volitvah, referendumih, volilnih kampanjah, rezultatih volitev, kandidatih na volitvah, financiranju volitev itd.','Politics.Elections','Politics',56,4397,5725,'volitve',NULL,366),(6389,'Uporabite to vsebinsko področje za raziskave o kmetijski proizvodnji in vseh kmetijskih panogah, ki vključujejo, na primer, ribištvo in gozdarstvo.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,4376,5736,'kmetijstvo in podeželska industrija',NULL,366),(6390,'Podatki o količini časa, ki ga prebivalstvo porabi za različne dejavnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4333,5763,'poraba časa',NULL,366),(6391,'Podatki o oblikovanju identitete, podatki o tem, kaj ljudje mislijo, da so in kam pripadajo. Odnos kulturne in nacionalne identitete do zastopanja in razvrščanje nekoga drugega, ki »ni eden od nas« (drugačenje). Običaji, vedenje in odnosi do identitetnih skupin, ki jih zazanavamo kot lastne oziroma druge.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,4305,5759,'kulturna in nacionalna identiteta',NULL,366),(6392,'','SocialStratificationAndGroupings',NULL,65,4318,5755,'DRUŽBENA SLOJEVITOST IN SKUPINE',NULL,366),(6393,'Raziskave posebnih diagnosticiranih bolezni, motenj ali sindromov (pogosto uvrščenih v ICD-10 ali v starejše različice). Na primer, medicinske raziskave vzrokov sladkorne bolezni ali raziskave o telesnem in duševnem okrevanju posameznikov po operaciji srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,4320,5806,'posebne bolezni, motnje in zdravstvene razmere',NULL,366),(6394,'Morda bo potrebna dodatna tema, če so ostareli proučevani s posebnega vidika.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,4310,5803,'ostareli',NULL,366),(6395,'Pokriva splošno izobraževanje na ravni ISCED 3-4 in terciarno izobraževanje, to je višje srednješolsko izobraževanje, višje šole, univerze uporabnih znanosti in univerzitetno izobraževanje. Vključuje podatke o dijakih/študentih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.HigherAndFurtherEducation','Education',13,4311,5762,'višje in nadaljnje izobraževanje',NULL,366),(6396,'Raziskave nenormalnih anatomskih ali fizioloških razmer ter objektivnih ali subjektivnih pojavnosti bolezni/simptomov, ki niso razvrščeni kot bolezen ali sindrom (v tem primeru bi uporabili izraz \"Posebne bolezni, motnje ali zdravstvene razmere\"). Vključuje klinične pojavnosti, ki so lahko objektivne, če jih opazuje zdravstveni delavec, ali subjektivne, ko jih zazna posameznik sam. Npr. bolečina, driska, izpuščaj, neenakost dolžine nog, nespečnost, škripanje z zobmi, vnetje, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',26,4355,5724,'znaki in simptomi; patološki pogoji',NULL,366),(6397,'Morda bo potrebna dodatna tema, če je mladina proučevana s posebnega vidika.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,4329,5735,'mladina',NULL,366),(6398,'Preprečevanje in nadzor bolezni in invalidnosti ter spodbujanje telesnega in duševnega zdravja prebivalstva na mednarodni, nacionalni, državni ali občinski ravni. Na primer, spodbujanje zdravja, preprečevanje bolezni, vpliv programov javnega zdravja, upravljanje lokalnih, nacionalnih ali globalnih zdravstvenih vprašanj, epidemiologija bolezni ali stanja, patogeni ali izbruh bolezni.','Health.PublicHealth','Health',24,4366,5770,'javno zdravje',NULL,366),(6399,'Obvezno izobraževanje se nanaša na obdobje izobraževanja, ki se zahteva od vseh oseb, ki živijo v državi, in je določeno z zakonom. Predšolska vzgoja se nanaša na formalno varstvo otrok in izobraževanje pred vstopom v obvezno izobraževanje. To vsebinsko področje uporabite za indeksiranje podatkov o predšolskih, osnovnošolskih in nižjih srednješolskih stopnjah izobraževanja, ne glede na to, ali se podatki osredotočajo na učence, učitelje, poučevane predmete ali veščine, opremo itd.','Education.CompulsoryAndPreschoolEducation','Education',11,4346,5729,'obvezno in predšolsko izobraževanje',NULL,366),(6400,'','NaturalEnvironment',NULL,49,4328,5772,'NARAVNO OKOLJE',NULL,366),(6401,'Rekreativne, prostočasne dejavnosti in hobiji. Vključuje spremljanje športov, tekmovalne športe in potovanja v prostem času. Za podatke o vzdrževanju telesne kondicije uporabite vsebinsko področje »Skrb za zdravje«.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,4354,5801,'prosti čas, turizem in šport',NULL,366),(6402,'Notranja in mednarodna varnost; notranji in mednarodni konflikti; vojna in mir; državna obramba in obrambne sile (vojska). Upoštevajte, da policijo pokriva vsebinsko področje \"Kriminal in uveljavljanje zakonov\".','Politics.ConflictSecurityAndPeace','Politics',55,4358,5785,'spori, varnost in mir',NULL,366),(6403,'Podatki o industriji in podjetjih, kot so upravljanje, produktivnost, rast in nazadovanje, organizacijska struktura, uprava, naložbe v raziskave in razvoj, trgi in tržni deleži.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4340,5734,'poslovno/industrijsko upravljanje in organizacija',NULL,366),(6404,'','Education',NULL,10,4357,5728,'IZOBRAŽEVANJE',NULL,366),(6405,'Obolevnost se nanaša na pojav bolezni na populaciji. Podatki lahko pokrivajo stopnjo pojavnosti ali obolevnosti določenega zdravstvenega stanja. Na primer število ljudi, obolelih za pljučnim rakom v državi ali na nekem geografskem območju v določenem letu. Podatki o smrtnosti kažejo število smrti v populaciji glede na kraj, čas, vzrok smrti ali značilnosti posameznika itd. Na primer, smrtnost porodnic, smrtnost otrok. Upoštevajte, da se podatki o boleznih in zdravstvenih stanjih, o katerih posamezniki sami poročajo, indeksirajo znotraj vsebinskega področja v hierarhiji \"ZDRAVJE\".','Demography.MorbidityAndMortality','Demography',3,4388,5769,'obolevnost in smrtnost',NULL,366),(6406,'','LabourAndEmployment',NULL,33,4349,5748,'DELO IN ZAPOSLOVANJE',NULL,366),(6407,'Pokriva vprašanja, povezana z družinami, sorodniki, generacijami in sestavo gospodinjstev. Na primer podatki o vzgoji otrok, delitvi dela v družini, podpori družinskih članov.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4326,5726,'družinsko življenje in zakonska zveza',NULL,366),(6408,'V primeru zgodovinskih podatkov uporabite to področje kot tudi ustrezno vsebinsko področje vaših podatkov. Na primer, \"Delovne razmere\" in \"Storitve in politike zdravstvene oskrbe\" ter ZGODOVINA za podatke o delovnem okolju družinskih zdravnikov v šestdesetih letih prejšnjega stoletja. Glavno področje \"Zgodovina\" se lahko uporablja samostojno samo v primerih, ko ni mogoče najti nobenega drugega primernega vsebinskega področja.','History',NULL,29,4343,5732,'ZGODOVINA',NULL,366),(6409,'Vključuje uporabo in načrtovanje rabe zemljišč. Načrtovanje rabe zemljišč se nanaša na postopke, ki se izvajajo za zagotovitev optimalne in trajnostne rabe zemljiških virov v podeželskih in mestnih skupnostih.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,4324,5782,'načrtovanje in uporaba zemljišč',NULL,366),(6410,'Reproduktivni proces, funkcija ali sistem v kateri koli življenjski dobi. Vključuje podatke o nosečnosti, porodu, načrtovanju družine, kontracepciji in splavu, menopavzi.','Health.ReproductiveHealth','Health',25,4342,5739,'reproduktivno zdravje',NULL,366),(6411,'Spolna identiteta; spolna zastopanost (npr. zastopanje spolov v organih odločanja, v medijih, v literaturi ipd.); socialne, kulturne in psihološke lastnosti, povezane z moškimi in ženskami; ženske študije; moške študije; pričakovano vedenje in izbire glede na spolne vloge in vpliv takšnih pričakovanj.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,4306,5787,'spol in spolne vloge',NULL,366),(6412,'Ideje, ideali in teorije o tem, kako je mogoče organizirati vlade in družbe. Med večje politične ideologije uvrščamo anarhizem, demokracijo, liberalizem, konservativizem itd.','Politics.PoliticalIdeology','Politics',60,4365,5779,'politična ideologija',NULL,366),(6413,'Data om yrkesmässig exponering och ohälsa som uppstår till följd av arbetet, arbetarskydd, sjukskrivningar, arbetsförmåga och -oförmåga eller sjukersättning på grund av arbetsskada.','Health.OccupationalHealth','Health',22,4299,5805,'Arbets- och miljömedicin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',367),(6414,'Data om samhällsförändringar, inklusive attitydförändringar.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,4276,5730,'Social förändring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',367),(6415,'','Education',NULL,10,4253,5728,'UTBILDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',367),(6416,'Internutbildningar och annan fortbildning som arbetsgivaren bekostar för att förbättra de anställdas kunskap och kompetens. Detta inkluderar inte lärlingskap, som ingår i \"Yrkesutbildning och praktik\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,4271,5756,'Vidareutbildning inom arbetet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',367),(6417,'Förhållandet mellan arbetsgivare och anställda.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,4278,5788,'Förhållande/konflikter mellan arbetsmarknadens parter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',367),(6418,'','Politics',NULL,54,4295,5750,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',367),(6419,'','Economics',NULL,4,4218,5758,'EKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',367),(6420,'Omfattar naturlandskap och marker som inte direkt har förändrats av människor.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,4277,5789,'Naturlandskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',367),(6421,'Data om identitetsskapande, hur människor definierar sig och vilka grupper de känner tillhörighet med. Kulturell och nationell identitet i förhållande till representation och klassificering av andra människor som \"inte en av oss\" (andrafiering). Vanor och seder inom ens egen och andras identitetsgrupp, och attityder till desamma.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,4243,5759,'Kulturell och nationell identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',367),(6422,'Data om religiöst utövande, religiös diskriminering, religiösa samfund, andlighet, moralitet och andra värderingar.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,4213,5795,'Religion och värderingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',367),(6423,'','ScienceAndTechnology',NULL,62,4216,5743,'VETENSKAP OCH TEKNOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',367),(6424,'Utbyte av kapital, varor eller tjänster över nationsgränser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,4292,5752,'Utrikeshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',367),(6425,'','Demography',NULL,0,4257,5790,'DEMOGRAFI (POPULATION, VITALSTATISTIK OCH FOLKRÄKNINGAR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',367),(6426,'','SocialStratificationAndGroupings',NULL,65,4256,5755,'SOCIAL STRATIFIERING OCH GRUPPERING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',367),(6427,'Kan behöva ett ytterligare ämne om barn studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,4272,5775,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',367),(6428,'Omfattar alla aspekter av individers och samhällsgruppers livskvalitet och välbefinnande, samt individers uppfattningar av dem. Observera att beroende på vilka aspekter som studeras kan även termer som \"Allmän hälsa och välbefinnande\", \"Jämlikhet, ojämlikhet och socialt utanförskap\" och \"Ekonomiska villkor och indikatorer\" vara relevanta.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,4259,5784,'Sociala förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',367),(6429,'Prevention och kontroll av sjukdomar och funktionsnedsättningar samt främjande av populationens fysiska och mentala hälsa på internationell, nationell, regional eller lokal nivå. Detta gäller till exempel hälsopromotion, sjukdomsprevention, effekter av folkhälsoprogram, hantering av lokala, nationella eller globala hälsoproblem, epidemiologin för en sjukdom, ett tillstånd, en patogen eller ett sjukdomsutbrott.','Health.PublicHealth','Health',24,4261,5770,'Folkhälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',367),(6432,'Data om arbetsmarknadspolitik, till exempel arbetsmarknadsrelationer, arbetsmarknaden, jämställdhet och diskriminering på arbetet. På nationell nivå inkluderar arbetsmarknadspolitik påverkan på tillgång och efterfrågan av arbetskraft och hur väl arbetsmarknaden fungerar. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,4266,5716,'Arbetsmarknads- och sysselsättningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',367),(6433,'','SocialWelfarePolicyAndSystems',NULL,75,4289,5754,'SOCIAL VÄLFÄRDSPOLITIK OCH VÄLFÄRDSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',367),(6434,'Data om alla former av massmedia, till exempel tryckta tidningar och webbtidningar, tidskrifter, tv och radio. Observera att sociala medier indexeras med termen \"Informationssamhället\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,4279,5738,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',367),(6435,'Ämnen som rör samhällseliters förekomst, roller och påverkan. Som elit räknas individer och grupper med stor social, politisk eller ekonomisk makt och möjlighet att påverka, antingen genom direkt beslutsfattande eller genom de idéer och åsikter de uttrycker eller representerar. Här återfinns frågor om inflytelserika personer inom alla samhällsområden, till exempel politiska beslutsfattare, partiledare, inflytelserika artister och framstående personer inom media eller sociala medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,4290,5798,'Eliter och ledarskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',367),(6436,'Data om internationell eller nationell lagstiftning, administrativa föreskrifter, rättssystemet (domstolarnas makt och aktivitet), alternativ tvistlösning och reparativ rättvisa, straff med mera.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,4220,5722,'Lagstiftning och rättssystem','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',367),(6437,'Beslut och principer på nationell, regional eller lokal nivå om välfärd, till exempel hur den ska finansieras och tillhandahållas, vem som har rätt till vilka sociala tjänster, ersättningar och bidrag och vad som berättigar till dem, samt vem som kan erbjuda tjänsterna. Exempel på detta är principer om att äldre ska bo kvar i hemmet så länge som möjligt och regler för hur länge någon är berättigad till arbetslöshetsersättning. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,4270,5727,'Välfärdspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',367),(6438,'Detta gäller olika typer av utbildningsmöjligheter som erbjuds vuxna som har lämnat det formella utbildningssystemet. Vuxna kan delta i den här typen av utbildningar som fortbildning för att till exempel fördjupa sina kunskaper eller förbättra sina kvalifikationer, omskola sig till ett nytt yrkesområde eller för att lära sig något nytt. Kategorin gäller inte generellt för utbildning som leder till nya kvalifikationer eller examina, eller för arbetsmarknadsutbildningar.','Education.LifelongContinuingEducation','Education',14,4296,5765,'Livslångt lärande/vidareutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',367),(6439,'Ämnen som rör huruvida alla individer eller grupper har samma status och möjligheter i samhället. Jämlikhet kan studeras till exempel i termer av utbildning, inkomst eller förmögenhet, form av anställning, makt, status, arbetsförhållanden och fritid, tillgång till samhällstjänster och sociala relationer. Marginalisering och socialt utanförskap kan resultera från systemiska nackdelar inom flera områden, och drabbade personer kan ha sämre rättigheter, möjligheter, resurser och social integration. Exempel på data: statistik över inkomstfördelning, upplevd diskriminering av en grupp (t.ex. gentemot invandrare, hemlösa, asylsökande), upplevda skillnader mellan män och kvinnor vad gäller möjligheter till ledande politiska roller, och hur föräldrars arbetslöshet påverkar barns utbildningsnivå och sociala nätverk.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,4219,5720,'Jämlikhet, ojämlikhet och socialt utanförskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',367),(6440,'Använd en lämplig ämnesterm för historiska data samt huvudtermen, till exempel \"Arbetsförhållanden\" och \"Hälso- och sjukvårdstjänster och -politik\" plus HISTORIA för data om arbetsförhållanden för husläkare på 1960-talet. Huvudtermen HISTORIA ska användas ensam enbart då det inte finns någon ämnesterm.','History',NULL,29,4214,5732,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',367),(6441,'Omfattar problem med miljöförstörelse, föroreningar, miljöskydd, klimatförändringar, förebyggande åtgärder mot översvämningar och jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,4301,5776,'Miljö och naturvård','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',367),(6442,'Grupper av personer som på något sätt skiljer sig från majoriteten av populationen. Olika egenskaper är till exempel etnicitet, ras, religion, hälsa, sexuell läggning, förstaspråk (modersmål) och kultur. Observera att du även kan använda termerna \"Jämlikhet, ojämlikhet och socialt utanförskap\" eller \"Språk och lingvistik\" i samband med minoritetsfrågor.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,4288,5760,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',367),(6443,'Åtgärder för att förbättra eller bevara personers, organisationers och regeringars framtoning och image, till exempel genom annonser och lobbyverksamhet.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,4241,5741,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',367),(6444,'Diskussioner kring utbildningspolitik och -principer samt beslut kring och principer för utbildning och anordnade av utbildning på nationell, regional eller lokal nivå. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Education.EducationalPolicy','Education',12,4223,5747,'Utbildningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',367),(6445,'Använd om ämnet är känt men saknas i listan.','Other',NULL,94,4274,5781,'ÖVRIGT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',367),(6446,'Omfattar allmän utbildning på ISCED-nivå 3 och 4 samt högre utbildning, det vill säga gymnasial utbildning, eftergymnasial utbildning och utbildning på högskolenivå. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.HigherAndFurtherEducation','Education',13,4248,5762,'Gymnasial och högre utbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',367),(6447,'Att skapa, sprida, använda, integrera och manipulera information som en betydande ekonomisk, politisk och kulturell aktivitet. Till exempel data om e-handel, e-förvaltning, sociala medier, mobila enheter, tillgång till och användning av Internet, \"e-privacy\" (integritet och telekommunikation), biblioteks- och informationstjänster. Använd \"Informationsteknik\" när det gäller den faktiska tekniken.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,4269,5751,'Informationssamhället','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',367),(6448,'Fritidsmönster, fritidsaktiviteter och hobbyer. Exempel på detta är att titta på sport, tävlingsidrott och fritidsresor. Data om träning för att hålla sig i form ingår i \"Hälsobeteende\".','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,4230,5801,'Fritid, turism och sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',367),(6449,'Sjukdomsbehandlingar eller sjukdomsförebyggande åtgärder. Patientomsorg på individnivå. Forskning om medicinering och behandling av sjukdomar. Data om till exempel kirurgiska ingrepp, rehabilitering, läkarkonsultationer, sjukgymnastik, muskuloskeletala manipulationer, sjukhus- eller hemvård, psykoterapi, utredningsmetoder och medicinering.','Health.MedicationAndTreatment','Health',21,4254,5733,'Medicinering och behandlingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',367),(6450,'','MediaCommunicationAndLanguage',NULL,44,4280,5799,'MEDIA, KOMMUNIKATION OCH SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',367),(6451,'Individers, familjers eller gruppers sociala rörlighet och yrkesrörlighet över tid. Rörelsen kan vara horisontell, det vill säga förändringar i position på samma statusnivå, eller vertikal, där individer rör sig uppåt eller nedåt i status. Exempel på detta är hur anställda inom krisbranscher kan anställas inom en annan bransch (horisontell yrkesrörlighet) eller hur barn i låginkomsttagarfamiljer kan nå en högre socialgrupp än sina föräldrar (vertikal intergenerationell social rörlighet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,4255,5791,'Social och yrkesmässig rörlighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',367),(6452,'Ämnen som rör det faktiska tillhandahållandet av välfärd, vem som erbjuder välfärdstjänster och i vilken omfattning, samt hur tjänsterna är utformade. Exempel på detta är frågor kring hur kommuner organiserar tjänster för äldre personer.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,4233,5778,'Sociala välfärdssystem/-strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',367),(6453,'Omfattar tamboskap, kött- och mjölkdjur och vilda djur, samt alla typer av växter (t.ex. blommor, träd, mossor och grönsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,4245,5766,'Växter och djur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',367),(6454,'Data om attityder till partipolitik, politiskt engagemang och deltagande i de politiska processerna, väljarbeteenden, nöjdhet med regeringen. Använd \"Politisk ideologi\" för data om specifika partiprogram.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,4300,5780,'Politiska beteenden och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',367),(6455,'Data om hur mycket tid den studerade populationen lägger på olika aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,4249,5763,'Tidsanvändning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',367),(6456,'Studier om individers, gruppers eller en populations allmänna hälsa eller hälsostatus. Detta kan gälla objektiva mätningar/observationer eller självskattningar. Välbefinnande inkluderar bland annat fysisk och mental kapacitet eller hälsotillstånd, samt social hälsa.','Health.GeneralHealthAndWellbeing','Health',19,4268,5777,'Allmän hälsa och välbefinnande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',367),(6457,'Data om brottslighet, brottsförebyggande åtgärder, brottsoffer, brottslingar, samt polisen, säkerhetspolisen, kriminalvårdens anstalter (t.ex. fängelser och sluten ungdomsvård), gränskontroll och tullverksamhet. Här ingår även data om dessa myndigheters personal och anläggningar.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,4237,5800,'Kriminalitet och rättstillämpning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',367),(6458,'Kvalitet på och utbud av tjänster, inrättningar och personal inom hälso- och sjukvård; hälso- och sjukvårdsekonomi samt policybeslut och principer för hälso- och sjukvård på nationell, regional och lokal nivå. Använd \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Health.HealthCareServicesAndPolicies','Health',20,4282,5737,'Hälso- och sjukvårdstjänster och -politik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',367),(6459,'Inkluderar både markanvändning och planering av markanvändning. Planering av markanvändning syftar på processer för att säkerställa en effektiv och hållbar användning av markresurser på landsbygd och i stadsområden.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,4221,5782,'Markanvändning och planering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',367),(6460,'Data om sysselsättningsgrad och -statistik, arbetsmarknaden, lediga jobb, jobbsökande, arbetsförmåga, sysselsättning av särskilda grupper (t.ex. ungdomar eller personer ur minoritetsgrupper), arbetsförmedlingen och karriär. Använd \"Arbetsförhållanden\" om det gäller löner och arvoden.','LabourAndEmployment.Employment','LabourAndEmployment',35,4262,5717,'Sysselsättning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',367),(6461,'','TradeIndustryAndMarkets',NULL,89,4252,5721,'HANDEL, INDUSTRI OCH MARKNADER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',367),(6462,'Data om sociala beteenden, sociala interaktioner och nätverk, samhällsansvar, sociala normer och regler, samt attityder till dessa ämnen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,4232,5768,'Socialt beteende och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',367),(6463,'Data om företag och branscher, exempelvis ledning, produktivitet, tillväxt och nedgång, organisationsstruktur, administration, investeringar i forskning och utveckling, marknader och marknadsandelar.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,4293,5734,'Företags-/industriledning och organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',367),(6464,'Använd den här kategorin för studier om jordbruksproduktion och alla landsbygdsnäringar, till exempel fiskodlingar och skogsbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,4297,5736,'Jordbruk och landsbygdsnäring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',367),(6465,'Tillämpning av biomolekylära och cellulära processer för att skapa nya produkter och tekniska processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,4287,5807,'Bioteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',367),(6466,'Sår eller skador, både fysiska och psykiska, som orsakats genom olyckor eller våld (aggressiva beteenden från individer eller grupper av personer). Om det är sår och skador som har åsamkats i arbetet ska \"Arbets- och miljömedicin\" användas.','Health.WoundsAndInjuries','Health',28,4284,5802,'Sår och skador','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',367),(6467,'Data om val, folkomröstningar, valkampanjer, valresultat, valkandidater, valkompasser, kampanjbidrag osv.','Politics.Elections','Politics',56,4285,5725,'Val','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',367),(6469,'','Psychology',NULL,61,4235,5749,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',367),(6470,'','HousingAndLandUse',NULL,30,4239,5774,'BOSTÄDER OCH MARKANVÄNDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',367),(6471,'Data om olika aspekter av samhällsliv eller livet i stad och på landsbygd. Åsikter om och bilden av ens omgivning eller om städer och landsbygd. Service, infrastruktur och affärsmöjligheter i ens omgivning.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,4294,5786,'Lokalsamhälle, stads- och landsbygdsliv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',367),(6472,'Idéer, tankar och teorier om hur regeringar och samhällen kan organiseras. Stora politiska ideologier är till exempel anarki, demokrati, liberalism och konservatism.','Politics.PoliticalIdeology','Politics',60,4265,5779,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',367),(6473,'Ekonomiska indikatorer anger i vilken riktning en ekonomi utvecklas och inkluderar bland annat BNP-tillväxttakt, sysselsättning, inflation och räntenivå, konsument- och investeringsaktivitet, hushållens skulder. Denna kategori används även för de undersökta eller registrerade individernas och hushållens ekonomiska förhållanden.','Economics.EconomicConditionsAndIndicators','Economics',6,4281,5793,'Ekonomiska förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',367),(6474,'','NaturalEnvironment',NULL,49,4302,5772,'NATUR OCH MILJÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',367),(6475,'Inkluderar alla typer av varutransporter samt pendlande, kollektivtrafik (tåg, bussar, tunnelbana osv.) och urbana transportnätverk. Data om rörelsemönster, till exempel gränshandel, resvägar och resesätt till olika destinationer. Använd termen \"Fritid, turism och sport\" för nöjesresor.','TransportAndTravel',NULL,93,4264,5771,'TRANSPORT OCH RESOR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',367),(6476,'Program som är utformade för att ge studenterna kunskaper, färdigheter och kompetens som är specifika för ett visst yrke, en viss yrkesgrupp eller bransch. Yrkesutbildning kan innehålla inslag av praktik på arbetsplatser. Den här kategorin omfattar utbildningar på ISCED-nivå 2–4, kvalificerade yrkesutbildningar och lärlingskap. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.VocationalEducationAndTraining','Education',15,4231,5745,'Yrkesutbildning och praktik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',367),(6477,'Könsidentitet; könad representation (t.ex. hur kön och genus representeras i beslutsfattande organ, media och litteratur); sociala, kulturella och psykologiska egenskaper som kopplas till kvinnor respektive män; kvinnoforskning; mansforskning; könsrollers förväntade beteenden och val och effekterna av sådana förväntningar.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,4267,5787,'Kön och könsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',367),(6478,'','SocietyAndCulture',NULL,79,4304,5761,'SAMHÄLLE OCH KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',367),(6479,'Obligatorisk utbildning är den utbildningsperiod då det enligt lag råder skolplikt för alla personer som bor i ett land. Förskoleutbildning syftar på formell barnomsorg och utbildning som ges före den obligatoriska skolgången. Använd den här termen för att indexera data om förskola och grundskola, oavsett om data gäller elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.CompulsoryAndPreschoolEducation','Education',11,4238,5729,'Obligatorisk utbildning och förskoleutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',367),(6480,'Morbiditet beskriver antal sjukdomsfall eller skadefrekvensen i en population. Data kan gälla incidensen eller morbiditetstalet för ett medicinskt tillstånd, t.ex. antal personer med lungcancer i ett land eller ett geografiskt område under ett år. Mortalitet beskriver antal dödsfall i en population, mätt efter plats, tid, orsak, typ av person och så vidare, t.ex. mödradödlighet och barnadödlighet. Observera att egenrapporterade enkätdata om sjukdomar och medicinska tillstånd indexeras med termer i hierarkin HÄLSA.','Demography.MorbidityAndMortality','Demography',3,4283,5769,'Morbiditet och mortalitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',367),(6481,'Anställdas arbetsförhållanden, till exempel olika former av anställningar, arbetstid (arbetstimmar, raster, skift, arbetsscheman, övertid), lön och arvodering, ett arbetes fysiska aspekter och mentala krav, anställdas rättigheter och ansvar, arbetsbelastning, anställdas delaktighet i beslutsfattande, rätten till olika typer av ledighet, fysisk arbetsmiljö. Frågor om arbetsplatssäkerhet ingår även i \"Arbets- och miljömedicin\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,4225,5767,'Arbetsförhållanden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',367),(6482,'Studier om abnorma anatomiska eller fysiologiska tillstånd samt objektiva eller subjektiva manifestationer av sjukdomar/symtom som inte klassificeras som sjukdomar eller syndrom (i så fall används \"Specifika sjukdomar, störningar och medicinska tillstånd\"). Detta gäller kliniska manifestationer som kan vara objektiva när de observeras av hälso- och sjukvårdspersonal eller subjektiva när de gäller patientens upplevelse. Exempel på detta är smärta, diarré, klåda, olika benlängd, sömnsvårigheter, tandgnisslan, inflammationer och arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,4229,5724,'Tecken och symtom; patologiska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',367),(6483,'Till exempel data om i vilken omfattning människor använder specifika sociala tjänster, åsikter om hur väl tjänsterna tillgodoser människors behov, tjänsternas tillgänglighet och hur nöjda människor är med dem. Till exempel frågor om vilka tjänster som äldre intervjupersoner har använt eller användningsstatistik för vissa tjänster.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,4273,5764,'Specifika sociala tjänster: användning och tillgänglighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',367),(6484,'Kan behöva ett ytterligare ämne om äldre studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,4247,5803,'Äldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',367),(6485,'Data om arbetslöshetsgrad och -statistik, arbetsmarknadsprogram och arbetsmarknadspolitiska åtgärder, arbetslöshetens varaktighet och arbetslöshetsfrekvens, sociala och psykologiska effekter av arbetslöshet osv.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,4236,5753,'Arbetslöshet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',367),(6486,'Naturresurser är tillgångar som till exempel land, skog, energikällor, vatten och mineraler som är naturligt förekommande och kan användas för ekonomisk produktion eller konsumtion. Energiresurser omfattar både fossila bränslen som olja, naturgas eller kol, och sol-, tidvatten- vind- och kärnkraft samt biomassa från levande organismer som kan ersättas efter avverkning.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,4298,5740,'Energi och naturresurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',367),(6487,'','Health',NULL,16,4224,5804,'HÄLSA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',367),(6489,'Omfattar alla typer av pensionsmönster, till exempel flexibel pension, data om pensionsålder och förtidspension.','LabourAndEmployment.Retirement','LabourAndEmployment',38,4217,5792,'Pension','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',367),(6490,'Anskaffning och/eller användning av något som tillgodoser en persons, en grupps eller ett samhälles behov och önskemål. Data i den här kategorin inkluderar konsumtionsmönster, förändringar av konsumtionsmönster och studier av konsumtionsetik. Till exempel undersökningsdata om hur ofta människor köper vissa produkter, när och var de handlar och huruvida etiska överväganden påverkar deras konsumtionsval.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,4228,5773,'Konsumtion och konsumentbeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',367),(6491,'Aktivt eller passivt deltagande i alla typer av kulturella aktiviteter, samt åsikter om och uppfattningar av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,4227,5746,'Kulturaktiviteter och deltagande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',367),(6492,'Nationell och internationell säkerhet, nationella och internationella konflikter, krig och fred, nationellt försvar och försvarsmakten (armén). Observera att polisen ingår i \"Kriminalitet och rättstillämpning\".','Politics.ConflictSecurityAndPeace','Politics',55,4244,5785,'Konflikter, säkerhet och fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',367),(6493,'','LawCrimeAndLegalSystems',NULL,41,4251,5797,'LAG, BROTTSLIGHET OCH RÄTTSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',367),(6494,'Informations- och kommunikationsteknik som används i hemmet, på arbetet och i andra samhällssammanhang. Observera att användningen och effekterna av den här tekniken ingår i \"Informationssamhället\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,4250,5742,'Informationsteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',367),(6495,'Globala beslutsprocesser, diplomati, utrikespolitik, mellanstatliga relationer, internationella organisationer (t.ex. EU, WHO, FN, WTO) och internationella avtal, konventioner och överenskommelser.','Politics.InternationalPoliticsAndOrganisations','Politics',58,4246,5718,'Internationell politik och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',367),(6496,'Inkluderar studier som mäter boendestandard i ett samhälle, inklusive subventionerat boende, och tillgången på bostäder och boendekostnad. Till bostäder räknas hem, fritidshus och sommarstugor.','HousingAndLandUse.Housing','HousingAndLandUse',31,4215,5719,'Bostäder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',367),(6497,'Kan behöva ett ytterligare ämne om ungdomar studeras från ett särskilt perspektiv.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,4212,5735,'Ungdomar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',367),(6498,'Ämnen som rör familj, släktingar, generationer och hushållens sammansättning. Till exempel data om barnuppfostran, arbetsfördelning i familjen och stöd till familjemedlemmar.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,4260,5726,'Familjeliv och äktenskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',367),(6499,'Används för studier om kapitalism, socialism och andra ekonomiska system samt vid studier om till exempel internationella utvecklingsprogram.','Economics.EconomicSystemsAndDevelopment','Economics',8,4234,5794,'Ekonomiska system och ekonomisk utveckling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',367),(6500,'Processer, funktioner eller system för fortplantning inom alla livsstadier. Detta omfattar data om graviditet, födsel, familjeplanering, preventivmedel, aborter och klimakteriet.','Health.ReproductiveHealth','Health',25,4291,5739,'Fortplantningshälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',367),(6501,'Data om lingvistikstudier, lingvistiska analyser och sociolingvistik samt data om språkpolicyer, människors språkkunskaper, vilka språk som talas på arbetsplatsen och i hemmet, attityder gentemot minoritetsspråk osv.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,4258,5796,'Språk och lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',367),(6502,'Inkluderar immigration, emigration, intern migration samt andra typer av geografisk rörlighet. Immigration (invandring) innebär att bosätta sig i ett annat land än sitt hemland. Emigration (utvandring) innebär att lämna sitt hemland för att bosätta sig i ett annat land. Migration används som ett paraplybegrepp för båda förflyttningarna. Migration omfattar även intern migration, det vill säga geografiska folkförflyttningar inom ett land.','Demography.Migration','Demography',2,4275,5757,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',367),(6503,'','LabourAndEmployment',NULL,33,4263,5748,'ARBETE OCH SYSSELSÄTTNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',367),(6504,'Studier om specifika, diagnosticerade sjukdomar, störningar eller syndrom (som oftast finns klassificerade i ICD-10 eller tidigare versioner av manualen). Till exempel medicinsk forskning på orsaker till diabetes eller studier av hur personer återhämtar sig fysiskt och psykiskt efter en hjärtoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,4222,5806,'Specifika sjukdomar, störningar och medicinska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',367),(6531,'','Demography',NULL,0,NULL,5790,'DEMOGRAFIA (POPULAÇÃO, ESTATÍSTICAS DEMOGRÁFICAS E CENSOS)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',370),(6533,'Inclui imigração, emigração, migração interna, assim como outros tipos de mobilidade geográfica. Imigração significa fixar-se num outro país que não o de origem. Emigração significa deixar o país de origem para se fixar noutro país. Migração é um termo comum para ambas. Migração inclui ainda a migração interna, que se constitui como o movimento de pessoas dentro de um mesmo país em diferentes níveis geográficos.','Demography.Migration','Demography',2,NULL,5757,'Migração','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',370),(6534,'Morbilidade refere-se à incidência de doenças na população. Os dados poderão referir-se à incidência ou à taxa de morbilidade de uma condição médica. Por exemplo, o número de pessoas que sofrem de cancro de pulmão num país ou numa área geográfica durante um ano. Os dados em relação à mortalidade indicam o número de mortes na população por local, tempo, causa ou tipo de indivíduo, etc. Por exemplo, taxa de mortalidade materna, taxa de mortalidade infantil. Nota: os dados derivados de inquéritos autoadministrados sobre doenças ou condições médicas são indexados aos termos da hierarquia de SAÚDE.','Demography.MorbidityAndMortality','Demography',3,NULL,5769,'Morbilidade e Mortalidade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',370),(6535,'','Economics',NULL,4,NULL,5758,'ECONOMIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',370),(6536,'Refere-se ao ato de adquirir e/ou usar algo para atender às necessidades e desejos de uma pessoa, comunidade ou sociedade. Os dados nesta categoria incluem padrões de comportamento do consumidor, mudanças nesses padrões e estudos sobre ética do consumidor. Por exemplo, dados de inquéritos sobre a frequência com que as pessoas compram determinados bens; quando e onde compram; se considerações éticas afetam as suas escolhas de consumo.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,NULL,5773,'Consumo e comportamento dos consumidores','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',370),(6537,'Os indicadores económicos indicam a direção da economia e incluem, por exemplo, a taxa de crescimento do PIB, o emprego, a inflação e a taxa de juro, a atividade dos consumidores e dos investidores, a dívida das famílias. Isto é também usado para as condições económicas dos indivíduos e das famílias que são inquiridos ou registados.','Economics.EconomicConditionsAndIndicators','Economics',6,NULL,5793,'Condições económicas e indicadores','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',370),(6539,'Usar para estudos que pesquisem sistemas capitalistas, socialistas e outros sistemas económicos e para estudos, por exemplo, sobre programas de desenvolvimento internacional.','Economics.EconomicSystemsAndDevelopment','Economics',8,NULL,5794,'Sistemas económicos e desenvolvimento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',370),(6541,'','Education',NULL,10,NULL,5728,'EDUCAÇÃO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',370),(6542,'Escolaridade obrigatória refere-se ao período de educação exigido a todas as pessoas que vivem num país e é determinado por lei. Educação pré-escolar refere-se a creches e à educação formal anterior à escolaridade obrigatória. Usar este termo para indexar dados relativos ao ensino pré-escolar, básico e secundário, independentemente de os dados se referirem a alunos, professores, disciplinas ou competências ministradas, instalações, etc.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,5729,'Escolaridade obrigatória e educação pré-escolar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',370),(6543,'Discussões sobre políticas e princípios, decisões tomadas e princípios adotados a nível nacional, regional ou local, relativamente ao ensino e à sua implementação. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','Education.EducationalPolicy','Education',12,NULL,5747,'Políticas educativas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',370),(6544,'Abrange o ensino acima do nível ISCED 3 (Classificação Internacional Normalizada da Educação, do inglês \'International Standard Classification of Education\'), ou seja, todo o ensino pós-secundário não superior, o ensino universitário e o ensino politécnico. Inclui dados sobre alunos, professores, disciplinas ou competências ministradas, etc.','Education.HigherAndFurtherEducation','Education',13,NULL,5762,'Ensino pós-secundário e superior','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',370),(6545,'Refere-se a oportunidades educacionais sob várias formas proporcionadas a adultos, após terem abandonado o sistema de educação formal. Os adultos podem envolver-se neste tipo de educação, por exemplo, para melhorarem as suas competências ou qualificações, para se adaptarem a um novo posto de trabalho ou apenas para aprenderem algo novo. Geralmente não inclui a educação que leve a uma qualificação ou à formação de trabalhadores.','Education.LifelongContinuingEducation','Education',14,NULL,5765,'Educação ao longo da vida / educação contínua','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',370),(6546,'Programas pensados para que os alunos adquiram os conhecimentos, habilidades e competências específicas de uma determinada ocupação, profissão ou classe de ocupações ou profissões. A formação profissional pode ter componentes práticas baseadas no trabalho. Abrange o ensino profissional nos níveis 3-4 do ISCED e estágios. Inclui dados sobre alunos, professores, disciplinas ou conhecimentos ministrados, instalações, etc.','Education.VocationalEducationAndTraining','Education',15,NULL,5745,'Educação e formação profissional','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',370),(6547,'','Health',NULL,16,NULL,5804,'SAÚDE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',370),(6548,'Processos de nutrição, padrões e práticas alimentares e parâmetros mensuráveis de nutrição, como índice de massa corporal (IMC), peso ou nível de vitaminas.','Health.DietAndNutrition','Health',17,NULL,5810,'Regime alimentar e nutrição','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',370),(6550,'Estudo sobre o bem-estar geral ou a condição de saúde de um indivíduo, grupo ou população. Pode ser objetivamente medido/observado ou autopercepcionado. O bem-estar inclui, nomeadamente, a condição ou o estado físico e mental, bem como a condição social.','Health.GeneralHealthAndWellbeing','Health',19,NULL,5777,'Saúde e bem-estar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',370),(6551,'Qualidade e acessibilidade dos serviços, equipamentos e pessoal associados aos cuidados de saúde. Economia dos cuidados de saúde e decisões e princípios políticos a nível nacional, regional ou local, em matéria de cuidados de saúde. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','Health.HealthCareServicesAndPolicies','Health',20,NULL,5737,'Serviços de saúde e políticas de saúde','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',370),(6552,'Tratamento da doença ou procedimento(s) de prevenção. Cuidados ao paciente a um nível individual. Investigação sobre medicação e tratamento de uma doença. Dados sobre, por exemplo, procedimentos cirúrgicos, reabilitação, consultas médicas, fisioterapia, manipulações musculoesqueléticas, cuidados no hospital ou em casa, psicoterapia, técnicas de investigação, medicação.','Health.MedicationAndTreatment','Health',21,NULL,5733,'Medicação e tratamento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',370),(6553,'Dados sobre doenças ocupacionais, segurança ocupacional, licença por doença (baixa médica), capacidade e incapacidade para o trabalho, ou pensão por invalidez/ por incapacidade permanente para o trabalho.','Health.OccupationalHealth','Health',22,NULL,5805,'Saúde ocupacional','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',370),(6554,'Dados sobre o nível geral de forma física dos indivíduos e sobre o exercício físico e as atividades que praticam.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Exercício físico','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',370),(6555,'Prevenção e controlo de doenças e incapacidades, e a promoção da saúde física e mental da população ao nível local, nacional e internacional. Por exemplo: promoção da saúde; prevenção de doenças; impacto dos programas de saúde pública; gestão de questões de saúde a nível local, nacional ou global; epidemiologia de uma doença, condição, patologia ou surto de doença.','Health.PublicHealth','Health',24,NULL,5770,'Saúde pública','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',370),(6556,'Processo, função ou sistema reprodutivo em qualquer fase da vida. Inclui dados sobre gravidez, nascimento, planeamento familiar, contracepção, aborto, menopausa.','Health.ReproductiveHealth','Health',25,NULL,5739,'Saúde reprodutiva','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',370),(6557,'Estudo sobre condições anatómicas ou fisiológicas anómalas e manifestações objetivas ou subjetivas de doença/sintomas não classificadas como doença ou síndrome (neste caso seria usado \'Doenças, perturbações e condições médicas\'). Inclui manifestações clínicas que podem ser objetivas quando observadas por um profissional de saúde ou subjetivas quando percebidas pelo paciente. Por exemplo, dor, diarreia, erupção cutânea, desigualdade no comprimento das pernas, insónia, dor de dentes, inflamação, arritmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,NULL,5724,'Sinais e sintomas; condições patológicas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',370),(6558,'Estudo sobre doenças, perturbações ou síndromes específicas diagnosticadas (frequentemente classificadas na CID-10 ou nas suas versões anteriores). Por exemplo, investigação médica sobre as causas da diabetes ou estudos sobre a recuperação física e mental de pessoas submetidas a cirurgia cardíaca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,NULL,5806,'Doenças, perturbações e condições médicas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',370),(6559,'Feridas e lesões, tanto físicas como psicológicas, causadas por acidentes ou violência (através de comportamento agressivo individual ou grupal). Se as feridas ou lesões estiverem relacionadas com o trabalho, usar \'Saúde ocupacional\'.','Health.WoundsAndInjuries','Health',28,NULL,5802,'Feridas e lesões','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',370),(6560,'Usar o termo apropriado para dados históricos, bem como este termo principal. Por exemplo, \'Condições de trabalho\' e \'Serviços de saúde e políticas de saúde\' mais HISTÓRIA para dados sobre as condições de trabalho dos médicos de família nos anos 60. O termo principal \'HISTÓRIA\' deve ser usado sozinho apenas nos casos em que nenhum outro termo (dos tópicos) possa ser usado.','History',NULL,29,NULL,5732,'HISTÓRIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',370),(6561,'','HousingAndLandUse',NULL,30,NULL,5774,'HABITAÇÃO E USO DO SOLO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',370),(6562,'Inclui estudos que medem o padrão de habitação numa comunidade, incluindo a habitação social, bem como a disponibilidade e os preços da habitação. Habitação inclui casas, segundas residências e casas de férias.','HousingAndLandUse.Housing','HousingAndLandUse',31,NULL,5719,'Habitação','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',370),(6563,'Inclui o uso do solo e o ordenamento do território. O ordenamento do território refere-se aos procedimentos realizados para garantir um uso ótimo e sustentável dos recursos territoriais nas comunidades rurais e urbanas.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,NULL,5782,'Planeamento e uso do solo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',370),(6564,'','LabourAndEmployment',NULL,33,NULL,5748,'TRABALHO E EMPREGO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',370),(6565,'Formação interna nas empresas e outras formações de colaboradores financiadas pelo empregador para aumentar as capacidades e as competências dos funcionários. Não inclui estágios, que estão incluídos em \'Educação e formação profissional\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,NULL,5756,'Formação interna','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',370),(6566,'Dados sobre a taxa e outras estatísticas de emprego, mercado de trabalho, ofertas de emprego, procura de emprego, características do posto de trabalho, emprego de determinados grupos (por exemplo, emprego de jovens ou de minorias), serviços de emprego, carreira. Para salário e remuneração usar \'Condições de trabalho\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,NULL,5717,'Emprego','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',370),(6567,'Dados sobre políticas de emprego relacionadas com relações de emprego, mercado de trabalho e igualdade e discriminação no trabalho; a nível nacional, as políticas incluem a influência da procura e da oferta de trabalho e o funcionamento dos mercados de trabalho. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,NULL,5716,'Políticas de trabalho e de emprego','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',370),(6568,'Relações entre empregadores e empregados.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,NULL,5788,'Relações/conflitos de trabalho','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',370),(6569,'Inclui todos os tipos de reforma, como a reforma \'faseada\' ou \'flexível\', dados sobre a idade de reforma e a reforma antecipada.','LabourAndEmployment.Retirement','LabourAndEmployment',38,NULL,5792,'Reforma','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',370),(6570,'Dados sobre a taxa e outras estatísticas de desemprego, programas e iniciativas de emprego, duração e frequência do desemprego, impacto social e psicológico do desemprego, etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,NULL,5753,'Desemprego','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',370),(6571,'As condições sob as quais os colaboradores trabalham. Por exemplo, tipos de contrato, tempo de trabalho (horas de trabalho, períodos de descanso, horários, horas extras), salário e remuneração, aspetos físicos e mentais do trabalho, direitos e responsabilidades dos colaboradores, carga de trabalho, envolvimento do trabalhador na tomada de decisões, licenças, ambiente físico. Para questões de segurança no trabalho, usar também \'Saúde ocupacional\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,NULL,5767,'Condições de trabalho','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',370),(6572,'','LawCrimeAndLegalSystems',NULL,41,NULL,5797,'LEI, CRIME E SISTEMAS LEGAIS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',370),(6573,'Dados sobre crime, prevenção do crime, vítimas de crime, infractores, bem como polícia, serviços secretos, instituições corretivas (por exemplo, prisões, instituições tutelares de menores), controlo de fronteiras e alfândega. Também inclui dados sobre os funcionários e as instalações dessas instituições.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,NULL,5800,'Crime e aplicação da lei','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',370),(6574,'Dados sobre legislação internacional ou nacional, regulamentos administrativos, sistema judiciário (poderes e atividades dos tribunais), resolução alternativa de litígios e justiça restaurativa, sanções criminais.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,NULL,5722,'Legistação e sistemas legais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',370),(6575,'','MediaCommunicationAndLanguage',NULL,44,NULL,5799,'MEDIA, COMUNICAÇÃO E LINGUAGEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',370),(6576,'A criação, distribuição, uso, integração e manipulação de informações, como uma atividade económica, política e cultural significativa. Por exemplo, dados relacionados com e-commerce, governo eletrónico, media sociais, dispositivos móveis, acesso e uso da Internet, privacidade digital, recursos informacionais e bibliotecários. Usar \'Tecnologia da Informação\' ao falar sobre as tecnologias propriamente ditas.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,5751,'Sociedade da Informação','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',370),(6577,'Dados que incluem estudos linguísticos, análise linguística e sociolinguística, bem como dados sobre políticas linguísticas, competências linguísticas dos indivíduos, línguas faladas no trabalho e em casa, atitudes em relação a idiomas minoritários, etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,5796,'Linguagem e linguística','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',370),(6578,'Dados referentes a qualquer tipo de meios de comunicação social. Por exemplo, jornais impressos ou online, revistas, televisão e rádio. De notar que os media sociais são indexados com o termo \'Sociedade da Informação\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,5738,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',370),(6579,'Medidas adotadas para melhorar ou preservar a imagem de indivíduos, empresas, organizações e governos, por exemplo, através de meios de publicidade, grupos de representação de interesses (\'lobbying\'), etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,5741,'Relações públicas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',370),(6580,'','NaturalEnvironment',NULL,49,NULL,5772,'AMBIENTE NATURAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',370),(6581,'Os recursos naturais são ativos, que existem naturalmente, como terra, florestas, fontes de energia, água, minerais e podem ser usados para produção económica ou consumo. Os recursos energéticos incluem combustíveis fósseis como petróleo, gás natural ou carvão, bem como energia nuclear e energias renováveis, como a solar, a eólica, a das marés e de biomassa.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,NULL,5740,'Energia e recursos naturais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',370),(6582,'Abrange questões sobre degradação ambiental, poluição, proteção ambiental, alterações climáticas, prevenção de cheias, erosão do solo.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,NULL,5776,'Ambiente e conservação','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',370),(6583,'Inclui paisagens e elementos da natureza que não foram diretamente alterados por seres humanos.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,NULL,5789,'Paisagens naturais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',370),(6584,'Abrange animais domésticos, de produção e selvagens, assim como todos os tipos de plantas (por exemplo, flores, árvores, musgo, vegetais).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,NULL,5766,'Plantas e animais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',370),(6585,'','Politics',NULL,54,NULL,5750,'POLÍTICA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',370),(6586,'Segurança e proteção interna e internacional; conflitos internos e internacionais; guerra e paz; defesa nacional e forças armadas (o exército). De notar que a polícia é indexada por \'Crime e aplicação da lei\'.','Politics.ConflictSecurityAndPeace','Politics',55,NULL,5785,'Conflito, segurança e paz','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',370),(6587,'Dados sobre eleições, referendos, campanhas eleitorais, resultados eleitorais, candidatos, eleitores, financiamento de eleições, etc.','Politics.Elections','Politics',56,NULL,5725,'Eleições','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',370),(6589,'Dados sobre atitudes políticas partidárias, envolvimento político e participação no processo político, comportamento eleitoral, satisfação com o governo. Usar \'Ideologia política\' para dados sobre doutrinas específicas.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,NULL,5780,'Comportamento e atitudes políticas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',370),(6590,'Ideias, ideais e teorias sobre as formas de organização dos governos e das sociedades. As principais ideologias políticas incluem anarquismo, democracia, liberalismo, conservadorismo, etc.','Politics.PoliticalIdeology','Politics',60,NULL,5779,'Ideologia política','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',370),(6591,'Governança global, diplomacia, política externa, relações entre países, organizações internacionais (por exemplo, UE, OMS, ONU, OMC) e acordos internacionais.','Politics.InternationalPoliticsAndOrganisations','Politics',58,NULL,5718,'Políticas e organizações internacionais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',370),(6592,'','Psychology',NULL,61,NULL,5749,'PSICOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',370),(6593,'','ScienceAndTechnology',NULL,62,NULL,5743,'CIÊNCIA E TECNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',370),(6594,'Utilização de processos biomoleculares e celulares para criar novos produtos e processos tecnológicos.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,NULL,5807,'Biotecnologia','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',370),(6595,'Tecnologias da informação e comunicação que são usadas em casa, no local de trabalho e em contexto comunitário. De notar que o uso e o impacto dessas tecnologias são abrangidos pelo termo \'Sociedade da Informação\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,NULL,5742,'Tecnologia da Informação','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',370),(6596,'','SocialStratificationAndGroupings',NULL,65,NULL,5755,'ESTRATIFICAÇÃO SOCIAL E GRUPOS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',370),(6597,'Pode precisar de um tópico adicional, se as crianças forem estudadas a partir de um aspecto particular.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,NULL,5775,'Infância','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',370),(6598,'Pode precisar de um tópico adicional, se os idosos forem estudados a partir de um aspecto particular.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,NULL,5803,'Envelhecimento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',370),(6599,'Questões relacionadas com a existência, papéis e impacto das elites na sociedade, ou seja, indivíduos ou grupos que têm grande poder ou influência sobre a sociedade, a política, a riqueza, etc., seja por meio de decisões que tomem ou, por exemplo, por meio de ideias ou sentimentos que expressem ou representem. Inclui questões relacionadas com pessoas influentes em todas as esferas da sociedade, por exemplo, com poder de tomada de decisão na vida política, líderes de partidos políticos, artistas influentes, figuras proeminentes na comunicação social ou nas redes sociais, etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,NULL,5798,'Elites e liderança','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',370),(6600,'Questões relativas a saber se todos os indivíduos ou grupos de indivíduos têm ou não os mesmos direitos e oportunidades na sociedade. A igualdade pode ser estudada, por exemplo, em termos de educação, ativos (financeiros) ou rendimentos, posição ocupacional, poder, prestígio, condições de trabalho e de lazer, acesso a serviços e relações sociais. A marginalização e a exclusão social podem ser o resultado de uma desvantagem sistemática em múltiplas áreas da vida e as pessoas envolvidas podem ser privadas de direitos, oportunidades, recursos e integração social. Exemplos de dados: estatísticas de desigualdade de rendimentos; discriminação percebida pelo grupo de foco (por exemplo, em relação aos estrangeiros, aos sem-abrigo, aos que procuram asilo); diferenças percepcionadas entre homens e mulheres em relação a oportunidades de papéis de liderança na política; impacto do desemprego dos pais no desempenho escolar dos filhos e nas redes de sociabilidade.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,NULL,5720,'Igualdade, desigualdade e exclusão social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',370),(6601,'Abrange questões relacionadas com as famílias, parentesco, gerações e composição do agregado familiar. Por exemplo, dados sobre educação das crianças, divisão do trabalho dentro da família, apoio prestado aos membros da família.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,NULL,5726,'Família e casamento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',370),(6602,'Identidade de género; representações de género (por exemplo, representação dos géneros em órgãos de tomada de decisão, nos media, na literatura, etc.); características sociais, culturais e psicológicas ligadas a homens e mulheres; estudos das mulheres; estudos dos homens; comportamento esperado e escolhas de acordo com os papéis de género e o impacto de tais expectativas.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,NULL,5787,'Género e papéis de género','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',370),(6603,'Grupos de indivíduos que diferem de alguma forma da maioria da população. As características de diferenciação incluem, por exemplo, etnicidade, religião, saúde, orientação sexual, primeira língua (língua materna) e cultura. De notar que pode também usar os termos \'Igualdade, desigualdade e exclusão social\' ou \'Linguagem e Linguística\', em conexão com algumas questões relativas às minorias.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,NULL,5760,'Minorias','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',370),(6604,'Movimento de indivíduos, famílias ou grupos de indivíduos em termos de estatuto social e ocupacional ao longo do tempo. O movimento pode ser horizontal, ou seja, mudança de posição dentro do intervalo do mesmo estatuto, ou vertical, onde os indivíduos podem mover-se para cima ou para baixo na hierarquia estatutária. Por exemplo, trabalhadores em setores em declínio podem tornar-se trabalhadores de alguma outra indústria (mobilidade ocupacional horizontal), ou crianças de famílias pobres podem alcançar uma classe social mais alta do que a dos seus pais (mobilidade social intergeracional vertical).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,NULL,5791,'Mobilidade social e ocupacional','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',370),(6605,'Pode precisar de um tópico adicional, se os jovens forem estudados a partir de um aspecto particular.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,NULL,5735,'Juventude','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',370),(6606,'','SocialWelfarePolicyAndSystems',NULL,75,NULL,5754,'SISTEMAS E POLÍTICAS DO ESTADO SOCIAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',370),(6607,'Decisões tomadas e princípios adotados a um nível nacional, regional ou local em relação ao Estado social, o seu financiamento e provisão, por exemplo, quem tem direito a que tipo de serviços e benefícios sociais e porquê, a que nível são prestados e quem pode prestar os serviços. Por exemplo, uma política em que os idosos devem permanecer nas suas casas tão longamente quanto possível, uma política relativa à duração do subsídio de desemprego. Usar também o termo \'Legislação e sistemas legais\' para leis e regulamentos já implementados.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,NULL,5727,'Políticas do Estado social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',370),(6608,'Questões relacionadas com a prestação efectiva do Estado social; quem presta na prática serviços de apoio social e em que medida são prestados; como estão estruturados os serviços atuais. Por exemplo, perguntas sobre como o governo local organiza serviços para idosos.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,5778,'Sistemas/ estruturas do Estado social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',370),(6609,'Por exemplo, dados relativos à frequência com que as pessoas usam serviços sociais específicos, opiniões sobre a adequação, acessibilidade e disponibilidade de serviços específicos e satisfação geral com os mesmos. Por exemplo: perguntas sobre os serviços que os idosos entrevistados usaram ou usam; estatísticas sobre determinados serviços.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,5764,'Serviços sociais específicos: utilização e disponibilidade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',370),(6610,'','SocietyAndCulture',NULL,79,NULL,5761,'SOCIEDADE E CULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',370),(6611,'Dados relacionados com diferentes aspectos da vida na comunidade, ou em áreas urbanas e rurais. Opiniões e imagens do bairro/vizinhança, ou de áreas urbanas ou rurais. Serviços, instalações e oportunidades de negócios no bairro/vizinhança.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,NULL,5786,'Comunidade, vida urbana e vida rural','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',370),(6612,'Participação ativa ou passiva em qualquer tipo de atividades culturais, bem como opiniões e percepções sobre as mesmas.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,NULL,5746,'Actividades culturais e participação','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',370),(6613,'Dados sobre a formação da identidade, quem as pessoas sentem que são e onde pertencem. A relação entre a identidade cultural e nacional com a representação e a classificação de alguém como \'nenhum de nós\' (o outro). Costumes, maneiras de estar e atitudes em relação à identidade percecionada do próprio e de outros grupos.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,NULL,5759,'Identidade cultural e identidade nacional','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',370),(6614,'Padrões de recreação, atividades de lazer e passatempos. Inclui espectadores de eventos desportivos, desportos de competição e viagens de lazer. Para dados sobre atividade física para uma pessoa se manter em forma, usar \'Exercício físico\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,NULL,5801,'Lazer, turismo e desporto','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',370),(6615,'Dados que abordam questões sobre comportamento religioso, movimentos religiosos, espiritualidade, moralidade e outros valores.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,NULL,5795,'Religião e valores','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',370),(6616,'Dados sobre comportamento social; interação social e redes sociais; responsabilidades sociais; normas e regras sociais; e atitudes em relação a estas questões.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,NULL,5768,'Comportamento e atitudes sociais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',370),(6617,'Dados sobre mudanças na sociedade, incluindo mudanças de atitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,5730,'Mudança social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',370),(6618,'Abrange todos os aspectos da qualidade de vida e bem-estar dos indivíduos e das sociedades, assim como as percepções das pessoas sobre os mesmos. De notar que, de acordo com o aspecto estudado, os termos \'Saúde e bem-estar\', \'Igualdade, desigualdade e exclusão social\' e \'Condições e indicadores económicos\', etc., também podem ser relevantes.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,NULL,5784,'Condições e indicadores sociais','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',370),(6619,'Dados sobre a quantidade de tempo gasto pela população em várias atividades.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,NULL,5763,'Uso do tempo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',370),(6620,'','TradeIndustryAndMarkets',NULL,89,NULL,5721,'COMÉRCIO, INDÚSTRIA E MERCADOS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',370),(6621,'Usar esta categoria para estudos sobre produção agrícola e todas as indústrias rurais que incluem, por exemplo, a pesca e a silvicultura.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,5736,'Agricultura e indústria rural','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',370),(6622,'Dados sobre indústria e negócios, como gestão, produtividade, crescimento e declínio, estrutura organizacional, administração, investimento em I&D, mercados e quota de mercado.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,NULL,5734,'Gestão e organização empresarial e industrial','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',370),(6623,'Troca de bens, serviços e capitais através de fronteiras internacionais.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,NULL,5752,'Comércio externo (ou comércio internacional)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',370),(6624,'Incluir todos os tipos de transporte de mercadorias, assim como transportes pendulares, transportes públicos (comboios, autocarros, metro, etc.) e redes de transporte urbano. Dados sobre hábitos de mobilidade, por exemplo, comércio transfronteiriço, rotas e meios usados para chegar a um local. Usar o termo \'Lazer, turismo e desporto\' para viagens de lazer.','TransportAndTravel',NULL,93,NULL,5771,'TRANSPORTE E VIAGEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',370),(6625,'Usar se o tópico de classificação for conhecido, mas não se encontrar na lista.','Other',NULL,94,NULL,5781,'OUTROS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',370),(6626,'Dados sobre política económica, incluindo política fiscal e orçamental, despesa pública e receita pública.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,NULL,'Política económica, despesas e receitas públicas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',370),(6627,'Usar para estudos sobre a acumulação de património pessoal, incluindo rendimento, propriedade, investimentos e poupanças.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,NULL,'Rendimentos, património e investimento / poupança','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',370),(6628,'Questões relacionadas com o governo nacional, regional e local, órgãos de governo (por exemplo, o Governo, o Parlamento, órgãos do governo local), administração pública, outras organizações políticas, como partidos políticos. Por exemplo, dados sobre políticas governamentais, partidos políticos e programas, líderes de partidos políticos, confiança nos órgãos governamentais. De notar que poderá ser necessário usar um termo (dos tópicos) adicional em conjunto.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,NULL,'Governo, sistemas e organizações políticas','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',370),(6658,'Yleiskunto, fyysiset aktiviteetit ja liikunta.','Health.PhysicalFitnessAndExercise','Health',23,NULL,NULL,'fyysinen kunto ja liikunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',363),(6659,'Os eventos são geralmente ocorrências únicas, individuais, com uma duração curta ou limitada. Um evento pode ser catalogado como fonte de dados quando é diretamente observado ou registado para pesquisa/investigação. Interações são eventos em que duas ou mais pessoas, grupos, objetos ou sistemas, atuam uns sobre os outros, tendo uma influência ou efeito recíproco. Exemplos: alguns tipos de reuniões (cerimónias, competições, festivais, encontros), tumultos/motins, ataques terroristas, eventos de computação (i.e., ações ou ocorrências detetadas por programas de computador), etc.','EventsInteractions',NULL,9,NULL,NULL,'Eventos/Interações','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',377),(6669,'Documentos oficiais, formais ou semi-formais, que listem, por exemplo, itens, nomes, ocorrências, ações ou resultados, e preservados sob a forma escrita ou por outro meio permanente para referência posterior.','RegistersRecordsAccounts',NULL,0,NULL,NULL,'Registos/Documentos/Relatórios','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',377),(6670,'Informações recolhidas sobre indivíduos ou grupos como parte dos procedimentos administrativos de rotina de uma organização, empresa ou instituição. Estes dados não são normalmente recolhidos tendo em vista a investigação, podem ser volumosos e podem requerer preparação (como a codificação) antes de serem usados pelos pesquisadores. Exemplos: declaração de imposto sobre rendimentos, registos populacionais, registos de aquisição de nacionalidade por naturalização, certidões de nascimento/óbito, pedidos de patentes, etc.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,NULL,'Registos/Documentos/Relatórios: Administrativos','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',377),(6671,'Registos históricos preservam informações e constituem evidências/provas sobre eventos passados. Eles podem ser produzidos por indivíduos, grupos ou organizações. Os registos administrativos tornam-se históricos quando não são mais mantidos/conservados ou usados ativamente pela agência emissora com a finalidade para a qual foram originalmente criados. Exemplos: registos paroquiais, registos imobiliários, testamentos, crónicas, etc.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,NULL,'Registos/Documentos/Relatórios: Históricos','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',377),(6672,'Registos relativos à lei e à sua administração, por exemplo, registos relacionados com casos que foram levados a tribunal.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,NULL,'Registos/Documentos/Relatórios: Legais','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',377),(6673,'Dados relativos à saúde criados ou recolhidos por profissionais de saúde sobre um paciente. Geralmente incluem os resultados de exames médicos ou medições, resultados de consultas ou testes de análises clínicas/ensaios clínicos, etc.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,NULL,'Registos/Documentos/Relatórios: Médicos/Clínicos','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',377),(6674,'Informações recolhidas durante um processo de avaliação e apresentadas como resultados. Exemplos incluem testes educacionais, testes de QI, testes de raciocínio verbal ou lógico, testes de competência para ocupações profissionais, etc.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,NULL,'Registos/Documentos/Relatórios: Académicos (ou de aptidão)','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',377),(6675,'Registos das atividades financeiras de uma empresa, pessoa, instituição pública, ou outras organizações ou entidades. Exemplos são declarações de lucros acumulados, fluxo de caixa, declarações de rendimento, balanços de uma empresa e reembolso de impostos.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,NULL,'Registos/Documentos/Relatórios: Económicos/Financeiros','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',377),(6676,'Registos ou cadastros criados não oficialmente por indivíduos ou famílias para outros fins que não a investigação. Exemplos podem incluir diários ou memórias privadas, livros de registos familiares, coleções de documentos pessoais, fotografias, etc.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,NULL,'Registos/Documentos/Relatórios: Pessoais','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',377),(6677,'Detalhes dos votos expressos numa eleição (também conhecidos como \'resultados eleitorais\'), votos parlamentares ou organizacionais sobre políticas, moções ou propostas, referendos públicos, etc.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,NULL,'Registos/Documentos/Relatórios: Resultados eleitorais','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',377),(6678,'Processos são sequências de ocorrências, eventos, atividades, ações ou operações que ocorrem ao longo do tempo e provocam mudanças ou transformações em organismos, objetos, ideias ou fenómenos sociais. Por exemplo, um processo de negócios pode incluir receção de pedidos, faturação, remessa de produtos ou a definição de um orçamento de marketing.','Processes',NULL,10,NULL,NULL,'Processos','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',377),(6679,'Sequência de fases e processos através dos quais um trabalho passa do início ao fim/conclusão (adaptado do dicionário Oxford online: http://www.oxforddictionaries.com/us/definition/american_english/workflow). Exemplos do ciclo de vida dos dados: recolha dos dados, processamento dos dados, análise dos dados, arquivo dos dados, etc.','Processes.Workflows','Processes',11,NULL,NULL,'Processos: Workflow(s)/Fluxo de trabalho','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',377),(6680,'Mensagens resultantes do ato ou processo de usar palavras, sons, sinais ou comportamentos para transmitir ou trocar informações, ideias, pensamentos, sentimentos, etc. (do inglês adaptado de www.merriam-webster.com).','Communications',NULL,12,NULL,NULL,'Comunicações','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',377),(6681,'Comunicações dirigidas diretamente a uma audiência pública, por exemplo, presencialmente (reuniões públicas, comícios políticos, etc.), por meios de difusão impressos, comunicação social ou Internet (rádio, televisão, jornais impressos ou online), por meio de painéis (outdoors), banners/cartazes ou outras sinalizações colocadas na via pública, ou nos media sociais (por exemplo, publicações públicas no Facebook, Twitter, entre outros).','Communications.Public','Communications',13,NULL,NULL,'Comunicações: Públicas','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',377),(6683,'Comunicações feitas por um indivíduo dirigidas a outro indivíduo ou a um grupo privado de pessoas, com outros fins que não a investigação. Por exemplo, emails, cartas, conversas telefónicas, publicações nos media sociais com acesso restrito.','Communications.Interpersonal','Communications',14,NULL,NULL,'Comunicações: Interpessoais','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',377),(6684,'Dados preexistentes; dados que foram já recolhidos e/ou usados para um projeto de pesquisa anterior.','ResearchData',NULL,15,NULL,NULL,'Dados de investigação','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',377),(6685,'Dados preexistentes que foram disponibilizados ao público em geral, ou a determinados segmentos.','ResearchData.Published','ResearchData',16,NULL,NULL,'Dados de investigação: Publicados','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',377),(6686,'Dados preexistentes que não foram disponibilizados ao público em geral, ou a determinados segmentos.','ResearchData.Unpublished','ResearchData',17,NULL,NULL,'Dados de investigação: Não publicados','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',377),(6687,'Grupo de indivíduos que pode ser definido por uma ou várias características comuns: etnia, \'raça\', género, faixa etária, localização ou distribuição geográfica, nível de escolaridade, nível de rendimento ou condição económica, estatuto profissional, estado de saúde ou condições médicas, ou a pertença a comunidades específicas (por exemplo, grupos de interesse especiais ou media sociais), ou redes, etc.','PopulationGroup',NULL,18,NULL,NULL,'Grupos populacionais','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',377),(6688,'Uma área da Terra, demarcada para fins de administração, política, ambiente, etc. A demarcação é identificável por meio de coordenadas ou outros sistemas usados para identificar a posição com precisão.','GeographicArea',NULL,19,NULL,NULL,'Área geográfica','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',377),(6689,'Entidades naturais ou artificiais com localizações espaciais. Por exemplo, obras de arte, construções, amostras de rochas, máquinas, etc. Estas serão consideradas fontes de dados se os dados descreverem as características físicas do objeto em questão e não qualquer outra informação codificada no mesmo.','PhysicalObjects',NULL,20,NULL,NULL,'Objetos físicos','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',377),(6690,'Materiais biológicos recolhidos de organismos vivos, incluindo, por exemplo, espécimes biológicos de órgãos humanos ou animais, células ou tecidos como cabelo, músculo ou tecido tumoral, fluidos corporais como sangue, urina, saliva, material extraído como ADN e ARN, microorganismos, matéria vegetal, etc. A fonte dos dados são as próprias amostras, não as medições e/ou outros testes nelas realizados.','BiologicalSamples',NULL,21,NULL,NULL,'Amostras biológicas','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',377),(6691,'Usar se a fonte de dados for conhecida, mas não se encontrar na lista.','Other',NULL,22,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',377),(6717,'Dados que consistem, geralmente, em valores expressos em dígitos de 0 a 9 e, opcionalmente, sinais para valores negativos, pontos decimais ou letras, apenas quando destinados a representar números (por exemplo, A-F ou a-f em hexadecimal).','Numeric',NULL,0,NULL,NULL,'Numérico','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',379),(6719,'Bruk når de sammenliknede elementene har like, men ikke identisk innhold. For variabler, for eksempel, noen av elementene i en variabelbeskrivelse (navn, label, spørsmålstekst, kategorieverdier og koder, univers, begrep) vil ha identisk form, mens andre vil være forskjellige.','Some',NULL,1,NULL,NULL,'Noen','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Some',372),(6720,'Vanligvis ikke brukt ettersom en ikke forventer at en sammenlikner elementer som ikke har noe til felles. Dette utrykket var nødvendig for å fullføre typene av ensartethet og kan bli brukt i spesielle tilfeller som bestemmes av brukerbehov (for eksempel, når sammenliknbarhet var forventet, men ikke funnet).','None',NULL,2,NULL,NULL,'Ingen','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#None',372),(6728,'Inquéritos à população, por oposição a um inquérito por amostragem. Habitualmente usados para o recenseamento de uma população, icluem normalmente um conjunto de dados relativos a informação demogáfica. Nota: em alguns países os censos não são usados, uma vez que a informação demográfica pode ser obtida através de registos oficiais.','Demography.Censuses','Demography',1,NULL,NULL,'Censos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',370),(6731,'Dados que consistem basicamente em textos, incluindo letras, números e caracteres especiais ou símbolos usados na escrita para pontuação, abreviatura, etc. Por exemplo, transcrições de entrevistas, narrativas ou ensaios escritos por participantes do estudo, artigos de jornais, etc.','Text',NULL,1,NULL,NULL,'Texto','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',379),(6732,'Imagens estáticas, como gráficos, desenhos, fotografias, imagens de diagnóstico/médicas como raios-x, etc.','StillImage',NULL,2,NULL,NULL,'Imagens','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',379),(6733,'Dados geoespaciais são qualquer tipo de dados com coordenadas espaciais que permitem que eles sejam mapeados na superfície da Terra. Podem representar objetos físicos, áreas discretas ou superfícies contínuas. Dados geoespaciais discretos são geralmente representados usando dados vetoriais como pontos, linhas e polígonos, enquanto dados geoespaciais contínuos são geralmente representados por dados raster, que consistem numa matriz de células em que cada uma tem um valor próprio. Inúmeras aplicações numa grande variedade de áreas produzem dados geoespaciais, como o SIG - Sistema de Informação Geográfica (GIS - Geographic Information System), equipamentos de deteção remota, unidades de GPS, estações arqueológicas totais, mapeamento manual e desenho assistido por computador (DAC), ou CAD (do inglês: computer aided design), em vários formatos, incluindo imagens, vetores, texto e dados tabulares. Dados geoespaciais baseados em vetores incluem tabelas que listam os lugares arqueológicos juntamente com as suas coordenadas, arquivos baseados em texto (por exemplo, XML) contendo coordenadas e topologia para redes rodoviárias históricas, número de votos para partidos políticos por área administrativa. Os dados geoespaciais baseados em raster incluem imagens de satélite, fotografias aéreas, mapas digitalizados e mapas digitais de terreno, vegetação, uso da terra, temperaturas da superfície do mar, poluição do ar, tipos de solo, etc.','Geospatial',NULL,3,NULL,NULL,'Geoespacial','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',379),(6734,'Som gravado, incluindo voz, música, etc.','Audio',NULL,4,NULL,NULL,'Áudio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',379),(6735,'Imagens em movimento. Pode incluir filmes, animações, gravações digitais, produções visuais de simulações, programas de televisão gravados, etc. Pode ser mudo, ou pode incluir som sincronizado.','Video',NULL,5,NULL,NULL,'Vídeo','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',379),(6736,'Programa(s) de computador em código-fonte (legível por humanos) ou em forma codificada.','Software',NULL,6,NULL,NULL,' Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',379),(6737,'Um recurso que requer interação do utilizador para ser entendido, executado ou experimentado. Por exemplo, módulos de formação, portais de consulta/resposta, ficheiros que necessitam de alguma ação por parte do utilizador, etc.','InteractiveResource',NULL,7,NULL,NULL,'Recursos interativos','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',379),(6738,'Representações tridimensionais virtuais de objetos, arquitetura, lugares, etc.','ThreeD',NULL,8,NULL,NULL,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',379),(6739,'Usar se o formato dos dados for conhecido, mas não se encontrar na lista.','Other',NULL,9,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',379),(6773,'Método de recolha de dados em que o respondente lê ou ouve as perguntas e ele mesmo insere as respostas; nenhum entrevistador está presente, ou participa da administração do questionário. Se possível, usar um termo mais restrito. Usar este termo mais amplo se o método não for descrito por nenhum dos termos mais restritos - por exemplo, questionários em pdf ou em disquete.','SelfAdministeredQuestionnaire',NULL,8,NULL,NULL,'Questionário de autopreenchimento','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',373),(6774,'Questionário de autopreenchimento em que as perguntas são apresentadas ao respondente no corpo do texto de um email ou num anexo de um email, mas não como um link para um questionário baseado na web. As respostas são também devolvidas via email, no corpo do email ou como anexo.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,NULL,'Questionário de autopreenchimento: Email/correio eletrónico','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',373),(6775,'Questionário de autopreenchimento utilizando um questionário tradicional em papel entregue e/ou recolhido por correio (serviços postais), por fax ou pessoalmente, seja pelo entrevistador ou pelo respondente.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,NULL,'Questionário de autopreenchimento: Papel','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',373),(6776,'Questionário de autopreenchimento em que os respondentes recebem as perguntas incorporadas em SMS (mensagens de texto) ou MMS (mensagens que incluem conteúdo multimédia) e enviam as suas respostas no mesmo formato.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,NULL,'Questionário de autopreenchimento: Mensagem (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',373),(6777,'Entrevista via web, assistida por computador (Computer Assisted Web Interviewing - CAWI). Os dados são recolhidos através de um questionário na web, produzido com um programa para criar inquéritos na web. O programa pode personalizar o fluxo do questionário de acordo com as respostas e permite que este contenha imagens, clipes de áudio e vídeo, links para diferentes páginas da web, etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,NULL,'Questionário de autopreenchimento: via web (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',373),(6778,'Entrevista de autopreenchimento assistida por computador (Computer-assisted self-interview - CASI). Os entrevistados inserem as respostas num computador (desktop, laptop, PDA, tablet, etc.) por eles próprios. A administração do questionário é gerida por um programa/aplicação especialmente elaborado para o efeito, mas não há transferência de dados em tempo real, como no CAWI, e as respostas são armazenadas no dispositivo usado para a entrevista. O questionário pode ter um formato fixo ou interativo. Inclui a entrevista auto-administrada de vídeo assistida por computador (VCASI - Video computer-assisted self-interviewing), a entrevista auto-administrada de áudio assistida por computador (ACASI - Audio computer-assisted self-interviewing) e a entrevista de áudio e telefone assistida por computador (TACASI - Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,NULL,'Questionário de autopreenchimento: Assistido por computador (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',373),(6779,'Entrevista de grupo sobre um tópico específico, organizada para fins de investigação. Os indivíduos são selecionados em função da sua relevância para o tópico e a interação entre os participantes é usada como parte do método.','FocusGroup',NULL,14,NULL,NULL,'Focus group (grupo focal)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',373),(6780,'Os participantes do grupo focal encontram-se pessoalmente para participar na discussão.','FocusGroup.FaceToFace','FocusGroup',15,NULL,NULL,'Focus group presencial','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',373),(6781,'A discussão do grupo focal é realizada por telefone.','FocusGroup.Telephone','FocusGroup',16,NULL,NULL,'Focus group por telefone','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',373),(6782,'A discussão do grupo focal é conduzida pela Internet de forma interativa.','FocusGroup.Online','FocusGroup',17,NULL,NULL,'Focus group online','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',373),(6787,'Método de investigação que envolve a recolha de dados conforme eles ocorrem (por exemplo, observando comportamentos, eventos, desenvolvimento de uma condição ou doença, etc.), sem tentar manipular nenhuma das variáveis independentes.','Observation',NULL,22,NULL,NULL,'Observação','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',373),(6788,'Observação conduzida em ambiente natural.','Observation.Field','Observation',23,NULL,NULL,'Observação de campo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',373),(6789,'Tipo de observação no trabalho de campo em que o investigador interage com os sujeitos e, muitas vezes, desempenha um papel na situação social em observação.','Observation.Field.Participant','Observation.Field',27,NULL,NULL,'Observação participante ','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',373),(6790,'Observação que é conduzida/realizada em ambiente natural, não controlado, sem qualquer interação entre o investigador e os sujeitos observados.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,NULL,'Observação não participante','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',373),(6791,'Observação que é conduzida/realizada em ambiente controlado e artificialmente criado. Por exemplo, observação das brincadeiras das crianças numa sala de jogos de laboratório.','Observation.Laboratory','Observation',24,NULL,NULL,'Observação em laboratório','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',373),(6792,'Tipo de observação em laboratório em que o investigador interage com os sujeitos e, muitas vezes, desempenha um papel na situação social em observação. Por exemplo, observação das brincadeiras das crianças numa sala de jogos de laboratório com o investigador a participar no jogo.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,NULL,'Observação participante em laboratório','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',373),(6793,'Tipo de observação em laboratório realizada sem qualquer interação entre o investigador e os sujeitos observados.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,NULL,'Observação não participante em laboratório','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',373),(6794,'Tipo de observação em que os dados referentes ao uso do computador são recolhidos através de software que pode estar incorporado no próprio programa do computador, ou pode constituir um programa separado. Pode ser recolhida informação sobre o número de utilizadores, a forma como os utilizadores interagem com o(s) programa(s), quanto tempo passam numa página, como usam secções específicas de aplicações, como navegam de uma página para outra ou de uma aplicação para outra, etc.','Observation.ComputerBased','Observation',26,NULL,NULL,'Observação assistida por computador','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',373),(6795,'Usar se o método de recolha de dados for conhecido, mas não se encontrar na lista.','Other',NULL,45,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',373),(6796,'Método de pesquisa que envolve a manipulação de algumas ou de todas as variáveis independentes incluídas nas hipóteses.','Experiment',NULL,30,NULL,NULL,'Estudo experimental','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',373),(6797,'Experiência/experimento conduzida/o em ambiente físico controlado, artificialmente criado, no qual o investigador manipula uma ou várias variáveis independentes e mede o seu efeito sobre a variável dependente.','Experiment.Laboratory','Experiment',31,NULL,NULL,'Estudo experimental em laboratório','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',373),(6798,'Experiência/experimento conduzida/o em ambiente natural e não controlado, no qual o investigador manipula uma ou várias variáveis independentes. Estudos clínicos ou de intervenção são um exemplo de experimentações de campo.','Experiment.FieldIntervention','Experiment',32,NULL,NULL,'Estudo experimental de campo (com intervenção)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',373),(6799,'Experiência/experimento conduzida/o em ambiente virtual da World Wide Web, no qual materiais experimentais são programados para implementar situações ou eventos artificiais para pesquisa num ambiente distribuído. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, &amp; M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Disponível em: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,NULL,NULL,'Estudo experimental online/via web','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',373),(6800,'Registo por meios mecânicos ou electrónicos, de forma a permitir que a informação seja recuperada e/ou reproduzida. Por exemplo, imagens ou sons em disco ou fita magnética.','Recording',NULL,34,NULL,NULL,'Gravação','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',373),(6801,'Como modo de recolha de dados secundários, a codificação de conteúdo aplica técnicas de codificação para transformar dados qualitativos (textual, vídeo, áudio ou imagem parada) originalmente produzidos para outros propósitos em dados quantitativos (expressos em matrizes unidade-por-variável) de acordo com esquemas de categorização predefinidos. Por exemplo, dados codificados de um programa de partido político, como o \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,35,NULL,NULL,'Codificação de conteúdo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',373),(6802,'Recolha de informações por escrito de uma fonte diferente ou através de um meio diferente, alfabeto ou forma de anotação, como fórmulas científicas ou notas musicais. Para entrevistas ou observações transcritas, recomenda-se documentar o modo de recolha principal, usando um dos termos no âmbito dos tópicos mais gerais \'entrevista\' ou \'observação\'.','Transcription',NULL,36,NULL,NULL,'Transcrição','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',373),(6803,'Recolha e compilação de dados de fontes múltiplas, muitas vezes heterogéneas, que possuem um ou mais pontos de referência em comum, e pelo menos uma das fontes foi originalmente produzida para outras finalidades. Os dados são incorporados numa nova entidade. Por exemplo, providenciar dados sobre o número de universidades nos últimos 150 anos usando uma variedade de fontes disponíveis (por exemplo, documentos financeiros, estatísticas oficiais, registos universitários), combinando dados de inquéritos com informações sobre áreas geográficas a partir de estatísticas oficiais (por exemplo, densidade populacional, médicos per capita, etc.), ou usando o RSS (Really Simple Syndication) para recolher publicações de blogs ou tweets, etc.','CompilationSynthesis',NULL,37,NULL,NULL,'Compilação/síntese','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',373),(6804,'Apresentação de informação de forma resumida, reduzindo-a aos seus pontos principais. Por exemplo, resumos de entrevistas ou de relatórios que são publicados e usados como dados, em vez de entrevistas ou relatórios completos.','Summary',NULL,38,NULL,NULL,'Sumário/resumo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',373),(6805,'Estatísticas relacionadas com classes, grupos ou categorias amplas. Os dados são representados por médias, totais, ou derivados de dados registados a um nível individual, não sendo mais possível distinguir as características dos indivíduos dentro dessas classes, grupos ou categorias. Por exemplo, o número e a faixa etária dos desempregados em regiões geográficas específicas, ou estatísticas de âmbito nacional sobre a ocorrência de crimes específicos, originalmente derivadas das estatísticas policiais de cada distrito.','Aggregation',NULL,39,NULL,NULL,'Agregação','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',373),(6806,'Modelação ou representação por imitação de processos, eventos ou sistemas do mundo real, utilizando geralmente programas de computador. Por exemplo, um programa que modela as respostas do consumo das famílias às mudanças tributárias indiretas; ou um conjunto de dados em pacientes hipotéticos e a sua exposição a drogas, condições do contexto e eventos adversos conhecidos.','Simulation',NULL,40,NULL,NULL,'Simulação','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',373),(6807,'Avaliação de propriedades específicas (ou características) de seres, coisas, fenómenos (e/ou processos) aplicando padrões pré-estabelecidos e/ou técnicas e instrumentos específicos.','MeasurementsAndTests',NULL,41,NULL,NULL,'Medidas e testes','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',373),(6808,'Avaliação de conhecimentos, competências, aptidões ou desempenhos educacionais por meio de medidas ou testes específicos.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,NULL,'Medidas e testes educacionais','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',373),(6809,'Avaliação de propriedades físicas de seres vivos, objetos, materiais ou fenómenos naturais. Por exemplo, descobertas de exames médicos práticos (por exemplo, palpação ou auscultação), medições clínicas e testes laboratoriais, como análise sanguínea, pressão arterial, frequência cardíaca, peso e altura, assim como medidas gerais, por exemplo, de tempo, distância, massa, temperatura, força, potência, velocidade, dados de GPS sobre movimento físico e outros parâmetros ou variáveis físicos, como dados geoespaciais.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,NULL,'Medidas e testes físicos','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',373),(6810,'Avaliação de traços de personalidade ou respostas psicológicas/comportamentais por meio de medidas específicas e testes. Por exemplo, testes objetivos como medidas autorreportadas com um formato restrito de resposta, ou métodos projetivos que permitem respostas livres, incluindo associação de palavras, conclusão de frases ou histórias, vinhetas, teste de desenho animado, testes temáticos de percepção, dramatização, testes de desenho, testes de mancha de tinta, exercícios de ordenação de escolha, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,NULL,'Medidas e testes psicológicos','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',373),(6811,'Todas as unidades (indivíduos, famílias/agregados, organizações, etc.) de uma população-alvo são incluídas na recolha de dados. Por exemplo, se a população-alvo for definida como os membros de um sindicato, todos os membros do sindicato são convidados a participar do estudo. Também chamado de \"censo\", se toda a população de uma unidade regional (por exemplo, um país) for selecionada.','TotalUniverseCompleteEnumeration',NULL,0,NULL,NULL,'Universo total/Enumeração completa','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',374),(6812,'Todas as unidades (indivíduos, famílias/agregados, organizações, etc.) de uma população-alvo têm uma probabilidade diferente de zero de serem incluídas na amostra e essa probabilidade pode ser determinada com precisão. Usar este termo mais amplo se o tipo mais específico de amostragem probabilística não for conhecido ou se for difícil de identificar.','Probability',NULL,1,NULL,NULL,'Probabilística','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',374),(6813,'Todas as unidades de uma população-alvo têm a mesma probabilidade de serem incluídas na amostra. Normalmente, toda a população é listada numa grelha de amostragem e as unidades são escolhidas a partir dessa grelha usando um método de seleção aleatória.','Probability.SimpleRandom','Probability',2,NULL,NULL,'Probabilística: Aleatória simples','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',374),(6814,'Um intervalo de seleção fixo é determinado, dividindo o tamanho da população pelo tamanho de amostra desejado. Um ponto de partida é então escolhido aleatoriamente da grelha de amostragem, que cobre normalmente toda a população-alvo. A partir deste ponto inicial, as unidades da amostra são escolhidas com base no intervalo de seleção. Também conhecido como amostragem de intervalo. Por exemplo, um inquérito de empresa com uma amostra de 1000 funcionários num total de 10000. Começando por um número inicial aleatório, a cada 10 nomes da lista de funcionários da empresa, há um funcionário convidado a participar no estudo.','Probability.SystematicRandom','Probability',3,NULL,NULL,'Probabilística: Aleatória sistemática','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',374),(6815,'A população-alvo é subdividida em segmentos separados e mutuamente exclusivos (estratos) que cobrem toda a população. Amostras aleatórias independentes são extraídas de cada segmento. Por exemplo, num inquérito de opinião pública nacional, a população total é dividida em dois estratos regionais: leste e oeste. Depois disso, as unidades de amostragem são retiradas de dentro de cada região usando a amostragem aleatória simples ou sistemática. Usar este termo mais amplo se o tipo específico de amostragem estratificada não for conhecido ou se for difícil de identificar.','Probability.Stratified','Probability',4,NULL,NULL,'Probabilística: Estratificada','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',374),(6816,'A população-alvo é subdividida em segmentos separados e mutuamente exclusivos (estratos) que cobrem toda a população. Na amostragem estratificada proporcional, o número de elementos escolhidos em cada estrato é proporcional à dimensão da população do estrato tendo em conta o seu peso na população total. Por exemplo, um país é dividido em dois estratos regionais que compreendem 80% (oeste) e 20% (leste) da população total. Para uma amostra de 1000 pessoas, 800 (ou seja, 80%) seriam retiradas do oeste e 200 (ou seja, 20%) do leste, por forma a representar com precisão a sua proporção na população total.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,NULL,'Probabilística: Estratificada: Proporcional','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',374),(6817,'A população-alvo é subdividida em segmentos separados e mutuamente exclusivos (estratos) que cobrem toda a população. Na amostragem não proporcional, o número de unidades escolhidas de cada estrato não é proporcional à dimensão da população do estrato quando visto em relação à população total. O número de unidades selecionadas de cada estrato pode ser igual, ideal, ou pode refletir o objetivo do estudo, como a sobreamostragem de diferentes subgrupos da população. Por exemplo, um país é dividido em dois estratos regionais que abrangem 80% (oeste) e 20% (leste) da população do país. Se uma representação igual das duas regiões for necessária num estudo, metade da amostra pode ser extraída do oeste e metade do leste, de modo que cada região é representada por 50% da amostra. Se for necessária uma análise mais detalhada da população do leste, 40% das unidades podem ser retiradas do oeste e 60% do leste para que este esteja sobrerepresentado.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,NULL,'Probabilística: Estratificada: Não proporcional','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',374),(6818,'A população-alvo é dividida em segmentos que ocorrem naturalmente (clusters) e uma amostra probabilística de clusters é selecionada. Os dados são recolhidos de todas as unidades dentro de cada cluster selecionado. A amostragem por clusters é bastante usada por localização geográfica ou período de tempo. Usar este termo mais amplo se o tipo específico de amostragem por clusters não for conhecido ou for difícil de identificar.','Probability.Cluster','Probability',7,NULL,NULL,'Probabilística: Clusters (por conglomerados)','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',374),(6819,'A população-alvo é dividida em segmentos que ocorrem naturalmente (clusters) e uma amostra aleatória simples de clusters é selecionada. Os dados são recolhidos de todas as unidades em cada cluster selecionado. Por exemplo, para uma amostra de estudantes numa cidade, várias escolas seriam escolhidas usando o método de seleção aleatória e todos os alunos de todas as escolas selecionadas para amostra seriam incluídos.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,NULL,'Probabilística: Clusters: Aleatória simples','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',374),(6820,'A população-alvo é dividida em segmentos que ocorrem naturalmente (clusters); de seguida, estes são divididos em estratos mutuamente exclusivos e uma amostra aleatória de clusters é selecionada em cada estrato. Os dados são recolhidos de todas as unidades dentro de cada cluster selecionado. Por exemplo, para uma amostra de estudantes numa cidade, as escolas seriam divididas em dois estratos por tipo de escola (privada vs. pública); as escolas seriam selecionadas aleatoriamente de cada estrato e todos os alunos de todas as escolas selecionadas para amostra seriam incluídos.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,NULL,'Probabilística: Clusters: Aleatória estratificada','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',374),(6821,'A amostragem é realizada por etapas, havendo, em cada etapa, cada vez menos unidades, já que todas as etapas envolvem uma seleção probabilística. O tipo de procedimento da amostragem probabilística pode ser diferente em cada etapa. Por exemplo, para uma amostra de alunos numa cidade, as escolas são selecionadas aleatoriamente na primeira etapa. Numa segunda etapa, uma amostra aleatória das turmas é extraída em cada escola selecionada. Numa terceira etapa, os alunos são selecionados aleatoriamente dentro de cada uma dessas turmas.','Probability.Multistage','Probability',10,NULL,NULL,'Probabilística: Multietapas','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',374),(6822,'Usar se o método de amostragem for conhecido, mas não se encontrar na lista.','Other',NULL,17,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',374),(6823,'A seleção de unidades (indivíduos, famílias/agregados, organizações, etc.) da população-alvo não é baseada numa seleção aleatória. Não é possível determinar a probabilidade de cada elemento ser escolhido para a amostra. Usar este termo mais amplo se o tipo mais específico de amostragem não probabilística não for conhecido, se for difícil de identificar, ou se vários métodos não probabilísticos estiverem a ser usados.','Nonprobability',NULL,11,NULL,NULL,'Não Probabilística','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',374),(6824,'A seleção da amostra é baseada na acessibilidade das unidades, isto é, na facilidade relativa de acesso. Podem ser fáceis de abordar, ou podem pedir para participar no estudo (autoseleção). Os investigadores podem ter grupos-alvo específicos em mente, mas eles não controlam o mecanismo de seleção da amostra. Por exemplo, os alunos que vivem num prédio no campus universitário podem ser abordados, ou os indivíduos podem voluntariar-se para participar em resposta a convites não direcionados especificamente a eles, mas a um grupo maior ao qual podem pertencer. Também conhecida por amostragem por \"disponibilidade\" ou \"oportunidade\".','Nonprobability.Availability','Nonprobability',12,NULL,NULL,'Não Probabilística: Por conveniência','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',374),(6825,'As unidades da amostra são especificamente identificadas, selecionadas e contactadas por causa da informação específica que podem proporcionar sobre o tópico da pesquisa. A seleção é baseada em diferentes características das variáveis independentes e/ou dependentes em estudo e baseia-se no julgamento dos pesquisadores. Os autores do estudo, ou pessoas autorizadas por eles, controlam o mecanismo de seleção da amostra e o universo é definido em termos dos critérios de seleção. Também designada por amostragem \"por julgamento\". Por exemplo, um investigador na área da saúde pode selecionar intencionalmente indivíduos que são semelhantes em muitos aspectos, exceto no resultado do tópico de pesquisa, o qual pode ser uma doença específica. Alguns tipos de amostragem intencional são casos típicos/desviantes, variação homogénea/máxima, especialistas ou amostras de casos críticos.','Nonprobability.Purposive','Nonprobability',13,NULL,NULL,'Não Probabilística: Intencional','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',374),(6832,'Officielle, formelle eller semi-formelle dokumenter, der for eksempel angiver elementer, navne, begivenheder, handlinger eller resultater og bevares på skrift eller i anden permanent form til senere henvisning.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Registre/Optegnelser/Opgørelser','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',289),(6833,'Oplysninger indsamlet om individer eller grupper som en del af de rutinemæssige, administrative procedurer hos et agentur, virksomhed eller institution. Sådanne data er ikke normalt indsamlet til forskningsbrug, kan være omfattende og kan kræve forberedelse i form af kodning for at være brugbart for forskere. Eksempler: Formularer til indkomstskat, folkeregistre, opgørelser over naturalisering, fødsels-/dødsattester, patentansøgninger mm.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Registre/Optegnelser/Opgørelser: Administrativ','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',289),(6834,'Historiske opgørelser bevarer oplysninger og udgør beviser om tidligere begivenheder. De kan være produceret af individer, grupper eller organisationer. Administrative optegnelser bliver historiske, når de ikke længere beholdes eller anvendes aktivt af det udstedende agentur til deres oprindelige formål. Eksempler inkluderer sogneregistre, tingbøger, testamenter, krøniker mm.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Registre/Optegnelser/Opgørelser: Historisk','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',289),(6835,'Optegnelser angående lovgivning og dens administration, for eksempel optegnelser relateret til sager, der har været bragt for en domstol eller et nævn.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Registre/Optegnelser/Opgørelser: Retslige','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',289),(6836,'Sundhedsrelaterede data skabt eller indsamlet af sundhedspersonale om en patient. Indeholder som regel resultaterne af medicinske tests eller målinger, resultater fra konsultationer eller kliniske forsøgsprogrammer mm.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Registre/Optegnelser/Opgørelser: Medicinsk/Klinisk','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',289),(6837,'Oplysninger indsamlet under en evalueringsproces og præsenteret som resultater. Eksempler inkluderer uddannelsesprøver, IQ-tests, tests af verbal eller logisk ræsonnement, tests af kompetencer til professionel beskæftigelse mm.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Registre/Optegnelser/Opgørelser: Akademisk/Egnethed','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',289),(6838,'Optegnelser af de finansielle aktiviteter hos en virksomhed, person, statslig institution eller andre organisationer eller enheder. Eksempler er redegørelser om bevaret indtjening, pengestrøm, resultatopgørelser, en virksomheds balance og selvangivelse.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Registre/Optegnelser/Opgørelser: Økonomisk/Finansiel','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',289),(6839,'Optegnelser eller opgørelser skabt uofficielt af individer eller familier til andre formål end forskning. Eksempler kan inkludere private dagbøger eller erindringer, familieoptegnelser eller bibler, samlinger af personlige dokumenter, fotografier mm.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Registre/Optegnelser/Opgørelser: Personlig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',289),(6840,'Detaljer om stemmeafgivelser på kandidater ved et valg (også kendt som \'valgresultater\'), parlamentariske eller organisatoriske stemmeafgivninger om politikker, beslutningsforslag, udspil, folkeafstemninger mm.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Registre/Optegnelser/Opgørelser: Valgresultater','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',289),(6841,'Begivenheder er som regel enkeltstående, individuelle hændelser med en begrænset eller kort varighed. En begivenhed kan være listet som en datakilde, når den observeres direkte eller optages til forskning. Interaktioner er begivenheder, hvor to eller flere personer, grupper, objekter eller systemer agerer i forhold til hinanden med gensidig indvirkning eller effekt. Eksempler: Typer af sammenkomster (ceremonier, konkurrencer, festivaler, møder), optøjer, terrorangreb, datalogiske begivenheder (dvs. handlinger eller hændelser opdaget ved hjælp af computerprogrammer) mm.','EventsInteractions',NULL,9,NULL,1930,'Begivenheder/Interaktioner','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',289),(6842,'Processer er sekvenser af hændelser, begivenheder, aktiviteter, handlinger eller operationer, der finder sted over tid og medfører forandringer eller transformationer i organismer, objekter, idéer eller sociale fænomener. For eksempel, en proces hos en virksomhed kan inkludere modtagelse af ordrer, fakturering, spedition eller fastlæggelse af et marketingsbudget.','Processes',NULL,10,NULL,1931,'Processer','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',289),(6843,'Sekvens af trin eller processer, hvor et stykke arbejde går fra at være igangsætning til afslutning (tilpasset fra the Oxford dictionary online: http://www.oxforddictionaries.com/us/definition/american_english/workflow). Eksempler fra datas livscyklus: dataindsamling, databehandling, dataanalyse, dataarkivering mm.','Processes.Workflows','Processes',11,NULL,1932,'Processer: Arbejdsgang(e)','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',289),(6844,'Meddelelser som følge af handlingen eller processen ved at bruge ord, lyd, tegn eller adfærd til at formidle eller udveksle informationer, idéer, tanker, følelser mm. (tilpasset fra www.merriam-webster.com).','Communications',NULL,12,NULL,1933,'Kommunikation','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',289),(6845,'Kommunikation rettet direkte til et offentligt publikum, for eksempel, personligt (offentlige forsamlinger, politiske møder mm.) ved hjælp af TV-udsendelser, trykte massemedier eller massemedier på internettet (radio, fjernsyn trykte eller online netaviser/tidsskrifter), ved hjælp af reklametavler, bannere eller anden skiltning placeret i det offentlige rum, eller sociale medier (offentlige indlæg på Facebook, Twitter, og andre).','Communications.Public','Communications',13,NULL,1934,'Kommunikation: Offentlig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',289),(6846,'Kommunikation foretaget af et individ til et andet individ eller en privat grupper af personer, til andre formål end forskning. For eksempel e-mails, breve, telefonsamtaler, indlæg på sociale medier med begrænset adgang.','Communications.Interpersonal','Communications',14,NULL,1935,'Kommunikation: Interpersonel','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',289),(6847,'Allerede-eksisterende data; data, der allerede er indsamlet og/eller anvendt til et andet forskningsprojekt.','ResearchData',NULL,15,NULL,1936,'Forskningsdata','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',289),(6848,'Allerede-eksisterende data, der er gjort tilgængelige for den generelle offentlighed, eller dele heraf.','ResearchData.Published','ResearchData',16,NULL,1937,'Forskningsdata: Publiceret','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',289),(6849,'Allerede-eksisterende data, der ikke er gjort tilgængelige for den generelle offentlighed, eller dele heraf.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Forskningsdata: Upubliceret','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',289),(6850,'Gruppe af individer, der kan defineres af en eller flere fælles karakteristika: etnicitet, race, køn, aldersspænd, geografisk placering eller fordeling, uddannelsesniveau, indkomstniveau eller økonomisk status, professionel status, helbredstilstand eller medicinske forhold, tilhørsforhold til specifikke fællesskaber (f.eks. særlige interessegrupper eller sociale medier), eller netværk, mm.','PopulationGroup',NULL,18,NULL,1939,'Populationsgruppe','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',289),(6851,'Et område på jorden, afgrænset med henblik på administration, politik, miljø mm. Afgrænsningen kan identificeres ved hjælp af koordinater eller andre systemer, der anvendes til at identificere position præcist.','GeographicArea',NULL,19,NULL,1940,'Geografisk område','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',289),(6852,'Naturlige eller menneskeskabte enheder med rumlige lokationer. For eksempel, kunstværker, konstruktioner, stenprøver, maskiner mm. Disse betragtes som datakilder, hvis dataene beskriver de fysiske karakteristika af det givne objekt frem for enhver information indkodet i det.','PhysicalObjects',NULL,20,NULL,1941,'Fysiske objekter','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',289),(6853,'Biologiske materialer indsamlet fra levende organismer, inkluderende, for eksempel, biologiske prøver af menneske- eller dyreorganer, celler eller væv såsom hår, muskel- eller tumorvæv, kropsvæsker såsom blod, urin, spyt, ekstraheret materiale såsom DNA og RNA, mikroorganismer, plantematerie, mm. Datakilden er prøverne i sig selv, ikke målinger og/eller andre test tillagt dem.','BiologicalSamples',NULL,21,NULL,1942,'Biologiske prøver','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',289),(6854,'Anvend, når datakilden er kendt, men ikke findes i listen.','Other',NULL,22,NULL,1943,'Andet','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',289),(6855,'Documenti ufficiali, formali o semi-formali, che elencano per esempio articoli, nomi, occorrenze, azioni o risultati, e che sono conservati in forma scritta o in qualche altra forma permanente per possibili riferimenti futuri.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Registri/Documenti/Resoconti','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',342),(6856,'Informazioni raccolte su individui o gruppi come risultato delle procedure amministrative di routine di un\'agenzia, azienda o istituzione. Tali dati non vengono solitamente raccolti per scopi di ricerca, possono essere voluminosi e possono richiedere una trasformazione - come, ad esempio, la codifica - prima di poter essere utilizzati dai ricercatori. Esempi: dichiarazione dei redditi, registri demografici, documenti di naturalizzazione, certificati di nascita/morte, domande di brevetto, ecc.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Registri/Documenti/Resoconti: amministrativi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',342),(6857,'I documenti storici conservano informazioni e costituiscono evidenze di eventi passati. Possono essere prodotti da individui, gruppi o organizzazioni. I documenti amministrativi diventano storici quando non vengono più conservati dall\'istituzione che li ha prodotti oppure non sono più utilizzati attivamente per il loro scopo originale. Gli esempi includono registri parrocchiali, registri immobiliari, testamenti, diari, ecc.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Registri/Documenti/Resoconti: storici','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',342),(6858,'Documenti relativi alla legge e alla sua amministrazione, ad esempio record relativi a casi giudiziari portati in tribunale.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Registri/Documenti/Resoconti: legali','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',342),(6859,'Dati relativi alla salute creati o raccolti da operatori sanitari relativi a un paziente. Di solito includono risultati di esami o misurazioni mediche, risultati di consultazioni o programmi di sperimentazione clinica, ecc.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Registri/Documenti/Resoconti: medici/clinici','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',342),(6860,'Informazioni raccolte durante un processo di valutazione e presentate come risultati. Esempi includono test educativi, test QI, test di ragionamento verbale o logico, test di competenza per attività professionali, ecc.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Registri/Documenti/Resoconti: accademici/attitudinali','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',342),(6861,'Registri delle attività finanziarie di un\'azienda, persona, istituzione statale o di altre organizzazioni. Esempi sono le dichiarazioni di utili non distribuiti, il flusso di cassa, i conti economici, il bilancio di una società o le dichiarazioni fiscali.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Registri/Documenti/Resoconti: economici/finanziari','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',342),(6862,'Documenti creati in modo non ufficiale da individui o famiglie per scopi diversi dalla ricerca. Tali documenti possono riguardare diari privati o memorie, libri di famiglia, raccolte di documenti personali, fotografie, ecc.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Registri/Documenti/Resoconti: personali','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',342),(6863,'Dettaglio dei voti espressi per i candidati alle elezioni (detti anche \"risultati elettorali\"), voti parlamentari o organizzativi espressi su politiche, mozioni o proposte, referendum pubblici, ecc.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Registri/Documenti/Resoconti: risultati di voto','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',342),(6864,'Gli eventi generalmente sono unici, accadono una sola volta, con una durata limitata o breve. Un evento può essere indicato come fonte di dati quando viene direttamente osservato o registrato per la ricerca. Le interazioni sono eventi in cui due o più persone, gruppi, oggetti o sistemi agiscono l\'uno con l\'altro influenzandosi reciprocamente. Esempi: raduni di vario tipo (cerimonie, concorsi, festival, riunioni), rivolte, attacchi terroristici, eventi informatici (cioè azioni o occorrenze rilevate da programmi per computer), ecc.','EventsInteractions',NULL,9,NULL,1930,'Eventi/Interazioni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',342),(6865,'I processi sono sequenze di eventi, attività, azioni o operazioni che si verificano nel tempo e portano cambiamenti o trasformazioni in organismi, oggetti, idee o fenomeni sociali. Ad esempio, un processo aziendale può includere la ricezione di ordini, la fatturazione, la spedizione dei prodotti o l\'impostazione di un budget di marketing.','Processes',NULL,10,NULL,1931,'Processi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',342),(6866,'Sequenza di passaggi e processi attraverso i quali una parte di lavoro passa dallo stato iniziale al suo completamento. Esempi tratti dal \"ciclo di vita dei dati\" sono: raccolta dei dati, elaborazione dei dati, analisi dei dati, archiviazione dei dati, ecc.','Processes.Workflows','Processes',11,NULL,1932,'Processi: flusso di lavoro','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',342),(6867,'Messaggi derivanti dall\'utilizzo di parole, suoni, segni o comportamenti per trasmettere o scambiare informazioni, idee, pensieri, sentimenti, ecc.','Communications',NULL,12,NULL,1933,'Comunicazioni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',342),(6868,'Comunicazioni indirizzate direttamente a un pubblico che può essere presente (raduni pubblici, manifestazioni politiche, ecc.), oppure ricevere la comunicazione tramite mezzi di trasmissione, stampa o mass media (radio, televisione, stampa o giornali/riviste online), mediante cartelloni pubblicitari, striscioni o altri tipi di segnaletica collocati in modo visibile, oppure tramite social media (messaggi pubblici su Facebook, Twitter e altri).','Communications.Public','Communications',13,NULL,1934,'Comunicazioni: pubbliche','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',342),(6869,'Comunicazioni fatte da un individuo a un altro individuo oppure a un gruppo privato di persone, per scopi diversi dalla ricerca. Ad esempio e-mail, lettere, conversazioni telefoniche, post sui social media con accesso limitato.','Communications.Interpersonal','Communications',14,NULL,1935,'Comunicazioni: interpersonali','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',342),(6870,'Dati preesistenti; dati che sono già stati raccolti e/o utilizzati per un diverso progetto di ricerca.','ResearchData',NULL,15,NULL,1936,'Dati di ricerca','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',342),(6871,'Dati preesistenti che sono stati resi disponibili al pubblico (anche solo in parte).','ResearchData.Published','ResearchData',16,NULL,1937,'Dati di ricerca: pubblicati','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',342),(6872,'Dati preesistenti che non sono stati resi disponibili, interamente o in parte, al pubblico.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Dati di ricerca: non pubblicati','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',342),(6873,'Gruppo di individui che possono essere definiti da una o più caratteristiche comuni: etnia, razza, genere, fascia d\'età, localizzazione o distribuzione geografica, livello di istruzione, livello di reddito o status economico, status professionale, stato di salute o condizioni mediche, oppure che appartengono a comunità specifiche (ad esempio gruppi di interesse o gruppi sui social media) o a reti di persone, ecc.','PopulationGroup',NULL,18,NULL,1939,'Gruppi di popolazione','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',342),(6874,'Un\'area territoriale delimitata per scopi amministrativi, politici, ambientali, ecc. La delimitazione è identificabile tramite coordinate o altri sistemi utilizzati per identificare con precisione la posizione.','GeographicArea',NULL,19,NULL,1940,'Area geografica','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',342),(6875,'Entità naturali o create dall\'uomo con una posizione spaziale determinata. Per esempio, opere d\'arte, costruzioni, campioni di roccia, macchine, ecc. Sono considerati come fonti di dati se i dati descrivono le caratteristiche fisiche dell\'oggetto anziché riportare informazioni codificate in esso.','PhysicalObjects',NULL,20,NULL,1941,'Oggetti fisici','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',342),(6876,'Materiali biologici raccolti da organismi viventi inclusi, ad esempio, campioni biologici di organi umani o animali, cellule o tessuti come capelli, tessuto muscolare o tumorale, fluidi corporei come sangue, urina, saliva, materiale estratto come DNA e RNA, microrganismi, materiale vegetale, ecc. La fonte dei dati sono i campioni stessi, non le misurazioni e/o altri test applicati ad essi.','BiologicalSamples',NULL,21,NULL,1942,'Campioni biologici','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',342),(6877,'Utilizzare quando l\'origine dei dati è conosciuta, ma non è presente nell\'elenco.','Other',NULL,22,NULL,1943,'Altro','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',342),(6878,'Viralliset ja puoliviralliset asiakirjat, joissa luetellaan esimerkiksi asioita, nimiä, tapahtumia, toimintoja tai tuloksia ja jotka on säilytetty kirjoitetussa tai muussa pysyvässä muodossa myöhempää käyttöä varten.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Rekisterit/asiakirjat','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',283),(6879,'Viraston, yrityksen tai muun organisaation esimerkiksi henkilöistä tai ryhmistä keräämää tietoa osana sen normaalia hallinnollista toimintaa. Tällaista tietoa ei yleensä kerätä ensisijaisesti tutkimustarkoituksiin ja se saattaa olla hyvin laajaa ja vaatia käsittelyä, kuten esimerkiksi koodausta, ollakseen tutkijoiden käytettävissä. Esimerkiksi tuloverotukseen liittyvät lomakkeet, väestötietorekisterit, syntymä/kuolintodistukset, patenttihakemukset.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Rekisterit/asiakirjat: hallinnolliset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',283),(6880,'Historialliset asiakirjat säilyttävät tietoa ja toimivat todisteina menneistä tapahtumista. Ne voivat olla yksilöiden, ryhmien tai järjestöjen tuottamia. Hallinnollisista asiakirjoista tulee historiallisia, kun ne tuottanut organisaatio ei enää säilytä tai käytä niitä aktiivisesti alkuperäistä tarkoitusta varten. Esimerkiksi kirkonkirjat, kiinteistöasiakirjat, testamentit, kronikat.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Rekisterit/asiakirjat: historialliset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',283),(6881,'Juridiset ja juridishallinnolliset asiakirjat, kuten oikeuskäsittelyihin, oikeudenkäynteihin ja tuomioistuinten toimintaan liittyvät asiakirjat.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Rekisterit/asiakirjat: juridiset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',283),(6882,'Terveydenhuollon ammattilaisten potilaistaan keräämää tai tuottamaa, terveydentilaan liittyvää tietoa. Esimerkiksi lääketieteellisten kokeiden, testien ja mittausten tulokset, lääkärin tekemän tutkimuksen ja kliinisten tutkimusohjelmien löydökset.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Rekisterit/asiakirjat: lääketieteelliset/kliiniset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',283),(6883,'Tietoa, joka on kerätty osana arviointiprosessia ja esitetään tuloksina. Esimerkiksi oppimiseen ja opiskeluun liittyvät kokeet ja testit, älykkyystestit, ammattien soveltuvuustestit.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Rekisterit/asiakirjat: oppimis-,  soveltuvuus- ja kykytestit','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',283),(6884,'Yrityksen, henkilön, valtion viraston tai muun organisaation tai tahon taloudelliseen toimintaan liittyvät asiakirjat. Esimerkiksi rahoitus- ja tuloslaskelmat, yrityksen taseet ja veroilmoitukset.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Rekisterit/asiakirjat: taloudelliset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',283),(6885,'Henkilöiden tai perheiden muuhun kuin tutkimustarkoituksiin epävirallisesti tuottamat asiakirjat ja dokumentit. Esimerkiksi henkilökohtaiset päiväkirjat tai muistelmat, sukukirjat tai perheraamatut, henkilökohtaisten dokumenttien kokoelmat, valokuvat.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Rekisterit/asiakirjat: henkilökohtaiset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',283),(6886,'Tiedot vaaleissa ehdokkaille annetuista äänistä (vaalitulokset), eduskunnan tai organisaatioiden äänestysten tulokset, kansanäänestykset jne.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Rekisterit/asiakirjat: äänestystulokset','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',283),(6887,'Tapahtumat ovat yleensä yksittäisiä tapauksia, joiden kesto on lyhyt tai rajattu. Tapahtuma on aineistolähde silloin, kun sitä on suoraan havainnoitu tai taltioitu tutkimustarkoituksiin. Vuorovaikutustilanteet ovat tapahtumia, joissa kaksi tai useampi ihminen, ryhmä, esine tai järjestelmä vaikuttaa toisiinsa vastavuoroisesti. Esimerkiksi erilaiset tapaamiset (juhlat, kilpailut, festivaalit, kokoukset), mellakat, terroristihyökkäykset, tietokoneen toiminta (eli tietokoneohjelmien havaitsemat toiminnot tai tapahtumat).','EventsInteractions',NULL,9,NULL,1930,'Tapahtumat/vuorovaikutustilanteet','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',283),(6888,'Prosessit ovat tapahtumien, toimenpiteiden ja toimien sarjoja, jotka tapahtuvat tietyllä ajanjaksolla ja saavat aikaan muutoksia elollisissa olennoissa, asioissa, ideoissa tai yhteiskunnallisissa ilmiöissä. Esimerkiksi liiketoiminnan prosessi voi olla tilausten vastaanotto, laskutus, tuotteiden toimitus tai markkinointibudjetin laatiminen.','Processes',NULL,10,NULL,1931,'Prosessit','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',283),(6889,'Sarja vaiheita ja prosesseja, joiden myötä teos tai kappale siirtyy alullepanosta valmistumiseen.','Processes.Workflows','Processes',11,NULL,1932,'Prosessit: työnkulku','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',283),(6890,'Esimerkiksi sanoin, äänin, merkein, ilmein tai elein tuotettavat viestit, joilla välitetään tai vaihdetaan tietoa, ideoita, ajatuksia, tunteita ym.','Communications',NULL,12,NULL,1933,'Viestintä','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',283),(6891,'Suoraan julkiselle yleisölle osoitetut viestit. Viestit voidaan välittää esimerkiksi kasvokkain (julkiset kokoontumiset, poliittiset tapahtumat), massaviestimillä (radio, televisio, painettu media, verkkolehdet/julkaisut), ulkomainoksilla ja muilla julkisissa tiloissa sijaitsevilla ilmoituksilla tai sosiaalisessa mediassa (julkiset kommentit ja julkaisut Facebookissa, Twitterissä ym.)','Communications.Public','Communications',13,NULL,1934,'Viestintä: julkinen','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',283),(6892,'Henkilön toiselle henkilölle tai ryhmälle osoittamat viestit muissa kuin tutkimustarkoituksissa. Esimerkiksi sähköpostit, kirjeet, puhelinkeskustelut tai tietylle ryhmälle rajatut sosiaalisen median viestit.','Communications.Interpersonal','Communications',14,NULL,1935,'Viestintä: henkilöiden välinen','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',283),(6893,'Olemassa oleva aineisto, joka on jo kerätty aiemmin tai jota on käytetty eri tutkimusta varten. Esimerkiksi metatutkimus.','ResearchData',NULL,15,NULL,1936,'Tutkimusaineisto','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',283),(6894,'Olemassa oleva aineisto, joka on julkisesti saatavilla.','ResearchData.Published','ResearchData',16,NULL,1937,'Tutkimusaineisto: julkaistu','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',283),(6895,'Olemassa oleva aineisto, joka ei ole julkisesti saatavilla.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Tutkimusaineisto: julkaisematon','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',283),(6896,'Ryhmä henkilöitä, joka on rajattavissa yhden tai useamman yhteisen piirteen mukaan: etnisyys, rotu, sukupuoli, ikäryhmä, maantieteellinen sijainti, koulutustaso, tulotaso tai taloudellinen asema, ammatillinen asema, terveydentila, tiettyihin yhteisöihin tai verkostoihin kuuluminen (esim. eturyhmät, sosiaalisen median käyttäjät) jne.','PopulationGroup',NULL,18,NULL,1939,'Väestöryhmä','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',283),(6897,'Alue, joka on rajattu poliittisten, hallinnollisten, ympäristöllisten ym. syiden vuoksi. Rajat ovat määriteltävissä ja tunnistettavissa koordinaatein tai muita tarkkoja paikannusjärjestelmiä käyttäen.','GeographicArea',NULL,19,NULL,1940,'Maantieteellinen alue','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',283),(6898,'Luonnolliset tai ihmisen tekemät paikannettavissa olevat esineet, objektit ja kokonaisuudet. Esimerkiksi taideteokset, rakennelmat, kivinäytteet, koneet jne. Nämä ovat aineistolähteitä silloin, kun aineistossa kuvaillaan esineen/objektin fyysisiä ominaisuuksia eikä sen sisältämää muuta tietoa.','PhysicalObjects',NULL,20,NULL,1941,'Fyysiset objektit','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',283),(6899,'Elollisilta olennoilta kerätty biologinen materiaali, esimerkiksi ihmisten tai eläinten elin-, solu- tai kudosnäytteet, kuten karvat, lihas- tai kasvainkudos; eritteet, kuten veri, virtsa tai sylki; eristetty materiaali, kuten DNA ja RNA; mikro-organismit; kasviaines jne. Käytä, kun näytteet itsessään toimivat aineistolähteenä eivätkä niihin kohdistetut mittaukset ja/tai muut testit.','BiologicalSamples',NULL,21,NULL,1942,'Biologiset näytteet','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',283),(6900,'Käytä mikäli aineiston alkuperä on tiedossa, mutta ei listassa.','Other',NULL,22,NULL,1943,'Muu alkuperä','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',283),(6901,'Officiella, formella eller semi-formella dokument som listar till exempel namn, händelser, handlingar eller resultat och som är bevarade i skrift eller någon annan permanent form för senare användning.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Register/handlingar/förteckningar','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',285),(6902,'Information som samlats in om individer eller grupper som en del av rutinmässiga administrativa förfaranden för en myndighet, företag eller institution. Sådana data samlas vanligtvis inte in med forskningsändamål i åtanke, kan vara omfattande och kräva förberedelser som kodning för att kunna användas av forskare. Exempel: inkomstskatteformulär, befolkningsregister, naturaliseringsregister, födelse-/dödsattester, patentansökningar osv.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Register/handlingar/förteckningar: Administrativa','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',285),(6903,'Historiska handlingar bevarar information och belägger tidigare händelser. De kan skapas av individer, grupper eller organisationer. Administrativa register blir historiska när de inte längre behålls eller används aktivt av den utfärdande verksamheten för sitt ursprungliga syfte. Exempel är kyrkoböcker, bouppteckningar, testamenten, krönikor osv.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Register/handlingar/förteckningar: Historiska','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',285),(6904,'Handlingar rörande lagstiftning och rättsskipning, till exempel handlingar i samband med ärenden som har väckts vid domstol eller nämnd.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Register/handlingar/förteckningar: Juridiska','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',285),(6905,'Hälsorelaterade data skapade eller insamlade av vårdpersonal om en patient. Vanligtvis ingår resultaten från konsultationer, medicinska tester eller kliniska prövningar osv.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Register/handlingar/förteckningar: Medicinska/kliniska','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',285),(6906,'Information insamlad under en utvärderingsprocess och framställd som resultat. Exempel är tentamina, IQ-tester, tester av verbal eller logisk förmåga, utvärderingar av yrkeskompetens osv.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Register/handlingar/förteckningar: Kunskaper/förmågor','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',285),(6907,'Handlingar relaterade till den finansiella verksamheten hos en individ, ett företag, en statlig myndighet eller någon annan organisation eller enhet. Exempel är redovisning av kvarhållen vinst, kassaflöden, resultaträkningar, ett bolags bokföring eller skattedeklarationer.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Register/handlingar/förteckningar: Ekonomiska/finansiella','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',285),(6908,'Handlingar eller förteckningar skapade inofficiellt av individer eller familjer för andra ändamål än forskning. Exempel kan inkludera privata dagböcker eller memoarer, nedteckningar av familjehistoria, familjebiblar, samlingar av personliga dokument, fotografier osv.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Register/handlingar/förteckningar: Personliga','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',285),(6909,'Uppgifter om avgivna röster för kandidater i ett val (även kallat \"valresultat\"), folkomröstningsresultat, organisationers eller parlamentledamöters röster på motioner, propositioner eller förslag osv.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Register/handlingar/förteckningar: Röstresultat','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',285),(6910,'Händelser är vanligtvis enstaka, enskilda händelser, med begränsad eller kort varaktighet. En händelse kan anges som datakälla när den observeras direkt eller registreras för forskning. Interaktioner är händelser där två eller flera personer, grupper, föremål eller system har ömsesidig påverkan eller effekt på varandra. Exempel: typer av sammankomster (ceremonier, tävlingar, festivaler, möten), upplopp, terrorattacker, datorhändelser (dvs handlingar eller händelser som upptäcks av datorprogram) osv.','EventsInteractions',NULL,9,NULL,1930,'Händelser/interaktioner','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',285),(6911,'Processer är sekvenser av händelser, aktiviteter, handlingar eller operationer som sker över tid och leder till förändringar eller omvandlingar av organismer, föremål, idéer eller sociala fenomen. Exempelvis kan en affärsprocess omfatta mottagande av beställningar, fakturering, leverans av produkter eller beslut om marknadsföringsbudget.','Processes',NULL,10,NULL,1931,'Processer','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',285),(6912,'Sekvens av steg och processer som innebär att ett arbete går från att påbörjas till att det slutförs. Exempel från datalivscykeln: datainsamling, databehandling, dataanalys, datalagring osv.','Processes.Workflows','Processes',11,NULL,1932,'Processer: Arbetsflöde(n)','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',285),(6913,'Meddelanden som härrör från aktiviteten eller processen att använda ord, ljud, tecken eller beteenden för att förmedla eller utbyta information, idéer, tankar, känslor osv.','Communications',NULL,12,NULL,1933,'Kommunikation','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',285),(6914,'Kommunikation riktad direkt till en allmän publik, till exempel personligen (offentliga sammankomster, politiska sammankomster osv.), genom etermedia, tryckta medier eller massmedia på Internet (radio-, tv-, eller dagstidningar/tidskrifter i tryckt eller elektroniskt format), med hjälp av skyltar, banderoller eller annan skyltning i det offentliga rummet, eller sociala medier (offentliga inlägg på Facebook, Twitter och andra).','Communications.Public','Communications',13,NULL,1934,'Kommunikation: Offentlig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',285),(6915,'Kommunikation från en person till en annan person eller till en privat grupp av personer, för andra ändamål än forskning. Exempel: e-post, brev, telefonsamtal, inlägg på sociala medier med begränsad åtkomst.','Communications.Interpersonal','Communications',14,NULL,1935,'Kommunikation: Mellanmänsklig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',285),(6916,'Redan existerande data; data som redan har samlats in och/eller använts för ett annat forskningsprojekt.','ResearchData',NULL,15,NULL,1936,'Forskningsdata','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',285),(6917,'Redan existerande data som har gjorts tillgängliga för allmänheten eller delar av den.','ResearchData.Published','ResearchData',16,NULL,1937,'Forskningsdata: Publicerade','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',285),(6918,'Redan existerande data som inte har gjorts tillgängliga för allmänheten eller delar av den.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Forskningsdata: Opublicerade','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',285),(6919,'Grupp av individer som kan definieras av en eller flera gemensamma egenskaper: t.ex. etnicitet, ras, kön, åldersintervall, geografisk plats eller distribution, utbildningsnivå, inkomstnivå eller ekonomisk status, yrkesstatus, hälsotillstånd eller medicinska tillstånd eller som tillhör en definierbar gemenskap (t.ex. speciella intressegrupper eller sociala medier) eller nätverk.','PopulationGroup',NULL,18,NULL,1939,'Befolkningsgrupp','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',285),(6920,'Ett område på jorden, avgränsat administrativt, politiskt, miljömässigt m.m. Avgränsningen är identifierbar via koordinater eller andra system som används för att precist identifiera positionen.','GeographicArea',NULL,19,NULL,1940,'Geografiskt område','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',285),(6921,'Naturliga eller konstgjorda saker med rumslig plats. Till exempel konstverk, byggnader, stenprover, maskiner osv. Dessa betraktas som datakällor om data beskriver de fysiska egenskaperna hos det angivna föremålet snarare än någon information som kodas i det.','PhysicalObjects',NULL,20,NULL,1941,'Fysiska föremål','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',285),(6922,'Biologiska material som samlats in från levande organismer, till exempel biologiska prover av mänskliga eller animaliska organ, celler eller vävnader (som t.ex. hår, muskel- eller tumörvävnad), kroppsvätskor (som t.ex. blod, urin, saliv), extraherat material (som t.ex. DNA och RNA), mikroorganismer, växtämnen osv. Datakällan är själva proverna, inte mätningar och/eller andra tester som utförts på dem.','BiologicalSamples',NULL,21,NULL,1942,'Biologiska prover','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',285),(6923,'Används när datakällan är känd men saknas i listan.','Other',NULL,22,NULL,1943,'Övrigt','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',285),(6924,'Uradni, formalni ali pol formalni seznami dokumentov, na primer enot, imen, dogodkov, dejanj ali rezultatov, ki so ohranjeni v pisni ali kakšni drugi trajni obliki za poznejšo uporabo. ','RegistersRecordsAccounts',NULL,0,NULL,1921,'Registri/ Zapisi/ Računi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',286),(6925,'Informacije o posameznikih ali skupinah, zbrane v okviru vsakodnevnih upravnih postopkov agencij, podjetij ali institucij. Takšni podatki običajno prvotno niso zbrani za raziskovalne namene, lahko so obsežni in lahko zahtevajo določeno pripravo, kot je kodiranje, da jih lahko nato uporabijo raziskovalci. Primeri: obrazci za davek na dohodek, registri prebivalstva, evidence o naturalizaciji, potrdila o rojstvu/smrti, patentne prijave itd.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Registri/ Zapisi/ Računi: administrativni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',286),(6926,'Zgodovinski zapisi ohranjajo informacije in predstavljajo dokaze o preteklih dogodkih. Lahko jih pripravijo posamezniki, skupine ali organizacije. Upravni dokumenti postanejo zgodovinski, ko jih ustanova, ki jih je izdala, ne hrani več oziroma ne služijo več prvotnemu namenu uporabe. Primeri vključujejo župnijske knjige, zemljiške katastre, oporoke, kronike itd.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Registri/ Zapisi/ Računi: zgodovinski','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',286),(6927,'Zapisi, ki se na našajo na zakonodajo in njeno izvajanje, na primer evidenca primerov, ki so bili vloženi na sodišču.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Registri/ Zapisi/ Računi: pravni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',286),(6928,'Zdravstveni podatki, ki jih ustvarijo ali zbirajo zdravstveni delavci o pacientu. Običajno vključujejo rezultate medicinskih preiskav ali meritev, ugotovitve posvetovanj ali programov kliničnega preizkušanja itd.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Registri/ Zapisi/ Računi: zdravstveni/ klinični','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',286),(6929,'Informacije, zbrane tekom izvajanja ocenjevanja in predstavljene kot rezultati. Primeri vključujejo preizkuse znanja, teste inteligentnosti, teste verbalnih in logičnih sposobnosti, preizkuse poklicnih kompetenc in usposobljenosti itd.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Registri/ Zapisi/ Računi: študijski/ sposobnosti','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',286),(6930,'Dokumenti o finančnih dejavnostih podjetij, posameznikov, državnih ustanov ali drugih organizacij oziroma entitet. Primeri so izkazi zadržanega dobička, denarni tok, izkazi poslovnega izida, bilanca stanja družbe in davčna napoved.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Registri/ Zapisi/ Računi: ekonomski/ finančni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',286),(6931,'Dokumenti oziroma poročila, ki so jih neuradno ustvarili posamezniki ali družine za prvotno neraziskovalne namene. Primeri lahko vključujejo zasebne dnevnike ali spomine, družinske knjige ali Biblije, zbirke osebnih dokumentov, fotografije itd.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Registri/ Zapisi/ Računi: osebni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',286),(6932,'Podrobnosti o oddanih glasovih za kandidate na volitvah (tudi \"volilni izidi/rezultati\"), parlamentarnih ali organizacijskih glasovanjih o politikah, pobudah in predlogih, javnih referendumih itd.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Registri/ Zapisi/ Računi: volilni rezultati','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',286),(6933,'Dogodki so običajno enkratni, posamezni pojavi z omejenim ali kratkim trajanjem. Dogodek je lahko naveden kot vir podatkov, ko je neposredno opazovan ali zabeležen v okviru raziskave. Interakcije so dogodki v katerih dva ali več ljudi, skupin, objektov ali sistemov deluje hkrati drug z drugim, pri čemer imajo vzajemen vpliv ali učinek. Primeri: različne vrste zbiranj (slovesnosti, tekmovanja, festivali, srečanja), nemiri, teroristični napadi, računalniški dogodki (to so dejanja ali pojavi, ki jih odkrijejo računalniški programi) itd.','EventsInteractions',NULL,9,NULL,1930,'Dogodki/ Interakcije','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',286),(6934,'Procesi so zaporedja pojavov, dogodkov, aktivnosti, dejanj ali operacij, ki potekajo skozi čas in prinašajo spremembe ali preobrazbe v organizmih, predmetih, idejah ali družbenih pojavih. Na primer, poslovni proces lahko vključuje prejemanje naročil, izdajanje računov, pošiljanje izdelkov ali določanje proračuna za trženje.','Processes',NULL,10,NULL,1931,'Procesi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',286),(6935,'Zaporedje korakov in procesov, po katerih določeno delo poteka od začetka do zaključka (povzeto po Oxfordovem spletnem slovarju: http: // www .oxforddictionaries.com / us / definition / american_english / workflow). Primeri iz življenjskega cikla podatkov: zbiranje podatkov, obdelava podatkov, analiza podatkov, arhiviranje podatkov itd.','Processes.Workflows','Processes',11,NULL,1932,'Procesi: potek(i) dela','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',286),(6936,'Sporočila, ki izhajajo iz dejanja ali procesa uporabe besed, zvokov, znakov ali vedenj za prenos ali izmenjavo informacij, idej, misli, čustev itd. (povzeto po www.merriam-webster.com).','Communications',NULL,12,NULL,1933,'Komunikacije','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',286),(6937,'Sporočanje, namenjeno neposredno javnosti. Na primer, osebno (javna zbiranja, politična zborovanja itd.), s pomočjo oddajnih, tiskanih ali spletnih medijev (radio, televizija, tiskani ali spletni časopisi/revije), s pomočjo oglasnih desk in panojev, pasic ali drugih označb, objavljenih javno ali na družbenih omrežjih (javne objave na Facebooku, Twitterju in drugih).','Communications.Public','Communications',13,NULL,1934,'Komunikacije: javne','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',286),(6938,'Sporočila, ki jih posameznik posreduje drugemu posamezniku ali zasebni skupini oseb, z nameni, ki niso raziskovalni. Na primer e-poštna sporočila, pisma, telefonski pogovori, objave na družbenih omrežjih z omejenim dostopom.','Communications.Interpersonal','Communications',14,NULL,1935,'Komunikacije: medosebne','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',286),(6939,'Že obstoječi podatki; podatki, ki so že bili zbrani in/ali uporabljeni za drug raziskovalni projekt.','ResearchData',NULL,15,NULL,1936,'Raziskovalni podatki','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',286),(6940,'Že obstoječi podatki, ki so že bili na voljo širši javnosti oziroma delu javnosti.','ResearchData.Published','ResearchData',16,NULL,1937,'Raziskovalni podatki: objavljeni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',286),(6941,'Že obstoječi podatki, ki še niso bili na voljo širši javnosti oziroma delu javnosti.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Raziskovalni podatki: neobjavljeni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',286),(6942,'Skupina posameznikov, ki jo je mogoče opredeliti z eno ali več skupnimi značilnostmi: etnična pripadnost, rasa, spol, starostni razred, geografska lokacija ali razdelitev, stopnja izobrazbe, raven dohodka ali ekonomski status, poklicni status, zdravstveno stanje ali zdravstvene težave, pripadnost posebnim skupnostim (npr. posebne interesne skupine ali družbena omrežja) ali mreže itd.','PopulationGroup',NULL,18,NULL,1939,'Populacijska skupina','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',286),(6943,'Ozemlje na Zemlji, razmejeno za namene uprave, politike, okolja itd. Razmejitev je mogoče prepoznati po koordinatah ali drugih sistemih, ki natančno opredeljujejo položaj.','GeographicArea',NULL,19,NULL,1940,'Geografsko območje','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',286),(6944,'Naravni ali umetno ustvarjeni predmeti, ki se fizično nahajajo v prostoru. Na primer, umetniška dela, konstrukcije, vzorci kamnin, stroji itd. Za podatkovne vire se upoštevajo, če podatki opisujejo fizične značilnosti danega predmeta in ne drugih informacij, ki sestavljajo predmet.','PhysicalObjects',NULL,20,NULL,1941,'Fizični predmeti','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',286),(6945,'Biološka gradiva, zbrana iz živih organizmov, vključno z biološkimi vzorci človeških ali živalskih organov, celic ali tkiv, kot so lasje, mišice ali tumorsko tkivo, telesne tekočine, kot so kri, urin, slina, iz živih bitij pridobljena gradiva, kot sta DNA in RNA, mikroorganizmi, rastlinski deli itd. Vir podatkov so vzorci sami, ne meritve in/ali drugi preizkusi, v katerih so ti vzorci uporabljeni.','BiologicalSamples',NULL,21,NULL,1942,'Biološki vzorci','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',286),(6946,'Uporabite, če je vir podatkov znan, a ga ne najdete na seznamu.','Other',NULL,22,NULL,1943,'Drugo','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',286),(6947,'Offisielle, formelle eller semi-formelle dokumentoppføringer av for eksempel gjenstander, navn, hendelser, handlinger eller resultater, og som er bevart skriftlig eller i en annen permanent form for senere referanse.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Register/Registreringer/Oppføringer','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',287),(6948,'Innsamlet informasjon om individer eller grupper som en del av rutinemessige administrative prosedyrer for et byrå, en virksomhet eller institusjon. Slike data er vanligvis ikke innhentet for forskningsformål, kan være omfattende og kan kreve forberedelser slik som koding for å kunne bli benyttet av forskere. For eksempel: Skjema for inntektsskatt, befolkningsregistre, naturaliseringsrate, fødsels-/dødsattester, patentsøknader etc.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Register/Registreringer/Oppføringer: Administrativt','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',287),(6949,'Historiske registreringer bevarer informasjon og konstituerer bevis om tidligere hendelser. De kan være produsert av individer, grupper eller organisasjoner. Administrative registre blir historiske når de ikke lenger bevares eller er i aktiv bruk for sitt originale formål. Eksempler inkluderer kirkebøker, eiendomsregistre, tesatmenter, krøniker etc.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Register/Registreringer/Oppføringer: Historiske','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',287),(6950,'Registreringer knyttet til lovgivning og administrasjon, for eksempel knyttet til saker som har vært ført for en rett eller en domstol.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Register/Registreringer/Oppføringer: Juridiske','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',287),(6951,'Helserelaterte data produsert eller innsamlet av helsepersonell om en pasient. Inneholder vanligvis resultater av medisinske tester eller målinger, funn fra konsultasjoner eller kliniske prøver etc.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Register/Registreringer/Oppføringer: Medisinsk/Klinisk','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',287),(6952,'Informasjon innhentet i en evalueringsprosess og som blir presentert som resultater. Eksempler inkluderer læringstester, IQ-tester, tester av verbale eller logiske resonnementer, kompetansetester for stillinger etc.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Register/Registreringer/Oppføringer: Kunnskap/Ferdighet','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',287),(6953,'Registreringer av finansielle aktiviteter til en virksomhet, person, statlig institusjon eller andre organisasjoner eller enheter. Eksempler inkluderer kunngjøringer om beholdt inntjening, kontantflyt, resultatregnskap, et selskaps balanseregnskap og skattemeldinger.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Register/Registreringer/Oppføringer: Økonomisk/Finansielle','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',287),(6954,'Uoffisielle registreringer eller oppføringer laget av individer eller familier for andre formål enn forskning. Eksempler kan inkludere private dagbøker eller memorarer, familiebøker eller bibler, samling av private dokumenter, bilder etc.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Register/Registreringer/Oppføringer: Personlig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',287),(6955,'Detaljer om stemmegivning for kandidater i et valg (også kjent som \'valgresultat\'), parlamentariske eller organisatoriske stemmegivninger om politiske saker, begjæringer eller forslag, folkeavstemninger etc.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Register/Registreringer/Oppføringer: Valgresultat','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',287),(6956,'Hendelser er vanligvis enkeltstående, individuelle forekomster med begrenset eller kort varighet. En hendelse kan bli oppført som en datakilde når den er direkte observert eller nedtegnet for forskningformål. Interaksjoner er hendelser hvor to eller flere personer, grupper, objekter eller systemer interagerer, og har gjensidig innflytelse eller effekt på hverandre. Eksempler: typer sammenkomster (seremonier, konkurranser, festivaler, møter), opprør, terrorangrep, cyberhendelser (som handlinger eller hendelser oppdaget av dataprogram) etc. ','EventsInteractions',NULL,9,NULL,1930,'Hendelser/Interaksjon','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',287),(6957,'Prosesser er sekvenser av forekomster, hendelser, aktiviteter, handlinger eller operasjoner som foregår over tid og bringer endringer eller transformasjoner i organismer, objekter, ideer eller sosiale fenomen. For eksempel kan en forretningsprosess inneholde ordrebestillinger, fakturering, leveranse, eller å sette markedsføringsbudsjett.','Processes',NULL,10,NULL,1931,'Prosesser','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',287),(6958,'Sekvenser av trinn og prosesser et stykke arbeid går gjennom fra innledning til ferdigstillelse (tilpasset fra Oxford dictionary online: http://www.oxforddictionaries.com/us/definition/american_english/workflow). Eksempler fra data livssyklus: datainnsamling, databehandling, dataanalyse, dataarkivering etc.','Processes.Workflows','Processes',11,NULL,1932,'Prosesser: Arbeidsflyt','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',287),(6959,'Beskjeder som resulterer fra handlingen eller prosessen ved å bruke ord, lyder, tegn eller atferd for å formidle eller utveksle informasjon, ideer, tanker, følelser etc. (tilpasset fra www.merriam-webster.com).','Communications',NULL,12,NULL,1933,'Kommunikasjon','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',287),(6960,'Kommunikasjon adressert direkte til et offentlig publikum, for eksempel personlig (offentlige sammenkomster, politiske samlinger etc.), ved hjelp av kringkasting, trykket massemedia eller massemedia på internett (radio, fjernsyn, trykte aviser eller nettaviser/tidsskrift), ved hjelp av reklametavler, bannere eller annen skilting i det offentlige, eller sosiale medier (offentlige innlegg på Facebook, Twitter og annet).','Communications.Public','Communications',13,NULL,1934,'Kommunikasjon: Offentlig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',287),(6961,'Kommunikasjon fra et individ til et annet individ, eller private grupper med personer, for andre formål enn forskning. For eksempel e-poster, brev, telefonsamtaler, innlegg på sosiale medier med begrenset tilgang.','Communications.Interpersonal','Communications',14,NULL,1935,'Kommunikasjon: Mellommenneskelig','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',287),(6962,'Eksisterende data; data som allerede er innsamlet og/eller brukt i forbindelse med et annet forkningsprosjekt.','ResearchData',NULL,15,NULL,1936,'Forskningsdata','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',287),(6963,'Eksisterende data som er tilgjengeliggjort for offentligheten, eller deler av den.','ResearchData.Published','ResearchData',16,NULL,1937,'Forskningsdata: Publisert','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',287),(6964,'Eksisterende data som ikke er tilgjengeliggjort for offentligheten, eller deler av den.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Forskningsdata: Upublisert','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',287),(6965,'Gruppe av individer som kan bli definert av en eller flere sammenfallende egenskaper: etnisitet, rase, kjønn, aldersgruppe, geografisk lokasjon eller distribusjon, utdanningsnivå, inntektsnivå eller økonomisk status, yrkesstatus, helsetilstand eller medisinsk tilstand, eller tilhørighet til spesifikke grupper (f.eks.: spesielle interessegrupper eller sosiale medier), eller nettverk etc.','PopulationGroup',NULL,18,NULL,1939,'Populasjonsgruppe','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',287),(6966,'Et område på jordkloden, avgrenset for administrasjons-, politiske- og/eller miljøhensyn etc. Avgrensingen er identifiserbar via koordinater eller andre systemer for å presist identifisere posisjon.','GeographicArea',NULL,19,NULL,1940,'Geografisk område','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',287),(6967,'Naturlige eller menneskeskapte enheter med romlige lokaliseringer. For eksempel kunstverk, konstruksjoner, steinprøver, maskiner etc. Disse er betraktet som datakilder dersom data beskriver den fysiske karakteristikken av det gitte objektet framfor hvilken informasjon kodet i den.','PhysicalObjects',NULL,20,NULL,1941,'Fysiske objekter','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',287),(6968,'Biologisk materiale innsamlet fra levende organismer, inkludert for eksempel biologiske prøver av menneske- eller dyreorganer, celler eller vev slik som hår-, muskel- eller svulstvev, kroppsvæsker som blod, urin, spytt, utvunnet DNA og RNA, mikroorganismer, plantematerie etc. Datakilden er prøvene i seg selv, ikke målinger og/eller utførte tester på dem.','BiologicalSamples',NULL,21,NULL,1942,'Biologiske prøver','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',287),(6969,'Bruk når datakilden er kjent, men ikke funnet i listen.','Other',NULL,22,NULL,1943,'Annet','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',287),(6971,'A população-alvo é subdividida em segmentos separados e mutuamente exclusivos, de acordo com alguns critérios de quotas predefinidos. A distribuição dos critérios nos quais as quotas se constituem (rácio de género/idade/etnia ou de outras características, como religião, educação, etc.) destina-se a refletir a estrutura real da população-alvo ou a estrutura desejada da população de estudo. Amostras não probabilísticas são então extraídas de cada segmento até que um número específico de unidades seja atingido. Por exemplo, se a população-alvo for constituída por 45% género feminino e 55% género masculino, uma amostra proporcional por quotas terá as mesmas percentagens de género, enquanto numa amostra não proporcional por quotas as percentagens serão diferentes, com base em alguma consideração relacionada com o estudo (por exemplo, a necessidade de sobreamostragem de certos segmentos sub-representados da população).','Nonprobability.Quota','Nonprobability',14,NULL,NULL,'Não Probabilística: Por Quotas','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',374),(6972,'Desenho de amostra que combina a amostragem probabilística e a não probabilística no mesmo processo de amostragem. Diferentes tipos de amostragem podem ser usados em diferentes etapas de construção da amostra. Por exemplo, para uma amostra de estudantes provenientes de minorias existentes numa cidade, as escolas são selecionadas aleatoriamente numa primeiro fase/etapa. De seguida, uma amostra por quotas de alunos é selecionada dentro de cada escola numa segunda fase/etapa. Se forem retiradas amostras separadas da mesma população-alvo usando diferentes métodos de amostragem, o tipo de procedimento de amostragem usado para cada amostra deve ser classificado separadamente.','MixedProbabilityNonprobability',NULL,16,NULL,NULL,'Mista: probabilística e não probabilística','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',374),(6973,'As unidades de amostra de uma população-alvo são identificadas com o auxílio de unidades já selecionadas (adaptado de \"Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014). Um caso típico é a amostragem \"bola de neve\", na qual o investigador identifica um grupo de unidades que corresponde a um critério específico de elegibilidade. De seguida, as unidades desse grupo são convidadas a nomear/identificar outros membros da mesma população que preencham o mesmo critério de elegibilidade (amostragem de populações específicas como migrantes, etc.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,NULL,'Não Probabilística: \"bola de neve\"','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',374),(6974,'Dados recolhidos repetidamente ao longo do tempo para permitir estudar a mudança numa população. Pelo menos algumas das questões ou módulos são repetidos ao longo das séries/vagas. Usar o termo geral quando nenhum dos subtermos for adequado.','Longitudinal',NULL,0,NULL,NULL,'Longitudinal','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',375),(6975,'Dados recolhidos ao longo do tempo da mesma coorte de respondentes. Os indivíduos da coorte estão conectados de alguma forma ou compartilharam alguma experiência significativa num determinado período. Em alguns casos, as amostras podem diferir entre as séries/vagas, mas são retiradas da mesma coorte. Exemplos: ano de nascimento, doença (ensaios clínicos), problema comum (estudos de intervenção), educação, emprego, formação familiar, participação num evento.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,NULL,'Longitudinal: Coorte/baseado em eventos','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',375),(6976,'Dados recolhidos de diferentes amostras ou de diferentes grupos de pessoas da mesma população em vários pontos no tempo, usando pelo menos parcialmente o mesmo conjunto de perguntas/variáveis. As conclusões são extrapoladas para a população. Exemplos: European Social Survey (ESS), inquéritos longitudinais de âmbito nacional sobre crimes.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,NULL,'Longitudinal: Tendência/Transversal repetido','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',375),(6977,'Dados recolhidos ao longo do tempo da mesma amostra de respondentes. Diferencia-se dos dados baseados em coorte/evento, no sentido em que a seleção dos entrevistados não resulta de estarem de alguma forma conectados, nem de terem compartilhado alguma experiência significativa.','Longitudinal.Panel','Longitudinal',3,NULL,NULL,'Longitudinal: Painel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',375),(6978,'Dados recolhidos de um painel de respondentes numa base regular.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,NULL,'Longitudinal: Painel: Contínuo','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',375),(6979,'Dados recolhidos de um painel de respondentes somente quando a informação é necessária.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,NULL,'Longitudinal: Painel: Intervalo','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',375),(6980,'Dados recolhidos repetidamente ao longo do tempo para estudar a mudança nas observações. Referem-se normalmente a medições \"objetivas\" de fenómenos que podem ser observados externamente, em oposição a atitudes/opiniões ou sentimentos. Exemplos podem incluir indicadores económicos/financeiros, fenómenos naturais/meteorológicos, estatísticas vitais, etc.','TimeSeries',NULL,6,NULL,NULL,'Séries Temporais','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',375),(6981,'As medições são realizadas são realizadas de forma contínua. Exemplos: detectores de mentiras, electrocardiograma, etc.','TimeSeries.Continuous','TimeSeries',7,NULL,NULL,'Séries Temporais: Contínuas','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',375),(6982,'As medições são feitas em intervalos espaçados, normalmente regulares. Exemplos: macroeconomia (preços semanais das ações, lucros mensais, vendas); meteorologia (temperatura horária); medições aos indivíduos (pressão arterial, peso, altura); sociologia (estatísticas criminais, estatísticas de emprego), etc.','TimeSeries.Discrete','TimeSeries',8,NULL,NULL,'Séries Temporais: Discretas','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',375),(6983,'Dados recolhidos a partir da observação dos sujeitos dentro do período do estudo, sem ter em conta as mudanças ao longo do tempo. Pode incluir mais do que um período de recolha de dados. A análise transversal de dados consiste geralmente em comparar as diferenças e semelhanças entre os sujeitos.','CrossSection',NULL,9,NULL,NULL,'Transversal (ou cross-section)','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',375),(6984,'Dados recolhidos num determinado momento para completar as informações recolhidas num estudo transversal anterior; a decisão de recolher dados follow-up (de acompanhamento) não estava incluída na concepção inicial do estudo.','CrossSectionAdHocFollowUp',NULL,10,NULL,NULL,'Transversal de acompanhamento (ad-hoc follow-up)','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',375),(6986,'Usar se a dimensão temporal for conhecida, mas não se encontrar na lista.','Other',NULL,11,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',375),(6987,'Usar quando os itens comparados têm conteúdo idêntico. Para variáveis, por exemplo, todos os elementos da descrição de uma variável (nome da variável, label, texto da questão, valores e códigos de categoria, universo, conceito) serão idênticos na forma.','Identical',NULL,0,NULL,NULL,'Idêntico','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Identical',384),(6988,'Usar quando os itens comparados têm conteúdo semelhante, mas não idêntico. Para variáveis, por exemplo, alguns dos elementos da descrição de uma variável (nome da variável, label, texto da questão, valores e códigos de categoria, universo, conceito) serão idênticos na forma, enquanto outros serão diferentes.','Some',NULL,1,NULL,NULL,'Algum','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Some',384),(6989,'Normalmente não é usado, pois não seria esperado comparar itens que não têm nada em comum. Este termo foi necessário para completar as diferentes possibilidades de grau de similitude entre os itens e pode ser usado em casos especiais, consoante as necessidades do utilizador (por exemplo, quando a comparabilidade era expectável, mas não foi encontrada).','None',NULL,2,NULL,NULL,'Nenhum','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#None',384),(6990,'Conjunto de questões pré-determinadas apresentadas aos participantes do estudo.','Questionnaire',NULL,0,NULL,NULL,'Questionário','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',376),(6991,'Conjunto de questões pré-determinadas, das quais a grande maioria são fechadas, embora possa haver uma pequena proporção de questões abertas.','Questionnaire.Structured','Questionnaire',1,NULL,NULL,'Questionário estruturado','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',376),(6992,'Conjunto de questões pré-determinadas, das quais uma parte significativa são abertas (cerca de um terço a dois terços), sendo as restantes fechadas.','Questionnaire.Semistructured','Questionnaire',2,NULL,NULL,'Questionário semiestruturado','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',376),(6993,'Conjunto de questões pré-determinadas, das quais a grande maioria são abertas, embora possa haver uma pequena proporção de questões fechadas.','Questionnaire.Unstructured','Questionnaire',3,NULL,NULL,'Questionário aberto/não estruturado','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',376),(6994,'Temas, tópicos e/ou questões usados numa entrevista. Pode variar entre temas vagamente definidos para questões mais especificamente formuladas. Há mais flexibilidade do que num questionário não estruturado relativamente a que questões são colocadas a cada participante e como elas são abordadas.','InterviewSchemeAndThemes',NULL,4,NULL,NULL,'Esquema/temas de entrevista','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',376),(6995,'Orientações ou instruções sobre os métodos e procedimentos a utilizar para recolher os dados. Se possível, usar um termo mais específico.','DataCollectionGuidelines',NULL,5,NULL,NULL,'Orientações para a recolha de dados','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',376),(6996,'Orientações ou instruções sobre o que será observado. Dependendo da concepção do estudo, uma grelha de observação pode ser mais ou menos estruturada, variando de especificações exatas e escalas a ideias formuladas de uma forma vaga.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,NULL,'Orientações para a recolha de dados: Grelha de observação','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',376),(6998,'Orientações ou instruções sobre o conteúdo esperado ou desejado de relatos ou narrativas pessoais de potenciais participantes. As instruções podem ser fornecidas como parte do guião ou separadamente. Por exemplo, um convite pedindo/solicitando às pessoas que sofrem de uma doença específica ou incapacidade/limitação para descrever como isso afeta os sentimentos, as relações sociais e a vida quotidiana; ou um convite por escrito pedindo às pessoas para manterem um diário dos livros lidos durante um período de seis meses e dos pensamentos por eles suscitados.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,NULL,'Orientações para a recolha de dados: Guião para registos  de autopreenchimento','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',376),(6999,'Orientações ou instruções para uma discussão de grupo. Dependendo da concepção do estudo, um guião de discussão pode ser mais ou menos estruturado, variando de questões especificamente formuladas a ideias gerais sobre o que discutir/debater. Por exemplo, uma lista de tópicos a serem discutidos num grupo de foco, ou temas formulados por um investigador para orientar uma discussão num blog, etc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,NULL,'Orientações para a recolha de dados: Guião de debate','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',376),(7000,'Orientações ou instruções que especificam que dados devem ser recolhidos de fontes anteriormente existentes criadas originalmente para outros fins. Por exemplo, instruções sobre como selecionar e codificar dados de fontes qualitativas para criar um conjunto de dados quantitativos.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,NULL,'Orientações para a recolha de dados: Guião para recolha de dados secundários','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',376),(7001,'Descrição das tarefas que os participantes são convidados a realizar como parte do processo de recolha de dados. Por exemplo, marcar lugares num mapa, tirar fotografias, contar uma história infantil, etc.','ParticipantTasks',NULL,10,NULL,NULL,'Tarefas para os participantes','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',376),(7002,'Instrumentos usados para recolher dados objetivos, como medições, imagens, etc. Por exemplo, cronómetros, balanças, velocímetros, monitores de pressão arterial, termómetros, máquinas de raio-x, etc.','TechnicalInstruments',NULL,11,NULL,NULL,'Instrumento(s) técnico(s)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',376),(7003,'Script de programação escrito numa linguagem de pesquisa de dados, que é usado para extrair dados específicos, nomeadamente de redes sociais online.','ProgrammingScript',NULL,12,NULL,NULL,'Script/Esquema de programação','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',376),(7004,'Usar se o tipo de instrumento for conhecido, mas não se encontrar na lista.','Other',NULL,13,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',376),(7005,'Média matemática de um conjunto de valores. A média é calculada por meio da soma de dois ou mais valores, dividindo o total pelo seu número. Nas ciências sociais e políticas, geralmente é a soma das observações dividida pelo número de sujeitos, ou casos.','ArithmeticMean',NULL,0,NULL,NULL,'Média aritmética','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',383),(7006,'Valor médio de todos os dados, extraindo a raiz n-ésima do produto de todos (n) os elementos. Raramente é usada nas ciências sociais.','GeometricMean',NULL,1,NULL,NULL,'Média geométrica','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',383),(7007,'Valor médio de todos os dados calculado como a razão entre o número de elementos e a soma do inverso desses elementos, ou seja, como a recíproca da média aritmética dos recíprocos dos valores. Raramente é usada nas ciências sociais.','HarmonicMean',NULL,2,NULL,NULL,'Média harmónica (ou média subcontrária)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',383),(7008,'A média (aritmética) calculada após excluir determinada percentagem dos valores mais altos e mais baixos (por exemplo, a média interquartil quando os 25% mais baixos e os 25% mais altos são descartados e a média dos valores restantes é calculada).','TrimmedMean',NULL,3,NULL,NULL,'Média aparada','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',383),(7009,'Fornece uma estimativa de quanto a média da amostra difere da média real da população.','StandardErrorOfMean',NULL,4,NULL,NULL,'Erro padrão da média','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',383),(7010,'O valor observado com mais frequência num conjunto de dados.','Mode',NULL,5,NULL,NULL,'Moda','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',383),(7011,'O valor do meio de um conjunto de dados organizado por ordem ascendente. Metade dos valores estão abaixo da mediana e a outra metade acima. Se o conjunto tiver um número par de valores, a mediana será a média dos dois valores do meio.','Median',NULL,6,NULL,NULL,'Mediana','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',383),(7012,'Casos com observações consideradas válidas, isto é, fornecendo informações substanciais e a serem incluídas nos cálculos.','ValidCases',NULL,7,NULL,NULL,'Casos válidos','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',383),(7013,'Casos considerados ou definidos como \"missing values\" (por exemplo, dados não apurados, não aplicáveis, etc.), geralmente excluídos dos cálculos.','InvalidCases',NULL,8,NULL,NULL,'Casos inválidos','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',383),(7014,'O menor valor válido de uma variável.','Minimum',NULL,9,NULL,NULL,'Mínimo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',383),(7015,'O maior valor válido de uma variável.','Maximum',NULL,10,NULL,NULL,'Máximo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',383),(7016,'O intervalo de valores válidos, ou seja, todos os valores que se encontram entre os valores válidos mais baixo e mais alto.','Range',NULL,11,NULL,NULL,'Intervalo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',383),(7017,'A soma ou o total dos valores, considerando os casos válidos.','Sum',NULL,12,NULL,NULL,'Soma','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',383),(7018,'A variância é a média dos quadrados dos desvios de uma variável em torno do seu valor médio. Ela reflete a dispersão de uma distribuição de frequências em torno da sua média (OECD Glossary of Statistics).','Variance',NULL,13,NULL,NULL,'Variância','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',383),(7019,'Usar se o tipo de estatística sumária for conhecido, mas não se encontrar na lista.','Other',NULL,43,NULL,NULL,'Outro','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',383),(7020,'O primeiro dos três valores que separam a frequência total de uma distribuição em quatro partes iguais.','FirstQuartile',NULL,18,NULL,NULL,'Primeiro quartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',383),(7021,'O segundo dos três valores que separam a frequência total de uma distribuição em quatro partes iguais. (= mediana).','SecondQuartile',NULL,19,NULL,NULL,'Segundo quartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',383),(7022,'O terceiro dos três valores que separam a frequência total de uma distribuição em quatro partes iguais.','ThirdQuartile',NULL,20,NULL,NULL,'Terceiro quartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',383),(7023,'O intervalo entre os valores do primeiro e do terceiro quartil.','InterquartileRange',NULL,21,NULL,NULL,'Amplitude interquartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',383),(7024,'O primeiro dos quatro valores que separam a frequência total de uma distribuição em cinco partes iguais.','FirstQuintile',NULL,22,NULL,NULL,'Primeiro quintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',383),(7025,'O segundo dos quatro valores que separam a frequência total de uma distribuição em cinco partes iguais.','SecondQuintile',NULL,23,NULL,NULL,'Segundo quintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',383),(7026,'O terceiro dos quatro valores que separam a frequência total de uma distribuição em cinco partes iguais.','ThirdQuintile',NULL,24,NULL,NULL,'Terceiro quintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',383),(7027,'O quarto dos quatro valores que separam a frequência total de uma distribuição em cinco partes iguais.','FourthQuintile',NULL,25,NULL,NULL,'Quarto quintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',383),(7028,'O intervalo entre os valores do primeiro e do quarto quintil.','InterquintileRange',NULL,26,NULL,NULL,'Amplitude interquintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',383),(7029,'O primeiro dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','FirstDecile',NULL,27,NULL,NULL,'Primeiro decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',383),(7030,'O segundo dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','SecondDecile',NULL,28,NULL,NULL,'Segundo decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',383),(7031,'O terceiro dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','ThirdDecile',NULL,29,NULL,NULL,'Terceiro decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',383),(7032,'O quarto dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','FourthDecile',NULL,30,NULL,NULL,'Quarto decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',383),(7033,'O quinto dos nove valores que separam a frequência total de uma distribuição em dez partes iguais. (= mediana).','FifthDecile',NULL,31,NULL,NULL,'Quinto decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',383),(7034,'O sexto dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','SixthDecile',NULL,32,NULL,NULL,'Sexto decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',383),(7035,'O sétimo dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','SeventhDecile',NULL,33,NULL,NULL,'Sétimo decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',383),(7036,'O oitavo dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','EighthDecile',NULL,34,NULL,NULL,'Oitavo decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',383),(7037,'O nono dos nove valores que separam a frequência total de uma distribuição em dez partes iguais.','NinthDecile',NULL,35,NULL,NULL,'Nono decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',383),(7038,'O intervalo entre os valores do primeiro e do nono decil.','InterdecileRange',NULL,36,NULL,NULL,'Amplitude interdecil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',383),(7039,'Um percentil não abrangido por nenhum outro termo relacionado com os percentis.','OtherPercentile',NULL,37,NULL,NULL,'Outro percentil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',383),(7040,'Medida de assimetria da distribuição das frequências de uma variável.','Beta1',NULL,38,NULL,NULL,'Obliquidade (ou assimetria)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',383),(7041,'Medida para o \"pico\" da distribuição das frequências de uma variável.','Beta2',NULL,39,NULL,NULL,'Curtose (ou achatamento)','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',383),(7042,'Teste de normalidade estatística.','ShapiroWilk',NULL,40,NULL,NULL,'Shapiro-Wilk','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',383),(7043,'Indica a percentagem de casos válidos do número total de casos.','PercentageOfValidCases',NULL,41,NULL,NULL,'Percentagem de casos válidos','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',383),(7044,'Indica a percentagem de casos inválidos do número total de casos.','PercentageOfInvalidCases',NULL,42,NULL,NULL,'Percentagem de casos inválidos','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',383),(7045,'Desvio padrão dividido pela média.','CoefficientOfVariation',NULL,15,NULL,NULL,'Coeficiente de variação','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',383),(7046,'Indica em que medida os indivíduos de uma amostra diferem da média da mesma.','StandardDeviation',NULL,14,NULL,NULL,'Desvio padrão','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',383),(7047,'A média das diferenças absolutas entre cada valor e a média geral. Medida de dispersão estatística em torno da média, alternativa ao desvio padrão.','AverageAbsoluteDeviation',NULL,16,NULL,NULL,'Desvio absoluto médio','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',383),(7048,'O desvio absoluto mediano da mediana. Medida de dispersão estatística em torno da mediana.','MedianAbsoluteDeviation',NULL,17,NULL,NULL,'Desvio absoluto mediano','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',383),(7050,'Jede Einheit, die räumlich als geographisches Gebiet definiert werden kann, mit einer entweder natürlichen (physischen) oder administrativen Grenze.','GeographicUnit',NULL,7,1235,5831,'Geographische Einheit',NULL,385),(7051,'Eine Person oder eine Gruppe von Personen, die die gleiche Wohneinheit und gemeinsame Wohnverhältnisse teilen. Diese gemeinsamen Wohnverhältnisse können das Zusammenbringen einiger oder aller ihrer Einkommen und ihres Vermögens beinhalten und bestimmte Arten von Waren und Dienstleistungen zusammenführen, vor allem Wohnraum und Lebensmittel.','Household',NULL,4,1232,5822,'Haushalt',NULL,385),(7052,'Eine Wohneinheit ist ein Haus, eine Wohnung, ein Wohnmobil, eine Gruppe von Räumen oder ein Einzelzimmer, sie wird bewohnt (oder wenn sie leer ist, aber für das Wohnen bestimmt ist) als eine geschlossene Wohneinheit.Geschlossene Wohneinheiten sind diejenigen, in denen die Bewohner getrennt von allen anderen Personen im Gebäude leben und essen und die einen direkten Zugang vonaußendes Gebäudes oder durch einen gemeinsamen Flur haben.','HousingUnit',NULL,5,1233,5830,'Wohneinheit',NULL,385),(7054,'Verwenden Sie diese Kategorie, wenn die Analyseeinheit bekannt, aber nicht in der Liste vertreten ist.','Other',NULL,17,1240,5825,'Sonstiges',NULL,385),(7056,'Jede Art von Ereignis, Vorfall oder Aktivität. Ereignisse sind in der Regel einmalige, einzelne Vorkommnisse, mit einer begrenzten oder kurzen Dauer. Beispiele sind: Straftaten, Tumulte, Treffen, Wahlen, Sportwettkämpfe, Terroranschläge, Naturkatastrophen wie Überschwemmungen usw. Prozesse finden typischerweise im Verlauf der Zeit statt und können mehrere \'Ereignisse\' oder allmähliche Veränderungen beinhalten, die letztendlich oder voraussichtlich zu einem bestimmten Ergebnis führen. Beispiele: Gerichtsverfahren, strafrechtliche Ermittlungen, politische Kampagnen, medizinische Behandlungen, Bildung, Athletenausbildung usw.','EventOrProcessOrActivity',NULL,6,1234,5823,'Ereignis/ Prozess',NULL,385),(7057,'Jegliche Art von Zeitspanne: Jahr, Woche, Monat, Tag oder zweimonatliche oder vierteljährliche Zeitspannen,etc.','TimeUnit',NULL,9,1236,5826,'Zeiteinheit',NULL,385),(7058,'Jede Art von formaler Verwaltungsstruktur und funktionaler Struktur - schließt Verbände, Institutionen, Agenturen, Unternehmen, politische Parteien, Schulen usw. ein.','OrganizationOrInstitution',NULL,1,1229,5821,'Organisation',NULL,385),(7061,'Alle nicht lebenden Stoffe, die eine unabhängige Existenz haben und durch Sinne wahrgenommen werden können. Beispiele: Kunstobjekte (Gemälde, Skulpturen, etc.) oder Waffen oder Fahrzeuge usw.','Object',NULL,16,1239,5824,'Objekt',NULL,385),(7064,'Former for formelle administrative og funksjonelle strukturerer - inkluderer foreninger, institusjoner, foretak, bedrifter, politiske partier, skoler etc. Data er samlet om organisasjoner eller institusjoner selv om spørsmålene er besvart av individer. For eksempel data om virksomheters miljøpolitikk, data om opptak eller avgangsgrader ved nasjonale universitet, etc.','OrganizationOrInstitution',NULL,1,4590,5821,'Organisasjon/Institusjon','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',386),(7066,'En person eller en gruppe av personer som har samme boligenhet og leveforhold. Disse felles leveforholdene kan inkludere at deler av, eller alt av inntekt og eiendom er felles, og at visse type varer og tjenester konsumeres i fellesskap, hovedsakelig bosted og mat (Eurostat).','Household',NULL,4,4587,5822,'Husholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',386),(7067,'Tidsperiode: år, uke, måned, dag, annenhver måned eller kvartal etc.','TimeUnit',NULL,9,4591,5826,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',386),(7068,'Enhver form for hendelse, begivenhet eller aktivitet. Hendelser er som oftest enkeltstående med begrenset eller kort varighet. For eksempel: kriminell handling, opptøyer, møter, valg, idrettsbegivenheter, terroristangrep, naturkatastrofer osv. Prosesser finner som regel sted over tid, og kan inkludere flere \'hendelser\' eller gradvise endringer som etterhvert fører til, eller er anslått å føre til, et bestemt resultat. For eksempel: rettsaker, kriminaletterforskning, politiske kampanjer, medisinsk behandling, utdanning, idrettsutøveres treninger etc. Bruk når selve fokuset er mer på hendelsen, prosessen eller aktiviteten. For eksempel: feltobservasjonsstudie på spillemaskiner; eller data samlet inn om barnemishandlingssaker, med hensyn til type og varigheten til mishandlingen og rollen personer involvert har etc.','EventOrProcessOrActivity',NULL,6,4582,5823,'Hendelse/prosess/aktivitet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',386),(7069,'Benytt hvis analyseenheten er kjent, men ikke finnes i listen.','Other',NULL,17,4583,5825,'Annet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',386),(7070,'Enhver enhet som romlig kan defineres som et geografisk område, med enten naturlige (fysiske) eller administrative grenser. For eksempel: data om boligsalg, landskapsforandringer, nye konstruksjoner eller endringer i den demografiske sammensetningen i bestemte regioner eller distrikter.','GeographicUnit',NULL,7,4581,5831,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',386),(7072,'Noe fysisk, men ikke levende som eksisterer som en uavhengig enhet og som kan oppfattes av sansene. For eksempel: kunst (malerier, skulpturer osv.), våpen, kjøretøy etc.','Object',NULL,16,4592,5824,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',386),(7073,'USAs folketelling: En boenhet er et hus, en leilighet, et mobilt hjem (campingvogn), eller ett eller flere rom som er bebodd (eventuelt ledig, men som er ment å være bebodd), som adskilte enheter. Med adskilte enheter menes det at personer bor og spiser uavhengig av andre personer i samme boenhet, og som har direkte tilgang til enheten utenfra, eller gjennom en felles inngang.','HousingUnit',NULL,5,4580,5830,'Boenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',386),(7076,'Käytä mikäli havaintoyksikkö on tiedossa, mutta ei löydy sanastosta.','Other',NULL,17,1203,5825,'Muu havaintoyksikkö/aineistoyksikkötyyppi','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',387),(7077,'Minkä mittainen aikajakso tahansa: sekunti, tunti, vuorokausi, viikko, kuukausi, vuosi yms.','TimeUnit',NULL,9,1199,5826,'Aikajakso','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',387),(7078,'Mikä tahansa maantieteellisesti määriteltävissä oleva alue, jolla on joko luontaiset fyysiset rajat tai hallinnolliset rajat. Esimerkiksi muutokset tiettyjen alueiden väestössä tai asuntojen myyntiluvut tai rakennusluvat tietyllä alueella.','GeographicUnit',NULL,7,1198,5831,'Maantieteellinen yksikkö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',387),(7079,'Kotitalouden muodostaa yksi henkilö tai ryhmä henkilöitä, jotka asuvat yhdessä ja joilla on kokonaan tai osittain yhteinen ruokatalous tai jotka muuten käyttävät tulojaan ja varallisuuttaan ainakin osittain yhdessä.','Household',NULL,4,1195,5822,'Kotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',387),(7080,'Mikä tahansa hallinnollinen tai toiminnallinen organisaatio, esimerkiksi järjestö, koulu, instituutti, toimisto, yritys, poliittinen puolue, jne. Kysymykset kohdistuvat itse organisaatioon vaikka vastaajina ovatkin yksittäiset henkilöt. Esimerkiksi tutkittaessa yritysten ympäristöpolitiikkaa tai korkeakouluista valmistuneiden määriä suhteessa opiskelijoihin jne.','OrganizationOrInstitution',NULL,1,1192,5821,'Organisaatio','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',387),(7081,'Asuntokunta voi sijaita talossa, huoneistossa, asuntovaunussa, tai asunnon tietyssä huoneessa tai huoneissa. Asuntokunnnan asuintilassa elävillä henkilöillä on oma erillinen ruokataloutensa ja järjestelynsä. Yhdessä asunnossa voi olla useampia asuntokuntia. Esimerkiksi soluasunnoissa asuvilla opiskelijoilla voi kullakin olla oma ruoka- ja asuntokuntansa. Termi käytössä etenkin Yhdysvalloissa.','HousingUnit',NULL,5,1196,5830,'Asuntokunta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',387),(7083,'Mikä tahansa konkreettinen, eloton esine/kohde, joka voidaan aistein havaita. Esimerkiksi taideteokset (veistokset, maalaukset), aseet, ajoneuvot jne.','Object',NULL,16,1202,5824,'Eloton objekti/esine','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',387),(7085,'Tapahtuma, tapahtumasarja, toiminta tai prosessi. Tapahtumat ovat usein lyhytaikaisia ja kertaluonteisia, esimerkiksi mellakat, kokoukset, urheilukilpailut, terroristihyökkäykset ja luonnonkatastrofit. Prosessit ovat tyypillisesti pidempikestoisia, voivat sisältää useampia tapahtumia tai vähittäisiä muutoksia, jotka lopuksi johtavat tiettyyn tulokseen. Esimerkiksi oikeusjutut, rikostutkimukset, poliittiset kampanjat, kuntoutushoidot, koulutus. Tapahtuma/prosessi/toiminta -termiä käytetään silloin, kun tutkimuksessa keskitytään kyseiseen tapahtumaan, prosessiin tai toimintaan, ei henkilöihin sinänsä. Esimerkiksi havainnointitutkimus peliautomaattipelaamisesta; tutkimus lasten pahoinpitelytapauksista, niiden tyypistä ja kestosta, osallistuvien henkilöiden roolista niissä.','EventOrProcessOrActivity',NULL,6,1197,5823,'Tapahtuma/prosessi/toiminta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',387),(7087,'En bostadsenhet är ett hus, en lägenhet, en husvagn, eller ett eller flera rum som bebos (eller, om den är tom, är avsett att bebos) som avskild inkvartering. Med avskild inkvartering menas att de som är inkvarterade där bor och äter avskiljt från andra personer i byggnaden och kan komma in direkt utifrån eller via en gemensam entré (U.S. Census).','HousingUnit',NULL,5,1270,5830,'Bostadsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',388),(7091,'En tidsperiod: år, månad, vecka, dag, kvartal, tvåmånaders period, e.dyl.','TimeUnit',NULL,9,1273,5826,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',388),(7092,'Använd om analysenheten är känd men saknas i listan.','Other',NULL,17,1277,5825,'Övrigt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',388),(7093,'Något fysiskt men icke levande som existerar som en oberoende enhet och kan uppfattas av sinnena. Exempel: konstföremål (tavlor, skulpturer, o.dyl.), vapen, fordon m.m.','Object',NULL,16,1276,5824,'Föremål','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',388),(7094,'En enhet som kan definieras spatialt som ett geografiskt område med antingen naturliga (fysiska) eller administrativa gränser. Till exempel data om husförsäljning, landskapsförändringar, nybyggen eller förändringar av den demografiska sammansättningen i vissa regioner eller distrikt.','GeographicUnit',NULL,7,1272,5831,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',388),(7095,'Någon typ av företeelse, tilldragelse eller aktivitet. Händelser är vanligtvis enstaka företeelser med begränsad eller kort varaktighet. Exempel: brott, upplopp, möten, val, idrottstävlingar, terroristangrepp, naturkatastrofer som översvämningar o.dyl. Processer utspelar sig vanligtvis över tid och kan omfatta flera \"händelser\" eller gradvisa förändringar som slutligen resulterar i, eller kan tänkas resultera i, en visst utgång. Exempel: rättegångar, brottsutredningar, politiska kampanjer, medicinska behandlingar, utbildning, en idrottsutövares träning, m.m. Använd när fokus ligger på själva händelsen, processen eller aktiviteten. Till exempel en fältobservationsstudie om spel på spelautomater; eller data om fall av övergrepp på barn, som typ av och varaktighet för övergreppet, de inblandade personernas roller osv.','EventOrProcessOrActivity',NULL,6,1271,5823,'Händelse/process/aktivitet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',388),(7097,'En person eller grupp som har gemensam bostadsenhet och levnadsförhållanden. Dessa delade levnadsförhållanden kan inkludera att viss eller all inkomst och egendom är gemensam, och att vissa sorters varor och tjänster konsumeras gemensamt, företrädelsevis bostad och mat (Eurostat).','Household',NULL,4,1269,5822,'Hushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',388),(7099,'Någon typ av formell administrativ och funktionell struktur. Inkluderar föreningar, institutioner, företag, myndigheter, politiska partier, skolor, m.m. Data om organisationerna eller institutionerna samlas in, även om frågorna besvaras av enskilda personer. Till exempel data om företags miljöpolicyer, data om antagningar eller examensfrekvens vid nationella universitet m.m.','OrganizationOrInstitution',NULL,1,1266,5821,'Organisation/institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',388),(7125,'USA’s folketælling: En boligenhed er et hus, en lejlighed, et mobilhjem, en gruppe af værelser eller et enkelt værelse, der er beboet (eller hvis ikke beboet, tiltænkt beboelse) som en separat bolig. Separate boliger er boliger, hvor beboerne lever og spiser hver for sig og har direkte adgang til området fra bygningens yderside eller gennem en fælles indgang.','HousingUnit',NULL,5,1309,5830,'Boligenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',390),(7127,'En person eller gruppe af personer, der deler den samme bopæl og deler almindelig livsindretninger. Disse former for livsindretninger kan omfatte deling eller delvis deling af indkomst og velstand, og forbrug af nogle typer af varer og serviceydelser kollektivt, primært mad og bopæl (Eurostat).','Household',NULL,4,1308,5822,'Husstand','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',390),(7128,'Ethvert livløst materiale, der har en uafhængig eksistens, og som kan opfattes af sanserne. Eksempler: kunstobjekter (malerier, skulpturer etc.) eller våben eller køretøjer etc.','Object',NULL,16,1315,5824,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',390),(7129,'Enhver periode af tid: År, uge, måned, dag, hver anden måned, kvartaler mm.','TimeUnit',NULL,9,1312,5826,'Tidsenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',390),(7131,'Enhver form for formel administrativ eller funktionel struktur - inkluderer foreninger, institutioner, agenturer, virksomheder, politiske partier, skoler mm. Dataene er indsamlet om organisationerne eller institutionerne, selv hvis spørgsmålene er besvaret af enkeltpersoner. Fx data om virksomheders miljøpolitikker, data om indskrivning eller graduering ved nationale universiteter etc.','OrganizationOrInstitution',NULL,1,1305,5821,'Organisation/Institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',390),(7133,'Brug denne, hvis analyseenheden er kendt, men ikke fremgår af listen.','Other',NULL,17,1316,5825,'Andet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',390),(7135,'Enhver enhed, der rummeligt kan defineres som et geografisk område med enten naturlige (fysiske) eller administrative grænser. Fx data om salg af hjem, landskabsforandringer, nye konstruktioner, eller ændringer i den demografiske sammensætning af bestemte regioner eller distrikter.','GeographicUnit',NULL,7,1311,5831,'Geografisk enhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',390),(7137,'Enhver form for hændelse, forekomst eller aktivitet. Events er normaltvist enkeltstående, individuelt forekommende, med en begrænset eller kort varighed. Eksempler: kriminelle handlinger, oprør, møder, valg, sportsbegivenheder, terrorangreb, naturkatastrofer såsom oversvømmelser mm. Processer sker typisk over tid og kan omfatte flere ’events’ eller gradvise ændringer, der i sidste ende fører, eller forventes at føre, til et bestemt resultat. Eksempler: Retssager, efterforskning af kriminelle handlinger, politiske kampagner, medicinske behandlinger, uddannelse, atleters træning etc. Brug, når hovedfokusset er mere på selve eventet, processen eller aktiviteten. Fx feltobservationsundersøgelse af spil på spillemaskiner; eller data indsamlet om tilfælde af børnemishandling, såsom typen og varigheden af mishandlingen, de involveredes rolle etc.','EventOrProcessOrActivity',NULL,6,1310,5823,'Event/Proces/Aktivitet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',390),(7139,'Qualquer sujeito individual.','Individual',NULL,0,NULL,NULL,'Indivíduo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',391),(7140,'Qualquer tipo de estrutura funcional e administrativa formal. Inclui associações, instituições, agências, empresas, partidos políticos, escolas, etc. Os dados são recolhidos sobre as organizações e as instituições, mesmo que as questões sejam respondidas por indivíduos. Por exemplo, dados sobre políticas ambientais nas empresas, dados sobre taxas de sucesso nas universidades nacionais, etc.','OrganizationOrInstitution',NULL,1,NULL,NULL,'Organização/Instituição','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',391),(7142,'Duas ou mais pessoas relacionadas por sangue, casamento (incluindo relações de famílias recompostas), coabitação ou parentalidade registada, adopção ou guarda de crianças, e que podem ou não viver juntas. Por exemplo, dados sobre que tipo de serviços públicos as famílias usam ou poderiam requerer; ou sobre quão frequentemente os membros duma família estão em contacto uns com os outros.','Family',NULL,2,NULL,NULL,'Família','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',391),(7143,'Termo mais específico que se refere apenas a pessoas que estão relacionadas através de ligações familiares (ver definição de \'Família\') e que moram no mesmo domicílio em determinado momento. Se não souber se a unidade de análise é \'Família\' ou \'Agregado familiar\', usar \'Família\'.','Family.HouseholdFamily','Family',3,NULL,NULL,'Família: Agregado familiar','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',391),(7144,'Uma pessoa ou um grupo de pessoas que compartilham a mesma unidade de habitação e vida em comum. Esta última pode incluir a agregação de alguns ou de todos os rendimentos e riqueza e o consumo colectivo de certos tipos de bens e serviços, principalmente alojamento e alimentação (Eurostat).','Household',NULL,4,NULL,NULL,'Agregado doméstico','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',391),(7145,'Censo dos EUA: Uma unidade residencial é uma casa, um apartamento, uma casa móvel, um grupo de quartos ou um quarto individual que é ocupado (ou, se for vago, destinado a ocupação) enquanto alojamentos/aposentos separados. Alojamentos separados são aqueles em que os ocupantes vivem e comem separadamente de quaisquer outras pessoas no edifício e que têm acesso direto a partir do exterior do edifício ou através de um hall comum.','HousingUnit',NULL,5,NULL,NULL,'Unidade residencial','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',391),(7146,'Qualquer tipo de incidente, ocorrência ou atividade. Os eventos são geralmente ocorrências únicas e isoladas, com duração limitada ou curta. Exemplos: infrações criminais, tumultos, reuniões, eleições, competições desportivas, ataques terroristas, desastres naturais como inundações, etc. Os processos geralmente ocorrem ao longo do tempo e podem incluir múltiplos \'eventos\' ou mudanças graduais que conduzem ou podem conduzir a um resultado particular. Exemplos: julgamentos em tribunal, investigações criminais, campanhas políticas, tratamentos médicos, educação, formação de atletas, etc. Usar quando o principal foco é mais no evento, processo ou atividade. Por exemplo, um estudo de observação no terreno sobre máquinas automáticas de jogos; ou dados recolhidos sobre casos de abuso de crianças, como o tipo e a duração do abuso, o papel das pessoas envolvidas, etc.','EventOrProcessOrActivity',NULL,6,NULL,NULL,'Evento/Processo/Atividade','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',391),(7147,'Qualquer entidade que possa ser definida espacialmente como uma área geográfica, com limites naturais (físicos) ou administrativos. Por exemplo, dados sobre venda de casas, mudanças paisagísticas, novas construções, ou mudanças na composição demográfica de certas regiões ou distritos.','GeographicUnit',NULL,7,NULL,NULL,'Unidade geográfica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',391),(7149,'Qualquer período de tempo: ano, semana, mês, dia, ou períodos bimestrais ou trimestrais, etc.','TimeUnit',NULL,9,NULL,NULL,'Unidade de tempo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',391),(7157,'Usar se a unidade de análise for conhecida, mas não se encontrar na lista.','Other',NULL,17,NULL,NULL,'Outro ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',391),(7159,'Qualquer coisa material, mas inanimada, que tenha uma existência independente e possa ser percebida pelos sentidos. Exemplos: objetos de arte (pinturas, esculturas, etc.) ou armas, ou veículos, etc.','Object',NULL,16,NULL,NULL,'Objeto','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',391),(7170,'Méthode de collecte de données dans laquelle l\'enquêté lit ou écoute les questions et saisit les réponses par lui-même ; aucun enquêteur n\'est présent, ou participe à l\'administration du questionnaire. Si possible, utilisez un terme plus précis. Utilisez ce terme si la méthode n\'est pas décrite par aucun des termes plus précis - par exemple, pour les questionnaires PDF ou sur disquette.','SelfAdministeredQuestionnaire',NULL,8,NULL,NULL,'Questionnaire auto-administré','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',371),(7171,'Enquête auto-administrée dans laquelle les questions sont présentées au répondant dans le corps d\'un e-mail ou dans une pièce jointe, mais pas comme un lien vers une enquête par Internet. Les réponses sont alors renvoyées via e-mail, dans le corps du message ou comme une pièce jointe.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,NULL,'Questionnaire auto-administré : e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',371),(7172,'Enquête auto-administrée utilisant un traditionnel questionnaire papier distribué et / ou recueilli par courrier (services postaux), par fax, ou en personne par soit par un enquêteur ou par un répondant.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,NULL,'Questionnaire auto-administré : papier','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',371),(7173,'Enquête auto-administrée dans laquelle les répondants reçoivent les questions par SMS (messages texte) ou MMS (messages incluant des contenus multimédia) et envoient leurs réponses dans le même format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,NULL,'Questionnaire auto-administré : par messagerie (SMS / MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',371),(7174,'Entretien par Internet assisté par ordinateur (CAWI). Des données sont collectées en utilisant un questionnaire en ligne, produit avec un programme de création d\'enquête en ligne. Le programme peut personnaliser le déroulement du questionnaire en fonction des réponses fournies, et peut permettre au questionnaire de contenir des images, des clips audio et vidéo, des liens vers différentes pages Web, etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,NULL,'Questionnaire auto-administré : par Internet (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',371),(7175,'Entretien auto-administré assisté par ordinateur (CASI). Des répondants entrent les réponses dans un ordinateur (ordinateur de bureau, ordinateur portable, Palm / assistant personnel, tablette, etc.) par eux-mêmes. L\'administration du questionnaire est gérée par un programme / une application spécialement conçu mais il n\'y a pas de transfert de données en temps réel comme dans un CAWI, les réponses sont stockées sur l\'appareil utilisé pour l\'entretien. Le questionnaire peut être figé ou interactif. Sont inclus les VCASI (entretien vidéo auto-administré assisté par ordinateur), les ACASI (entretien audio auto-administré assisté par ordinateur) et les TACASI (entretien auto-administré par téléphone assisté par ordinateur).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,NULL,'Questionnaire auto-administré : assisté par ordinateur (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',371),(7176,'Un groupe de discussions sur un sujet particulier, organisé à des fins de recherche. Les individus sont sélectionnés en fonction du sujet, et les interactions entre participants sont utilisées dans le cadre de la méthode.','FocusGroup',NULL,14,NULL,NULL,'Focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',371),(7177,'Les participants du focus group se rencontrent en personne pour mener la discussion.','FocusGroup.FaceToFace','FocusGroup',15,NULL,NULL,'Focus group en face-à-face','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',371),(7178,'Les discussions du focus group se font par téléphone.','FocusGroup.Telephone','FocusGroup',16,NULL,NULL,'Focus group par téléphone','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',371),(7180,'Les discussions du focus group se font par l\'Internet de façon interactive.','FocusGroup.Online','FocusGroup',17,NULL,NULL,'Focus group en ligne','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',371),(7181,'Des récits, des histoires, des journaux intimes, et des textes écrits crées par le sujet de recherche.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,NULL,'Écrits et / ou journaux intimes auto-administrés','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',371),(7182,'Des récits, des histoires, des journaux intimes, et des textes écrits soumis par courriel.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,NULL,'crits et / ou journaux intimes auto-administrés : e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',371),(7183,'Des récits, des histoires, des journaux intimes, et des textes écrits crées et rassemblés sous forme papier.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,NULL,'Écrits et / ou journaux intimes auto-administrés : papier','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',371),(7184,'Des récits, des histoires, des journaux intimes, et des textes écrits provenant d\'Internet, e. g. des sites Internet, des blogs, des forums de discussion.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,NULL,'Écrits et / ou journaux intimes auto-administrés : en ligne','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',371),(7185,'Méthode de recherche qui consiste à collecter des données au fur et à mesure qu\'elle se produisent (par exemple, observation de comportements, d’événements, de l\'évolution d\'un état ou d\'une maladie, etc.), sans tentative de manipuler aucune des variables indépendantes.','Observation',NULL,22,NULL,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',371),(7186,'Observation qui a été conduite dans un environnement naturel.','Observation.Field','Observation',23,NULL,NULL,'Observation sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',371),(7187,'Type d\'observation sur le terrain dans lequel le chercheur interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation.','Observation.Field.Participant','Observation.Field',27,NULL,NULL,'Observation participante sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',371),(7188,'Observation qui a été conduite dans une configuration naturelle et non contrôlée sans aucune interaction entre le chercheur et ses sujets.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,NULL,'Observation non-participante sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',371),(7189,'Observation qui a été conduite dans un configuration contrôlée, artificiellement créée. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire.','Observation.Laboratory','Observation',24,NULL,NULL,'Observation en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',371),(7190,'Type d\'observation en laboratoire dans lequel le sujet interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire avec le chercheur prenant part au jeu.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,NULL,'Observation participante en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',371),(7191,'Type d\'observation en laboratoire qui a été conduite sans aucune interaction entre le chercheur et ses sujets.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,NULL,'Observation non-participante en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',371),(7192,'Type d\'observation dans lequel les données relatives à l\'utilisation de l\'ordinateur ont été collectées par un logiciel qui peut être intégré dans un programme informatique lui-même ou qui peut être un programme séparé. Des informations peuvent être collectées à propos du nombre d\'utilisateurs, les façons dans lesquels les utilisateurs interagissent avec le(s) programme(s), combien de temps ils passent sur une page, comment ils utilisent des sections spécifiques des applications, comment ils naviguent d\'une page à l\'autre ou d\'une application à l\'autre, etc.','Observation.ComputerBased','Observation',26,NULL,NULL,'Observation assisté par ordinateur','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',371),(7193,'Méthode de recherche impliquant la manipulation d\'une partie ou de toutes les variables indépendantes incluses dans les hypothèses.','Experiment',NULL,30,NULL,NULL,'Expérimentation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',371),(7194,'Une expérimentation conduite dans une configuration physique contrôlée, créée artificiellement, dans laquelle un chercheur manipule une ou plusieurs variables indépendantes et mesure son / leur effet sur la variable dépendante.','Experiment.Laboratory','Experiment',31,NULL,NULL,'Expérimentation en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',371),(7195,'Une expérimentation conduite dans une configuration naturelle, non contrôlée, dans laquelle le chercheur manipule une ou plusieurs variables indépendantes. Des études cliniques sont un exemple d\'expérimentations sur le terrain.','Experiment.FieldIntervention','Experiment',32,NULL,NULL,'Expérimentation sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',371),(7196,'Une expérimentation conduite dans une configuration virtuelle du Web, dans laquelle des matériaux expérimentaux sont programmés pour mettre en œuvre des situations ou des évènements artificiels pour être étudiés dans un environnement distribué. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, &amp; M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,NULL,NULL,'Expérimentation par Internet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',371),(7197,'Enregistrement par des moyens mécaniques ou électroniques, sous une forme qui permet que les informations soient récupérées et / ou reproduites. Par exemple, des images ou des sons sur disque ou bande magnétique.','Recording',NULL,34,NULL,NULL,'Enregistrement','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',371),(7198,'Comme un mode secondaire de collecte de données, le codage de contenu applique des techniques de codage pour transformer des données qualitatives (textuel, vidéo, audio, ou image fixe) originalement produites à d\'autres finalités en données quantitatives (exprimées dans des matrices unité-par-variable) en accord avec des schémas de catégorisations prédéfinis. Par exemple, les données recodées des programmes des partis politiques comme les \"L\'Étude électorale du parlement européens 2019, étude des programmes\" (doi:10.4232/1.10204).','ContentCoding',NULL,35,NULL,NULL,'Codage de contenu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',371),(7199,'Collecte des informations par écrit à partir d\'une source différente, ou à partir d\'un support différent, d\'un alphabet, ou d\'une forme de notation, comme des formules scientifiques, ou des notes de musique. Pour des entretiens ou des observations transcrits, il est recommandé de documenter le mode de collecte initial, en utilisant l\'un des termes propres à l\'entretien ou à l\'observation.','Transcription',NULL,36,NULL,NULL,'Transcription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',371),(7200,'Collecte et assemblage de données depuis de multiples sources souvent hétérogènes qui ont un ou plusieurs points de référence en commun, et dont au moins une des sources a été produite à l\'origine à d\'autres fins. Les données sont incorporées dans une nouvelle entité. Par exemple, fournir des données sur le nombre d\'universités au cours des 150 dernières années utilisant une variété de sources disponibles (e. g. des documents financiers, des statistiques officielles, des registres universitaires), en combinant les données d\'enquête avec des informations sur les zones géographiques provenant des statistiques officielles (e. g. la densité de population, médecins par habitants, etc.), ou en utilisant RSS pour collecter des articles de blogs ou des tweets, etc.','CompilationSynthesis',NULL,37,NULL,NULL,'Compilation / synthèse','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',371),(7201,'Présentation d\'informations dans une forme condensée, en les réduisant à leurs points importants. Par exemple, des résumés d\'entretiens ou de rapports qui sont publiés et utilisés comme des données plutôt que des entretiens ou des rapports complets.','Summary',NULL,38,NULL,NULL,'Résumé','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',371),(7202,'Statistiques qui concernent des classes, des groupes, ou des catégories. Les données sont calculées en moyenne, additionnées, ou autrement dérivées des données au niveau individuel, et il n\'est plus possible de distinguer les caractéristiques des individus au sein de ces classes, groupes, ou catégories. Par exemple, le nombre et le groupe d\'âge des chômeurs dans des régions géographiques spécifiques, ou des statistiques nationales sur l\'apparition de certaines infractions, tirées originellement des statistiques de différents districts de police.','Aggregation',NULL,39,NULL,NULL,'Aggrégation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',371),(7203,'Modélisation ou représentation imitative de processus, d’événements ou de systèmes réels, utilisant souvent des programmes informatiques. Par exemple, un programme modélisant des réactions de la consommation des ménages aux changement des impôts indirects ; ou un jeu de données sur des patients hypothétiques et leur exposition aux médicaments, aux conditions environnementales, et aux effets indésirables connus.','Simulation',NULL,40,NULL,NULL,'Simulation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',371),(7204,'Évaluer des propriétés spécifiques (ou caractéristiques) d\'êtres, de choses, de phénomènes, (et / ou processus) en appliquant des standards préétablis et / ou des instruments ou des techniques spécialisés.','MeasurementsAndTests',NULL,41,NULL,NULL,'Mesures et tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',371),(7205,'Évaluation de connaissances, de compétences, d\'aptitudes, ou de résultats scolaires au moyen de mesures ou tests spécialisés.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,NULL,'Mesures et tests d\'enseignement','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',371),(7206,'Évaluation des propriétés physiques d\'êtres vivants, d\'objets, de matériaux, ou de phénomènes naturels. Par exemple, des résultats d\'examens cliniques (e. g. palpation, auscultation), mesures cliniques and tests de laboratoire comme analyse de sang, pression sanguine, rythme cardiaque, poids et taille du corps, de même que des mesures générales de temps, de distance, de masse, de température, de force, de puissance, de vitesse, de données de localisation sur des mouvements physiques ou d\'autres paramètres ou variables physiques comme des données géospatiales.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,NULL,'Mesures et tests de caractéristiques physiques','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',371),(7207,'Évaluation des traits de personnalités ou de réponses psychologiques / comportementales au moyen de mesures ou tests spécialisés. Par exemple, des tests objectifs comme mesure d\'auto-évaluation avec un format restreint de réponses, ou des méthodes projectives permettant des réponses libres, incluant l\'association de mots, l\'achèvement de phrase ou d\'histoire, des vignettes, des tests animés, des tests thématiques d\'apperception, du jeu de rôle, des tests de dessin, des tests de tâches d\'encre, des exercices de classement, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,NULL,'Mesures et tests psychologiques','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',371),(7208,'Utilisez si le mode de collecte est connu, mais pas présent dans la liste.','Other',NULL,45,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',371),(7209,'Ensemble de questions prédéterminées présentées aux participants de l\'étude','Questionnaire',NULL,0,NULL,NULL,'Questionnaire','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',392),(7210,'Ensemble de questions prédéterminées, une grande majorité d\'entre elles sont fermées, bien qu\'il y ait peut-être une petite proportion de questions ouvertes.','Questionnaire.Structured','Questionnaire',1,NULL,NULL,'Questionnaire structuré','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',392),(7211,'Ensemble de questions prédéterminées, une proportion significative d\'entre elles sont ouvertes (environ un tiers à deux tiers), et les restantes sont fermées.','Questionnaire.Semistructured','Questionnaire',2,NULL,NULL,'Questionnaire semi-structuré','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',392),(7212,'Ensemble de questions prédéterminées, une grande majorité d\'entre elles sont ouvertes, bien qu\'il y ait peut-être une petite proportion de questions fermées.','Questionnaire.Unstructured','Questionnaire',3,NULL,NULL,'Questionnaire non structuré','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',392),(7213,'Thèmes, sujets, et / ou questions utilisés dans un entretien. Peut varier entre des thèmes vaguement définis et des questions formulées plus précisément. Il y a plus de souplesse que dans un questionnaire non structuré en ce qui concerne les questions qui sont posées à chaque participant et la manière dont elles sont transmises.','InterviewSchemeAndThemes',NULL,4,NULL,NULL,'Schéma et / ou thèmes d\'entretien','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',392),(7214,'Directions ou instructions concernant les méthodes et les procédures à utiliser pour collecter les données. Utilisez un terme plus précis si possible.','DataCollectionGuidelines',NULL,5,NULL,NULL,'Consignes de collecte de données','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',392),(7215,'Consignes concernant ce qui devra être observé. En fonction de la conception de l\'étude, un guide d\'observation peut être plus ou moins structuré, allant de spécifications et d\'échelle à des idées vagues formulées.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,NULL,'Consignes de collecte de données : guide d\'observation','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',392),(7216,'Consignes pour un groupe de discussion. En fonction de la conception de l\'étude, un guide de discussion peut être plus ou moins structuré, allant de questions formulées précisément à des idées générales sur quoi discuter. Par exemple, une liste de sujets à discutés dans un focus group, ou des thèmes formulés par un chercheur pour diriger une discussion sur un blog, etc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,NULL,'Consignes de collecte de données : guide de discussion','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',392),(7217,'Consignes concernant le contenu attendu ou désiré des écrits personnels ou narratifs de participants potentiels. Les instructions peuvent être fournies dans le cadre de l\'invitation écrite ou séparément. Par exemple, une invitation demandant aux personnes souffrant d\'une maladie ou un handicap spécifique de décrire comment cela affecte leurs sentiments, leurs relations sociales et la vie quotidienne ; ou une invitation écrite demandant aux personnes de tenir un journal des livres lus pendant une période de six mois et les pensées provoquées par les livres.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,NULL,'Consignes de collecte de données : guide des écrits auto-administrés','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',392),(7218,'Consignes spécifiant quelles données sont collectées à partir de sources existantes précédemment créées pour d\'autres fins. Par exemple, des directives sur comment sélectionner et coder des données à partir de sources qualitatives pour créer un ensemble de données quantitatives.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,NULL,'Consignes de collecte de données : Guide de collecte de données secondaires','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',392),(7219,'Une description de tâches que les participants sont invités à effectuer dans le cadre du processus de collecte des données. Par exemple, marquer des endroits sur une carte, prendre des photographies, raconter un conte de fées, etc.','ParticipantTasks',NULL,10,NULL,NULL,'Tâches des participants','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',392),(7220,'Instruments utilisé pour collecter des données objectives comme des mesures, des images, etc. Par exemple, chronomètres, balances, compteurs de vitesse, tensiomètres, thermomètres, appareils à rayons X, etc.','TechnicalInstruments',NULL,11,NULL,NULL,'Instrument(s) technique(s)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',392),(7221,'Script de programmation écrit dans un langage de requête de données qui est utilisé pour extraire des données spécifiques, par exemple des réseaux sociaux en ligne.','ProgrammingScript',NULL,12,NULL,NULL,'Script de programmation','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',392),(7222,'Utilisez quand le type d\'instrument est connu, mais pas présent dans la liste.','Other',NULL,13,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',392),(7223,'Données constituées largement de valeurs exprimées sous forme de chiffres de 0 à 9 et, facultativement, de signes pour des valeurs négatives, de points décimaux, ou de lettres seulement lorsqu\'elles représentent des nombres (par exemple, A-F ou a-f en hexadécimal)','Numeric',NULL,0,NULL,NULL,'Nombre','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',393),(7224,'Données constituées largement de texte, incluant des lettres, des nombres, et des caractères spéciaux ou des symboles utilisés dans l\'écriture de ponctuation, d\'abréviation, etc. Par exemple, des transcriptions d\'entretien, des récits ou des essais écrits par des participants à l\'étude, des articles de journal, etc.','Text',NULL,1,NULL,NULL,'Texte','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',393),(7225,'Images statiques, telles que des graphiques, des dessins, des photographies, des images de diagnostique/médicales comme des radiographies, etc.','StillImage',NULL,2,NULL,NULL,'Image fixe','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',393),(7226,'Les données géospatiales sont tous types de données avec des coordonnées spatiales ce qui leur permet d\'être cartographiées sur la surface de la Terre. Elles peuvent représenter des objets physiques, des petites zones ou des grandes étendues. Les données géospatiales discrètes sont habituellement représentées en utilisant des données vectorielles, constituées de points, lignes et polygones, tandis que les données géospatiales continues sont habituellement représentées en utilisant des données matricielles, constituées de grilles de cellules qui ont chacune leur propre valeur. Un grand nombre d\'applications dans une grande variété de domaines produisent des données géospatiales, tels que des GIS, des équipements de télédétection, des unités GPS, des tachéomètres archéologiques, des cartographies manuelles et de la conception assistée par ordinateur (CAD), dans un certain nombre de formats, incluant images, vecteur, texte, et données tabulées. Les données géospatiales vectorielles comprennent des tableaux listant les sites archéologiques et leurs coordonnées, des fichiers textes (e. g. XML) contenant coordonnées et topologies des réseaux routiers historique, les chiffres des votes des partis politiques par région administrative. Les données géospatiales matricielles comprennent des images satellite, des photographies aériennes, des cartes numérisées, et des cartes numériques des élévations, de la végétation, de l\'utilisation des terres, des températures de surface de la mer, de la pollution de l\'air, des types de sols, etc.','Geospatial',NULL,3,NULL,NULL,'Données géospatiales','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',393),(7227,'Son enregistré, incluant voix, musique, etc.','Audio',NULL,4,NULL,NULL,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',393),(7228,'Images en mouvement. Peut inclure des films, de l\'animation, des enregistrements digitaux, des visualisations de simulations, des émissions de télévision enregistrées, etc. Peut être muet ou peut inclure du son synchronisé.','Video',NULL,5,NULL,NULL,'Vidéo','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',393),(7229,'Programme(s) informatique(s) en code source (lisible par l\'homme) ou en format compilé.','Software',NULL,6,NULL,NULL,'Logiciel','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',393),(7230,'Une ressource nécessitant l\'interaction de l\'utilisateur pour être comprise, exécutée, ou expérimentée. Par exemple, des modules de formation, des portails de questions / réponses, des fichiers qui requièrent l\'intervention de l\'utilisateur, etc.','InteractiveResource',NULL,7,NULL,NULL,'Ressource interactive','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',393),(7231,'Représentation virtuelle en trois dimensions d\'objets, d\'architectures, de lieux, etc.','ThreeD',NULL,8,NULL,NULL,'Représentation 3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',393),(7232,'Utilisez quand le genre de format de données est connu, mais pas présent dans la liste.','Other',NULL,9,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',393),(7233,'Toute personne individuelle.','Individual',NULL,0,NULL,NULL,'Individu','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',394),(7234,'Tout type de structure administrative ou fonctionnelle - incluant les associations, les institutions, les agences, les entreprises, les partis politiques, les écoles, etc. Les données sont collectées à propos des organisations ou institutions, même si les questions ont reçu une réponse par des individus. Par exemple, des données sur les politiques environnementales des entreprises, des données sur le taux d\'inscription ou d\'obtention de diplômes dans les universités nationales, etc.','OrganizationOrInstitution',NULL,1,NULL,NULL,'Organisation / Institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',394),(7235,'Deux personnes ou plus liées par le sang, le mariage (incluant les relations par alliance), la cohabitation ou un partenariat enregistré, l\'adoption ou le placement familial et qui peuvent ou non vivre ensemble. Par exemple, des données sur quel type de services publics la famille utilise ou demanderait ; ou à quelle fréquence des membres de la famille sont en contact les uns avec les autres.','Family',NULL,2,NULL,NULL,'Famille','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',394),(7236,'Un terme plus spécifique, se réfère aux personnes qui sont liées par des liens familiaux (voir la définition pour \'Famille\') et qui vivent dans le même ménage à un moment donné. Si vous ne savez pas si l\'unité d\'analyse est \'Famille\' ou \'Famille : ménage\', utilisez \'Famille\'.','Family.HouseholdFamily','Family',3,NULL,NULL,'Famille : ménage','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',394),(7237,'Une personne ou un groupe de personnes qui partagent la même unité d\'habitation et les mêmes conditions de vie. Ces conditions de vie peuvent inclure la mise en commun d\'une partie, ou de la totalité, des revenus et des richesses, et la consommation de certains types de biens et de services, principalement le logement et la nourriture (Eurostat).','Household',NULL,4,NULL,NULL,'Ménage','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',394),(7238,'Recensement US : une unité d\'habitation est une maison, un appartement, un mobile home, un groupe de pièces, ou une pièce unique qui est occupée (ou si vacant, est destinée à l\'occupation) comme lieu de vie séparé. Les lieux de vie séparés sont ceux dans lesquels les occupants vivent et mangent séparément de toute autre personne dans le bâtiment et qui ont un accès direct depuis l\'extérieur du bâtiment ou par un hall commun.','HousingUnit',NULL,5,NULL,NULL,'Logement','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',394),(7239,'Tout type d\'incident, d\'événement ou d\'activité. Les événements sont habituellement ponctuels, individuels, avec une durée limitée ou courte. Exemples : infractions criminelles, émeutes, réunions, élections, compétitions sportives, attaques terroristes, catastrophes naturelles comme des inondations, etc. Les processus se déroulement typiquement au fil du temps, et peuvent inclure de multiple \'événements\' ou de changements graduels qui aboutissent, ou devraient aboutir, à un résultat particulier. Exemples : procès, enquêtes criminelles, campagnes politiques, traitements médicaux, éducation, entraînement d\'athlètes, etc. Utilisez quand l\'intérêt principal est plus porté sur l’événement, le processus ou l\'activité lui-même. Par exemple, une observation sur le jeu aux machines à sous ; ou des données sur les cas de abus infantiles, comme le type et la durée de l\'abus, le rôle des personnes impliquées, etc.','EventOrProcessOrActivity',NULL,6,NULL,NULL,'Événement / Processus / Activité','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',394),(7240,'Toute entité qui peut être définie spatialement comme une zone géographique, avec soit des limites naturelles (physiques) ou des frontières administratives. Par exemple, des données sur les ventes de maisons, les changements de paysage, les nouvelles constructions, ou les changements dans la composition démographique de certaines régions ou districts.','GeographicUnit',NULL,7,NULL,NULL,'Unité géographique','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',394),(7242,'Toute période de temps : année, semaine, mois, jour, ou périodes bimensuelles ou trimestrielles, etc.','TimeUnit',NULL,9,NULL,NULL,'Unité de temps','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',394),(7249,'Tout ce qui est matériel, mais inanimé, qui a une existence indépendante et peut être perçu par les sens. Exemples : objets d\'art (peintures, sculptures, etc.) ou armes, ou véhicules, etc.','Object',NULL,16,NULL,NULL,'Objet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',394),(7250,'Utilisez si l\'unité d\'analyse est connue, mais pas présente dans la liste.','Other',NULL,17,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',394),(7251,'Données collectées à plusieurs reprises au fil du temps pour permettre d\'étudier les changements dans une population. Au moins certaines des questions ou modules sont répétés au fil des vagues. Utilisez ce terme quand aucun des sous-termes ne convient.','Longitudinal',NULL,0,NULL,NULL,'Longitudinale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',396),(7252,'Données collectées au fil du temps auprès d\'une même cohorte de répondants. Les individus de la cohorte sont connectés d\'une certaine façon ou ont partagés une expérience significative durant une période donnée. Dans certains cas, les échantillons peuvent différer entre les vagues mais sont tirés depuis la même cohorte. Exemples : année de naissance, pathologie (essais cliniques), problème commun (études d\'intervention), éducation, emploi, composition familiale, participation à un événement.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,NULL,'Longitudinale : cohorte / basée sur un événement','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',396),(7253,'Données collectées auprès de différents échantillons ou différents groupes de personnes issues de la même population à plusieurs moments, utilisant au moins partiellement le même ensemble de questions / variables. Des conclusions sont tirées pour la population. Exemples : Enquête sociale européenne (ESS), des enquêtes nationales longitudinales sur la criminalité.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,NULL,'Longitudinale : tendance / transversale répétée','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',396),(7254,'Données collectées au fil du temps auprès, ou à peu près, du même échantillon de répondants. Diffèrent des données de cohorte dans le fait que la sélection des répondants n\'est pas basée sur le fait qu\'ils sont liés d\'une façon ou d\'un d\'autre ou qu\'ils ont partagé une expérience significative.','Longitudinal.Panel','Longitudinal',3,NULL,NULL,'Longitudinale : panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',396),(7255,'Données recueillies auprès d\'un panel de répondant sur une base régulière.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,NULL,'Longitudinale : panel : continu','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',396),(7256,'Données collectées auprès d\'un panel de répondants seulement lorsque des informations sont nécessaires.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,NULL,'Longitudinale : panel : intervalle','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',396),(7257,'Données collectées à plusieurs reprises au fil du temps pour étudier les changements dans les observations. Celles-ci sont typiquement des mesures \"objectives\" de phénomènes qui peuvent être observé de l\'extérieur, comme l\'opposition attitudes / opinions ou sentiments. Les exemples peuvent inclure des indicateurs économiques / financiers, de phénomènes naturels / météorologiques, de statistiques de l\'état civil, etc.','TimeSeries',NULL,6,NULL,NULL,'Série temporelle','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',396),(7258,'Les mesures sont prises à chaque instant dans le temps. Exemple : détecteurs de mensonges, électrocardiogrammes, etc.','TimeSeries.Continuous','TimeSeries',7,NULL,NULL,'Série temporelle : continu','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',396),(7259,'Les mesures sont prises (habituellement régulièrement) à des intervalles espacés. Exemples : macroéconomie (cours hebdomadaires des actions ; bénéfices, ventes mensuels) ; météorologie (température horaire) ; mesures des individus (pression sanguine, poids, taille) ; sociologie (taux de criminalité, taux d\'emploi), etc.','TimeSeries.Discrete','TimeSeries',8,NULL,NULL,'Série temporelle : discrète','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',396),(7260,'Données collectées par observation de sujets pendant la période d\'étude, sans prendre en compte les changements au fil du temps. Peut inclure plus d\'une collection d\'événements. L\'analyse de données transversales consiste souvent à comparer les différences et les similitudes entre des sujets.','CrossSection',NULL,9,NULL,NULL,'Transversale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',396),(7261,'Données collectées à un moment donné pour compléter des informations collectées dans une étude transversale précédente ; la décision de collecter ces données complémentaires n\'étaient pas incluse dans la conception initiale de l\'étude.','CrossSectionAdHocFollowUp',NULL,10,NULL,NULL,'Transversale ponctuelle complémentaire','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',396),(7262,'Utilisez si la méthode temporelle est connue, mais pas présente dans la liste.','Other',NULL,11,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',396),(7263,'Méthode de recherche impliquant la manipulation d\'une partie ou de toutes les variables indépendantes incluses dans les hypothèses.','Experiment',NULL,30,7193,NULL,'Expérimentation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Experiment',397),(7265,'Enregistrement par des moyens mécaniques ou électroniques, sous une forme qui permet que les informations soient récupérées et / ou reproduites. Par exemple, des images ou des sons sur disque ou bande magnétique.','Recording',NULL,34,7197,NULL,'Enregistrement','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Recording',397),(7266,'Méthode de collecte de données dans laquelle l\'enquêté lit ou écoute les questions et saisit les réponses par lui-même ; aucun enquêteur n\'est présent, ou participe à l\'administration du questionnaire. Si possible, utilisez un terme plus précis. Utilisez ce terme si la méthode n\'est pas décrite par aucun des termes plus précis - par exemple, pour les questionnaires PDF ou sur disquette.','SelfAdministeredQuestionnaire',NULL,8,7170,NULL,'Questionnaire auto-administré','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire',397),(7267,'Méthode de recherche qui consiste à collecter des données au fur et à mesure qu\'elle se produisent (par exemple, observation de comportements, d’événements, de l\'évolution d\'un état ou d\'une maladie, etc.), sans tentative de manipuler aucune des variables indépendantes.','Observation',NULL,22,7185,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation',397),(7268,'Les discussions du focus group se font par l\'Internet de façon interactive.','FocusGroup.Online','FocusGroup',17,7180,NULL,'Focus group en ligne','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#FocusGroup.Online',397),(7269,'Des récits, des histoires, des journaux intimes, et des textes écrits crées et rassemblés sous forme papier.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7183,NULL,'Écrits et / ou journaux intimes auto-administrés : papier','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredWritingsAndDiaries.Paper',397),(7270,'Observation qui a été conduite dans une configuration naturelle et non contrôlée sans aucune interaction entre le chercheur et ses sujets.','Observation.Field.Nonparticipant','Observation.Field',28,7188,NULL,'Observation non-participante sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Field.Nonparticipant',397),(7271,'Évaluation des traits de personnalités ou de réponses psychologiques / comportementales au moyen de mesures ou tests spécialisés. Par exemple, des tests objectifs comme mesure d\'auto-évaluation avec un format restreint de réponses, ou des méthodes projectives permettant des réponses libres, incluant l\'association de mots, l\'achèvement de phrase ou d\'histoire, des vignettes, des tests animés, des tests thématiques d\'apperception, du jeu de rôle, des tests de dessin, des tests de tâches d\'encre, des exercices de classement, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,7207,NULL,'Mesures et tests psychologiques','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#MeasurementsAndTests.Psychological',397),(7274,'Présentation d\'informations dans une forme condensée, en les réduisant à leurs points importants. Par exemple, des résumés d\'entretiens ou de rapports qui sont publiés et utilisés comme des données plutôt que des entretiens ou des rapports complets.','Summary',NULL,38,7201,NULL,'Résumé','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Summary',397),(7275,'Type d\'observation en laboratoire dans lequel le sujet interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire avec le chercheur prenant part au jeu.','Observation.Laboratory.Participant','Observation.Laboratory',25,7190,NULL,'Observation participante en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Laboratory.Participant',397),(7276,'Comme un mode secondaire de collecte de données, le codage de contenu applique des techniques de codage pour transformer des données qualitatives (textuel, vidéo, audio, ou image fixe) originalement produites à d\'autres finalités en données quantitatives (exprimées dans des matrices unité-par-variable) en accord avec des schémas de catégorisations prédéfinis. Par exemple, les données recodées des programmes des partis politiques comme les \"L\'Étude électorale du parlement européens 2019, étude des programmes\" (doi:10.4232/1.10204).','ContentCoding',NULL,35,7198,NULL,'Codage de contenu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#ContentCoding',397),(7278,'Observation qui a été conduite dans un environnement naturel.','Observation.Field','Observation',23,7186,NULL,'Observation sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Field',397),(7279,'Une expérimentation conduite dans une configuration physique contrôlée, créée artificiellement, dans laquelle un chercheur manipule une ou plusieurs variables indépendantes et mesure son / leur effet sur la variable dépendante.','Experiment.Laboratory','Experiment',31,7194,NULL,'Expérimentation en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Experiment.Laboratory',397),(7280,'Utilisez si le mode de collecte est connu, mais pas présent dans la liste.','Other',NULL,45,7208,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Other',397),(7281,'Type d\'observation sur le terrain dans lequel le chercheur interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation.','Observation.Field.Participant','Observation.Field',27,7187,NULL,'Observation participante sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Field.Participant',397),(7282,'Un groupe de discussions sur un sujet particulier, organisé à des fins de recherche. Les individus sont sélectionnés en fonction du sujet, et les interactions entre participants sont utilisées dans le cadre de la méthode.','FocusGroup',NULL,14,7176,NULL,'Focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#FocusGroup',397),(7283,'Type d\'observation en laboratoire qui a été conduite sans aucune interaction entre le chercheur et ses sujets.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,7191,NULL,'Observation non-participante en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Laboratory.Nonparticipant',397),(7284,'Évaluation des propriétés physiques d\'êtres vivants, d\'objets, de matériaux, ou de phénomènes naturels. Par exemple, des résultats d\'examens cliniques (e. g. palpation, auscultation), mesures cliniques and tests de laboratoire comme analyse de sang, pression sanguine, rythme cardiaque, poids et taille du corps, de même que des mesures générales de temps, de distance, de masse, de température, de force, de puissance, de vitesse, de données de localisation sur des mouvements physiques ou d\'autres paramètres ou variables physiques comme des données géospatiales.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,7206,NULL,'Mesures et tests de caractéristiques physiques','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#MeasurementsAndTests.Physical',397),(7286,'Collecte des informations par écrit à partir d\'une source différente, ou à partir d\'un support différent, d\'un alphabet, ou d\'une forme de notation, comme des formules scientifiques, ou des notes de musique. Pour des entretiens ou des observations transcrits, il est recommandé de documenter le mode de collecte initial, en utilisant l\'un des termes propres à l\'entretien ou à l\'observation.','Transcription',NULL,36,7199,NULL,'Transcription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Transcription',397),(7287,'Enquête auto-administrée utilisant un traditionnel questionnaire papier distribué et / ou recueilli par courrier (services postaux), par fax, ou en personne par soit par un enquêteur ou par un répondant.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7172,NULL,'Questionnaire auto-administré : papier','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire.Paper',397),(7288,'Entretien par Internet assisté par ordinateur (CAWI). Des données sont collectées en utilisant un questionnaire en ligne, produit avec un programme de création d\'enquête en ligne. Le programme peut personnaliser le déroulement du questionnaire en fonction des réponses fournies, et peut permettre au questionnaire de contenir des images, des clips audio et vidéo, des liens vers différentes pages Web, etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7174,NULL,'Questionnaire auto-administré : par Internet (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire.CAWI',397),(7289,'Type d\'observation dans lequel les données relatives à l\'utilisation de l\'ordinateur ont été collectées par un logiciel qui peut être intégré dans un programme informatique lui-même ou qui peut être un programme séparé. Des informations peuvent être collectées à propos du nombre d\'utilisateurs, les façons dans lesquels les utilisateurs interagissent avec le(s) programme(s), combien de temps ils passent sur une page, comment ils utilisent des sections spécifiques des applications, comment ils naviguent d\'une page à l\'autre ou d\'une application à l\'autre, etc.','Observation.ComputerBased','Observation',26,7192,NULL,'Observation assisté par ordinateur','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.ComputerBased',397),(7290,'Des récits, des histoires, des journaux intimes, et des textes écrits soumis par courriel.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7182,NULL,'crits et / ou journaux intimes auto-administrés : e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredWritingsAndDiaries.Email',397),(7291,'Modélisation ou représentation imitative de processus, d’événements ou de systèmes réels, utilisant souvent des programmes informatiques. Par exemple, un programme modélisant des réactions de la consommation des ménages aux changement des impôts indirects ; ou un jeu de données sur des patients hypothétiques et leur exposition aux médicaments, aux conditions environnementales, et aux effets indésirables connus.','Simulation',NULL,40,7203,NULL,'Simulation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Simulation',397),(7292,'Évaluer des propriétés spécifiques (ou caractéristiques) d\'êtres, de choses, de phénomènes, (et / ou processus) en appliquant des standards préétablis et / ou des instruments ou des techniques spécialisés.','MeasurementsAndTests',NULL,41,7204,NULL,'Mesures et tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#MeasurementsAndTests',397),(7294,'Une expérimentation conduite dans une configuration naturelle, non contrôlée, dans laquelle le chercheur manipule une ou plusieurs variables indépendantes. Des études cliniques sont un exemple d\'expérimentations sur le terrain.','Experiment.FieldIntervention','Experiment',32,7195,NULL,'Expérimentation sur le terrain','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Experiment.FieldIntervention',397),(7295,'Des récits, des histoires, des journaux intimes, et des textes écrits provenant d\'Internet, e. g. des sites Internet, des blogs, des forums de discussion.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7184,NULL,'Écrits et / ou journaux intimes auto-administrés : en ligne','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredWritingsAndDiaries.WebBased',397),(7296,'Collecte et assemblage de données depuis de multiples sources souvent hétérogènes qui ont un ou plusieurs points de référence en commun, et dont au moins une des sources a été produite à l\'origine à d\'autres fins. Les données sont incorporées dans une nouvelle entité. Par exemple, fournir des données sur le nombre d\'universités au cours des 150 dernières années utilisant une variété de sources disponibles (e. g. des documents financiers, des statistiques officielles, des registres universitaires), en combinant les données d\'enquête avec des informations sur les zones géographiques provenant des statistiques officielles (e. g. la densité de population, médecins par habitants, etc.), ou en utilisant RSS pour collecter des articles de blogs ou des tweets, etc.','CompilationSynthesis',NULL,37,7200,NULL,'Compilation / synthèse','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#CompilationSynthesis',397),(7298,'Des récits, des histoires, des journaux intimes, et des textes écrits crées par le sujet de recherche.','SelfAdministeredWritingsAndDiaries',NULL,18,7181,NULL,'Écrits et / ou journaux intimes auto-administrés','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredWritingsAndDiaries',397),(7299,'Entretien auto-administré assisté par ordinateur (CASI). Des répondants entrent les réponses dans un ordinateur (ordinateur de bureau, ordinateur portable, Palm / assistant personnel, tablette, etc.) par eux-mêmes. L\'administration du questionnaire est gérée par un programme / une application spécialement conçu mais il n\'y a pas de transfert de données en temps réel comme dans un CAWI, les réponses sont stockées sur l\'appareil utilisé pour l\'entretien. Le questionnaire peut être figé ou interactif. Sont inclus les VCASI (entretien vidéo auto-administré assisté par ordinateur), les ACASI (entretien audio auto-administré assisté par ordinateur) et les TACASI (entretien auto-administré par téléphone assisté par ordinateur).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7175,NULL,'Questionnaire auto-administré : assisté par ordinateur (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire.CASI',397),(7300,'Enquête auto-administrée dans laquelle les répondants reçoivent les questions par SMS (messages texte) ou MMS (messages incluant des contenus multimédia) et envoient leurs réponses dans le même format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7173,NULL,'Questionnaire auto-administré : par messagerie (SMS / MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire.SMSorMMS',397),(7302,'Les discussions du focus group se font par téléphone.','FocusGroup.Telephone','FocusGroup',16,7178,NULL,'Focus group par téléphone','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#FocusGroup.Telephone',397),(7303,'Évaluation de connaissances, de compétences, d\'aptitudes, ou de résultats scolaires au moyen de mesures ou tests spécialisés.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,7205,NULL,'Mesures et tests d\'enseignement','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#MeasurementsAndTests.Educational',397),(7304,'Une expérimentation conduite dans une configuration virtuelle du Web, dans laquelle des matériaux expérimentaux sont programmés pour mettre en œuvre des situations ou des évènements artificiels pour être étudiés dans un environnement distribué. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, &amp; M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,7196,NULL,'Expérimentation par Internet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Experiment.WebBased',397),(7305,'Les participants du focus group se rencontrent en personne pour mener la discussion.','FocusGroup.FaceToFace','FocusGroup',15,7177,NULL,'Focus group en face-à-face','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#FocusGroup.FaceToFace',397),(7306,'Observation qui a été conduite dans un configuration contrôlée, artificiellement créée. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire.','Observation.Laboratory','Observation',24,7189,NULL,'Observation en laboratoire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Observation.Laboratory',397),(7307,'Statistiques qui concernent des classes, des groupes, ou des catégories. Les données sont calculées en moyenne, additionnées, ou autrement dérivées des données au niveau individuel, et il n\'est plus possible de distinguer les caractéristiques des individus au sein de ces classes, groupes, ou catégories. Par exemple, le nombre et le groupe d\'âge des chômeurs dans des régions géographiques spécifiques, ou des statistiques nationales sur l\'apparition de certaines infractions, tirées originellement des statistiques de différents districts de police.','Aggregation',NULL,39,7202,NULL,'Agrégation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Aggregation',397),(7308,'Enquête auto-administrée dans laquelle les questions sont présentées au répondant dans le corps d\'un e-mail ou dans une pièce jointe, mais pas comme un lien vers une enquête par Internet. Les réponses sont alors renvoyées via e-mail, dans le corps du message ou comme une pièce jointe.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7171,NULL,'Questionnaire auto-administré : e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#SelfAdministeredQuestionnaire.Email',397),(7309,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible sont incluses dans la collecte des données. Par exemple, si la population cible est définie comme les membres d\'une organisation syndicale, tous les membres syndicaux sont invités à participer à l\'étude. Aussi appelé \"recensement\" si la population complète d\'une unité régionale (e.g. un pays) est sélectionnée.','TotalUniverseCompleteEnumeration',NULL,0,NULL,NULL,'Univers complet / dénombrement complet','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',398),(7310,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible ont une probabilité non nulle d\'être incluses dans l\'échantillon et cette probabilité peut être fidèlement déterminée. Utilisez ce terme si un terme plus spécifique d\'échantillonnage probabiliste n\'est pas connu ou est difficile à identifier.','Probability',NULL,1,NULL,NULL,'Probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',398),(7311,'Toutes les unités de la population cible ont une probabilité identique d\'être incluses dans l\'échantillon. Typiquement, la population entière est listée dans une \"base de sondage\", et des unités sont alors choisies à partir de cette base en utilisant une méthode de sélection aléatoire.','Probability.SimpleRandom','Probability',2,NULL,NULL,'Probabiliste : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',398),(7312,'Un intervalle de sélection fixe est déterminé en divisant la taille de la population par la taille désirée de l\'échantillon. Le point de départ est alors un tirage au sort à partir de la base de sondage, laquelle couvre normalement la population cible totale. À partir de ce point de départ, des unités pour l\'échantillonnage sont choisies en fonction de l\'intervalle de sélection. Aussi connu comme l\'échantillonnage par intervalle. Par exemple, une enquête dans une entreprise porte sur un échantillon de 1 000 employés sur un total de 10 000. En commençant par un nombre de départ aléatoire, tous les 10 noms de la liste des employés de l\'entreprise seront invités à participer à l\'étude.','Probability.SystematicRandom','Probability',3,NULL,NULL,'Probabiliste : aléatoire systématique','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',398),(7313,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Des échantillons aléatoires indépendants sont alors tirés de chaque segment. Par exemple, dans une enquête nationale d\'opinion publique la population entière est divisée en deux strates régionales : Est et Ouest. Après cela, les unités d\'échantillonnage sont tirées à partir de chaque région utilisant un échantillonnage aléatoire simple ou systématique. Utilisez ce terme si le type spécifique de l\'échantillonnage stratifié n\'est pas connu ou est difficile à identifier.','Probability.Stratified','Probability',4,NULL,NULL,'Probabiliste : stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',398),(7314,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon stratifié proportionnel le nombre d\'éléments choisis dans chaque strate est proportionnel à la taille de la population de la strate par rapport à la population entière. Par exemple, un pays est divisé en deux strates régionales qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population totale. Pour un échantillon de 1 000 personnes, 800 (i. e., 80 pour cent) devraient être tirées à partir de l\'Ouest et 200 (i. e., 20 pour cent) à partir de l\'Est pour représenter fidèlement leur proportion dans la population totale.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,NULL,'Probabiliste : stratifié : proportionnel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',398),(7315,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon disproportionnel le nombre des unités choisies à partir de chaque strate n\'est pas proportionnel à la taille de population de la strate par rapport à la population entière. Le nombre d\'unités échantillonnées à partir de chaque strate peut être égal, optimal, ou peut refléter la raison de l\'enquête, comme le sur-échantillonnage de différents sous-groupes de la population. Par exemple, un pays est divisé en deux strates qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population du pays. Si une représentation égale des deux régions est nécessaire dans une étude, la moitié de l\'échantillon peut être tirée à partir de l\'Ouest et la moitié de l\'Est, tel que chaque région est représentée par 50 pour cent de l\'échantillon. Si une analyse plus détaillée de la population de l\'Est est nécessaire, 40 pour cent des unités peuvent être tirées à partir de l\'Ouest et 60 pour cent à partir de l\'Est, tel que l\'Est est surreprésenté.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,NULL,'Probabiliste : stratifié : disproportionnel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',398),(7316,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectées à partir de tous les unités dans chaque groupe sélectionné. L\'échantillonnage est souvent regroupé selon la géographie, ou la période de temps. Utilisez ce terme si un terme plus spécifique d\'échantillonnage en grappes n\'est pas connu ou est difficile à identifier.','Probability.Cluster','Probability',7,NULL,NULL,'Probabiliste : grappe','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',398),(7317,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectés à partir de tous les unités dans chaque groupe sélectionné. Par exemple, pour un échantillon d\'élèves d\'une ville, un nombre d\'écoles devrait être choisi en utilisant une méthode de sélection aléatoire, et puis tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,NULL,'Probabiliste : grappe : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',398),(7318,'La population cible est divisée dans des segments existants naturellement (grappes) ; Ensuite, ceux-ci sont divisés dans des strates mutuellement exclusives et un échantillon aléatoire des groupes est sélectionné depuis chaque strate. Les données sont alors collectées depuis toutes les unités au sein de chaque groupe. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles seraient divisées en deux strates par type d\'école (privée vs. public) ; Les écoles seraient alors sélectionnées aléatoirement depuis chaque strate, et tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,NULL,'Probabiliste : grappe : aléatoire stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',398),(7319,'L\'échantillonnage est effectué par étapes en utilisant des unités plus en plus petites à chaque étape, et toutes les étapes impliquent une sélection aléatoire. Le type de procédure d\'échantillonnage aléatoire peut être différent à chaque étape. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Un échantillon aléatoire de classes des écoles sélectionnées est tiré dans une deuxième étape. Les élèves sont alors sélectionnés aléatoirement depuis chacune de ces classes dans une troisième étape.','Probability.Multistage','Probability',10,NULL,NULL,'Probabiliste : multi-étapes','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',398),(7320,'La sélection des unités (individus, ménages, organisations, etc.) depuis la population cible n\'est pas basé sur une sélection aléatoire. Il n\'est pas possible de déterminer la probabilité de chaque élément d\'être échantillonné. Utilisez ce terme si le type spécifique d\'échantillonnage non probabiliste n\'est pas connu, difficile à identifier, ou si de multiples méthodes non probabilistes ont été employées.','Nonprobability',NULL,11,NULL,NULL,'Non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',398),(7321,'La sélection de l\'échantillon est basée sur la disponibilité, l\'accès relativement facile des unités. Elles peuvent être facile à approcher, ou peuvent elles-mêmes choisir de participer à l\'étude (auto-sélection). Les chercheurs peuvent avoir un groupe particulier à l\'esprit mais ils ne peuvent pas contrôler les mécanismes de sélection de l\'échantillon. Par exemple, des étudiants vivant dans un bâtiment particulier du campus peuvent être approchés, ou des individus peuvent volontairement participer en répondant à des invitations qui ne les ciblent pas spécifiquement, mais un groupe plus large auquel ils peuvent appartenir. Aussi appelé échantillonnage de \"convenance\" ou d\'\"opportunité\".','Nonprobability.Availability','Nonprobability',12,NULL,NULL,'Non probabiliste : disponibilité','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',398),(7322,'Les unités échantillonnées sont spécifiquement identifiées, sélectionnées et contactées pour les informations qu\'elles peuvent fournir sur le thème recherché. La sélection est basée sur différentes caractéristiques de variables indépendantes et / ou dépendantes à l\'étude, et repose sur le jugement des chercheurs. Les auteurs de l\'étude, ou les personnes autorisées par eux ont le contrôle au-delà des mécanismes de sélection de l\'échantillon et l\'univers est défini en termes de critères de sélection. Aussi appelé échantillonnage par \"jugement\". Par exemple, un chercheur en médecine peut intentionnellement sélectionner des individus qui sont similaires à la plupart des égards, excepté en ce qui concerne le résultat du sujet de recherche, qui peut être une maladie spécifique. Certains types d\'échantillonnages raisonnés sont des échantillonnage de cas typiques / déviants, de variation homogène / maximale, d\'experts ou de cas critiques.','Nonprobability.Purposive','Nonprobability',13,NULL,NULL,'Non probabiliste : raisonné','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',398),(7323,'La population cible est subdivisée dans des segments séparés et mutuellement exclusifs d\'après certains critères de quotas prédéfinis. La distribution des critères de quotas (genre / âge / ratio d\'ethnicité, ou des autres caractéristiques, comme la religion, l\'éducation, etc.) est destinée à refléter la structure réelle de la population cible ou la structure désirée de la population étudiée. Des échantillons non probabilistes sont alors tirés à partir de chaque segment jusqu\'à ce qu\'un nombre spécifique d\'unités soit atteint. Par exemple, si la population cible compte 45 pour cent de femmes et 55 pour cent d\'hommes, un échantillon par quotas proportionnel devra avoir les mêmes pourcentages par genre, alors que dans un échantillon par quotas non proportionnel le pourcentage sera différent, basé sur certaines considérations liées à l\'étude (par exemple, le besoin de sur-échantillon pour certains segments sous-représentés de la population).','Nonprobability.Quota','Nonprobability',14,NULL,NULL,'Non probabiliste : quota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',398),(7324,'Les unités de l\'échantillon sont identifiées à partir d\'une population cible avec l\'assistance d\'unités déjà sélectionnées (adapté de \"Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014). Un cas typique est l\'échantillonnage boule de neige, dans lequel le chercheur identifie un groupe d\'unités qui correspond à un critère particulier d\'éligibilité. Ces dernières sont invitées à recruter d\'autres membres de la même population qui remplissent le même critère d\'éligibilité (échantillonnage de populations spécifiques comme des migrants, etc.)','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,NULL,'Non probabiliste : participation volontaire','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',398),(7325,'Le plan d\'échantillonnage qui combine échantillonnage probabiliste et non probabiliste au sein d\'un même processus d\'échantillonnage. Différents type d\'échantillonnage peuvent être utilisés à différentes étapes de création de l\'échantillon. Par exemple, pour un échantillon d\'élèves issus de l\'immigration dans une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Alors, un échantillon par quotas des élèves est sélectionné au sein de chaque école dans une seconde étape. Si des échantillons distincts sont tirés à partir de la même population cible à l\'aide de différentes méthodes d\'échantillonnage, le type de procédure d\'échantillonnage utilisé pour chaque échantillon devra être classé séparément.','MixedProbabilityNonprobability',NULL,16,NULL,NULL,'Mixte probabiliste et non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',398),(7326,'Utilisez si la procédure d\'échantillonnage est connue, mais pas présente dans la liste.','Other',NULL,17,NULL,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',398),(7333,'','Demography',NULL,0,NULL,NULL,'DÉMOGRAPHIE (POPULATION, ÉTAT CIVIL, ET RECENSEMENT)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',400),(7334,'Inclut immigration, émigration, migration interne ainsi que d\'autres types de mobilité géographique. L\'immigration signifie venir s\'établir dans un autre pays que son pays d\'origine. L\'émigration signifie quitter son pays d\'origine pour s\'installer dans un autre pays. La migration est le terme générique pour les deux. La migration inclut aussi la migration interne, c\'est-à-dire, le déplacement de personnes au sein d\'un pays à différents niveaux géographiques.','Demography.Migration','Demography',2,NULL,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',400),(7335,'La morbidité fait référence à l\'incidence de la mauvaise santé dans une population. Les données peuvent couvrir l\'incidence ou le taux de morbidité d\'un problème de santé. Par exemple, le nombre de personnes qui souffrent du cancer du poumon dans un pays ou une aire géographique durant une année. Les données de mortalité indiquent le nombre de morts dans une population selon le lieu, le moment, la cause ou le type d\'individu etc. Par exemple, le taux de mortalité maternelle, le taux de mortalité infantile. Veuillez noter que les données d\'enquêtes auto-administrées sur les maladies et les problèmes de santé sont référencées avec les termes de la catégorie SANTÉ.','Demography.MorbidityAndMortality','Demography',3,NULL,NULL,'Morbidité et mortalité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',400),(7336,'','Economics',NULL,4,NULL,NULL,'ÉCONOMIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',400),(7337,'Fait référence à l\'acte d\'acquérir et / ou utiliser quelque chose pour répondre aux besoins et aux demandes d\'une personne, d\'une communauté ou d\'une société. Les données de cette catégorie incluent des modèles de comportements de consommateurs, leurs changements, et des études sur l\'éthique du consommateur. Par exemple, des données d\'enquête sur la fréquence d\'achats de certains articles ; quand et où ils achètent ; si des considérations éthiques influencent leurs choix de consommation.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,NULL,NULL,'Consommation et comportement des consommateurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',400),(7338,'Les indicateurs économiques précisent dans quelle direction une économie s\'oriente et intègrent, par exemple, le taux de croissance du PIB, le taux d\'emploi, d\'inflation et d\'intérêt, les activités de consommation et d\'investissement, la dette des ménages. Cela est aussi utilisé pour les conditions économiques des individus et des ménages qui ont été interrogées ou enregistrées.','Economics.EconomicConditionsAndIndicators','Economics',6,NULL,NULL,'Conditions et indicateurs économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',400),(7339,'Utilisez pour des études sur le capitalisme, le socialisme et sur d\'autres systèmes économiques et pour des études, par exemple, sur des programmes internationaux de développement.','Economics.EconomicSystemsAndDevelopment','Economics',8,NULL,NULL,'Systèmes et développements économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',400),(7340,'','Education',NULL,10,NULL,NULL,'ÉDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',400),(7341,'L\'enseignement obligatoire fait référence à la période de l\'éducation qui est requise pour toutes les personnes vivant dans un pays et qui est imposée par la loi. L\'enseignement préscolaire fait référence à la garde formelle des enfants et à l\'éducation dispensée avant l\'enseignement obligatoire. Utilisez ce terme pour référencer des données relatives à l\'enseignement préscolaire, primaire, les premiers niveaux du secondaire, que les données portent ou non sur les élèves, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,NULL,'Enseignement obligatoire et pré-scolaire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',400),(7342,'Discussions sur la politique et les principes, et les décisions prises et les principes adoptés au niveau national, régional ou local concernant l\'éducation et son implantation. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Education.EducationalPolicy','Education',12,NULL,NULL,'Politique éducative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',400),(7343,'Couvre l\'enseignement général des niveaux 3-4 de la CITE ainsi que l\'enseignement supérieur, c\'est-à-dire l\'enseignement secondaire supérieur, et le lycée, les Hautes Écoles, les universités. Inclut les données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.HigherAndFurtherEducation','Education',13,NULL,NULL,'Enseignement secondaire et du supérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',400),(7344,'Fait référence aux possibilités d\'enseignements sous diverses formes à destination des adultes après qu\'ils aient quittés le système d\'éducation classique. Les adultes peuvent s\'engager dans un tel enseignement pour, par exemple, améliorer leurs aptitudes, leurs qualifications, pour se reconvertir pour un nouveau métier, ou juste pour apprendre quelque chose de nouveau. N\'inclut pas généralement l\'enseignement menant à une qualification, ou à la formation professionnelle.','Education.LifelongContinuingEducation','Education',14,NULL,NULL,'Formation tout au long de la vie / continue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',400),(7345,'Programmes qui sont conçus pour les apprenants pour leur permettre d\'acquérir des connaissances, des aptitudes et des compétences spécifiques à un emploi, à un métier ou à une catégorie d\'emplois ou de métiers. L\'enseignement professionnel peut avoir des composants basés sur le travail. Couvre l\'enseignement professionnel des niveaux 3-4 de la CITE et l\'apprentissage. Inclut des données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.VocationalEducationAndTraining','Education',15,NULL,NULL,'Enseignement et formation professionnels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',400),(7346,'','Health',NULL,16,NULL,NULL,'SANTÉ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',400),(7347,'Processus nutritionnel, habitudes et pratiques alimentaires et, paramètres nutritionnels mesurables tels que l\'indice de masse corporelle (IMC), le poids, les niveaux de vitamines.','Health.DietAndNutrition','Health',17,NULL,NULL,'Alimentation et nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',400),(7348,'Études sur le bien-être en général ou l\'état de santé d\'un individu, d\'un groupe ou d\'une population. Peut être objectivement mesuré / observé ou auto-perçu. Le bien-être inclut, par exemple, la capacité ou l\'état physique et mental, ainsi que l\'état social.','Health.GeneralHealthAndWellbeing','Health',19,NULL,NULL,'Santé et bien-être','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',400),(7349,'Qualité et disponibilité des services, des installations connexes et du personnel dans le domaine des soins de santé. L\'économie des soins de santé et la politique et les principes de décision au niveau national, régional ou local en matière de soins de santé. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Health.HealthCareServicesAndPolicies','Health',20,NULL,NULL,'Services et politiques de soins','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',400),(7350,'Traitement de maladie, ou procédure(s) de prévention. Soins au patient au niveau individuel. Recherche sur les médicaments et le traitement d\'une maladie. Données sur, par exemple, les procédures chirurgicales, la réadaptation, la consultation médicale, la physiothérapie, les manipulations musculo-squelettiques, les soins à l\'hôpital ou à domicile, la psychothérapie, les techniques d\'investigations, les médicaments.','Health.MedicationAndTreatment','Health',21,NULL,NULL,'Médicaments et traitements','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',400),(7351,'Données sur les expositions et les maladies professionnelles, la sécurité au travail, les congés de maladie, la capacité de travail et l\'invalidité, ou la pension d\'invalidité liée au travail.','Health.OccupationalHealth','Health',22,NULL,NULL,'Santé au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',400),(7352,'Données sur la condition physique de la population, ainsi que sur le niveau d\'activité physique et sportive.','Health.PhysicalFitnessAndExercise','Health',23,NULL,NULL,'Condition et activité physique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',400),(7353,'Prévention et contrôle des maladies et du handicap et la promotion de la santé physique et mentale de la population au niveau international, national, étatique, ou municipal. Par exemple, la promotion de la santé, la prévention de maladies, l\'impact des programmes de santé publique, la gestion locale, nationale ou mondiale des problèmes de santé, l\'épidémiologie d\'une maladie, d\'une pathologie, d\'un pathogène ou d\'une épidémie.','Health.PublicHealth','Health',24,NULL,NULL,'Santé publique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',400),(7354,'Processus, fonction ou système reproductif à toutes les étapes de la vie. Inclut des données sur les grossesses, les naissances, la planification familiale, la contraception et l\'avortement, la ménopause.','Health.ReproductiveHealth','Health',25,NULL,NULL,'Fécondité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',400),(7355,'Étude des conditions anatomiques ou physiologiques anormales et des conditions objectives ou subjectives des maladies / des symptômes pas classées comme des maladies ou des syndromes (dans ce cas \'Maladies, troubles ou problèmes de santé spécifiques\' serait utilisé). Inclut les manifestations cliniques qui peuvent être objectives lorsqu\'elles sont observées par un professionnel de santé ou subjective quand elles sont perçues par le patient. E. g. douleur, diarrhée, éruption cutanée, inégalité de longueur de jambe, insomnie, grincement de dents, inflammation, arythmie.','Health.SignsAndSymptomsPathologicalConditions','Health',26,NULL,NULL,'Signes et symptomes ; conditions pathologiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',400),(7356,'Étude des maladies, troubles, syndromes spécifiques diagnostiquées (souvent classés dans la CIM-10 ou ses versions précédentes). Par exemple, la recherche médicale sur les causes du diabète ou l\'étude sur le rétablissement physique et mentale des personnes qui ont eu une chirurgie cardiaque.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,NULL,NULL,'Maladies, troubles spécifiques et conditions médicales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',400),(7357,'Blessures et lésions, à la fois physiques et psychologiques, causées soit par des accidents ou des violences (par des comportements agressifs individuels ou de groupe). Si blessures ou lésions en relation au travail, utilisez \'Santé au travail\'.','Health.WoundsAndInjuries','Health',28,NULL,NULL,'Blessures et lésions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',400),(7358,'Utilisez la thématique appropriée pour des données historiques ainsi que le terme générique ici. Par exemple, \'Conditions de travail\' et \'Services et politiques de soins\' plus HISTOIRE pour des données sur les environnements de travail des médecins de famille dans les années 1960. Le terme générique histoire est à utiliser seulement dans les cas où aucune thématique historique ne peut être trouvée.','History',NULL,29,NULL,NULL,'HISTOIRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',400),(7359,'','HousingAndLandUse',NULL,30,NULL,NULL,'LOGEMENT ET UTILISATION DU TERRITOIRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',400),(7360,'Inclut les études mesurant la qualité du logement dans une communauté, incluant le logement social, ainsi que la disponibilité et le prix du logement. Logement inclut les maisons, les résidences secondaires et les maisons de vacances.','HousingAndLandUse.Housing','HousingAndLandUse',31,NULL,NULL,'Logement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',400),(7361,'Inclut à la fois l\'aménagement du territoire et la planification de l\'utilisation des terres. La planification de l\'utilisation des terres fait référence aux procédures mises en œuvre pour assurer une utilisation optimale et durable des terres dans les communautés rurales et urbaines.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,NULL,NULL,'Aménagement et planification du territoire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',400),(7362,'','LabourAndEmployment',NULL,33,NULL,NULL,'TRAVAIL ET EMPLOI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',400),(7363,'Formation interne et formation continue financée par l\'employeur pour accroître les aptitudes et les compétences des employés. N\'inclut pas l\'apprentissage, qui est inclus dans \'Enseignement et formation professionnels\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,NULL,NULL,'Formation interne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',400),(7364,'Données sur le taux et les statistiques d\'emploi, sur le marché du travail, les emplois vacants, la recherche d\'emploi, les caractéristiques d\'emploi, l\'emploi de certains groupes (e. g. l\'emploi des jeunes ou des immigrés), les emplois de service, carrière. Pour le salaire et l\'indemnisation utilisez \'Conditions de travail\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,NULL,NULL,'Emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',400),(7365,'Données sur les politiques d\'emploi relatives aux relations de travail, au marché du travail et à l\'égalité et la discrimination au travail ; Au niveau national, les politiques incluent l\'influence de la demande et l\'offre de travail et le fonctionnement des marchés du travail. Utilisez \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en œuvre.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,NULL,NULL,'Politique du travail et de l\'emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',400),(7366,'Relations entre employeurs et employés.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,NULL,NULL,'Relations / conflits au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',400),(7367,'Inclut tous les modèles de retraite tels que la retraite \'progressive\' ou la retraite \'flexible\', les données sur l\'âge de la retraite et la retraite anticipée.','LabourAndEmployment.Retirement','LabourAndEmployment',38,NULL,NULL,'Retraite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',400),(7368,'Données sur le taux et les statistiques du chômage, les programmes et schémas d\'emploi, la durée et la fréquence du chômage, l\'impact social et psychologique du chômage etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,NULL,NULL,'Chômage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',400),(7369,'Les conditions de travail des employés. Par exemple, les types de contrat, le temps de travail (heures de travail, les périodes de repos, les horaires de travail, les heures supplémentaires), le salaire et l\'indemnisation, les aspects physique et exigences mentales du travail, les droits et responsabilités des employés, la charge de travail, l\'implication de l\'employé dans la prise de décision, les droits de congés, l\'environnement physique. Pour les problèmes de la sécurité sur le lieu de travail utilisez aussi \'Santé au travail\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,NULL,NULL,'Conditions de travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',400),(7370,'','LawCrimeAndLegalSystems',NULL,41,NULL,NULL,'LOI, CRIMINALITÉ ET SYSTÈME LEGAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',400),(7371,'Données sur la criminalité, la prévention de la criminalité, les victimes d\'actes criminels, les criminels, ainsi que la police, les services secrets, les établissements pénitentiaires (e. g. prisons, les établissements pénitentiaires pour jeunes), les contrôles aux frontières et les douanes. Inclut aussi les données sur les équipes et les installations de ces services.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,NULL,NULL,'Criminalité et application de la Loi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',400),(7372,'Données sur la législation internationale ou nationale, les réglementations administratives, le système judiciaire (pouvoirs et activités des tribunaux), les modes alternatifs de résolutions de litiges et de justice réparatrice, les sanctions.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,NULL,NULL,'Législation et systèmes juridiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',400),(7373,'','MediaCommunicationAndLanguage',NULL,44,NULL,NULL,'MÉDIA, COMMUNICATION ET LANGAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',400),(7374,'La création, la distribution, l\'utilisation, l\'intégration et la manipulation des informations comme une activité économique, politique et culturelle importante. Par exemple, des données relatives au commerce électronique, à l\'administration en ligne, les réseaux sociaux, les appareils mobiles, l\'accès et l\'utilisation de l\'Internet, la vie privée en ligne, les informations et les ressources des bibliothèques. Utilisez \'Technologie de l\'information\' quand vous parlez des technologies actuelles.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,NULL,'Société de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',400),(7375,'Données incluant les études linguistiques, les analyses linguistiques et sociolinguistiques, ainsi que des données sur les politiques de langage, les compétences en termes de langues de la population, les langues parlées au travail et à la maison, les attitudes envers les langues minoritaires etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,NULL,'Langue et linguistiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',400),(7376,'Données se référant à tout type de médias de masse. Par exemple, les journaux papier ou en ligne, les magazines, la télévision et la radio. S\'il vous plait veuillez noter que les réseaux sociaux sont référencés avec le terme \'Société de l\'information\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,NULL,'Média','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',400),(7377,'Mesures adoptées pour améliorer ou préserver l\'image des individus, des entreprises, des organisations, et des gouvernements par exemple par le biais de la publicité, du lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,NULL,'Relations publiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',400),(7378,'','NaturalEnvironment',NULL,49,NULL,NULL,'ENVIRONNEMENT NATUREL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',400),(7379,'Les ressources naturelles sont des ressources telles que la terre, les forêts, les sources d\'énergie, l\'eau, les minéraux qui existent naturellement et peuvent être utilisés pour la production économique ou la consommation. Les ressources énergétiques incluent les combustibles fossiles tels que le pétrole, le gaz naturel ou le charbon, ainsi que le nucléaire, le solaire, l\'énergie marémotrice, l\'éolien ou à partir d\'organismes vivants qui peuvent être remplacés.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,NULL,NULL,'Énergie et ressources naturelles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',400),(7380,'Couvre les problèmes de dégradation environnementale, de pollution, de protection de l\'environnement, de changement climatique, de prévention des inondations, d\'érosion des sols.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,NULL,NULL,'Environnement et conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',400),(7381,'Couvre les paysages et les éléments du territoire qui n\'ont pas été directement modifiés par les humains.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,NULL,NULL,'Paysages naturels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',400),(7382,'Couvre les animaux domestiques, de production et sauvages, ainsi que tous les types de plantes (e. g. fleurs, arbres, mousses, légumes).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,NULL,NULL,'Plantes et animaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',400),(7383,'','Politics',NULL,54,NULL,NULL,'POLITIQUE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',400),(7384,'Sécurité et sûreté intérieures et internationales ; conflits intérieurs et internationaux ; guerre et paix ; défense nationale et forces de défense (l\'armée). Veuillez noter que la police est incluse dans \'Criminalité et application de la Loi\'','Politics.ConflictSecurityAndPeace','Politics',55,NULL,NULL,'Conflit, sécurité et paix','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',400),(7385,'Données sur les élections, les référendums, les campagnes électorales, les résultats des élections, les candidats aux élections, les sélectionneurs des candidats, le financement électoral etc.','Politics.Elections','Politics',56,NULL,NULL,'Élections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',400),(7386,'La gouvernance mondiale, la diplomatie, la politique étrangère, les relations entre pays, les organisations internationales (e. g. l\'UE, l\'OMS, l\'ONU, l\'OMC), et les accords internationaux.','Politics.InternationalPoliticsAndOrganisations','Politics',58,NULL,NULL,'Politiques et organisations internationales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',400),(7387,'Données sur les attitudes politiques des partis, l\'engagement politique et la participation dans le processus politique, le comportement électoral, la satisfaction à l\'égard du gouvernement. Utilisez \'Idéologie politique\' pour des données sur des doctrines spécifiques.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,NULL,NULL,'Comportements et attitudes politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',400),(7388,'Idées, idéaux et théories sur les manières dont les gouvernements et les sociétés peuvent être organisés. Les idéologies politiques importantes incluent l\'anarchisme, la démocratie, le libéralisme, le conservatisme etc.','Politics.PoliticalIdeology','Politics',60,NULL,NULL,'Idéologie politique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',400),(7389,'','Psychology',NULL,61,NULL,NULL,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',400),(7390,'','ScienceAndTechnology',NULL,62,NULL,NULL,'SCIENCE ET TECHNOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',400),(7391,'Utilisation de processus biomoléculaires et cellulaires pour créer de nouveaux produits et procédés technologiques.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,NULL,NULL,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',400),(7392,'Technologies de l\'information et de la communication qui sont utilisées à la maison, au travail et dans d\'autres lieux. Veuillez noter que l\'utilisation et l\'impact de ces technologies sont incluses dans \'Société de l\'information\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,NULL,NULL,'Technologie de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',400),(7393,'','SocialStratificationAndGroupings',NULL,65,NULL,NULL,'STRATIFICATION ET GROUPES SOCIAUX','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',400),(7394,'Peut nécessiter une thématique supplémentaire, si les enfants sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,NULL,NULL,'Enfants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',400),(7395,'Peut nécessiter une thématique supplémentaire, si les personnes âgées sont étudiées d\'un point de vue particulier.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,NULL,NULL,'Personnes âgées','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',400),(7396,'Les questions liées à l\'existence, aux rôles et à l\'impact des élites dans la société, c\'est-à-dire, les individus ou les groupes qui ont une quantité considérable de pouvoir ou d\'influence sur la société, les politiques, la richesse etc. soit à travers les décisions qu\'ils prennent ou, par exemple, à travers les idées ou les sentiments qu\'ils expriment ou représentent. Inclut les questions traitant des personnes influentes dans toutes les sphères de la société, par exemple, les décideurs de la vie politique, les chefs des partis politiques, les artistes influents, les personnalités des médias de masse ou des réseaux sociaux etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,NULL,NULL,'Élites et dirigeants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',400),(7397,'Les enjeux de savoir si tous les individus ou des groupes d\'individus ont le même statut et les mêmes chances dans la société. L\'égalité peut être étudiée, par exemple, en termes d\'éducation, de patrimoine (financier) ou de revenus, de position professionnelle, de pouvoir, de prestige, de conditions de travail et de temps libre, d\'accès aux services, et de relations sociales. La marginalisation et l\'exclusion sociale peuvent être le résultat d\'un désavantage systématique dans de multiples domaines de la vie, et les personnes concernées peuvent être privées de droits, d\'opportunités, de ressources et d\'intégration sociale. Exemples de données : statistiques sur l\'égalité des revenus, la discrimination perçue par un groupe (e. g. à l\'égard des étrangers, des sans-domiciles, des demandeurs d\'asile) ; différences perçues entre les hommes et les femmes concernant les possibilités de jouer un rôle majeur en politique ; impact du chômage des parents sur le niveau d\'éducation des enfants et des relations sociales.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,NULL,NULL,'Égalité, inégalité et exclusion sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',400),(7398,'Couvre les questions relatives aux familles, aux parents, aux générations et à la composition du ménage. Par exemple, des données sur l\'éducation des enfants, la division du travail au sein de la famille, le soutien apporté aux membres de la famille.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,NULL,NULL,'Vie de famille et mariage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',400),(7399,'Identité de genre ; les représentations sexuées (e. g. représentation des genres dans les organes de décision, dans les médias, dans la littérature etc.) ; les caractéristiques sociales, culturelles et psychologiques liées aux hommes et aux femmes ; les études sur les femmes ; les études sur les hommes ; les comportements et les choix attendus en fonction des rôles de genre et l\'impact de ces attentes.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,NULL,NULL,'Genre et rôles de genre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',400),(7400,'Groupes d\'individus qui diffèrent de la majorité de la population d\'une façon ou d\'une autre. Les caractéristiques différenciantes incluent, par exemple, l\'ethnicité, la religion, la santé, l\'orientation sexuelle, la première langue (la langue maternelle) et la culture. S\'il vous plait veuillez noter que vous pouvez aussi utiliser les termes \'Égalité, inégalité et exclusion sociale\' ou \'Langue et linguistiques\' pour certaines questions relatives aux questions des minorités.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,NULL,NULL,'Minorités','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',400),(7401,'Mouvements d\'individus, de familles ou de groupes d\'individus dans les statuts sociaux et professionnels au fil du temps. Le mouvement peut être horizontal, c\'est-à-dire, changement de position à l\'intérieur d\'une même catégorie de statuts, ou vertical où des individus peuvent se déplacer vers le haut ou vers le bas dans la hiérarchie des statuts. Par exemple, des ouvriers dans des industries en déclin peuvent devenir des ouvriers dans toute autre industrie (mobilité horizontale professionnelle), ou des enfants de familles pauvres peuvent atteindre une classe sociale plus élevée que leurs parents (mobilité sociale intergénérationnelle verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,NULL,NULL,'Mobilité sociale et professionnelle','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',400),(7402,'Peut nécessiter une thématique supplémentaire, si les jeunes sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,NULL,NULL,'Jeunes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',400),(7403,'','SocialWelfarePolicyAndSystems',NULL,75,NULL,NULL,'POLITIQUE ET SYSTÈMES DE PROTECTION SOCIALE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',400),(7404,'Décisions prises et principes adoptés à un niveau national, régional ou local concernant la protection sociale, son financement et son implantation, par exemple, qui a droit à quel type de services et prestations sociales et pourquoi, quel est leur niveau, et qui peut fournir les services. Par exemple, une politique du maintien des personnes âgées à domicile aussi longtemps que possible, une politique concernant la durée pendant laquelle les personnes peuvent avoir une allocation chômage. Utilisez aussi le terme \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en oeuvre.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,NULL,NULL,'Politique de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',400),(7405,'Questions liées à l\'implantation de l\'aide sociale, qui fournit les services d\'aide sociale en pratique et dans quelle mesure, comment les services en question sont structurés. Par exemple, les questions sur la manière dont une collectivité territoriale a organisé les services pour les personnes âgées.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,NULL,'Systèmes / structures de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',400),(7406,'Par exemple, des données sur l\'étendu de la population qui utilise des services sociaux spécifiques, les opinions sur l\'adéquation, l\'accessibilité et la disponibilité des services spécifiques, et la satisfaction générale avec eux. Par exemple, des questions sur quel service les personnes âges ont utilisé, ou l\'utilisation de statistiques sur des services en particulier.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,NULL,'Services sociaux spécifiques : utilisation et disponibilité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',400),(7407,'','SocietyAndCulture',NULL,79,NULL,NULL,'SOCIÉTÉ ET CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',400),(7408,'Données relatives à différents aspects de la vie en communauté, ou dans des zones urbaines et rurales. Opinions et images du quartier, des zones urbaines ou rurales. Services, équipements et activités économiques dans le quartier.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,NULL,NULL,'Vie communautaire, urbaine et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',400),(7409,'Participation active ou passive à tout type d\'activités culturelles, ainsi que les opinions et les perceptions les concernant.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,NULL,NULL,'Activités culturelles et participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',400),(7410,'Données sur la formation de l\'identité, ce que les personnes pensent qu\'elles sont et où est leur place. La relation de l\'identité culturelle et nationale à la représentation et au classement de quelqu\'un comme \"pas l\'un de nous\" (Autre). Les coutumes et les manières, et les attitudes de ses propres perceptions et des identités des autres groupes.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,NULL,NULL,'Identité culturelle et nationale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',400),(7411,'Les habitudes de loisirs, les activités de loisirs et les passe-temps. Inclut le fait d\'assister aux spectacles sportifs, les compétitions sportives, et les voyages d\'agréments. Pour des données sur l\'exercice physique pour rester en forme, utilisez \'Condition et activité physique\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,NULL,NULL,'Loisirs, tourisme et sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',400),(7412,'Données qui traitent des questions de comportements religieux, de mouvements religieux, de la spiritualité, de la moralité et d\'autres valeurs.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,NULL,NULL,'Religion et valeurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',400),(7413,'Données sur le comportement social ; l\'interaction sociale et les réseaux ; les responsabilités sociales, les normes et les règles ; et les attitudes face à ces questions.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,NULL,NULL,'Comportement social et attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',400),(7414,'Données sur les changements dans la société, incluant les changements d\'attitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,NULL,'Changement social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',400),(7415,'Couvre tous les aspects de la qualité de vie et du bien-être des individus et des sociétés, ainsi que la perceptions que les personnes en ont. S\'il vous plait veuillez noter que, selon l\'aspect étudié, les termes \'Santé et bien-être\', \'Conditions et indicateurs économiques\', etc. peuvent aussi être pertinent.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,NULL,NULL,'Conditions et indicateurs sociaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',400),(7416,'Données sur le temps consacré par la population à diverses activités.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,NULL,NULL,'Emploi du temps','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',400),(7417,'','TradeIndustryAndMarkets',NULL,89,NULL,NULL,'COMMERCE, INDUSTRIE ET MARCHÉS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',400),(7418,'Utilisez cette catégorie pour des études sur la production agricole et toutes industries rurales, y compris, par exemple, les industries de la pêche et la sylviculture.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,NULL,'Industrie agricole et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',400),(7419,'Données sur l\'industrie et les entreprise telles que la gestion, la production, la croissance et le déclin, la structure organisationnelle, l\'administration, les investissement en R&amp;D, les marchés et la part de marché.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,NULL,NULL,'Gestion et organisation de l\'entreprise et de l\'industrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',400),(7420,'Echange de capitaux, de biens, ou de services au-delà des frontières internationales.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,NULL,NULL,'Commerce extérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',400),(7421,'Inclut tous les types de transports de marchandises ainsi que les navettes et les transports publics (trains, bus, métro, etc.), et les réseaux de transport urbain. Des données sur les habitudes de mobilité, par exemple, les achats transfrontaliers, les routes et les moyens utilisés pour accéder à un endroit. Utilisez le terme \'Loisirs, tourisme et sport\' pour des voyages d\'agrément.','TransportAndTravel',NULL,93,NULL,NULL,'TRANSPORT ET VOYAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',400),(7422,'Utilisez si la thématique est connue, mais pas présente dans la liste.','Other',NULL,94,NULL,NULL,'AUTRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',400),(7423,'Enquêtes sur l\'ensemble d\'une population, par opposition à une enquête par sondage. Souvent utilisé pour le dénombrement officiel d\'une population, comprenant habituellement le recueil d\'informations démographiques associées. Veuillez noter que les recensements de certains pays ne sont pas utilisés car les informations démographiques peuvent être obtenus à partir des registres officiels.','Demography.Censuses','Demography',1,NULL,NULL,'Recensement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',400),(7424,'Données sur la politique économique, incluant le budget et la politique fiscale, les dépenses publiques et les recettes publiques.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,NULL,'olitique économique, dépenses publiques et recettes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',400),(7425,'Utilisez pour des études sur l\'accumulation de biens personnels, incluant le revenu, la propriété, les placements et les épargnes.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,NULL,'Revenu, propriété et placement / épargne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',400),(7427,'Les questions liées à la gouvernance nationale, régionale et locale, aux instances gouvernantes (e. g. le gouvernement, le parlement, les instances gouvernantes locales), à l\'administration publique, aux autres organisations politiques telles que les partis politiques. Par exemple, des données sur les politiques gouvernementales, les partis politiques et leurs politiques, les dirigeants des partis politiques, la confiance dans les instances gouvernantes. Veuillez noter que vous pouvez avoir besoin d\'utiliser une thématique politique également.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,NULL,'Gouvernement, systèmes et organisations politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',400),(7428,'Pregledi cele populacije, za razliku od pregleda po osnovu uzorka. Često se koriste za zvanično nabrajanje populacije, često uz uključivanje skupa povezanih demografskih informacija. Imajte na umu da se u nekim zemljama popisi ne koriste, jer se demografske informacije mogu dobiti iz zvaničnih registara.','Demography.Censuses','Demography',1,NULL,NULL,'Popisi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',403),(7429,'','Demography',NULL,0,NULL,NULL,'DEMOGRAFIJA (STANOVNIŠTVO, VITALNI DOGAĐAJI/STATISTIKE I POPISI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',403),(7430,'Uključuju imigraciju, emigraciju, unutrašnje migracije, kao i druge tipove geografske mobilnosti. Imigracija je proces doseljavanja stanovništva na neki prostor. Emigracija je preseljenje iz domovine u stranu zemlju. Migracija je pojam koji objedinjuje oba prethodna - prostorna (geografska) pokretlјivost stanovništva preko ili unutar državne granice. Migracije uključuju i unutrašnje migracije, koje obuhvataju lica koja su promenila prebivalište, odnosno trajno su se preselila iz svog dosadašnjeg mesta (naselja) stalnog stanovanja u drugo mesto (naselje) unutar granica jedne države.','Demography.Migration','Demography',2,NULL,NULL,'Migracije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',403),(7431,'Morbiditet je, u demografskom smislu, apsolutni ili relativni broj oboljenja u određenoj populaciji u određenom periodu. Na osnovu toga moguće je pratiti tok&nbsp; pojava kao što je na primer smrtnost dece, dužina trajanja života i sl. Podaci se mogu odnositi na učestalost ili smrtnost po osnovu nekog medicinskog stanja. Na primer, broj ljudi koji pate od raka pluća u nekoj zemlji ili geografskom području tokom jedne godine. Podaci o smrtnosti (mortalitetu) pokazuju broj smrtnih slučajeva u populaciji prema mestu, vremenu, uzroku ili vrsti lica itd. Na primer, stopa smrtnosti majki, stopa smrtnosti dece. Imajte na umu da su podaci anketa o prijavljenim bolestima i medicinskim stanjima indeksirani u hijerarhiji \"ZDRAVLJE\".','Demography.MorbidityAndMortality','Demography',3,NULL,NULL,'Morbiditet i mortalitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',403),(7432,'','Economics',NULL,4,NULL,NULL,'EKONOMIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',403),(7433,'Odnosi se na čin sticanja i/ili upotrebe nečega za zadovoljenje potreba i želja osobe, zajednice ili društva. Podaci u ovoj kategoriji uključuju obrasce ponašanja potrošača, njihove promene i proučavanje potrošačke etike. Na primer, to mogu biti anketni podaci o tome koliko često ljudi kupuju određene predmete; kada i gde kupuju; da li etička razmatranja utiču na njihov potrošački izbor, itd.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,NULL,NULL,'Potrošnja i ponašanje potrošača','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',403),(7434,'Ekonomski pokazatelji ili indikatori ukazuju u kom pravcu se kreće privreda jedne zemlje i uključuju, na primer, stopu rasta bruto društvenog proizvoda (BDP-a), zaposlenost, inflaciju, kamatnu stopu, aktivnost potrošača i investitora, dug domaćinstava. Takođe se koriste i za procenu ekonomskih uslova pojedinaca i domaćinstava, na osnovu podataka iz&nbsp; anketa ili registara.','Economics.EconomicConditionsAndIndicators','Economics',6,NULL,NULL,'Ekonomski uslovi i indikatori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',403),(7435,'Podaci o ekonomskoj politici, uključujući budžetsku i fiskalnu politiku, javne rashode i javne prihode.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,NULL,'Ekonomska politika, javni rashodi i prihodi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',403),(7436,'Koriste se za studije koje istražuju kapitalističke, socijalističke i druge ekonomske sisteme, ali za ostale studije, npr. međunarodne razvojne programe.','Economics.EconomicSystemsAndDevelopment','Economics',8,NULL,NULL,'Ekonomski sistem i razvoj','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',403),(7437,'Koriste se za studije o akumulaciji lične imovine, uključujući prihode, imovinu, investicije i štednju.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,NULL,'Prihod, imovina i investicije / štednja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',403),(7438,'','Education',NULL,10,NULL,NULL,'OBRAZOVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',403),(7439,'Obavezno obrazovanje odnosi se na period obrazovanja koji je obavezan za sve osobe koji živi u nekoj zemlji i koji je nametnut zakonom. Predškolsko obrazovanje se odnosi na formalno zbrinjavanje dece i obrazovanje koje se pruža pre obaveznog školskog obrazovanja. Ovaj izraz upotrebite za indeksiranje podataka koji se odnose na predškolski, osnovni i niži stepen obrazovanja, bez obzira da li se podaci fokusiraju na učenike, nastavnike, predmete ili veštine koje se predaju, ustanove, itd.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,NULL,'Obavezno i predškolsko obrazovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',403),(7440,'Rasprave o politici i principima, kao i&nbsp; odlukama i principima usvojenim na nacionalnom, regionalnom ili lokalnom nivou, koje se tiču obrazovanja i procesa njegovog pružanja. Koristite hijerarhiju \"ZAKONI, KRIMINAL I PRAVNI SISTEMI\" za zakone i propise koji su u primeni.','Education.EducationalPolicy','Education',12,NULL,NULL,'Obrazovna politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',403),(7441,'Obuhvata opšte obrazovanje u skladu sa Međunarodnom standardnom klasifikacijom obrazovanja (ISCED), koja podrazumeva nivoe od 3-4 godine plus tercijarno obrazovanje, odnosno srednjoškolsko opšte obrazovanje i fakultet, univerzitet primenjenih nauka i univerzitetsko obrazovanje. Sadrži podatke o učenicima, nastavnicima, predmetima ili predavanjima, objektima, itd.','Education.HigherAndFurtherEducation','Education',13,NULL,NULL,'Srednje i visoko obrazovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',403),(7442,'Odnosi se na različite oblike obrazovnih mogućnosti, koje se pružaju odraslim osobama nakon što napuste formalni obrazovni sistem. Odrasli se mogu uključiti u takvo obrazovanje kako bi, na primer, poboljšali svoje veštine ili kvalifikacije, prekvalifikovali se za novi posao ili samo naučili nešto novo. Generalno ne uključuje obrazovanje koje vodi ka kvalifikaciji ili obuku zaposlenih.','Education.LifelongContinuingEducation','Education',14,NULL,NULL,'Celoživotno obrazovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',403),(7443,'Programi koji su namenjeni učenicima sa ciljem da steknu znanje, veštine i kompetencije specifične za određeno zanimanje, trgovinu ili klasu zanimanja ili zanata. Stručno obrazovanje može imati komponente zasnovane na radu. Pokriva stručno obrazovanje u skladu sa Međunarodnom standardnom klasifikacijom obrazovanja (ISCED) sa nivoima 3-4 godine i tercijarno obrazovanje. Sadrži podatke o učenicima, nastavnicima, predmetima ili predavanjima, objektima, itd.','Education.VocationalEducationAndTraining','Education',15,NULL,NULL,'Strukovno obrazovanje i obuke','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',403),(7444,'','Health',NULL,16,NULL,NULL,'ZDRAVLJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',403),(7445,'Prehrambeni procesi, obrasci i postupci ishrane i merljivi nutritivni parametri, kao što su indeks telesne mase (BMI), težina, nivo vitamina, i dr.','Health.DietAndNutrition','Health',17,NULL,NULL,'Dijeta i ishrana','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',403),(7447,'Studija opšteg blagostanja ili zdravstveno stanje pojedinca, grupe ili populacije. Može biti objektivno izmereno/posmatrano ili samoopaženo/samoprocenjeno. Blagostanje uključuje, na primer, fizičku i mentalnu sposobnost ili stanje, kao i socijalno stanje.','Health.GeneralHealthAndWellbeing','Health',19,NULL,NULL,'Opšte zdravlje i blagostanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',403),(7448,'Kvalitet i dostupnost usluga, pratećih objekata i osoblja u zdravstvu. Ekonomija zdravstvene politike, odluke i principi, politike na nacionalnom, regionalnom ili lokalnom nivou u vezi sa zdravstvenom zaštitom. Koristite \"ZAKONI, KRIMINAL I PRAVNI SISTEMI\" za zakone i propise koji su u primeni.','Health.HealthCareServicesAndPolicies','Health',20,NULL,NULL,'Usluge zdravstvene nege i politike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',403),(7449,'Lečenje bolesti ili postupci preventive. Nega pacijenata na individualnom nivou. Istraživanje o lekovima i lečenju bolesti. Podaci o, na primer, hirurškim procedurama, rehabilitaciji, konsultacijama lekara, fizikalnoj terapiji, mišićno-koštanim manipulacijama, nezi u bolnici ili kod kuće, psihoterapiji, istražnim tehnikama, lekovima.','Health.MedicationAndTreatment','Health',21,NULL,NULL,'Lečenje i tretmani','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',403),(7450,'Podaci o profesionalnoj izloženosti i bolestima, zaštiti na radu, bolovanju, radnoj sposobnosti i invalidnosti ili invalidskoj penziji.','Health.OccupationalHealth','Health',22,NULL,NULL,'Zdravlje na radu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',403),(7451,'Podaci o opštem stepenu kondicije, fizičke aktivnosti i vežbanja koje ljudi sprovode.','Health.PhysicalFitnessAndExercise','Health',23,NULL,NULL,'Fizička kondicija i vežbanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',403),(7452,'Prevencija i kontrola bolesti i invaliditeta, kao i promocija fizičkog i mentalnog zdravlja stanovništva na međunarodnom, nacionalnom, državnom ili lokalnom nivou. Na primer, promocija zdravlja, prevencija bolesti, uticaj javnih zdravstvenih programa, upravljanje lokalnim, nacionalnim ili globalnim zdravstvenim pitanjima, epidemiologija bolesti, stanja ili patogena ili epidemija bolesti.','Health.PublicHealth','Health',24,NULL,NULL,'Javno zdravlje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',403),(7453,'Reproduktivni proces, funkcija ili sistem u bilo kojoj životnoj fazi. Uključuje podatke o trudnoći, porođaju, planiranju porodice, kontracepciji i pobačaju, menopauzi.','Health.ReproductiveHealth','Health',25,NULL,NULL,'Reproduktivno zdravlje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',403),(7454,'Studija o abnormalnim anatomskim ili fiziološkim stanjima i objektivnim ili subjektivnim manifestacijama bolesti/simptoma, koji nisu klasifikovani kao bolest ili sindrom (u tom slučaju bi se koristio termin \"Specifične bolesti, poremećaji i zdravstvena stanja\"). Uključuje kliničke manifestacije koje mogu biti objektivne, kada ih medicinski stručnjak posmatra ili subjektivne, kada ih pacijent opazi. Na primer, bol, dijareja, osip, nejednakost dužine nogu, nesanica, škripanje zubima, upala, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',26,NULL,NULL,'Znaci i simptomi; patološka stanja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',403),(7455,'Studije o specifičnim, dijagnostifikovanim bolestima, poremećajima ili sindromima (često klasifikovanih u Međunarodnoj klasifikaciji bolesti i zdravstvenih problema ICD-10 ili starijim verzijama). Na primer, medicinska istraživanja o uzrocima dijabetesa ili studija o fizičkom i mentalnom oporavku ljudi koji su imali operaciju srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,NULL,NULL,'Specifične bolesti, poremećaji i zdravstvena stanja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',403),(7456,'Rane i povrede, fizičke i psihičke, prouzrokovane ili nesrećama ili nasiljem (kroz pojedinačno ili grupno agresivno ponašanje). Ako su rane ili povrede na radnom mestu, koristite „ZDRAVLJE NA RADU“.','Health.WoundsAndInjuries','Health',28,NULL,NULL,'Rane i povrede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',403),(7457,'U ovom slučaju koristite odgovarajući tematski izraz za istorijske podatke, kao i glavni termin. Na primer, „Radni uslovi“ i „Usluge zdravstvene nege i politike“ plus \"ISTORIJA\" za podatke o radnom okruženju porodičnih lekara u 1960-im godinama. Glavni pojam u istoriji koristi se samostalno samo u slučajevima kada nije moguće naći aktuelni izraz.','History',NULL,29,NULL,NULL,'ISTORIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',403),(7458,'','HousingAndLandUse',NULL,30,NULL,NULL,'STANOVANJE I UPOTREBA ZEMLJIŠTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',403),(7459,'Uključuje studije koje mere standard stanovanja u zajednici, uključujući socijalno stanovanje, kao i dostupnost i cene stambenih jedinica. Stambene jedinice uključuju kuće, druge kuće i kuće za odmor.','HousingAndLandUse.Housing','HousingAndLandUse',31,NULL,NULL,'Stanovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',403),(7460,'Uključuje i planiranje i korišćenje zemljišta. Planiranje korišćenja zemljišta odnosi se na postupke koji se sprovode kako bi se osigurala optimalna i održiva upotreba zemljišnih resursa u ruralnim i urbanim zajednicama.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,NULL,NULL,'Upotreba zemljišta i planiranje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',403),(7461,'','LabourAndEmployment',NULL,33,NULL,NULL,'RADNA SNAGA I ZAPOŠLJAVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',403),(7462,'Interna korporativna obuka i druga obuka zaposlenih koju finansira poslodavac sa ciljem poboljšanja veština i kompetencija zaposlenih. Ne uključuje \"šegrtovanje\", koja je uključeno u „Strukovno obrazovanje i obuke“.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,NULL,NULL,'Obuka zaposlenih','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',403),(7463,'Podaci o stopi i statistici zaposlenosti, tržištu rada, slobodnim radnim mestima, traženju posla, karakteristikama posla, zaposlenosti određenih grupa (npr. zapošljavanju mladih ili manjina), službama za zapošljavanje, karijeri. Za platu i nadoknadu koristite pojam „Radni uslovi“.','LabourAndEmployment.Employment','LabourAndEmployment',35,NULL,NULL,'Zaposlenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',403),(7464,'Podaci o politikama zapošljavanja koji se odnose na radne odnose, tržište rada, ravnopravnost i diskriminaciju na radu; na nacionalnom nivou politike uključuju uticaj na tražnju i ponudu radne snage i funkcionisanje tržišta rada. Koristite \"Zakoni, kriminal i pravni sistem\" za zakone i propise koji su u primeni.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,NULL,NULL,'Politika rada i zapošljavanja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',403),(7465,'Odnosi između poslodavaca i zaposlenih.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,NULL,NULL,'Radni odnosi/konflikti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',403),(7466,'Uključuje sve obrasce odlaska u penziju, poput „faznog“ ili „fleksibilnog“ penzionisanja, podatke o starosnoj penziji i ranoj penziji.','LabourAndEmployment.Retirement','LabourAndEmployment',38,NULL,NULL,'Penzionisanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',403),(7467,'Podaci o stopama i statistikama nezaposlenosti, programima i šemama zapošljavanja, trajanju i učestalosti nezaposlenosti, socijalnom i psihološkom uticaju nezaposlenosti, itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,NULL,NULL,'Nezaposlenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',403),(7468,'Uslovi pod kojima zaposleni rade. Na primer, vrste ugovora, radno vreme (sati rada, odmori, raspored rada, prekovremeni rad), plata i nadoknade, fizički aspekti i mentalni zahtevi rada, prava i odgovornosti zaposlenih, radno opterećenje, učešće zaposlenih u odlučivanju, odsustvo prava, fizičko okruženje. Za pitanja bezbednosti na radnom mestu koristite i „Zdravlje na radu“.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,NULL,NULL,'Radni uslovi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',403),(7469,'','LawCrimeAndLegalSystems',NULL,41,NULL,NULL,'ZAKON, KRIMINAL I PRAVNI SISTEMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',403),(7470,'Podaci o kriminalu, sprečavanju kriminala, žrtvama zločina, kriminalcima, kao i policiji, tajnim službama, popravnim institucijama (zatvorima, popravnim institucijama za mlade), graničnoj kontroli i carini. Takođe uključuje podatke o osoblju i drugim resursima ovih agencija.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,NULL,NULL,'Kriminal i sprovođenje zakona','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',403),(7471,'Podaci o međunarodnom ili nacionalnom zakonodavstvu, administrativnim propisima, pravosudnom sistemu (ovlašćenjima i aktivnostima sudova), alternativnom rešavanju sporova i restorativnoj pravdi, kaznama.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,NULL,NULL,'Zakonodavstvo i pravni sistem','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',403),(7472,'','MediaCommunicationAndLanguage',NULL,44,NULL,NULL,'MEDIJI, KOMUNIKACIJA I JEZIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',403),(7473,'Stvaranje, distribucija, upotreba, integracija i manipulacija informacijama kao značajnom ekonomskom, političkom i kulturnom delatnošću. Na primer, podaci koji se odnose na e-trgovinu, e-upravu, društvene medije, mobilne uređaje, pristup i upotrebu Interneta, e-privatnost, informacije i bibliotečki resursi. Koristite \"Informaciona tehnologija\" kada govorite o konkretnim tehnologijama.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,NULL,'Informaciono društvo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',403),(7474,'Podaci uključuju lingvističke studije, jezičku analizu i sociolingvistiku, kao i podatke o jezičkim politikama, jezičkim veštinama ljudi, jezicima koji se govore na poslu i kod kuće, stavovima prema jezicima manjina, itd.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,NULL,'Jezik i lingvistika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',403),(7475,'Podaci koji se odnose na bilo koju vrstu masovnih medija. Na primer, štampane ili onlajn novine, časopise, televiziju i radio. Imajte na umu da su društveni mediji indeksirani terminom „Informaciono društvo“.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,NULL,'Mediji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',403),(7476,'Mere usvojene za poboljšanje ili očuvanje imidža pojedinaca, kompanija, organizacija i vlada, na primer putem oglašavanja, lobiranja, itd.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,NULL,'Odnosi s javnošću','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',403),(7477,'','NaturalEnvironment',NULL,49,NULL,NULL,'PRIRODNO OKRUŽENJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',403),(7478,'Prirodni resursi su dobra kao što su zemljište, šume, izvori energije, voda, prirodni minerali koji se mogu koristiti za ekonomsku eksploataciju. Energetski resursi uključuju fosilna goriva poput nafte, prirodnog gasa ili uglja, kao i nuklearnu i solarnu energiju, ali i energiju plime i vetra. Uključuju i energiju zamenljivih živih organizama.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,NULL,NULL,'Energija i prirodni resursi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',403),(7479,'Pokriva pitanja degradacije životne sredine, zagađenja, zaštite životne sredine, klimatskih promena, sprečavanja poplava, erozije tla.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,NULL,NULL,'Okolina i očuvanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',403),(7480,'Pokriva pejzaže i elemente zemlje koje ljudi nisu direktno promenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,NULL,NULL,'Prirodni pejzaži','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',403),(7481,'Pokriva domaće, proizvodne i divlje životinje, kao i sve vrste biljaka (npr. cveće, drveće, mahovinu, povrće).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,NULL,NULL,'Biljke i životinje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',403),(7482,'','Politics',NULL,54,NULL,NULL,'POLITIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',403),(7483,'Unutrašnja i međunarodna bezbednost i sigurnost; unutrašnji i međunarodni sukobi; rat i mir; nacionalna odbrambena i odbrambene snage (vojska). Imajte na umu da je policija obuhvaćena terminom „Kriminal i sprovođenje zakona“.','Politics.ConflictSecurityAndPeace','Politics',55,NULL,NULL,'Konflikt, sigurnost i mir','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',403),(7484,'Podaci o izborima, referendumima, izbornim kampanjama, rezultatima izbora, kandidatima na izborima, izboru kandidata, finansiranju izbora, itd.','Politics.Elections','Politics',56,NULL,NULL,'Izbori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',403),(7485,'Pitanja koja se odnose na nacionalnu, regionalnu i lokalnu upravu, upravljačka tela (npr. vlada, parlament, tela lokalne uprave), javna uprava, druge političke organizacije, poput političkih stranaka. Na primer, podaci o politici vlade, političkim strankama i njihovim politikama, liderima političkih stranaka, poverenju u vladine organizacije. Imajte na umu da ćete možda morati da koristite i aktuelne izraze.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,NULL,'Vlada, politički sistemi i organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',403),(7486,'Globalno upravljanje, diplomatija, spoljna politika, odnosi između zemalja, međunarodne organizacije (npr. EU, WHO, UN, WTO) i međunarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',58,NULL,NULL,'Međunarodna politika i organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',403),(7487,'Podaci o partijskim političkim stavovima, političkom angažmanu i učešću u političkom procesu, glasačkom ponašanju, zadovoljstvu vladom. Koristite \'Politička ideologija\' za podatke o određenim doktrinama.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,NULL,NULL,'Političko ponašanje i stavovi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',403),(7488,'Ideje, ideali i teorije o načinu na koji se vlade i društva mogu organizovati. Glavne političke ideologije uključuju anarhizam, demokratiju, liberalizam, konzervativizam, itd.','Politics.PoliticalIdeology','Politics',60,NULL,NULL,'Politička ideologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',403),(7489,'','Psychology',NULL,61,NULL,NULL,'PSIHOLOGIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',403),(7490,'','ScienceAndTechnology',NULL,62,NULL,NULL,'NAUKA I TEHNOLOGIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',403),(7491,'Korišćenje biomolekularnih i ćelijskih procesa za stvaranje novih proizvoda i tehnoloških procesa.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,NULL,NULL,'Biotehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',403),(7492,'Informacione i komunikacione tehnologije koje se koriste u domu, na radnom mestu i u drugim sredinama u zajednici. Imajte na umu da upotrebu i uticaj ovih tehnologija pokriva termin \"Informaciono društvo\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,NULL,NULL,'Informaciona tehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',403),(7493,'','SocialStratificationAndGroupings',NULL,65,NULL,NULL,'DRUŠTVENA STRATIFIKACIJA I GRUPE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',403),(7494,'Možda je potreban dodatni pojam ukoliko se deca proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,NULL,NULL,'Deca','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',403),(7495,'Možda je potreban dodatni pojam ukoliko se stara lica proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,NULL,NULL,'Stara lica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',403),(7496,'Pitanja vezana za postojanje, ulogu i uticaj elita u društvu, odnosno pojedinaca ili grupa koji imaju veliku količinu moći ili uticaja na društvo, politiku, bogatstvo, bilo kroz odluke koje donose ili kroz ideje ili osećanja koja izražavaju ili predstavljaju. Uključuje pitanja vezana za uticajne ljude u svim sferama društva. To mogu biti donosioci odluka u političkom životu, lideri političkih stranaka, uticajni umetnici, istaknute ličnosti iz masovnih ili društvenih medija, isl.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,NULL,NULL,'Elite i lideri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',403),(7497,'Pitanja koja se odnose na to da li svi pojedinci ili grupe imaju isti status i mogućnosti u društvu. Ravnopravnost se, na primer, može proučavati u pogledu obrazovanja, (finansijske) imovine ili prihoda, radnog položaja, moći, prestiža, uslova rada i slobodnog vremena, pristupa uslugama i društvenih odnosa. Marginalizacija i socijalna isključenost mogu biti rezultat sistematskog ugrožavanja u više oblasti života, a ugrožene osobe mogu biti lišene prava, mogućnosti, resursa i socijalne integracije. Primeri podataka: statistika o jednakosti dohotka; uočena diskriminacija usmerena na grupu (npr. prema strancima, beskućnicima, azilantima); uočene razlike između muškaraca i žena u pogledu mogućnosti za vodeće uloge u politici; uticaj roditeljske nezaposlenosti na nivo obrazovanja dece i društvene mreže.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,NULL,NULL,'Jednakost, nejednakost i socijalna isključenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',403),(7498,'Pokriva pitanja vezana za porodicu, rođake, generacije i sastav domaćinstva. Na primer, podaci o odgajanju dece, podeli rada unutar porodice, podršci članovima porodice.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,NULL,NULL,'Porodični život i brak','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',403),(7499,'Rodni identitet; rodna zastupljenost/ravnopravnost (npr. zastupljenost polova u telima koja donose odluke, u medijima, u literaturi itd.); socijalne, kulturne i psihološke osobine vezane za muškarce i žene; ženske studije; muške studije; očekivano ponašanje i izbori u skladu sa rodnim ulogama i uticaj takvih očekivanja.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,NULL,NULL,'Pol i uloge polova','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',403),(7500,'Grupe pojedinaca koje se na neki način razlikuju od većine stanovništva. Različite karakteristike uključuju, na primer, etničku pripadnost, religiju, zdravlje, seksualnu orijentaciju, maternji jezik i kulturu. Imajte na umu da takođe možete koristiti izraze „Jednakost, nejednakost i socijalna isključenost“ ili „Jezik i lingvistika“ u vezi sa nekim manjinskim pitanjima.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,NULL,NULL,'Manjine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',403),(7501,'Kretanje pojedinaca, porodica ili grupa pojedinaca u socijalnom i profesionalnom statusu tokom vremena. Kretanje može biti horizontalno, to jest promena položaja unutar raspona istog statusa ili vertikalna, kada se pojedinci mogu kretati prema gore ili dole u ​​hijerarhiji statusa. Na primer, radnici u opadajućim industrijama mogu postati radnici u nekoj drugoj industriji (horizontalna profesionalna mobilnost) ili deca iz siromašnih porodica mogu dostići viši društveni sloj od svojih roditelja (vertikalna međugeneracijska socijalna mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,NULL,NULL,'Socijalna i profesionalna mobilnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',403),(7502,'Možda je potreban dodatni pojam ukoliko se mladi proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,NULL,NULL,'Mladi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',403),(7503,'','SocialWelfarePolicyAndSystems',NULL,75,NULL,NULL,'POLITIKA SOCIJALNE ZAŠTITE I SISTEMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',403),(7504,'Odluke i principi doneti na nacionalnom, regionalnom ili lokalnom nivou koji se tiču socijalne zaštite, njenog finansiranja i pružanja, na primer, ko ima pravo na određenu vrstu socijalnih usluga i pogodnosti i zašto, koliki je njihov nivo i ko može pružati usluge. Na primer, politika da stariji ljudi treba da ostanu u svojim domovima što je duže moguće, politika koja se odnosi na to koliko dugo ljudi mogu da koriste naknadu za nezaposlene. Upotrebite i termin \"Zakon, kriminal i pravni sistemi\' za zakone i propise koji su već primenjeni.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,NULL,NULL,'Politika socijalne zaštite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',403),(7505,'Pitanja koja se odnose na stvarno pružanje socijalne zaštite, ko pruža usluge socijalne zaštite u praksi i kako su organizovane socijalne službe. Na primer, pitanja o tome kako je lokalna uprava organizovala usluge za starije osobe.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,NULL,'Sistem/struktura socijalne zaštite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',403),(7506,'Na primer, podaci o tome koliko ljudi koriste određene socijalne usluge, mišljenja o adekvatnosti, pristupačnosti i dostupnosti određenih usluga i opšte zadovoljstvo tim uslugama. Na primer, pitanja o tome koje su usluge koristili stariji ispitanici ili statistički podaci o određenim uslugama.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,NULL,'Specifične socijalne službe: upotreba i raspoloživost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',403),(7507,'','SocietyAndCulture',NULL,79,NULL,NULL,'DRUŠTVO I KULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',403),(7508,'Podaci koji se odnose na različite aspekte života u zajednici ili u urbanim i ruralnim sredinama. Mišljenja i slike okoline ili urbanih ili ruralnih područja. Usluge, pogodnosti i poslovne mogućnosti u okruženju.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,NULL,NULL,'Zajednica, urbani i ruralni život','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',403),(7509,'Aktivno ili pasivno učešće u bilo kojoj vrsti kulturnih aktivnosti, kao i mišljenja i percepcije o njima.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,NULL,NULL,'Kulturne aktivnosti i učešće','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',403),(7510,'Podaci o formiranju identiteta, osećanja ljudi o tome ko su i gde pripadaju. Odnos kulturnog i nacionalnog identiteta prema reprezentaciji i klasifikaciji nekoga drugog kao \"nije jedan od nas\" (Othering). Običaji i maniri i stavovi prema sopstvenim viđenim i drugim identitetskim grupama.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,NULL,NULL,'Kulturni i nacionalni identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',403),(7511,'Navike u vezi sa rekreacijom, aktivnostima u slobodno vreme i hobijima. Uključuje praćenje sporta, takmičarske sportove i putovanja u slobodno vreme. Za podatke o vežbanju radi održavanja kondicije koristite „Zdravo ponašanje“.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,NULL,NULL,'Slobodno vreme, turizam i sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',403),(7512,'Podaci koji se odnose na pitanja religioznog ponašanja, religioznih pokreta, duhovnosti, morala i drugih vrednosti.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,NULL,NULL,'Religija i vrednosti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',403),(7513,'Podaci o socijalnom ponašanju; socijalna interakcija i mreže; socijalna odgovornost; socijalne norme i pravila; i odnos prema ovim pitanjima.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,NULL,NULL,'Socijalno ponašanje i stavovi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',403),(7514,'Podaci o promenama u društvu, uključujući i stavove.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,NULL,'Društvene promene','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',403),(7515,'Obuhvata sve aspekte kvaliteta života i blagostanja pojedinaca i društava, kao i percepciju ljudi o tome. Imajte na umu da, prema aspektu koji se proučava, mogu biti relevantni i pojmovi „Opšte zdravlje i blagostanje“, „Jednakost, nejednakost i socijalna isključenost“ i „Ekonomski uslovi i pokazatelji“ itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,NULL,NULL,'Socijalni uslovi i indikatori','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',403),(7516,'Podaci o količini vremena koje stanovništvo troši na razne aktivnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,NULL,NULL,'Upotreba vremena','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',403),(7517,'','TradeIndustryAndMarkets',NULL,89,NULL,NULL,'TRGOVINA, INDUSTRIJA I TRŽIŠTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',403),(7518,'Koristite ovu kategoriju za studije o poljoprivrednoj proizvodnji i svim ruralnim privrednim granama i sektorima, što uključuje, na primer, ribarstvo i šumarstvo.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,NULL,'Poljoprivreda i ruralna industrija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',403),(7519,'Podaci o industriji i poslovanju (biznisu) kao što su menadžment, produktivnost, rast i pad, organizaciona struktura, administracija, ulaganja u istraživanje i razvoj, tržišta i udeo na tržištu.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,NULL,NULL,'Poslovanje/industrijski menadžment i organizacija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',403),(7520,'Razmena kapitala, robe ili usluga preko međunarodnih granica.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,NULL,NULL,'Spoljna trgovina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',403),(7521,'Obuhvata sve vrste prevoza robe, kao i putovanja na posao, javni prevoz (vozovi, autobusi, podzemna železnica i sl.) i mreže gradskog prevoza. Podaci o navikama mobilnosti, na primer, prekogranična kupovina, rute i sredstva koja se koriste za pristup lokaciji. Koristite izraz \"Slobodno vreme, turizam i sport\" za putovanje u slobodno vreme.','TransportAndTravel',NULL,93,NULL,NULL,'TRANSPORT I PUTOVANJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',403),(7522,'Koristite ako je tema poznata, ali nije na listi.','Other',NULL,94,NULL,NULL,'Ostalo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',403),(7527,'Uma comunicação pré-planeada entre duas (ou mais) pessoas - o(s) entrevistador(es) e o(s) entrevistado(s) - em que a informação é obtida pelo(s) entrevistador(es) do(s) entrevistado(s). Se a interação no grupo fizer parte do método, usar \"Focus group\".','Interview',NULL,0,NULL,NULL,'Entrevista','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',373),(7528,'Método de recolha de dados em que um entrevistador presencial realiza uma entrevista pessoal, colocando as perguntas e inserindo as respostas. Usar este termo mais amplo se não for CAPI ou PAPI, ou se não souber se é CAPI/PAPI.','Interview.FaceToFace','Interview',1,NULL,NULL,'Entrevista presencial','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',373),(7530,'Entrevista pessoal assistida por computador (Computer Assisted Personal Interviewing - CAPI) ou entrevista móvel assistida por computador (Computer Assisted Mobile Interviewing - CAMI). Modo de recolha de dados em que o entrevistador lê perguntas aos entrevistados na tela de um computador, laptop ou dispositivo móvel, como tablet ou smartphone, e insere as respostas no mesmo dispositivo. A administração da entrevista é gerida por um programa especialmente elaborado para o efeito.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,NULL,'Entrevista presencial: Assistida por computador (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',373),(7531,'Entrevista de papel e lápis (PAPI - Paper-and-pencil interviewing). O entrevistador usa um questionário tradicional em papel para ler as perguntas e inserir as respostas.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,NULL,'Entrevista presencial: Papel e lápis (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',373),(7532,'Entrevista realizada pelo telefone. Usar este termo mais amplo se não for CATI, ou se não souber se é CATI ou não.','Interview.Telephone','Interview',4,NULL,NULL,'Entrevista telefónica','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',373),(7533,'Entrevista telefónica assistida por computador (Computer Assisted Telephone Interviewing - CATI). O entrevistador faz perguntas orientado por um computador, as respostas são inseridas diretamente no computador e a realização da entrevista é gerida por um programa especialmente elaborado para o efeito.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,NULL,'Entrevista telefónica: Assistida por computador  (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',373),(7534,'Entrevistas realizadas via email, consistindo geralmente em várias mensagens de email que permitem que a discussão continue além do primeiro conjunto de perguntas e respostas, ou da primeira troca de emails.','Interview.Email','Interview',6,NULL,NULL,'Entrevista por email/correio eletrónico','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',373),(7535,'Entrevistas realizadas via Internet. Por exemplo, entrevistas conduzidas em fóruns online ou utilizando tecnologia audiovisual baseada na web que permite ao(s) entrevistador(es) e entrevistado(s) comunicar em tempo real.','Interview.WebBased','Interview',7,NULL,NULL,'Entrevista via web (online)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',373),(7536,'Narrativas, histórias, diários e textos escritos criados/produzidos pelo(s) sujeito(s) da pesquisa.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,NULL,'Textos e/ou diários de autopreenchimento','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',373),(7537,'Narrativas, histórias, diários e textos escritos enviados por mensagens de email.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,NULL,'Textos e/ou diários de autopreenchimento: Email','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',373),(7538,'Narrativas, histórias, diários e textos escritos criados e recolhidos em papel.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,NULL,'Textos e/ou diários de autopreenchimento: Papel','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',373),(7539,'Narrativas, histórias, diários e textos escritos recolhidos de fontes da Internet, por ex. sites, blogs, fóruns de discussão.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,NULL,'Textos e/ou diários de autopreenchimento: Online/via web','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',373),(7547,'Et geografisk område styret af en suveræn myndighed, der har beføjelsen til at træffe administrative eller politiske beslutninger for dette område. Dette inkluderer områder på det overnationale (fx sammenslutninger af stater som Den Europæiske Union), nationale (fx individuelle stater eller lande), subnationale (fx administrative underafdelinger af føderale stater, provinser etc.) og lokale (fx kommuner) niveauer.','PoliticalAdministrativeArea',NULL,8,NULL,NULL,'Politisk-administrativt område','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',390),(7548,'Inkluderer tekst, stillbilleder, video og lyd.','MediaUnit',NULL,10,NULL,NULL,'Medieenhed','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',390),(7549,'Optaget lyd, inklusiv stemme, musik etc.','MediaUnit.Sound','MediaUnit',11,NULL,NULL,'Medieenhed: Lyd','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',390),(7550,'Statistiske billeder, såsom grafer, tegninger, fotografier, diagnostiske/medicinske billeder som røntgen og andre typer af billeddannelsestests etc.','MediaUnit.StillImage','MediaUnit',12,NULL,NULL,'Medieenhed: Stillbillede','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',390),(7551,'Ethvert skriftligt stykke/enhed, såsom bøger, artikler, tweets, blogs etc. Fx en undersøgelse af hadudtalelser i tweets eller en undersøgelse af den måde, aviser præsenterer bestemte politiske/sociale spørgsmål over tid, som kvinders eller mindretals rettigheder etc.','MediaUnit.Text','MediaUnit',13,NULL,NULL,'Medieenhed: Tekst','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',390),(7552,'Bevægende billeder. Kan indeholde film, animation, digitale optagelser, visuelt output fra simuleringer, indspillede tv-programmer, diagnostiske/medicinske videoer som ultralydsscanninger etc. Kan være lydløs eller kan indeholde synkroniseret lyd.','MediaUnit.Video','MediaUnit',14,NULL,NULL,'Medieenhed: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',390),(7553,'Enhver individuel person.','Individual',NULL,0,NULL,NULL,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',390),(7554,'To eller flere mennesker beslægtet ved blod, ægteskab (herunder stedrelationer), samlever eller registreret partnerskab, adoption eller pleje, og hvem som måske eller måske ikke lever sammen. Fx data om, hvilke offentlige tjenester familien bruger eller vil kræve; eller hvor ofte familiemedlemmer er i kontakt med hinanden.','Family',NULL,2,NULL,NULL,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',390),(7555,'Et mere specifikt begreb, der alene refererer til mennesker, der er beslægtede gennem familiebånd (se definition for ’Familie’) og bor i samme husstand på et givent tidspunkt. Hvis det er usikkert, hvorvidt analyseenheden er \'Familie\' eller \'Familie: Husstandsfamilie\' brug da \'Familie\'.','Family.HouseholdFamily','Family',3,NULL,NULL,'Familie: Husstandsfamilie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',390),(7556,'To eller flere individer samlet sammen eller, eller som har et forenende forhold eller karakteristik. I undersøgelser er spørgsmålene hovedsageligt fokuseret på gruppen og holdningerne/oplevelserne i gruppen snarere end de individuelle respondenters. Hvis spørgsmål dækker både gruppen og den individuelle, brug begge som analyseenheder.','Group',NULL,15,NULL,NULL,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',390),(7557,'Les unités échantillonnées sont spécifiquement identifiées, sélectionnées et contactées pour les informations qu\'elles peuvent fournir sur le thème recherché. La sélection est basée sur différentes caractéristiques de variables indépendantes et / ou dépendantes à l\'étude, et repose sur le jugement des chercheurs. Les auteurs de l\'étude, ou les personnes autorisées par eux ont le contrôle au-delà des mécanismes de sélection de l\'échantillon et l\'univers est défini en termes de critères de sélection. Aussi appelé échantillonnage par \"jugement\". Par exemple, un chercheur en médecine peut intentionnellement sélectionner des individus qui sont similaires à la plupart des égards, excepté en ce qui concerne le résultat du sujet de recherche, qui peut être une maladie spécifique. Certains types d\'échantillonnages raisonnés sont des échantillonnage de cas typiques / déviants, de variation homogène / maximale, d\'experts ou de cas critiques.','Nonprobability.Purposive','Nonprobability',13,7322,NULL,'Non probabiliste : raisonné','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Nonprobability.Purposive',404),(7558,'L\'échantillonnage est effectué par étapes en utilisant des unités plus en plus petites à chaque étape, et toutes les étapes impliquent une sélection aléatoire. Le type de procédure d\'échantillonnage aléatoire peut être différent à chaque étape. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Un échantillon aléatoire de classes des écoles sélectionnées est tiré dans une deuxième étape. Les élèves sont alors sélectionnés aléatoirement depuis chacune de ces classes dans une troisième étape.','Probability.Multistage','Probability',10,7319,NULL,'Probabiliste : multi-étapes','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Multistage',404),(7559,'Le plan d\'échantillonnage qui combine échantillonnage probabiliste et non probabiliste au sein d\'un même processus d\'échantillonnage. Différents type d\'échantillonnage peuvent être utilisés à différentes étapes de création de l\'échantillon. Par exemple, pour un échantillon d\'élèves issus de l\'immigration dans une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Alors, un échantillon par quotas des élèves est sélectionné au sein de chaque école dans une seconde étape. Si des échantillons distincts sont tirés à partir de la même population cible à l\'aide de différentes méthodes d\'échantillonnage, le type de procédure d\'échantillonnage utilisé pour chaque échantillon devra être classé séparément.','MixedProbabilityNonprobability',NULL,16,7325,NULL,'Mixte probabiliste et non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#MixedProbabilityNonprobability',404),(7560,'La population cible est divisée dans des segments existants naturellement (grappes) ; Ensuite, ceux-ci sont divisés dans des strates mutuellement exclusives et un échantillon aléatoire des groupes est sélectionné depuis chaque strate. Les données sont alors collectées depuis toutes les unités au sein de chaque groupe. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles seraient divisées en deux strates par type d\'école (privée vs. public) ; Les écoles seraient alors sélectionnées aléatoirement depuis chaque strate, et tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,7318,NULL,'Probabiliste : grappe : aléatoire stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Cluster.StratifiedRandom',404),(7561,'La population cible est subdivisée dans des segments séparés et mutuellement exclusifs d\'après certains critères de quotas prédéfinis. La distribution des critères de quotas (genre / âge / ratio d\'ethnicité, ou des autres caractéristiques, comme la religion, l\'éducation, etc.) est destinée à refléter la structure réelle de la population cible ou la structure désirée de la population étudiée. Des échantillons non probabilistes sont alors tirés à partir de chaque segment jusqu\'à ce qu\'un nombre spécifique d\'unités soit atteint. Par exemple, si la population cible compte 45 pour cent de femmes et 55 pour cent d\'hommes, un échantillon par quotas proportionnel devra avoir les mêmes pourcentages par genre, alors que dans un échantillon par quotas non proportionnel le pourcentage sera différent, basé sur certaines considérations liées à l\'étude (par exemple, le besoin de sur-échantillon pour certains segments sous-représentés de la population).','Nonprobability.Quota','Nonprobability',14,7323,NULL,'Non probabiliste : quota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Nonprobability.Quota',404),(7562,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon disproportionnel le nombre des unités choisies à partir de chaque strate n\'est pas proportionnel à la taille de population de la strate par rapport à la population entière. Le nombre d\'unités échantillonnées à partir de chaque strate peut être égal, optimal, ou peut refléter la raison de l\'enquête, comme le sur-échantillonnage de différents sous-groupes de la population. Par exemple, un pays est divisé en deux strates qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population du pays. Si une représentation égale des deux régions est nécessaire dans une étude, la moitié de l\'échantillon peut être tirée à partir de l\'Ouest et la moitié de l\'Est, tel que chaque région est représentée par 50 pour cent de l\'échantillon. Si une analyse plus détaillée de la population de l\'Est est nécessaire, 40 pour cent des unités peuvent être tirées à partir de l\'Ouest et 60 pour cent à partir de l\'Est, tel que l\'Est est surreprésenté.','Probability.Stratified.Disproportional','Probability.Stratified',6,7315,NULL,'Probabiliste : stratifié : disproportionnel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Stratified.Disproportional',404),(7563,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible ont une probabilité non nulle d\'être incluses dans l\'échantillon et cette probabilité peut être fidèlement déterminée. Utilisez ce terme si un terme plus spécifique d\'échantillonnage probabiliste n\'est pas connu ou est difficile à identifier.','Probability',NULL,1,7310,NULL,'Probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability',404),(7564,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusifs qui couvrent la population entière. Des échantillons aléatoires indépendants sont alors tirés de chaque segment. Par exemple, dans une enquête nationale d\'opinion publique la population entière est divisée en deux strates régionales : Est et Ouest. Après cela, les unités d\'échantillonnage sont tirées à partir de chaque région utilisant un échantillonnage aléatoire simple ou systématique. Utilisez ce terme si le type spécifique de l\'échantillonnage stratifié n\'est pas connu ou est difficile à identifier.','Probability.Stratified','Probability',4,7313,NULL,'Probabiliste : stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Stratified',404),(7565,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon stratifié proportionnel le nombre d\'éléments choisis dans chaque strate est proportionnel à la taille de la population de la strate par rapport à la population entière. Par exemple, un pays est divisé en deux strates régionales qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population totale. Pour un échantillon de 1 000 personnes, 800 (i. e., 80 pour cent) devraient être tirées à partir de l\'Ouest et 200 (i. e., 20 pour cent) à partir de l\'Est pour représenter fidèlement leur proportion dans la population totale.','Probability.Stratified.Proportional','Probability.Stratified',5,7314,NULL,'Probabiliste : stratifié : proportionnel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Stratified.Proportional',404),(7566,'Les unités de l\'échantillon sont identifiées à partir d\'une population cible avec l\'assistance d\'unités déjà sélectionnées (adapté de \"Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014). Un cas typique est l\'échantillonnage boule de neige, dans lequel le chercheur identifie un groupe d\'unités qui correspond à un critère particulier d\'éligibilité. Ces dernières sont invitées à recruter d\'autres membres de la même population qui remplissent le même critère d\'éligibilité (échantillonnage de populations spécifiques comme des migrants, etc.)','Nonprobability.RespondentAssisted','Nonprobability',15,7324,NULL,'Non probabiliste : participation volontaire','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Nonprobability.RespondentAssisted',404),(7567,'La sélection des unités (individus, ménages, organisations, etc.) depuis la population cible n\'est pas basé sur une sélection aléatoire. Il n\'est pas possible de déterminer la probabilité de chaque élément d\'être échantillonné. Utilisez ce terme si le type spécifique d\'échantillonnage non probabiliste n\'est pas connu, difficile à identifier, ou si de multiples méthodes non probabilistes ont été employées.','Nonprobability',NULL,11,7320,NULL,'Non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Nonprobability',404),(7568,'La sélection de l\'échantillon est basée sur la disponibilité, l\'accès relativement facile des unités. Elles peuvent être facile à approcher, ou peuvent elles-mêmes choisir de participer à l\'étude (auto-sélection). Les chercheurs peuvent avoir un groupe particulier à l\'esprit mais ils ne peuvent pas contrôler les mécanismes de sélection de l\'échantillon. Par exemple, des étudiants vivant dans un bâtiment particulier du campus peuvent être approchés, ou des individus peuvent volontairement participer en répondant à des invitations qui ne les ciblent pas spécifiquement, mais un groupe plus large auquel ils peuvent appartenir. Aussi appelé échantillonnage de \"convenance\" ou d\'\"opportunité\".','Nonprobability.Availability','Nonprobability',12,7321,NULL,'Non probabiliste : disponibilité','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Nonprobability.Availability',404),(7569,'Utilisez si la procédure d\'échantillonnage est connue, mais pas présente dans la liste.','Other',NULL,17,7326,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Other',404),(7570,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectées à partir de tous les unités dans chaque groupe sélectionné. L\'échantillonnage est souvent regroupé selon la géographie, ou la période de temps. Utilisez ce terme si un terme plus spécifique d\'échantillonnage en grappes n\'est pas connu ou est difficile à identifier.','Probability.Cluster','Probability',7,7316,NULL,'Probabiliste : grappe','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Cluster',404),(7571,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectés à partir de tous les unités dans chaque groupe sélectionné. Par exemple, pour un échantillon d\'élèves d\'une ville, un nombre d\'écoles devrait être choisi en utilisant une méthode de sélection aléatoire, et puis tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,7317,NULL,'Probabiliste : grappe : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.Cluster.SimpleRandom',404),(7572,'Un intervalle de sélection fixe est déterminé en divisant la taille de la population par la taille désirée de l\'échantillon. Le point de départ est alors un tirage au sort à partir de la base de sondage, laquelle couvre normalement la population cible totale. À partir de ce point de départ, des unités pour l\'échantillonnage sont choisies en fonction de l\'intervalle de sélection. Aussi connu comme l\'échantillonnage par intervalle. Par exemple, une enquête dans une entreprise porte sur un échantillon de 1 000 employés sur un total de 10 000. En commençant par un nombre de départ aléatoire, tous les 10 noms de la liste des employés de l\'entreprise seront invités à participer à l\'étude.','Probability.SystematicRandom','Probability',3,7312,NULL,'Probabiliste : aléatoire systématique','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.SystematicRandom',404),(7573,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible sont incluses dans la collecte des données. Par exemple, si la population cible est définie comme les membres d\'une organisation syndicale, tous les membres syndicaux sont invités à participer à l\'étude. Aussi appelé \"recensement\" si la population complète d\'une unité régionale (e.g. un pays) est sélectionnée.','TotalUniverseCompleteEnumeration',NULL,0,7309,NULL,'Univers complet / dénombrement complet','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#TotalUniverseCompleteEnumeration',404),(7574,'Toutes les unités de la population cible ont une probabilité identique d\'être incluses dans l\'échantillon. Typiquement, la population entière est listée dans une \"base de sondage\", et des unités sont alors choisies à partir de cette base en utilisant une méthode de sélection aléatoire.','Probability.SimpleRandom','Probability',2,7311,NULL,'Probabiliste : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html#Probability.SimpleRandom',404),(7575,'Službeni, formalni ili polu-formalni dokumenti koji navode, na primer, predmete imena, pojave, radnje ili rezultate, a čuvaju se u pisanom obliku ili nekom drugom trajnom obliku koji omogućuje kasniju upotrebu.','RegistersRecordsAccounts',NULL,0,NULL,NULL,'Registri/Zapisi/Nalozi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts',405),(7576,'Informacije prikupljene o pojedincima ili grupama kao deo rutinskih administrativnih procedura organizacija, preduzeća ili institucija. Takvi podaci se obično ne prikupljaju u svrhu istraživanja. Mogu biti obimni i mogu zahtevati pripremu, kao što je kodiranje, kako bi istraživači mogli da ih koriste. Primeri: obrasci poreza na dohodak, registri stanovništva, evidencije o naturalizaciji, potvrde o rođenju/smrti, prijave patenta, itd.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,NULL,'Registri/Zapisi/Nalozi: Administrativni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Administrative',405),(7577,'Istorijski zapisi čuvaju informacije i predstavljaju dokaze o prošlim događajima. Mogu ih kreirati pojedinci, grupe ili organizacije. Administrativni spisi postaju istorijski kada se više ne čuvaju ili ih aktivno ne koristi organizacija koja ih je kreirala za prvobitnu svrhu. Primeri uključuju matične knjige, evidencije o nekretninama, oporuke, dnevnike, itd.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,NULL,'Registri/Zapisi/Nalozi: Istorijski','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Historical',405),(7578,'Zapisi koji se odnose na zakone i njihovu primenu. To, na primer, mogu biti zapisi koji se odnose na predmete koji su pred sudom.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,NULL,'Registri/Zapisi/Nalozi: Pravni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Legal',405),(7579,'Podaci o zdravlju pacijenata kreirani ili sakupljeni od strane zdravstvenih radnika. Obično uključuju rezultate medicinskih testova ili merenja, nalaze konsultacija ili programa kliničkih ispitivanja, itd.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,NULL,'Registri/Zapisi/Nalozi: Medicinski/Klinički','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.MedicalClinical',405),(7580,'Informacije prikupljene tokom procesa evaluacije i predstavljene kao rezultati. Primeri uključuju obrazovne testove, IQ testove, testove verbalnog ili logičkog rezonovanja, testove kompetencije za profesionalna zanimanja, itd.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,NULL,'Registri/Zapisi/Nalozi: Akademski/Sposobnosti','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.AcademicAptitude',405),(7581,'Evidencija o finansijskim aktivnostima preduzeća, osobe, državne institucije ili drugih organizacija ili subjekata. Primeri su izveštaji o zadržanom dohotku, novčanim tokovima, izveštaji o dobiti, bilans stanja preduzeća i poreska prijava.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,NULL,'Registri/Zapisi/Nalozi: Ekonomski/Finansijski','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.EconomicFinancial',405),(7582,'Zapisi koje su nezvanično kreirali pojedinci ili porodice u druge svrhe, osim istraživanja. Primeri mogu uključivati privatne dnevnike ili memoare, porodične knjige ili Biblije, zbirke ličnih dokumenata, fotografija, itd.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,NULL,'Registri/Zapisi/Nalozi: Lični','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.Personal',405),(7583,'Pojedinosti glasanja za kandidate na izborima (poznate i kao „rezultati izbora“), bez obzira da li se radi o parlamentarnim ili glasanju o politikama na nivou organizacije, predlozima ili praćenju toka glasanja, javnim referendumima, itd.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,NULL,'Registri/Zapisi/Nalozi: Rezultati glasanja','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#RegistersRecordsAccounts.VotingResults',405),(7584,'Događaji su obično jednokratna, pojedinačna zbivanja, sa ograničenim ili kratkim trajanjem. Događaj se može navesti kao izvor podataka kada se direktno posmatra ili snima za istraživanje. Interakcije su događaji u kojima dve ili više ljudi, grupa, objekata ili sistema deluju jedni na druge i ostvaruju recipročni uticaj ili efekat. Primeri: različita okupljanja (ceremonije, takmičenja, festivali, sastanci), neredi, teroristički napadi, računarski događaji (tj. akcije ili događaji koje su otkrili računarski programi), itd.','EventsInteractions',NULL,9,NULL,NULL,'Događaji/Interakcije','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#EventsInteractions',405),(7585,'Procesi su nizovi pojava, događaja, aktivnosti, radnji ili operacija koji se dešavaju tokom vremena i dovode do promena ili transformacija u organizmima, predmetima, idejama ili društvenim pojavama. Na primer, poslovni proces može da uključuje primanje naloga, fakturisanje, otpremanje proizvoda ili utvrđivanje budžeta za marketing.','Processes',NULL,10,NULL,NULL,'Procesi','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes',405),(7586,'Les indicateurs économiques précisent dans quelle direction une économie s\'oriente et intègrent, par exemple, le taux de croissance du PIB, le taux d\'emploi, d\'inflation et d\'intérêt, les activités de consommation et d\'investissement, la dette des ménages. Cela est aussi utilisé pour les conditions économiques des individus et des ménages qui ont été interrogés ou enregistrés.','Economics.EconomicConditionsAndIndicators','Economics',6,7338,NULL,'Conditions et indicateurs économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.2',406),(7587,'Inclut tous les types de transports de marchandises ainsi que les navettes et les transports publics (trains, bus, métro, etc.), et les réseaux de transport urbain. Des données sur les habitudes de mobilité, par exemple, les achats transfrontaliers, les routes et les moyens utilisés pour accéder à un endroit. Utilisez le terme \'Loisirs, tourisme et sport\' pour des voyages d\'agrément.','TransportAndTravel',NULL,93,7421,NULL,'TRANSPORT ET VOYAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.2',406),(7588,'Données sur la criminalité, la prévention de la criminalité, les victimes d\'actes criminels, les criminels, ainsi que la police, les services secrets, les établissements pénitentiaires (e. g. prisons, les établissements pénitentiaires pour jeunes), les contrôles aux frontières et les douanes. Inclut aussi les données sur les équipes et les installations de ces services.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,7371,NULL,'Criminalité et application de la Loi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.2',406),(7589,'Discussions sur la politique et les principes, et les décisions prises et les principes adoptés au niveau national, régional ou local concernant l\'éducation et son implantation. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Education.EducationalPolicy','Education',12,7342,NULL,'Politique éducative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.2',406),(7590,'Couvre les paysages et les éléments du territoire qui n\'ont pas été directement modifiés par les humains.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,7381,NULL,'Paysages naturels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.2',406),(7591,'Peut nécessiter une thématique supplémentaire, si les personnes âgées sont étudiées d\'un point de vue particulier.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,7395,NULL,'Personnes âgées','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.2',406),(7592,'Utilisez si la thématique est connue, mais pas présente dans la liste.','Other',NULL,94,7422,NULL,'AUTRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.2',406),(7593,'Processus nutritionnel, habitudes et pratiques alimentaires et, paramètres nutritionnels mesurables tels que l\'indice de masse corporelle (IMC), le poids, les niveaux de vitamines.','Health.DietAndNutrition','Health',17,7347,NULL,'Alimentation et nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.2',406),(7594,'Mouvements d\'individus, de familles ou de groupes d\'individus dans les statuts sociaux et professionnels au fil du temps. Le mouvement peut être horizontal, c\'est-à-dire, changement de position à l\'intérieur d\'une même catégorie de statuts, ou vertical où des individus peuvent se déplacer vers le haut ou vers le bas dans la hiérarchie des statuts. Par exemple, des ouvriers dans des industries en déclin peuvent devenir des ouvriers dans toute autre industrie (mobilité horizontale professionnelle), ou des enfants de familles pauvres peuvent atteindre une classe sociale plus élevée que leurs parents (mobilité sociale intergénérationnelle verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,7401,NULL,'Mobilité sociale et professionnelle','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.2',406),(7595,'Peut nécessiter une thématique supplémentaire, si les enfants sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,7394,NULL,'Enfants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.2',406),(7596,'Questions liées à l\'implantation de l\'aide sociale, qui fournit les services d\'aide sociale en pratique et dans quelle mesure, comment les services en question sont structurés. Par exemple, les questions sur la manière dont une collectivité territoriale a organisé les services pour les personnes âgées.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,7405,NULL,'Systèmes / structures de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.2',406),(7597,'','Demography',NULL,0,7333,NULL,'DÉMOGRAPHIE (POPULATION, ÉTAT CIVIL, ET RECENSEMENT)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.2',406),(7598,'Relations entre employeurs et employés.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,7366,NULL,'Relations / conflits au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.2',406),(7599,'','ScienceAndTechnology',NULL,62,7390,NULL,'SCIENCE ET TECHNOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.2',406),(7600,'Données sur les politiques d\'emploi relatives aux relations de travail, au marché du travail et à l\'égalité et la discrimination au travail ; Au niveau national, les politiques incluent l\'influence de la demande et l\'offre de travail et le fonctionnement des marchés du travail. Utilisez \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en œuvre.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,7365,NULL,'Politique du travail et de l\'emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.2',406),(7601,'Les ressources naturelles sont des ressources telles que la terre, les forêts, les sources d\'énergie, l\'eau, les minéraux qui existent naturellement et peuvent être utilisés pour la production économique ou la consommation. Les ressources énergétiques incluent les combustibles fossiles tels que le pétrole, le gaz naturel ou le charbon, ainsi que le nucléaire, le solaire, l\'énergie marémotrice, l\'éolien ou à partir d\'organismes vivants qui peuvent être remplacés.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,7379,NULL,'Énergie et ressources naturelles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.2',406),(7603,'','SocialWelfarePolicyAndSystems',NULL,75,7403,NULL,'POLITIQUE ET SYSTÈMES DE PROTECTION SOCIALE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.2',406),(7604,'Données se référant à tout type de médias de masse. Par exemple, les journaux papier ou en ligne, les magazines, la télévision et la radio. S\'il vous plait veuillez noter que les réseaux sociaux sont référencés avec le terme \'Société de l\'information\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,7376,NULL,'Média','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.2',406),(7605,'Traitement de maladie, ou procédure(s) de prévention. Soins au patient au niveau individuel. Recherche sur les médicaments et le traitement d\'une maladie. Données sur, par exemple, les procédures chirurgicales, la réadaptation, la consultation médicale, la physiothérapie, les manipulations musculo-squelettiques, les soins à l\'hôpital ou à domicile, la psychothérapie, les techniques d\'investigations, les médicaments.','Health.MedicationAndTreatment','Health',21,7350,NULL,'Médicaments et traitements','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.2',406),(7606,'Participation active ou passive à tout type d\'activités culturelles, ainsi que les opinions et les perceptions les concernant.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,7409,NULL,'Activités culturelles et participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.2',406),(7607,'Données relatives à différents aspects de la vie en communauté, ou dans des zones urbaines et rurales. Opinions et images du quartier, des zones urbaines ou rurales. Services, équipements et activités économiques dans le quartier.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,7408,NULL,'Vie communautaire, urbaine et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.2',406),(7608,'Couvre les problèmes de dégradation environnementale, de pollution, de protection de l\'environnement, de changement climatique, de prévention des inondations, d\'érosion des sols.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,7380,NULL,'Environnement et conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.2',406),(7609,'','NaturalEnvironment',NULL,49,7378,NULL,'ENVIRONNEMENT NATUREL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.2',406),(7610,'','HousingAndLandUse',NULL,30,7359,NULL,'LOGEMENT ET UTILISATION DES TERRES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.2',406),(7611,'Données sur les changements dans la société, incluant les changements d\'attitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,7414,NULL,'Changement social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.2',406),(7612,'Couvre tous les aspects de la qualité de vie et du bien-être des individus et des sociétés, ainsi que la perceptions que les personnes en ont. S\'il vous plait veuillez noter que, selon l\'aspect étudié, les termes \'Santé et bien-être\', \'Conditions et indicateurs économiques\', etc. peuvent aussi être pertinent.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,7415,NULL,'Conditions et indicateurs sociaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.2',406),(7613,'La création, la distribution, l\'utilisation, l\'intégration et la manipulation des informations comme une activité économique, politique et culturelle importante. Par exemple, des données relatives au commerce électronique, à l\'administration en ligne, les réseaux sociaux, les appareils mobiles, l\'accès et l\'utilisation de l\'Internet, la vie privée en ligne, les informations et les ressources des bibliothèques. Utilisez \'Technologie de l\'information\' quand vous parlez des technologies actuelles.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,7374,NULL,'Société de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.2',406),(7614,'Les habitudes de loisirs, les activités de loisirs et les passe-temps. Inclut le fait d\'assister aux spectacles sportifs, les compétitions sportives, et les voyages d\'agréments. Pour des données sur l\'exercice physique pour rester en forme, utilisez \'Condition et activité physique\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,7411,NULL,'Loisirs, tourisme et sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.2',406),(7615,'Utilisez pour des études sur le capitalisme, le socialisme et sur d\'autres systèmes économiques et pour des études, par exemple, sur des programmes internationaux de développement.','Economics.EconomicSystemsAndDevelopment','Economics',8,7339,NULL,'Systèmes et développements économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.2',406),(7616,'Blessures et lésions, à la fois physiques et psychologiques, causées soit par des accidents ou des violences (par des comportements agressifs individuels ou de groupe). Si blessures ou lésions en relation au travail, utilisez \'Santé au travail\'.','Health.WoundsAndInjuries','Health',28,7357,NULL,'Blessures et lésions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.2',406),(7617,'Données sur le comportement social ; l\'interaction sociale et les réseaux ; les responsabilités sociales, les normes et les règles ; et les attitudes face à ces questions.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,7413,NULL,'Comportement social et attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.2',406),(7618,'L\'enseignement obligatoire fait référence à la période de l\'éducation qui est requise pour toutes les personnes vivant dans un pays et qui est imposée par la loi. L\'enseignement préscolaire fait référence à la garde formelle des enfants et à l\'éducation dispensée avant l\'enseignement obligatoire. Utilisez ce terme pour référencer des données relatives à l\'enseignement préscolaire, primaire, les premiers niveaux du secondaire, que les données portent ou non sur les élèves, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.CompulsoryAndPreschoolEducation','Education',11,7341,NULL,'Enseignement obligatoire et pré-scolaire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.2',406),(7619,'Données sur les attitudes politiques des partis, l\'engagement politique et la participation dans le processus politique, le comportement électoral, la satisfaction à l\'égard du gouvernement. Utilisez \'Idéologie politique\' pour des données sur des doctrines spécifiques.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,7387,NULL,'Comportements et attitudes politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.2',406),(7620,'','Economics',NULL,4,7336,NULL,'ÉCONOMIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.2',406),(7621,'Étude des conditions anatomiques ou physiologiques anormales et des conditions objectives ou subjectives des maladies / des symptômes pas classées comme des maladies ou des syndromes (dans ce cas \'Maladies, troubles ou problèmes de santé spécifiques\' serait utilisé). Inclut les manifestations cliniques qui peuvent être objectives lorsqu\'elles sont observées par un professionnel de santé ou subjective quand elles sont perçues par le patient. E. g. douleur, diarrhée, éruption cutanée, inégalité de longueur de jambe, insomnie, grincement de dents, inflammation, arythmie.','Health.SignsAndSymptomsPathologicalConditions','Health',26,7355,NULL,'Signes et symptomes ; conditions pathologiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.2',406),(7622,'Sécurité et sûreté intérieures et internationales ; conflits intérieurs et internationaux ; guerre et paix ; défense nationale et forces de défense (l\'armée). Veuillez noter que la police est incluse dans \'Criminalité et application de la Loi\'','Politics.ConflictSecurityAndPeace','Politics',55,7384,NULL,'Conflit, sécurité et paix','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.2',406),(7623,'','LabourAndEmployment',NULL,33,7362,NULL,'TRAVAIL ET EMPLOI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.2',406),(7624,'','MediaCommunicationAndLanguage',NULL,44,7373,NULL,'MÉDIA, COMMUNICATION ET LANGAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.2',406),(7625,'Données sur le taux et les statistiques d\'emploi, sur le marché du travail, les emplois vacants, la recherche d\'emploi, les caractéristiques d\'emploi, l\'emploi de certains groupes (e. g. l\'emploi des jeunes ou des immigrés), les emplois de service, carrière. Pour le salaire et l\'indemnisation utilisez \'Conditions de travail\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,7364,NULL,'Emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.2',406),(7626,'Enquêtes sur l\'ensemble d\'une population, par opposition à une enquête par sondage. Souvent utilisé pour le dénombrement officiel d\'une population, comprenant habituellement le recueil d\'informations démographiques associées. Veuillez noter que les recensements de certains pays ne sont pas utilisés car les informations démographiques peuvent être obtenus à partir des registres officiels.','Demography.Censuses','Demography',1,7423,NULL,'Recensement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.2',406),(7627,'Couvre l\'enseignement général des niveaux 3-4 de la CITE / ISCED ainsi que l\'enseignement supérieur, c\'est-à-dire l\'enseignement secondaire supérieur, et le lycée, les Hautes Écoles, les universités. Inclut les données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.HigherAndFurtherEducation','Education',13,7343,NULL,'Enseignement secondaire et du supérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.2',406),(7628,'Groupes d\'individus qui diffèrent de la majorité de la population d\'une façon ou d\'une autre. Les caractéristiques différenciantes incluent, par exemple, l\'ethnicité, la religion, la santé, l\'orientation sexuelle, la première langue (la langue maternelle) et la culture. S\'il vous plait veuillez noter que vous pouvez aussi utiliser les termes \'Égalité, inégalité et exclusion sociale\' ou \'Langue et linguistiques\' pour certaines questions relatives aux questions des minorités.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,7400,NULL,'Minorités','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.2',406),(7629,'','SocialStratificationAndGroupings',NULL,65,7393,NULL,'STRATIFICATION ET GROUPES SOCIAUX','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.2',406),(7630,'Étude des maladies, troubles, syndromes spécifiques diagnostiquées (souvent classés dans la CIM-10 ou ses versions précédentes). Par exemple, la recherche médicale sur les causes du diabète ou l\'étude sur le rétablissement physique et mentale des personnes qui ont eu une chirurgie cardiaque.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,7356,NULL,'Maladies, troubles spécifiques et conditions médicales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.2',406),(7631,'Études sur le bien-être en général ou l\'état de santé d\'un individu, d\'un groupe ou d\'une population. Peut être objectivement mesuré / observé ou auto-perçu. Le bien-être inclut, par exemple, la capacité ou l\'état physique et mental, ainsi que l\'état social.','Health.GeneralHealthAndWellbeing','Health',19,7348,NULL,'Santé et bien-être','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.2',406),(7632,'Données sur la politique économique, incluant le budget et la politique fiscale, les dépenses publiques et les recettes publiques.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,7424,NULL,'olitique économique, dépenses publiques et recettes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.2',406),(7633,'Peut nécessiter une thématique supplémentaire, si les jeunes sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,7402,NULL,'Jeunes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.2',406),(7634,'Données sur le temps consacré par la population à diverses activités.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,7416,NULL,'Emploi du temps','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.2',406),(7635,'Qualité et disponibilité des services, des installations connexes et du personnel dans le domaine des soins de santé. L\'économie des soins de santé et la politique et les principes de décision au niveau national, régional ou local en matière de soins de santé. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Health.HealthCareServicesAndPolicies','Health',20,7349,NULL,'Services et politiques de soins','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.2',406),(7636,'Echange de capitaux, de biens, ou de services au-delà des frontières internationales.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,7420,NULL,'Commerce extérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.2',406),(7637,'Couvre les questions relatives aux familles, aux parents, aux générations et à la composition du ménage. Par exemple, des données sur l\'éducation des enfants, la division du travail au sein de la famille, le soutien apporté aux membres de la famille.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,7398,NULL,'Vie de famille et mariage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.2',406),(7638,'','LawCrimeAndLegalSystems',NULL,41,7370,NULL,'LOI, CRIMINALITÉ ET SYSTÈME LEGAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.2',406),(7639,'Les enjeux de savoir si tous les individus ou des groupes d\'individus ont le même statut et les mêmes chances dans la société. L\'égalité peut être étudiée, par exemple, en termes d\'éducation, de patrimoine (financier) ou de revenus, de position professionnelle, de pouvoir, de prestige, de conditions de travail et de temps libre, d\'accès aux services, et de relations sociales. La marginalisation et l\'exclusion sociale peuvent être le résultat d\'un désavantage systématique dans de multiples domaines de la vie, et les personnes concernées peuvent être privées de droits, d\'opportunités, de ressources et d\'intégration sociale. Exemples de données : statistiques sur l\'égalité des revenus, la discrimination perçue par un groupe (e. g. à l\'égard des étrangers, des sans-domiciles, des demandeurs d\'asile) ; différences perçues entre les hommes et les femmes concernant les possibilités de jouer un rôle majeur en politique ; impact du chômage des parents sur le niveau d\'éducation des enfants et des relations sociales.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,7397,NULL,'Égalité, inégalité et exclusion sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.2',406),(7640,'Les conditions de travail des employés. Par exemple, les types de contrat, le temps de travail (heures de travail, les périodes de repos, les horaires de travail, les heures supplémentaires), le salaire et l\'indemnisation, les aspects physique et exigences mentales du travail, les droits et responsabilités des employés, la charge de travail, l\'implication de l\'employé dans la prise de décision, les droits de congés, l\'environnement physique. Pour les problèmes de la sécurité sur le lieu de travail utilisez aussi \'Santé au travail\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,7369,NULL,'Conditions de travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.2',406),(7641,'Décisions prises et principes adoptés à un niveau national, régional ou local concernant la protection sociale, son financement et son implantation, par exemple, qui a droit à quel type de services et prestations sociales et pourquoi, quel est leur niveau, et qui peut fournir les services. Par exemple, une politique du maintien des personnes âgées à domicile aussi longtemps que possible, une politique concernant la durée pendant laquelle les personnes peuvent avoir une allocation chômage. Utilisez aussi le terme \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en oeuvre.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,7404,NULL,'Politique de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.2',406),(7642,'Utilisez la thématique appropriée pour des données historiques ainsi que le terme générique ici. Par exemple, \'Conditions de travail\' et \'Services et politiques de soins\' plus HISTOIRE pour des données sur les environnements de travail des médecins de famille dans les années 1960. Le terme générique histoire est à utiliser seulement dans les cas où aucune thématique historique ne peut être trouvée.','History',NULL,29,7358,NULL,'HISTOIRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.2',406),(7643,'Inclut les études mesurant la qualité du logement dans une communauté, incluant le logement social, ainsi que la disponibilité et le prix du logement. Logement inclut les maisons, les résidences secondaires et les maisons de vacances.','HousingAndLandUse.Housing','HousingAndLandUse',31,7360,NULL,'Logement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.2',406),(7644,'Les questions liées à la gouvernance nationale, régionale et locale, aux instances gouvernantes (e. g. le gouvernement, le parlement, les instances gouvernantes locales), à l\'administration publique, aux autres organisations politiques telles que les partis politiques. Par exemple, des données sur les politiques gouvernementales, les partis politiques et leurs politiques, les dirigeants des partis politiques, la confiance dans les instances gouvernantes. Veuillez noter que vous pouvez avoir besoin d\'utiliser une thématique politique également.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,7427,NULL,'Gouvernement, systèmes et organisations politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.2',406),(7645,'Données sur la condition physique de la population, ainsi que sur le niveau d\'activité physique et sportive.','Health.PhysicalFitnessAndExercise','Health',23,7352,NULL,'Condition et activité physique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.2',406),(7646,'Fait référence à l\'acte d\'acquérir et / ou utiliser quelque chose pour répondre aux besoins et aux demandes d\'une personne, d\'une communauté ou d\'une société. Les données de cette catégorie incluent des modèles de comportements de consommateurs, leurs changements, et des études sur l\'éthique du consommateur. Par exemple, des données d\'enquête sur la fréquence d\'achats de certains articles ; quand et où ils achètent ; si des considérations éthiques influencent leurs choix de consommation.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,7337,NULL,'Consommation et comportement des consommateurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.2',406),(7647,'Données sur l\'industrie et les entreprise telles que la gestion, la production, la croissance et le déclin, la structure organisationnelle, l\'administration, les investissement en R&amp;D, les marchés et la part de marché.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,7419,NULL,'Gestion et organisation de l\'entreprise et de l\'industrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.2',406),(7648,'Inclut tous les modèles de retraite tels que la retraite \'progressive\' ou la retraite \'flexible\', les données sur l\'âge de la retraite et la retraite anticipée.','LabourAndEmployment.Retirement','LabourAndEmployment',38,7367,NULL,'Retraite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.2',406),(7649,'Données sur le taux et les statistiques du chômage, les programmes et schémas d\'emploi, la durée et la fréquence du chômage, l\'impact social et psychologique du chômage etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,7368,NULL,'Chômage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.2',406),(7650,'Technologies de l\'information et de la communication qui sont utilisées à la maison, au travail et dans d\'autres lieux. Veuillez noter que l\'utilisation et l\'impact de ces technologies sont incluses dans \'Société de l\'information\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,7392,NULL,'Technologie de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.2',406),(7651,'Mesures adoptées pour améliorer ou préserver l\'image des individus, des entreprises, des organisations, et des gouvernements par exemple par le biais de la publicité, du lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,7377,NULL,'Relations publiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.2',406),(7652,'Utilisez cette catégorie pour des études sur la production agricole et toutes industries rurales, y compris, par exemple, les industries de la pêche et la sylviculture.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,7418,NULL,'Industrie agricole et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.2',406),(7653,'','Politics',NULL,54,7383,NULL,'POLITIQUE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.2',406),(7654,'Données incluant les études linguistiques, les analyses linguistiques et sociolinguistiques, ainsi que des données sur les politiques de langage, les compétences en termes de langues de la population, les langues parlées au travail et à la maison, les attitudes envers les langues minoritaires etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,7375,NULL,'Langue et linguistiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.2',406),(7655,'Formation interne et formation continue financée par l\'employeur pour accroître les aptitudes et les compétences des employés. N\'inclut pas l\'apprentissage, qui est inclus dans \'Enseignement et formation professionnels\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,7363,NULL,'Formation interne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.2',406),(7656,'Données sur la formation de l\'identité, ce que les personnes pensent qu\'elles sont et où est leur place. La relation de l\'identité culturelle et nationale à la représentation et au classement de quelqu\'un comme \"pas l\'un de nous\" (Autre). Les coutumes et les manières, et les attitudes concernant la perception de soi-même et de l\'identité des autres groupes.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,7410,NULL,'Identité culturelle et nationale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.2',406),(7657,'','Health',NULL,16,7346,NULL,'SANTÉ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.2',406),(7658,'Données sur les élections, les référendums, les campagnes électorales, les résultats des élections, les candidats aux élections, les sélectionneurs des candidats, le financement électoral etc.','Politics.Elections','Politics',56,7385,NULL,'Élections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.2',406),(7659,'La gouvernance mondiale, la diplomatie, la politique étrangère, les relations entre pays, les organisations internationales (e. g. l\'UE, l\'OMS, l\'ONU, l\'OMC), et les accords internationaux.','Politics.InternationalPoliticsAndOrganisations','Politics',58,7386,NULL,'Politiques et organisations internationales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.2',406),(7660,'','TradeIndustryAndMarkets',NULL,89,7417,NULL,'COMMERCE, INDUSTRIE ET MARCHÉS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.2',406),(7661,'Inclut immigration, émigration, migration interne ainsi que d\'autres types de mobilité géographique. L\'immigration signifie venir s\'établir dans un autre pays que son pays d\'origine. L\'émigration signifie quitter son pays d\'origine pour s\'installer dans un autre pays. La migration est le terme générique pour les deux. La migration inclut aussi la migration interne, c\'est-à-dire, le déplacement de personnes au sein d\'un pays à différents niveaux géographiques.','Demography.Migration','Demography',2,7334,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.2',406),(7662,'Données sur les expositions et les maladies professionnelles, la sécurité au travail, les congés de maladie, la capacité de travail et l\'invalidité, ou la pension d\'invalidité liée au travail.','Health.OccupationalHealth','Health',22,7351,NULL,'Santé au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.2',406),(7663,'Par exemple, des données sur le volume de la population qui utilise des services sociaux spécifiques, les opinions sur l\'adéquation, l\'accessibilité et la disponibilité des services spécifiques, et la satisfaction générale avec eux. Par exemple, des questions sur quel service les personnes âgées ont utilisé, ou l\'utilisation de statistiques sur des services en particulier.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,7406,NULL,'Services sociaux spécifiques : utilisation et disponibilité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.2',406),(7664,'Utilisez pour des études sur l\'accumulation de biens personnels, incluant le revenu, la propriété, les placements et les épargnes.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,7425,NULL,'Revenu, propriété et placement / épargne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.2',406),(7665,'Données sur la législation internationale ou nationale, les réglementations administratives, le système judiciaire (pouvoirs et activités des tribunaux), les modes alternatifs de résolutions de litiges et de justice réparatrice, les sanctions.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,7372,NULL,'Législation et systèmes juridiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.2',406),(7666,'','Psychology',NULL,61,7389,NULL,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.2',406),(7667,'','Education',NULL,10,7340,NULL,'ÉDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.2',406),(7668,'Idées, idéaux et théories sur les manières dont les gouvernements et les sociétés peuvent être organisés. Les idéologies politiques importantes incluent l\'anarchisme, la démocratie, le libéralisme, le conservatisme etc.','Politics.PoliticalIdeology','Politics',60,7388,NULL,'Idéologie politique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.2',406),(7669,'Couvre les animaux domestiques, de production et sauvages, ainsi que tous les types de plantes (e. g. fleurs, arbres, mousses, légumes).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,7382,NULL,'Plantes et animaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.2',406),(7670,'Les questions liées à l\'existence, aux rôles et à l\'impact des élites dans la société, c\'est-à-dire, les individus ou les groupes qui ont une quantité considérable de pouvoir ou d\'influence sur la société, les politiques, la richesse etc. soit à travers les décisions qu\'ils prennent ou, par exemple, à travers les idées ou les sentiments qu\'ils expriment ou représentent. Inclut les questions traitant des personnes influentes dans toutes les sphères de la société, par exemple, les décideurs de la vie politique, les chefs des partis politiques, les artistes influents, les personnalités des médias de masse ou des réseaux sociaux etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,7396,NULL,'Élites et dirigeants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.2',406),(7671,'Données qui traitent des questions de comportements religieux, de mouvements religieux, de la spiritualité, de la moralité et d\'autres valeurs.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,7412,NULL,'Religion et valeurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.2',406),(7672,'','SocietyAndCulture',NULL,79,7407,NULL,'SOCIÉTÉ ET CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.2',406),(7673,'Utilisation de processus biomoléculaires et cellulaires pour créer de nouveaux produits et procédés technologiques.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,7391,NULL,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.2',406),(7674,'Identité de genre ; les représentations sexuées (e. g. représentation des genres dans les organes de décision, dans les médias, dans la littérature etc.) ; les caractéristiques sociales, culturelles et psychologiques liées aux hommes et aux femmes ; les études sur les femmes ; les études sur les hommes ; les comportements et les choix attendus en fonction des rôles de genre et l\'impact de ces attentes.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,7399,NULL,'Genre et rôles de genre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.2',406),(7675,'Programmes qui sont conçus pour les apprenants pour leur permettre d\'acquérir des connaissances, des aptitudes et des compétences spécifiques à un emploi, à un métier ou à une catégorie d\'emplois ou de métiers. L\'enseignement professionnel peut avoir des composants basés sur le travail. Couvre l\'enseignement professionnel des niveaux 3-4 de la CITE / ISCED et l\'apprentissage. Inclut des données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.VocationalEducationAndTraining','Education',15,7345,NULL,'Enseignement et formation professionnels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.2',406),(7676,'La morbidité fait référence à l\'incidence de la mauvaise santé dans une population. Les données peuvent couvrir l\'incidence ou le taux de morbidité d\'un problème de santé. Par exemple, le nombre de personnes qui souffrent du cancer du poumon dans un pays ou une aire géographique durant une année. Les données de mortalité indiquent le nombre de morts dans une population selon le lieu, le moment, la cause ou le type d\'individu etc. Par exemple, le taux de mortalité maternelle, le taux de mortalité infantile. Veuillez noter que les données d\'enquêtes auto-administrées sur les maladies et les problèmes de santé sont référencées avec les termes de la catégorie SANTÉ.','Demography.MorbidityAndMortality','Demography',3,7335,NULL,'Morbidité et mortalité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.2',406),(7677,'Inclut à la fois l\'aménagement du territoire et la planification de l\'utilisation du sol. La planification de l\'utilisation du sol fait référence aux procédures mises en œuvre pour assurer une utilisation optimale et durable des terres dans les communautés rurales et urbaines.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,7361,NULL,'Aménagement et planification du territoire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.2',406),(7678,'Prévention et contrôle des maladies et du handicap et la promotion de la santé physique et mentale de la population au niveau international, national, étatique, ou municipal. Par exemple, la promotion de la santé, la prévention de maladies, l\'impact des programmes de santé publique, la gestion locale, nationale ou mondiale des problèmes de santé, l\'épidémiologie d\'une maladie, d\'une pathologie, d\'un pathogène ou d\'une épidémie.','Health.PublicHealth','Health',24,7353,NULL,'Santé publique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.2',406),(7679,'Fait référence aux possibilités d\'enseignements sous diverses formes à destination des adultes après qu\'ils aient quittés le système d\'éducation classique. Les adultes peuvent s\'engager dans un tel enseignement pour, par exemple, améliorer leurs aptitudes, leurs qualifications, pour se reconvertir pour un nouveau métier, ou juste pour apprendre quelque chose de nouveau. N\'inclut pas généralement l\'enseignement menant à une qualification, ou à la formation professionnelle.','Education.LifelongContinuingEducation','Education',14,7344,NULL,'Formation tout au long de la vie / continue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.2',406),(7680,'Processus, fonction ou système reproductif à toutes les étapes de la vie. Inclut des données sur les grossesses, les naissances, la planification familiale, la contraception et l\'avortement, la ménopause.','Health.ReproductiveHealth','Health',25,7354,NULL,'Santé reproductive','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.2',406),(7681,'Redosled koraka i procesa kroz koji predmet rada prelazi od inicijacije do završetka (prilagođen onlajn iz Oksfordovog rečnika: http://www.oxforddictionaries.com/us/definition/american_english/workflow). Primeri iz životnog ciklusa podataka su: prikupljanje podataka, obrada podataka, analiza podataka, arhiviranje podataka, itd.','Processes.Workflows','Processes',11,NULL,NULL,'Procesi: Radni tok(ovi)','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Processes.Workflows',405),(7682,'Poruke proistekle iz postupka ili procesa upotrebe reči, zvukova, znakova ili ponašanja za prenošenje ili razmenu informacija, ideja, misli, oseć́anja, itd. (Prilagođeno sa www.merriam-webster.com).','Communications',NULL,12,NULL,NULL,'Komunikacija','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications',405),(7683,'Komunikacija direktno upućena javnoj publici, na primer, lično obraćanje (javna okupljanja, politički skupovi itd.), putem emitovanja, štampe ili internet masovnih medija (radija, televizije, štampe ili internet novina/časopisa), putem bilborda, transparenata ili drugih natpisa postavljenih u javnosti ili na društvenim mrežama (javne objave na Facebooku, Twitteru i dr.).','Communications.Public','Communications',13,NULL,NULL,'Komunikacija: Javna','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Public',405),(7684,'Komunikacija koju pojedinac uspostavlja sa drugim pojedincem ili sa&nbsp; grupom osoba, privatno, odnosno u druge svrhe osim istraživanja. Na primer, elektronska pošta, pisma, telefonski razgovori, objave na društvenim mrežama sa ograničenim pristupom.','Communications.Interpersonal','Communications',14,NULL,NULL,'Komunikacija: Između ljudi/Privatna','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Communications.Interpersonal',405),(7685,'Postojeći podaci; podaci koji su već prikupljeni i/ili korišćeni za drugi istraživački projekat.','ResearchData',NULL,15,NULL,NULL,'Istraživački podaci','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData',405),(7686,'Postojeći podaci koji su dostupni javnosti u celini ili u delovima.','ResearchData.Published','ResearchData',16,NULL,NULL,'Istraživački podaci: Objavljeni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Published',405),(7687,'Postojeći podaci koji nisu dostupni javnosti ni u celini, ni u delovima.','ResearchData.Unpublished','ResearchData',17,NULL,NULL,'Istraživački podaci: Neobjavljeni','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#ResearchData.Unpublished',405),(7688,'Grupa pojedinaca koja se može definisati po jednoj ili više zajedničkih karakteristika: etnička pripadnost, rasa, pol, starosna dob, geografski položaj ili rasprostranjenost, nivo obrazovanja, nivo prihoda ili ekonomski status, profesionalni status, zdravstveno stanje ili pripadnost određenim zajednicama (npr. posebne interesne grupe ili društveni mediji) ili mreže, itd.','PopulationGroup',NULL,18,NULL,NULL,'Populacija','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PopulationGroup',405),(7689,'Područje planete Zemlje, razgraničeno za administratvine, polititičke potrebe, potrebe životne sredine, i sl. Razgraničenje je moguć́e prepoznati koordinatama ili drugim sistemima koji se nedvosmisleno identifikuju.','GeographicArea',NULL,19,NULL,NULL,'Geografska oblast','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#GeographicArea',405),(7690,'Prirodni ili veštački objekti sa prostornim lokacijama. Na primer, umetnička dela, građevine, uzorci stena, mašine, i sl. Oni se smatraju izvorima podataka ukoliko podaci opisuju fizičke karakteristike datog objekta, ali ne i bilo koje informacije kodirane unutar njih.','PhysicalObjects',NULL,20,NULL,NULL,'Fizički objekat','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#PhysicalObjects',405),(7691,'Biološki materijali prikupljeni od živih organizama, uključujući, na primer, biološke primerke ljudskih ili životinjskih organa, ćelija ili tkiva poput dlake, mišićnog ili tumorskog tkiva, telesnih tečnosti kao što su krv, urin, slina, ekstrahovani materijal kao što su DNK i RNA, mikroorganizmi, biljna materija, itd. Izvor podataka su sami uzorci, a ne merenja i/ili drugi testovi koji su na njih primenjeni.','BiologicalSamples',NULL,21,NULL,NULL,'Biološki uzorak','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#BiologicalSamples',405),(7692,'Koristite ako je izvor podataka poznat, ali nije na listi.','Other',NULL,22,NULL,NULL,'Ostalo','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html#Other',405),(7693,'Anvend når de sammenlignede elementer har identisk indhold. For variable, for eksempel, vil alle elementer af en variabelbeskrivelse (navn, label, spørgsmålstekst, kategoriværdier og koder, univers, begreb) være identisk i form.','Identical',NULL,0,NULL,3051,'Identisk','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Identical',319),(7694,'Anvend når de sammenlignede elementer har lignende, men ikke identisk indhold. For variable, for eksempel, vil nogle elementer af en variabelbeskrivelse (navn, label, spørgsmålstekst, kategoriværdier og koder, univers, begreb) være identisk i form, mens andre vil være forskellige.','Some',NULL,1,NULL,3052,'Nogen','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Some',319),(7695,'Normalt ikke anvendt, da det ikke vil forventes at sammenligne elementer, der ikke har noget til fælles. Dette udtryk var nødvendigt for at færdiggøre rækkevidden af ensartethed og må anvendes i specielle tilfælde, som bestemmes af brugerbehov (for eksempel, når sammenlignelighed var forventet, men ikke fundet).','None',NULL,2,NULL,3053,'Ingen','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#None',319),(7696,'Data bestående i størstedelen af værdier udtrykt som cifre fra 0 til 9 og, eventuelt, tegn for negative værdier, decimaler, eller bogstaver, når de kun har til formål at repræsentere tal (for eksempel, A-F eller a-f i hexadecimal).','Numeric',NULL,0,NULL,1329,'Numerisk','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Numeric',353),(7697,'Data bestående i størstedelen af tekst, inklusiv bogstaver, tal, og specialtegn eller -symboler anvendt i skrift til tegnsætning, forkortelser mm. For eksempel, transskribering af interviews, beretninger eller essays skrevet af studiedeltagere, avisartikler mm.','Text',NULL,1,NULL,1330,'Tekst','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Text',353),(7698,'Statiske billeder, såsom grafer, tegninger, fotografier, diagnostiske/medicinske billeder som røntgen mm.','StillImage',NULL,2,NULL,1331,'Stillbillede','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#StillImage',353),(7699,'Geospatial data er enhver type af data med rumlige koordinater, der tillader dem at blive kortlagt på jordens overflade. De kan repræsentere fysiske genstande, diskrete områder eller kontinuerlige overflader. Diskrete geospatiale data er som regel repræsenteret ved brug af vektordata bestående af punkter, linjer og polygoner, mens kontinuerlige geospatial data som regel er repræsenteret af rasterdatabestående af et net af celler, der hver har sin egen værdi. Ethvert antal af applikationer på en bred vifte af områder producerer geospatiale data, såsom GIS, fjernregistrering, GPS-enheder, arkæologiske totalstationer, manuel kortlægning og computer-aided design (CAD), i en række af formater, inklusiv billeder, vektor, tekst og tabeldata. Vektorbaserede geospatiale data inkluderer tabeller, der lister arkæologiske steder sammen med deres koordinater, tekstbaserede filer (f.eks. XML) indeholdende koordinater og topologi for historiske netværk af veje, tal for vælgeradfærd hos politiske partier efter administrative områder. Rasterbaserede geospatiale data inkluderer satellitbilleder, luftfotos, indscannede kort, og digitale kort over hævninger, vegetation, arealanvendelse, havoverfladetemperaturer, luftforurening, jordtyper mm.','Geospatial',NULL,3,NULL,1332,'Geospatial','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Geospatial',353),(7700,'Optaget lyd, inklusiv stemme, musik mm.','Audio',NULL,4,NULL,1333,'Lyd','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Audio',353),(7701,'Bevægelige billeder. Kan inkludere film, animation, digitale optagelser, visuelt output fra simulationer, optagede TV-programmer mm. Kan være på lydløs eller kan inkludere synkroniseret lyd.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Video',353),(7702,'Computerprogram(mer) i kildekode (menneskelæsbar) eller kompileret form. ','Software',NULL,6,NULL,1335,'Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Software',353),(7703,'En ressource, der kræver interaktion fra brugeren for at blive forstået, udført, eller oplevet. For eksempel træningsmoduler, portaler for spørgsmål og svar, filer, der kræver handling fra brugeren mm.','InteractiveResource',NULL,7,NULL,1336,'Interaktiv ressource','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#InteractiveResource',353),(7704,'Virtuelle tredimensionelle repræsentationer af objekter, arkitektur, steder mm.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#ThreeD',353),(7705,'Anvend, når typen af dataformat er kendt, men ikke fundet i listen.','Other',NULL,9,NULL,1338,'Andet','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Other',353),(7706,'Podatki, ki so večinoma sestavljeni iz vrednosti, izraženih kot števke od 0 in 9, lahko tudi kot znaki za negativne vrednosti, decimalna ločila ali črke, ki so namenjene predstavitvi števil (na primer A-F ali a-f v šestnajstiškem zapisu).','Numeric',NULL,0,NULL,1329,'Številski','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Numeric',351),(7707,'Podatki, ki so večinoma sestavljeni iz besedila, vključno s črkami, številkami in posebnimi znaki ali simboli, ki se uporabljajo v pisni obliki za ločila, kratice, itd. Npr. transkripti intervjujev, pričevanja ali eseji, ki so jih napisali udeleženci raziskave, časopisni članki itd.','Text',NULL,1,NULL,1330,'Besedilni','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Text',351),(7708,'Statične slike, kot so grafi, risbe, fotografije, diagnostične/medicinske slike, kot na primer rentgenske slike itd.','StillImage',NULL,2,NULL,1331,'Mirujoča slika','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#StillImage',351),(7709,'Geoprostorski podatki so vse vrste podatkov s prostorskimi koordinatami, ki omogočajo preslikavo na površino Zemlje. Predstavljajo lahko fizične objekte, diskretna območja ali zvezne površine. Diskretni geoprostorski podatki so ponavadi predstavljeni z uporabo vektorskih podatkov, sestavljenih iz točk, črt in večkotnikov, medtem ko se zvezni geoprostorski podatki navadno prikazujejo z rastrskimi podatki, ki jih sestavlja mreža celic, kjer ima vsaka svojo lastno vrednost. Geoprostorske podatke lahko pridobimo z različnimi aplikacijami, ki se uporabljajo na raznih področjih, kot so GIS, oprema za daljinsko zaznavanje, enote GPS, naprave za arheološke in geodetske meritve, ročno kartiranje in računalniško podprto oblikovanje (CAD) v številnih oblikah, vključno s slikami, vektorji , besedili in tabelarnimi podatki. Vektorski geoprostorski podatki vključujejo tabele s seznami arheoloških najdišč in njihovimi koordinatami, besedilne datoteke (npr. XML), ki vsebujejo koordinate in topologijo zgodovinskih cestnih omrežj, rezultate glasovanja za politične stranke po upravnih območjih. Geoprostorski podatki, ki temeljijo na rasterju, vključujejo satelitske slike, fotografije iz zraka, skenirane zemljevide in digitalne karte nadmorskih višin, rastja, rabe zemljišč, temperatur morskih površin, onesnaževanja zraka, tipov prsti itd.','Geospatial',NULL,3,NULL,1332,'Geoprostorski','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Geospatial',351),(7710,'Posnet zvok, vključno z glasom, glasbo itd.','Audio',NULL,4,NULL,1333,'Avdio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Audio',351),(7711,'Gibljive slike. Lahko vključuje filme, animacije, digitalne posnetke, prikaze rezultatov simulacij, posnetke televizijskih programov ipd. Lahko so neme ali pa vključujejo zvočno sinhronizacijo.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Video',351),(7712,'Računalniški programi v izvorni kodi (človeško berljivi) ali v prevedeni obliki.','Software',NULL,6,NULL,1335,'Programska oprema','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Software',351),(7713,'Vir, ki zahteva stik z uporabnikom, da ga razume, izvaja ali doživi. Na primer moduli za usposabljanje, portali za poizvedbo/odziv, datoteke, ki zahtevajo dejanje uporabnika itd.','InteractiveResource',NULL,7,NULL,1336,'Interaktivni vir','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#InteractiveResource',351),(7714,'Virtualne tridimenzionalne predstavitve predmetov, arhitekture, krajev itd.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#ThreeD',351),(7715,'Uporabite, ko je vrsta podatkov znana, vendar je ne najdete na seznamu.','Other',NULL,9,NULL,1338,'Drugo','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html#Other',351),(7716,'Data som främst består av värden som uttrycks med siffrorna 0 till 9 och eventuellt tecken för negativa värden, decimalkomman, och bokstäver endast då de är avsedda att representera siffror (t.ex. A-F eller a-f för hexadecimala tal).','Numeric',NULL,0,NULL,1329,'Numeriska','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',224),(7717,'Data som främst består av text, inklusive bokstäver, siffror och specialtecken eller symboler som används i skrift för interpunktion, förkortningar m.m. Exempel: intervjutranskripter, berättelser eller uppsatser skrivna av studiedeltagarna, tidningsartiklar, m.m.','Text',NULL,1,NULL,1330,'Text','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',224),(7718,'Statiska bilder som t.ex. diagram, ritningar, fotografier, diagnostiska/medicinska bilder (röntgenbilder m.m.).','StillImage',NULL,2,NULL,1331,'Stillbild','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',224),(7719,'Geospatiala data är alla sorters data med spatiella koordinater som tillåter dem att mappas på jordens yta. De kan representera fysiska föremål, diskreta områden eller kontinuerliga ytor. Diskreta geospatiala data representeras vanligtvis med vektordata som består av punkter, linjer och polygoner, medan kontinuerliga geospatiala data vanligen representeras med rasterdata som består av ett rutnät där varje ruta har sitt eget värde. Ett stort antal program inom ett brett spektrum av områden producerar geospatiala data, t.ex. GIS, fjärranalysutrustning, GPS-enheter, arkeologiska totalstationer, manuell kartritning och CAD (computer-aided design), i ett flertal format, inklusive bilder, vektorfiler, text och tabelldata. Vektorbaserade geospatiala data inkluderar tabeller över arkeologiska utgrävningar tillsammans med deras koordinater, text-baserade filer (t.ex. XML) med koordinater och topologi för historiska vägnät, och röstsiffror för politiska partier inom olika administrative områden. Rasterbaserade geospatiala data inkluderar satellitbilder, flygfoton, skannade kartor och digitala kartor över höjdskillnader, vegetation, användning av landområden, havsytans temperatur, luftföroreningar, jordtyper, m.m.','Geospatial',NULL,3,NULL,1332,'Geospatiala','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',224),(7720,'Inspelat ljud, inklusive tal, musik, m.m.','Audio',NULL,4,NULL,1333,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',224),(7721,'Rörliga bilder. Kan inkludera film, animation, digitala inspelningar, visuella utdata från simulationer, inspelade TV-program, m.m. Kan vara ljudlösa eller med synkroniserat ljud.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',224),(7722,'Datorprogram som källkod (människoläslig) eller i kompilerad form.','Software',NULL,6,NULL,1335,'Programvara','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',224),(7723,'En resurs som kräver interaktion från användaren för att förstås, köras eller upplevas. Exempel: träningsmoduler, portaler för frågor och svar, filer som kräver att användaren gör något med dem, m.m.','InteractiveResource',NULL,7,NULL,1336,'Interaktiv resurs','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',224),(7724,'Virtuell, tredimensionell representation av föremål, arkitektur, platser, m.m.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',224),(7725,'Använd om typ av dataformat är känt men saknas i listan.','Other',NULL,9,NULL,1338,'Övrigt','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',224),(7726,'Podatki, ki so večinoma sestavljeni iz vrednosti, izraženih kot števke od 0 in 9, lahko tudi kot znaki za negativne vrednosti, decimalna ločila ali črke, ki so namenjene predstavitvi števil (na primer A-F ali a-f v šestnajstiškem zapisu).','Numeric',NULL,0,NULL,1329,'Številski','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',228),(7727,'Podatki, ki so večinoma sestavljeni iz besedila, vključno s črkami, številkami in posebnimi znaki ali simboli, ki se uporabljajo v pisni obliki za ločila, kratice, itd. Npr. transkripti intervjujev, pričevanja ali eseji, ki so jih napisali udeleženci raziskave, časopisni članki itd.','Text',NULL,1,NULL,1330,'Besedilni','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',228),(7728,'Statične slike, kot so grafi, risbe, fotografije, diagnostične/medicinske slike, kot na primer rentgenske slike itd.','StillImage',NULL,2,NULL,1331,'Mirujoča slika','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',228),(7729,'Geoprostorski podatki so vse vrste podatkov s prostorskimi koordinatami, ki omogočajo preslikavo na površino Zemlje. Predstavljajo lahko fizične objekte, diskretna območja ali zvezne površine. Diskretni geoprostorski podatki so ponavadi predstavljeni z uporabo vektorskih podatkov, sestavljenih iz točk, črt in večkotnikov, medtem ko se zvezni geoprostorski podatki navadno prikazujejo z rastrskimi podatki, ki jih sestavlja mreža celic, kjer ima vsaka svojo lastno vrednost. Geoprostorske podatke lahko pridobimo z različnimi aplikacijami, ki se uporabljajo na raznih področjih, kot so GIS, oprema za daljinsko zaznavanje, enote GPS, naprave za arheološke in geodetske meritve, ročno kartiranje in računalniško podprto oblikovanje (CAD) v številnih oblikah, vključno s slikami, vektorji , besedili in tabelarnimi podatki. Vektorski geoprostorski podatki vključujejo tabele s seznami arheoloških najdišč in njihovimi koordinatami, besedilne datoteke (npr. XML), ki vsebujejo koordinate in topologijo zgodovinskih cestnih omrežj, rezultate glasovanja za politične stranke po upravnih območjih. Geoprostorski podatki, ki temeljijo na rasterju, vključujejo satelitske slike, fotografije iz zraka, skenirane zemljevide in digitalne karte nadmorskih višin, rastja, rabe zemljišč, temperatur morskih površin, onesnaževanja zraka, tipov prsti itd.','Geospatial',NULL,3,NULL,1332,'Geoprostorski','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',228),(7730,'Posnet zvok, vključno z glasom, glasbo itd.','Audio',NULL,4,NULL,1333,'Avdio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',228),(7731,'Gibljive slike. Lahko vključuje filme, animacije, digitalne posnetke, prikaze rezultatov simulacij, posnetke televizijskih programov ipd. Lahko so neme ali pa vključujejo zvočno sinhronizacijo.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',228),(7732,'Računalniški programi v izvorni kodi (človeško berljivi) ali v prevedeni obliki.','Software',NULL,6,NULL,1335,'Programska oprema','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',228),(7733,'Vir, ki zahteva stik z uporabnikom, da ga razume, izvaja ali doživi. Na primer moduli za usposabljanje, portali za poizvedbo/odziv, datoteke, ki zahtevajo dejanje uporabnika itd.','InteractiveResource',NULL,7,NULL,1336,'Interaktivni vir','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',228),(7734,'Virtualne tridimenzionalne predstavitve predmetov, arhitekture, krajev itd.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',228),(7735,'Uporabite, ko je vrsta podatkov znana, vendar je ne najdete na seznamu.','Other',NULL,9,NULL,1338,'Drugo','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',228),(7736,'Data som hovedsakelig består av verdier uttrykt som siffer fra 0 til 9, og eventuelt tegn for negative verdier, desimaltegn, eller bokstaver når de representerer tall (for eksempel A-F eller a-f i heksadesimaler).','Numeric',NULL,0,NULL,1329,'Numeriske','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',229),(7737,'Data som hovedsakelig består av tekst, inkludert bokstaver, tall, og spesielle tegn eller symboler som brukes i skrift for tegnsetting, forkortelser etc. For eksempel intervjutranskripsjoner, fortellinger eller essay skrevet av studiedeltakere, avisartikler etc.','Text',NULL,1,NULL,1330,'Tekst','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',229),(7738,'Statiske bilder som f.eks grafer, tegninger, fotografier, diagnostiske/medisinske bilder (røntgenbilder etc.).','StillImage',NULL,2,NULL,1331,'Stillbilde','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',229),(7739,'Geospatiale data er alle former data med spatiale koordinater som tillater dem å bli kartlagt på jordens overflate. De kan representere fysiske objekter, diskrete områder eller kontinuerlige overflater. Diskrete geospatiale data er vanligvis representert ved bruk av vektordata bestående av punkt, linjer og polygoner, mens kontinuerlige geospatiale data vanligvis representeres av rasterdata, som består av et nett av celler der hver rute har sin egen verdi. Et stort antall applikasjoner på et bredt spekter av områder produserer geospatiale data, som for eksempel GIS, fjernregistrering, GPS-enheter, arkeologiske totalstasjoner, manuell karttegning og dataassistert konstruksjon (CAD), i et nummer format, inkludert bilder, vektor, tekst og tabelldata. Vektor-baserte geospatiale data inkluderer tabeller som lister arkeologiske utgravninger med deres koordinater, tekstbaserte filer (for eksempel XML) som inneholder koordinater og topologi for historisk veinett, stemmer for politiske partier ut fra administrative områder. Raster-baserte geospatiale data inkluderer satellittbilder, flyfoto, scannede kart, og digitale kart av høydeforskjeller, vegetasjon, bruk av landområde, havoverflatens temperatur, forurensning, jordtyper etc.','Geospatial',NULL,3,NULL,1332,'Geospatiale','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',229),(7740,'Opptak av lyd, inkludert tale, musikk osv.','Audio',NULL,4,NULL,1333,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',229),(7741,'Bevegelige bilder. Kan inkludere filmer, animasjon, digitale innspillinger, visuelle data fra simuleringer, opptak av tv-programmer etc. Kan være lydløse eller med synkronisert lyd.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',229),(7742,'Dataprogram(-er) i kildekode (menneskelesbar) eller kompilert form.','Software',NULL,6,NULL,1335,'Programvare','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',229),(7743,'En ressurs som krever interaksjon fra brukeren for å bli forstått, brukt eller erfart. For eksempel treningsmoduler, portaler for spørsmål og svar, filer som krever behandling fra brukeren osv.','InteractiveResource',NULL,7,NULL,1336,'Interaktiv ressurs','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',229),(7744,'Virtuelle tredimensjonale representasjoner av objekter, arkitektur, steder osv.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',229),(7745,'Brukes dersom typen dataformat er kjent, men ikke finnes i listen.','Other',NULL,9,NULL,1338,'Annet','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',229),(7746,'Data bestående i størstedelen af værdier udtrykt som cifre fra 0 til 9 og, eventuelt, tegn for negative værdier, decimaler, eller bogstaver, når de kun har til formål at repræsentere tal (for eksempel, A-F eller a-f i hexadecimal).','Numeric',NULL,0,NULL,1329,'Numerisk','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',230),(7747,'Data bestående i størstedelen af tekst, inklusiv bogstaver, tal, og specialtegn eller -symboler anvendt i skrift til tegnsætning, forkortelser mm. For eksempel, transskribering af interviews, beretninger eller essays skrevet af studiedeltagere, avisartikler mm.','Text',NULL,1,NULL,1330,'Tekst','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',230),(7748,'Statiske billeder, såsom grafer, tegninger, fotografier, diagnostiske/medicinske billeder som røntgen mm.','StillImage',NULL,2,NULL,1331,'Stillbillede','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',230),(7749,'Geospatial data er enhver type af data med rumlige koordinater, der tillader dem at blive kortlagt på jordens overflade. De kan repræsentere fysiske genstande, diskrete områder eller kontinuerlige overflader. Diskrete geospatiale data er som regel repræsenteret ved brug af vektordata bestående af punkter, linjer og polygoner, mens kontinuerlige geospatial data som regel er repræsenteret af rasterdatabestående af et net af celler, der hver har sin egen værdi. Ethvert antal af applikationer på en bred vifte af områder producerer geospatiale data, såsom GIS, fjernregistrering, GPS-enheder, arkæologiske totalstationer, manuel kortlægning og computer-aided design (CAD), i en række af formater, inklusiv billeder, vektor, tekst og tabeldata. Vektorbaserede geospatiale data inkluderer tabeller, der lister arkæologiske steder sammen med deres koordinater, tekstbaserede filer (f.eks. XML) indeholdende koordinater og topologi for historiske netværk af veje, tal for vælgeradfærd hos politiske partier efter administrative områder. Rasterbaserede geospatiale data inkluderer satellitbilleder, luftfotos, indscannede kort, og digitale kort over hævninger, vegetation, arealanvendelse, havoverfladetemperaturer, luftforurening, jordtyper mm.','Geospatial',NULL,3,NULL,1332,'Geospatial','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',230),(7750,'Optaget lyd, inklusiv stemme, musik mm.','Audio',NULL,4,NULL,1333,'Lyd','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',230),(7751,'Bevægelige billeder. Kan inkludere film, animation, digitale optagelser, visuelt output fra simulationer, optagede TV-programmer mm. Kan være på lydløs eller kan inkludere synkroniseret lyd.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',230),(7752,'Computerprogram(mer) i kildekode (menneskelæsbar) eller kompileret form. ','Software',NULL,6,NULL,1335,'Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',230),(7753,'En ressource, der kræver interaktion fra brugeren for at blive forstået, udført, eller oplevet. For eksempel træningsmoduler, portaler for spørgsmål og svar, filer, der kræver handling fra brugeren mm.','InteractiveResource',NULL,7,NULL,1336,'Interaktiv ressource','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',230),(7754,'Virtuelle tredimensionelle repræsentationer af objekter, arkitektur, steder mm.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',230),(7755,'Anvend, når typen af dataformat er kendt, men ikke fundet i listen.','Other',NULL,9,NULL,1338,'Andet','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',230),(7756,'Data koostuu enimmäkseen numeroilla 0-9 ilmaistuista arvoista ja mahdollisesti myös negatiivisten arvojen merkeistä tai desimaalierottimista. Datassa voi myös olla kirjaimia silloin, kun kirjainmerkit edustavat numerointia (esim. A-F tai a-f heksadesimaalijärjestelmässä).','Numeric',NULL,0,NULL,1329,'Numeerinen','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',220),(7757,'Data koostuu enimmäkseen tekstistä, mukaan lukien kirjainmerkit, numerot sekä erityismerkit tai symbolit, joita käytetään kirjoitetun tekstin välimerkkeinä, lyhenteissä jne. Esimerkiksi sanomalehtiartikkelit, haastatteluliteraatiot, tutkittavien kirjoittamat kertomukset tai esseet jne.','Text',NULL,1,NULL,1330,'Teksti','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',220),(7758,'Esimerkiksi graafit, piirrokset, valokuvat ja lääketieteellisen kuvantamisen tuotteet (esim. röntgen- tai ultraäänikuvat). Liikkuvan kuvan kohdalla käytä termiä \'Video\'.','StillImage',NULL,2,NULL,1331,'Kuva','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',220),(7759,'Paikkatieto on mitä tahansa dataa, joka sisältää sijannin maapallolla määrittäviä koordinaatteja. Paikkatieto voi esittää diskreettejä tai jatkuvia kohteita tai fyysisiä objekteja. Se esitetään joko pisteistä, viivoista ja alueista muodostuvassa vektorimuodossa tai säännöllisistä ja tasasuuruisista ruuduista muodostuvassa rasterimuodossa. Paikkatietoa sen eri muodoissa (mm. kuvina, vektoreina, tekstinä, taulukkodatana) tuotetaan esimerkiksi paikkatietojärjestelmissä (GIS), kaukokartoitusvälineillä, GPS-laitteilla, takymetreillä tai manuaalisella kartoituksella. Paikkatietoa voidaan karttojen lisäksi käyttää myös moniin muihin tarkoituksiin, esimerkiksi yhteiskunnan ja ympäristön tutkimiseen. Kaikkea paikkatietoa voidaan esittää joko vektori- tai rasterimuotoisena, mutta vektorimuotoon laitetaan usein mittauksiin ja tilastoihin perustuvia paikkatiedoja kuten esimerkiksi arkeologisten kaivausten nimet ja koordinaatit listattuina taulukkomuotoon ja poliittisten puolueiden ääniosuudet alueittain esitettynä. Lähes aina rasterimuodossa esitettyä paikkatietoa ovat esimerkiksi satelliitti- ja ilmakuvat, skannatut kartat sekä digitaaliset korkeus-, kasvillisuus-, maankäyttö-, ilmansaaste- ja maaperäkartat jne.','Geospatial',NULL,3,NULL,1332,'Paikkatieto','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',220),(7760,'Taltioitu ääni. Esimerkiksi puhe tai musiikki.','Audio',NULL,4,NULL,1333,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',220),(7761,'Liikkuva kuva. Esimerkiksi elokuvat, animaatiot, digitaaliset tallenteet, visuaalisesti esitetyt simulaatioiden sisällöt, tallennetut televisio-ohjelmat. Voi olla äänetön tai sisältää ääntä.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',220),(7762,'Tietokoneohjelma/ohjelmia konekielisenä tai lähdekoodina (ihmisen luettavissa). ','Software',NULL,6,NULL,1335,'Ohjelmisto','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',220),(7763,'Sisältö, joka vaatii vuorovaikutteisuutta käyttäjältä ollakseen ymmärrettävissä, käytettävissä tai koettavissa. Esimerkiksi harjoitusmoduulit, kysely/vastausportaalit, käyttäjän toimintaa vaativat tiedostot jne.','InteractiveResource',NULL,7,NULL,1336,'Vuorovaikutteinen','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',220),(7764,'Objektien, esineiden, arkkitehtuurin, paikkojen ym. virtuaaliset, kolmiulotteiset esitykset.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',220),(7765,'Käytä mikäli aineiston formaatti on tiedossa, mutta ei sanastossa.','Other',NULL,9,NULL,1338,'Muu aineistoformaatti','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',220),(7766,'I dati sono in gran parte rappresentati da valori espressi come cifre comprese tra 0 a 9 e, eventualmente, da segni per i valori negativi, da punti per i valori decimali o da lettere solo se destinati a rappresentare numeri (ad esempio, A-F o a-f nel sistema esadecimale).','Numeric',NULL,0,NULL,1329,'Numerico','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',349),(7767,'I dati sono formati in gran parte da elementi testuali, compresi lettere, numeri, caratteri speciali o simboli utilizzati nella scrittura per la punteggiatura, abbreviazioni, ecc. Ad esempio, trascrizioni di interviste, racconti o saggi scritti dai partecipanti allo studio, articoli di giornale, ecc.','Text',NULL,1,NULL,1330,'Testuale','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',349),(7768,'Immagini statiche, come grafici, disegni, fotografie, immagini diagnostiche come i raggi X, ecc.','StillImage',NULL,2,NULL,1331,'Immagine','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',349),(7769,'I dati geospaziali sono rappresentati da qualsiasi tipo di dato con coordinate spaziali che ne consentono una mappatura sulla superficie terrestre. Possono rappresentare oggetti fisici, aree delimitate o superfici continue. I dati geospaziali delimitati vengono solitamente rappresentati utilizzando dati vettoriali costituiti da punti, linee e poligoni, mentre i dati geospaziali continui sono solitamente rappresentati da dati raster, costituiti da una griglia di celle ognuna con il proprio valore. Diverse applicazioni in una vasta gamma di settori producono dati geospaziali - come GIS, apparecchiature di telerilevamento, unità GPS, stazioni totali per i rilievi archeologici, mappature manuali e progettazione assistita da computer (CAD) - in diversi formati, tra cui immagini, vettori, testi e dati tabellari. I dati geospaziali vettoriali includono tabelle che elencano i siti archeologici insieme alle loro coordinate, file testuali (ad esempio XML) contenenti le coordinate e la topologia per le reti stradali storiche, rappresentazioni del voto espresso per i partiti politici nelle area amministrative. I dati geospaziali basati su raster includono immagini satellitari, fotografie aeree, mappe scannerizzate e mappe digitali di elevazione, vegetazione, uso del suolo, temperature della superficie del mare, inquinamento atmosferico, tipi di suolo, ecc.','Geospatial',NULL,3,NULL,1332,'Geospaziale','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',349),(7770,'Registrazioni sonore, incluso voce, musica, ecc.','Audio',NULL,4,NULL,1333,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',349),(7771,'Immagini in movimento. Possono includere film, animazioni, registrazioni digitali, output visuali ottenuti da simulazioni, registrazioni di programmi televisivi, ecc. Possono essere muti (senza audio) oppure includere audio sincronizzato alle immagini.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',349),(7772,'Programmi per computer in codice sorgente (leggibile da esseri umani) o in forma compilata.','Software',NULL,6,NULL,1335,'Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',349),(7773,'Una risorsa che richiede l\'interazione con l\'utente per essere compresa, eseguita o sperimentata. Ad esempio, moduli per la formazione, portali che consentono interrogazioni, file che richiedono l\'intervento dell\'utente, ecc.','InteractiveResource',NULL,7,NULL,1336,'Risorsa interattiva','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',349),(7774,'Rappresentazioni virtuali tridimensionali di oggetti, architetture, luoghi, ecc.','ThreeD',NULL,8,NULL,1337,'3D','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',349),(7775,'Utilizzare quando il tipo di formato dei dati è conosciuto, ma non è presente nell\'elenco.','Other',NULL,9,NULL,1338,'Altro','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',349),(7776,'Daten, die weitestgehend aus Werten bestehen, die durchZiffern von 0 bis 9 ausgedrückt werden und gegebenenfalls Zeichen für negative Werte, Dezimalkommata oder Buchstaben, mit denen beabsichtigt wird, Zahlen zu repräsentieren (z. B. A-F oder a-f in Hexadezimal).','Numeric',NULL,0,NULL,1329,'Numerisch','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',223),(7777,'Daten, die weitestgehend aus Text bestehen, einschließlich Buchstaben, Ziffern und Sonderzeichen oder Symbolen, die schriftlich für Interpunktion, Abkürzung usw. verwendet werden. Zum Beispiel Interviewtranskriptionen, Erzählungen oder Essays, die von Studienteilnehmern verfasst wurden, Zeitungsartikeln usw.','Text',NULL,1,NULL,1330,'Text','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',223),(7778,'Statische Bilder wie Graphen, Zeichnungen, Fotografien, diagnostische/medizinische Bilder wie Röntgenbilder usw.','StillImage',NULL,2,NULL,1331,'Unbewegtes Bild','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',223),(7779,'Geodaten sind jegliche Arten von Daten mit räumlichen Koordinaten, wodurchdieseauf der Erdoberfläche abgebildet werdenkönnen.Sie können physische Objekte, diskrete Flächen oder durchgehende Flächen darstellen. Diskrete Geodaten werden in der Regel unter Verwendung von Vektordaten aus Punkten, Linien und Polygonen dargestellt, während kontinuierliche Geodaten in der Regel durch Rasterdaten repräsentiert werden, bestehend aus einem Gitter von Zellen, die jeweils ihren eigenen Wert haben.Eine beliebige Anzahl von Anwendungenin einer Vielzahl von Bereichen produziert Geodaten, wie GIS, Fernerkundungsgeräte, GPS-Geräte, archäologische Totalstationen, manuelle Kartierung und computergestütztes Design (CAD) in einer Reihe von Formaten, einschließlich Bilder, Vektoren, Text und tabellarischen Daten. Vektor-basierte Geodaten enthalten Tabellen, die archäologische Stätten zusammen mit ihren Koordinaten verzeichnen, textbasierte Dateien (z. B. XML), die Koordinaten und Topologie für historische Straßennetze enthalten, Abstimmungszahlen für politische Parteien von Verwaltungsgebieten. Rasterbasierte Geodaten umfassen Satellitenbilder, Luftbilder, gescannte Karten und digitale Karten von Höhen, Vegetation, Landnutzung, Meeresoberflächentemperaturen, Luftverschmutzung, Bodenarten usw.','Geospatial',NULL,3,NULL,1332,'Geodaten','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',223),(7780,'Aufgezeichneter Ton, inkl. Stimme, Musik, etc.','Audio',NULL,4,NULL,1333,'Audio','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',223),(7781,'Bewegte Bilder. Das können Filme, Animationen, digitale Aufnahmen, visuelle Ausgabe von Simulationen, aufgezeichnete Fernsehprogramme, etc. sein. Sie können stumm sein oder synchroniserten Ton haben.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',223),(7782,'Computerprogramm(e) im Quellcode (menschenlesbar) oder in kompilierter Form.','Software',NULL,6,NULL,1335,'Software','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',223),(7783,'Eine Ressource, die eine Interaktion vom Benutzer erfordert, um verstanden, ausgeführt oder erfahrenwerden zu können. Zum Beispiel Trainingsmodule, Abfrage- /Antwortportale, Dateien, die vom Benutzer eine Aktion erfordern, etc.','InteractiveResource',NULL,7,NULL,1336,'Interaktive Ressource','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',223),(7784,'Virtuelle dreidimensionale Darstellungen von Objekten, Architektur, Orten usw.','ThreeD',NULL,8,NULL,1337,'Dreidimensional','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',223),(7785,'Verwenden Sie diese Kategorie, wenn die Art des Datenformats bekannt, aber nicht in der Liste vertreten ist.','Other',NULL,9,NULL,1338,'Andere','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',223),(7786,'Un échange prévu entre deux (ou plusieurs) personnes - l(es) enquêteur(s) et l(es) enquêté(s) - dans lequel des informations sont obtenus par l(es) enquêteur(s) d(es) enquêté(s). Si l\'interaction de groupe fait partie de la méthode, utilisez \"Focus group\"','Interview',NULL,0,NULL,4976,'Entretien','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview',397),(7787,'Méthode de recueil de données dans laquelle un enquêteur conduit un entretien personnel, posant des questions et écrivant les réponses. Utilisez ce terme si pas CAPI ou PAPI, ou si vous ne savez pas si CAPI/PAPI ou pas.','Interview.FaceToFace','Interview',1,NULL,4977,'Entretien en face-à-face','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.FaceToFace',397),(7788,'Entretien administré par téléphone. Utilisez ce terme si pas CATI, ou si vous ne savez pas si CATI ou pas.','Interview.Telephone','Interview',4,NULL,4980,'Entretien téléphonique','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.Telephone',397),(7789,'Entretiens conduits via e-mail, habituellement consistant en plusieurs courriels qui permettent la discussion qui continue au-delà d\'une première série de questions et de réponses, ou d\'un premier échange de courriels.','Interview.Email','Interview',6,NULL,4982,'Entretien par e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.Email',397),(7790,'Un entretien conduit via l\'Internet. Par exemple, des entretiens conduits à l\'intérieur de forums en ligne ou en utilisant des technologies web audio-vidéo qui permettent au(x) enquêteur(s) et au(x) répondant(s) de communiquer en temps réel.','Interview.WebBased','Interview',7,NULL,4983,'Entretien par Internet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.WebBased',397),(7791,'Entretien assisté par ordinateur (CAPI), ou entretien assisté par un appareil mobile (CAMI). Méthode de collecte des données dans laquelle l\'enquêteur lit les questions aux répondants depuis l\'écran d\'un ordinateur, d\'un ordinateur portable ou d\'un appareil mobile tel qu\'une tablette ou un smartphone, et entre les réponses sur le même appareil. L\'administration de l\'entretien est géré par un programme / application spécialement conçue.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Entretien en face-à-face : assisté par ordinateur (CAPI / CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.FaceToFace.CAPIorCAMI',397),(7792,'Entretien avec papier et crayon (PAPI). L\'enquêteur utilise un questionnaire papier traditionnel pour lire les questions et écrire les réponses.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Entretien en face-à-face : papier et crayon (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.FaceToFace.PAPI',397),(7793,'Entretien téléphonique assisté par ordinateur (CATI). L\'enquêteur pose des questions selon les directives de l\'ordinateur, des réponses sont saisies directement dans l\'ordinateur et l\'administration de l\'entretien est géré pas un programme spécialement conçu.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Entretien téléphonique : assisté par ordinateur (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html#Interview.Telephone.CATI',397),(7794,'Un échange prévu entre deux (ou plusieurs) personnes - l(es) enquêteur(s) et l(es) enquêté(s) - dans lequel des informations sont obtenus par l(es) enquêteur(s) d(es) enquêté(s). Si l\'interaction de groupe fait partie de la méthode, utilisez \"Focus group\"','Interview',NULL,0,NULL,4976,'Entretien','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',371),(7795,'Méthode de recueil de données dans laquelle un enquêteur conduit un entretien personnel, posant des questions et écrivant les réponses. Utilisez ce terme si pas CAPI ou PAPI, ou si vous ne savez pas si CAPI/PAPI ou pas.','Interview.FaceToFace','Interview',1,NULL,4977,'Entretien en face-à-face','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',371),(7796,'Entretien administré par téléphone. Utilisez ce terme si pas CATI, ou si vous ne savez pas si CATI ou pas.','Interview.Telephone','Interview',4,NULL,4980,'Entretien téléphonique','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',371),(7797,'Entretiens conduits via e-mail, habituellement consistant en plusieurs courriels qui permettent la discussion qui continue au-delà d\'une première série de questions et de réponses, ou d\'un premier échange de courriels.','Interview.Email','Interview',6,NULL,4982,'Entretien par e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',371),(7798,'Un entretien conduit via l\'Internet. Par exemple, des entretiens conduits à l\'intérieur de forums en ligne ou en utilisant des technologies web audio-vidéo qui permettent au(x) enquêteur(s) et au(x) répondant(s) de communiquer en temps réel.','Interview.WebBased','Interview',7,NULL,4983,'Entretien par Internet','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',371),(7799,'Entretien assisté par ordinateur (CAPI), ou entretien assisté par un appareil mobile (CAMI). Méthode de collecte des données dans laquelle l\'enquêteur lit les questions aux répondants depuis l\'écran d\'un ordinateur, d\'un ordinateur portable ou d\'un appareil mobile tel qu\'une tablette ou un smartphone, et entre les réponses sur le même appareil. L\'administration de l\'entretien est géré par un programme / application spécialement conçue.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Entretien en face-à-face : assisté par ordinateur (CAPI / CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',371),(7800,'Entretien avec papier et crayon (PAPI). L\'enquêteur utilise un questionnaire papier traditionnel pour lire les questions et écrire les réponses.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Entretien en face-à-face : papier et crayon (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',371),(7801,'Entretien téléphonique assisté par ordinateur (CATI). L\'enquêteur pose des questions selon les directives de l\'ordinateur, des réponses sont saisies directement dans l\'ordinateur et l\'administration de l\'entretien est géré pas un programme spécialement conçu.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Entretien téléphonique : assisté par ordinateur (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',371),(7802,'Una comunicazione pianificata tra due (o più) persone - l\'intervistatore/i e l\'intervistato/i - in cui le informazioni ottenute dall\'intervistatore sono state rilasciate dagli intervistati. Se l\'interazione di gruppo è parte della tecnica, utilizzare \"Focus group\".','Interview',NULL,0,NULL,4976,'Intervista','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',341),(7803,'Tecnica di raccolta dei dati in cui un intervistatore conduce un colloquio personale in presenza, facendo domande e registrando le risposte. Utilizzare questo termine più ampio se l\'intervista non è CAPI o PAPI, o se non si è in grado di stabilire se sia CAPI o PAPI.','Interview.FaceToFace','Interview',1,NULL,4977,'Intervista faccia a faccia','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',341),(7804,'Intervista somministrata via telefono. Utilizzare questo termine più generale se non è CATI, o se non si è in grado di stabilire se lo sia.','Interview.Telephone','Interview',4,NULL,4980,'Intervista telefonica','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',341),(7805,'Interviste condotte via e-mail, di solito costituite da diversi messaggi di posta elettronica che consentono alla discussione di continuare oltre la prima serie di domande e risposte, oppure dopo il primo scambio di e-mail.','Interview.Email','Interview',6,NULL,4982,'Intervista e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',341),(7806,'Un\'intervista condotta via Internet. Ad esempio, interviste condotte all\'interno di forum online o utilizzando la tecnologia audiovisiva basata sul web che consente all\'intervistatore e agli intervistati di comunicare in tempo reale.','Interview.WebBased','Interview',7,NULL,4983,'Intervista web','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',341),(7807,'Interviste personali assistite da computer (CAPI) o da cellulare (CAMI). Metodo di raccolta dei dati in cui l\'intervistatore legge le domande ai rispondenti dallo schermo di un computer, laptop o dispositivo mobile come un tablet o uno smartphone e inserisce le risposte nello stesso dispositivo. L\'intervista è gestita da un programma/applicazione appositamente progettata.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Intervista faccia a faccia: computer-assistita (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',341),(7808,'Interviste con carta e penna (PAPI). L\'intervistatore utilizza un tradizionale questionario cartaceo per leggere le domande e inserire le risposte.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Intervista faccia a faccia: carta e penna (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',341),(7809,'Intervista telefonica assistita da computer (CATI). L\'intervistatore pone le domande indicate dal computer, le risposte sono immesse direttamente nel computer e l\'intervista è gestita da un programma appositamente progettato.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Intervista telefonica: assistita da computer (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',341),(7810,'Tecnica di raccolta dei dati in cui il rispondente legge o ascolta le domande e inserisce autonomamente le risposte; nessun intervistatore è presente o partecipa alla somministrazione del questionario. Se possibile, utilizzare un termine più specifico. Utilizzare questo termine più ampio se il metodo non è descritto da nessuno dei termini più specifici, ad esempio per i questionari PDF o trasmessi via floppy disk.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Questionario auto-compilato','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',341),(7811,'Questionario auto-compilato in cui le domande vengono presentate all\'intervistato nel corpo del testo di un\'e-mail o come allegato a un\'e-mail, ma non come un collegamento a un questionario somministrato via web. Anche le risposte vengono rispedite via e-mail, nel corpo dell\'e-mail o come allegato.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Questionario auto-compilato: e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',341),(7812,'Questionario cartaceo tradizionale auto-compilato, consegnato e/o ritirato per posta (servizi postali), via fax o di persona dall\'intervistatore oppure dall\'intervistato.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Questionario auto-compilato: cartaceo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',341),(7813,'Questionario auto-compilato in cui gli intervistati ricevono le domande all\'interno di in SMS (messaggi di testo) o MMS (messaggi che includono contenuti multimediali) e inviano le loro risposte nello stesso formato.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Questionario auto-compilato: messaggistica (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',341),(7814,'Intervista web assistita da computer (CAWI). I dati vengono raccolti utilizzando un questionario via web, prodotto con un programma per la creazione di indagini via web. Il programma può personalizzare la struttura del questionario in base alle risposte fornite, e può consentire al questionario di contenere immagini, clip audio e video, collegamenti a pagine web diverse, ecc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Questionario auto-compilato: web (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',341),(7815,'Auto-compilazione del questionario assistita da computer (CASI). Gli intervistati inseriscono autonomamente le risposte in un computer (desktop, laptop, palmare, tablet, ecc.). La somministrazione del questionario è gestita da un programma/applicazione appositamente progettato, ma non esiste un trasferimento dati in tempo reale come nel CAWI poiché le risposte vengono memorizzate sul dispositivo utilizzato per l\'intervista. Il questionario può essere fisso o interattivo. I tipi di questionario possono essere: VCASI (video assistito), ACASI (audio assistito) e TACASI (assistito via telefono).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Questionario auto-compilato: computer-assistito (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',341),(7816,'Narrazioni, storie, diari e testi scritti creati dai soggetti coinvolti nella ricerca.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Scritti/diari auto-compilati','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',341),(7817,'Narrazioni, storie, diari e testi scritti inviati tramite e-mail.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Scritti/diari auto-compilati: e-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',341),(7818,'Narrazioni, storie, diari e testi scritti creati e raccolti in forma cartacea.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Scritti/diari auto-compilati: cartaceo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',341),(7819,'Narrazioni, storie, diari e testi scritti raccolti su Internet, ad esempio da siti web, blog, forum di discussione.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Scritti/diari auto-compilati: web','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',341),(7820,'En forudplanlagt kommunikation mellem to (eller flere) personer – interviewere(n) og de(n) interviewede - hvor intervieweren(ne) får information fra de(n) interviewede. Hvis gruppeinteraktion er en del af metoden, anvend ”Fokusgruppe”.','Interview',NULL,0,NULL,4976,'Interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',326),(7821,'Dataindsamlingsmetode, hvor en tilstedeværende interviewer foretager et personligt interview, stiller spørgsmål og noterer svar. Brug dette bredere begreb, hvis det ikke er CAPI eller PAPI, eller hvis det ikke vides, om det er CAPI eller PAPI.','Interview.FaceToFace','Interview',1,NULL,4977,'Personligt interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',326),(7822,'Interview gennemført over telefon. Brug dette bredere begreb, hvis det ikke er CATI, eller hvis det ikke vides, om det er CATI.','Interview.Telephone','Interview',4,NULL,4980,'Telefoninterview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',326),(7823,'Interviews gennemført via e-mail, som regel bestående af flere e-mail-beskeder, der tillader diskussionen at fortsætte efter det første sæt af spørgsmål og svar eller den første udveksling af e-mails.','Interview.Email','Interview',6,NULL,4982,'E-mail-interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',326),(7824,'Et interview gennemført via internettet. For eksempel interviews gennemført på online fora eller ved brug af webbaseret audiovisuel teknologi, der gør det muligt for interviewere(n) og de(n) interviewede at kommunikere i realtid.','Interview.WebBased','Interview',7,NULL,4983,'Webbaseret interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',326),(7825,'Computer-assisted personal interviewing (CAPI) eller computer-assisted mobile interviewing (CAMI). Dataindsamlingsmetode, hvor intervieweren læser spørgsmål op til respondenterne fra skærmen på en computer, bærbar eller en mobil enhed såsom tablet eller smartphone og indtaster svarene på den samme enhed. Administrationen af interviewet styres af et specifikt designet program/applikation.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Personligt interview: Computerassisteret (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',326),(7826,'Paper-and-pencil interviewing (PAPI). Intervieweren anvender et traditionelt spørgeskema på papir til at oplæse spørgsmålene og registrere svarene.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Personligt interview: Papir og pen (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',326),(7827,'Computer-assisted telephone interviewing (CATI). Intervieweren stiller spørgsmål ved hjælp af en computer, svarene indtastes direkte i computeren, og administrationen af interviewet styres af et specifikt designet program.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Telefoninterview: Computerassisteret (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',326),(7828,'Dataindsamlingsmetode, hvor respondenten læser eller hører spørgsmålene og selv indtaster svarene; ingen interviewer er til stede eller deltager i administrationen af spørgeskemaet. Hvis det er muligt, brug da et smallere begreb. Brug dette begreb, hvis metoden ikke er beskrevet af nogle af de smallere begreber - for eksempel til PDF- eller diskettespørgeskemaer.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Selvadministreret spørgeskema','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',326),(7829,'Selvadministreret spørgeskema, hvor spørgsmålene stilles til respondenten i en e-mails tekstfelt eller som en vedhæftning i en e-mail, men ikke som et link til et webbaseret spørgeskema. Svarene er også sendt tilbage via e-mail, enten som tekst eller som vedhæftet fil.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Selvadministreret spørgeskema: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',326),(7830,'Selvadministreret spørgeskema ved brug af et traditionelt spørgeskema på papir leveret og/eller indsamlet som post (posttjenester), på fax eller personligt enten af intervieweren eller respondenten.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Selvadministreret spørgeskema: Papir','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',326),(7831,'Selvadministreret spørgeskema, hvor respondenterne modtager spørgsmålene på SMS (tekstbeskeder) eller MMS (beskeder indeholdende multimedieindhold) og sender deres svar i samme format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Selvadministreret spørgeskema: Beskeder (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',326),(7832,'Computer-assisted web interviewing (CAWI). Data indsamles ved brug af et webspørgeskema, der er produceret af et program til at skabe webundersøgelser. Programmet kan tilpasse spørgeskemaets flow ud fra de givne svar og giver spørgeskemaet mulighed for at indeholde billeder, lyd og videoklip, links til forskellige hjemmesider mm.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Selvadministreret spørgeskema: Webbaseret (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',326),(7833,'Computer-assisted self-interview (CASI). Respondenter indtaster selv svarene på en computer (skrivebord, bærbar, Palm/PDA, tablet etc.) af dem selv. Administrationen af spørgeskemaet styres af et specifikt designet program/applikation, men der er ingen real-time dataoverførsel som i CAWI, svarene lagres på enheden, der anvendes til interviewet. Spørgeskemaet kan være i fast form eller interaktiv. Inkluderer VCASI (Video computer-assisted self-interviewing), ACASI (Audio computer-assisted self-interviewing) og TACASI (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Selvadministreret spørgeskema: Computerassisteret (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',326),(7834,'Fortællinger, historier, dagbøger og nedskrevne tekster skabt af forskningssubjektet.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Selvadministrerede tekster og/eller dagbøger','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',326),(7835,'Fortællinger, historier, dagbøger og nedskrevne tekster afleveret via e-mail-beskeder.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Selvadministrerede tekster og/eller dagbøger: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',326),(7836,'Fortællinger, historier, dagbøger og nedskrevne tekster skabt og indsamlet i papirform.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Selvadministrerede tekster og/eller dagbøger: Papir','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',326),(7837,'Fortællinger, historier, dagbøger og nedskrevne tekster indsamlet fra internetkilder, for eksempel hjemmesider, blogs og diskussionsfora.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Selvadministrerede tekster og/eller dagbøger: Webbaseret','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',326),(7838,'Ennalta suunniteltu, haastattelijan ja yhden tai useamman haastateltavan välinen keskustelu, jossa haastattelija saa tietoa tutkimustarkoituksiin. Käytä tarkempaa haastattelutermiä, mikäli mahdollista. Jos haastateltavia on enemmän kuin yksi ja ryhmän keskinäinen vuorovaikutus on tärkeää, käytetään termiä \'Kohderyhmäkeskustelu\'.','Interview',NULL,0,NULL,4976,'Haastattelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',328),(7839,'Kasvokkain tehty yksilö- tai ryhmähaastattelu, jossa haastattelija esittää kysymykset ja taltioi vastaukset. Käytetään silloin, kun haastattelija tallentaa saamansa tiedot haastattelumuistiinpanoilla, tai haastattelu äänitetään tai videoidaan (eli ei mene mihinkään kasvokkaisen haastattelun alaluokkaan).','Interview.FaceToFace','Interview',1,NULL,4977,'Kasvokkainen haastattelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',328),(7840,'Puhelimitse tehty haastattelu. Termiä voi käyttää sekä kvalitatiivisesta että kvantitatiivisesta haastattelusta.','Interview.Telephone','Interview',4,NULL,4980,'Puhelinhaastattelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',328),(7841,'Haastattelu tehdään sähköpostin välityksellä. Usein sisältää useita sähköpostiviestejä, jotka mahdollistavat keskustelun jatkumisen alussa esitettyjen kysymysten ja niihin saatujen vastausten jälkeen.','Interview.Email','Interview',6,NULL,4982,'Sähköpostihaastattelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',328),(7842,'Verkon välityksellä tehty haastattelu, esimerkiksi verkkokeskustelufoorumilla tai käyttäen teknologiaa, jonka avulla haastattelija ja haastateltava(t) voivat keskustella samanaikaisesti (chat, skype, videokonferenssit).','Interview.WebBased','Interview',7,NULL,4983,'Verkkohaastattelu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',328),(7843,'Computer-assisted personal interviewing (CAPI) tai Computer-assisted mobile interviewing (CAMI). Haastattelija lukee kysymykset kannettavalta tietokoneelta, kämmentietokoneelta, tabletista tai älypuhelimesta ja tallentaa haastateltavan vastaukset suoraan laitteeseen.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Kasvokkainen haastattelu: tietokoneavusteinen (CAPI tai CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',328),(7844,'Paper-and-pencil interviewing (PAPI). Paperilomaketta käyttäen tehty henkilökohtainen haastattelu. Haastattelija lukee kysymykset paperilomakkeelta ja kirjoittaa haastateltavan vastaukset lomakkeelle.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Kasvokkainen haastattelu: paperikyselylomake (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',328),(7845,'Computer-assisted telephone interviewing (CATI). Haastattelija lukee kysymykset tietokoneelta puhelimessa ja tallentaa haastateltavan vastaukset suoraan tietokoneelle.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Puhelinhaastattelu: tietokoneavusteinen (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',328),(7846,'Tutkimuksen osanottaja täyttää kysely- tai ilmoituslomakkeen itsenäisesti. Pääluokkaa käytetään, jos ei tiedetä missä muodossa lomake on saatu ja palautettu tai jos ei puhtaasti mikään suppeampi termi.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Itsetäytettävä lomake','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',328),(7847,'Osanottaja täyttää sähköpostin tekstiosiossa tai sähköpostin liitetiedostona tulleen kyselylomakkeen ja palauttaa sen sähköpostilla. Jos sähköpostissa on vain linkki verkkokyselylomakkeeseen, käytä termiä \'Itsetäytettävä lomake: verkkolomake\'.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Itsetäytettävä lomake: sähköpostilomake','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',328),(7848,'Osanottaja täyttää perinteisen paperisen kyselylomakkeen itse. Paperilomake voidaan lähettää tai palauttaa postissa, tai annetaan henkilökohtaisesti.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Itsetäytettävä lomake: paperinen lomake','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',328),(7849,'Osanottaja täyttää tekstiviestinä tai mobiililaitekyselynä välitetyn kyselylomakkeen itse ja palauttaa sen samalla teknologialla.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Itsetäytettävä lomake: tekstiviesti- tai mobiililaitelomake (SMS tai MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',328),(7850,'Osanottaja täyttää kysely- tai ilmoituslomakkeen verkossa itse (Computer-assisted web interviewing, CAWI). Lomake voi olla dynaaminen tai muuttumaton. Dynaamisessa lomakkeessa kysymysten järjestys sekä esitetyt kysymykset riippuvat edeltäviin kysymyksiin annetuista vastauksista. Lomake voi myös sisältää kuvia, video- tai äänitiedostoja, linkkejä toisiin verkkosivuihin jne.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Itsetäytettävä lomake: verkkolomake','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',328),(7851,'Tietokoneavusteinen itsetäytettävä kyselylomake, jossa vastaaja tallentaa itse vastauksensa tietokoneelle (pöytäkone, kannettava tietokone tai kämmentietokone). Tiedot eivät siirry verkon kautta vaan taltioituvat vain tietokoneelle. Lomake voi olla dynaaminen tai muuttumaton. Termi sisältää myös harvoin käytetyt VCASI:n (Video computer-assisted self-interviewing), ACASI:n (Audio computer-assisted self-interviewing) ja TACASI:n (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Itsetäytettävä lomake: tietokoneavusteinen (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',328),(7852,'Osanottajien itse kirjoittamat elämäkerrat, tarinat, päiväkirjat ja muut kirjoitukset.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Oma kirjoitus tai päiväkirja','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',328),(7853,'Osanottajien sähköpostin välityksellä annetut omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Oma kirjoitus tai päiväkirja: sähköpostilla saatu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',328),(7854,'Osanottajien paperimuotoiset omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Oma kirjoitus tai päiväkirja: paperimuotoinen kirjoitus','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',328),(7855,'Osanottajien verkossa kirjoitetut omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Oma kirjoitus tai päiväkirja: verkon kautta saatu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',328),(7856,'En forhåndsbestemt kommunikasjon mellom to (eller flere) personer – intervjueren(e) og intervjuobjekt(et/ene) – hvor intervjueren(e) henter informasjon fra intervjuobjekt(et/ene). Dersom gruppeinteraksjoner er del av metoden, bruk \'Fokusgruppe\'.','Interview',NULL,0,NULL,4976,'Intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',329),(7857,'Datainnsamlingsmetode hvor en tilstedeværende intervjuer gjennomfører et personlig intervju, presenterer spørsmål og registrerer svarene. Bruk dette bredere begrepet dersom det ikke er CATI eller PAPI, eller dersom det er uvisst om det er CATI/PAPI.','Interview.FaceToFace','Interview',1,NULL,4977,'Personlig intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',329),(7858,'Intervju som gjennomføres over telefon. Bruk dette bredere begrepet dersom det ikke er CATI, eller dersom det er uvisst om det er CATI.','Interview.Telephone','Interview',4,NULL,4980,'Telefonintervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',329),(7859,'Intervjuer gjennomført over e-post, vanligvis bestående av en rekke e-poster som gjør at diskusjonen kan fortsette utover de første settene med spørsmål og svar, eller den første e-postutvekslingen.','Interview.Email','Interview',6,NULL,4982,'E-post intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',329),(7860,'Intervju gjennomført over internett. For eksempel, intervjuer gjennomført på internettforum eller ved bruk av internettbasert audiovisuell teknologi som muliggjør fortløpende kommunikasjon mellom intervjuer(e) og Intervjuobjekt(er).','Interview.WebBased','Interview',7,NULL,4983,'Webbasert intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',329),(7861,'Dataassistert personlig intervjuing (CAPI). Datainnsamlingsmetode hvor intervjueren leser opp spørsmål for respondenten fra skjermen til en datamaskin, bærbar datamaskin, smarttelefon eller nettbrett, og registrerer svarene på det samme apparatet. Administreringen av intervjuet er styrt av et spesialdesignet program eller en applikasjon.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Personlig intervju: CAPI/CAMI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',329),(7862,'Penn og papir intervju. Intervjueren bruker et tradisjonelt papirspørreskjema for å lese opp spørsmålene og til å registrere svarene.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Personlig intervju: PAPI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',329),(7863,'Dataassistert telefonintervju. Intervjueren stiller spørsmål ifølge instrukser fra en datamaskin, registrerer svarene direkte på datamaskinen og administreringen av intervjuet er styrt av et spesialdesignet dataprogram.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Telefonintervju: CATI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',329),(7864,'Datainnsamlingsmetode hvor respondenten leser eller lytter til spørsmålene, og registrerer svarene på egenhånd; ingen intervjuer er til stede, eller deltar i administreringen av spørreskjemaet. Bruk et smalere begrep dersom det er mulig. Bruk dette bredere begrepet dersom ingen av de smalere begrepene passer.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Selvadministrerende spørreskjema','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',329),(7865,'Undersøkelse hvor spørsmål blir presentert til respondenten som tekst i en e-post eller som et vedlegg i en e-post, men ikke som lenke til et web-basert spørreskjema. Svarene sendes også tilbake med e-post, enten som tekst i e-posten eller som et vedlegg.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Selvadministrerende spørreskjema: E-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',329),(7866,'Selvadministrert spørreskjema som bruker tradisjonelle spørsmålsformuleringer på papir, som blir levert og/eller samlet inn via post, faks, eller personlig av intervjueren eller respondenten.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Selvadministrerende spørreskjema: Papir','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',329),(7867,'Selvadministrert spørreskjema hvor respondenten mottar spørsmål på SMS (tekstmeldinger) eller MMS (meldinger med multimedia innhold) og sender svarene i samme format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Selvadministrerende spørreskjema: SMS/MMS','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',329),(7868,'Datamaskinaassistert webintervju (CAWI). Data samles ved hjelp av spørreskjema på nett, som er produsert av et program for internettundersøkelser. Programmet kan endre flyten av spørsmål basert på svarene som blir gitt, og det muliggjør inkludering av bilde, lyd og video, lenker til andre nettsider etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Selvadministrerende spørreskjema: Webbasert','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',329),(7869,'Datamaskinassistert selvadministrert intervju (CASI). Respondentene registrerer svarene på en datamaskin, bærbar datamaskin, digital personlig assistent, nettbrett etc.) på egenhånd. Administreringen av spørreskjemaet er styrt av et spesialdesignet program eller en applikasjon men det er ingen fortløpende datautveksling slik som i CAWI, svarene blir lagret på apparatet som brukes for å gjennomføre intervjuet. Spørreskjemaet kan enten være fastsatt eller interaktivt.Omfatter VCASI (video computer-assisted self-interview), ACASI (audio computer-assisted self-interview) og TCASI (telephone audio computer-assisted self-interview).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Selvadministrerende spørreskjema: Datamaskinassistert (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',329),(7870,'Fortellinger, historier, dagbøker og tekster skrevet av studieobjektene.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Selvadministrerende tekst og/eller dagbok','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',329),(7871,'Fortellinger, historier, dagbøker og tekster som har blitt samlet inn via e-post.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Selvadministrerende tekst og/eller dagbok: E-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',329),(7872,'Fortellinger, historier, dagbøker og tekster skrevet og samlet i papirformat.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Selvadministrerende tekst og/eller dagbok: Papir','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',329),(7873,'Fortellinger, historier, dagbøker og tekster samlet fra internett, e.g. nettsider, blogger, diskusjonsforumer.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Selvadministrerende tekst og/eller dagbok: Webbasert','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',329),(7874,'Vnaprej načrtovana komunikacija med dvema (ali več) osebami - spraševalcem(-ci) in spraševancem(-ci) -, kjer spraševalec(-ci) pridobi(jo) informacije s strani spraševanca(-cev). Če je v metodo vključena skupinska interakcija, uporabite izraz \"fokusna skupina\".','Interview',NULL,0,NULL,4976,'Intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',330),(7875,'Metoda zbiranja podatkov, kjer spraševalec izvede osebni intervju, postavlja vprašanja in vnese odgovore. Uporabite ta širši izraz, če ne morete uporabiti CAPI ali PAPI ozioma ni znano, ali gre za CAPI/PAPI.','Interview.FaceToFace','Interview',1,NULL,4977,'Osebni intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',330),(7876,'Intervju, izveden preko telefona. Uporabite ta širši izraz, če ni CATI, oziroma ne veste, ali je CATI ali ne.','Interview.Telephone','Interview',4,NULL,4980,'Telefonski intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',330),(7877,'Intervju, izveden preko elektronske pošte. Običajno ga sestavlja več elektronskih sporočil, ki omogočajo, da se pogovor nadaljuje tudi po prvem nizu vprašanj in odgovorov, ali po prvi izmenjavi elektronskih sporočil.','Interview.Email','Interview',6,NULL,4982,'Intervju preko elektronske pošte','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',330),(7878,'Intervju preko spleta. Na primer, intervjuji izvedeni znotraj spletnih forumov ali z uporabo spletno osnovanih avdio-vizualnih tehnologij, ki omogočajo komunikacijo spraševalca(-cev) in spraševanca(-cev) v realnem času.','Interview.WebBased','Interview',7,NULL,4983,'Spletni intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',330),(7879,'Računalniško podprto osebno intervjuvanje (CAPI). Metoda zbiranja podatkov, kjer spraševalec prebere vprašanja spraševancu z zaslona na računalniku, prenosnem računalniku ali mobilni napravi, kot na primer na tablici ali pametnemu telefonu, in vnese odgovore v isto napravo. Intervju izvedemo s pomočjo posebej zasnovanega programa/ aplikacije.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Osebni intervju: CAPI/CAMI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',330),(7880,'\"Intervjuvanje s papirjem in svinčnikom\". Spraševalec uporabi tradicionalni papirnati vprašalnik, s katerega prebere vprašanja in vnese odgovore.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Osebni intervju: PAPI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',330),(7881,'Računalniško podprto telefonsko intervjuvanje. Spraševanec postavlja vprašanja, ki jih ponuja računalnik, odgovori se vnašajo neposredno v računalnik in intervju upravlja posebej za to zasnovan program.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Telefonski intervju: CATI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',330),(7882,'Metoda zbiranja podatkov, pri kateri spraševanec bere ali posluša vprašanja in sam vnaša odgovore; spraševalec ni prisoten niti ne sodeluje pri upravljanju vprašalnika. Če je možno, uporabite ožji izraz. Ta širši izraz uporabite le, če metoda ni opisana z nobenem od ožjih izrazov, npr. za PDF ali vprašalnike na disketi.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Vprašalnik za samoizpolnjevanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',330),(7883,'Vprašalnik za samoizpolnjevanje, kjer so spraševancu vprašanja prikazana bodisi kot besedilo v telesu elektronskega sporočila bodisi v priponki, vendar ne kot povezava do spletnega vprašalnika. Prav tako so tudi odgovori poslani preko elektronskega sporočila, bodisi v telesu elektronskega sporočila, bodisi kot priponka.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Vprašalnik za samoizpolnjevanje: elektronska pošta','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',330),(7884,'Vprašalnik za samoizpolnjevanje z uporabo tradicionalnega papirnatega vprašalnika poslanega in/ali prejetega preko tradicionalne poštne storitve, preko faksa ali osebno preko spraševalca ali spraševanca.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Vprašalnik za samoizpolnjevanje: papirnati','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',330),(7885,'Vprašalnik za samoizpolnjevanje, kjer spraševanec prejme vprašanja, vključena v kratkih sporočilih v formatu SMS (tekstovna sporočila) ali MMS (multimedijska sporočila) in odgovore pošlje v enakem formatu.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Vprašalnik za samoizpolnjevanje: SMS/MMS','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',330),(7886,'Računalniško podprto spletno intervjuvanje. Podatki so zbrani z uporabo spletnega vprašalnika, ustvarjenega v programskem orodju za spletno anketiranje. Program lahko tok vprašalnika prilagodi odgovorom na prejšnja vprašanja, omogoča lahko vstavljanje slik ter avdio in video posnetkov, povezave do spletnih strani itd.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Vprašalnik za samoizpolnjevanje: spletni','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',330),(7887,'Računalniško podprto samoizpolnjevanje (CASI). Spraševanec sam vstavlja odgovore v računalnik (namizni, prenosni, dlančni/PDA, tablični itd.). Z vprašalnikom upravlja posebej zasnovani program/aplikacija, vendar pri tem ni prenosa v realnem času kot pri CAWI, vprašanja se shranjujejo na napravi, ki se uporablja za intervju. Vprašalnik je lahko v fiksni obliki ali interaktiven. Vključuje tudi VCASI (video računalniško podprto samoizpolnjevanje), ACASI (avdio računalniško podprto samoizpolnjevanje) in TACASI (telefonsko avdio računalniško podprto samoizpolnjevanje).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Vprašalnik za samoizpolnjevanje: računalniško podprti (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',330),(7888,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki jih ustvari subjekt raziskave.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Samoizpolnjevanje zapisov in/ali dnevnikov','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',330),(7889,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so posredovana preko elektronskih poštnih sporočil.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Samoizpolnjevanje zapisov in/ali dnevnikov: elektronska pošta','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',330),(7890,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so ustvarjena in zbrana na papirju.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Samoizpolnjevanje zapisov in/ali dnevnikov: papir','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',330),(7891,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so zbrana preko internetnih virov, npr. spletne strani, blogi, forumi.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Samoizpolnjevanje zapisov in/ali dnevnikov: spletno','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',330),(7892,'Planerad kommunikation mellan två (eller flera) personer – intervjuaren/-na och intervjuobjektet/-en – där intervjuaren/-na får information från intervjuobjektet/-en. Om gruppinteraktion är del av metoden, använd \"Fokusgrupp\".','Interview',NULL,0,NULL,4976,'Intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',331),(7893,'En närvarande intervjuare genomför en personlig intervju genom att ställa frågor och notera svaren. Använd denna bredare term om det inte rör sig om CAPI eller PAPI, eller om det inte är känt huruvida det rör sig om CAPI/PAPI eller inte.','Interview.FaceToFace','Interview',1,NULL,4977,'Personlig intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',331),(7894,'Intervju som genomförs över telefon. Använd denna bredare term om det inte rör sig om CATI, eller om det inte är känt huruvida det rör sig om CATI.','Interview.Telephone','Interview',4,NULL,4980,'Telefonintervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',331),(7895,'Intervju som genomförs via e-post, vanligtvis över flera meddelanden som möjliggör att diskussionen fortsätter från den första uppsättningen av frågor och svar eller det första utbytet av e-brev.','Interview.Email','Interview',6,NULL,4982,'E-postintervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',331),(7896,'Intervju som genomförs över Internet. Exempel inkluderar intervjuer genomförda på onlineforum eller med hjälp av webbaserad audiovisuell teknik som tillåter att intervjuare och intervjuobjekt kan kommunicera i realtid.','Interview.WebBased','Interview',7,NULL,4983,'Webbaserad intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',331),(7897,'Datorstödd personlig intervju. Intervjuaren läser frågor för respondenterna från en datorskärm eller mobil enhet (t.ex. surfplatta eller mobiltelefon) och skriver in svaren direkt i datorn. Intervjun hanteras med ett program som utvecklats för detta syfte.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Personlig intervju: CAPI/CAMI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',331),(7898,'Papper-och-penna-intervju. Intervjuaren använder ett traditionellt frågeformulär på papper för att läsa frågorna och skriva ned svaren.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Personlig intervju: PAPI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',331),(7899,'Datorstödd telefonintervju. Intervjuaren läser frågor för respondenterna från en datorskärm och skriver in svaren direkt i datorn. Intervjun hanteras genom ett program som utvecklats för detta syfte.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Telefonintervju: CATI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',331),(7900,'Respondenten läser eller lyssnar på frågorna och noterar själv svaren; ingen intervjuare är närvarande eller deltar i administrerandet av frågeformuläret. Använd om möjligt en smalare term. Använd denna bredare term om metoden inte beskrivits av någon av de mer precisa termerna.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Självadministrerat frågeformulär','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',331),(7901,'Frågor skickas till respondenten i brödtexten på, eller som en bilaga till, ett e-brev, inte som en länk till ett frågeformulär på webben. Svaren skickas tillbaka med e-post, i brödtexten eller som bilaga.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Självadministrerat frågeformulär: e-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',331),(7902,'Självadministrerad surveyundersökning som använder traditionella frågeformulär på papper, vilka skickas ut och/eller in via post eller fax, eller lämnas över personligen av antingen intervjuaren eller intervjuobjektet.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Självadministrerat frågeformulär: papper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',331),(7903,'Självadministrerad surveyundersökning där frågor och svar inkluderas i SMS (textmeddelanden) eller MMS (meddelanden med multimedia-innehåll) som skickas mellan mobiltelefoner.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Självadministrerat frågeformulär: SMS/MMS','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',331),(7904,'Computer-assisted web interviewing (CAWI). Data samlas in med ett webbformulär som producerats av ett program som skapar webbsurveyer. Programmet kan anpassa flödet i frågeformuläret utifrån svaren som ges och det går att inkludera bilder, ljud- och videoklipp, länkar till andra webbsidor m.m. (Anpassad från Wikipedia.)','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Självadministrerat frågeformulär: webbaserat','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',331),(7905,'Computer-assisted self-interview (CASI). Respondenterna noterar själva sina svar i en dator (stationär eller bärbar, Palm/PDA, surfplatta e. dyl.). Frågeformuläret administreras med ett datorprogram som utvecklats för detta syfte men data överförs inte i realtid som i fallet med CAWI: svaren lagras på datorn som används för intervjun. Frågeformuläret kan vara statiskt eller interaktivt. Omfattar VCASI (Video Computer-Assisted Self-Interview), ACASI (Audio computer-assisted self-interview) och TCASI (Telephone audio computer-assisted self-interview).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Självadministrerat frågeformulär: med datorstöd (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',331),(7906,'Narrativ, berättelser, dagböcker och andra nedskrivna texter skapade av forskningspersonerna.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Självadministrerad text och/eller dagböcker','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',331),(7907,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som skickas in via e-post.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Självadministrerad text och/eller dagböcker: e-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',331),(7908,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som skapats och samlats in på papper.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Självadministrerad text och/eller dagböcker: papper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',331),(7909,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som samlats in från Internet-källor, t.ex. webbplatser, bloggar, diskussionsforum.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Självadministrerad text och/eller dagböcker: webbaserat','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',331),(7910,'Alle enheder (individer, husholdninger, organisationer mm.) af en målpopulation er inkluderet i dataindsamlingen. Eksempel: Hvis målpopulationen er defineret som medlemmerne af en fagforening, så er alle medlemmerne inviteret til at deltage i undersøgelsen. Kaldes også for \"folketælling\", hvis hele populationen af en regional enhed (f.eks. et land) er udvalgt.','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Totalt univers/Total opgørelse','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',257),(7911,'Målpopulationen er opdelt i separate og gensidigt udelukkende segmenter i henhold til nogle forhåndsdefinerede kvotekriterier. Fordelingen af kvotekriterierne (køn/alder/etnicitetsforhold eller andre karakteristika som religion, uddannelse etc.) skal afspejle den reelle struktur for målgruppepopulationen eller den ønskede undersøgelsespopulations struktur. Ikke-sandsynlighedsbaserede stikprøver udtrækkes derefter fra hvert segment, indtil et specifikt antal af enheder er nået. For eksempel, hvis målgruppepopulationen består af 45 procent kvinder og 55 procent mænd, vil en proportional kvotestikprøve have samme kønsprocenter, mens procenterne i en ikke-proportional kvotestikprøve vil være anderledes, baseret på en undersøgelsesrelateret overvejelse (for eksempel behov for at oversample for bestemte underrepræsenterede segmenter i befolkningen).','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Ikke-sandsynlighed: Kvoter','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',257),(7912,'Kaikki perusjoukon yksiköt (henkilöt, kotitaloudet, organisaatio jne) valitaan mukaan. Mitään otantaa ei tehdä. Esimerkiksi jos perusjoukko on tietyn ammattiliiton jäsenet, kaikki liiton jäsenet saavat kutsun osallistua tutkimukseen.','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Kokonaisaineisto','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',252),(7913,'Perusjoukko jaetaan erillisiin ja toisensa poissulkeviin ositteisiin jonkin etukäteen määritellyn kriteerin mukaan (esim. sukupuoli, ikä, etninen ryhmä, uskonto, koulutus). Yksiköiden suhteellinen osuus kussakin ositteessa määräytyy todellisen perusjoukon mukaan tai heijastaa haluttua perusjoukkoa. Sitten poimitaan yksiköitä ei-todennäköisyysmenetelmillä kunnes yksiköiden etukäteen määrätty määrä kussakin ositteessa täyttyy. Esimerkiksi, jos perusjoukossa on 89 prosenttia suomenkielisiä, 5 prosenttia ruotsinkielisiä ja 6 prosenttia muunkielisiä, suhteutetussa kiintiöpoiminnassa kieliryhmien prosenttiosuudet pysyvät otoksessa samana kuin perusjoukossa. Suhteuttamattomassa kiintiöpoiminnassa kieliryhmien prosenttiosuudet ovat erilaiset ja riippuvat tutkimuksen tarpeista, esimerkiksi tarpeesta tehdä yliotos ruotsin- ja muunkielisistä.','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Ei-todennäköisyysotanta: kiintiöpoiminta','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',252),(7914,'Tutte le unità (individui, famiglie, organizzazioni, ecc.) della popolazione di riferimento sono incluse nella raccolta dei dati. Ad esempio, se la popolazione di riferimento è definita come l\'insieme dei membri di un sindacato, tutti i membri del sindacato sono invitati a partecipare allo studio. È anche chiamato \"censimento\" se viene selezionata l\'intera popolazione di un\'unità regionale (ad esempio un paese).','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Intero universo','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',332),(7915,'La popolazione di riferimento è suddivisa in segmenti separati e mutuamente esclusivi secondo qualche criterio per quote predefinito. La distribuzione dei criteri di quotazione (genere/età/etnia o altre caratteristiche, come religione, istruzione, ecc.) riflette la reale struttura della popolazione di riferimento o la struttura della popolazione che si intende studiare. I campioni non probabilistici vengono quindi estratti da ciascun segmento fino a raggiungere un numero specifico di unità. Ad esempio, se la popolazione di riferimento è composta per il 45% da femmine e per il 55% da maschi, un campione per quota proporzionale avrà le stesse percentuali di genere, mentre in un campione per quota non proporzionale le percentuali saranno diverse, sulla base di specifiche considerazioni legate allo studio (ad esempio, la necessità di sovracampionare alcuni segmenti sottorappresentati della popolazione).','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Non probabilistico: per quota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',332),(7916,'Alla element (individer, hushåll, organisationer m.m.) i målpopulationen inkluderas i datainsamlingen. Exempel: om målpopulationen definieras som medlemmarna i ett fackförbund så bjuds samtliga medlemmar in till att delta i studien. Kallas även \"folkräkning\", om det rör sig om den totala populationen i en regional enhet (t.ex. ett land).','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Hela populationen/total räkning','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',254),(7917,'Målpopulationen är uppdelad i flera separata segment som utesluter varandra enligt fördefinierade kvoteringskriterier. Fördelningen av kvoteringskriterierna (kön/ålder/etnicitet-förhållande eller andra egenskaper, som religion, utbildning m.m.) avser att spegla strukturen i den önskade målpopulationen för studien. Icke-sannolikhetsurval görs sedan från varje segment tills ett förutbestämt antal enheter har inkluderats. Exempel: om målpopulationen består av 45 % kvinnor och 55 % män så har ett proportionerligt kvoturval samma könsfördelning men ett icke-proportionerligt kvoturval har en annan kvot baserad på någon för studien relevant faktor (t.ex. behovet att överinkludera vissa underrepresenterade segment av populationen).','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Icke-sannolikhetsurval: kvoturval','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',254),(7918,'Vse enote (posamezniki, gospodinjstva, organizacije itd.) ciljne populacije so vključene v zbiranje podatkov. Na primer, če je ciljna populacija opredeljena kot člani sindikata, so vsi člani sindikata vabljeni k sodelovanju v raziskavi. Imenujemo tudi \"popis\", če je vključeno celotno prebivalstvo določene regionalne enote (npr. države).','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Zajeta celotna populacija','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',255),(7919,'Ciljna populacija je razdeljena na ločene in medsebojno izključujoče se odseke v skladu z nekaterimi vnaprej določenimi merili za izračune. Porazdelitev meril za izračune (razmerje med spoloma/starostjo/etnično pripadnostjo ali drugimi značilnostmi, kot so vera, izobraževanje itd.) naj bi odražala resnično strukturo ciljne populacije ali strukturo želene preučevane populacije. Iz vsakega odseka se nato vzamejo neverjetnostni vzorci, dokler ni doseženo določeno število enot. Na primer, če ciljno populacijo sestavlja 45 odstotkov žensk in 55 odstotkov moških, bo v proporcionalni kvotni vzorec vključen enak odstotek udeležencev glede na spol, medtem ko so v neproporcionalni kvotni vzorec vključeni različni odstotki, ki izhajajo iz razmislekov v povezavi z raziskavo (na primer, nadvzorčenje nekaterih manj zastopanih delov populacije). ','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Neverjetnostno: kvotno','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',255),(7920,'Dataa on kerätty toistuvasti populaatiossa tapahtuvan muutoksen tutkimiseksi. Ainakin osa kysymyksistä tai moduuleista on toistettu eri keruuaalloissa, mikä mahdollistaa ajallisen vertailun. Ylätermi, jota käytetään mikäli aineistoa ei pysty luokittelemaan mihinkään pitkittäistutkimuksen alaluokkaan.','Longitudinal',NULL,0,NULL,5329,'Pitkittäisaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',336),(7921,'Dataa kerätään toistuvasti henkilöistä, joita yhdistää jokin tekijä tai kokemus. Voi myös olla eri otos eri vuosina mutta samasta kohortista. Ainakin osa kysymyksistä tai moduuleista on toistettu eri keruuaalloissa. Havaintoyksiköitä yhdistäviä tekijöitä voivat olla: syntymävuosi, sairaus, aloitusvuosi samassa koulutuspaikassa, työ, perhemuoto, osanotto johonkin tapahtumaan.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Pitkittäisaineisto: kohortti/tapahtuma-aineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',336),(7922,'Dataa on kerätty toistuvasti samasta populaatiosta mutta ei samalta vastaajajoukolta, käyttäen ainakin osittain samoja kysymyksiä/muuttujia. Johtopäätökset koskevat populaatiota. Esimerkiksi: asennetutkimukset, kansalliset toistetut rikosuhritutkimukset.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Pitkittäisaineisto: trendi/toistuva poikkileikkausaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',336),(7923,'Dataa on kerätty useamman kerran samoilta vastaajilta samoista aihealueista pidemmän aikavälin (vuosien) kuluessa, mikä mahdollistaa ajallisen vertailun. Poikkeaa kohortti/tapahtuma-aineistosta siten, että vastaajajoukkoa ei yhdistä mikään tietty tekijä tai kokemus.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Pitkittäisaineisto: paneeliaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',336),(7924,'Paneeliaineisto kerätään säännöllisin väliajoin.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Pitkittäisaineisto: jatkuva paneeliaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',336),(7925,'Paneeliaineisto kerätään vain silloin, kun tietoa tarvitaan.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Pitkittäisaineisto: ajoittainen paneeliaineisto','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',336),(7926,'Käytä mikäli aineiston aikaulottuvuustyyppi on tiedossa, mutta ei sanastossa.','Other',NULL,11,NULL,5340,'Muu aikaulottuvuus','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',336),(7927,'Dati raccolti ripetutamente nel tempo per consentire lo studio dei mutamenti della popolazione. E\' necessario che almeno parte delle domande o interi moduli siano ripetuti nelle diverse ondate. Utilizzare il termine generico quando nessuno dei sotto-termini è adatto.','Longitudinal',NULL,0,NULL,5329,'Longitudinale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',337),(7928,'Dati raccolti nel tempo sulla stessa coorte di intervistati. Gli individui della coorte sono in qualche modo connessi o hanno condiviso alcune esperienze significative in un determinato periodo. In alcuni casi, i campioni possono differire tra le ondate ma sono tratti dalla stessa coorte. Esempi: anno di nascita, malattia (studi clinici), problema condiviso (studi di intervento), istruzione, occupazione, formazione della famiglia, partecipazione a un evento.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinale: Basata su coorte/evento','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',337),(7929,'Dati raccolti su diversi campioni o gruppi diversi di persone della stessa popolazione in momenti differenti, utilizzando almeno in parte lo stesso insieme di domande/variabili. I risultati sono generalizzabili alla popolazione. Esempi: European Social Survey (ESS), studi longitudinali nazionali sulla criminalità.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinale: Trend/trasversale ripetuta','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',337),(7930,'Dati raccolti sullo stesso gruppo di intervistati su base regolare. Differisce dai dati basati su coorte/evento in quanto la selezione dei soggetti non si basa sul fatto di essere in qualche modo connessi tra loro o di aver condiviso esperienze significative.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinale: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',337),(7931,'Dati raccolti sullo stesso panel su base regolare.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinale: Panel continuo','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',337),(7932,'Dati raccolti sullo stesso panel esclusivamente quando l\'informazione è necessaria','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinale: Panel a intervalli','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',337),(7933,'Utilizzare se la dimensione temporale è conosciuta, ma non è presente nell\'elenco.','Other',NULL,11,NULL,5340,'Altro','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',337),(7934,'Data samlet inn gjentatte ganger over tid slik at man kan studere forandringer i populasjonen. En del av spørsmålene eller modulene blir gjentatt i runder. Benytt det bredere begrepet når ingen av underbegrepene passer.','Longitudinal',NULL,0,NULL,5329,'Longitudinell','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',338),(7935,'Data samlet inn over tid fra samme kohort av respondenter. Individene i kohorten kan assosiseres med hverandre eller har delt noen viktige erfaringer i løpet av en gitt periode. I noen tilfeller kan utvalget variere mellom rundene, selv om det er samme kohort. For eksempel fødselsår, sykdom (kliniske studier), felles problemer (intervensjonsstudie), utdanning, arbeid, familieformasjon, deltakelse i en begivenhet.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinell: Kohort/hendelsesbasert','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',338),(7936,'Data samlet fra ulike utvalg eller ulike grupper av mennesker fra samme populasjon ved flere ulike tidspunkt, hvor det som minimum brukes delvis det samme sett med spørsmål/variabler. Konklusjoner tas om populasjonen. Eksempel: European Social Survey (ESS), nasjonale longitudinelle studier om kriminalitet.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinell: Trend/gjentagende tverrsnittstudie','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',338),(7937,'Data samlet over tid fra, eller om, samme utvalg av respondenter. Skiller seg fra kohort/hendelsesbaserte data gjennom at respondentene ikke er assosiert med hverandre, eller deler spesifikke erfaringer.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinell: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',338),(7938,'Data samlet inn fra et panel med respondenter regelmessig.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinell: Panel: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',338),(7939,'Data samlet inn fra et panel med respondenter når det er behov for informasjon.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinal: Panel: Intervall','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',338),(7940,'Bruk hvis metoden for undersøkelsen er kjent, men ikke finnes i listen.','Other',NULL,11,NULL,5340,'Annet','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',338),(7941,'Podatki, ki jih s ponovitvami zbiramo v času, z namenom preučevanja sprememb v populaciji. Vsaj nekaj vprašanj ali modulov se ponovi v vsakemu krogu zbiranja podatkov. Uporabite širši izraz, če noben od pod-izrazov ne ustreza.','Longitudinal',NULL,0,NULL,5329,'Longitudinalno','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',339),(7942,'Podatki, zbrani v času iz iste kohorte anketirancev. Posamezniki v kohorti so na nek način povezani ali so si v danem obdobju delili neko pomembno izkušnjo. V določenih primerih se lahko vzorci med valovi zbiranja podatkov razlikujejo, vendar so vzeti iz iste kohorte. Primeri: leto rojstva, bolezen (klinična preskušanja), pogosta težava (raziskave intervencij), izobraževanje, zaposlitev, oblikovanje družine, sodelovanje pri dogodku.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinalno: kohorte/na podlagi dogodkov','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',339),(7943,'Podatki, zbrani iz različnih vzorcev ali različnih skupin ljudi iz iste populacije v več časovnih točkah, pri čemer vsaj delno uporabljamo isti sklop vprašanj/ spremenljivk. Na podlagi zbranih podatkov sklepamo o značilnostih populacije. Primeri: evropska družboslovna raziskava (ESS), nacionalne longitudinalne ankete o pojavnosti kriminala.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinalno: trendi/ ponovljene presečne','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',339),(7944,'Podatki, zbrani v času iz enakega (oziroma približno enakega) vzorca anketirancev. Razlikuje se od podatkov, ki izhajajo iz kohort/ dogodkov, saj izbira anketirancev ne temelji na njihovi skupni povezavi ali povezavi na podlagi pomembnih izkušenj, ki si jih delijo.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinalno: panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',339),(7945,'Podatki, redno zbirani na podlagi panela anketirancev.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinalno: panel: kontinuirani','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',339),(7946,'Podatki, zbrani na podlagi panela anketirancev, samo ko potrebujemo določene informacije.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinalno: panel: intervalni','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',339),(7947,'Uporabite, če je časovna metoda znana, a je ne najdete na seznamu.','Other',NULL,11,NULL,5340,'Drugo','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',339),(7948,'Data samlas in upprepade gånger över tid så att det går att studera förändringar i populationen. Åtminstone en del frågor eller moduler upprepas i vågor. Använd den bredare termen när ingen av de mer precisa termerna passar.','Longitudinal',NULL,0,NULL,5329,'Longitudinell','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',340),(7949,'Data samlas in över tid från samma kohort med respondenter. Individerna i kohorten har någon koppling till varandra eller har delat någon viktig upplevelse under en viss tidsperiod. I vissa fall kan urvalen skilja sig mellan vågor men tas från samma kohort. Exempel: födelseår, sjukdom (kliniska studier), gemensamt problem (interventionsstudie), utbildning, anställning, familjekonstellation, deltagande i en händelse.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinell: Kohort/Händelsebaserad','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',340),(7950,'Data samlas in från olika urval eller olika grupper av människor från samma population vid flera olika tillfällen, med åtminstone delvis samma uppsättning frågor/variabler. Slutsatser dras om populationen. Exempel: European Social Survey (ESS), nationella longitudinella brottslighetssurveyer.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinell: Trend/Upprepat tvärsnitt','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',340),(7951,'Data samlas in över tid från, eller om, samma urval av respondenter. Skiljer sig från kohort-/händelsebaserade data genom att urvalet av respondenter inte utgår från att de skulle ha någon koppling till varandra eller ha delat en viktig upplevelse.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinell: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',340),(7952,'Data samlas in från en panel med respondenter på regelbunden basis.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinell: Panel: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',340),(7953,'Data samlas in från en panel med respondenter endast när informationen behövs.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinell: Panel: Intervall','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',340),(7954,'Använd om metod för undersökning över tid är känd men saknas i listan.','Other',NULL,11,NULL,5340,'Övrig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',340),(7955,'Data indsamlet gentagne gange over tid for at muliggøre undersøgelse af ændringer i en population. Mindst nogle af spørgsmålene eller modulerne er gentaget i bølger. Anvend det brede begreb, når ingen af underbegreberne er egnede.','Longitudinal',NULL,0,NULL,5329,'Longitudinal','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',334),(7956,'Data indsamlet over tid fra den samme kohorte af respondenter. Individerne i kohorten er forbundet på en eller anden måde eller har delt en betydelig hændelse inden for en given periode. I nogle tilfælde kan stikprøverne adskille sig mellem bølgerne, men er udtrukket fra den samme kohorte. Eksempler: fødselsår, sygdom (kliniske forsøg), fællesproblem (interventionsundersøgelser), uddannelse, beskæftigelse, familiedannelse, deltagelse i en begivenhed.  ','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinal: Kohorte/Begivenhedsbaseret','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',334),(7957,'Data indsamlet fra forskellige stikprøver eller forskellige grupper af personer fra den samme population på flere tidspunkter, hvor der som minimum bruges delvist det samme sæt af spørgsmål/variable. Der drages konklusioner for populationen. Eksempler: European Social Survey (ESS), nationale longitudinale kriminalitetsundersøgelser.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinal: Trend/Gentagne tværsnit','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',334),(7958,'Data indsamlet over tid fra, eller om, den samme stikprøve af respondenter. Adskiller sig fra kohorte/begivenhedsbaserede data ved, at udvælgelsen af respondenter ikke baseres på, at de er forbundet på nogen måde eller har delt en betydelig oplevelse.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinal: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',334),(7959,'Data indsamlet fra et panel af respondenter på regelmæssig basis.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinal: Panel: Kontinuerlig','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',334),(7960,'Data indsamlet fra et panel af respondenter, kun når information er nødvendig. ','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinal: Panel: Interval','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',334),(7961,'Anvend, hvis tidsmetoden er kendt, men ikke findes på listen.','Other',NULL,11,NULL,5340,'Andet','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',334),(7962,'Surveys of an entire population, as opposed to a sample survey. Often used for official enumerations of a population, usually including the collection of related demographic information. Note that in some countries censuses are not used as demographic information can be obtained from official registers.','Demography.Censuses','Demography',1,NULL,NULL,'Censuses','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0',358),(7963,'Data on economic policy, including budget and fiscal policy, public expenditure and public revenue.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,NULL,'Economic policy,  public expenditure and revenue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0',358),(7964,'Use for studies about the accumulation of personal assets, including income, property, investments and savings.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,NULL,'Income, property and investment/saving','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0',358),(7966,'Issues relating to national, regional and local government, governing bodies (e.g. the Government, Parliament, local government bodies), public administration, other political organisations such as political parties. For example, data on government policies, political parties and their policies, political party leaders, trust in government bodies. Please note that you may need to use a topical term as well.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,NULL,'Government, political systems and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0',358),(7967,'Ryhmäkeskusteluun annetut ohjeet. Tutkimusasetelmasta riippuen saattavat olla enemmän tai vähemmän strukturoituja, vaihdellen väljästi muotoilluista keskusteluteemoista tarkasti muotoiltuihin kysymyksiin. Esimerkkejä: Lista keskustelun teemoista, tutkijan esille ottamat tarkat aiheet ja muu ohjaus blogikeskusteluun jne.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Aineistonkeruuohjeistus: keskusteluohje','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',242),(7968,'Guide för en gruppdiskussion. Beroende på studiedesign kan en diskussionsguide vara mer eller mindre strukturerad, allt från exakt formulerade frågor till allmänna idéer om vad man ska diskutera. Till exempel en lista över ämnen som ska diskuteras i en fokusgrupp eller teman formulerade av en forskare för att styra en bloggdiskussion osv.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Datainsamlingsguide: Diskussionsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',244),(7969,'Smernice za skupinsko razpravo. Glede na načrt raziskave je lahko vodnik za razpravo bolj ali manj strukturiran, od natančno oblikovanih vprašanj do splošnih idej o predmetu razprave. Na primer, seznam tem, o katerih bo razpravljala fokusna skupina, ali teme, ki jih oblikuje raziskovalec za usmerjanje razprave na spletnem blogu, itd.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Smernice za zbiranje podatkov: vodnik za razpravo','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',245),(7970,'Retningslinjer for en gruppediskusjon. En diskusjonsguide kan være mer eller mindre strukturert avhengig av studiedesignet. Den kan variere mellom nøyaktig formulerte spørsmål og løst formulerte ideer om hva en ønsker å diskutere. For eksempel en liste med tema å diskutere i en fokusgruppe, eller tema formulert av forsker for å lede en bloggdiskusjon, etc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Retningslinjer for datainnsamling: Diskusjonsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',246),(7971,'Linee guida per una discussione di gruppo. A seconda del progetto del disegno della ricerca, una guida alla discussione può essere più o meno strutturata, variando tra domande formulate con precisione a idee generali sui temi da sottoporre alla discussione. Ad esempio, un elenco di argomenti da discutere in un focus group o temi formulati da un ricercatore per indirizzare una discussione su un blog, ecc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Linee guida per la raccolta dei dati: traccia di discussione','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',343),(7972,'Retningslinjer for en gruppediskussion. Afhængigt af undersøgelsesdesignet kan en diskussion være mere eller mindre struktureret, rangererende fra præcist formulerede spørgsmål til generelle idéer om, hvad man skal diskutere. For eksempel en liste over emner, der skal diskuteres i en fokusgruppe eller temaer formuleret af en forsker, der skal lede en blogdiskussion mm.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Retningslinjer for dataindsamling: Diskussionsguide','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',247),(7973,'Un espace géographique gouverné par une autorité souveraine qui a le pouvoir de prendre des décisions administratives ou politiques pour cet espace. Cela inclut des espaces de niveau supranational (e. g. les unions d\'États comme l\'Union européenne), national (e. g. des États ou des pays individuels), sous-national (e. g. des subdivisions administratives comme des États fédéraux, des provinces, etc.), et local (e. g. des municipalités).','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Espace politico-administatif','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',394),(7974,'Inclut le texte, l\'image fixe, la vidéo et le son.','MediaUnit',NULL,10,NULL,5833,'Média','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',394),(7975,'Son enregistré, incluant la voix, la musique, etc.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Média : son','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',394),(7976,'Image statique, tel que des graphiques, des dessins, des photographies, des images de diagnostic / médicales comme des rayons X et tous autres types de tests d\'imageries, etc.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Média : image fixe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',394),(7977,'Toutes pièce / entité écrite, telles que des livres, des articles, des tweets, des blogs, etc. Par exemple, une étude sur le discours de haine dans des tweets, ou une étude sur la manière dont les journaux présentent certaines questions politiques / sociales au fil du temps, comme les droits des femmes ou des minorités, etc.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Média : texte','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',394),(7978,'Images en mouvement. Peut inclure des films, de l\'animation, des enregistrements digitaux, des visualisations de simulations, des émissions de télévision enregistrées, des videos de diagnostic / médicales comme des échographies, etc. Peut être muet ou peut inclure du son synchronisé.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Média : vidéo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',394),(7979,'Deux ou plus individus réunis ou ayant une relation ou une caractéristique unificatrice. Dans les enquêtes, les questions sont principalement axées sur le groupe et les attitudes / expériences du groupe, plutôt que sur celles des répondants individuels. Si des questions couvrent à la fois le groupe et l\'individu, utilisez les deux comme unité d\'analyse.','Group',NULL,15,NULL,5820,'Groupe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',394),(7980,'Podaci koji se uglavnom sastoje od vrednosti izraženih kao cifre od 0 do 9 i opciono znakova za negativne vrednosti, decimalne tačke ili slova, samo kada su namenjeni predstavljanju brojeva (na primer, A-F ili a-f u heksadecimalnoj vrednosti).','Numeric',NULL,0,NULL,1329,'Numerički','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Numeric',407),(7981,'Podaci koji se uglavnom sastoje od teksta, uključujući slova, brojeve i posebne znakove ili simbole koji se koriste u pisanju kao interpunkcijski znaci, skraćenice, itd. Na primer, transkripti intervjua, svedočenja ili eseji koje su napisali učesnici studije, članci u novinama, itd.','Text',NULL,1,NULL,1330,'Tekstualni','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Text',407),(7982,'Statične slike, poput grafikona, crteža, fotografija, dijagnostičkih / medicinskih slika, poput rendgenskih zraka, itd.','StillImage',NULL,2,NULL,1331,'Nepokretna slika','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#StillImage',407),(7983,'Geoprostorni podaci su sve vrste podataka koji sadrže prostorne koordinate koje im omogućavaju da se preslikaju na Zemljinu površinu. Mogu da predstavljaju fizičke predmete, diskretna područja ili neprekidne površine. Diskretni geoprostorni podaci obično se prikazuju upotrebom vektorskih podataka koji se sastoje od tačaka, linija i poligona, dok su neprekidni geoprostorni podaci obično predstavljeni rasterskim podacima, koji se sastoje od mreže ćelija koje svaka ima svoju vrednost. Bilo koji broj aplikacija u širokom rasponu područja proizvodi geoprostorne podatke, kao što su GIS, oprema za daljinsko istraživanje, GPS jedinice, arheološke ukupne stanice, ručno mapiranje i kompjuterski dizajniran (CAD), u više formata, uključujući slike, vektore, tekst i tabelarne podatke. Vektorski geoprostorni podaci uključuju tabele sa popisom arheoloških nalazišta zajedno sa njihovim koordinatama, tekstualne datoteke (npr. XML) koje sadrže koordinate i topologiju istorijskih putnih mreža, rezultate glasanja za političke stranke prema administrativnom području. Geografski podaci zasnovani na rasterima uključuju satelitske snimke, fotografije iz vazduha, skenirane mape i digitalne mape nadmorske visine, vegetacije, upotrebe kopna, temperature morske površine, zagađenja vazduha, vrste tla, itd.','Geospatial',NULL,3,NULL,1332,'Geoprostorni','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Geospatial',407),(7984,'Snimljeni zvuk, uključujući glas, muziku i sl.','Audio',NULL,4,NULL,1333,'Zvučni','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Audio',407),(7985,'Pokretne slike. Može da uključuje filmove, animacije, digitalne snimke, vizuelni izlaz simulacija, snimljenih televizijskih programa, itd. Može biti nemi ili može uključivati sinhronizovani zvuk.','Video',NULL,5,NULL,1334,'Video','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Video',407),(7986,'Računarski program(i) u izvornom kodu (koji može biti čitljiv ljudima) ili u mašinskom obliku.','Software',NULL,6,NULL,1335,'Softver','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Software',407),(7987,'Resurs koji zahteva interakciju od korisnika da bi se razumeo, izvršio ili doživeo. Na primer, moduli za obuku, portali za upite / odgovore, datoteke koje od korisnika zahtevaju akcije, itd.','InteractiveResource',NULL,7,NULL,1336,'Interaktivni resurs','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#InteractiveResource',407),(7988,'Virtuelne trodimenzionalne reprezentacije objekata, arhitekture, mesta, itd.','ThreeD',NULL,8,NULL,1337,'Trodimenzionalan','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#ThreeD',407),(7989,'Koristite kada je vrsta formata podataka poznata, ali nije na listi.','Other',NULL,9,NULL,1338,'Ostalo','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html#Other',407),(7990,'Bilo koja osoba.','Individual',NULL,0,NULL,5827,'Pojedinac','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',408),(7991,'Bilo koja formalna administrativna i funkcionalna struktura - uključuje udruženja, institucije, agencije, preduzeća, političke stranke, škole, itd. Podaci se&nbsp; prikupljaju o organizacijama ili institucijama, čak i ukoliko odgovore na pitanja daju pojedinci. Na primer, podaci o ekološkoj politici preduzeća, podaci o stopama upisa ili diplomiranja na nacionalnim univerzitetima, itd.','OrganizationOrInstitution',NULL,1,NULL,5821,'Organizacija/Institucija','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',408),(7992,'Dvoje ili više ljudi povezanih krvnim srodstvom, brakom (uključujući i očuha, maćehu i njihovu decu), vanbranbračnom zajednicom ili registrovanim partnerstvom, usvajanjem ili hraniteljstvom, a koji mogu ili ne moraju da žive zajedno. Na primer, podaci o tome koje vrste javnih usluga porodica koristi ili bi zahtevala ili koliko često su članovi porodice u međusobnom kontaktu.','Family',NULL,2,NULL,5828,'Porodica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',408),(7993,'Precizniji izraz koji se odnosi samo na ljude koji su povezani porodičnim vezama (vidi definiciju \'Porodica\') i žive u istom domaćinstvu, u određenom trenutku. Ako nije poznato da li je jedinica za analizu \'Porodica\' ili \'Porodično domaćinstavo\', koristite \'Porodica\'.','Family.HouseholdFamily','Family',3,NULL,5829,'Porodica: Porodično domaćinstvo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',408),(7994,'Osoba ili grupa osoba koje dele istu stambenu jedinicu i imaju zajedničke aranžmane. Ovi aranžmani mogu uključivati udruživanje nekih ili svih pojedinačnih prihoda i imovine i zajedničku potrošnju određenih vrsta roba i usluga, uglavnom stanovanje i hranu (Eurostat).','Household',NULL,4,NULL,5822,'Domaćinstvo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',408),(7995,'Stambena jedinica je kuća, stan, pokretna kuća, grupa soba ili pojedinačna soba koja je zauzeta (ili ako je upražnjena, namenjena za stanovanje) kao odvojeni stambeni prostor. Odvojeni stambeni prostori su oni u kojima stanari žive i jedu odvojeno od ostalih osoba u zgradi i koji imaju direktan pristup spolja ili kroz zajednički hodnik.','HousingUnit',NULL,5,NULL,5830,'Stambena jedinica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',408),(7996,'Bilo koja vrsta slučaja, pojave, događaja ili aktivnosti. Događaji su obično jednokratne, pojedinačne pojave, sa ograničenim ili kratkim trajanjem. Primeri: krivična dela, neredi, sastanci, izbori, sportska takmičenja, teroristički napadi, prirodne katastrofe poput poplava, požara i sl. Procesi se obično dešavaju u&nbsp; vremenu, a mogu uključivati više \'događaja\' ili postepenih promena koje na kraju vode, ili se predviđa da će dovesti, do određenog rezultata. Primeri: suđenja, krivična istraga, politička istraga,&nbsp; kampanje, medicinski tretmani, edukacija, trening sportista i sl. Koristite kada je glavni fokus više na događaju, procesu ili samoj aktivnost. Na primer, terenska opservaciona studija mašine za kockanje ili podaci prikupljeni o slučajevima zlostavljanja dece, kao što su vrsta i trajanje zlostavljanja, uloga uključenih osoba, itd.','EventOrProcessOrActivity',NULL,6,NULL,5823,'Događaj/Proces/Aktivnost','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',408),(7997,'Bilo koji entitet koji se može prostorno definisati kao geografsko područje, bilo da je odvojeno prirodnim (fizičkim) ili administrativnim granicama. Na primer, podaci o prodaji nekretnina, promenama priorodnog okruženja, nove građevine ili promene u demografskom sastavu određenog regiona ili oblasti.','GeographicUnit',NULL,7,NULL,5831,'Geografska jedinica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',408),(7998,'Geografsko područje kojim upravlja suverena vlast koja ima moć moć donošenja administrativnih ili političkih odluka za tu oblast. To uključuje područja na nadnacionalnom nivou (npr. unije država kao što je Evropska unija), nacionalnom (pojedinačne države), podnacionalnom (npr. administrativne podele kao što su republike, pokrajine itd.) i lokalnom nivou (npr. opštine).','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Političko-administrativna oblast','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',408),(7999,'Bilo koji vremenski period: godina, nedelja, mesec, dan ili dvomesečno,&nbsp; tromesečno, kvartalno, itd.','TimeUnit',NULL,9,NULL,5826,'Vremenska jedinica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',408),(8000,'Uključuje tekst, nepokretne slike, video zapise i zvučne zapise.','MediaUnit',NULL,10,NULL,5833,'Medijski zapis','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',408),(8001,'Zvučni zapis, uključujući zvuk, muziku i sl.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Medijski zapis: Zvuk','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',408),(8002,'Nepokretne slike, kao što su grafici, crteži, fotografije, dijagnostičke/medicinske slike kao što su rentgenski snimci i sl.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Medijski zapis: Nepokretna slika','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',408),(8003,'Bilo koje pisano delo, kao što su knjige, članci, tvitovi, blogovi, itd. Na primer, studija o govoru mržnje u tvitovima ili studija načina na koji novine predstavljaju određena politička / društvena pitanja tokom vremena, kao što su prava žena ili manjina, itd.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Medijski zapis: Tekst','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',408),(8004,'Pokretne slike. Može da uključuje filmove, animacije, digitalne snimke, vizuelni autput simulacija, snimljenih televizijskih programa, dijagnostički / medicinski video snimak poput ultrazvučnog skeniranja, itd. Može, ali ne mora da uključuje sinhronizovani zvuk.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Medijski zapis: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',408),(8005,'Dvoje ili više pojedinaca koji su okupljeni ili objedinjeni nekim odnosom ili karakteristikom(ama). U anketama, pitanja su uglavnom usmereni na grupu i stavove / iskustva grupe, a ne pojedinačnih ispitanika. Ako pitanja pokrivaju i grupu i pojedince, koristite oba kao jedinice za analizu.','Group',NULL,15,NULL,5820,'Grupa','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',408),(8006,'Bilo šta materijalno, deo nežive prirode, pri čemu eguistira nezavisno i može biti opaženo čulima. Primeri: predmeti umetnosti (slike, skulpture, itd.) ili oružje ili vozila, zgrade itd.','Object',NULL,16,NULL,5824,'Predmet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',408),(8007,'Koristite ako je jedinica analize poznata, ali nije na listi.','Other',NULL,17,NULL,5825,'Ostalo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',408),(8008,'Podrazumeva da su prilikom prikupljanja podataka uključene sve jedinice (pojedinci, domaćinstva, organizacije, itd.) ciljne populacije. Na primer, ako je ciljna populacija definisana kao \"članovi trgovinske unije\", svi članovi trgovinske unije su pozvani da učestvuju u studiji. Nazvan je i „popisom stanovništva“, ako je odabrano celokupno stanovništvo regionalne jedinice (npr. jedne države).','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Populacija/ Statistički skup','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#TotalUniverseCompleteEnumeration',409),(8009,'Sve jedinice (pojedinci, domaćinstva, organizacije itd.) ciljne populacije imaju ne-nultu verovatnoću da budu uključene u uzorak i ta verovatnoća se može tačno utvrditi. Ovaj širi pojam koristite ako nije poznata određenija vrsta uzorkovanja verovatnoće ili ju je&nbsp; teško identifikovati.','Probability',NULL,1,NULL,1989,'Verovatnoća','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability',409),(8010,'Sve jedinice ciljne populacije imaju jednaku verovatnoću da budu uključene u uzorak. Obično se celokupna populacija navodi kao „okvir uzorka“, a jedinice se zatim biraju iz ovog okvira koristeći metodu slučajnog izbora.','Probability.SimpleRandom','Probability',2,NULL,1990,'Verovatnoća: Slučajna verovatnoća (jednostavna slučajna)','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SimpleRandom',409),(8011,'Fiksni interval odabira određuje se deljenjem veličine populacije na željenu veličinu uzorka. Polazna tačka se zatim nasumično crta iz okvira uzorka, koji obično pokriva celu ciljnu populaciju. Od ove početne tačke, jedinice za uzorak biraju se na osnovu intervala odabira. Takođe je poznato i kao intervalno uzorkovanje. Na primer, istraživanje kompanije traži uzorak od 1.000 zaposlenih od ukupno 10.000. Počevši od slučajnog početnog broja, svako deseto ime sa liste zaposlenih u kompaniji biće pozvano da učestvuje u studiji.','Probability.SystematicRandom','Probability',3,NULL,1991,'Verovatnoća: Sistematska slučajna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.SystematicRandom',409),(8012,'Ciljna populacija je podeljena u odvojene i međusobno isključujuće segmente (stratume) koji pokrivaju celokupnu populaciju. Zatim se iz svakog segmenta (stratuma) uzimaju nezavisni slučajni uzorci. Na primer, u nacionalnom istraživanju javnog mnjenja celokupno stanovništvo je podeljeno u dva regionalna stratuma: istočni i zapadni. Nakon toga jedinice za uzorkovanje se izvlače iz svake regije koristeći jednostavno ili sistematsko slučajno uzorkovanje. Ovaj širi pojam koristite ako nije poznata ili je teško odrediti specifičnu vrstu stratifikovanog uzorkovanja.','Probability.Stratified','Probability',4,NULL,1992,'Verovatnoća: Stratifikovana','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified',409),(8013,'Ciljna populacija je podeljena u odvojene i međusobno isključujuće segmente (stratume) koji pokrivaju celokupnu populaciju. U proporcionalnom stratifikovanom uzorkovanju, broj elemenata odabranih iz svakog stratuma proporcionalan je veličini populacije stratuma u odnosu na celokupnu populaciju. Na primer, zemlja je podeljena na dva regionalna stratuma koji čine 80 procenata (zapad) i 20 procenata (istok) ukupnog stanovništva. Za uzorak od 1.000 ljudi, 800 (80%) bilo bi izvučeno sa zapada, a 200 (20%) sa istoka, da bi tačno predstavljali njihov udeo u ukupnom broju stanovnika.','Probability.Stratified.Proportional','Probability.Stratified',5,NULL,2006,'Verovatnoća: Stratifikovana: Proporcionalna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Proportional',409),(8014,'Ciljna populacija je podeljena u odvojene i međusobno isključujuće segmente (stratume) koji pokrivaju celokupnu populaciju. U neproporcionalnom uzorkovanju, broj jedinica odabranih iz svakog stratuma nije proporcionalan veličini populacije stratuma u odnosu na celokupnu populaciju. Broj uzorkovanih jedinica iz svakog stratuma može biti jednak, optimalan ili može odražavati svrhu studije, poput prekomernog uzorkovanja različitih podgrupa stanovništva. Na primer, zemlja je podeljena u dva regionalna stratuma koji čine 80% (zapad) i 20% (istok) stanovništva. Ako je potrebna jednaka zastupljenost dva regiona u studiji, polovina uzorka se može uzeti sa zapada, a polovina sa istoka, tako da je svaki region predstavljen sa 50% u uzorku. Ako je potrebna detaljnija analiza stanovništva sa istoka, 40% jedinica može se skupiti sa zapada, a 60% sa istoka, tako da je istok dominantno zastupljen.','Probability.Stratified.Disproportional','Probability.Stratified',6,NULL,1994,'Verovatnoća: Stratifikovana: Neproporcionalna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Stratified.Disproportional',409),(8015,'Ciljna populacija je podeljena na segmente (klastere) koji se javljaju u prirodi i odabran je verovatni uzorak klastera. Podaci se zatim prikupljaju iz svih jedinica unutar svakog odabranog klastera. Uzorkovanje je često grupisano prema geografskoj lokaciji ili vremenskom periodu. Upotrebite ovaj širi pojam ako se ne zna određenija vrsta uzorkovanja klastera ili ju je teško identifikovati.','Probability.Cluster','Probability',7,NULL,1995,'Verovatnoća: Klaster','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster',409),(8016,'Ciljna populacija je podeljena na segmente (klastere) koji se javljaju u prirodi&nbsp; i odabran je jednostavan slučajni uzorak klastera. Podaci se zatim prikupljaju iz svih jedinica unutar svakog odabranog klastera. Na primer, za uzorak učenika u gradu, jedan broj škola birao bi se metodom nasumičnog odabira i tada bi bili uključeni svi učenici iz svake uzorkovane škole.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,NULL,2009,'Verovatnoća: Klaster: Jednostavna slučajna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.SimpleRandom',409),(8017,'Ciljna populacija je podeljena na segmente koji se javljaju u prirodi (klastere). Nakon toga, oni se dele u međusobno isključujuće stratume i iz svakog stratuma se bira slučajni uzorak klastera. Podaci se zatim prikupljaju iz svih jedinica unutar svakog odabranog klastera. Na primer, za uzorak učenika u gradu, škole bi bile podeljene u dva stratuma, prema vrsti škole (privatne i javne). Škole bi se zatim nasumično birale iz svakog stratuma i uključivali bi se svi učenici iz svake uzorkovane škole.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,NULL,2008,'Verovatnoća: Klaster: Stratifikovana slučajna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Cluster.StratifiedRandom',409),(8018,'Uzorkovanje se vrši u fazama koristeći sve manje i manje jedinice u svakoj fazi, a sve faze uključuju izbornu verovatnoće. Vrsta postupka uzorkovanja verovatnoće može biti različita u svakoj fazi. Na primer, za uzorak učenika u gradu, škole se nasumično biraju u prvoj fazi, dok se u drugoj fazi primenjuje nasumični uzorak časova u svakoj odabranoj školi. Potom se, u trećoj fazi, učenici nasumično biraju iz svake od ovih klasa.','Probability.Multistage','Probability',10,NULL,1998,'Verovatnoća: Višefazna','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Probability.Multistage',409),(8019,'Izbor jedinica (pojedinaca, domaćinstava, organizacija, itd.) iz ciljne populacije ne zasniva se na slučajnom odabiru. Nije moguće utvrditi verovatnoću da će svaki element biti uzorkovan. Koristite ovaj širi pojam ako specifična vrsta neverovatnosti nije poznata, teško ju je identifikovati ili ako se koristi više neverovatnih metoda.','Nonprobability',NULL,11,NULL,1999,'Neslučajnost (verovatnoća neučešća)','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability',409),(8020,'Izbor uzorka zasnovan je na raspoloživosti jedinica / relativnoj lakoći pristupa. Možda im je lako pristupiti ili se sami odluče da učestvuju u studiji (samo-odabir). Istraživači možda imaju na umu određene ciljne grupe, ali one ne kontrolišu mehanizam odabira uzorka. Na primer, istraživači se mogu obratiti studentima koji napuštaju određenu zgradu&nbsp; ili pojedinci mogu dobrovoljno učestvovati u odgovoru, iako direktno ne predstavljaju ciljnu grupu, već spadaju u širu grupu od interesa za istraživanje. Takođe se naziva i prigodnim uzorkovanjem.','Nonprobability.Availability','Nonprobability',12,NULL,2000,'Neslučajnost: Raspoloživost','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Availability',409),(8021,'Jedinice za uzorke su posebno identifikovane, odabrane i kontaktirane radi informacija koje mogu pružiti o istraživanoj temi. Izbor se zasniva na različitim karakteristikama nezavisnih i / ili zavisnih varijabli koje se proučavaju i oslanja se na procenu istraživača. Autori studije ili ovlašćene osobe imaju kontrolu nad mehanizmom odabira uzorka i skup je definisan u smislu kriterijuma za izbor. Takođe se naziva uzorkovanje „procene“. Na primer, medicinski istraživač može namerno odabrati pojedince koji su slični u većini aspekata, osim po ishodu teme istraživanja, koja može biti specifična bolest. Neke vrste namenskog uzorkovanja su tipični / devijantni slučaj, homogena / maksimalna varijacija, stručno ili kritičko uzorkovanje slučaja.','Nonprobability.Purposive','Nonprobability',13,NULL,2001,'Neslučajnosti: Namenska','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Purposive',409),(8022,'Ciljna populacija je podeljena u odvojene i međusobno isključujuće segmente prema unapred definisanim kriterijumima. Raspodela kriterijuma za navođenje (odnos pola / starosti / etničke pripadnosti ili druge karakteristike, kao što su religija, obrazovanje, itd.). Ima za cilj da odražava stvarnu strukturu ciljne populacije ili strukturu željene populacije. Zatim se uzimaju uzorci koji nisu verovatni iz svakog segmenta, sve dok se ne dostigne određeni broj jedinica. Na primer, ako se ciljna populacija sastoji od 45 posto žena i 55 procenata muškaraca, proporcionalni uzorak kvote će imati iste procente pola, dok će u uzorku neproporcionalnih kvota procenti biti različiti, na osnovu nekih razmatranja vezanih za istraživanje ( na primer, potreba za predimenzioniranjem određenih podzastupljenih segmenata stanovništva).','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Neslučajnost: Kvota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.Quota',409),(8023,'Jedinice za uzorke identifikovane su iz ciljne populacije uz pomoć jedinica koje su već odabrane (prilagođene iz „Metode istraživanja javnog zdravlja“, izd. Greg Guest, Emili E. Namei, 2014). Tipičan slučaj je uzorkovanje po princiu \"grudve snega\", u kojem istraživač identifikuje grupu jedinica koja odgovara određenom kriterijumu podobnosti. Od poslednjih se traži da regrutuju druge članove iste populacije koji ispunjavaju isti kriterijum podobnosti (uzorkovanje određene populacije poput migranata itd.).','Nonprobability.RespondentAssisted','Nonprobability',15,NULL,2003,'Neslučajnost: Pomoć ispitanika','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Nonprobability.RespondentAssisted',409),(8024,'Dizajn uzorka koji kombinuje verovatnoće i neverovatne uzorkovanja u istom procesu uzorkovanja. U različitim fazama stvaranja uzorka mogu se koristiti različite vrste uzorkovanja. Na primer, za uzorak učenika manjina u gradu, škole se nasumično biraju u prvoj fazi. Zatim se odabere uzorak kvota učenika u svakoj školi u drugoj fazi. Ako se odvojeni uzorci uzmu iz iste ciljne populacije koristeći različite metode uzorkovanja, vrstu postupka uzorkovanja koji se koristi za svaki uzorak treba klasifikovati odvojeno.','MixedProbabilityNonprobability',NULL,16,NULL,2004,'Mešovita verovatnoća i neslučajnost','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#MixedProbabilityNonprobability',409),(8025,'Koristite ako je postupak uzorkovanja poznat, ali nije na spisku.','Other',NULL,17,NULL,2005,'Ostalo','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html#Other',409),(8026,'Aritmetička sredina, srednja vrednost ili prosek je mera centralne tendencija skupa ili uzorka. Srednja vrednost izračunava se sabiranjem dve ili više vrednosti i deljenjem dobijenog zbira sa brojem elemenata u skupu ili uzorku. U društvenim naukama to je obično zbir mera (npr. visina plate ili visina učenika) podeljen sa brojem predmeta ili slučajeva (npr. broj zaposlenih, broj učenika).','ArithmeticMean',NULL,0,NULL,1944,'Aritmetička sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ArithmeticMean',410),(8027,'Geometrijska sredina je mera centralne tendencije koja se računa kao n-ti koren proizvoda svih elemenata skupa podataka. Retko se koristi u društvenim naukama.','GeometricMean',NULL,1,NULL,1945,'Geometrijska sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#GeometricMean',410),(8028,'Harmonijska sredina je recipročna vrednost aritmetičke sredine recipročnih vrednosti skupa elemenata.','HarmonicMean',NULL,2,NULL,1946,'Harmonijska sredina','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#HarmonicMean',410),(8029,'(Aritmetička) srednja vrednost izračunata nakon odbacivanja ekstremnih vrednosti u skupu ili uzorku, tzv. autlajera (npr. Interkvartilna srednja vrednost kada se odbace najniža 25% i najviša 25%, a izračunava se srednja vrednost preostalih vrednosti).','TrimmedMean',NULL,3,NULL,1947,'Skraćena srednja vrednosti','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#TrimmedMean',410),(8030,'Daje procenu koliko se prosečna vrednost uzorka razlikuje od stvarne prosečne vrednosti populacije.','StandardErrorOfMean',NULL,4,NULL,1948,'Standardna greška srednje vrednosti','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardErrorOfMean',410),(8031,'Vrednost koja se u skupu ili uzorku najčešće pojavljuje.','Mode',NULL,5,NULL,1949,'Modus','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Mode',410),(8032,'Medijana razdvaja gornju polovinu skupa ili uzorka, od donje polovine, pri čemu vrednosti moraju biti raspoređene u rastućem nizu. Ukoliko skup ima parni broj vrednosti, središnja vrednost (medijana) će biti prosek dve središnje vrednosti.','Median',NULL,6,NULL,1950,'Medijana','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Median',410),(8033,'Slučajevi sa opservacijama za koja se smatra da su ispravni, tj. da daju značajne informacije i da mogu biti uključeni se u dalju analizu.','ValidCases',NULL,7,NULL,1951,'Ispravni (validni) slučajevi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ValidCases',410),(8034,'Slučajevi koji se smatraju / definišu kao \"nedostajući\" (npr. nisu utvrđeni, nisu primenljivi, itd.), najčešće se isključuju iz analize.','InvalidCases',NULL,8,NULL,1952,'Neispravni (nevalidni) slučajevi','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InvalidCases',410),(8035,'Najniža ispravna vrednost promenljive.','Minimum',NULL,9,NULL,1953,'Minimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Minimum',410),(8036,'Najviša ispravna vrednost promenljive.','Maximum',NULL,10,NULL,1954,'Maksimum','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Maximum',410),(8037,'Raspon ispravnih vrednosti, tj. razlika između najviše i najniže vrednosti u skupu ili uzorku.','Range',NULL,11,NULL,1955,'Raspon / opseg','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Range',410),(8038,'Zbir ili ukupna vrednost svih vrednosti ispravnih (validnih) elemenata skupa ili uzroka.','Sum',NULL,12,NULL,1956,'Zbir','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Sum',410),(8039,'Varijansa je srednje kvadratno odstupanje vrednosti promenljive oko njene prosečne vrednosti. Ukazuje na raspodelu frekvencije oko srednje vrednosti (OECD-ov Statistički rečnik).','Variance',NULL,13,NULL,1957,'Varijansa','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Variance',410),(8040,'Apsolutna mera disperzije u osnovnom skupu. Ona nam govori koliko u proseku elementi skupa odstupaju od aritmetičke sredine skupa.','StandardDeviation',NULL,14,NULL,1958,'Standardna devijacija','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#StandardDeviation',410),(8041,'Standardna devijacija podeljena sa srednjom vrednošću.','CoefficientOfVariation',NULL,15,NULL,1959,'Koeficijent varijacije','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#CoefficientOfVariation',410),(8042,'Prosek apsolutnih razlika između svake vrednosti i ukupne srednje vrednosti. Meri statističku disperziju oko srednje vrednosti, alternativa je standardnoj devijaciji.','AverageAbsoluteDeviation',NULL,16,NULL,1960,'Prosečna apsolutna devijacija','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#AverageAbsoluteDeviation',410),(8043,'Mera statističke disperzije oko medijane.','MedianAbsoluteDeviation',NULL,17,NULL,1961,'Medijana apsolutne devijacije','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#MedianAbsoluteDeviation',410),(8044,'Prva od tri vrednosti koja razdvaja ukupnu frekvenciju distribucije u četiri jednaka dela.','FirstQuartile',NULL,18,NULL,1962,'Prvi kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuartile',410),(8045,'Druga od tri vrednosti koja razdvaja ukupnu frekvenciju distribucije u četiri jednaka dela.','SecondQuartile',NULL,19,NULL,1963,'Drugi kvartil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuartile',410),(8046,'Treća od tri vrednosti koja razdvaja ukupnu frekvenciju distribucije u četiri jednaka dela.','ThirdQuartile',NULL,20,NULL,1964,'Treći kvatil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuartile',410),(8047,'Raspon između prvog i trećeg kvartila.','InterquartileRange',NULL,21,NULL,1965,'Međukvartilni raspon','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquartileRange',410),(8048,'Prva od četiri vrednosti koja razdvaja ukupnu frekvenciju distribucije na pet jednakih delova.','FirstQuintile',NULL,22,NULL,1966,'Prvi kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstQuintile',410),(8049,'Druga od četiri vrednosti koja razdvaja ukupnu frekvenciju distribucije na pet jednakih delova.','SecondQuintile',NULL,23,NULL,1967,'Drugi kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondQuintile',410),(8050,'Treća od četiri vrednosti koja razdvaja ukupnu frekvenciju distribucije na pet jednakih delova.','ThirdQuintile',NULL,24,NULL,1968,'Treći kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdQuintile',410),(8051,'Četvrta od četiri vrednosti koja razdvaja ukupnu frekvenciju distribucije na pet jednakih delova.','FourthQuintile',NULL,25,NULL,1969,'Četvrti kvintil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthQuintile',410),(8052,'Raspon između prvog i četvrtog kvintila.','InterquintileRange',NULL,26,NULL,1970,'Međukvintilni raspon','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterquintileRange',410),(8053,'Prva od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','FirstDecile',NULL,27,NULL,1971,'Prvi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FirstDecile',410),(8054,'Druga od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','SecondDecile',NULL,28,NULL,1972,'Drugi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SecondDecile',410),(8055,'Treća od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','ThirdDecile',NULL,29,NULL,1973,'Treći decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ThirdDecile',410),(8056,'Četvrta od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','FourthDecile',NULL,30,NULL,1974,'Četvrti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FourthDecile',410),(8057,'Peta od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','FifthDecile',NULL,31,NULL,1975,'Peti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#FifthDecile',410),(8058,'Šesta od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','SixthDecile',NULL,32,NULL,1976,'Šesti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SixthDecile',410),(8059,'Sedma od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','SeventhDecile',NULL,33,NULL,1977,'Sedmi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#SeventhDecile',410),(8060,'Osma od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','EighthDecile',NULL,34,NULL,1978,'Osmi decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#EighthDecile',410),(8061,'Deveta od devet vrednosti koja razdvaja ukupnu frekvenciju distribucije na deset jednakih delova.','NinthDecile',NULL,35,NULL,1979,'Deveti decil','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#NinthDecile',410),(8062,'Raspon između prvog i devetog decila.','InterdecileRange',NULL,36,NULL,1980,'Međudecilni raspon','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#InterdecileRange',410),(8063,'Perceptil koji nije obuhvaćen nijednim procentnim izrazom.','OtherPercentile',NULL,37,NULL,1981,'Ostali percentili','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#OtherPercentile',410),(8064,'„Skewness“ je mera simetrije ili preciznije, nedostatak simetrije. Distribucija skupa podataka je simetrična ako izgleda isto levo i desno u odnosu na centralnu vrednost.&nbsp;','Beta1',NULL,38,NULL,1982,'Simetrija / zakrivljenost','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta1',410),(8065,'\"Kurtosis\" meri da li su podaci oštrije ili spljoštenije raspoređeni u odnosu na normalnu raspodelu.','Beta2',NULL,39,NULL,1983,'Spljoštenost / zašiljenost','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Beta2',410),(8066,'Šapiro-Vilk je test normalnosti koji se preporučuje za uzorke čiji obim nije veći od 2000 elemenata.','ShapiroWilk',NULL,40,NULL,1984,'Šapiro-Vilk','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#ShapiroWilk',410),(8067,'Pokazuje procenat ispravnih (validnih) opservacija u odnosu na ukupan broj opservacija.','PercentageOfValidCases',NULL,41,NULL,1985,'Procenat ispravnih slučajeva','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfValidCases',410),(8068,'Pokazuje procenat neispravnih opservacija u odnosu na ukupan broj opservacija.','PercentageOfInvalidCases',NULL,42,NULL,1986,'Procenat neispravnih slučajeva','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#PercentageOfInvalidCases',410),(8069,'Koristite ukoliko je statistički tip poznat, ali se ne nalazi na listi.','Other',NULL,43,NULL,1987,'Ostalo','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html#Other',410),(8070,'Longitudinalni podaci predstavljaju podatke u vidu ponovljenih merenja koji su prikupljeni na jedinkama posmatrane populacije (ili češće na uzorku iz populacije).Potrebno je da se barem neka pitanja ili moduli ponavljaju u svakom talasu istraživanja. Koristite širi pojam kada nijedan od pododgovora nije pogodan.','Longitudinal',NULL,0,NULL,5329,'Longitudinalni','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal',411),(8071,'Podaci prikupljeni tokom vremena od iste grupe ispitanika. Pojedinci u kohorti povezani su na neki način ili su podelili neko značajno iskustvo u datom periodu. U nekim slučajevima se uzorci mogu razlikovati između talasa, ali uzimaju se iz iste grupe. Primeri: godina rođenja, bolest (klinička ispitivanja), uobičajeni problem (intervencione studije), obrazovanje, zaposlenje, formiranje porodice, učešće u nekom događaju.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Longitudinalni: Kohorta/Bazirana na događaju','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.CohortEventBased',411),(8072,'Podaci prikupljeni od različitih uzoraka ili različitih grupa ljudi iz iste populacije u više definisanih vremenskih trenutaka, koristeći barem delimično isti skup pitanja / promenljivih. Za stanovništvo se izvode zaključci. Primeri: European Social Survey (ESS), nacionalna longitudinalna istraživanja o kriminalu.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Longitudinalni: Trend/Ponovljena studija preseka','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.TrendRepeatedCrossSection',411),(8073,'Podaci prikupljeni tokom vremena od istog ili približno istog uzorka ispitanika. Od kohortnih ili podataka zasnovanih na događajima razlikuje se po tome što se izbor ispitanika ne zasniva na tome da li su na neki način povezani ili dele neko značajno iskustvo.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Longitudinalni: Panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel',411),(8074,'Podaci koji se redovno prikupljaju od panela ispitanika.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Longitudinalni: Panel: Kontinuelni','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Continuous',411),(8075,'Podaci prikupljeni od panela ispitanika samo onda kada su potrebne informacije.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Longitudinalni: Panel: Intervalni','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Longitudinal.Panel.Interval',411),(8076,'Podaci prikupljeni u više navrata tokom vremena, kako bi se proučile promene u opservacijama. To su obično \"objektivna\" merenja pojava koja se mogu posmatrati spolja, za razliku od stavova / mišljenja ili osećanja. Primeri mogu obuhvatati ekonomske / finansijske pokazatelje, prirodne / meteorološke pojave, vitalnu statistiku, itd.','TimeSeries',NULL,6,NULL,5335,'Vremenska serija','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries',411),(8077,'Merenja se vrše u svakom trenutku u vremenu. Primeri: detektori laži, elektrokardiogrami itd.','TimeSeries.Continuous','TimeSeries',7,NULL,5336,'Vremenska serija: Kontinuelna','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Continuous',411),(8078,'Merenja se vrše u razmacima (obično redovnim). Primeri: makroekonomija (nedeljne cene akcija, mesečna dobit, prodaja); meteorologija (temperatura svakog sata); merenja osoba (krvni pritisak, težina, visina); sociologija (podaci o kriminalu, podaci o zaposlenosti) itd.','TimeSeries.Discrete','TimeSeries',8,NULL,5337,'Vremenska serija: Prekidna','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#TimeSeries.Discrete',411),(8079,'Podaci prikupljeni posmatranjem subjekata u periodu ispitivanja, bez obzira na promene tokom vremena. Može da obuhvati više od jednog skupa. Analiza podataka poprečnog preseka često se sastoji u poređenju razlika i sličnosti među ispitanicima.','CrossSection',NULL,9,NULL,5338,'Studija preseka Poprečni presek','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSection',411),(8080,'Podaci prikupljeni u jednom trenutku da bi se dovršili podaci prikupljeni u prethodnoj studiji poprečnog preseka; odluka za prikupljanje podataka o praćenju nije uključena u prvobitni dizajn studije.','CrossSectionAdHocFollowUp',NULL,10,NULL,5339,'Studija preseka ad hoc prateća','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#CrossSectionAdHocFollowUp',411),(8081,'Koristite ako je vremenska metoda poznata, ali nije na listi.','Other',NULL,11,NULL,5340,'Ostalo','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html#Other',411),(8082,'Skup unapred utvrđenih pitanja koja su predstavljena učesnicima studije.','Questionnaire',NULL,0,NULL,1810,'Upitnik','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire',412),(8083,'Skup unapred utvrđenih pitanja, od kojih je velika većina zatvorenih, mada može postojati i mali procenat otvorenih pitanja.','Questionnaire.Structured','Questionnaire',1,NULL,1811,'Strukturirana anketa','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Structured',412),(8084,'Skup unapred utvrđenih pitanja, čiji je značajan deo otvoren (otprilike jedna trećina do dve trećine), a ostala su zatvorena.','Questionnaire.Semistructured','Questionnaire',2,NULL,1812,'Polustrukturirana anketa','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Semistructured',412),(8085,'Skup unapred utvrđenih pitanja, od kojih je velika većina otvorena, mada može postojati mali deo bliskih pitanja.','Questionnaire.Unstructured','Questionnaire',3,NULL,1813,'Nestrukturirana anketa','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Questionnaire.Unstructured',412),(8086,'Teme i/ili pitanja koja se koriste u intervjuu. Mogu varirati između okvirno definisanih tema do precizno formulisanih pitanja. Postoji veća fleksibilnost nego u nestrukturiranom upitniku u vezi sa tim koja se pitanja postavljaju svakom učesniku i kako se prenose.','InterviewSchemeAndThemes',NULL,4,NULL,1814,'Okvir intervjua i/ili teme','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#InterviewSchemeAndThemes',412),(8087,'Uputstva ili smernice u vezi sa metodama i postupcima koji će se koristiti za prikupljanje podataka. Koristite precizniji izraz ako je moguće.','DataCollectionGuidelines',NULL,5,NULL,1815,'Smernice za prikupljanje podataka','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines',412),(8088,'Smernice o tome šta će se posmatrati. U zavisnosti od dizajna studije, uputstvo za posmatranje može biti manje ili više struktuirano, u rasponu od tačnih specifikacija i skala, do slabo formulisanih ideja.','DataCollectionGuidelines.ObservationGuide','DataCollectionGuidelines',6,NULL,1816,'Smernice za prikupljanje podataka: Uputstvo za posmatranje','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.ObservationGuide',412),(8089,'Smernice za grupnu diskusiju. Zavisno od dizajna studije, vodič za diskusiju može biti manje ili više strukturiran, u rasponu od tačno formulisanih pitanja do opštih ideja o tome o čemu treba razgovarati. Na primer, spisak tema o kojima će se razgovarati u fokus grupi ili teme koje je formulisao istraživač kako bi usmeravao raspravu na blogu, itd.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Smernice za prikupljanje podataka: Uputstvo za razgovor (diskusiju)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.DiscussionGuide',412),(8090,'Smernice o željenom ili očekivanom sadržaju samostalno sastavljenih ličnih zapisa ili svedočanstvima potencijalnih učesnika. Uputstva se mogu biti deo pismenog poziva ili odvojena. Na primer, poziv koji traži od ljudi koji pate od određene bolesti ili invaliditeta da opišu kako to utiče na njihova osećanja, društvene odnose i svakodnevni život; ili poziv za pisanje kojim se traži da ljudi vode dnevnik čitanja knjiga tokom perioda od šest meseci i misli koje izazivaju knjige.','DataCollectionGuidelines.SelfAdministeredWritingsGuide','DataCollectionGuidelines',8,NULL,1818,'Smernice za prikupljanje podataka: Vodič za samostalno upravljanje zapisima','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SelfAdministeredWritingsGuide',412),(8091,'Smernice koje određuju koji se podaci prikupljaju iz prethodno postojećih izvora prvobitno kreiranih u druge svrhe. Na primer, uputstva o tome kako da odaberete i kodirate podatke iz kvalitativnih izvora kako biste stvorili kvantitativni skup podataka.','DataCollectionGuidelines.SecondaryDataCollectionGuide','DataCollectionGuidelines',9,NULL,1819,'Smernice za prikupljanje podataka: Vodič za prikupljanje sekundarnih podataka','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#DataCollectionGuidelines.SecondaryDataCollectionGuide',412),(8092,'Opis zadataka koji se od učesnika traže da izvrše kao deo procesa prikupljanja podataka. Na primer, obeležavanje mesta na mapi, fotografisanje, pričanje bajke itd.','ParticipantTasks',NULL,10,NULL,1820,'Zadaci učesnika','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ParticipantTasks',412),(8093,'Instrumenti koji se koriste za prikupljanje objektivnih podataka kao što su merenja, slike, itd. Na primer, hronometri, vage, brzinomeri, merači krvnog pritiska, termometri, rendgenski aparati, itd.','TechnicalInstruments',NULL,11,NULL,1821,'Tehnički instrument(i)','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#TechnicalInstruments',412),(8094,'Programska skripta napisana na Data Query jeziku (DQL) koja se koriste za izvlačenje određenih podataka, na primer, iz društvenih mreža.','ProgrammingScript',NULL,12,NULL,1822,'Programska skripta','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#ProgrammingScript',412),(8095,'Koristiti kada je vrsta instrumenta poznata, ali se ne nalazi na listi.','Other',NULL,13,NULL,1823,'Ostalo','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html#Other',412),(8096,'Koristite kada stavke koje poredite imaju identičan sadržaj. Na primer, za promenljive, svi elementi opisa promenljive (naziv, oznaka, tekst pitanja, vrednosti kategorije i kodovi, univerzum, koncept) su istovetni (identični).','Identical',NULL,0,NULL,3051,'Istovetno / identično','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Identical',413),(8097,'Koristite kada stavke koje poredite imaju sličan, ali ne identičan sadržaj. Na primer, za promenljive, neki elementi opisa promenljive (naziv, oznaka, tekst pitanja, vrednosti kategorije i kodovi, populacija, koncept) će biti istovetni (identični) po obliku, dok će drugi biti različiti.','Some',NULL,1,NULL,3052,'Delimično','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Some',413),(8098,'Obično se ne koristi, jer se ne bi moglo očekivati poređenje stavki koji nemaju ništa zajedničko. Ovaj izraz je bio neophodan za kompletiranje opšteg raspona i može se upotrebljavati u posebnim slučajevima, prema potrebama korisnika (na primer, kada se uporedivost očekivala, ali nije pronađena).','None',NULL,2,NULL,3053,'Neuporedivo','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#None',413),(8099,'Uma área geográfica governada por autoridade soberana que tem o poder de tomar decisões políticas ou administrativas para aquela área. Isto inclui áreas ao nível supranacional (por exemplo, uniões de vários estados como a União Europeia), nacional (por exemplo, estados individuais ou países), subnacional (por exemplo, subdivisões administrativas como estados federais, províncias, etc.), e local (por exemplo, municípios).','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Área político-administrativa','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',391),(8101,'Som gravado, incluindo voz, música, etc.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Unidade de Media: Som','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',391),(8102,'Imagens estáticas, como gráficos, desenhos, fotografias, imagens médicas/de diagnóstico como raio-x e outros tipos de testes de imagem, etc.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Unidade de Media: Imagem','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',391),(8103,'Dois ou mais indivíduos que se assemelham ou que têm uma relação ou característica unificadora. Nos inquéritos, as questões são principalmente focadas no grupo e nas atitudes e experiências do grupo, e não tanto nos indivíduos entrevistados. Se as questões abrangem o indivíduo e o grupo, usar ambos como unidades de análise.','Group',NULL,15,NULL,5820,'Grupo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',391),(8104,'Inclui texto, imagem, vídeo e som.','MediaUnit',NULL,10,NULL,5833,'Unidade de Media','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',391),(8105,'Qualquer entidade/peça escrita, como livros, artigos, tweets, blogues, etc. Por exemplo, um estudo sobre discurso de ódio nos tweets, ou um estudo sobre a forma como os jornais apresentam certos fenómenos políticos/sociais ao longo do tempo, como os direitos das mulheres ou de outras minorias, etc.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Unidade de Media: Texto','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',391),(8106,'Imagens em movimento. Pode incluir filmes, animação, gravações digitais, output visual de simulações, programas televisivos gravados, vídeos médicos/de diagnóstico como ultrasons, etc. Podem ser silenciosos ou podem incluir som sincronizado.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Unidade de Media: Vídeo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',391),(8107,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,7964,'tulot, omaisuus ja investoinnit/säästäminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',363),(8108,'Historiallisten aineistojen kohdalla käytetään sekä tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan esimerkiksi yleislääkäreiden työskentelyolosuhteita 1960-luvulla, laitetaan \'historia\', \'terveyspalvelut ja terveyspolitiikka\' sekä \'työolot\'. Pääluokkaa käytetään yksin vain silloin, kun sopivaa aihekohtaista termiä ei löydy.','History',NULL,29,NULL,5732,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.1',363),(8109,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus työntekijän taitojen tai pätevyyden lisäämiseksi. Ei sisällä \ntyöharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,NULL,5756,'työpaikkakoulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.1',363),(8110,'','Demography',NULL,0,NULL,5790,'VÄESTÖTILASTOT JA VÄESTÖNLASKENTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.1',363),(8111,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään\n usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan \nvirallisista tilastoista.','Demography.Censuses','Demography',1,NULL,7962,'väestönlaskennat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',363),(8112,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,NULL,5757,'maahanmuutto, maastamuutto ja sisäinen muuttoliike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.1',363),(8113,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden \nväestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu \nsiihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmaantuvuus tietyssä \nmaassa tai tietyllä maantieteellisellä alueella vuoden aikana. \nKuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden \nlukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä \nmaantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. \nlapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot \nterveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,NULL,5769,'sairastuvuus ja kuolleisuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.1',363),(8114,'','Economics',NULL,4,NULL,5758,'TALOUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.1',363),(8115,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. \nEsimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset \nkuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. \nkuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he \ntekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin \nperustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,NULL,5773,'kulutus ja kuluttajakäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.1',363),(8116,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. \nTunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, \ntyöllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien  \nvelkaantumisaste, investoinnit, innovaatiotoiminta. Termiä käytetään \nmyös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien \ntaloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',6,NULL,5793,'talouden tila ja tunnusluvut','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.1',363),(8117,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,'talouspolitiikka, julkiset menot ja tulot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',363),(8118,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä \n(kapitalistinen, sosialistinen, markkinatalous).  Sisältää myös \nkehitysyhteistyöhön liittyvät aiheet.','Economics.EconomicSystemsAndDevelopment','Economics',8,NULL,5794,'talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.1',363),(8119,'','Education',NULL,10,NULL,5728,'KOULUTUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.1',363),(8120,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,5729,'esi- ja peruskoulu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',363),(8121,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen \nkoulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos\n puhutaan olemassa olevista, koulutukseen liittyvistä laeista ja \nmääräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä\n tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',12,NULL,5747,'koulutuspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.1',363),(8122,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin \ntutkintoihin johtavaan koulutukseen, mukaan lukien lukio, \nammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden \nopiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen \nsisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta \nkoulutuksesta käytetään termiä \'ammatillinen koulutus\'.','Education.HigherAndFurtherEducation','Education',13,NULL,5762,'toisen ja korkea-asteen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.1',363),(8123,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon \njohtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla \nparantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain \noppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. \nHUOM! Työpaikan antamasta tai maksamasta koulutuksesta käytetään termiä \n\'työpaikkakoulutus\'.','Education.LifelongContinuingEducation','Education',14,NULL,5765,'täydennys- ja jatkokoulutus, elinikäinen oppiminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.1',363),(8124,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, \noppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat \nammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös \nnäiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, \noppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalEducationAndTraining','Education',15,NULL,5745,'ammatillinen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.1',363),(8125,'','Health',NULL,16,NULL,5804,'TERVEYS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.1',363),(8126,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi \nolla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi\n sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai \ntoimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen \nasukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellbeing','Health',19,NULL,5777,'yleinen terveydentila ja hyvinvointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',363),(8127,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat\n ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka \nkansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa\n jo olemassa olevista, terveydenhoitoon liittyvistä laeista ja \nmääräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja \ntarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',20,NULL,5737,'terveyspalvelut ja terveyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.1',363),(8128,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien \nennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. \nTutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat \nkäsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien \nantamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, \npsykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,NULL,5733,'hoito ja lääkitys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.1',363),(8129,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.OccupationalHealth','Health',22,NULL,5805,'työterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.1',363),(8130,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen \nterveydentilan edistäminen kansallisella, alueellisella tai \nkunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy.  Esim.\n terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja \nterveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat \ntekijät.','Health.PublicHealth','Health',24,NULL,5770,'kansanterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.1',363),(8131,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.ReproductiveHealth','Health',25,NULL,5739,'perhesuunnittelu ja lisääntymisterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.1',363),(8132,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko \nobjektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt \ntaudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin \ndiagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen \npituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',26,NULL,5724,'terveydentilaan liittyvät oireet, löydökset ja patologiset tilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.1',363),(8133,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai \nterveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä \nlääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden \npotilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,NULL,5806,'tietyt taudit, sairaudet ja terveydentilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.1',363),(8134,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat \nja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön \nliittyvistä loukkaantumisista ja vammoista, käytetään termiä \n\'työterveys\'.','Health.WoundsAndInjuries','Health',28,NULL,5802,'loukkaantumiset, haavat ja vammat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.1',363),(8135,'','HousingAndLandUse',NULL,30,NULL,5774,'ASUMINEN JA MAANKÄYTTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.1',363),(8136,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. \nAsumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä \npääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',31,NULL,5719,'asuminen ja asunnot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.1',363),(8137,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,NULL,5782,'maankäyttö, suunnittelu ja kaavoitus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.1',363),(8138,'','LabourAndEmployment',NULL,33,NULL,5748,'TYÖVOIMA JA TYÖELÄMÄ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.1',363),(8139,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, \ntiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), \ntyövoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä \naiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,NULL,5717,'työllisyys ja työllistyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.1',363),(8140,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, \ntasa-arvo ja syrjintämääräyksiä, työvoiman kysyntää ja tarjontaa \nkansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo\n olemassa olevasta lainsäädännöstä ja määräyksistä, käytetään termiä \n\'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,NULL,5716,'työvoima- ja työllisyyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.1',363),(8141,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,NULL,5788,'työmarkkinasuhteet ja -järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.1',363),(8142,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, \nvarhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle \nsiirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',38,NULL,5792,'eläkkeelle siirtyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.1',363),(8143,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, \ntyöttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, \ntyöttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,NULL,5753,'työttömyys ja työttömät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.1',363),(8144,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, \nylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja \npsyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, \ntyömäärä, työntekijöiden osallistuminen päätöksentekoon, työn \nautonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta \npuhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,NULL,5767,'työolot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.1',363),(8145,'','LawCrimeAndLegalSystems',NULL,41,NULL,5797,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.1',363),(8146,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, \nrikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa \nmm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,NULL,5800,'rikollisuus ja lainvalvonta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.1',363),(8147,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset \nsäädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta \nja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,NULL,5722,'lainsäädäntö ja oikeusjärjestelmät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.1',363),(8148,'','MediaCommunicationAndLanguage',NULL,44,NULL,5799,'TIEDOTUS, VIESTINTÄ JA KIELI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',363),(8149,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio \ntaloudellisena, poliittisena ja kulttuurisena toimintana. Esimerkiksi \nverkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen \nmedia, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän \ntietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa \nvarsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,5751,'tietoyhteiskunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',363),(8150,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,5796,'kielet ja kielitiede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',363),(8151,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut \nsanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! \nSosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \n\'tietoyhteiskunta\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,5738,'joukkoviestimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',363),(8152,'','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,5741,'mainonta, tiedotus- ja suhdetoiminta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',363),(8153,'','NaturalEnvironment',NULL,49,NULL,5772,'LUONTO JA YMPÄRISTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.1',363),(8154,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, \nvesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai \nkuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat \nenergialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, \nvesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,NULL,5740,'energia- ja luonnonvarat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.1',363),(8155,'Sisältää mm. ympäristön saastumiseen, \nympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,NULL,5776,'ympäristönsuojelu ja ympäristöongelmat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.1',363),(8156,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,NULL,5789,'luonnonmaisemat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.1',363),(8157,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,NULL,5766,'kasvit ja eläimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.1',363),(8158,'','Politics',NULL,54,NULL,5750,'POLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.1',363),(8159,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset \nkonfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. \nHUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja \nlainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',55,NULL,5785,'konfliktit, turvallisuus ja rauha','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.1',363),(8160,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',56,NULL,5725,'vaalit, ehdokkaat ja kansanäänestykset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.1',363),(8161,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen \npäätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, \nkunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja \npoliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten \npuolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan \nja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen \nmukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,'valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',363),(8162,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset \nsuhteet, kansainväliset järjestöt (esim. EU, YK, Maailman \nterveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset \nsopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',58,NULL,5718,'kansainvälinen politiikka ja järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.1',363),(8163,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen \npoliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys \npäätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,NULL,5780,'poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.1',363),(8164,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta \nvoitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita \novat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',60,NULL,5779,'poliittiset ideologiat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.1',363),(8165,'','Psychology',NULL,61,NULL,5749,'PSYKOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.1',363),(8166,'','ScienceAndTechnology',NULL,62,NULL,5743,'TIEDE JA TEKNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.1',363),(8167,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,NULL,5807,'biotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.1',363),(8168,'Kotona, työpaikalla ja muualla käytettävä tieto- ja \ntietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos \naiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \n\'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,NULL,5742,'tietotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.1',363),(8169,'','SocialStratificationAndGroupings',NULL,65,NULL,5755,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.1',363),(8170,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,NULL,5775,'lapset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.1',363),(8171,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,NULL,5803,'ikääntyneet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.1',363),(8172,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja \nvaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri \nvaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, \njoko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden \nkautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, \ntunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,NULL,5798,'eliitit ja vaikuttajat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.1',363),(8173,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä \nsama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia \nesimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, \nvallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai \nsosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta \nasemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä \nesimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen \nintegraation puutteesta. Aineistoesimerkkejä: tilastotiedot \nvarallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä \nryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus\n havaituista eroista naisten ja miesten mahdollisuuksissa kohota \nkorkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten \nkoulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,NULL,5720,'tasa-arvo, eriarvoisuus ja syrjäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.1',363),(8174,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät \naiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, \nperheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,NULL,5726,'perhe-elämä, avioliitto ja sukupolvet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.1',363),(8175,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. \nsukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä \nhaastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; \nnaisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset \nominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja \nvalinnoista ja niiden vaikutukset (esim.  ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,NULL,5787,'sukupuoli ja sukupuoliroolit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.1',363),(8176,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. \nEroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, \nterveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. \nHuomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten\n \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'uskonto ja arvot\' tai \n\'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,NULL,5760,'vähemmistöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.1',363),(8177,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja \nammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli \nyhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai \nvertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin \nluokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä \ntyöskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen \nliikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon \nkorkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen \nyhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,NULL,5791,'yhteiskunnallinen ja ammatillinen liikkuvuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.1',363),(8178,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,NULL,5735,'nuoret','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.1',363),(8179,'','SocialWelfarePolicyAndSystems',NULL,75,NULL,5754,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.1',363),(8180,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja \npäätökset kansallisella, alueellisella tai kunnallisella tasolla. \nKenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on \nsosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää \nsosiaaliturvapalveluita. Esimerkkejä: periaate, jonka mukaan \nikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista \ntai päätös, kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM!\n Puhuttaessa jo olemassa olevasta lainsäädännöstä, käytetään myös termiä\n \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,NULL,5727,'sosiaalipolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.1',363),(8181,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä \nlaajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä,\n kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,5778,'sosiaaliturvajärjestelmä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',363),(8182,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, \nmielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen \ntyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen \nkäytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä \nvanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,5764,'sosiaalipalveluiden käyttö ja saatavuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',363),(8183,'','SocietyAndCulture',NULL,79,NULL,5761,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.1',363),(8184,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät \naiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä \nmaaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja \nliiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,NULL,5786,'lähiympäristö, kaupunki- ja maaseutuelämä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.1',363),(8185,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,NULL,5746,'kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.1',363),(8186,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden\n käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja \nkansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen\n \'ei kuulu meihin\' -joukkoon (toiseuttaminen).  Erilaisten \nidentiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä \nidentiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,NULL,5759,'kulttuuri- ja kansallinen identiteetti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.1',363),(8187,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,NULL,5801,'vapaa-aika, matkailu ja urheilu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.1',363),(8188,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin \nliikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään \nuskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,NULL,5795,'uskonto ja arvot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.1',363),(8189,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; \nsosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet \nnäistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,NULL,5768,'sosiaalinen käyttäytyminen ja asenteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.1',363),(8190,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,5730,'yhteiskunnallinen ja sosiaalinen muutos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.1',363),(8191,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin \nliittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! \nAiheesta riippuen myös termit  \'yleinen terveydentila ja hyvinvointi\', \n\'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'talouden tila ja \ntunnusluvut\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,NULL,5784,'sosiaaliset olot ja indikaattorit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.1',363),(8192,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,NULL,5763,'ajankäyttö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.1',363),(8193,'','TradeIndustryAndMarkets',NULL,89,NULL,5721,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.1',363),(8194,'','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,5736,'maa- ja metsätalous, kalastus, maaseutuelinkeinot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',363),(8195,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja \nhallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit\n tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,NULL,5734,'yritysten hallinto, johtaminen ja organisaatio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.1',363),(8196,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot  rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,NULL,5752,'ulkomaankauppa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.1',363),(8197,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro \njne.), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen.\n Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten \nkäytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan \nmatkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,93,NULL,5771,'KULKEMINEN, KULJETUS JA LIIKENNE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.1',363),(8198,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,94,NULL,5781,'MUU AIHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.1',363),(8199,'The number of parts out of 100. In mathematics, a percentage is a number of ratio expressed as a fraction of 100. Percentages are used to express how large one quantity is relative to another quantity.','Percent',NULL,7,2638,NULL,'Percent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Percent',415),(8200,'The percentile rank of a item is the percentage of items in its frequency distribution which are lower [cannot reach 100%].','PercentileRank',NULL,9,2640,NULL,'Percentile rank','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#PercentileRank',415),(8201,'A value obtained as a result of adding two or more numbers (items/amounts).','Sum',NULL,0,2631,NULL,'Sum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Sum',415),(8202,'The total of a frequency and all frequencies below it in a frequency distribution; the \"running total\" of frequencies [the maximum value is 100%].','CumulativePercent',NULL,8,2639,NULL,'Cumulative percent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#CumulativePercent',415),(8203,'Mathematical average of a set of values. The mean is calculated by adding up two or more values and dividing the total by their number. In social/political science, it is usually the sum of the measurements divided by the number of subjects, or cases.','ArithmeticMean',NULL,1,2632,NULL,'Arithmetic mean','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#ArithmeticMean',415),(8204,'Use when the aggregation method is known, but not found in the list.','Other',NULL,10,2641,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Other',415),(8205,'The lowest value attained or recorded.','Minimum',NULL,6,2637,NULL,'Minimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Minimum',415),(8206,'Total number of units in a group of items.','Count',NULL,2,2633,NULL,'Count','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Count',415),(8207,'The highest value attained or recorded.','Maximum',NULL,5,2636,NULL,'Maximum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Maximum',415),(8208,'The middle value in a series of values arranged sequentially from smallest to largest.','Median',NULL,4,2635,NULL,'Median','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Median',415),(8209,'The value that appears most often in a set of values.','Mode',NULL,3,2634,NULL,'Mode','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html#Mode',415),(8220,'A subset of real numbers, which can be represented by a finite-length sequence of decimal digits (0-9) separated by a period as a decimal indicator. An optional leading sign is allowed. If the sign is omitted, \"+\" is assumed. Leading and trailing zeroes are optional. If the fractional part is zero, the period and following zero(es) can be omitted. For example: -1.23, 12678967.543233, +100000.00, 210. A numeric datatype corresponding to the W3C XML Schema\'s xs:decimal datatype.','Decimal',NULL,4,4528,NULL,'Decimal','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Decimal',417),(8221,'Whole numbers,  the infinite set of integers, no minimum or maximum value.  An integer datatype corresponding to the W3C XML Schema\'s xs:integer datatype.','Integer',NULL,0,4524,NULL,'Integer','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Integer',417),(8222,'A value that increases continuously and infinitely by a given amount. Use of this term in DDI-L indicates that the value increases by the amount provided in the \"interval\" facet; the \"isSequence\" facet will be set to \"true\".','Incremental',NULL,8,4532,NULL,'Incremental','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Incremental',417),(8223,'Double-precision 64-bit floating point type. The basic value space of double consists of the values m*2^e, where m is an integer whose absolute value is less than 2^53, and e is an integer between -1075 and 970, inclusive. In addition to the basic value space described above, the value space of double also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for double. A numeric datatype corresponding to the W3C XML Schema\'s xs:double datatype.','Double',NULL,6,4530,NULL,'Double','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Double',417),(8224,'Whole numbers in the range -9223372036854775808 .. 9223372036854775807. A numeric datatype corresponding to the W3C XML Schema\'s xs:long datatype.','Long',NULL,2,4526,NULL,'Long','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Long',417),(8225,'Whole numbers in the range -32768 .. 32767. A numeric datatype corresponding to the W3C XML Schema\'s xs:short datatype.','Short',NULL,3,4527,NULL,'Short','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Short',417),(8226,'Use if the numeric type is known, but not found in the list.','Other',NULL,9,4533,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Other',417),(8227,'Whole numbers in the range -2147483648 .. 2147483647. An integer datatype corresponding to the W3C XML Schema\'s xs:int datatype.','Int',NULL,1,4525,NULL,'Int ','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Int',417),(8228,'Ordinal number of objects in a finite set, discrete. A simple incrementing Integer type. When using in DDI-L, the \"isSequence\" facet must be set to true, and the \"interval\" facet must be set to \"1\".','Count',NULL,7,4531,NULL,'Count','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Count',417),(8229,'Single-precision 32-bit floating point type: The basic value space of float consists of the values m*2^e, where m is an integer whose absolute value is less than 2^24, and e is an integer between -149 and 104, inclusive. In addition, it also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for float. A numeric datatype corresponding to the W3C XML Schema\'s xs:float datatype.','Float',NULL,5,4529,NULL,'Float','https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html#Float',417),(8230,'Whole numbers in the range 0 .. 4294967295.','UnsignedInt',NULL,14,3068,NULL,'Unsigned int','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#UnsignedInt',418),(8231,'Whole numbers less than 0.','NegativeInteger',NULL,6,3060,NULL,'Negative integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#NegativeInteger',418),(8232,'A subset of real numbers, which can be represented by a finite-length sequence of decimal digits (0-9) separated by a period as a decimal indicator. An optional leading sign is allowed. If the sign is omitted, \"+\" is assumed. Leading and trailing zeroes are optional. If the fractional part is zero, the period and following zero(es) can be omitted. For example: -1.23, 12678967.543233, +100000.00, 210.','Decimal',NULL,3,3057,NULL,'Decimal','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Decimal',418),(8233,'Whole numbers in the range 0 .. 255 (system dependent).','UnsignedByte',NULL,16,3070,NULL,'Unsigned byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#UnsignedByte',418),(8234,'A Uniform Resource Identifier such as ftp, http or mailto, e.g., http://www.w3.org/TR/xmlschema-2.','AnyURI',NULL,30,3084,NULL,'anyURI','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#AnyURI',418),(8235,'Integer-valued day, e.g., 24.','GDay',NULL,25,3079,NULL,'Day','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#GDay',418),(8236,'Integer-valued month and day, e.g., 12-31.','GMonthDay',NULL,24,3078,NULL,'MonthDay','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#GMonthDay',418),(8237,'Use if the data type is known, but not found in the list.','Other',NULL,31,3085,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Other',418),(8238,'Type of string in which any occurrence of whitespace (including tabs, line feeds, and carriage returns) is replaced by a single space.','NormalizedString',NULL,1,3055,NULL,'Normalized string','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#NormalizedString',418),(8239,'Whole numbers less than 1.','NonPositiveInteger',NULL,8,3062,NULL,'Non-positive integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#NonPositiveInteger',418),(8240,'A duration of time. The value space of \"duration\" is a six-dimensional space in which the coordinates designate the Gregorian year, month, day, hour, minute, and second components as defined in ISO 8601. These components are ordered in their significance by their order of appearance as year, month, day, hour, minute, and second. The lexical representation of duration is the extended format PnYnMnDTnHnMnS, where P is the flag for duration (i.e., Period) and is constant, nY represents the number of years, nM the number of months, nD the number of days, T is the date/time separator, nH the number of hours, nM the number of minutes and nS the number of seconds. The number of seconds can include decimal digits to arbitrary precision. For example, to indicate a duration of 1 year, 2 months, 3 days, 10 hours, and 30 minutes, one would write: \"P1Y2M3DT10H30M.\" An optional preceding minus sign (\"-\") is allowed, to indicate a negative duration: a duration of minus 120 days would be indicated as: \"-P120D\" (from: http://www.w3.org/TR/xmlschema-2/#duration).','Duration',NULL,27,3081,NULL,'Duration','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Duration',418),(8241,'True or false. Can be represented by 1 and 0 correspondingly.','Boolean',NULL,2,3056,NULL,'Boolean','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Boolean',418),(8242,'Whole numbers in the range -9223372036854775808 .. 9223372036854775807.','Long',NULL,9,3063,NULL,'Long','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Long',418),(8243,'Whole numbers in the range -32768 .. 32767.','Short',NULL,11,3065,NULL,'Short','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Short',418),(8244,'Integer-valued month, e.g., 03.','GMonth',NULL,26,3080,NULL,'Month','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#GMonth',418),(8245,'Single-precision 32-bit floating point type: The basic value space of float consists of the values m*2^e, where m is an integer whose absolute value is less than 2^24, and e is an integer between -149 and 104, inclusive. In addition, it also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for float.','Float',NULL,17,3071,NULL,'Float','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Float',418),(8246,'Integer-valued year, e.g., 2005.','GYear',NULL,23,3077,NULL,'Year','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#GYear',418),(8247,'Whole numbers in the range -2147483648 .. 2147483647.','Int',NULL,10,3064,NULL,'Int','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Int',418),(8248,'Integer-valued year, month, day, and time zone hour and minutes, e.g., 2003-06-30-05:00 (30 June 2003 Eastern Standard Time U.S.).','Date',NULL,21,3075,NULL,'Date','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Date',418),(8249,'Whole numbers, the infinite set of integers, no minimum or maximum value.','Integer',NULL,4,3058,NULL,'Integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Integer',418),(8250,'Whole numbers greater than -1.','NonNegativeInteger',NULL,7,3061,NULL,'Non-negative integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#NonNegativeInteger',418),(8251,'Double-precision 64-bit floating point type. The basic value space of double consists of the values m*2^e, where m is an integer whose absolute value is less than 2^53, and e is an integer between -1075 and 970, inclusive. In addition to the basic value space described above, the value space of double also contains the following three special values: positive and negative infinity and not-a-number (NaN). The special values positive and negative infinity and not-a-number have lexical representations INF, -INF and NaN, respectively. Lexical representations for zero may take a positive or negative sign. For example, -1E4, 1267.43233E12, 12.78e-2, 12 , -0, 0 and INF are all legal literals for double.','Double',NULL,18,3072,NULL,'Double','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Double',418),(8252,'Sequence of multiples of four base64 digits, where each 4-tuple represents a 24-bit integer. Each digit (a-z, A-Z, 0-9, +, /) represents a 6-bit integer between 0 and 63.','Base64Binary',NULL,29,3083,NULL,'base64Binary','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Base64Binary',418),(8253,'Whole numbers greater than 0.','PositiveInteger',NULL,5,3059,NULL,'Positive integer','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#PositiveInteger',418),(8254,'Even-lengthed sequence of hexadecimal digits representing an N times 8-bit integer.','HexBinary',NULL,28,3082,NULL,'hexBinary','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#HexBinary',418),(8255,'Whole numbers in the range 0 .. 18446744073709551615.','UnsignedLong',NULL,13,3067,NULL,'Unsigned long','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#UnsignedLong',418),(8256,'Whole numbers in the range -128 .. 127.','Byte',NULL,12,3066,NULL,'Byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Byte',418),(8257,'Whole numbers in the range 0 .. 65535.','UnsignedShort',NULL,15,3069,NULL,'Unsigned short','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#UnsignedShort',418),(8258,'Integer-valued year, month, day, hour and minute, plus decimal-valued second property, and time zone hour and minute (e.g., 2002-10-10T12:00:00-05:00).','DateTime',NULL,19,3073,NULL,'DateTime','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#DateTime',418),(8259,'Integer-valued year and month, e.g., 2004-11.','GYearMonth',NULL,22,3076,NULL,'YearMonth','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#GYearMonth',418),(8260,'Left-truncated dateTime, e.g., 13:20:00-05:00 (1:20 pm for Eastern Standard Time U.S.).','Time',NULL,20,3074,NULL,'Time','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#Time',418),(8261,'Finite sequences of characters. A character is an atomic unit of written communication; it is not further specified except to note that every character has a corresponding Universal Character Set code point (which is an integer).','String',NULL,0,3054,NULL,'String','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html#String',418),(8262,'Enhver individuell person.','Individual',NULL,0,NULL,5827,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',386),(8263,'To eller flere mennesker som er i slekt med blod, ekteskap (inkludert ste-relasjoner), samboerskap eller registrerte partnere, adopsjon eller fosterbarn som enten lever eller ikke lever sammen. For eksempel, data om hvilke typer offentlige tjenster familien bruker eller har behov for; eller hvor ofte familiemedlemmene er i kontakt med hverandre.','Family',NULL,2,NULL,5828,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',386),(8264,'Et mer spesifikt begrep som kun referer til personer som er beslektet gjennom familierelasjoner (se definisjonen for \'Familie\') og som bor i den samme husholdningen på et gitt tidspunkt. Om det ikke er kjent om analyseenheten er \'Familie\' eller \'Familiehusholdning\' skal begrepet \'Familie\' benyttes.','Family.HouseholdFamily','Family',3,NULL,5829,'Familie: familiehusholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',386),(8265,'Et geografisk område styrt av en suveren myndighet som har makten til beslutte administrative eller politiske avgjørelser for det området. Dette inkluderer områder på overstatlig (f.eks sammenslutninger av stater som Den Europeiske Union), nasjonalt (f.eks individuelle stater eller land), subnasjonalt (f.eks administrative oppdelinger som føderale stater, provinser etc.) og lokalt (f.eks kommuner) nivå.','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Politisk administrativt område','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',386),(8266,'Inkluderer tekst, stillbilder, video og lyd.','MediaUnit',NULL,10,NULL,5833,'Medieenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',386),(8267,'Lydopptak, inkludert stemme, musikk, etc.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Medieenhet: Lyd','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',386),(8268,'Statiske bilder som grafer, tegninger, fotografier, diagnostiske/medisinske bilder som røntgen og andre bildetester, etc.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Medieenhet: Stillbilde','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',386),(8269,'Alle skrevne tekster/enheter som bøker, artikler, tweets, blogger, etc. For eksempel: en studie om hatefulle ytringer i tweets, en studie om måten nyhetsaviser fremstiller enkelte politiske/sosiale problemer over tid, som kvinners eller minoriteters rettigheter.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Medieenhet: Tekst','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',386),(8270,'Bevegelige bilder. Kan inkludere filmer, animasjoner, digitale opptak, visuell produksjon fra simuleringer, innspilte fjernsynsprogram, diagnostiske/medisinske videor som ultralyd skanninger, etc. Kan være uten lyd eller med synkronisert lyd.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Medieenhet: video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',386),(8271,'To eller flere personer som samles eller som har et forhold som forener dem. I spørreundersøkelser er spørsmålene hovedsaklig rettet mot gruppen og holdningen/opplevelsene til gruppen i steden for de individuelle respondentene. Hvis spørsmål angår både gruppen og individene, bruk begge som analyseenhet.','Group',NULL,15,NULL,5820,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',386),(8272,'Data om folk sin fysiske form generelt, fysisk aktivitet og trening som de utøver.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Fysisk form og trening','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',365),(8273,'Ernæringsprosesser, spisemønstre og -vaner, og målbare ernæringsparametre, som kroppsmasseindeks (BMI), vekt, vitaminnivå.','Health.DietAndNutrition','Health',17,NULL,5810,'Diett og ernæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',365),(8275,'Ernährungsweisen, Essverhalten und messbare Kenngrößen zur Ernährungsweise wie Body-Maß-Index (BMI), Gewicht, Vitaminspiegel.','Health.DietAndNutrition','Health',17,NULL,5810,'Ernährung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',362),(8277,'Undersøkelser av en hel befolkning, i motsetning til undersøkelser av et utvalg. Ofte brukt i sammenheng med offisielle fortegnelser av en befolkning, og inkluderer vanligvis relatert demografisk informasjon. Legg merke til at det i noen land ikke blir brukt folketellinger ettersom demografisk informasjon foreligger i offisielle registre.','Demography.Censuses','Demography',1,NULL,7962,'Folketellinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',365),(8278,'Data om økonomisk politikk, omfatter budsjett- og finanspolitikk, statlige utgifter og inntekter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,'Økonomisk politikk, offentlige utgifter og inntekter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',365),(8279,'Brukes på studier som omhandler akkumulasjon av personlige eiendeler, inkludert inntekt, eiendom, investeringer og sparing.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,7964,'Inntekt, formue og investeringer/sparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',365),(8280,'Problemstillinger knyttet til nasjonalt, regionalt eller lokalt regjerende organer (for eksempel regjering, parlament, kommunestyre), statsforvaltning, andre politiske organisasjoner som politiske partier. Kan være f.eks data om regjerende politikk, politiske partier og deres politikk, ledere i politiske partier, tiltro til regjerende organer. Bemerk at du muligens også bør bruke en egen emnebeskrivelse.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,'Styresett, politiske systemer og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',365),(8281,'En enskild person.','Individual',NULL,0,NULL,5827,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',388),(8282,'Två eller fler personer som är släkt genom blodsband, äktenskap (inklusive styvsyskon, -föräldrar, -barn m.m.), samboskap eller registrerat partnerskap, adoption eller fosterfamiljeskap, men som inte nödvändigtvis bor tillsammans. Till exempel data om vilka offentliga tjänster familjen använder eller skulle vara i behov av, eller hur ofta familjemedlemmar har kontakt med varandra.','Family',NULL,2,NULL,5828,'Familj','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',388),(8283,'En mer specifik term än \"Familj\". Betecknar endast människor som är släkt genom familjeband (se definitionen för \"Familj\") och som bor tillsammans i samma hushåll vid en given tidpunkt. Om det inte är känt huruvida analysenheten är \"Familj\" eller \"Familjehushåll\" ska \"Familj\" användas.','Family.HouseholdFamily','Family',3,NULL,5829,'Familj: Familjehushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',388),(8284,'Ett geografiskt område som styrs av en bestämmande myndighet med makt att fatta administrativa eller politiska beslut för området. Detta inkluderar områden på överstatlig (t.ex. unioner av stater som EU), statlig (t.ex. delstater eller länder), subnationell/regional (t.ex. förvaltningsområden som federala delstater, provinser osv.) och lokal (t.ex. kommuner) nivå.','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Politiskt förvaltningsområde','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',388),(8285,'Inkluderar text, stillbilder, video och ljud.','MediaUnit',NULL,10,NULL,5833,'Mediaenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',388),(8286,'Inspelat ljud, som röst, musik m.m.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Mediaenhet: Ljud','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',388),(8287,'Statiska bilder, som diagram, ritningar, fotografier, diagnostiska/medicinska bilder som röntgenbilder eller andra typer av bilddiagnostiska undersökningar&nbsp;osv.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Mediaenhet: Stillbild','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',388),(8288,'Alla skrivna texter, som böcker, artiklar, tweets, bloggar m.m. Till exempel en studie om hets mot folkgrupp i tweets, eller en studie om hur tidningar beskriver olika politiska/sociala ämnen över tid, som kvinnors eller minoriteters rättigheter osv.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Mediaenhet: Text','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',388),(8289,'Rörliga bilder. Det kan inkludera filmer, animationer, digitala inspelningar, visuella utdata från simuleringar, inspelade tv-program, diagnostiska/medicinska videor som ultraljudsundersökningar osv. De kan vara utan ljud eller med synkroniserat ljud.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Mediaenhet: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',388),(8290,'Två eller fler personer som samlats eller som har någon form av relation eller egenskap som förenar dem. I surveyundersökningar fokuserar frågorna framför allt på gruppen och gruppens attityder/erfarenheter, snarare än på de enskilda respondenterna. Om frågorna gäller både gruppen och individen, använd båda som analysenheter.','Group',NULL,15,NULL,5820,'Grupp','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',388),(8291,'Näringsprocesser, ätmönster och matvanor, och mätbara näringsparametrar som kroppsmasseindex (BMI), vikt och vitaminnivåer.','Health.DietAndNutrition','Health',17,NULL,5810,'Kost och näring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',367),(8293,'Data om människors allmänna konditionsnivå, fysiska aktivitet och vilken träning de ägnar sig åt.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Fysisk form och träning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',367),(8294,'Studier av en hel befolkning till skillnad från studier av urvalsgrupper. Används ofta för statens räkning av en befolkning och innehåller vanligtvis även insamling av relevant demografisk information. Observera att i vissa länder görs inte folkräkningar eftersom demografisk information kan erhållas från officiella register.','Demography.Censuses','Demography',1,NULL,7962,'Folkräkningar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',367),(8295,'Data om ekonomisk politik, inklusive budget- och finanspolitik, offentliga utgifter och offentliga intäkter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,'Ekonomisk politik, offentliga utgifter och intäkter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',367),(8296,'Används för studier om ackumulering av personliga tillgångar, inklusive inkomst, egendom, investeringar och sparkapital.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,7964,'Inkomster, egendom och investeringar/sparande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',367),(8297,'Ämnen om politisk styrning på nationell, regional och lokal nivå, deras förvaltningar (t.ex. regering, riksdag och kommunfullmäktige), offentlig förvaltning och andra politiska organisationer, som politiska partier. Till exempel data om regeringspolitik, politiska partier och deras politik, partiledare, förtroendet för det politiska systemet. Observera att du även kan behöva använda en ämnesterm.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,'Regering, politiska system och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',367),(8298,'Daten zur generellen körperlichen Kondition, der körperlichen Aktivität und zur ausgeübten Bewegung der Befragten.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Körperliche Fitness und Bewegung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',362),(8299,'Befragungen der Gesamtbevölkerung, im Gegensatz zu \nStichprobenbefragungen. In der Regel ist der Zweck eine offizielle \nErhebung der Bevölkerungszahl, üblicherweise bei gleichzeitiger Erhebung\n weiterer demographischer Informationen. In manchen Ländern sind \nVolkszählungen nicht üblich, da entsprechende demographische \nInformationen der offiziellen Statistik bzw. amtlichen Verzeichnissen \nentnommen werden können.','Demography.Censuses','Demography',1,NULL,7962,'Volkszählungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',362),(8300,'Zu verwenden für Studien zu persönlichem Vermögenszuwachs, einschließlich Einkommen, Vermögen, Geldanlagen und Ersparnisse','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,7964,'Einkommen, Vermögen und Geldanlagen/Sparen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',362),(8301,'Daten zu Wirtschaftspolitik, einschließlich Haushalts- und Finanzpolitik, Staatsausgaben und Staatseinnahmen.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,'Wirtschaftspolitik, öffentliche Ausgaben und Einnahmen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',362),(8302,'Die Klasse bezieht sich auf Angelegenheiten nationaler, regionaler und lokaler politischer Institutionen (z.B. Regierung, Parlament, Lokalregierungen), öffentliche Verwaltung und andere politische Organisationsformen wie politische Parteien. Zum Beispiel Daten zur Regierungspolitik, zu politischen Parteien und deren Politik, zu Führungspersonen politischer Parteien oder zum Vertrauen in Regierungsinstitutionen. Je nach Thema muss diese Klasse möglicherweise mit einer anderen kombiniert vergeben werden.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,'Regierung, politische Systeme, Parteien und Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',362),(8303,'Données collectées au fil du temps auprès d\'une même cohorte de répondants. Les individus de la cohorte sont connectés d\'une certaine façon ou ont partagés une expérience significative durant une période donnée. Dans certains cas, les échantillons peuvent différer entre les vagues mais sont tirés depuis la même cohorte. Exemples : année de naissance, pathologie (essais cliniques), problème commun (études d\'intervention), éducation, emploi, composition familiale, participation à un événement.','Longitudinal.CohortEventBased','Longitudinal',1,7252,NULL,'Longitudinale : cohorte / basée sur un événement','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal.CohortEventBased',419),(8304,'Données recueillies auprès d\'un panel de répondant sur une base régulière.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,7255,NULL,'Longitudinale : panel : continu','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal.Panel.Continuous',419),(8305,'Données collectées à plusieurs reprises au fil du temps pour étudier les changements dans les observations. Celles-ci sont typiquement des mesures \"objectives\" de phénomènes qui peuvent être observé de l\'extérieur, comme l\'opposition attitudes / opinions ou sentiments. Les exemples peuvent inclure des indicateurs économiques / financiers, de phénomènes naturels / météorologiques, de statistiques de l\'état civil, etc.','TimeSeries',NULL,6,7257,NULL,'Série temporelle','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#TimeSeries',419),(8306,'Données collectées au fil du temps auprès, ou à peu près, du même échantillon de répondants. Diffèrent des données de cohorte dans le fait que la sélection des répondants n\'est pas basée sur le fait qu\'ils sont liés d\'une façon ou d\'un d\'autre ou qu\'ils ont partagé une expérience significative.','Longitudinal.Panel','Longitudinal',3,7254,NULL,'Longitudinale : panel','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal.Panel',419),(8307,'Données collectées à un moment donné pour compléter des informations collectées dans une étude transversale précédente ; la décision de collecter ces données complémentaires n\'étaient pas incluse dans la conception initiale de l\'étude.','CrossSectionAdHocFollowUp',NULL,10,7261,NULL,'Transversale ponctuelle complémentaire','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#CrossSectionAdHocFollowUp',419),(8308,'Données collectées auprès de différents échantillons ou différents groupes de personnes issues de la même population à plusieurs moments, utilisant au moins partiellement le même ensemble de questions / variables. Des conclusions sont tirées pour la population. Exemples : Enquête sociale européenne (ESS), des enquêtes nationales longitudinales sur la criminalité.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,7253,NULL,'Longitudinale : tendance / transversale répétée','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal.TrendRepeatedCrossSection',419),(8309,'Utilisez si la méthode temporelle est connue, mais pas présente dans la liste.','Other',NULL,11,7262,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Other',419),(8310,'Les mesures sont prises (habituellement régulièrement) à des intervalles espacés. Exemples : macroéconomie (cours hebdomadaires des actions ; bénéfices, ventes mensuels) ; météorologie (température horaire) ; mesures des individus (pression sanguine, poids, taille) ; sociologie (taux de criminalité, taux d\'emploi), etc.','TimeSeries.Discrete','TimeSeries',8,7259,NULL,'Série temporelle : discrète','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#TimeSeries.Discrete',419),(8311,'Données collectées par observation de sujets pendant la période d\'étude, sans prendre en compte les changements au fil du temps. Peut inclure plus d\'une collection d\'événements. L\'analyse de données transversales consiste souvent à comparer les différences et les similitudes entre des sujets.','CrossSection',NULL,9,7260,NULL,'Transversale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#CrossSection',419),(8312,'Données collectées auprès d\'un panel de répondants seulement lorsque des informations sont nécessaires.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,7256,NULL,'Longitudinale : panel : intervalle','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal.Panel.Interval',419),(8313,'Données collectées à plusieurs reprises au fil du temps pour permettre d\'étudier les changements dans une population. Au moins certaines des questions ou modules sont répétés au fil des vagues. Utilisez ce terme quand aucun des sous-termes ne convient.','Longitudinal',NULL,0,7251,NULL,'Longitudinale','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#Longitudinal',419),(8314,'Les mesures sont prises à chaque instant dans le temps. Exemple : détecteurs de mensonges, électrocardiogrammes, etc.','TimeSeries.Continuous','TimeSeries',7,7258,NULL,'Série temporelle : continue','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html#TimeSeries.Continuous',419),(8315,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusifs qui couvrent la population entière. Des échantillons aléatoires indépendants sont alors tirés de chaque segment. Par exemple, dans une enquête nationale d\'opinion publique la population entière est divisée en deux strates régionales : Est et Ouest. Après cela, les unités d\'échantillonnage sont tirées à partir de chaque région utilisant un échantillonnage aléatoire simple ou systématique. Utilisez ce terme si le type spécifique de l\'échantillonnage stratifié n\'est pas connu ou est difficile à identifier.','Probability.Stratified','Probability',4,7564,NULL,'Probabiliste : stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Stratified',420),(8316,'Le plan d\'échantillonnage qui combine échantillonnage probabiliste et non probabiliste au sein d\'un même processus d\'échantillonnage. Différents type d\'échantillonnage peuvent être utilisés à différentes étapes de création de l\'échantillon. Par exemple, pour un échantillon d\'élèves issus de l\'immigration dans une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Alors, un échantillon par quotas des élèves est sélectionné au sein de chaque école dans une seconde étape. Si des échantillons distincts sont tirés à partir de la même population cible à l\'aide de différentes méthodes d\'échantillonnage, le type de procédure d\'échantillonnage utilisé pour chaque échantillon devra être classé séparément.','MixedProbabilityNonprobability',NULL,16,7559,NULL,'Mixte probabiliste et non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#MixedProbabilityNonprobability',420),(8317,'Les unités de l\'échantillon sont identifiées à partir d\'une population cible avec l\'assistance d\'unités déjà sélectionnées (adapté de \"Public Health Research Methods\", ed. Greg Guest, Emily E. Namey, 2014). Un cas typique est l\'échantillonnage boule de neige, dans lequel le chercheur identifie un groupe d\'unités qui correspond à un critère particulier d\'éligibilité. Ces dernières sont invitées à recruter d\'autres membres de la même population qui remplissent le même critère d\'éligibilité (échantillonnage de populations spécifiques comme des migrants, etc.)','Nonprobability.RespondentAssisted','Nonprobability',15,7566,NULL,'Non probabiliste : participation volontaire','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Nonprobability.RespondentAssisted',420),(8318,'La population cible est subdivisée dans des segments séparés et mutuellement exclusifs d\'après certains critères de quotas prédéfinis. La distribution des critères de quotas (genre / âge / ratio d\'ethnicité, ou des autres caractéristiques, comme la religion, l\'éducation, etc.) est destinée à refléter la structure réelle de la population cible ou la structure désirée de la population étudiée. Des échantillons non probabilistes sont alors tirés à partir de chaque segment jusqu\'à ce qu\'un nombre spécifique d\'unités soit atteint. Par exemple, si la population cible compte 45 pour cent de femmes et 55 pour cent d\'hommes, un échantillon par quotas proportionnel devra avoir les mêmes pourcentages par genre, alors que dans un échantillon par quotas non proportionnel le pourcentage sera différent, basé sur certaines considérations liées à l\'étude (par exemple, le besoin de sur-échantillon pour certains segments sous-représentés de la population).','Nonprobability.Quota','Nonprobability',14,7561,NULL,'Non probabiliste : quota','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Nonprobability.Quota',420),(8319,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectés à partir de tous les unités dans chaque groupe sélectionné. Par exemple, pour un échantillon d\'élèves d\'une ville, un nombre d\'écoles devrait être choisi en utilisant une méthode de sélection aléatoire, et puis tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.SimpleRandom','Probability.Cluster',8,7571,NULL,'Probabiliste : grappe : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Cluster.SimpleRandom',420),(8320,'La population cible est divisée dans des segments existants naturellement (grappes) ; Ensuite, ceux-ci sont divisés dans des strates mutuellement exclusives et un échantillon aléatoire des groupes est sélectionné depuis chaque strate. Les données sont alors collectées depuis toutes les unités au sein de chaque groupe. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles seraient divisées en deux strates par type d\'école (privée vs. public) ; Les écoles seraient alors sélectionnées aléatoirement depuis chaque strate, et tous les élèves de chaque école échantillonnée seraient inclus.','Probability.Cluster.StratifiedRandom','Probability.Cluster',9,7560,NULL,'Probabiliste : grappe : aléatoire stratifié','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Cluster.StratifiedRandom',420),(8321,'La population cible est divisée dans des segments existants naturellement (grappes) et un échantillon probabiliste de groupes est sélectionné. Des données sont alors collectées à partir de tous les unités dans chaque groupe sélectionné. L\'échantillonnage est souvent regroupé selon la géographie, ou la période de temps. Utilisez ce terme si un terme plus spécifique d\'échantillonnage en grappes n\'est pas connu ou est difficile à identifier.','Probability.Cluster','Probability',7,7570,NULL,'Probabiliste : grappe','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Cluster',420),(8322,'La sélection de l\'échantillon est basée sur la disponibilité, l\'accès relativement facile des unités. Elles peuvent être facile à approcher, ou peuvent elles-mêmes choisir de participer à l\'étude (auto-sélection). Les chercheurs peuvent avoir un groupe particulier à l\'esprit mais ils ne peuvent pas contrôler les mécanismes de sélection de l\'échantillon. Par exemple, des étudiants vivant dans un bâtiment particulier du campus peuvent être approchés, ou des individus peuvent volontairement participer en répondant à des invitations qui ne les ciblent pas spécifiquement, mais un groupe plus large auquel ils peuvent appartenir. Aussi appelé échantillonnage de \"convenance\" ou d\'\"opportunité\".','Nonprobability.Availability','Nonprobability',12,7568,NULL,'Non probabiliste : disponibilité','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Nonprobability.Availability',420),(8323,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon disproportionnel le nombre des unités choisies à partir de chaque strate n\'est pas proportionnel à la taille de population de la strate par rapport à la population entière. Le nombre d\'unités échantillonnées à partir de chaque strate peut être égal, optimal, ou peut refléter la raison de l\'enquête, comme le sur-échantillonnage de différents sous-groupes de la population. Par exemple, un pays est divisé en deux strates qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population du pays. Si une représentation égale des deux régions est nécessaire dans une étude, la moitié de l\'échantillon peut être tirée à partir de l\'Ouest et la moitié de l\'Est, tel que chaque région est représentée par 50 pour cent de l\'échantillon. Si une analyse plus détaillée de la population de l\'Est est nécessaire, 40 pour cent des unités peuvent être tirées à partir de l\'Ouest et 60 pour cent à partir de l\'Est, tel que l\'Est est surreprésenté.','Probability.Stratified.Disproportional','Probability.Stratified',6,7562,NULL,'Probabiliste : stratifié : disproportionné','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Stratified.Disproportional',420),(8324,'Utilisez si la procédure d\'échantillonnage est connue, mais pas présente dans la liste.','Other',NULL,17,7569,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Other',420),(8325,'Les unités échantillonnées sont spécifiquement identifiées, sélectionnées et contactées pour les informations qu\'elles peuvent fournir sur le thème recherché. La sélection est basée sur différentes caractéristiques de variables indépendantes et / ou dépendantes à l\'étude, et repose sur le jugement des chercheurs. Les auteurs de l\'étude, ou les personnes autorisées par eux ont le contrôle au-delà des mécanismes de sélection de l\'échantillon et l\'univers est défini en termes de critères de sélection. Aussi appelé échantillonnage par \"jugement\". Par exemple, un chercheur en médecine peut intentionnellement sélectionner des individus qui sont similaires à la plupart des égards, excepté en ce qui concerne le résultat du sujet de recherche, qui peut être une maladie spécifique. Certains types d\'échantillonnages raisonnés sont des échantillonnage de cas typiques / déviants, de variation homogène / maximale, d\'experts ou de cas critiques.','Nonprobability.Purposive','Nonprobability',13,7557,NULL,'Non probabiliste : raisonné','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Nonprobability.Purposive',420),(8326,'L\'échantillonnage est effectué par étapes en utilisant des unités plus en plus petites à chaque étape, et toutes les étapes impliquent une sélection aléatoire. Le type de procédure d\'échantillonnage aléatoire peut être différent à chaque étape. Par exemple, pour un échantillon d\'élèves d\'une ville, les écoles sont sélectionnées aléatoirement dans une première étape. Un échantillon aléatoire de classes des écoles sélectionnées est tiré dans une deuxième étape. Les élèves sont alors sélectionnés aléatoirement depuis chacune de ces classes dans une troisième étape.','Probability.Multistage','Probability',10,7558,NULL,'Probabiliste : multi-étapes','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Multistage',420),(8327,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible ont une probabilité non nulle d\'être incluses dans l\'échantillon et cette probabilité peut être fidèlement déterminée. Utilisez ce terme si un terme plus spécifique d\'échantillonnage probabiliste n\'est pas connu ou est difficile à identifier.','Probability',NULL,1,7563,NULL,'Probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability',420),(8328,'Toutes les unités de la population cible ont une probabilité identique d\'être incluses dans l\'échantillon. Typiquement, la population entière est listée dans une \"base de sondage\", et des unités sont alors choisies à partir de cette base en utilisant une méthode de sélection aléatoire.','Probability.SimpleRandom','Probability',2,7574,NULL,'Probabiliste : aléatoire simple','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.SimpleRandom',420),(8329,'Toutes les unités (individus, ménages, organisations, etc.) de la population cible sont incluses dans la collecte des données. Par exemple, si la population cible est définie comme les membres d\'une organisation syndicale, tous les membres syndicaux sont invités à participer à l\'étude. Aussi appelé \"recensement\" si la population complète d\'une unité régionale (e.g. un pays) est sélectionnée.','TotalUniverseCompleteEnumeration',NULL,0,7573,NULL,'Univers complet / dénombrement complet','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#TotalUniverseCompleteEnumeration',420),(8330,'La population cible est subdivisée dans des segments (strates) séparées et mutuellement exclusives qui couvrent la population entière. Dans un échantillon stratifié proportionnel le nombre d\'éléments choisis dans chaque strate est proportionnel à la taille de la population de la strate par rapport à la population entière. Par exemple, un pays est divisé en deux strates régionales qui comprend 80 pour cent (Ouest) et 20 pour cent (Est) de la population totale. Pour un échantillon de 1 000 personnes, 800 (i. e., 80 pour cent) devraient être tirées à partir de l\'Ouest et 200 (i. e., 20 pour cent) à partir de l\'Est pour représenter fidèlement leur proportion dans la population totale.','Probability.Stratified.Proportional','Probability.Stratified',5,7565,NULL,'Probabiliste : stratifié : proportionnel','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.Stratified.Proportional',420),(8331,'La sélection des unités (individus, ménages, organisations, etc.) depuis la population cible n\'est pas basé sur une sélection aléatoire. Il n\'est pas possible de déterminer la probabilité de chaque élément d\'être échantillonné. Utilisez ce terme si le type spécifique d\'échantillonnage non probabiliste n\'est pas connu, difficile à identifier, ou si de multiples méthodes non probabilistes ont été employées.','Nonprobability',NULL,11,7567,NULL,'Non probabiliste','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Nonprobability',420),(8332,'Un intervalle de sélection fixe est déterminé en divisant la taille de la population par la taille désirée de l\'échantillon. Le point de départ est alors un tirage au sort à partir de la base de sondage, laquelle couvre normalement la population cible totale. À partir de ce point de départ, des unités pour l\'échantillonnage sont choisies en fonction de l\'intervalle de sélection. Aussi connu comme l\'échantillonnage par intervalle. Par exemple, une enquête dans une entreprise porte sur un échantillon de 1 000 employés sur un total de 10 000. En commençant par un nombre de départ aléatoire, tous les 10 noms de la liste des employés de l\'entreprise seront invités à participer à l\'étude.','Probability.SystematicRandom','Probability',3,7572,NULL,'Probabiliste : aléatoire systématique','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html#Probability.SystematicRandom',420),(8333,'','SocialStratificationAndGroupings',NULL,65,7629,NULL,'STRATIFICATION ET GROUPES SOCIAUX','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.3',421),(8334,'Traitement de maladie, ou procédure(s) de prévention. Soins au patient au niveau individuel. Recherche sur les médicaments et le traitement d\'une maladie. Données sur, par exemple, les procédures chirurgicales, la réadaptation, la consultation médicale, la physiothérapie, les manipulations musculo-squelettiques, les soins à l\'hôpital ou à domicile, la psychothérapie, les techniques d\'investigations, les médicaments.','Health.MedicationAndTreatment','Health',21,7605,NULL,'Médicaments et traitements','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.3',421),(8335,'Décisions prises et principes adoptés à un niveau national, régional ou local concernant la protection sociale, son financement et son implantation, par exemple, qui a droit à quel type de services et prestations sociales et pourquoi, quel est leur niveau, et qui peut fournir les services. Par exemple, une politique du maintien des personnes âgées à domicile aussi longtemps que possible, une politique concernant la durée pendant laquelle les personnes peuvent avoir une allocation chômage. Utilisez aussi le terme \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en oeuvre.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,7641,NULL,'Politique de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.3',421),(8336,'La gouvernance mondiale, la diplomatie, la politique étrangère, les relations entre pays, les organisations internationales (e. g. l\'UE, l\'OMS, l\'ONU, l\'OMC), et les accords internationaux.','Politics.InternationalPoliticsAndOrganisations','Politics',58,7659,NULL,'Politiques et organisations internationales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.3',421),(8337,'Les enjeux de savoir si tous les individus ou des groupes d\'individus ont le même statut et les mêmes chances dans la société. L\'égalité peut être étudiée, par exemple, en termes d\'éducation, de patrimoine (financier) ou de revenus, de position professionnelle, de pouvoir, de prestige, de conditions de travail et de temps libre, d\'accès aux services, et de relations sociales. La marginalisation et l\'exclusion sociale peuvent être le résultat d\'un désavantage systématique dans de multiples domaines de la vie, et les personnes concernées peuvent être privées de droits, d\'opportunités, de ressources et d\'intégration sociale. Exemples de données : statistiques sur l\'égalité des revenus, la discrimination perçue par un groupe (e. g. à l\'égard des étrangers, des sans-domiciles, des demandeurs d\'asile) ; différences perçues entre les hommes et les femmes concernant les possibilités de jouer un rôle majeur en politique ; impact du chômage des parents sur le niveau d\'éducation des enfants et des relations sociales.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,7639,NULL,'Égalité, inégalité et exclusion sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.3',421),(8338,'Technologies de l\'information et de la communication qui sont utilisées à la maison, au travail et dans d\'autres lieux. Veuillez noter que l\'utilisation et l\'impact de ces technologies sont incluses dans \'Société de l\'information\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,7650,NULL,'Technologie de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.3',421),(8339,'','Economics',NULL,4,7620,NULL,'ÉCONOMIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.3',421),(8340,'','HousingAndLandUse',NULL,30,7610,NULL,'LOGEMENT ET UTILISATION DES TERRES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.3',421),(8341,'Mesures adoptées pour améliorer ou préserver l\'image des individus, des entreprises, des organisations, et des gouvernements par exemple par le biais de la publicité, du lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,7651,NULL,'Relations publiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.3',421),(8342,'L\'enseignement obligatoire fait référence à la période de l\'éducation qui est requise pour toutes les personnes vivant dans un pays et qui est imposée par la loi. L\'enseignement préscolaire fait référence à la garde formelle des enfants et à l\'éducation dispensée avant l\'enseignement obligatoire. Utilisez ce terme pour référencer des données relatives à l\'enseignement préscolaire, primaire, les premiers niveaux du secondaire, que les données portent ou non sur les élèves, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.CompulsoryAndPreschoolEducation','Education',11,7618,NULL,'Enseignement obligatoire et pré-scolaire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.3',421),(8343,'','SocietyAndCulture',NULL,79,7672,NULL,'SOCIÉTÉ ET CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.3',421),(8344,'','Psychology',NULL,61,7666,NULL,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.3',421),(8345,'','NaturalEnvironment',NULL,49,7609,NULL,'ENVIRONNEMENT NATUREL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.3',421),(8346,'Mouvements d\'individus, de familles ou de groupes d\'individus dans les statuts sociaux et professionnels au fil du temps. Le mouvement peut être horizontal, c\'est-à-dire, changement de position à l\'intérieur d\'une même catégorie de statuts, ou vertical où des individus peuvent se déplacer vers le haut ou vers le bas dans la hiérarchie des statuts. Par exemple, des ouvriers dans des industries en déclin peuvent devenir des ouvriers dans toute autre industrie (mobilité horizontale professionnelle), ou des enfants de familles pauvres peuvent atteindre une classe sociale plus élevée que leurs parents (mobilité sociale intergénérationnelle verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,7594,NULL,'Mobilité sociale et professionnelle','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.3',421),(8347,'Données sur les élections, les référendums, les campagnes électorales, les résultats des élections, les candidats aux élections, les sélectionneurs des candidats, le financement électoral etc.','Politics.Elections','Politics',56,7658,NULL,'Élections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.3',421),(8348,'Études sur le bien-être en général ou l\'état de santé d\'un individu, d\'un groupe ou d\'une population. Peut être objectivement mesuré / observé ou auto-perçu. Le bien-être inclut, par exemple, la capacité ou l\'état physique et mental, ainsi que l\'état social.','Health.GeneralHealthAndWellbeing','Health',19,7631,NULL,'Santé et bien-être','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.3',421),(8349,'Données se référant à tout type de médias de masse. Par exemple, les journaux papier ou en ligne, les magazines, la télévision et la radio. S\'il vous plait veuillez noter que les réseaux sociaux sont référencés avec le terme \'Société de l\'information\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,7604,NULL,'Média','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.3',421),(8350,'Données qui traitent des questions de comportements religieux, de mouvements religieux, de la spiritualité, de la moralité et d\'autres valeurs.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,7671,NULL,'Religion et valeurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.3',421),(8351,'Couvre l\'enseignement général des niveaux 3-4 de la CITE / ISCED ainsi que l\'enseignement supérieur, c\'est-à-dire l\'enseignement secondaire supérieur, et le lycée, les Hautes Écoles, les universités. Inclut les données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.HigherAndFurtherEducation','Education',13,7627,NULL,'Enseignement secondaire et du supérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.3',421),(8352,'Fait référence aux possibilités d\'enseignements sous diverses formes à destination des adultes après qu\'ils aient quittés le système d\'éducation classique. Les adultes peuvent s\'engager dans un tel enseignement pour, par exemple, améliorer leurs aptitudes, leurs qualifications, pour se reconvertir pour un nouveau métier, ou juste pour apprendre quelque chose de nouveau. N\'inclut pas généralement l\'enseignement menant à une qualification, ou à la formation professionnelle.','Education.LifelongContinuingEducation','Education',14,7679,NULL,'Formation tout au long de la vie / continue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.3',421),(8353,'','TradeIndustryAndMarkets',NULL,89,7660,NULL,'COMMERCE, INDUSTRIE ET MARCHÉS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.3',421),(8354,'','Politics',NULL,54,7653,NULL,'POLITIQUE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.3',421),(8355,'Les indicateurs économiques précisent dans quelle direction une économie s\'oriente et intègrent, par exemple, le taux de croissance du PIB, le taux d\'emploi, d\'inflation et d\'intérêt, les activités de consommation et d\'investissement, la dette des ménages. Cela est aussi utilisé pour les conditions économiques des individus et des ménages qui ont été interrogés ou enregistrés.','Economics.EconomicConditionsAndIndicators','Economics',6,7586,NULL,'Conditions et indicateurs économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.3',421),(8356,'Echange de capitaux, de biens, ou de services au-delà des frontières internationales.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,7636,NULL,'Commerce extérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.3',421),(8357,'Données sur la législation internationale ou nationale, les réglementations administratives, le système judiciaire (pouvoirs et activités des tribunaux), les modes alternatifs de résolutions de litiges et de justice réparatrice, les sanctions.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,7665,NULL,'Législation et systèmes juridiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.3',421),(8358,'Inclut immigration, émigration, migration interne ainsi que d\'autres types de mobilité géographique. L\'immigration signifie venir s\'établir dans un autre pays que son pays d\'origine. L\'émigration signifie quitter son pays d\'origine pour s\'installer dans un autre pays. La migration est le terme générique pour les deux. La migration inclut aussi la migration interne, c\'est-à-dire, le déplacement de personnes au sein d\'un pays à différents niveaux géographiques.','Demography.Migration','Demography',2,7661,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.3',421),(8359,'Couvre les animaux domestiques, de production et sauvages, ainsi que tous les types de plantes (e. g. fleurs, arbres, mousses, légumes).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,7669,NULL,'Plantes et animaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.3',421),(8360,'Utilisation de processus biomoléculaires et cellulaires pour créer de nouveaux produits et procédés technologiques.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,7673,NULL,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.3',421),(8361,'Données sur l\'industrie et les entreprise telles que la gestion, la production, la croissance et le déclin, la structure organisationnelle, l\'administration, les investissement en R&amp;D, les marchés et la part de marché.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,7647,NULL,'Gestion et organisation de l\'entreprise et de l\'industrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.3',421),(8362,'Couvre les problèmes de dégradation environnementale, de pollution, de protection de l\'environnement, de changement climatique, de prévention des inondations, d\'érosion des sols.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,7608,NULL,'Environnement et conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.3',421),(8363,'La création, la distribution, l\'utilisation, l\'intégration et la manipulation des informations comme une activité économique, politique et culturelle importante. Par exemple, des données relatives au commerce électronique, à l\'administration en ligne, les réseaux sociaux, les appareils mobiles, l\'accès et l\'utilisation de l\'Internet, la vie privée en ligne, les informations et les ressources des bibliothèques. Utilisez \'Technologie de l\'information\' quand vous parlez des technologies actuelles.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,7613,NULL,'Société de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.3',421),(8364,'Utilisez cette catégorie pour des études sur la production agricole et toutes industries rurales, y compris, par exemple, les industries de la pêche et la sylviculture.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,7652,NULL,'Industrie agricole et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.3',421),(8365,'Peut nécessiter une thématique supplémentaire, si les personnes âgées sont étudiées d\'un point de vue particulier.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,7591,NULL,'Personnes âgées','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.3',421),(8366,'Peut nécessiter une thématique supplémentaire, si les jeunes sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,7633,NULL,'Jeunes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.3',421),(8367,'Inclut les études mesurant la qualité du logement dans une communauté, incluant le logement social, ainsi que la disponibilité et le prix du logement. Logement inclut les maisons, les résidences secondaires et les maisons de vacances.','HousingAndLandUse.Housing','HousingAndLandUse',31,7643,NULL,'Logement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.3',421),(8368,'','LabourAndEmployment',NULL,33,7623,NULL,'TRAVAIL ET EMPLOI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.3',421),(8369,'Processus, fonction ou système reproductif à toutes les étapes de la vie. Inclut des données sur les grossesses, les naissances, la planification familiale, la contraception et l\'avortement, la ménopause.','Health.ReproductiveHealth','Health',25,7680,NULL,'Santé reproductive','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.3',421),(8370,'Données incluant les études linguistiques, les analyses linguistiques et sociolinguistiques, ainsi que des données sur les politiques de langage, les compétences en termes de langues de la population, les langues parlées au travail et à la maison, les attitudes envers les langues minoritaires etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,7654,NULL,'Langue et linguistiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.3',421),(8371,'Données sur les expositions et les maladies professionnelles, la sécurité au travail, les congés de maladie, la capacité de travail et l\'invalidité, ou la pension d\'invalidité liée au travail.','Health.OccupationalHealth','Health',22,7662,NULL,'Santé au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.3',421),(8372,'Données sur les attitudes politiques des partis, l\'engagement politique et la participation dans le processus politique, le comportement électoral, la satisfaction à l\'égard du gouvernement. Utilisez \'Idéologie politique\' pour des données sur des doctrines spécifiques.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,7619,NULL,'Comportements et attitudes politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.3',421),(8373,'Prévention et contrôle des maladies et du handicap et la promotion de la santé physique et mentale de la population au niveau international, national, étatique, ou municipal. Par exemple, la promotion de la santé, la prévention de maladies, l\'impact des programmes de santé publique, la gestion locale, nationale ou mondiale des problèmes de santé, l\'épidémiologie d\'une maladie, d\'une pathologie, d\'un pathogène ou d\'une épidémie.','Health.PublicHealth','Health',24,7678,NULL,'Santé publique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.3',421),(8374,'Idées, idéaux et théories sur les manières dont les gouvernements et les sociétés peuvent être organisés. Les idéologies politiques importantes incluent l\'anarchisme, la démocratie, le libéralisme, le conservatisme etc.','Politics.PoliticalIdeology','Politics',60,7668,NULL,'Idéologie politique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.3',421),(8375,'Données sur le comportement social ; l\'interaction sociale et les réseaux ; les responsabilités sociales, les normes et les règles ; et les attitudes face à ces questions.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,7617,NULL,'Comportement social et attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.3',421),(8376,'','SocialWelfarePolicyAndSystems',NULL,75,7603,NULL,'POLITIQUE ET SYSTÈMES DE PROTECTION SOCIALE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.3',421),(8377,'Étude des conditions anatomiques ou physiologiques anormales et des conditions objectives ou subjectives des maladies / des symptômes pas classées comme des maladies ou des syndromes (dans ce cas \'Maladies, troubles ou problèmes de santé spécifiques\' serait utilisé). Inclut les manifestations cliniques qui peuvent être objectives lorsqu\'elles sont observées par un professionnel de santé ou subjective quand elles sont perçues par le patient. E. g. douleur, diarrhée, éruption cutanée, inégalité de longueur de jambe, insomnie, grincement de dents, inflammation, arythmie.','Health.SignsAndSymptomsPathologicalConditions','Health',26,7621,NULL,'Signes et symptômes ; conditions pathologiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.3',421),(8378,'Sécurité et sûreté intérieures et internationales ; conflits intérieurs et internationaux ; guerre et paix ; défense nationale et forces de défense (l\'armée). Veuillez noter que la police est incluse dans \'Criminalité et application de la Loi\'','Politics.ConflictSecurityAndPeace','Politics',55,7622,NULL,'Conflit, sécurité et paix','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.3',421),(8379,'','ScienceAndTechnology',NULL,62,7599,NULL,'SCIENCE ET TECHNOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.3',421),(8380,'Utilisez pour des études sur le capitalisme, le socialisme et sur d\'autres systèmes économiques et pour des études, par exemple, sur des programmes internationaux de développement.','Economics.EconomicSystemsAndDevelopment','Economics',8,7615,NULL,'Systèmes et développements économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.3',421),(8381,'Données sur le taux et les statistiques d\'emploi, sur le marché du travail, les emplois vacants, la recherche d\'emploi, les caractéristiques d\'emploi, l\'emploi de certains groupes (e. g. l\'emploi des jeunes ou des immigrés), les emplois de service, carrière. Pour le salaire et l\'indemnisation utilisez \'Conditions de travail\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,7625,NULL,'Emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.3',421),(8382,'Données sur le taux et les statistiques du chômage, les programmes et schémas d\'emploi, la durée et la fréquence du chômage, l\'impact social et psychologique du chômage etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,7649,NULL,'Chômage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.3',421),(8383,'Inclut tous les types de transports de marchandises ainsi que les navettes et les transports publics (trains, bus, métro, etc.), et les réseaux de transport urbain. Des données sur les habitudes de mobilité, par exemple, les achats transfrontaliers, les routes et les moyens utilisés pour accéder à un endroit. Utilisez le terme \'Loisirs, tourisme et sport\' pour des voyages d\'agrément.','TransportAndTravel',NULL,93,7587,NULL,'TRANSPORT ET VOYAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.3',421),(8384,'Discussions sur la politique et les principes, et les décisions prises et les principes adoptés au niveau national, régional ou local concernant l\'éducation et son implantation. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Education.EducationalPolicy','Education',12,7589,NULL,'Politique éducative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.3',421);
INSERT  IGNORE INTO `concept` (`id`, `definition`, `notation`, `parent`, `position`, `previous_concept`, `sl_concept`, `title`, `uri`, `version_id`) VALUES (8385,'Couvre les questions relatives aux familles, aux parents, aux générations et à la composition du ménage. Par exemple, des données sur l\'éducation des enfants, la division du travail au sein de la famille, le soutien apporté aux membres de la famille.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,7637,NULL,'Vie de famille et mariage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.3',421),(8386,'Données sur les changements dans la société, incluant les changements d\'attitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,7611,NULL,'Changement social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.3',421),(8387,'Données sur la politique économique, incluant le budget et la politique fiscale, les dépenses publiques et les recettes publiques.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,7632,NULL,'olitique économique, dépenses publiques et recettes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.3',421),(8388,'Qualité et disponibilité des services, des installations connexes et du personnel dans le domaine des soins de santé. L\'économie des soins de santé et la politique et les principes de décision au niveau national, régional ou local en matière de soins de santé. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Health.HealthCareServicesAndPolicies','Health',20,7635,NULL,'Services et politiques de soins','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.3',421),(8389,'Couvre les paysages et les éléments du territoire qui n\'ont pas été directement modifiés par les humains.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,7590,NULL,'Paysages naturels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.3',421),(8390,'Données sur le temps consacré par la population à diverses activités.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,7634,NULL,'Emploi du temps','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.3',421),(8391,'Données sur la criminalité, la prévention de la criminalité, les victimes d\'actes criminels, les criminels, ainsi que la police, les services secrets, les établissements pénitentiaires (e. g. prisons, les établissements pénitentiaires pour jeunes), les contrôles aux frontières et les douanes. Inclut aussi les données sur les équipes et les installations de ces services.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,7588,NULL,'Criminalité et application de la Loi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.3',421),(8392,'Groupes d\'individus qui diffèrent de la majorité de la population d\'une façon ou d\'une autre. Les caractéristiques différenciantes incluent, par exemple, l\'ethnicité, la religion, la santé, l\'orientation sexuelle, la première langue (la langue maternelle) et la culture. S\'il vous plait veuillez noter que vous pouvez aussi utiliser les termes \'Égalité, inégalité et exclusion sociale\' ou \'Langue et linguistiques\' pour certaines questions relatives aux questions des minorités.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,7628,NULL,'Minorités','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.3',421),(8393,'Étude des maladies, troubles, syndromes spécifiques diagnostiquées (souvent classés dans la CIM-10 ou ses versions précédentes). Par exemple, la recherche médicale sur les causes du diabète ou l\'étude sur le rétablissement physique et mentale des personnes qui ont eu une chirurgie cardiaque.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,7630,NULL,'Maladies, troubles spécifiques et conditions médicales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.3',421),(8394,'Les ressources naturelles sont des ressources telles que la terre, les forêts, les sources d\'énergie, l\'eau, les minéraux qui existent naturellement et peuvent être utilisés pour la production économique ou la consommation. Les ressources énergétiques incluent les combustibles fossiles tels que le pétrole, le gaz naturel ou le charbon, ainsi que le nucléaire, le solaire, l\'énergie marémotrice, l\'éolien ou à partir d\'organismes vivants qui peuvent être remplacés.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,7601,NULL,'Énergie et ressources naturelles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.3',421),(8395,'Peut nécessiter une thématique supplémentaire, si les enfants sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,7595,NULL,'Enfants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.3',421),(8396,'Blessures et lésions, à la fois physiques et psychologiques, causées soit par des accidents ou des violences (par des comportements agressifs individuels ou de groupe). Si blessures ou lésions en relation au travail, utilisez \'Santé au travail\'.','Health.WoundsAndInjuries','Health',28,7616,NULL,'Blessures et lésions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.3',421),(8397,'Relations entre employeurs et employés.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,7598,NULL,'Relations / conflits au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.3',421),(8398,'Formation interne et formation continue financée par l\'employeur pour accroître les aptitudes et les compétences des employés. N\'inclut pas l\'apprentissage, qui est inclus dans \'Enseignement et formation professionnels\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,7655,NULL,'Formation interne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.3',421),(8399,'Participation active ou passive à tout type d\'activités culturelles, ainsi que les opinions et les perceptions les concernant.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,7606,NULL,'Activités culturelles et participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.3',421),(8400,'Par exemple, des données sur le volume de la population qui utilise des services sociaux spécifiques, les opinions sur l\'adéquation, l\'accessibilité et la disponibilité des services spécifiques, et la satisfaction générale avec eux. Par exemple, des questions sur quel service les personnes âgées ont utilisé, ou l\'utilisation de statistiques sur des services en particulier.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,7663,NULL,'Services sociaux spécifiques : utilisation et disponibilité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.3',421),(8401,'','MediaCommunicationAndLanguage',NULL,44,7624,NULL,'MÉDIA, COMMUNICATION ET LANGAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.3',421),(8402,'Les habitudes de loisirs, les activités de loisirs et les passe-temps. Inclut le fait d\'assister aux spectacles sportifs, les compétitions sportives, et les voyages d\'agréments. Pour des données sur l\'exercice physique pour rester en forme, utilisez \'Condition et activité physique\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,7614,NULL,'Loisirs, tourisme et sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.3',421),(8403,'','LawCrimeAndLegalSystems',NULL,41,7638,NULL,'LOI, CRIMINALITÉ ET SYSTÈME LÉGAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.3',421),(8404,'Utilisez pour des études sur l\'accumulation de biens personnels, incluant le revenu, la propriété, les placements et les épargnes.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,7664,NULL,'Revenu, propriété et placement / épargne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.3',421),(8405,'Inclut tous les modèles de retraite tels que la retraite \'progressive\' ou la retraite \'flexible\', les données sur l\'âge de la retraite et la retraite anticipée.','LabourAndEmployment.Retirement','LabourAndEmployment',38,7648,NULL,'Retraite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.3',421),(8406,'Les questions liées à la gouvernance nationale, régionale et locale, aux instances gouvernantes (e. g. le gouvernement, le parlement, les instances gouvernantes locales), à l\'administration publique, aux autres organisations politiques telles que les partis politiques. Par exemple, des données sur les politiques gouvernementales, les partis politiques et leurs politiques, les dirigeants des partis politiques, la confiance dans les instances gouvernantes. Veuillez noter que vous pouvez avoir besoin d\'utiliser une thématique politique également.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,7644,NULL,'Gouvernement, systèmes et organisations politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.3',421),(8407,'Données relatives à différents aspects de la vie en communauté, ou dans des zones urbaines et rurales. Opinions et images du quartier, des zones urbaines ou rurales. Services, équipements et activités économiques dans le quartier.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,7607,NULL,'Vie communautaire, urbaine et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.3',421),(8408,'Questions liées à l\'implantation de l\'aide sociale, qui fournit les services d\'aide sociale en pratique et dans quelle mesure, comment les services en question sont structurés. Par exemple, les questions sur la manière dont une collectivité territoriale a organisé les services pour les personnes âgées.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,7596,NULL,'Systèmes / structures de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.3',421),(8409,'Enquêtes sur l\'ensemble d\'une population, par opposition à une enquête par sondage. Souvent utilisé pour le dénombrement officiel d\'une population, comprenant habituellement le recueil d\'informations démographiques associées. Veuillez noter que les recensements de certains pays ne sont pas utilisés car les informations démographiques peuvent être obtenus à partir des registres officiels.','Demography.Censuses','Demography',1,7626,NULL,'Recensement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.3',421),(8410,'','Health',NULL,16,7657,NULL,'SANTÉ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.3',421),(8411,'Identité de genre ; les représentations sexuées (e. g. représentation des genres dans les organes de décision, dans les médias, dans la littérature etc.) ; les caractéristiques sociales, culturelles et psychologiques liées aux hommes et aux femmes ; les études sur les femmes ; les études sur les hommes ; les comportements et les choix attendus en fonction des rôles de genre et l\'impact de ces attentes.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,7674,NULL,'Genre et rôles de genre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.3',421),(8412,'','Demography',NULL,0,7597,NULL,'DÉMOGRAPHIE (POPULATION, ÉTAT CIVIL, ET RECENSEMENT)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.3',421),(8413,'Inclut à la fois l\'aménagement du territoire et la planification de l\'utilisation du sol. La planification de l\'utilisation du sol fait référence aux procédures mises en œuvre pour assurer une utilisation optimale et durable des terres dans les communautés rurales et urbaines.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,7677,NULL,'Aménagement et planification du territoire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.3',421),(8414,'Utilisez la thématique appropriée pour des données historiques ainsi que le terme générique ici. Par exemple, \'Conditions de travail\' et \'Services et politiques de soins\' plus HISTOIRE pour des données sur les environnements de travail des médecins de famille dans les années 1960. Le terme générique histoire est à utiliser seulement dans les cas où aucune thématique historique ne peut être trouvée.','History',NULL,29,7642,NULL,'HISTOIRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.3',421),(8415,'Processus nutritionnel, habitudes et pratiques alimentaires et, paramètres nutritionnels mesurables tels que l\'indice de masse corporelle (IMC), le poids, les niveaux de vitamines.','Health.DietAndNutrition','Health',17,7593,NULL,'Alimentation et nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.3',421),(8416,'Programmes qui sont conçus pour les apprenants pour leur permettre d\'acquérir des connaissances, des aptitudes et des compétences spécifiques à un emploi, à un métier ou à une catégorie d\'emplois ou de métiers. L\'enseignement professionnel peut avoir des composants basés sur le travail. Couvre l\'enseignement professionnel des niveaux 3-4 de la CITE / ISCED et l\'apprentissage. Inclut des données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.VocationalEducationAndTraining','Education',15,7675,NULL,'Enseignement et formation professionnels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.3',421),(8417,'La morbidité fait référence à l\'incidence de la mauvaise santé dans une population. Les données peuvent couvrir l\'incidence ou le taux de morbidité d\'un problème de santé. Par exemple, le nombre de personnes qui souffrent du cancer du poumon dans un pays ou une aire géographique durant une année. Les données de mortalité indiquent le nombre de morts dans une population selon le lieu, le moment, la cause ou le type d\'individu etc. Par exemple, le taux de mortalité maternelle, le taux de mortalité infantile. Veuillez noter que les données d\'enquêtes auto-administrées sur les maladies et les problèmes de santé sont référencées avec les termes de la catégorie SANTÉ.','Demography.MorbidityAndMortality','Demography',3,7676,NULL,'Morbidité et mortalité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.3',421),(8418,'Données sur la formation de l\'identité, ce que les personnes pensent qu\'elles sont et où est leur place. La relation de l\'identité culturelle et nationale à la représentation et au classement de quelqu\'un comme \"pas l\'un de nous\" (Autre). Les coutumes et les manières, et les attitudes concernant la perception de soi-même et de l\'identité des autres groupes.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,7656,NULL,'Identité culturelle et nationale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.3',421),(8419,'Utilisez si la thématique est connue, mais pas présente dans la liste.','Other',NULL,94,7592,NULL,'AUTRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.3',421),(8421,'Données sur les politiques d\'emploi relatives aux relations de travail, au marché du travail et à l\'égalité et la discrimination au travail ; Au niveau national, les politiques incluent l\'influence de la demande et l\'offre de travail et le fonctionnement des marchés du travail. Utilisez \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en œuvre.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,7600,NULL,'Politique du travail et de l\'emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.3',421),(8422,'Couvre tous les aspects de la qualité de vie et du bien-être des individus et des sociétés, ainsi que la perceptions que les personnes en ont. S\'il vous plait veuillez noter que, selon l\'aspect étudié, les termes \'Santé et bien-être\', \'Conditions et indicateurs économiques\', etc. peuvent aussi être pertinent.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,7612,NULL,'Conditions et indicateurs sociaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.3',421),(8423,'Données sur la condition physique de la population, ainsi que sur le niveau d\'activité physique et sportive.','Health.PhysicalFitnessAndExercise','Health',23,7645,NULL,'Condition et activité physique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.3',421),(8424,'Les questions liées à l\'existence, aux rôles et à l\'impact des élites dans la société, c\'est-à-dire, les individus ou les groupes qui ont une quantité considérable de pouvoir ou d\'influence sur la société, les politiques, la richesse etc. soit à travers les décisions qu\'ils prennent ou, par exemple, à travers les idées ou les sentiments qu\'ils expriment ou représentent. Inclut les questions traitant des personnes influentes dans toutes les sphères de la société, par exemple, les décideurs de la vie politique, les chefs des partis politiques, les artistes influents, les personnalités des médias de masse ou des réseaux sociaux etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,7670,NULL,'Élites et dirigeants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.3',421),(8425,'','Education',NULL,10,7667,NULL,'ÉDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.3',421),(8426,'Fait référence à l\'acte d\'acquérir et / ou utiliser quelque chose pour répondre aux besoins et aux demandes d\'une personne, d\'une communauté ou d\'une société. Les données de cette catégorie incluent des modèles de comportements de consommateurs, leurs changements, et des études sur l\'éthique du consommateur. Par exemple, des données d\'enquête sur la fréquence d\'achats de certains articles ; quand et où ils achètent ; si des considérations éthiques influencent leurs choix de consommation.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,7646,NULL,'Consommation et comportement des consommateurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.3',421),(8427,'Les conditions de travail des employés. Par exemple, les types de contrat, le temps de travail (heures de travail, les périodes de repos, les horaires de travail, les heures supplémentaires), le salaire et l\'indemnisation, les aspects physique et exigences mentales du travail, les droits et responsabilités des employés, la charge de travail, l\'implication de l\'employé dans la prise de décision, les droits de congés, l\'environnement physique. Pour les problèmes de la sécurité sur le lieu de travail utilisez aussi \'Santé au travail\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,7640,NULL,'Conditions de travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.3',421),(8428,'Toute personne individuelle.','Individual',NULL,0,7233,NULL,'Individu','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Individual',422),(8429,'Tout type de structure administrative ou fonctionnelle - incluant les associations, les institutions, les agences, les entreprises, les partis politiques, les écoles, etc. Les données sont collectées à propos des organisations ou institutions, même si les questions ont reçu une réponse par des individus. Par exemple, des données sur les politiques environnementales des entreprises, des données sur le taux d\'inscription ou d\'obtention de diplômes dans les universités nationales, etc.','OrganizationOrInstitution',NULL,1,7234,NULL,'Organisation / Institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#OrganizationOrInstitution',422),(8430,'Inclut le texte, l\'image fixe, la vidéo et le son.','MediaUnit',NULL,10,7974,NULL,'Média','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit',422),(8431,'Un espace géographique gouverné par une autorité souveraine qui a le pouvoir de prendre des décisions administratives ou politiques pour cet espace. Cela inclut des espaces de niveau supranational (e. g. les unions d\'États comme l\'Union européenne), national (e. g. des États ou des pays individuels), sous-national (e. g. des subdivisions administratives comme des États fédéraux, des provinces, etc.), et local (e. g. des municipalités).','PoliticalAdministrativeArea',NULL,8,7973,NULL,'Espace politico-administratif','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#PoliticalAdministrativeArea',422),(8432,'Toute période de temps : année, semaine, mois, jour, ou périodes bimensuelles ou trimestrielles, etc.','TimeUnit',NULL,9,7242,NULL,'Unité de temps','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#TimeUnit',422),(8433,'Tout type d\'incident, d\'événement ou d\'activité. Les événements sont habituellement ponctuels, individuels, avec une durée limitée ou courte. Exemples : infractions criminelles, émeutes, réunions, élections, compétitions sportives, attaques terroristes, catastrophes naturelles comme des inondations, etc. Les processus se déroulement typiquement au fil du temps, et peuvent inclure de multiple \'événements\' ou de changements graduels qui aboutissent, ou devraient aboutir, à un résultat particulier. Exemples : procès, enquêtes criminelles, campagnes politiques, traitements médicaux, éducation, entraînement d\'athlètes, etc. Utilisez quand l\'intérêt principal est plus porté sur l’événement, le processus ou l\'activité lui-même. Par exemple, une observation sur le jeu aux machines à sous ; ou des données sur les cas de abus infantiles, comme le type et la durée de l\'abus, le rôle des personnes impliquées, etc.','EventOrProcessOrActivity',NULL,6,7239,NULL,'Événement / Processus / Activité','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#EventOrProcessOrActivity',422),(8434,'Recensement US : une unité d\'habitation est une maison, un appartement, un mobile home, un groupe de pièces, ou une pièce unique qui est occupée (ou si vacant, est destinée à l\'occupation) comme lieu de vie séparé. Les lieux de vie séparés sont ceux dans lesquels les occupants vivent et mangent séparément de toute autre personne dans le bâtiment et qui ont un accès direct depuis l\'extérieur du bâtiment ou par un hall commun.','HousingUnit',NULL,5,7238,NULL,'Logement','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#HousingUnit',422),(8435,'Une personne ou un groupe de personnes qui partagent la même unité d\'habitation et les mêmes conditions de vie. Ces conditions de vie peuvent inclure la mise en commun d\'une partie, ou de la totalité, des revenus et des richesses, et la consommation de certains types de biens et de services, principalement le logement et la nourriture (Eurostat).','Household',NULL,4,7237,NULL,'Ménage','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Household',422),(8436,'Utilisez si l\'unité d\'analyse est connue, mais pas présente dans la liste.','Other',NULL,17,7250,NULL,'Autre','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Other',422),(8437,'Image statique, tel que des graphiques, des dessins, des photographies, des images de diagnostic / médicales comme des rayons X et tous autres types de tests d\'imageries, etc.','MediaUnit.StillImage','MediaUnit',12,7976,NULL,'Média : image fixe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.StillImage',422),(8438,'Un terme plus spécifique, se réfère aux personnes qui sont liées par des liens familiaux (voir la définition pour \'Famille\') et qui vivent dans le même ménage à un moment donné. Si vous ne savez pas si l\'unité d\'analyse est \'Famille\' ou \'Famille : ménage\', utilisez \'Famille\'.','Family.HouseholdFamily','Family',3,7236,NULL,'Famille : ménage','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Family.HouseholdFamily',422),(8439,'Toutes pièce / entité écrite, telles que des livres, des articles, des tweets, des blogs, etc. Par exemple, une étude sur le discours de haine dans des tweets, ou une étude sur la manière dont les journaux présentent certaines questions politiques / sociales au fil du temps, comme les droits des femmes ou des minorités, etc.','MediaUnit.Text','MediaUnit',13,7977,NULL,'Média : texte','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Text',422),(8440,'Son enregistré, incluant la voix, la musique, etc.','MediaUnit.Sound','MediaUnit',11,7975,NULL,'Média : son','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Sound',422),(8441,'Images en mouvement. Peut inclure des films, de l\'animation, des enregistrements digitaux, des visualisations de simulations, des émissions de télévision enregistrées, des videos de diagnostic / médicales comme des échographies, etc. Peut être muet ou peut inclure du son synchronisé.','MediaUnit.Video','MediaUnit',14,7978,NULL,'Média : vidéo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Video',422),(8442,'Deux ou plus individus réunis ou ayant une relation ou une caractéristique unificatrice. Dans les enquêtes, les questions sont principalement axées sur le groupe et les attitudes / expériences du groupe, plutôt que sur celles des répondants individuels. Si des questions couvrent à la fois le groupe et l\'individu, utilisez les deux comme unité d\'analyse.','Group',NULL,15,7979,NULL,'Groupe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Group',422),(8443,'Toute entité qui peut être définie spatialement comme une zone géographique, avec soit des limites naturelles (physiques) ou des frontières administratives. Par exemple, des données sur les ventes de maisons, les changements de paysage, les nouvelles constructions, ou les changements dans la composition démographique de certaines régions ou districts.','GeographicUnit',NULL,7,7240,NULL,'Unité géographique','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#GeographicUnit',422),(8444,'Deux personnes ou plus liées par le sang, le mariage (incluant les relations par alliance), la cohabitation ou un partenariat enregistré, l\'adoption ou le placement familial et qui peuvent ou non vivre ensemble. Par exemple, des données sur quel type de services publics la famille utilise ou demanderait ; ou à quelle fréquence des membres de la famille sont en contact les uns avec les autres.','Family',NULL,2,7235,NULL,'Famille','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Family',422),(8445,'Tout ce qui est matériel, mais inanimé, qui a une existence indépendante et peut être perçu par les sens. Exemples : objets d\'art (peintures, sculptures, etc.) ou armes, ou véhicules, etc.','Object',NULL,16,7249,NULL,'Objet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Object',422),(8446,'Beskrivning av tanken bakom projektet/studien och hur man har sammanställt en plan för hur en studie eller ett forskningsprojekt ska utföras.','ProjectOrStudyDesign',NULL,0,NULL,5570,'Projekt-/studiedesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign',423),(8447,'Hur man tar fram forskningsbegrepp på hög nivå och specifika begrepp på det som ska mätas. Begreppsbildning inbegriper att beskriva begreppen med definitioner och exempel och att beskriva relationerna mellan begreppen.','ProjectOrStudyDesign.Conceptualization','ProjectOrStudyDesign',1,NULL,5571,'Projekt-/studiedesign: Begreppsbildning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.Conceptualization',423),(8448,'Att ta fram och planera instrument för datainsamling. Detta kan handla om hur begrepp omsätts i frågor och indikatorer, instrumenttester, initial översättning (\"forward translation\") och efterföljande förändringar av huvudinstrumenten, samt att utforma och testa andra typer av datainsamlingsinstrument än frågeformulär.','ProjectOrStudyDesign.InstrumentDesign','ProjectOrStudyDesign',2,NULL,5572,'Projekt-/studiedesign: Instrumentdesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.InstrumentDesign',423),(8449,'Att ta fram riktlinjer eller protokoll för de metoder som ska användas i utförandet av studien, och för att behandla och analysera data. Till exempel anvisningar och instruktioner för hur datainsamling, intervjuer, översättning av frågeformulär, harmonisering av indata, viktning osv. ska utföras.','ProjectOrStudyDesign.MethodologyDevelopment','ProjectOrStudyDesign',3,NULL,5573,'Projekt-/studiedesign: Metodutveckling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.MethodologyDevelopment',423),(8450,'Att ta fram viktningar som en hjälp för att justera data efter studiens önskade mål, till exempel för att göra data representativa för målpopulationen.','ProjectOrStudyDesign.WeightsDesign','ProjectOrStudyDesign',4,NULL,5575,'Projekt-/studiedesign: Viktningsdesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.WeightsDesign',423),(8451,'Att ta fram modeller för struktur och fördelning av data och metadata i fasta, förutsägbara format. Till exempel DATS (Data Tag Suite) för att beskriva biomedicinska data, DDI (Data Documentation Initiative) för att beskriva data från samhällsvetenskap, nationalekonomi och hälsovetenskaperna osv.','ProjectOrStudyDesign.StandardsDevelopment','ProjectOrStudyDesign',5,NULL,5576,'Projekt-/studiedesign: Utveckling av standarder','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.StandardsDevelopment',423),(8452,'Att skapa en datamodell som bygger på en analys av dataobjekt och deras relationer, dataegenskaper, samt dataflöden och -processer. Det är ofta det första steget till att skapa en databas, verktyg och standarder osv., och inbegriper vanligtvis en utveckling från en konceptuell modell till en logisk modell och vidare till ett fysiskt schema.','ProjectOrStudyDesign.DataModeling','ProjectOrStudyDesign',6,NULL,5577,'Projekt-/studiedesign: Datamodellering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.DataModeling',423),(8453,'Att definiera vilka element av målpopulationen som ska ingå i urvalet, och vilka regler och processer som de ska väljas ut med.','ProjectOrStudyDesignSamplingDesign',NULL,7,NULL,5574,'Projekt-/studiedesign: Urvalsdesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesignSamplingDesign',423),(8454,'Att utveckla och använda arkitekturer, policyer, riktlinjer och procedurer för att hantera data i alla delar av deras livscykel. Detta inkluderar processer och åtgärder som ingår i urval, organisering och integrering av data, annotering av data, samt publicering och bevarande av data, så att deras värden bibehålls över tid och finns tillgängliga för återanvändning.','DataManagement',NULL,8,NULL,5578,'Datahantering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataManagement',423),(8455,'Att pröva huruvida ett forskningsförslag eller en studie uppfyller etiska principer enligt lagkrav eller godkända etiska riktlinjer (så kallad mjuk lagstiftning).','EthicsReview',NULL,9,NULL,5579,'Etikprövning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#EthicsReview',423),(8457,'Att välja enheter ur målpopulationen.','SampleSelection',NULL,11,NULL,5581,'Val av urval','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#SampleSelection',423),(8459,'Att utföra åtgärder som gör att data förändras, t.ex. att rensa, redigera eller post-harmonisera data. Mappas till \"DataCurator\" i DataCite.','DataProcessing',NULL,13,NULL,5583,'Databehandling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing',423),(8460,'Att planera eller använda särskilda tekniker för att bevara anonymiteten för individer eller andra enheter som data hänvisar till. Till exempel anonymisering, pseudonymisering eller att ta bort direkta och indirekta identifierare.','DataProcessing.DisclosureControl','DataProcessing',14,NULL,5584,'Databehandling: Röjandekontroll','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DisclosureControl',423),(8461,'Att ta fram individuellt insamlade data i sammanfattad form för syften som t.ex. statistiska analyser. Ett vanligt mål för aggregering är att få mer information om vissa populationsgrupper utifrån vissa variabler, som ålder, yrke, utbildning eller inkomst.','DataProcessing.DataAggregation','DataProcessing',15,NULL,5585,'Databehandling: Dataaggregering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataAggregation',423),(8462,'Att kombinera data från olika källor till meningsfull information. Till exempel att koppla registerdata till surveydata, eller att integrera dataset som samlats in i olika länder till ett tvärnationellt dataset.','DataProcessing.DataIntegration','DataProcessing',16,NULL,5586,'Databehandling: Dataintegrering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataIntegration',423),(8463,'Att bedöma data för att se till att alla data har acceptabla värden, att de är korrekta, koherenta, konsekventa, fullständiga och har förväntat format.','DataProcessing.DataValidation','DataProcessing',17,NULL,5587,'Databehandling: Datavalidering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataValidation',423),(8464,'Att hämta in data och tillhörande dokumentation från möjliga medverkande för ytterligare bevarande och/eller delning.','DataAcquisition',NULL,18,NULL,5588,'Datafångst','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataAcquisition',423),(8465,'Att generera datadokumentation. Till exempel en studiebeskrivning som innehåller tanken bakom studien, metoden och andra egenskaper hos datasetet som helhet; dokumentation på variabelnivå (etiketter, frekvenser, frågetext); referenser till studierelaterade material eller publikationer osv.','MetadataProduction',NULL,19,NULL,5589,'Metadataproduktion','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#MetadataProduction',423),(8466,'Att distribuera/sprida data till användare och tillgängliggöra dem för återanvändning. Mappas till \"Distributor\" i DataCite.','DataDistribution',NULL,20,NULL,5590,'Datadistribution','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataDistribution',423),(8467,'Att lagra, ta hand om och underhålla data och, vanligtvis, tillhörande metadata eller dokumentation. Mappas till \"HostingInstitution\" i DataCite.','DataHosting',NULL,21,NULL,5591,'Datalagring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataHosting',423),(8468,'Att skydda och bibehålla integriteten och användbarheten hos data och tillhörande metadata, så att de förblir tillgängliga för framtida generationer. Mappas till \"DataManager\" i DataCite.','LongTermPreservationOrArchiving',NULL,22,NULL,5592,'Långtidsbevarande/arkivering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#LongTermPreservationOrArchiving',423),(8469,'Att ge expertråd.','Consulting',NULL,23,NULL,5593,'Konsultande','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Consulting',423),(8470,'En individ eller organisation som kan nås om man behöver datarelaterad information. Mappas till \"ContactPerson\" i DataCite.','Contact',NULL,24,NULL,5594,'Kontaktperson','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Contact',423),(8471,'Att undersöka data för att få hjälp att besvara forskningsfrågor och dra slutsatser.','DataAnalysis',NULL,25,NULL,5595,'Dataanalys','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataAnalysis',423),(8472,'Att ordna, revidera och förbereda material (t.ex. text, ljud eller video) för slutproduktion eller publikation. Mappas till \"Editor\" i DataCite.','Editing',NULL,26,NULL,5596,'Redigering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Editing',423),(8473,'Att skapa och underhålla utrustning som behövs i någon fas av datalivscykeln.','EquipmentDevelopment',NULL,27,NULL,5615,'Utveckling av utrustning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#EquipmentDevelopment',423),(8474,'Att bedöma kvalitet, värde och signifikans. Det omfattar till exempel att slå fast utvärderingskriterier, samla in data från utvärderingar och utföra själva utvärderingen.','Evaluation',NULL,28,NULL,5597,'Utvärdering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Evaluation',423),(8475,'Att ge ekonomiskt stöd till ett program eller projekt, vanligtvis av en organisation eller regering. Finansiering ges till ett visst syfte, och mottagaren måste vanligtvis ge fullständiga redovisningar av den.','FundingProvision',NULL,29,NULL,5598,'Finansiering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#FundingProvision',423),(8476,'Att söka efter och/eller beviljas finansiering eller någon annan form av stöd för ett program eller projekt.','FundingOrSponsorshipAcquisition',NULL,30,NULL,5599,'Erhållande av finansiering/sponsring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#FundingOrSponsorshipAcquisition',423),(8477,'Att ge stöd till forskning eller annan verksamhet. Det inkluderar stöd in natura, som att tillhandahålla deltidspersonal, lokaler eller instrument. Kopplas till \"Sponsor\" i DataCite.','Sponsorship',NULL,31,NULL,5600,'Sponsring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Sponsorship',423),(8478,'Att kombinera text och bild för att understödja och förstärka innehåll, göra det visuellt tilltalande och användarvänligt.','GraphicDesign',NULL,32,NULL,5601,'Grafisk design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#GraphicDesign',423),(8479,'Att initiera, planera, genomföra, utvärdera och avsluta arbetet för ett team i syfte att uppnå angivna mål.','ProjectOperations',NULL,33,NULL,5602,'Projektverksamhet','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations',423),(8480,'En person som officiellt har utsetts att leda ett projekt, eller ett team i ett delprojekt som utför arbete med att utveckla en resurs. Projektledaren är nära inblandad i arbetet genom projektets hela livslängd. Mappas till \"ProjectLeader\" i DataCite.','ProjectOperations.ProjectLeader','ProjectOperations',34,NULL,5603,'Projektverksamhet: Projektledare','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectLeader',423),(8481,'En person som har utsetts att ansvara för ett projekt. Den här funktionen har normalt sett mer administrativa ansvarsområden än det faktiska projektarbetet. Mappas till \"ProjectManager\" i DataCite.','ProjectOperations.ProjectManager','ProjectOperations',35,NULL,5604,'Projektverksamhet:  Projektansvarig','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectManager',423),(8482,'En person som bidrar till och deltar som medlem i ett angivet projekt eller projektteam. Mappas till \"ProjectMember\" i DataCite.','ProjectOperations.ProjectMember','ProjectOperations',36,NULL,5605,'Projektverksamhet: Projektmedlem','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectMember',423),(8483,'Att öka medvetenheten om och förståelsen av produkter och tjänster i syfte att attrahera möjliga användare.','Promotion',NULL,37,NULL,5606,'Marknadsföring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Promotion',423),(8484,'Ett standardsättande organ som ger registreringsmyndigheter officiellt erkännande och vägledning. Till exempel fungerar International DOI Foundation (IDF) som registreringsauktoritet för International Standards Organization (ISO) när det gäller Digital Object Identifiers (DOI).','RegistrationAuthority',NULL,38,NULL,5607,'Registreringsauktoritet','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RegistrationAuthority',423),(8485,'En individ som är delaktig i att analysera data eller studieresultaten, men vars roll är att hjälpa till med forskningen snarare än att vara en skapare. En forskare kan till exempel leta efter och hitta ytterligare data från en annan källa och koppla dem till studien eller experimentet som utförs. Mappas till \"Researcher\" i DataCite.','Researcher',NULL,39,NULL,5610,'Forskare','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Researcher',423),(8486,'En grupp av personer som är delaktiga i forskningen. Mappas till \"ResearchGroup\" i DataCite.','ResearchGroup',NULL,40,NULL,5611,'Forskargrupp','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ResearchGroup',423),(8487,'Den som står som ägare för äganderätten, inklusive de immaterialrätten för resursen. Mappas till \"RightsHolder\" i DataCite.','RightsHolding',NULL,41,NULL,5612,'Rättighetsinnehavare','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RightsHolding',423),(8488,'Hantering av licenser för distribuerade data, verktyg och annat forskningsmaterial på uppdrag av rättighetsinnehavaren.','RightsManagement',NULL,42,NULL,5613,'Rättighetshantering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RightsManagement',423),(8489,'Att skapa och underhålla programvara som behövs i någon fas av datalivscykeln.','SoftwareDevelopment',NULL,43,NULL,5614,'Programvaruutveckling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#SoftwareDevelopment',423),(8490,'Att handleda en eller flera personer eller team i deras arbete. Mappas till \"Supervisor\" i DataCite.','Supervision',NULL,44,NULL,5616,'Handledning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Supervision',423),(8491,'Att delge information och/eller instruktioner för att förbättra mottagarens prestation, eller för att bidra till att nå en begärd nivå av kunskap och förmågor kring forskning eller forskningsdata. Till exempel utbildning av intervjuare, översättare, dataarkivarier eller dataanalytiker.','Training',NULL,45,NULL,5617,'Utbildning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Training',423),(8492,'Att uttrycka innehållet i text eller tal på ett annat språk än originalspråket. Till exempel översättning av frågeformulär eller studierapporter.','Translation',NULL,46,NULL,5618,'Översättning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Translation',423),(8493,'Att ge stöd till personerna som använder data, metadata, verktyg osv.','UserSupport',NULL,47,NULL,5619,'Användarsupport','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#UserSupport',423),(8494,'Att återge data, analysresultat eller annan information i form av diagram, bilder eller animeringar, för att göra det lättare att förstå dem..','Visualization',NULL,48,NULL,5620,'Visualisering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Visualization',423),(8495,'Att skapa och underhålla en webbplats som är kopplad till data. Det kan inkludera webbdesign, att skapa ett användargränssnitt, konfigurera nätverkssäkerhet osv.','WebsiteDevelopment',NULL,49,NULL,5621,'Webbplatsutveckling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#WebsiteDevelopment',423),(8496,'Används om rollen är känd men inte finns med i listan. Kan mappas till rollerna \"RelatedPerson\", \"Producer\" och \"WorkPackageLeader\" i DataCite.','Other',NULL,50,NULL,5622,'Övrigt','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Other',423),(8497,'Kaksi tai useampia henkilöitä, jotka liittyvät toisiinsa sukulaisuuden, avo- tai avioliiton (laskien mukaan esim. sisar- ja velipuolet), rekisteröidyn parisuhteen, adoption tai sijaisvanhemmuuden kautta, riippumatta siitä, asuvatko he yhdessä vai eivät. Esimerkiksi tutkittaessa mitä julkisia palveluja perhe käyttää; tai kuinka usein perheenjäsenet ovat yhteydessä toisiinsa.','Family',NULL,2,NULL,5828,'Perhe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',387),(8498,'Spesifimpi termi, joka viittaa kotitalouteen, jossa tietyllä hetkellä yhdessä asuvat henkilöt myös kuuluvat perheeseen (katso määritelmä termille \'Perhe\'). Jos ei tiedossa, onko kyseessä \'Perhe\' vai \'Perhekotitalous\', käytä \'Perhe\'.','Family.HouseholdFamily','Family',3,NULL,5829,'Perhe: perhekotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',387),(8499,'Maantieteellinen alue, jota hallinnoivilla viranomaisilla tai päätäntäelimillä on oikeus tehdä aluetta koskevia hallinnollisia tai poliittisia päätöksiä. Sisältää ylikansalliset (esim. Euroopan unioni), kansalliset (esim. valtiot), maansisäiset (esim. maakunnat) ja paikalliset (esim. kunnat) alueet.','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Poliittis-hallinnollinen alue','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',387),(8500,'Sisältää teksti-, kuva- ja äänimuodossa olevan viestinnän.','MediaUnit',NULL,10,NULL,5833,'Mediatyyppi (teksti, ääni, still-kuva, liikkuva kuva)','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',387),(8501,'Taltioitu ääni, esimerkiksi puhe, musiikki jne.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Mediatyyppi: ääni','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',387),(8502,'Still-kuvat kuten esimerkiksi graafit, piirrokset, valokuvat, röntgenkuvat tai muut lääketieteelliset still-kuvat.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Mediatyyppi: still-kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',387),(8503,'Kirja, artikkeli, tweet, blogikirjoitus tai mikä tahansa muu tekstiyksikkö. Esimerkiksi tutkittaessa miten sanomalehdet ovat käsitelleet tiettyä aihetta ajan saatossa tai tutkittaessa vihapuhetta blogikirjoituksissa.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Mediatyyppi: teksti','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',387),(8504,'Liikkuva kuva äänellä tai ilman. Esimerkiksi elokuvat, animaatiot, digitaaliset taltiot, simulaatioiden liikkuvat kuvat, taltioidut televisio-ohjelmat ja ultraäänikuvat.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Mediatyyppi: liikkuva kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',387),(8505,'Kaksi tai useampia henkilöitä, jotka ovat joko kokoontuneet yhteen tai joita yhdistää jokin muu tekijä. Mikäli kyselytutkimus, kysymykset koskevat pääasiassa itse ryhmää, ryhmän kokemuksia ja asenteita ryhmää kohtaan, ei henkilöä itseään. Mikäli kysymykset koskevat sekä ryhmää että henkilöä, käytä havaintoyksikkönä molempia.','Group',NULL,15,NULL,5820,'Ryhmä','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',387),(8506,'Tutkimuksen tarkastelukohteena ovat yksittäiset henkilöt','Individual',NULL,0,NULL,5827,'Henkilö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',387),(8507,'Unapred planirana komunikacija između dve (ili više) osoba - anketara i sagovornika (anketiranog), u kojoj informacije dobija anketar od anketiranog. Ukoliko je grupna interakcija deo ove metode, koristite termin „Fokus grupa“.','Interview',NULL,0,NULL,4976,'Intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview',424),(8508,'Način prikupljanja podataka u kojem anketar uživo vodi usmeni razgovor, postavljajući pitanja i unoseći odgovore. Koristite ovaj širi pojam ukoliko nije tačno navedno da se radi o CAPI (Intervju licem u lice: podržan računarom) ili PAPI (Intervju licem u lice: beleži se na papiru) ili ukoliko vama nije poznato da li je u pitanju CAPI ili PAPI.','Interview.FaceToFace','Interview',1,NULL,4977,'Intervju licem u lice','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace',424),(8509,'Računarsko lično intervjuisanje (CAPI) ili računarsko potpomognuto mobilno intervjuisanje (CAMI). Način prikupljanja podataka u kojem anketar čita pitanja anketiranima sa ekrana računara, laptopa ili mobilnog uređaja poput tableta ili pametnog telefona i unosi odgovore u isti uređaj. Administriranjem intervjua upravlja se posebno dizajniranim programom / aplikacijom.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,'Intervju licem u lice: Podržan računarom (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.CAPIorCAMI',424),(8510,'Intervju sa papirom i olovkom (PAPI). Anketar koristi tradicionalni papirni upitnik za čitanje pitanja i unos odgovora.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,'Intervju licem u lice: beleži se na papiru (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.FaceToFace.PAPI',424),(8511,'Intervju administriran telefonom. Koristite ovaj širi pojam ukoliko nije spcifikovano da je u pitanu telefonski upitnik podržan računarom (CATI) ili ako vam nije poznato koji tip telefonskog upitnika je korišćen.','Interview.Telephone','Interview',4,NULL,4980,'Telefonski upitnik','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone',424),(8512,'Telefonski intervju (CATI) podržan računarom je onaj u kome anketar postavlja pitanja u skladu sa uputstvom računara, odgovori se unose direktno u računar, a administracijom intervjua upravlja posebno dizajniran program.','Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,'Telefonski intervju: Podržan računarom (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Telephone.CATI',424),(8513,'Intervju koji se vodi putem elektronske pošte, koji se obično sastoji od nekoliko poruka e-pošte koje omogućavaju da se diskusija nastavi izvan prvog skupa pitanja i odgovora ili prve razmene e-pošte.','Interview.Email','Interview',6,NULL,4982,'Upitnik putem elektronske pošte','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.Email',424),(8514,'Intervju koji se sprovodi putem interneta. Na primer, intervjui vođeni na internet forumima ili korišćenjem internet audio-vizuelne tehnologije koja omogućava anketarima i anketiranim licima da komuniciraju u realnom vremenu.','Interview.WebBased','Interview',7,NULL,4983,'Veb upitnik','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Interview.WebBased',424),(8515,'Metoda prikupljanja podataka u kojoj ispitanik čita ili sluša pitanja i unosi odgovore; nema živog anketara ili on ne učestvuje u administraciji upitnika. Ako je moguće, koristite uži termin. Upotrebite ovaj širi pojam ako metod nije opisan nijednim užim terminom.','SelfAdministeredQuestionnaire',NULL,8,NULL,4984,'Samostalni upitnik','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire',424),(8516,'Samostalno anketiranje u kome se ispitanicima postavljaju pitanja u tekstu e-pošte ili kao prilog e-pošti, ali ne kao hiperlink do veb-upitnika. Odgovori se takođe šalju nazad e-poštom, u poruci e-pošte ili kao prilog.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,'Samostalno anketiranje: Elektronskom poštom','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Email',424),(8517,'Anketa koja se sprovodi samostalno, koristeći tradicionalni papirnati upitnik dostavljen i / ili prikupljen poštom (poštanske usluge), faksom ili lično od strane anketara ili ispitanika.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,'Samostalno anketiranje: Papirno','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.Paper',424),(8518,'Anketa koja se sprovodi samostalno, a u kojoj ispitanici dobijaju pitanja putem SMS (tekstualne poruke) ili MMS (poruke koje uključujui multimedijalni sadržaj) i šalju svoje odgovore u istom formatu.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,'Samostalno anketiranje: Porukama (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',424),(8519,'Podaci se prikupljaju putem veb upitnika, sačinjenog uz pomoć program za kreiranje veb ili onlajn anketa. Program može prilagoditi tok upitnika na osnovu ponuđenih odgovora, a može omogućiti da upitnik sadrži slike, audio i video snimke, veze do različitih veb stranica, i sl.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,'Samostalno anketiranje: Veb anketa (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CAWI',424),(8520,'Ispitanici samostalno unose odgovore u računar (desktop, laptop, Palm / PDA, tablet itd.). Administriranje upitnika obavlja posebno dizajniran program / aplikacija, ali ne postoji prijenos podataka u realnom vremenu (kao u CAWI), već se odgovori čuvaju na uređaju koji se koristi za intervju. Upitnik može biti fiksnog oblika ili interaktivan. Uključuje VCASI (video-računarski podržano samostalno anketiranje), ACASI (audio-računarski podržano samostalno anketiranje) i TACASI (telefonsko audio-računarski podržano samostalno anketiranje).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,'Samostalno anketiranje: Podržano računarom (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredQuestionnaire.CASI',424),(8521,'Grupna diskusija o određenoj temi, organizovana u istraživačke svrhe. Pojedinci su odabrani u skladu sa temom, a interakcija između učesnika koristi se kao deo metode.','FocusGroup',NULL,14,NULL,4990,'Fokus grupa','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup',424),(8522,'Učesnici fokus grupe sastaju se lično kako bi vodili diskusiju.','FocusGroup.FaceToFace','FocusGroup',15,NULL,4991,'Fokus grupa licem u lice','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.FaceToFace',424),(8523,'Diskusija u okviru fokus grupe vodi se telefonom.','FocusGroup.Telephone','FocusGroup',16,NULL,4992,'Telefonska fokus grupa','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Telephone',424),(8524,'Diskusija u okviru fokus grupe odvija se putem Interneta na interaktivan način.','FocusGroup.Online','FocusGroup',17,NULL,4993,'Onlajn fokus grupa','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#FocusGroup.Online',424),(8525,'Narativi (besede), priče, dnevnici i pisani tekstovi koje je kreirao subjekat istraživanja.','SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,'Samostalni zapisi i/ili dnevnici','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries',424),(8526,'Narativi (besede), priče, dnevnici i pisani tekstovi koje ispitanik šalje elektronskom poštom.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,'Samostalni zapisi i/ili dnevnici: Elektronskom poštom','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Email',424),(8527,'Narativi (besede), priče, dnevnici i pisani tekstovi koje ispitanik prilaže u papirnom obliku.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,'Samostalni zapisi i/ili dnevnici: Papirni','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',424),(8528,'Narativi (besede), priče, dnevnici i pisani tekstovi prikupljeni iz Internet izvora, na primer veb sajtova, blogova, diskusionih grupa.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,'Samostalni zapisi i/ili dnevnici: Veb','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',424),(8529,'Metoda istraživanja koja uključuje prikupljanje podataka kako se pojavljuju (na primer, posmatranje ponašanja, događaja, razvoj stanja ili bolesti itd.), bez pokušaja manipulacije bilo kojom nezavisnom promenljivom.','Observation',NULL,22,NULL,4998,'Opservacije / posmatranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation',424),(8530,'Opservacije koje se sprovode u prirodnom okruženju.','Observation.Field','Observation',23,NULL,4999,'Terenska posmatranja','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field',424),(8531,'Vrsta terenskog posmatranja u kome istraživač komunicira sa subjektima i često igra ulogu u posmatranom socijalnom stanju.','Observation.Field.Participant','Observation.Field',27,NULL,5024,'Terensko posmatranje sa učešćem','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Participant',424),(8532,'Posmatranje koje se izvodi u prirodnom, nekontrolisanom okruženju bez ikakve interakcije između istraživača i njegovih subjekata.','Observation.Field.Nonparticipant','Observation.Field',28,NULL,5001,'Terensko posmatranje bez učešća','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Field.Nonparticipant',424),(8533,'Posmatranje koje se izvodi u kontrolisanom, veštački stvorenom okruženju. Na primer, posmatranje igre dece u laboratorijskoj igraonici.','Observation.Laboratory','Observation',24,NULL,5002,'Laboratorijsko posmatranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory',424),(8534,'Vrsta laboratorijskog posmatranja u kome istraživač komunicira sa subjektima i često igra ulogu u posmatranom socijalnom stanju. Na primer, posmatranje igre dece u laboratorijskoj igraonici sa istraživačem koji učestvuje u predstavi.','Observation.Laboratory.Participant','Observation.Laboratory',25,NULL,5025,'Laboratorijsko posmatranje sa učešćem','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Participant',424),(8535,'Vrsta laboratorijskog posmatranja koje se sprovodi bez ikakve interakcije između istraživača i njegovih subjekata.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',29,NULL,5004,'Laboratorijsko posmatranje bez učešća','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.Laboratory.Nonparticipant',424),(8536,'Vrsta posmatranja u kome se podaci o upotrebi računara prikupljaju softverom koji može biti ugrađen u sam računar ili može biti zaseban program. Mogu se prikupiti informacije o broju korisnika, načinima na koji korisnici komuniciraju sa programima, koliko vremena provode na veb stranici, kako koriste određene odeljke aplikacija, kako prelaze sa stranice na stranicu ili sa jedne aplikacije na drugu, itd.','Observation.ComputerBased','Observation',26,NULL,5005,'Posmatranje podržano računarom','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Observation.ComputerBased',424),(8537,'Metoda istraživanja koja uključuje manipulaciju nekim ili svim nezavisnim varijablama uključenim u hipoteze.','Experiment',NULL,30,NULL,5006,'Ekspertiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment',424),(8538,'Eksperiment sproveden u kontrolisanom, veštački stvorenom fizičkom okruženju, u kome istraživač manipuliše jednom ili više nezavisnih varijabli i meri njen / njihov uticaj na zavisnu promenljivu.','Experiment.Laboratory','Experiment',31,NULL,5007,'Laboratorijski eksperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.Laboratory',424),(8539,'Eksperiment sproveden u prirodnom, nekontrolisanom okruženju, u kome istraživač manipuliše jednom ili više nezavisnih varijabli. Interventne / kliničke studije su jedan primer terenskih eksperimenata.','Experiment.FieldIntervention','Experiment',32,NULL,5008,'Terenski ekspertiment / intervencija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.FieldIntervention',424),(8540,'Eksperiment sproveden u virtuelnom okruženju World Wide Web-a, u kome se eksperimentalni materijali programiraju za primenu veštačkih situacija ili događaja koji se istražuju u distribuisanoj sredini. (Reips, U.D. (2002). Teorija i tehnike veb eksperimentiranja. U B. Batinic, U.D. Reips i M. Bosnjak (ur.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Dostupno na: http://www.websm.org/uploadi/editor/Reips_2002_Theori_and_techniques.pdf [07. juni 2013.])','Experiment.WebBased','Experiment',33,NULL,5009,'Ekspertiment na vebu','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Experiment.WebBased',424),(8541,'Registrovanje mehaničkim ili elektronskim sredstvima, u obliku koji omogućava preuzimanje i / ili reprodukciju informacija. Na primer, slike ili zvukovi na disku ili magnetnoj traci.','Recording',NULL,34,NULL,5010,'Snimanje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Recording',424),(8542,'Kao način sekundarnog prikupljanja podataka, kodiranje sadržaja primenjuje tehnike kodiranja kako bi se kvalitativni podaci (tekstualni, video, audio ili nepokretni snimci) prvobitno proizvedeni u druge svrhe pretvorili u kvantitativne podatke u skladu sa prethodno definisanom šemom kategorizacije. Na primer, podaci o manifestu kodiranih strana poput \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204)\".','ContentCoding',NULL,35,NULL,5011,'Kodiranje sadržaja','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#ContentCoding',424),(8543,'Obuhvat podataka u pisanom obliku iz drugog izvora ili iz drugog medija, pisma ili oblika notacije, poput naučnih formula ili muzičkih nota. Za prepisane intervjue ili zapažanja preporučuje se dokumentovanje primarnog načina prikupljanja, koristeći jedan od termina intervjua ili opservacije.','Transcription',NULL,36,NULL,5012,'Transkripcija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Transcription',424),(8544,'Prikupljanje i objedinjavanje podataka iz više, često heterogenih izvora koji imaju jednu ili više referentnih tačaka, a bar jedan izvor originalno je proizveden u druge svrhe. Podaci su ugrađeni u novi entitet. Na primer, pružanje podataka o broju univerziteta u poslednjih 150 godina koristeći razne dostupne izvore (npr. finansijska dokumenta, zvanična statistika, univerzitetski registri), kombinujući podatke ankete sa podacima o geografskim oblastima iz zvanične statistike (npr. gustina naseljenosti, broj lekara po glavi stanovnika itd.) ili koristeći RSS za prikupljanje postova na blogovima ili tvitova, itd.','CompilationSynthesis',NULL,37,NULL,5013,'Kompilacija / sinteza','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#CompilationSynthesis',424),(8545,'Predstavljanje informacija u skraćenom obliku, svodeći je na glavne tačke. Na primer, sažeci intervjua ili izvještaji koji se objavljuju i koriste kao podaci, a ne celoviti intervjui ili izveštaji.','Summary',NULL,38,NULL,5014,'Rezime','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Summary',424),(8546,'Statistika koja se odnosi na široke klase, grupe ili kategorije. Podaci su dati na nivou proseka, zbira ili su na neki drugi način izvedeni iz podataka prikupljenih na nivou pojedinaca i više nije moguće razlikovati karakteristike pojedinaca u tim klasama, grupama ili kategorijama. Na primer, broj i starosna grupa nezaposlenih u određenim geografskim regionima ili statistika na nacionalnom nivou o pojavljivanju određenih krivičnih dela, izvorno izvedena iz statistika pojedinih policijskih okruga.','Aggregation',NULL,39,NULL,5015,'Agregacija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Aggregation',424),(8547,'Modeliranje ili imitacija reprezentacije procesa, događaja ili sistema u stvarnom svetu, često koristeći računarske programe. Na primer, program koji modelira reakcije potrošnje domaćinstava na indirektne promene poreza ili skup podataka o hipotetičkim pacijentima i njihovoj izloženosti lekovima, pozadinskim uslovima i poznatim neželjenim događajima.','Simulation',NULL,40,NULL,5016,'Simulacija','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Simulation',424),(8548,'Procena specifičnih svojstava (ili karakteristika) bića, stvari, pojava (i / ili procesa) primenom unapred utvrđenih standarda i / ili specijalizovanih instrumenata ili tehnika.','MeasurementsAndTests',NULL,41,NULL,5017,'Merenje i testiranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests',424),(8549,'Procena znanja, veština, sposobnosti ili obrazovnog dostignuća pomoću specijalizovanih mera ili testova.','MeasurementsAndTests.Educational','MeasurementsAndTests',42,NULL,5018,'Obrazovno merenje i testiranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Educational',424),(8550,'Procena fizičkih svojstava živih bića, predmeta, materijala ili prirodnih pojava. Na primer, nalaz iz praktičnog medicinskog pregleda (npr. palpacije ili auskultacije), kliničkih merenja i laboratorijskih testova poput analize krvi, krvnog pritiska, otkucaja srca, telesne težine i visine, kao i opštih merenja kao što su vreme, udaljenost, masa, temperatura, sila, snaga, brzina, GPS podaci o fizičkom kretanju i drugi fizički parametri ili promenljive, poput geoprostornih podataka.','MeasurementsAndTests.Physical','MeasurementsAndTests',43,NULL,5019,'Fizičko merenje i testiranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Physical',424),(8551,'Procena osobina ličnosti ili psiholoških / bihevioralnih odgovora pomoću specijalizovanih mera ili testova. Na primer, objektivni testovi kao što su mere samoizveštavanja sa ograničenim formatom odgovora ili projektivne metode koje omogućuju slobodne odgovore, uključujući povezivanje reči, dovršavanje rečenica ili priče, vinjete, test crteža, tematski testovi prikazivanja, igranje uloga, testovi crtanja, vežbe uređivanja izbora itd.','MeasurementsAndTests.Psychological','MeasurementsAndTests',44,NULL,5020,'Psihološko merenje i testiranje','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#MeasurementsAndTests.Psychological',424),(8552,'Koristite ako je način prikupljanja podataka poznat, ali nije pronađen na ovoj listi.','Other',NULL,45,NULL,5021,'Ostalo','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html#Other',424),(8553,'Qualsiasi persona.','Individual',NULL,0,NULL,5827,'Individuo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Individual',425),(8554,'Qualsiasi tipo di struttura amministrativa e funzionale formale - incluse associazioni, istituzioni, agenzie, imprese, partiti politici, scuole, ecc. I dati raccolti si riferiscono alle organizzazioni o alle istituzioni, anche se le risposte alle domande sono fornite da singoli individui. Ad esempio, dati sulle politiche ambientali delle imprese, dati sui tassi di iscrizione o di laurea presso le università nazionali, ecc.','OrganizationOrInstitution',NULL,1,NULL,5821,'Organizzazione/Istituzione','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#OrganizationOrInstitution',425),(8555,'Due o più persone legate da vincolo di sangue, matrimonio (compresi i rapporti allargati), coabitazione o convivenza di fatto, adozione o affidamento che possono o meno vivere insieme. Ad esempio, dati sul tipo di servizi pubblici di cui la famiglia usufruisce o di cui avrebbe bisogno; oppure dati sulla frequenza con cui i membri della famiglia sono in contatto tra loro.','Family',NULL,2,NULL,5828,'Famiglia','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family',425),(8556,'Un termine più specifico che si riferisce solo a persone che sono legate da vincoli familiari (si veda la definizione di \"Famiglia\") e che vivono nella stessa abitazione in un determinato momento. Se non è possibile distinguere tra \"Famiglia\" e \"Famiglia convivente\" come unità di analisi, utilizzare \"Famiglia\"','Family.HouseholdFamily','Family',3,NULL,5829,'Famiglia: Famiglia convivente','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Family.HouseholdFamily',425),(8557,'Una persona o un gruppo di persone che condividono la stessa unità abitativa e le stesse modalità di vita comuni. Queste modalità di vita comuni possono includere la condivisione di alcuni oppure di tutti i redditi e ricchezze, e il consumo collettivo di determinati tipi di beni e servizi, principalmente alloggi e cibo (Eurostat)','Household',NULL,4,NULL,5822,'Conviventi','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Household',425),(8558,'Un\'unità abitativa è una casa, un appartamento, una casa mobile, un gruppo di stanze o una stanza singola occupata (oppure, se non occupata, destinata ad ospitare) come abitazione separata. Le abitazioni separate sono quelli in cui gli occupanti vivono e mangiano separatamente da qualsiasi altra persona presente nell\'edificio, e che hanno un accesso diretto dall\'esterno dell\'edificio oppure attraverso un ingresso comune.','HousingUnit',NULL,5,NULL,5830,'Unità abitativa','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#HousingUnit',425),(8559,'Qualsiasi tipo di episodio, evento o attività. Gli eventi sono generalmente occorrenze singole, con una durata limitata oppure breve. Esempi: reati, rivolte, riunioni, elezioni, competizioni sportive, attacchi terroristici, calamità naturali come inondazioni, ecc. I processi generalmente durano nel tempo, e possono includere \"eventi\" multipli o cambiamenti graduali che alla fine conducono, oppure tendono a condurre, a un risultato particolare. Esempi: processi giudiziari, indagini penali, campagne politiche, trattamenti sanitari, istruzione, allenamenti sportivi, ecc. Utilizzare quando l\'attenzione è riposta principalmente sull\'evento, sul processo o sull\'attività stessa. Ad esempio, uno studio che prevede un\'osservazione sul campo relativa al gioco d\'azzardo attraverso slot machine; oppure dati raccolti su casi di abuso su minori, come il tipo e la durata dell\'abuso, il ruolo delle persone coinvolte, ecc.','EventOrProcessOrActivity',NULL,6,NULL,5823,'Evento/Processo/Attività','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#EventOrProcessOrActivity',425),(8560,'Qualsiasi entità che possa essere definita nello spazio, come un\'area geografica, con confini naturali (fisici) o amministrativi. Ad esempio, i dati sulle vendite di case, sui mutamenti del paesaggio, sulle nuove costruzioni o sui cambiamenti nella composizione demografica di alcune regioni o distretti territoriali.','GeographicUnit',NULL,7,NULL,5831,'Unità geografica','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#GeographicUnit',425),(8561,'Un\'area geografica governata da un\'autorità che ha il potere di prendere decisioni amministrative o politiche relative a quell\'area. Comprende aree a livello sovranazionale (ad esempio unioni di stati come l\'Unione Europea), nazionale (ad esempio singoli stati o paesi), subnazionale (ad esempio suddivisioni amministrative come stati federali, province, ecc.), e locale (ad esempio comuni).','PoliticalAdministrativeArea',NULL,8,NULL,5832,'Area politico-amministrativa','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#PoliticalAdministrativeArea',425),(8562,'Qualsiasi periodo di tempo: anno, settimana, mese, giorno, bimestre, trimestre, ecc.','TimeUnit',NULL,9,NULL,5826,'Unità temporale','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#TimeUnit',425),(8563,'Include testi, immagini, video e suoni.','MediaUnit',NULL,10,NULL,5833,'Unità di supporto','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit',425),(8564,'Suoni registrati, inclusa la voce, la musica, ecc.','MediaUnit.Sound','MediaUnit',11,NULL,5835,'Unità di supporto: suono','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Sound',425),(8565,'Immagini statiche, come grafici, disegni, fotografie, immagini diagnostiche/mediche come radiografie e altri tipi di esami per immagini, ecc.','MediaUnit.StillImage','MediaUnit',12,NULL,5836,'Unità di supporto: immagine','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.StillImage',425),(8566,'Qualsiasi entità scritta, come libri, articoli, tweet, blog, ecc. Ad esempio, uno studio sugli hate speech nei tweet, oppure uno studio sul modo in cui i giornali presentano nel tempo alcuni temi politici/sociali, come i diritti delle donne o delle minoranze, ecc.','MediaUnit.Text','MediaUnit',13,NULL,5834,'Unità di supporto: testo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Text',425),(8567,'Immagini in movimento. Può includere film, animazioni, registrazioni digitali, output visivi prodotti da simulazioni, programmi televisivi registrati, video medico/diagnostici come ecografie, ecc. Può essere muto o può includere il suono sincronizzato.','MediaUnit.Video','MediaUnit',14,NULL,5837,'Unità di supporto: video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#MediaUnit.Video',425),(8568,'Due o più individui riuniti oppure che possiedono una qualsiasi relazione o caratteristica unificante. Nelle indagini le domande si concentrano principalmente sul gruppo e sugli atteggiamenti/esperienze del gruppo, piuttosto che su quelle dei singoli intervistati. Se le domande riguardano sia il gruppo che l\'individuo, utilizzare entrambi come unità di analisi.','Group',NULL,15,NULL,5820,'Gruppo','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Group',425),(8569,'Tutto ciò che è materiale, inanimato, che ha un\'esistenza indipendente e che può essere percepito attraverso i sensi. Esempi: oggetti d\'arte (dipinti, sculture, ecc.), armi, veicoli, ecc.','Object',NULL,16,NULL,5824,'Oggetto','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Object',425),(8570,'Utilizzare se l\'unità di analisi è nota, ma non riconducibile a nessun termine presente nell\'elenco.','Other',NULL,17,NULL,5825,'Altro','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html#Other',425),(8571,'Participation active ou passive à tout type d\'activités culturelles, ainsi que les opinions et les perceptions les concernant.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,8399,NULL,'Activités culturelles et participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.4',426),(8572,'Questions liées à l\'implantation de l\'aide sociale, qui fournit les services d\'aide sociale en pratique et dans quelle mesure, comment les services en question sont structurés. Par exemple, les questions sur la manière dont une collectivité territoriale a organisé les services pour les personnes âgées.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,8408,NULL,'Systèmes / structures de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.4',426),(8573,'Données se référant à tout type de médias de masse. Par exemple, les journaux papier ou en ligne, les magazines, la télévision et la radio. S\'il vous plait veuillez noter que les réseaux sociaux sont référencés avec le terme \'Société de l\'information\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,8349,NULL,'Média','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.4',426),(8574,'Par exemple, des données sur le volume de la population qui utilise des services sociaux spécifiques, les opinions sur l\'adéquation, l\'accessibilité et la disponibilité des services spécifiques, et la satisfaction générale avec eux. Par exemple, des questions sur quel service les personnes âgées ont utilisé, ou l\'utilisation de statistiques sur des services en particulier.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,8400,NULL,'Services sociaux spécifiques : utilisation et disponibilité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.4',426),(8575,'','Psychology',NULL,61,8344,NULL,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.4',426),(8576,'Inclut les études mesurant la qualité du logement dans une communauté, incluant le logement social, ainsi que la disponibilité et le prix du logement. Logement inclut les maisons, les résidences secondaires et les maisons de vacances.','HousingAndLandUse.Housing','HousingAndLandUse',31,8367,NULL,'Logement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.4',426),(8577,'','ScienceAndTechnology',NULL,62,8379,NULL,'SCIENCE ET TECHNOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.4',426),(8578,'Données qui traitent des questions de comportements religieux, de mouvements religieux, de la spiritualité, de la moralité et d\'autres valeurs.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,8350,NULL,'Religion et valeurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.4',426),(8579,'Données sur le comportement social ; l\'interaction sociale et les réseaux ; les responsabilités sociales, les normes et les règles ; et les attitudes face à ces questions.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,8375,NULL,'Comportement social et attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.4',426),(8580,'','NaturalEnvironment',NULL,49,8345,NULL,'ENVIRONNEMENT NATUREL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.4',426),(8581,'','SocietyAndCulture',NULL,79,8343,NULL,'SOCIÉTÉ ET CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.4',426),(8582,'Données sur la formation de l\'identité, ce que les personnes pensent qu\'elles sont et où est leur place. La relation de l\'identité culturelle et nationale à la représentation et au classement de quelqu\'un comme \"pas l\'un de nous\" (Autre). Les coutumes et les manières, et les attitudes concernant la perception de soi-même et de l\'identité des autres groupes.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,8418,NULL,'Identité culturelle et nationale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.4',426),(8583,'L\'enseignement obligatoire fait référence à la période de l\'éducation qui est requise pour toutes les personnes vivant dans un pays et qui est imposée par la loi. L\'enseignement préscolaire fait référence à la garde formelle des enfants et à l\'éducation dispensée avant l\'enseignement obligatoire. Utilisez ce terme pour référencer des données relatives à l\'enseignement préscolaire, primaire, les premiers niveaux du secondaire, que les données portent ou non sur les élèves, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.CompulsoryAndPreschoolEducation','Education',11,8342,NULL,'Enseignement obligatoire et pré-scolaire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.4',426),(8584,'Données sur la législation internationale ou nationale, les réglementations administratives, le système judiciaire (pouvoirs et activités des tribunaux), les modes alternatifs de résolutions de litiges et de justice réparatrice, les sanctions.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,8357,NULL,'Législation et systèmes juridiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.4',426),(8585,'','Economics',NULL,4,8339,NULL,'ÉCONOMIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.4',426),(8586,'Blessures et lésions, à la fois physiques et psychologiques, causées soit par des accidents ou des violences (par des comportements agressifs individuels ou de groupe). Si blessures ou lésions en relation au travail, utilisez \'Santé au travail\'.','Health.WoundsAndInjuries','Health',28,8396,NULL,'Blessures et lésions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.4',426),(8587,'Processus, fonction ou système reproductif à toutes les étapes de la vie. Inclut des données sur les grossesses, les naissances, la planification familiale, la contraception et l\'avortement, la ménopause.','Health.ReproductiveHealth','Health',25,8369,NULL,'Santé reproductive','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.4',426),(8588,'','LawCrimeAndLegalSystems',NULL,41,8403,NULL,'LOI, CRIMINALITÉ ET SYSTÈME LÉGAL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.4',426),(8589,'Discussions sur la politique et les principes, et les décisions prises et les principes adoptés au niveau national, régional ou local concernant l\'éducation et son implantation. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Education.EducationalPolicy','Education',12,8384,NULL,'Politique éducative','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.4',426),(8590,'Données sur les changements dans la société, incluant les changements d\'attitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,8386,NULL,'Changement social','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.4',426),(8591,'Echange de capitaux, de biens, ou de services au-delà des frontières internationales.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,8356,NULL,'Commerce extérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.4',426),(8592,'Inclut à la fois l\'aménagement du territoire et la planification de l\'utilisation du sol. La planification de l\'utilisation du sol fait référence aux procédures mises en œuvre pour assurer une utilisation optimale et durable des terres dans les communautés rurales et urbaines.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,8413,NULL,'Aménagement et planification du territoire','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.4',426),(8593,'Données sur les politiques d\'emploi relatives aux relations de travail, au marché du travail et à l\'égalité et la discrimination au travail ; Au niveau national, les politiques incluent l\'influence de la demande et l\'offre de travail et le fonctionnement des marchés du travail. Utilisez \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en œuvre.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,8421,NULL,'Politique du travail et de l\'emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.4',426),(8594,'Données incluant les études linguistiques, les analyses linguistiques et sociolinguistiques, ainsi que des données sur les politiques de langage, les compétences en termes de langues de la population, les langues parlées au travail et à la maison, les attitudes envers les langues minoritaires etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,8370,NULL,'Langue et linguistiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.4',426),(8595,'Les questions liées à l\'existence, aux rôles et à l\'impact des élites dans la société, c\'est-à-dire, les individus ou les groupes qui ont une quantité considérable de pouvoir ou d\'influence sur la société, les politiques, la richesse etc. soit à travers les décisions qu\'ils prennent ou, par exemple, à travers les idées ou les sentiments qu\'ils expriment ou représentent. Inclut les questions traitant des personnes influentes dans toutes les sphères de la société, par exemple, les décideurs de la vie politique, les chefs des partis politiques, les artistes influents, les personnalités des médias de masse ou des réseaux sociaux etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,8424,NULL,'Élites et dirigeants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.4',426),(8596,'Utilisation de processus biomoléculaires et cellulaires pour créer de nouveaux produits et procédés technologiques.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,8360,NULL,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.4',426),(8597,'Données sur la condition physique de la population, ainsi que sur le niveau d\'activité physique et sportive.','Health.PhysicalFitnessAndExercise','Health',23,8423,NULL,'Condition et activité physique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.4',426),(8598,'Idées, idéaux et théories sur les manières dont les gouvernements et les sociétés peuvent être organisés. Les idéologies politiques importantes incluent l\'anarchisme, la démocratie, le libéralisme, le conservatisme etc.','Politics.PoliticalIdeology','Politics',60,8374,NULL,'Idéologie politique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.4',426),(8599,'Qualité et disponibilité des services, des installations connexes et du personnel dans le domaine des soins de santé. L\'économie des soins de santé et la politique et les principes de décision au niveau national, régional ou local en matière de soins de santé. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Health.HealthCareServicesAndPolicies','Health',20,8388,NULL,'Services et politiques de soins','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.4',426),(8600,'','Health',NULL,16,8410,NULL,'SANTÉ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.4',426),(8601,'Données sur les élections, les référendums, les campagnes électorales, les résultats des élections, les candidats aux élections, les sélectionneurs des candidats, le financement électoral etc.','Politics.Elections','Politics',56,8347,NULL,'Élections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.4',426),(8602,'Couvre les animaux domestiques, de production et sauvages, ainsi que tous les types de plantes (e. g. fleurs, arbres, mousses, légumes).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,8359,NULL,'Plantes et animaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.4',426),(8603,'Étude des maladies, troubles, syndromes spécifiques diagnostiquées (souvent classés dans la CIM-10 ou ses versions précédentes). Par exemple, la recherche médicale sur les causes du diabète ou l\'étude sur le rétablissement physique et mentale des personnes qui ont eu une chirurgie cardiaque.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,8393,NULL,'Maladies, troubles spécifiques et conditions médicales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.4',426),(8604,'Relations entre employeurs et employés.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,8397,NULL,'Relations / conflits au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.4',426),(8605,'Inclut tous les modèles de retraite tels que la retraite \'progressive\' ou la retraite \'flexible\', les données sur l\'âge de la retraite et la retraite anticipée.','LabourAndEmployment.Retirement','LabourAndEmployment',38,8405,NULL,'Retraite','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.4',426),(8606,'La morbidité fait référence à l\'incidence de la mauvaise santé dans une population. Les données peuvent couvrir l\'incidence ou le taux de morbidité d\'un problème de santé. Par exemple, le nombre de personnes qui souffrent du cancer du poumon dans un pays ou une aire géographique durant une année. Les données de mortalité indiquent le nombre de morts dans une population selon le lieu, le moment, la cause ou le type d\'individu etc. Par exemple, le taux de mortalité maternelle, le taux de mortalité infantile. Veuillez noter que les données d\'enquêtes auto-administrées sur les maladies et les problèmes de santé sont référencées avec les termes de la catégorie SANTÉ.','Demography.MorbidityAndMortality','Demography',3,8417,NULL,'Morbidité et mortalité','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.4',426),(8607,'Technologies de l\'information et de la communication qui sont utilisées à la maison, au travail et dans d\'autres lieux. Veuillez noter que l\'utilisation et l\'impact de ces technologies sont incluses dans \'Société de l\'information\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,8338,NULL,'Technologie de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.4',426),(8608,'Mouvements d\'individus, de familles ou de groupes d\'individus dans les statuts sociaux et professionnels au fil du temps. Le mouvement peut être horizontal, c\'est-à-dire, changement de position à l\'intérieur d\'une même catégorie de statuts, ou vertical où des individus peuvent se déplacer vers le haut ou vers le bas dans la hiérarchie des statuts. Par exemple, des ouvriers dans des industries en déclin peuvent devenir des ouvriers dans toute autre industrie (mobilité horizontale professionnelle), ou des enfants de familles pauvres peuvent atteindre une classe sociale plus élevée que leurs parents (mobilité sociale intergénérationnelle verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,8346,NULL,'Mobilité sociale et professionnelle','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.4',426),(8610,'','Politics',NULL,54,8354,NULL,'POLITIQUE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.4',426),(8611,'Études sur le bien-être en général ou l\'état de santé d\'un individu, d\'un groupe ou d\'une population. Peut être objectivement mesuré / observé ou auto-perçu. Le bien-être inclut, par exemple, la capacité ou l\'état physique et mental, ainsi que l\'état social.','Health.GeneralHealthAndWellbeing','Health',19,8348,NULL,'Santé et bien-être','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.4',426),(8612,'','HousingAndLandUse',NULL,30,8340,NULL,'LOGEMENT ET UTILISATION DES TERRES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.4',426),(8613,'Inclut immigration, émigration, migration interne ainsi que d\'autres types de mobilité géographique. L\'immigration signifie venir s\'établir dans un autre pays que son pays d\'origine. L\'émigration signifie quitter son pays d\'origine pour s\'installer dans un autre pays. La migration est le terme générique pour les deux. La migration inclut aussi la migration interne, c\'est-à-dire, le déplacement de personnes au sein d\'un pays à différents niveaux géographiques.','Demography.Migration','Demography',2,8358,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.4',426),(8614,'Données sur la politique économique, incluant le budget et la politique fiscale, les dépenses publiques et les recettes publiques.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8387,NULL,'Politique économique, dépenses publiques et recettes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.4',426),(8615,'Étude des conditions anatomiques ou physiologiques anormales et des conditions objectives ou subjectives des maladies / des symptômes pas classées comme des maladies ou des syndromes (dans ce cas \'Maladies, troubles ou problèmes de santé spécifiques\' serait utilisé). Inclut les manifestations cliniques qui peuvent être objectives lorsqu\'elles sont observées par un professionnel de santé ou subjective quand elles sont perçues par le patient. E. g. douleur, diarrhée, éruption cutanée, inégalité de longueur de jambe, insomnie, grincement de dents, inflammation, arythmie.','Health.SignsAndSymptomsPathologicalConditions','Health',26,8377,NULL,'Signes et symptômes ; conditions pathologiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.4',426),(8616,'Couvre les questions relatives aux familles, aux parents, aux générations et à la composition du ménage. Par exemple, des données sur l\'éducation des enfants, la division du travail au sein de la famille, le soutien apporté aux membres de la famille.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,8385,NULL,'Vie de famille et mariage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.4',426),(8617,'Utilisez pour des études sur l\'accumulation de biens personnels, incluant le revenu, la propriété, les placements et les épargnes.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8404,NULL,'Revenu, propriété et placement / épargne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.4',426),(8618,'Prévention et contrôle des maladies et du handicap et la promotion de la santé physique et mentale de la population au niveau international, national, étatique, ou municipal. Par exemple, la promotion de la santé, la prévention de maladies, l\'impact des programmes de santé publique, la gestion locale, nationale ou mondiale des problèmes de santé, l\'épidémiologie d\'une maladie, d\'une pathologie, d\'un pathogène ou d\'une épidémie.','Health.PublicHealth','Health',24,8373,NULL,'Santé publique','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.4',426),(8619,'Peut nécessiter une thématique supplémentaire, si les enfants sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,8395,NULL,'Enfants','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.4',426),(8620,'Mesures adoptées pour améliorer ou préserver l\'image des individus, des entreprises, des organisations, et des gouvernements par exemple par le biais de la publicité, du lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,8341,NULL,'Relations publiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.4',426),(8621,'Groupes d\'individus qui diffèrent de la majorité de la population d\'une façon ou d\'une autre. Les caractéristiques différenciantes incluent, par exemple, l\'ethnicité, la religion, la santé, l\'orientation sexuelle, la première langue (la langue maternelle) et la culture. S\'il vous plait veuillez noter que vous pouvez aussi utiliser les termes \'Égalité, inégalité et exclusion sociale\' ou \'Langue et linguistiques\' pour certaines questions relatives aux questions des minorités.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,8392,NULL,'Minorités','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.4',426),(8622,'','SocialWelfarePolicyAndSystems',NULL,75,8376,NULL,'POLITIQUE ET SYSTÈMES DE PROTECTION SOCIALE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.4',426),(8623,'Couvre les problèmes de dégradation environnementale, de pollution, de protection de l\'environnement, de changement climatique, de prévention des inondations, d\'érosion des sols.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,8362,NULL,'Environnement et conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.4',426),(8624,'Les ressources naturelles sont des ressources telles que la terre, les forêts, les sources d\'énergie, l\'eau, les minéraux qui existent naturellement et peuvent être utilisés pour la production économique ou la consommation. Les ressources énergétiques incluent les combustibles fossiles tels que le pétrole, le gaz naturel ou le charbon, ainsi que le nucléaire, le solaire, l\'énergie marémotrice, l\'éolien ou à partir d\'organismes vivants qui peuvent être remplacés.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,8394,NULL,'Énergie et ressources naturelles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.4',426),(8625,'Les conditions de travail des employés. Par exemple, les types de contrat, le temps de travail (heures de travail, les périodes de repos, les horaires de travail, les heures supplémentaires), le salaire et l\'indemnisation, les aspects physique et exigences mentales du travail, les droits et responsabilités des employés, la charge de travail, l\'implication de l\'employé dans la prise de décision, les droits de congés, l\'environnement physique. Pour les problèmes de la sécurité sur le lieu de travail utilisez aussi \'Santé au travail\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,8427,NULL,'Conditions de travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.4',426),(8626,'Utilisez si la thématique est connue, mais pas présente dans la liste.','Other',NULL,94,8419,NULL,'AUTRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.4',426),(8627,'Données sur le taux et les statistiques du chômage, les programmes et schémas d\'emploi, la durée et la fréquence du chômage, l\'impact social et psychologique du chômage etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,8382,NULL,'Chômage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.4',426),(8628,'Traitement de maladie, ou procédure(s) de prévention. Soins au patient au niveau individuel. Recherche sur les médicaments et le traitement d\'une maladie. Données sur, par exemple, les procédures chirurgicales, la réadaptation, la consultation médicale, la physiothérapie, les manipulations musculo-squelettiques, les soins à l\'hôpital ou à domicile, la psychothérapie, les techniques d\'investigations, les médicaments.','Health.MedicationAndTreatment','Health',21,8334,NULL,'Médicaments et traitements','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.4',426),(8629,'La gouvernance mondiale, la diplomatie, la politique étrangère, les relations entre pays, les organisations internationales (e. g. l\'UE, l\'OMS, l\'ONU, l\'OMC), et les accords internationaux.','Politics.InternationalPoliticsAndOrganisations','Politics',58,8336,NULL,'Politiques et organisations internationales','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.4',426),(8630,'Données sur la criminalité, la prévention de la criminalité, les victimes d\'actes criminels, les criminels, ainsi que la police, les services secrets, les établissements pénitentiaires (e. g. prisons, les établissements pénitentiaires pour jeunes), les contrôles aux frontières et les douanes. Inclut aussi les données sur les équipes et les installations de ces services.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,8391,NULL,'Criminalité et application de la Loi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.4',426),(8631,'Décisions prises et principes adoptés à un niveau national, régional ou local concernant la protection sociale, son financement et son implantation, par exemple, qui a droit à quel type de services et prestations sociales et pourquoi, quel est leur niveau, et qui peut fournir les services. Par exemple, une politique du maintien des personnes âgées à domicile aussi longtemps que possible, une politique concernant la durée pendant laquelle les personnes peuvent avoir une allocation chômage. Utilisez aussi le terme \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en oeuvre.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,8335,NULL,'Politique de protection sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.4',426),(8632,'Données sur le taux et les statistiques d\'emploi, sur le marché du travail, les emplois vacants, la recherche d\'emploi, les caractéristiques d\'emploi, l\'emploi de certains groupes (e. g. l\'emploi des jeunes ou des immigrés), les emplois de service, carrière. Pour le salaire et l\'indemnisation utilisez \'Conditions de travail\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,8381,NULL,'Emploi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.4',426),(8633,'Peut nécessiter une thématique supplémentaire, si les personnes âgées sont étudiées d\'un point de vue particulier.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,8365,NULL,'Personnes âgées','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.4',426),(8634,'Les questions liées à la gouvernance nationale, régionale et locale, aux instances gouvernantes (e. g. le gouvernement, le parlement, les instances gouvernantes locales), à l\'administration publique, aux autres organisations politiques telles que les partis politiques. Par exemple, des données sur les politiques gouvernementales, les partis politiques et leurs politiques, les dirigeants des partis politiques, la confiance dans les instances gouvernantes. Veuillez noter que vous pouvez avoir besoin d\'utiliser une thématique politique également.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8406,NULL,'Gouvernement, systèmes et organisations politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.4',426),(8635,'Données relatives à différents aspects de la vie en communauté, ou dans des zones urbaines et rurales. Opinions et images du quartier, des zones urbaines ou rurales. Services, équipements et activités économiques dans le quartier.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,8407,NULL,'Vie communautaire, urbaine et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.4',426),(8636,'La création, la distribution, l\'utilisation, l\'intégration et la manipulation des informations comme une activité économique, politique et culturelle importante. Par exemple, des données relatives au commerce électronique, à l\'administration en ligne, les réseaux sociaux, les appareils mobiles, l\'accès et l\'utilisation de l\'Internet, la vie privée en ligne, les informations et les ressources des bibliothèques. Utilisez \'Technologie de l\'information\' quand vous parlez des technologies actuelles.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,8363,NULL,'Société de l\'information','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.4',426),(8637,'Enquêtes sur l\'ensemble d\'une population, par opposition à une enquête par sondage. Souvent utilisé pour le dénombrement officiel d\'une population, comprenant habituellement le recueil d\'informations démographiques associées. Veuillez noter que les recensements de certains pays ne sont pas utilisés car les informations démographiques peuvent être obtenus à partir des registres officiels.','Demography.Censuses','Demography',1,8409,NULL,'Recensement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.4',426),(8638,'Les habitudes de loisirs, les activités de loisirs et les passe-temps. Inclut le fait d\'assister aux spectacles sportifs, les compétitions sportives, et les voyages d\'agréments. Pour des données sur l\'exercice physique pour rester en forme, utilisez \'Condition et activité physique\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,8402,NULL,'Loisirs, tourisme et sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.4',426),(8639,'Données sur les expositions et les maladies professionnelles, la sécurité au travail, les congés de maladie, la capacité de travail et l\'invalidité, ou la pension d\'invalidité liée au travail.','Health.OccupationalHealth','Health',22,8371,NULL,'Santé au travail','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.4',426),(8640,'Données sur l\'industrie et les entreprise telles que la gestion, la production, la croissance et le déclin, la structure organisationnelle, l\'administration, les investissement en R&amp;D, les marchés et la part de marché.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,8361,NULL,'Gestion et organisation de l\'entreprise et de l\'industrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.4',426),(8641,'Données sur le temps consacré par la population à diverses activités.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,8390,NULL,'Emploi du temps','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.4',426),(8642,'Fait référence aux possibilités d\'enseignements sous diverses formes à destination des adultes après qu\'ils aient quittés le système d\'éducation classique. Les adultes peuvent s\'engager dans un tel enseignement pour, par exemple, améliorer leurs aptitudes, leurs qualifications, pour se reconvertir pour un nouveau métier, ou juste pour apprendre quelque chose de nouveau. N\'inclut pas généralement l\'enseignement menant à une qualification, ou à la formation professionnelle.','Education.LifelongContinuingEducation','Education',14,8352,NULL,'Formation tout au long de la vie / continue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.4',426),(8643,'','TradeIndustryAndMarkets',NULL,89,8353,NULL,'COMMERCE, INDUSTRIE ET MARCHÉS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.4',426),(8644,'Couvre les paysages et les éléments du territoire qui n\'ont pas été directement modifiés par les humains.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,8389,NULL,'Paysages naturels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.4',426),(8645,'Inclut tous les types de transports de marchandises ainsi que les navettes et les transports publics (trains, bus, métro, etc.), et les réseaux de transport urbain. Des données sur les habitudes de mobilité, par exemple, les achats transfrontaliers, les routes et les moyens utilisés pour accéder à un endroit. Utilisez le terme \'Loisirs, tourisme et sport\' pour des voyages d\'agrément.','TransportAndTravel',NULL,93,8383,NULL,'TRANSPORT ET VOYAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.4',426),(8646,'','SocialStratificationAndGroupings',NULL,65,8333,NULL,'STRATIFICATION ET GROUPES SOCIAUX','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.4',426),(8647,'Utilisez la thématique appropriée pour des données historiques ainsi que le terme générique ici. Par exemple, \'Conditions de travail\' et \'Services et politiques de soins\' plus HISTOIRE pour des données sur les environnements de travail des médecins de famille dans les années 1960. Le terme générique histoire est à utiliser seulement dans les cas où aucune thématique historique ne peut être trouvée.','History',NULL,29,8414,NULL,'HISTOIRE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.4',426),(8648,'Sécurité et sûreté intérieures et internationales ; conflits intérieurs et internationaux ; guerre et paix ; défense nationale et forces de défense (l\'armée). Veuillez noter que la police est incluse dans \'Criminalité et application de la Loi\'','Politics.ConflictSecurityAndPeace','Politics',55,8378,NULL,'Conflit, sécurité et paix','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.4',426),(8649,'Formation interne et formation continue financée par l\'employeur pour accroître les aptitudes et les compétences des employés. N\'inclut pas l\'apprentissage, qui est inclus dans \'Enseignement et formation professionnels\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,8398,NULL,'Formation interne','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.4',426),(8650,'Utilisez pour des études sur le capitalisme, le socialisme et sur d\'autres systèmes économiques et pour des études, par exemple, sur des programmes internationaux de développement.','Economics.EconomicSystemsAndDevelopment','Economics',8,8380,NULL,'Systèmes et développements économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.4',426),(8651,'','LabourAndEmployment',NULL,33,8368,NULL,'TRAVAIL ET EMPLOI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.4',426),(8652,'Peut nécessiter une thématique supplémentaire, si les jeunes sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,8366,NULL,'Jeunes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.4',426),(8653,'Identité de genre ; les représentations sexuées (e. g. représentation des genres dans les organes de décision, dans les médias, dans la littérature etc.) ; les caractéristiques sociales, culturelles et psychologiques liées aux hommes et aux femmes ; les études sur les femmes ; les études sur les hommes ; les comportements et les choix attendus en fonction des rôles de genre et l\'impact de ces attentes.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,8411,NULL,'Genre et rôles de genre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.4',426),(8654,'Couvre tous les aspects de la qualité de vie et du bien-être des individus et des sociétés, ainsi que la perceptions que les personnes en ont. S\'il vous plait veuillez noter que, selon l\'aspect étudié, les termes \'Santé et bien-être\', \'Conditions et indicateurs économiques\', etc. peuvent aussi être pertinent.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,8422,NULL,'Conditions et indicateurs sociaux','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.4',426),(8655,'Processus nutritionnel, habitudes et pratiques alimentaires et, paramètres nutritionnels mesurables tels que l\'indice de masse corporelle (IMC), le poids, les niveaux de vitamines.','Health.DietAndNutrition','Health',17,8415,NULL,'Alimentation et nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.4',426),(8656,'Données sur les attitudes politiques des partis, l\'engagement politique et la participation dans le processus politique, le comportement électoral, la satisfaction à l\'égard du gouvernement. Utilisez \'Idéologie politique\' pour des données sur des doctrines spécifiques.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,8372,NULL,'Comportements et attitudes politiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.4',426),(8657,'Les enjeux de savoir si tous les individus ou des groupes d\'individus ont le même statut et les mêmes chances dans la société. L\'égalité peut être étudiée, par exemple, en termes d\'éducation, de patrimoine (financier) ou de revenus, de position professionnelle, de pouvoir, de prestige, de conditions de travail et de temps libre, d\'accès aux services, et de relations sociales. La marginalisation et l\'exclusion sociale peuvent être le résultat d\'un désavantage systématique dans de multiples domaines de la vie, et les personnes concernées peuvent être privées de droits, d\'opportunités, de ressources et d\'intégration sociale. Exemples de données : statistiques sur l\'égalité des revenus, la discrimination perçue par un groupe (e. g. à l\'égard des étrangers, des sans-domiciles, des demandeurs d\'asile) ; différences perçues entre les hommes et les femmes concernant les possibilités de jouer un rôle majeur en politique ; impact du chômage des parents sur le niveau d\'éducation des enfants et des relations sociales.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,8337,NULL,'Égalité, inégalité et exclusion sociale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.4',426),(8658,'Les indicateurs économiques précisent dans quelle direction une économie s\'oriente et intègrent, par exemple, le taux de croissance du PIB, le taux d\'emploi, d\'inflation et d\'intérêt, les activités de consommation et d\'investissement, la dette des ménages. Cela est aussi utilisé pour les conditions économiques des individus et des ménages qui ont été interrogés ou enregistrés.','Economics.EconomicConditionsAndIndicators','Economics',6,8355,NULL,'Conditions et indicateurs économiques','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.4',426),(8659,'Utilisez cette catégorie pour des études sur la production agricole et toutes industries rurales, y compris, par exemple, les industries de la pêche et la sylviculture.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,8364,NULL,'Industrie agricole et rurale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.4',426),(8660,'Couvre l\'enseignement général des niveaux 3-4 de la CITE / ISCED ainsi que l\'enseignement supérieur, c\'est-à-dire l\'enseignement secondaire supérieur, et le lycée, les Hautes Écoles, les universités. Inclut les données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.HigherAndFurtherEducation','Education',13,8351,NULL,'Enseignement secondaire et du supérieur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.4',426),(8661,'','Education',NULL,10,8425,NULL,'ÉDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.4',426),(8662,'','MediaCommunicationAndLanguage',NULL,44,8401,NULL,'MÉDIA, COMMUNICATION ET LANGAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.4',426),(8663,'','Demography',NULL,0,8412,NULL,'DÉMOGRAPHIE (POPULATION, ÉTAT CIVIL, ET RECENSEMENT)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.4',426),(8664,'Fait référence à l\'acte d\'acquérir et / ou utiliser quelque chose pour répondre aux besoins et aux demandes d\'une personne, d\'une communauté ou d\'une société. Les données de cette catégorie incluent des modèles de comportements de consommateurs, leurs changements, et des études sur l\'éthique du consommateur. Par exemple, des données d\'enquête sur la fréquence d\'achats de certains articles ; quand et où ils achètent ; si des considérations éthiques influencent leurs choix de consommation.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,8426,NULL,'Consommation et comportement des consommateurs','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.4',426),(8665,'Programmes qui sont conçus pour les apprenants pour leur permettre d\'acquérir des connaissances, des aptitudes et des compétences spécifiques à un emploi, à un métier ou à une catégorie d\'emplois ou de métiers. L\'enseignement professionnel peut avoir des composants basés sur le travail. Couvre l\'enseignement professionnel des niveaux 3-4 de la CITE / ISCED et l\'apprentissage. Inclut des données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.VocationalEducationAndTraining','Education',15,8416,NULL,'Enseignement et formation professionnels','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.4',426),(8666,'Minkä mittainen aikajakso tahansa: sekunti, tunti, vuorokausi, viikko, kuukausi, vuosi yms.','TimeUnit',NULL,9,7077,NULL,'Aikajakso','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#TimeUnit',427),(8667,'Tapahtuma, tapahtumasarja, toiminta tai prosessi. Tapahtumat ovat usein lyhytaikaisia ja kertaluonteisia, esimerkiksi mellakat, kokoukset, urheilukilpailut, terroristihyökkäykset ja luonnonkatastrofit. Prosessit ovat tyypillisesti pidempikestoisia, voivat sisältää useampia tapahtumia tai vähittäisiä muutoksia, jotka lopuksi johtavat tiettyyn tulokseen. Esimerkiksi oikeusjutut, rikostutkimukset, poliittiset kampanjat, kuntoutushoidot, koulutus. Tapahtuma/prosessi/toiminta -termiä käytetään silloin, kun tutkimuksessa keskitytään kyseiseen tapahtumaan, prosessiin tai toimintaan, ei henkilöihin sinänsä. Esimerkiksi havainnointitutkimus peliautomaattipelaamisesta; tutkimus lasten pahoinpitelytapauksista, niiden tyypistä ja kestosta, osallistuvien henkilöiden roolista niissä.','EventOrProcessOrActivity',NULL,6,7085,NULL,'Tapahtuma/prosessi/toiminta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#EventOrProcessOrActivity',427),(8668,'Asuntokunta voi sijaita talossa, huoneistossa, asuntovaunussa, tai asunnon tietyssä huoneessa tai huoneissa. Asuntokunnnan asuintilassa elävillä henkilöillä on oma erillinen ruokataloutensa ja järjestelynsä. Yhdessä asunnossa voi olla useampia asuntokuntia. Esimerkiksi soluasunnoissa asuvilla opiskelijoilla voi kullakin olla oma ruoka- ja asuntokuntansa. Termi käytössä etenkin Yhdysvalloissa.','HousingUnit',NULL,5,7081,NULL,'Asuntokunta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#HousingUnit',427),(8669,'Mikä tahansa konkreettinen, eloton esine/kohde, joka voidaan aistein havaita. Esimerkiksi taideteokset (veistokset, maalaukset), aseet, ajoneuvot jne.','Object',NULL,16,7083,NULL,'Eloton objekti/esine','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Object',427),(8670,'Sisältää teksti-, kuva- ja äänimuodossa olevan viestinnän.','MediaUnit',NULL,10,8500,NULL,'Mediatyyppi (teksti, ääni, still-kuva, liikkuva kuva)','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit',427),(8671,'Käytä mikäli havaintoyksikkö on tiedossa, mutta ei löydy sanastosta.','Other',NULL,17,7076,NULL,'Muu havainto/aineistoyksikkötyyppi','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Other',427),(8672,'Spesifimpi termi, joka viittaa kotitalouteen, jossa tietyllä hetkellä yhdessä asuvat henkilöt myös kuuluvat perheeseen (katso määritelmä termille \'Perhe\'). Jos ei tiedossa, onko kyseessä \'Perhe\' vai \'Perhekotitalous\', käytä \'Perhe\'.','Family.HouseholdFamily','Family',3,8498,NULL,'Perhe: perhekotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Family.HouseholdFamily',427),(8673,'Liikkuva kuva äänellä tai ilman. Esimerkiksi elokuvat, animaatiot, digitaaliset taltiot, simulaatioiden liikkuvat kuvat, taltioidut televisio-ohjelmat ja ultraäänikuvat.','MediaUnit.Video','MediaUnit',14,8504,NULL,'Mediatyyppi: liikkuva kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Video',427),(8674,'Mikä tahansa hallinnollinen tai toiminnallinen organisaatio, esimerkiksi järjestö, koulu, instituutti, toimisto, yritys, poliittinen puolue, jne. Kysymykset kohdistuvat itse organisaatioon vaikka vastaajina ovatkin yksittäiset henkilöt. Esimerkiksi tutkittaessa yritysten ympäristöpolitiikkaa tai korkeakouluista valmistuneiden määriä suhteessa opiskelijoihin jne.','OrganizationOrInstitution',NULL,1,7080,NULL,'Organisaatio','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#OrganizationOrInstitution',427),(8675,'Kirja, artikkeli, tweet, blogikirjoitus tai mikä tahansa muu tekstiyksikkö. Esimerkiksi tutkittaessa miten sanomalehdet ovat käsitelleet tiettyä aihetta ajan saatossa tai tutkittaessa vihapuhetta blogikirjoituksissa.','MediaUnit.Text','MediaUnit',13,8503,NULL,'Mediatyyppi: teksti','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Text',427),(8676,'Taltioitu ääni, esimerkiksi puhe, musiikki jne.','MediaUnit.Sound','MediaUnit',11,8501,NULL,'Mediatyyppi: ääni','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.Sound',427),(8677,'Still-kuvat kuten esimerkiksi graafit, piirrokset, valokuvat, röntgenkuvat tai muut lääketieteelliset still-kuvat.','MediaUnit.StillImage','MediaUnit',12,8502,NULL,'Mediatyyppi: still-kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#MediaUnit.StillImage',427),(8678,'Tutkimuksen tarkastelukohteena ovat yksittäiset henkilöt','Individual',NULL,0,8506,NULL,'Henkilö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Individual',427),(8679,'Kotitalouden muodostaa yksi henkilö tai ryhmä henkilöitä, jotka asuvat yhdessä ja joilla on kokonaan tai osittain yhteinen ruokatalous tai jotka muuten käyttävät tulojaan ja varallisuuttaan ainakin osittain yhdessä.','Household',NULL,4,7079,NULL,'Kotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Household',427),(8680,'Maantieteellinen alue, jota hallinnoivilla viranomaisilla tai päätäntäelimillä on oikeus tehdä aluetta koskevia hallinnollisia tai poliittisia päätöksiä. Sisältää ylikansalliset (esim. Euroopan unioni), kansalliset (esim. valtiot), maansisäiset (esim. maakunnat) ja paikalliset (esim. kunnat) alueet.','PoliticalAdministrativeArea',NULL,8,8499,NULL,'Poliittis-hallinnollinen alue','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#PoliticalAdministrativeArea',427),(8681,'Kaksi tai useampia henkilöitä, jotka liittyvät toisiinsa sukulaisuuden, avo- tai avioliiton (laskien mukaan esim. sisar- ja velipuolet), rekisteröidyn parisuhteen, adoption tai sijaisvanhemmuuden kautta, riippumatta siitä, asuvatko he yhdessä vai eivät. Esimerkiksi tutkittaessa mitä julkisia palveluja perhe käyttää; tai kuinka usein perheenjäsenet ovat yhteydessä toisiinsa.','Family',NULL,2,8497,NULL,'Perhe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Family',427),(8682,'Mikä tahansa maantieteellisesti määriteltävissä oleva alue, jolla on joko luontaiset fyysiset rajat tai hallinnolliset rajat. Esimerkiksi muutokset tiettyjen alueiden väestössä tai asuntojen myyntiluvut tai rakennusluvat tietyllä alueella.','GeographicUnit',NULL,7,7078,NULL,'Maantieteellinen yksikkö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#GeographicUnit',427),(8683,'Kaksi tai useampia henkilöitä, jotka ovat joko kokoontuneet yhteen tai joita yhdistää jokin muu tekijä. Mikäli kyselytutkimus, kysymykset koskevat pääasiassa itse ryhmää, ryhmän kokemuksia ja asenteita ryhmää kohtaan, ei henkilöä itseään. Mikäli kysymykset koskevat sekä ryhmää että henkilöä, käytä havaintoyksikkönä molempia.','Group',NULL,15,8505,NULL,'Ryhmä','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html#Group',427),(8684,'Ernæringsprocesser, spisemønstre og praksisser, og målbare ernæringsparametre såsom kropsmasseindeks (BMI), vægt, vitaminniveauer.','Health.DietAndNutrition','Health',17,NULL,5810,'Diæt og ernæring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.1',361),(8687,'Data om folks generelle konditionsniveau, fysisk aktivitet og motion, de tager.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Fysisk kondition og motion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',361),(8688,'Emner, der relaterer sig til nationalt, regionalt og lokalt styre, ledende instanser (for eksempel regeringen, parlamentet, lokale, ledende instanser), offentlig administration, andre politiske organisationer såsom politiske partier. For eksempel data om regeringspolitikker, politiske partier og deres politikker, politiske partiledere, tillid til statslige instanser. Bemærk, at du måske også skal bruge et aktuelt udtryk.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,'Regering, politiske systemer og organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',361),(8689,'Data om økonomisk politik, inklusiv budget- og finanspolitik, offentlige udgifter og offentlige indtægter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,'Økonomisk politik, offentlige udgifter og indtægter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',361),(8690,'Undersøgelser af en hel befolkning i modsætning til en stikprøveundersøgelse. Anvendes ofte til officielle opgørelser af en befolkning, som normalt inkluderer indsamling af relateret demografisk information. Bemærk, at folketællinger i nogle lande ikke anvendes, da demografisk information kan hentes fra officielle registre.','Demography.Censuses','Demography',1,NULL,7962,'Folketællinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',361),(8692,'En værdi opnået som et resultat af tilføjelse af to eller flere tal (elementer/mængder).','Sum',NULL,0,NULL,8201,'Sum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Sum',428),(8693,'Matematisk gennemsnit af et sæt af værdier. Gennemsnittet beregnes ved at tilføje to eller flere værdier og dividere totalen med deres antal. I social/politisk videnskab er det som regel summen af målingerne divideret med antallet af subjekter eller cases.','ArithmeticMean',NULL,1,NULL,8203,'Aritmetisk gennemsnit','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#ArithmeticMean',428),(8694,'Samlet antal af enheder i en gruppe af elementer.','Count',NULL,2,NULL,8206,'Antal','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Count',428),(8695,'Den værdi, der oftest forekommer i et sæt af værdier.','Mode',NULL,3,NULL,8209,'Modus','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Mode',428),(8696,'Den midterste værdi i en serie af værdier arrangeret i rækkefølge fra mindst til størst.','Median',NULL,4,NULL,8208,'Median','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Median',428),(8697,'Den højest opnåede eller registrerede værdi.','Maximum',NULL,5,NULL,8207,'Maksimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Maximum',428),(8698,'Den lavest opnåede eller registrerede værdi.','Minimum',NULL,6,NULL,8205,'Minimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Minimum',428),(8700,'Antallet af dele ud af 100. I matematik er en procentdel et forholdstal udtrykt som en brøkdel af 100. Procentdele anvendes til at udtrykke, hvor stor en mængde er i forhold til en anden.','Percent',NULL,7,NULL,8199,'Procent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Percent',428),(8701,'Summen af en frekvens og alle frekvenser under den i en frekvensfordeling; den ”løbende sum” af frekvenser [den maksimale værdi er 100%].','CumulativePercent',NULL,8,NULL,8202,'Kumulativ procent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#CumulativePercent',428),(8703,'Den procentdele rang af et element er procentdelen af elementer i dens frekvensfordeling, der er lavere [kan ikke nå 100%].','PercentileRank',NULL,9,NULL,8200,'Procentdel rang','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#PercentileRank',428),(8704,'Anvend, når aggregeringsmetoden er kendt, men ikke findes i listen.','Other',NULL,10,NULL,8204,'Andet','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Other',428),(8705,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat ja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön liittyvistä loukkaantumisista ja vammoista, käytetään termiä \'työterveys\'.','Health.WoundsAndInjuries','Health',28,8134,NULL,'Loukkaantumiset, haavat ja vammat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.0.2',429),(8706,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus työntekijän taitojen tai pätevyyden lisäämiseksi. Ei sisällä työharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,8109,NULL,'Työpaikkakoulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.0.2',429),(8707,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja vaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri vaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, joko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden kautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, tunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,8172,NULL,'Eliitit ja vaikuttajat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.0.2',429),(8708,'Ruokavalio ja ruokailutottumukset, ravitsemuksen ja ravitsemustilan mittarit kuten esim. painoindeksi (BMI), paino, vitamiinipitoisuus veressä.','Health.DietAndNutrition','Health',17,6130,NULL,'Ruokavalio ja ravitsemus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.0.2',429),(8709,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, mielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen tyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen käytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä vanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,8182,NULL,'Sosiaalipalveluiden käyttö ja saatavuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.2',429),(8710,'','NaturalEnvironment',NULL,49,8153,NULL,'LUONTO JA YMPÄRISTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.0.2',429),(8711,'','HousingAndLandUse',NULL,30,8135,NULL,'ASUMINEN JA MAANKÄYTTÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.0.2',429),(8712,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset suhteet, kansainväliset järjestöt (esim. EU, YK, Maailman terveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset sopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',58,8162,NULL,'Kansainvälinen politiikka ja järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.0.2',429),(8713,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,8192,NULL,'Ajankäyttö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.0.2',429),(8714,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,8171,NULL,'Ikääntyneet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.0.2',429),(8715,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, rikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa mm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,8146,NULL,'Rikollisuus ja lainvalvonta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.0.2',429),(8716,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,8170,NULL,'Lapset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.0.2',429),(8717,'','TradeIndustryAndMarkets',NULL,89,8193,NULL,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.0.2',429),(8718,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin liikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään uskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,8188,NULL,'Uskonto ja arvot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.0.2',429),(8719,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. Eroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, terveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. Huomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'uskonto ja arvot\' tai \'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,8176,NULL,'Vähemmistöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.0.2',429),(8720,'','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,8194,NULL,'Maa- ja metsätalous, kalastus, maaseutuelinkeinot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.2',429),(8721,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro \njne.), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen.\n Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten \nkäytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan \nmatkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,93,8197,NULL,'KULKEMINEN, KULJETUS JA LIIKENNE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.0.2',429),(8722,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden väestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu siihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmaantuvuus tietyssä maassa tai tietyllä maantieteellisellä alueella vuoden aikana. Kuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden lukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä maantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. lapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot terveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,8113,NULL,'Sairastuvuus ja kuolleisuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.0.2',429),(8723,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8117,NULL,'Talouspolitiikka, julkiset menot ja tulot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.2',429),(8724,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,8156,NULL,'Luonnonmaisemat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.0.2',429),(8725,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,94,8198,NULL,'MUU AIHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.0.2',429),(8726,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä laajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä, kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,8181,NULL,'Sosiaaliturvajärjestelmä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.2',429),(8727,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja hallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,8195,NULL,'Yritysten hallinto, johtaminen ja organisaatio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.0.2',429),(8728,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio taloudellisena, poliittisena ja kulttuurisena toimintana. Esimerkiksi verkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen media, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän tietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa varsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,8149,NULL,'Tietoyhteiskunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.2',429),(8729,'Historiallisten aineistojen kohdalla käytetään sekä tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan esimerkiksi yleislääkäreiden työskentelyolosuhteita 1960-luvulla, laitetaan \'historia\', \'terveyspalvelut ja terveyspolitiikka\' sekä \'työolot\'. Pääluokkaa käytetään yksin vain silloin, kun sopivaa aihekohtaista termiä ei löydy.','History',NULL,29,8108,NULL,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.0.2',429),(8730,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. Esimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset kuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. kuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he tekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin perustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,8115,NULL,'Kulutus ja kuluttajakäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.0.2',429),(8731,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,8178,NULL,'Nuoret','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.0.2',429),(8732,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8107,NULL,'Tulot, omaisuus ja investoinnit/säästäminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.2',429),(8733,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien ennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. Tutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat käsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien antamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, psykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,8128,NULL,'Hoito ja lääkitys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.0.2',429),(8734,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,8187,NULL,'Vapaa-aika, matkailu ja urheilu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.0.2',429),(8735,'','Politics',NULL,54,8158,NULL,'POLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.0.2',429),(8736,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja päätökset kansallisella, alueellisella tai kunnallisella tasolla. Kenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on sosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää sosiaaliturvapalveluita. Esimerkkejä: periaate, jonka mukaan ikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista tai päätös, kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä, käytetään myös termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,8180,NULL,'Sosiaalipolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.0.2',429),(8737,'Yleiskunto, fyysiset aktiviteetit ja liikunta.','Health.PhysicalFitnessAndExercise','Health',23,6658,NULL,'Fyysinen kunto ja liikunta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.2',429),(8738,'','Psychology',NULL,61,8165,NULL,'PSYKOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.0.2',429),(8739,'','MediaCommunicationAndLanguage',NULL,44,8148,NULL,'TIEDOTUS, VIESTINTÄ JA KIELI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.2',429),(8740,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen koulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos puhutaan olemassa olevista, koulutukseen liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',12,8121,NULL,'Koulutuspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.0.2',429),(8741,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin tutkintoihin johtavaan koulutukseen, mukaan lukien lukio, ammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta koulutuksesta käytetään termiä \'ammatillinen koulutus\'.','Education.HigherAndFurtherEducation','Education',13,8122,NULL,'Toisen ja korkea-asteen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.0.2',429),(8742,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,8150,NULL,'Kielet ja kielitiede','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.2',429),(8743,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka kansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa jo olemassa olevista, terveydenhoitoon liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja tarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',20,8127,NULL,'Terveyspalvelut ja terveyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.0.2',429),(8744,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä sama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia esimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, vallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai sosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta asemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä esimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen integraation puutteesta. Aineistoesimerkkejä: tilastotiedot varallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä ryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus havaituista eroista naisten ja miesten mahdollisuuksissa kohota korkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten koulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,8173,NULL,'Tasa-arvo, eriarvoisuus ja syrjäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.0.2',429),(8745,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut sanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! Sosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \'tietoyhteiskunta\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,8151,NULL,'Joukkoviestimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.2',429),(8746,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset konfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. HUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja lainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',55,8159,NULL,'Konfliktit, turvallisuus ja rauha','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.0.2',429),(8747,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko objektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt taudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin diagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen pituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',26,8132,NULL,'Terveydentilaan liittyvät oireet, löydökset ja patologiset tilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.0.2',429),(8748,'','SocialStratificationAndGroupings',NULL,65,8169,NULL,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.0.2',429),(8749,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. Asumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä pääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',31,8136,NULL,'Asuminen ja asunnot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.0.2',429),(8750,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset säädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta ja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,8147,NULL,'Lainsäädäntö ja oikeusjärjestelmät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.0.2',429),(8751,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,8190,NULL,'Yhteiskunnallinen ja sosiaalinen muutos','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.0.2',429),(8752,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; sosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet näistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,8189,NULL,'Sosiaalinen käyttäytyminen ja asenteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.0.2',429),(8753,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, varhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle siirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',38,8142,NULL,'Eläkkeelle siirtyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.0.2',429),(8754,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,8185,NULL,'Kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.0.2',429),(8755,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, oppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat ammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalEducationAndTraining','Education',15,8124,NULL,'Ammatillinen koulutus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.0.2',429),(8756,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja kansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen \'ei kuulu meihin\' -joukkoon (toiseuttaminen). Erilaisten identiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä identiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,8186,NULL,'Kulttuuri- ja kansallinen identiteetti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.0.2',429),(8757,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, vesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai kuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat energialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, vesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,8154,NULL,'Energia- ja luonnonvarat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.0.2',429),(8758,'','Demography',NULL,0,8110,NULL,'VÄESTÖTILASTOT JA VÄESTÖNLASKENTA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.0.2',429),(8759,'Sisältää mm. ympäristön saastumiseen, ympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,8155,NULL,'Ympäristönsuojelu ja ympäristöongelmat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.0.2',429),(8760,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,8137,NULL,'Maankäyttö, suunnittelu ja kaavoitus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.0.2',429),(8761,'','SocietyAndCulture',NULL,79,8183,NULL,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.0.2',429),(8762,'','LabourAndEmployment',NULL,33,8138,NULL,'TYÖVOIMA JA TYÖELÄMÄ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.0.2',429),(8763,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, ylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja psyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, työmäärä, työntekijöiden osallistuminen päätöksentekoon, työn autonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta puhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,8144,NULL,'Työolot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.0.2',429),(8764,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. sukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä haastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; naisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset ominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja valinnoista ja niiden vaikutukset (esim. ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,8175,NULL,'Sukupuoli ja sukupuoliroolit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.0.2',429),(8765,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,8141,NULL,'Työmarkkinasuhteet ja -järjestöt','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.0.2',429),(8766,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.OccupationalHealth','Health',22,8129,NULL,'Työterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.0.2',429),(8767,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',56,8160,NULL,'Vaalit, ehdokkaat ja kansanäänestykset','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.0.2',429),(8768,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan virallisista tilastoista.','Demography.Censuses','Demography',1,8111,NULL,'Väestönlaskennat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.2',429),(8769,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,8157,NULL,'Kasvit ja eläimet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.0.2',429),(8770,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin liittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! Aiheesta riippuen myös termit \'yleinen terveydentila ja hyvinvointi\', \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'talouden tila ja tunnusluvut\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,8191,NULL,'Sosiaaliset olot ja indikaattorit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.0.2',429),(8771,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.ReproductiveHealth','Health',25,8131,NULL,'Perhesuunnittelu ja lisääntymisterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.0.2',429),(8772,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, tiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), työvoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä aiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,8139,NULL,'Työllisyys ja työllistyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.0.2',429),(8773,'','Education',NULL,10,8119,NULL,'KOULUTUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.0.2',429),(8774,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen päätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, kunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja poliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten puolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan ja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen mukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8161,NULL,'Valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.2',429),(8775,'','Economics',NULL,4,8114,NULL,'TALOUS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.0.2',429),(8776,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi olla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai toimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen asukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellbeing','Health',19,8126,NULL,'Yleinen terveydentila ja hyvinvointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.2',429),(8777,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä (kapitalistinen, sosialistinen, markkinatalous). Sisältää myös kehitysyhteistyöhön liittyvät aiheet.','Economics.EconomicSystemsAndDevelopment','Economics',8,8118,NULL,'Talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.0.2',429),(8778,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,8196,NULL,'Ulkomaankauppa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.0.2',429),(8779,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,8167,NULL,'Biotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.0.2',429),(8780,'','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,8152,NULL,'Mainonta, tiedotus- ja suhdetoiminta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.2',429),(8781,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, työttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, työttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,8143,NULL,'Työttömyys ja työttömät','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.0.2',429),(8782,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. Tunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, työllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien velkaantumisaste, investoinnit, innovaatiotoiminta. Termiä käytetään myös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien taloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',6,8116,NULL,'Talouden tila ja tunnusluvut','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.0.2',429),(8783,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, tasa-arvo ja syrjintämääräyksiä, työvoiman kysyntää ja tarjontaa kansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,8140,NULL,'Työvoima- ja työllisyyspolitiikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.0.2',429),(8784,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja ammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli yhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai vertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin luokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä työskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen liikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon korkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen yhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,8177,NULL,'Yhteiskunnallinen ja ammatillinen liikkuvuus','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.0.2',429),(8785,'','LawCrimeAndLegalSystems',NULL,41,8145,NULL,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.0.2',429),(8786,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen terveydentilan edistäminen kansallisella, alueellisella tai kunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy. Esim. terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja terveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat tekijät.','Health.PublicHealth','Health',24,8130,NULL,'Kansanterveys','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.0.2',429),(8787,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,8112,NULL,'Maahanmuutto, maastamuutto ja sisäinen muuttoliike','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.0.2',429),(8788,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreschoolEducation','Education',11,8120,NULL,'Esi- ja peruskoulu','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.2',429),(8789,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät aiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, perheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,8174,NULL,'Perhe-elämä, avioliitto ja sukupolvet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.0.2',429),(8790,'','SocialWelfarePolicyAndSystems',NULL,75,8179,NULL,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.0.2',429),(8791,'','Health',NULL,16,8125,NULL,'TERVEYS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.0.2',429),(8792,'','ScienceAndTechnology',NULL,62,8166,NULL,'TIEDE JA TEKNOLOGIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.0.2',429),(8793,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai terveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä lääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden potilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,8133,NULL,'Tietyt taudit, sairaudet ja terveydentilat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.0.2',429),(8794,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon johtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla parantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain oppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. HUOM! Työpaikan antamasta tai maksamasta koulutuksesta käytetään termiä \'työpaikkakoulutus\'.','Education.LifelongContinuingEducation','Education',14,8123,NULL,'Täydennys- ja jatkokoulutus, elinikäinen oppiminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.0.2',429),(8795,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta voitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita ovat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',60,8164,NULL,'Poliittiset ideologiat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.0.2',429),(8796,'Kotona, työpaikalla ja muualla käytettävä tieto- ja tietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos aiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,8168,NULL,'Tietotekniikka','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.0.2',429),(8797,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen poliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys päätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,8163,NULL,'Poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.0.2',429),(8798,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät aiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä maaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja liiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,8184,NULL,'Lähiympäristö, kaupunki- ja maaseutuelämä','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.0.2',429),(8806,'A human-readable comment, typically of a more subjective nature than an addendum.','Comment',NULL,4,3549,NULL,'Comment','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#Comment',431),(8807,'A note related to the processing of the data, or metadata, or both.','Processing',NULL,0,3545,NULL,'Processing note','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#Processing',431),(8808,'Use when the type of note is known, but not found in the list.','Other',NULL,5,3550,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#Other',431),(8809,'A note generated by the processing system used to produce the data, or metadata, or both.','System',NULL,2,3547,NULL,'System note','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#System',431),(8810,'A note providing information on an aspect relevant for data usage that is likely to remain permanent, or a temporary note providing information for further review and correction. May be an observation entered by a human user or a system-generated note on any inconsistencies or deviations.','Observation',NULL,3,3548,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#Observation',431),(8811,'	Additional information, usually of a factual nature (as opposed to a comment), intended to clarify the content of a DDI section or module.','Addendum',NULL,1,3546,NULL,'Addendum','https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html#Addendum',431),(8812,'Includes both \"street\", and P.O. Box addresses used for sending and receiving physical/conventional mail through the postal system.','Mailing',NULL,0,3535,NULL,'Mailing address','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Mailing',432),(8813,'Use if type of address is known, but not found in the list.','Other',NULL,6,3541,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Other',432),(8814,'Address for directing physical/conventional mail to a business, organization, or other type of association.','Mailing.Nonresidential','Mailing',2,3537,NULL,'Mailing address: Nonresidential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Mailing.Nonresidential',432),(8815,'Visiting address for a business, organization, or other type of association.','Visiting.Nonresidential','Visiting',5,3540,NULL,'Visiting address: Nonresidential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Visiting.Nonresidential',432),(8816,'Visiting address for a person\'s residence, including institutional residence.','Visiting.Residential','Visiting',4,3539,NULL,'Visiting address: Residential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Visiting.Residential',432),(8817,'Address for directing physical/conventional mail to a person\'s residence, including institutional residence.','Mailing.Residential','Mailing',1,3536,NULL,'Mailing address: Residential','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Mailing.Residential',432),(8818,'Address used to identify a physical location (typically a building or a unit in a building) that may be accessed in person.','Visiting',NULL,3,3538,NULL,'Visiting address','https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html#Visiting',432),(8820,'Dati sul livello generale di forma fisica, sull\'attività fisica e sull\'esercizio fisico delle persone.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'Forma fisica ed esercizio','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.0.1',364),(8821,'Beskrive rationalet og sammensætte en specifik plan for udførelse af en undersøgelse eller forskningsprojekt.','ProjectOrStudyDesign',NULL,0,NULL,5570,'Projekt/Undersøgelsesdesign',NULL,433),(8822,'Udvikle forskningskoncepter på højt niveau samt specifikke koncepter, der skal måles. Konceptualisering involverer at klarlægge koncepterne med verbale definitioner og eksempler samt at udtrykke forhold mellem koncepterne.','ProjectOrStudyDesign.Conceptualization','ProjectOrStudyDesign',1,NULL,5571,'Projekt/Undersøgelsesdesign: Konceptualisering',NULL,433),(8823,'Udtænkning og planlægning af dataindsamlingsinstrumentet (-instrumenterne). Kan inkludere operationaliseringen af koncepterne til spørgsmål eller indikatorer, instrumenttest, fremadrettet oversættelse og efterfølgende ændringer i hovedinstrumentet (-instrumenterne), samt design og test af andre typer af dataindsamlingsinstrumenter end spørgeskemaer.','ProjectOrStudyDesign.InstrumentDesign','ProjectOrStudyDesign',2,NULL,5572,'Projekt/Undersøgelsesdesign: Instrumentelt design',NULL,433),(8824,'Udvikle retningslinjer eller protokoller for metoderne anvendt til udførelse af undersøgelsen og til at behandle og analysere dataene. For eksempel retninger og instruktioner til indsamling af data, udførelse af interviews, oversættelse af spørgeskemaer, harmonisering af input, anvendelse af vægte mv.','ProjectOrStudyDesign.MethodologyDevelopment','ProjectOrStudyDesign',3,NULL,5573,'Projekt/Undersøgelsesdesign: Metodeudvikling',NULL,433),(8825,'Udvikle vægte til at hjælpe med at tilpasse data til de ønskede mål for undersøgelsen, for eksempel at gøre dataene repræsentative for målpopulationen.','ProjectOrStudyDesign.WeightsDesign','ProjectOrStudyDesign',4,NULL,5575,'Projekt/Undersøgelsesdesign: Vægtet design',NULL,433),(8826,'Udvikle modeller til strukturen og distribution af data og metadata i faste, forudsigelige formater. For eksempel DATS (Data Tag Suite) til at beskrive biomedicinske data, Data Documentation Initiative (DDI) til at beskrive sociale, adfærdsmæssige, økonomiske og sundhedsvidenskabelige data mv.','ProjectOrStudyDesign.StandardsDevelopment','ProjectOrStudyDesign',5,NULL,5576,'Projekt/Undersøgelsesdesign: Udvikling af standarder',NULL,433),(8827,'Oprette en datamodel baseret på en analyse af dataobjekter og deres relationer, dataegenskaber, samt datastrømme og processer. Det er ofte det første trin i databaseoprettelse, udvikling af værktøjer og standarder mv. og involverer typisk en udvikling fra en konceptuel model til en logisk model og derefter til et fysisk skema.','ProjectOrStudyDesign.DataModeling','ProjectOrStudyDesign',6,NULL,5577,'Projekt/Undersøgelsesdesign: Datamodellering',NULL,433),(8828,'Definere, hvilke elementer i målpopulationen, der er inkluderet i stikprøven, samt reglerne og procedurerne, hvorpå de vil blive valgt.','ProjectOrStudyDesignSamplingDesign',NULL,7,NULL,5574,'Projekt/Undersøgelsesdesign: Stikprøvedesign',NULL,433),(8829,'Udvikling og eksekvering af arkitekturer, politikker, praksisser og procedurer til at håndtere data på ethvert trin i dets livscyklus. Inkluderer processer og aktiviteter relateret til udvælgelse, organisering og integration af data, deres annotering, såvel som deres offentliggørelse og bevarelse, så dataene opretholder deres værdi over tid og forbliver tilgængelige for genanvendelighed.','DataManagement',NULL,8,NULL,5578,'Datastyring',NULL,433),(8830,'Gennemgang af, hvorvidt et forskningsforslag eller en undersøgelse er i overensstemmelse med etiske principper baseret på lovgivning eller godkendte etiske retningslinjer (blød lovgivning).','EthicsReview',NULL,9,NULL,5579,'Etikgennemgang',NULL,433),(8832,'Aktiviteter, der vedrører processen med at indsamle data på en etableret, systematisk måde, der muliggør besvarelse af de anførte forskningsspørgsmål, testning af hypoteser og evaluering af resultater. Henfører til ’DataIndsamler’ i DataCite.','DataCollection',NULL,10,NULL,5580,'Dataindsamling',NULL,433),(8833,'Udvælge enheder fra målpopulationen.','SampleSelection',NULL,11,NULL,5581,'Stikprøveudvælgelse',NULL,433),(8835,'Indtaste eller opdatere data i et computersystem, ofte fra andre former for medier, såsom papirspørgeskemaer, avisartikler mv.','DataEntry',NULL,12,NULL,5582,'Dataindtastning',NULL,433),(8836,'Udføre handlinger, der resulterer i dataene, inklusiv rensning af data, redigering, post-harmonisering mv. Henfører til ‘DataKurator’ i DataCite.','DataProcessing',NULL,13,NULL,5583,'Databehandling',NULL,433),(8837,'Planlægge eller anvende specifikke teknikker til at bevare anonymiteten af individer eller andre enheder, som dataene henviser til. For eksempel anonymisering, pseudonymisering eller fjernelse af direkte eller indirekte identifikatorer.','DataProcessing.DisclosureControl','DataProcessing',14,NULL,5584,'Databehandling: Offentliggørelseskontrol',NULL,433),(8838,'Producere individuelt indsamlede data i en resuméform til formål såsom statistisk analyse. Et almindeligt aggregeringsmål er at opnå mere information om en bestemt populationsgruppe baseret på specifikke variable såsom alder, erhverv, uddannelse eller indkomst.','DataProcessing.DataAggregation','DataProcessing',15,NULL,5585,'Databehandling: Dataaggregering',NULL,433),(8839,'Kombinere data fra separate kilder til meningsfuld information. For eksempel at forbinde registerdata med surveydata eller integrere datasæt indsamlet i forskellige lande til et tværnationalt datasæt.','DataProcessing.DataIntegration','DataProcessing',16,NULL,5586,'Databehandling: Dataintegration',NULL,433),(8840,'Processen med at kontrollere data for at sikre, at alle har acceptable værdier, at de er nøjagtige, sammenhængende, konsistent, komplette og i det forventede format.','DataProcessing.DataValidation','DataProcessing',17,NULL,5587,'Databehandling: Datavalidering',NULL,433),(8841,'Erhverve data og understøttende dokumentation fra potentielle bidragsydere til yderligere bevaring og/eller formidling.','DataAcquisition',NULL,18,NULL,5588,'Dataerhvervelse',NULL,433),(8842,'Generere datadokumentation. For eksempel en undersøgelsesbeskrivelse, der dækker undersøgelsens begrundelse, metodologi og andre egenskaber ved datasættet som helhed; dokumentation på variabelniveau (etiketter, frekvenser, spørgsmålstekst); henvisninger til undersøgelsesrelaterede materialer eller publikationer mv.','MetadataProduction',NULL,19,NULL,5589,'Metadataproduktion',NULL,433),(8843,'Distribuere / formidle dataene til brugere og gøre dem tilgængelige for genanvendelse. Henfører til ”Distributør’ i DataCite.','DataDistribution',NULL,20,NULL,5590,'Datadistribution',NULL,433),(8844,'Husning, servicering og vedligeholdelse af data og, normalt, den medfølgende metadata eller relateret dokumentation. Henfører til ’Hostinginstitution’ i DataCite.','DataHosting',NULL,21,NULL,5591,'Datahosting',NULL,433),(8845,'Beskytte og vedligeholde integriteten og anvendelighed af data og den medfølgende metadata, så de forbliver tilgængelige for kommende generationer. Henfører til ’Datamanager’ i DataCite.','LongTermPreservationOrArchiving',NULL,22,NULL,5592,'Langtidsbevaring/arkivering',NULL,433),(8846,'Yde ekspertrådgivning.','Consulting',NULL,23,NULL,5593,'Høring',NULL,433),(8847,'Individuel eller organisationer, der kan nås for at få datarelaterede oplysninger. Henfører til ‘Kontaktperson’ i DataCite.','Contact',NULL,24,NULL,5594,'Kontakt',NULL,433),(8848,'Processen med at undersøge dataene for at hjælpe med at besvare forskningsspørgsmål og nå konklusioner.','DataAnalysis',NULL,25,NULL,5595,'Dataanalyse',NULL,433),(8849,'Arrangere, revidere og forberede materiale (f.eks. tekst, lyd eller video) til endelig produktion eller publikation. Henfører til ’Redaktør’ i DataCite.','Editing',NULL,26,NULL,5596,'Redigering',NULL,433),(8850,'Oprette og vedligeholde udstyr, der er nødvendigt på ethvert trin i datas livscyklus.','EquipmentDevelopment',NULL,27,NULL,5615,'Udstyrsudvikling',NULL,433),(8851,'Vurdere kvalitet, værdi og betydning. Omfatter for eksempel etablering af evalueringskriterier, indsamling af evalueringsinput og gennemførelse af evalueringsprocessen.','Evaluation',NULL,28,NULL,5597,'Evaluering',NULL,433),(8852,'Yde økonomisk støtte til et program eller projekt, normalt af en organisation eller regering. Finansiering foretages til et bestemt formål, for hvilket en succesfuld ansøger ofte skal redegøre for fuldt ud.','FundingProvision',NULL,29,NULL,5598,'Finansiering',NULL,433),(8853,'Søge efter og/eller opnå økonomisk eller anden form for støtte til et program eller projekt.','FundingOrSponsorshipAcquisition',NULL,30,NULL,5599,'Finansiering/sponsoraterhvervelse',NULL,433),(8854,'Yde støtte til forskning eller for andet arbejde eller aktiviteter. Omfatter støtte i form af at, for eksempel, yde personaletid, faciliteter eller instrumentering. Henfører til ’Sponsor’ i DataCite.','Sponsorship',NULL,31,NULL,5600,'Sponsorat',NULL,433),(8855,'Kombinere tekst og billeder til at understøtte og forbedre indhold og gøre det visuelt tiltalende og brugervenligt.','GraphicDesign',NULL,32,NULL,5601,'Grafisk design',NULL,433),(8856,'Initiere, planlægge, udføre, kontrollere og afslutte arbejdet i et team, der er designet til at opnå bestemte mål.','ProjectOperations',NULL,33,NULL,5602,'Projektdrift',NULL,433),(8857,'Person, som officielt er udpeget som styregruppeformand for et projekt eller delprojektteam, der udfører arbejdet for udvikling af en ressource. Styregruppeformanden forbliver tæt involveret i arbejdet, der udføres igennem hele projektets levetid. Henfører til ’Styregruppeformand’ i DataCite.','ProjectOperations.ProjectLeader','ProjectOperations',34,NULL,5603,'Projektdrift: Styregruppeformand',NULL,433),(8858,'Person, som officielt er udpeget som projektleder for et projekt. Denne funktion har normalt mere administrativt ansvar end egentlig arbejdsinddragelse. Henfører til ’Projektleder’ i DataCite.','ProjectOperations.ProjectManager','ProjectOperations',35,NULL,5604,'Projektdrift: Projektleder',NULL,433),(8859,'Person, der bidrager og deltager som et medlem i et udpeget projekt eller projektteam. Henfører til ’Projektdeltager’ i DataCite.','ProjectOperations.ProjectMember','ProjectOperations',36,NULL,5605,'Projektdrift: Projektmedlem',NULL,433),(8860,'Skabe opmærksomhed og forståelse for produkter og tjenester for at tiltrække potentielle brugere.','Promotion',NULL,37,NULL,5606,'Promovering',NULL,433),(8861,'Et standardiseringsorgan fra hvilket registreringsagenturer opnår officiel anerkendelse og vejledning. For eksempel fungerer International DOI Foundation (IDF) som registreringsmyndighed for International Standards Organization (ISO) for området/domænet for Digital Object Identifiers.','RegistrationAuthority',NULL,38,NULL,5607,'Registreringsmyndighed',NULL,433),(8862,'Et individ involveret i analysering af dataene eller undersøgelsesresultaterne, men hvis rolle er at hjælpe med forskningen snarere end at være en skaber. For eksempel kan en forsker søge eller finde yderligere data fra en anden kilde og sammenholde det med undersøgelsen eller eksperimentet, der udføres. Henfører til ’Forsker’ i DataCite.','Researcher',NULL,39,NULL,5610,'Forsker',NULL,433),(8863,'Gruppe af individer involveret i forskningen. Henfører til ‘Forskergruppe’ i DataCite.','ResearchGroup',NULL,40,NULL,5611,'Forskergruppe',NULL,433),(8864,'Eje ejendomsrettigheder, inklusiv intellektuelle ejendomsrettigheder over ressourcen. Henfører til ’Rettighedsindehaver’ i DataCite.','RightsHolding',NULL,41,NULL,5612,'Rettighedsindehavelse',NULL,433),(8865,'Håndtere licenser for distribuerede data, værktøjer og andre forskningsmaterialer på vegne af rettighedsindehaveren.','RightsManagement',NULL,42,NULL,5613,'Rettighedsstyring',NULL,433),(8866,'Oprette og vedligeholde software, der er nødvendig på ethvert trin i dataenes livscyklus.','SoftwareDevelopment',NULL,43,NULL,5614,'Softwareudvikling',NULL,433),(8867,'Føre tilsyn med en eller flere individer eller teams i deres arbejde. Henfører til ‘Overvåger’ i DataCite.','Supervision',NULL,44,NULL,5616,'Overvågning',NULL,433),(8868,'Bibringe information og/eller instruktioner til forbedring af modtagerens præstation eller til at hjælpe med at opnå et påkrævet niveau af viden eller færdigheder relateret til forskning eller forskningsdata. For eksempel at træne interviewere, oversættere, dataarkivarer eller dataanalytikere.','Training',NULL,45,NULL,5617,'Træning',NULL,433),(8869,'Udtrykke indholdet af tekst eller tale i et andet sprog end det anvendte originalsprog. For eksempel oversættelse af spørgeskema eller undersøgelsesrapport.','Translation',NULL,46,NULL,5618,'Oversættelse',NULL,433),(8870,'Yde hjælp til brugere af data, metadata, værktøjer mv.','UserSupport',NULL,47,NULL,5619,'Brugerstøtte',NULL,433),(8871,'Repræsentere data, analyseresultater eller anden information som en graf, et billede eller animation for at hjælpe til med forståelsen af deres mening.','Visualization',NULL,48,NULL,5620,'Visualisering',NULL,433),(8872,'Oprette og vedligeholde en hjemmeside relateret til dataene. Kan inkludere webdesign, opbygning af brugergrænseflade, netværkssikkerhedskonfiguration mv.','WebsiteDevelopment',NULL,49,NULL,5621,'Hjemmesideudvikling',NULL,433),(8873,'Anvend, hvis rollen er kendt, men ikke findes i listen. Kan henføres til rollerne ’Relateret person’, ’Producent’ eller ’Arbejdspakkeleder’ i DataCite.','Other',NULL,50,NULL,5622,'Andet',NULL,433),(8874,'La creazione, distribuzione, utilizzo, integrazione e manipolazione delle informazioni come attività economica, politica e culturale rilevante. Ad esempio, i dati relativi all\'e-commerce, e-government, social media, dispositivi mobili, accesso e uso di Internet, e-privacy, informazioni e risorse bibliotecarie. Utilizzare \"Tecnologie dell\'informazione\" quando si tratta di tecnologie in senso stretto.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,5751,'Società dell\'informazione','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.0.1',364),(8875,'I dati includono studi linguistici, analisi linguistiche e sociolinguistiche, nonché dati sulle politiche linguistiche, le competenze linguistiche delle persone, le lingue parlate sul posto di lavoro o in ambiti domestici, gli atteggiamenti nei confronti delle minoranze linguistiche, ecc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,5796,'Linguaggio e linguistica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.0.1',364),(8876,'Questioni relative all\'erogazione di servizi di assistenza sociale, quali soggetti forniscono servizi di assistenza sociale nella pratica e in che misura, come sono strutturati i servizi esistenti. Ad esempio, questioni relative alle modalità attraverso cui un governo locale ha organizzato i servizi per gli anziani.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,5778,'Sistemi/strutture di welfare','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.0.1',364),(8877,'Utilizzare questa categoria per studi sulla produzione agricola e su tutte le attività economiche rurali che includono, ad esempio, la pesca e la silvicoltura.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,5736,'Agricoltura e attività economiche rurali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.0.1',364),(8878,'Ad esempio, dati sull\'utilizzo di specifici servizi sociali da parte delle persone, opinioni sull\'adeguatezza, accessibilità e disponibilità di tali servizi e grado di soddisfazione generale. Ad esempio, questioni relative al tipo di servizi utilizzati dagli anziani intervistati oppure statistiche sull\'utilizzo di particolari servizi.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,5764,'Servizi sociali specifici: utilizzo e disponibilità','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.0.1',364),(8879,'Dati riferiti a qualsiasi tipo di mass media. Ad esempio, quotidiani stampati o online, riviste, televisione e radio. Si noti che i social media sono classificati con il termine \"Società dell\'informazione\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,5738,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.0.1',364),(8880,'','MediaCommunicationAndLanguage',NULL,44,NULL,5799,'MEDIA, COMUNICAZIONE E LINGUAGGIO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.0.1',364),(8881,'Misure adottate per migliorare o preservare l\'immagine di individui, aziende, organizzazioni e governi, ad esempio mediante pubblicità, lobbying, ecc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,5741,'Relazioni pubbliche','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.0.1',364),(8882,'Indagini su un\'intera popolazione, a differenza di un\'indagine campionaria. Spesso utilizzati per le statistiche ufficiali di una popolazione, in genere includono la raccolta delle informazioni demografiche. Si noti che in alcuni paesi i censimenti non vengono utilizzati in quanto le informazioni demografiche possono essere ottenute dai registri ufficiali.','Demography.Censuses','Demography',1,11926,7962,'Censimenti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.0.1',364),(8883,'Dati sulla politica economica, compresi bilancio e politica fiscale, spesa pubblica ed entrate pubbliche.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,11925,7963,'Politica economica, spesa pubblica ed entrate','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.0.1',364),(8884,'Utilizzato per studi sull\'accumulo di beni personali, inclusi reddito, proprietà, investimenti e risparmi.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,11929,7964,'Reddito, proprietà e forme di risparmio/investimento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',364),(8885,'L\'istruzione obbligatoria si riferisce al periodo di istruzione richiesto a tutte le persone che vivono in un paese ed è imposto dalla legge. L\'istruzione pre-scolastica si riferisce alla scuola dell\'infanzia e all\'educazione impartita prima dell\'istruzione obbligatoria. Utilizzare questo termine per classificare i dati relativi alle fasi di istruzione prescolare, primaria e secondaria di primo grado, indipendentemente dal fatto che i dati si concentrino su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,5729,'Istruzione obbligatoria e pre-scolastica','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.0.1',364),(8886,'Studi sul benessere generale o sullo stato di salute di un individuo, gruppo o popolazione. Può essere oggettivamente misurato/osservato o auto-percepito. Il benessere include, ad esempio, le capacità o le condizioni fisiche e psichiche, così come le condizioni sociali.','Health.GeneralHealthAndWellbeing','Health',19,NULL,5777,'Salute e benessere generale','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.0.1',364),(8887,'Questioni relative a governi nazionali, regionali e locali, organi di governo (ad esempio Governo, Parlamento, enti governativi locali), amministrazione pubblica, altre organizzazioni politiche come i partiti politici. Ad esempio, dati sulle politiche governative, i partiti politici e le loro politiche, i leader dei partiti politici, la fiducia negli organismi governativi. Si noti che potrebbe essere necessario affiancare a questo termine anche altri termini più specifici del vocabolario.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,11928,7966,'Governo, sistemi e organizzazioni politici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.0.1',364),(8888,'Prehranjevalni procesi, vzorci in prakse prehranjevanja in merljivi prehranjevalni parametri, kot so indeks telesne mase (ITM), teža, raven vitaminov.','Health.DietAndNutrition','Health',17,NULL,5810,'Prehrana in prehranjevanje',NULL,366),(8890,'Podatki o človekovi splošni telesni pripravljenosti, fizični aktivnosti in gibanju.','Health.PhysicalFitnessAndExercise','Health',23,NULL,5809,'telesna pripravljenost in gibanje',NULL,366),(8891,'Refers to the act of acquiring and/or using something to meet the needs and wants of a person, community or society. Data in this category include patterns of consumer behaviour, changes in them, and data on consumer ethics. For example, survey data on how often people buy certain items; when and where they shop; whether ethical considerations affect their consumer choices.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,5773,NULL,'Consumption and consumer behaviour','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.1',434),(8892,'Use note: May need an additional topic, if children are studied from a particular aspect.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,5775,NULL,'Children','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.1',434),(8893,'Groups of individuals that differ from the majority of population in some way. Differentiating characteristics include, for instance, ethnicity, religion, health, sexual orientation, first language (mother tongue) and culture. Use note: For some minority issues, it may be useful to select additional topics such as \'Equality, inequality and social exclusion\' or \'Language and linguistics\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,5760,NULL,'Minorities','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.1',434),(8894,'','Health',NULL,16,5804,NULL,'HEALTH','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.1',434),(8895,'Refers to educational opportunities in varied forms provided for adults after they have left the formal education system. Adults may engage in such education to, for instance, improve their skills or qualifications, to retrain for a new line of work, or just to learn something new. Does not generally include education leading to a qualification, or employee training.','Education.LifelongContinuingEducation','Education',14,5765,NULL,'Life-long/continuing education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.1',434),(8896,'Nutritional processes, eating patterns and practices, and measurable nutritional parameters such as body mass index (BMI), weight, vitamin levels.','Health.DietAndNutrition','Health',17,5810,NULL,'Diet and nutrition','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.1',434),(8897,'Reproductive process, function or system at any stage of life. Includes data on pregnancy, birth, family planning, contraception, abortion and menopause.','Health.ReproductiveHealth','Health',25,5739,NULL,'Reproductive health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.1',434),(8898,'Data on elections, referendums, election campaigns, election results, candidates in elections, candidate selectors, election funding etc.','Politics.Elections','Politics',56,5725,NULL,'Elections','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.1',434),(8899,'The conditions under which employees work. For example, types of contract, working time (hours of work, rest periods, work schedules, overtime), pay and remuneration, physical aspects and mental demands of work, employee rights and responsibilities, workload, employee involvement in decision-making, leave entitlements, physical environment. Use note: For workplace safety issues, use also \'Occupational health\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,5767,NULL,'Working conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.1',434),(8900,'','NaturalEnvironment',NULL,49,5772,NULL,'NATURAL ENVIRONMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.1',434),(8901,'','TradeIndustryAndMarkets',NULL,89,5721,NULL,'TRADE, INDUSTRY AND MARKETS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.1',434),(8902,'Global governance, diplomacy, foreign policy, relations between countries, international organisations (e.g. the EU, WHO, UN, WTO), and international agreements.','Politics.InternationalPoliticsAndOrganisations','Politics',58,5718,NULL,'International politics and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.1',434),(8903,'Includes all patterns of retirement such as phased or flexible retirement, data on retirement age and early retirement.','LabourAndEmployment.Retirement','LabourAndEmployment',38,5792,NULL,'Retirement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.1',434),(8904,'','Economics',NULL,4,5758,NULL,'ECONOMICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.1',434),(8905,'Data on specific, diagnosed diseases, disorders or syndromes (often classified in ICD-10 or its earlier versions). For example, medical research on infectious diseases or the causes of diabetes, or data on the physical and mental recovery of people who have had heart surgery.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,5806,NULL,'Specific diseases, disorders and medical conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.1',434),(8906,'Data on the accumulation of personal assets, including income, property, investments and savings.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,7964,NULL,'Income, property and investment/saving','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.1',434),(8907,'Programmes that are designed for learners to acquire the knowledge, skills and competencies specific to a particular occupation, trade or class of occupations or trades. Vocational education may have work-based components. Covers vocational education at ISCED levels 3-4 and apprenticeships. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.VocationalEducationAndTraining','Education',15,5745,NULL,'Vocational education and training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.1',434),(8908,'Data on changes in the society, including attitudinal changes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,5730,NULL,'Social change','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.1',434),(8909,'Data on people\'s general level of fitness, physical activity and exercise they take.','Health.PhysicalFitnessAndExercise','Health',23,5809,NULL,'Physical fitness and exercise','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.1',434),(8910,'','HousingAndLandUse',NULL,30,5774,NULL,'HOUSING AND LAND USE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.1',434),(8911,'Discussions of policy and principles, and decisions made and principles adopted at national, regional or local level concerning education and its provision. Use note: For laws and regulations already implemented, use the topic \'Laws and regulations\' as well.','Education.EducationalPolicy','Education',12,5747,NULL,'Educational policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.1',434),(8912,'','SocialStratificationAndGroupings',NULL,65,5755,NULL,'SOCIAL STRATIFICATION AND GROUPINGS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.1',434),(8913,'','SocialWelfarePolicyAndSystems',NULL,75,5754,NULL,'SOCIAL WELFARE POLICY AND SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.1',434),(8914,'','Politics',NULL,54,5750,NULL,'POLITICS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.1',434),(8915,'Data on party political attitudes, political engagement and participation in the political process, voting behaviour, satisfaction with government. Use note: For data on specific political doctrines, use \'Political ideology\'.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,5780,NULL,'Political behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.1',434),(8916,'Data on occupational exposures and diseases, occupational safety, sick leave, work ability and disability, or work-related disability pension.','Health.OccupationalHealth','Health',22,5805,NULL,'Occupational health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.1',434),(8917,'Data on economic policy, including budget and fiscal policy, public expenditure and public revenue.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,7963,NULL,'Economic policy,  public expenditure and revenue','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.1',434),(8918,'Includes immigration, emigration, internal migration as well as other types of geographical mobility. Immigration means coming to settle in another country than one\'s home country. Emigration means leaving one\'s home country to settle in another country. Migration is an umbrella term for both. Migration also includes internal migration, that is, movement of people within one country at different geographical levels.','Demography.Migration','Demography',2,5757,NULL,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.1',434),(8919,'Recreation patterns, leisure time activities and hobbies. Includes sports spectatorship, competition sports, and travel for leisure. Use note: For data on exercise for keeping fit, use \'Physical fitness and exercise\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,5801,NULL,'Leisure, tourism and sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.1',434),(8920,'Covers general education at ISCED levels 3-4 plus tertiary education, that is, upper secondary general education, and college, university of applied sciences, and university education. Includes data on students, teachers, subjects or skills taught, facilities etc.','Education.HigherAndFurtherEducation','Education',13,5762,NULL,'Higher and further education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.1',434),(8921,'Includes all types of goods transport as well as commuting, public transport (trains, buses, underground etc), and urban transport networks. Data on mobility habits, for example, cross-border shopping, routes and means used to access a location. Use note: For travel for leisure, use the topic \'Leisure, tourism and sport\'.','TransportAndTravel',NULL,93,5771,NULL,'TRANSPORT AND TRAVEL','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.1',434),(8922,'Natural resources are assets such as land, forests, energy sources, water, minerals which exist naturally and can be used for economic production or consumption. Energy resources include fossil fuels such as oil, natural gas or coal, as well as nuclear, solar, tidal and wind or from living organisms that can be replaced.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,5740,NULL,'Energy and natural resources','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.1',434),(8923,'Internal corporate training and other employee training funded by the employer to increase employee skills and competence. Use note: Does not include apprenticeships, which are included in \'Vocational education and training\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,5756,NULL,'Employee training','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.1',434),(8924,'Data on unemployment rates and statistics, employment programmes and schemes, duration and frequency of unemployment, social and psychological impact of unemployment etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,5753,NULL,'Unemployment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.1',434),(8925,'Data referring to any type of mass media. For example, printed or online newspapers, magazines, television and the radio. Use note: Social media are indexed with \'Information society\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,5738,NULL,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.1',434),(8926,'Prevention and control of disease and disability, and the promotion of physical and mental health of the population on the international, national, state, or municipal level. For instance, health promotion, disease prevention, impact of public health programmes, managing local, national or global health issues, epidemiology of a disease, condition, or pathogen, or disease outbreak.','Health.PublicHealth','Health',24,5770,NULL,'Public health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.1',434),(8927,'Compulsory education refers to the period of education that is required of all persons living in a country and is imposed by law. Pre-school education refers to formal childcare and education given prior to compulsory education. This topic covers data relating to pre-school, primary and lower secondary stages of education, regardless of whether the data focuses on students, teachers, subjects or skills taught, facilities etc.','Education.CompulsoryAndPreschoolEducation','Education',11,5729,NULL,'Compulsory and pre-school education','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.1',434),(8928,'Data related to different aspects of life in the community, or in urban and rural areas. Opinions on and images of the neighbourhood, or of urban or rural areas. Services, facilities and business opportunities in the neighbourhood.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,5786,NULL,'Community, urban and rural life','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.1',434),(8929,'Use note: May need an additional topic, if young people are studied from a particular aspect.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,5735,NULL,'Youth','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.1',434),(8930,'Data on crime, crime prevention, victims of crime, criminals, as well the police, secret service, correctional institutions (e.g. prisons, young people\'s correctional institutions), border control and customs. Also includes data on the staff and facilities of these agencies.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,5800,NULL,'Crime and law enforcement','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.1',434),(8931,'Gender identity; gendered representation (e.g. representation of genders in decision-making bodies, in media, in literature etc); social, cultural and psychological traits linked to males and females; women\'s studies; men\'s studies; expected behaviour and choices according to gender roles and the impact of such expectations.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,5787,NULL,'Gender and gender roles','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.1',434),(8932,'Treatment of disease, or procedure/s of preventing it. Patient care at individual level. Research on medication and treatment of a disease. Data on, for instance, surgical procedures, rehabilitation, doctor consultation, physical therapy, musculoskeletal manipulations, care in hospital or home, psychotherapy, investigative techniques, medication.','Health.MedicationAndTreatment','Health',21,5733,NULL,'Medication and treatment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.1',434),(8933,'Data covering capitalist, socialist and other economic systems and data on, for example, international development programs.','Economics.EconomicSystemsAndDevelopment','Economics',8,5794,NULL,'Economic systems and development','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.1',434),(8934,'Measures adopted to enhance or preserve the image of individuals, companies, organisations, and governments for example by means of advertising, lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,5741,NULL,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.1',434),(8935,'Data on the general well-being or health status of an individual, group or population. May be objectively measured/observed or self-perceived. Well-being includes, for instance, physical and mental capacity or state, as well as social state.','Health.GeneralHealthAndWellbeing','Health',19,5777,NULL,'General health and well-being','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.1',434),(8936,'Surveys of an entire population, as opposed to a sample survey. Often used for official enumerations of a population, usually including the collection of related demographic information. Note that in some countries censuses are not used as demographic information can be obtained from official registers.','Demography.Censuses','Demography',1,7962,NULL,'Censuses','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.1',434),(8937,'Quality and availability of services, associated facilities and personnel within health care. Health care economy and policy decisions and principles at national, regional or local level regarding health care. Use note: For laws and regulations already implemented, use the topic \'Laws and regulations\' as well.','Health.HealthCareServicesAndPolicies','Health',20,5737,NULL,'Health care services and policies','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.1',434),(8938,'For example, data on the extent people use specific social services, opinions on the adequacy, accessibility and availability of specific services, and general satisfaction with them. For example, questions on what services elderly respondents have used, or use statistics on particular services.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,5764,NULL,'Specific social services: use and availability','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.1',434),(8939,'Issues related to the existence, roles and impact of elites in society, that is, individuals or groups who have a large amount of power or influence over society, politics, wealth etc, either through decisions they make or, for example, through ideas or feelings that they express or represent. Includes issues related to influential people in all spheres of society, for example, decision-makers in political life, political party leaders, influential artists, prominent mass or social media figures etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,5798,NULL,'Elites and leadership','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.1',434),(8940,'Data on employment rate and statistics, labour market, job vacancies, job-seeking, job characteristics, employment of certain groups (e.g. youth or minority employment), employment services, career. Use note: For pay and remuneration use \'Working conditions\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,5717,NULL,'Employment','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.1',434),(8941,'Data from linguistic studies, linguistic analysis and sociolinguistics, as well as data on language policies, people\'s language skills, languages spoken at work and at home, attitudes towards minority languages etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,5796,NULL,'Language and linguistics','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.1',434),(8942,'Covers all aspects of the quality of life and well-being of individuals and societies, as well as people\'s perceptions thereof. Use note: Depending on the aspect studied, \'General health and well-being\', \'Equality, inequality and social exclusion\' and \'Economic conditions and indicators\', etc. may be relevant as well.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,5784,NULL,'Social conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.1',434),(8943,'Covers issues related to families, relatives, generations and household composition. For instance, data on child rearing, division of labour within the family, support provided for family members.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,5726,NULL,'Family life and marriage','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.1',434),(8944,'Data which addresses questions of religious behaviour, religious movements, spirituality, morality and other values.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,5795,NULL,'Religion and values','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.1',434),(8945,'Use if the topic is known, but not found in the list.','Other',NULL,94,5781,NULL,'OTHER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.1',434),(8946,'','LabourAndEmployment',NULL,33,5748,NULL,'LABOUR AND EMPLOYMENT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.1',434),(8947,'Data on social behaviour; social interaction and networks; social responsibilities; social norms and rules; and attitudes towards these issues.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,5768,NULL,'Social behaviour and attitudes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.1',434),(8948,'Data on agricultural production and all rural industries which include, for example, fisheries and forestry.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,5736,NULL,'Agriculture and rural industry','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.1',434),(8949,'Issues relating to whether all individuals or groups of individuals have the same status and opportunities in society.  Equality can be studied, for example, in terms of education, (financial) assets or income, occupational position, power, prestige, conditions of work and leisure time, access to services, and social relations. Marginalisation and social exclusion can be the result of systematic disadvantage in multiple areas of life, and people concerned may be deprived of rights, opportunities, resources and social integration. \nExamples of data: statistics on income equality; perceived group-focused discrimination (e.g. towards foreigners, the homeless, asylum seekers); perceived  differences between men and women regarding opportunities for leading roles in politics; impact of parental unemployment on children\'s education level and social networks.\n','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,5720,NULL,'Equality, inequality and social exclusion','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.1',434),(8950,'Data on the amount of time spent by the population on various activities.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,5763,NULL,'Time use','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.1',434),(8951,'Includes both land use and land use planning. Land use planning refers to procedures carried out to ensure an optimal and sustainable use of land resources in rural and urban communities.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,5782,NULL,'Land use and planning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.1',434),(8952,'Wounds and injuries, both physical and psychological, caused either by accidents or violence (through individual or group aggressive behaviour). Use note: If work-related wounds or injuries, use \'Occupational health\'.','Health.WoundsAndInjuries','Health',28,5802,NULL,'Wounds and injuries','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.1',434),(8953,'Data on industry and business such as management, productivity, growth and decline, organisation structure, administration, investment in R&D, markets and market share.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,5734,NULL,'Business/industrial management and organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.1',434),(8954,'','Education',NULL,10,5728,NULL,'EDUCATION','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.1',434),(8955,'Covers domesticated, production and wild animals, as well as all types of plants (e.g. flowers, trees, moss, vegetables).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,5766,NULL,'Plants and animals','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.1',434),(8956,'Covers landscapes and elements of land that have not been directly changed by humans.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,5789,NULL,'Natural landscapes','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.1',434),(8957,'Relations between employers and employees.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,5788,NULL,'Labour relations/conflict','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.1',434),(8958,'Data on identity formation, who people feel they are and where they feel they belong in terms of nationality, locality, social class, generation, ethnicity, religion or any other social/cultural grouping. Also covers exclusion of self or others from those groups.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,5759,NULL,'Cultural and national identity','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.1',434),(8959,'Covers issues of environmental degradation, pollution, environmental protection, climate change, flood prevention, soil erosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,5776,NULL,'Environment and conservation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.1',434),(8960,'Morbidity refers to incidence of ill health in a population. Data may cover the incidence or morbidity rate of a medical condition. For example, the number of people who suffer from lung cancer in a country or a geographic area during a single year. Mortality data indicate the numbers of deaths in a population by place, time, cause, or type of individual etc. For example, maternal mortality rate, child mortality rate. Use note: Self-reported survey data on illnesses and medical conditions are indexed with HEALTH hierarchy topics.','Demography.MorbidityAndMortality','Demography',3,5769,NULL,'Morbidity and mortality','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.1',434),(8961,'Data on abnormal anatomical or physiological conditions, and objective or subjective manifestations of disease/symptoms, not classified as disease or syndrome (in which case \'Specific diseases, disorders or medical conditions\' would be used). Includes clinical manifestations that can be objective when observed by a medical professional or subjective when perceived by the patient. E.g. pain, diarrhoea, rash, leg length inequality, insomnia, teeth grinding, inflammation, arrhythmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,5724,NULL,'Signs and symptoms; pathological conditions','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.1',434),(8962,'','SocietyAndCulture',NULL,79,5761,NULL,'SOCIETY AND CULTURE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.1',434),(8963,'','LawCrimeAndLegalSystems',NULL,41,5797,NULL,'LAW, CRIME AND LEGAL SYSTEMS','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.1',434),(8964,'Includes data measuring the standard of housing in a community, including social housing, as well as the availability and pricing of housing. Housing includes homes, second homes and holiday homes.','HousingAndLandUse.Housing','HousingAndLandUse',31,5719,NULL,'Housing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.1',434),(8965,'Ideas, ideals and theories on the ways governments and societies can be organised. Major political ideologies include anarchism, democracy, liberalism, conservatism etc.','Politics.PoliticalIdeology','Politics',60,5779,NULL,'Political ideology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.1',434),(8966,'Data on international or national legislation, administrative regulations, judiciary system (powers and activities of courts), alternative dispute resolution and restorative justice, punishments.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,5722,NULL,'Legislation and legal systems','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.1',434),(8967,'Economic indicators indicate in which direction an economy is headed and include, for example, GDP growth rate, employment, inflation and interest rate, consumer and investor activity, household debt. Use note: This topic is also used for economic conditions of individuals and households which are surveyed or registered.','Economics.EconomicConditionsAndIndicators','Economics',6,5793,NULL,'Economic conditions and indicators','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.1',434),(8968,'The creation, distribution, use, integration and manipulation of information as a significant economic, political, and cultural activity. For instance, data relating to e-commerce, e-government, social media, mobile devices, access to and use of the Internet, e-privacy, information and library resources. Use note: For data on the actual technologies, use \'Information technology\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,5751,NULL,'Information society','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.1',434),(8969,'Information and communication technologies that are used in the home, workplace and other community setting. Use note: The use and impact of these technologies are covered by \'Information society\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,5742,NULL,'Information technology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.1',434),(8970,'Data referring to the use of biomolecular and cellular processes to create new products and technological processes.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,5807,NULL,'Biotechnology','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.1',434),(8971,'Issues relating to national, regional and local government, governing bodies (e.g. the Government, Parliament, local government bodies), public administration, other political organisations such as political parties. For example, data on government policies, political parties and their policies, political party leaders, trust in government bodies.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,7966,NULL,'Government, political systems and organisations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.1',434),(8972,'','ScienceAndTechnology',NULL,62,5743,NULL,'SCIENCE AND TECHNOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.1',434),(8973,'','Psychology',NULL,61,5749,NULL,'PSYCHOLOGY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.1',434),(8974,'Decisions made and principles adopted at national, regional or local level concerning social welfare, its funding and provision, for instance, who is entitled to what kind of social services and benefits and why, what is their level, and who can provide the services. For example, a policy that elderly people should remain in their homes for as long as possible, a policy relating to how long people can have an unemployment benefit. Use note: For laws and regulations already implemented, use the topic \'Laws and regulations\' as well.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,5727,NULL,'Social welfare policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.1',434),(8975,'Data on employment policies relating to employment relations, the labour market and equality and discrimination at work; at national level policies include influencing the demand and supply of labour and the functioning of labour markets. Use note: For laws and regulations already implemented, use the topic \'Laws and regulations\' as well.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,5716,NULL,'Labour and employment policy','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.1',434),(8976,'Exchange of capital, goods, or services across international borders.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,5752,NULL,'Foreign trade','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.1',434),(8977,'','MediaCommunicationAndLanguage',NULL,44,5799,NULL,'MEDIA, COMMUNICATION AND LANGUAGE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.1',434),(8978,'Issues related to the actual provision of social welfare, who provides social welfare services in practice and to what extent, how the actual services are structured. For example,  questions on how a local government has organised services for the elderly.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,5778,NULL,'Social welfare systems/structures','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.1',434),(8979,'Use note: May need an additional topic, if the elderly are studied from a particular aspect.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,5803,NULL,'Elderly','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.1',434),(8980,'','Demography',NULL,0,5790,NULL,'DEMOGRAPHY (POPULATION, VITAL STATISTICS, AND CENSUSES)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.1',434),(8981,'Use note: In addition to this broader topic, use another topic for historical data. Example: for data on the working environments of family doctors in the 1960s, use HISTORY and \'Working conditions\' plus \'Health care services and policies\'. Use the HISTORY topic on its own only if a more specific topic cannot be found in this vocabulary.','History',NULL,29,5732,NULL,'HISTORY','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.1',434),(8982,'Movement of individuals, families or groups of individuals in social and occupational status over time. The movement may be horizontal, that is, change in position within the range of same status, or vertical where individuals may move upwards or downwards in the status hierarchy. For example, labourers in declining industries may become labourers in some other industry (horizontal occupational mobility), or children in poor families may reach a higher social class than their parents (vertical inter-generational social mobility).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,5791,NULL,'Social and occupational mobility','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.1',434),(8983,'Internal and international security and safety; internal and international conflicts; war and peace; national defence and defence forces (the army). Use note: The police are covered by \'Crime and law enforcement\'.','Politics.ConflictSecurityAndPeace','Politics',55,5785,NULL,'Conflict, security and peace','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.1',434),(8984,'Active or passive participation in any kind of cultural activities, as well as opinions and perceptions of them.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,5746,NULL,'Cultural activities and participation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.1',434),(8985,'Data on drug and other substance abuse. Data on smoking and drinking habits. Use note: For data covering medicinal use of recreational drugs (such as medicinal use of cannabis), use \'Medication and treatment\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10852,NULL,'Drug abuse, alcohol and smoking','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.1',434),(8986,'Digital Object Identifier','DOI',NULL,1,NULL,NULL,'DOI','https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes_DOI?v=1.0',435),(8987,'Archival Resource Key','ARK',NULL,0,NULL,NULL,'ARK','https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes_ARK?v=1.0',435),(8988,'The Handle system. Includes ePIC Handles.','Handle',NULL,2,NULL,NULL,'Handle','https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes_Handle?v=1.0',435),(8989,'Universal Resource Name','URN',NULL,3,NULL,NULL,'URN','https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes_URN?v=1.0',435),(10477,'','AUSSDA',NULL,0,NULL,NULL,'Austrian Social Science Data Archive (AUSSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_AUSSDA?v=1.0',450),(10478,'','CSDA',NULL,1,NULL,NULL,'Czech Social Science Data Archive (ČSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_CSDA?v=1.0',450),(10479,'','DNA',NULL,2,NULL,NULL,'Danish National Archives (DNA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DNA?v=1.0',450),(10480,'Netherlands','DANS',NULL,3,NULL,NULL,'DANS-KNAW','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DANS?v=1.0',450),(10481,'','FSD',NULL,4,NULL,NULL,'Finnish Social Science Data Archive (FSD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_FSD?v=1.0',450),(10482,'Germany','GESIS',NULL,5,NULL,NULL,'GESIS - Leibniz Institute for the Social Sciences','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_GESIS?v=1.0',450),(10483,'France','ProgedoCDSP',NULL,8,NULL,NULL,'PROGEDO: Center for Socio-Political Data (CDSP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCDSP?v=1.0',450),(10484,'France','ProgedoCNRS',NULL,9,NULL,NULL,'PROGEDO: CNRS','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCNRS?v=1.0',450),(10485,'France','ProgedoSciencesPo',NULL,10,NULL,NULL,'PROGEDO: Sciences Po','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoSciencesPo?v=1.0',450),(10486,'','SoDaNet',NULL,13,NULL,NULL,'SoDaNet - Greek Research Infrastructure for Social Science','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SoDaNet?v=1.0',450),(10487,'','NSD',NULL,6,NULL,NULL,'NSD - Norwegian Centre for Research Data','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_NSD?v=1.0',450),(10488,'','APIS',NULL,7,NULL,NULL,'Portuguese Archive of Social Information (APIS)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_APIS?v=1.0',450),(10489,'','SASD',NULL,11,NULL,NULL,'Slovak Archive of Social Data (SASD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SASD?v=1.0',450),(10490,'','ADP',NULL,12,NULL,NULL,'Slovenian Social Science Data Archives (ADP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ADP?v=1.0',450),(10491,'','SND',NULL,14,NULL,NULL,'Swedish National Data Service (SND)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SND?v=1.0',450),(10492,'','UKDS',NULL,15,NULL,NULL,'UK Data Service','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UKDS?v=1.0',450),(10493,'Italy','UniData',NULL,16,NULL,NULL,'UniData - Bicocca Data Archive','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UniData?v=1.0',450),(10494,'','AF',NULL,0,NULL,NULL,'Afghanistan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AF?v=1.0',451),(10495,'','AL',NULL,1,NULL,NULL,'Albania','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AL?v=1.0',451),(10496,'','DZ',NULL,2,NULL,NULL,'Algeria','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DZ?v=1.0',451),(10497,'','AS',NULL,3,NULL,NULL,'American Samoa','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AS?v=1.0',451),(10498,'','AD',NULL,4,NULL,NULL,'Andorra','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AD?v=1.0',451),(10499,'','AO',NULL,5,NULL,NULL,'Angola','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AO?v=1.0',451),(10500,'','AI',NULL,6,NULL,NULL,'Anguilla','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AI?v=1.0',451),(10501,'','AQ',NULL,7,NULL,NULL,'Antarctica','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AQ?v=1.0',451),(10502,'','AG',NULL,8,NULL,NULL,'Antigua and Barbuda','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AG?v=1.0',451),(10503,'','AR',NULL,9,NULL,NULL,'Argentina','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AR?v=1.0',451),(10504,'','AM',NULL,10,NULL,NULL,'Armenia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AM?v=1.0',451),(10505,'','AW',NULL,11,NULL,NULL,'Aruba','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AW?v=1.0',451),(10506,'','AU',NULL,12,NULL,NULL,'Australia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AU?v=1.0',451),(10507,'','AT',NULL,13,NULL,NULL,'Austria','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AT?v=1.0',451),(10508,'','AZ',NULL,14,NULL,NULL,'Azerbaijan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AZ?v=1.0',451),(10509,'','BS',NULL,15,NULL,NULL,'Bahamas','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BS?v=1.0',451),(10510,'','BH',NULL,16,NULL,NULL,'Bahrain','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BH?v=1.0',451),(10511,'','BD',NULL,17,NULL,NULL,'Bangladesh','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BD?v=1.0',451),(10512,'','BB',NULL,18,NULL,NULL,'Barbados','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BB?v=1.0',451),(10513,'','BY',NULL,19,NULL,NULL,'Belarus','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BY?v=1.0',451),(10514,'','BE',NULL,20,NULL,NULL,'Belgium','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BE?v=1.0',451),(10515,'','BZ',NULL,21,NULL,NULL,'Belize','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BZ?v=1.0',451),(10516,'','BJ',NULL,22,NULL,NULL,'Benin','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BJ?v=1.0',451),(10517,'','BM',NULL,23,NULL,NULL,'Bermuda','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BM?v=1.0',451),(10518,'','BT',NULL,24,NULL,NULL,'Bhutan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BT?v=1.0',451),(10519,'','BO',NULL,25,NULL,NULL,'Bolivia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BO?v=1.0',451),(10520,'','BQ',NULL,26,NULL,NULL,'Bonaire, Sint Eustatius and Saba','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BQ?v=1.0',451),(10521,'','BA',NULL,27,NULL,NULL,'Bosnia and Herzegovina','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BA?v=1.0',451),(10522,'','BW',NULL,28,NULL,NULL,'Botswana','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BW?v=1.0',451),(10523,'','BV',NULL,29,NULL,NULL,'Bouvet Island','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BV?v=1.0',451),(10524,'','BR',NULL,30,NULL,NULL,'Brazil','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BR?v=1.0',451),(10525,'','IO',NULL,31,NULL,NULL,'British Indian Ocean Territory','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IO?v=1.0',451),(10526,'','BN',NULL,32,NULL,NULL,'Brunei','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BN?v=1.0',451),(10527,'','BG',NULL,33,NULL,NULL,'Bulgaria','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BG?v=1.0',451),(10528,'','BF',NULL,34,NULL,NULL,'Burkina Faso','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BF?v=1.0',451),(10529,'','BI',NULL,35,NULL,NULL,'Burundi','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BI?v=1.0',451),(10530,'','CV',NULL,36,NULL,NULL,'Cabo Verde','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CV?v=1.0',451),(10531,'','KH',NULL,37,NULL,NULL,'Cambodia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KH?v=1.0',451),(10532,'','CM',NULL,38,NULL,NULL,'Cameroon','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CM?v=1.0',451),(10533,'','CA',NULL,39,NULL,NULL,'Canada','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CA?v=1.0',451),(10534,'','KY',NULL,40,NULL,NULL,'Cayman Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KY?v=1.0',451),(10535,'','CF',NULL,41,NULL,NULL,'Central African Republic','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CF?v=1.0',451),(10536,'','TD',NULL,42,NULL,NULL,'Chad','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TD?v=1.0',451),(10537,'','CL',NULL,43,NULL,NULL,'Chile','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CL?v=1.0',451),(10538,'','CN',NULL,44,NULL,NULL,'China','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CN?v=1.0',451),(10539,'','CX',NULL,45,NULL,NULL,'Christmas Island','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CX?v=1.0',451),(10540,'','CC',NULL,46,NULL,NULL,'Cocos (Keeling) Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CC?v=1.0',451),(10541,'','CO',NULL,47,NULL,NULL,'Colombia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CO?v=1.0',451),(10542,'','KM',NULL,48,NULL,NULL,'Comoros','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KM?v=1.0',451),(10543,'','CD',NULL,49,NULL,NULL,'Congo (the Democratic Republic of the)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CD?v=1.0',451),(10544,'','CG',NULL,50,NULL,NULL,'Congo','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CG?v=1.0',451),(10545,'','CK',NULL,51,NULL,NULL,'Cook Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CK?v=1.0',451),(10546,'','CR',NULL,52,NULL,NULL,'Costa Rica','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CR?v=1.0',451),(10547,'','HR',NULL,53,NULL,NULL,'Croatia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HR?v=1.0',451),(10548,'','CU',NULL,54,NULL,NULL,'Cuba','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CU?v=1.0',451),(10549,'','CW',NULL,55,NULL,NULL,'Curaçao','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CW?v=1.0',451),(10550,'','CY',NULL,56,NULL,NULL,'Cyprus','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CY?v=1.0',451),(10551,'','CZ',NULL,57,NULL,NULL,'Czechia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CZ?v=1.0',451),(10552,'','CI',NULL,58,NULL,NULL,'Côte d\'Ivoire','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CI?v=1.0',451),(10553,'','DK',NULL,59,NULL,NULL,'Denmark','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DK?v=1.0',451),(10554,'','DJ',NULL,60,NULL,NULL,'Djibouti','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DJ?v=1.0',451),(10555,'','DM',NULL,61,NULL,NULL,'Dominica','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DM?v=1.0',451),(10556,'','DO',NULL,62,NULL,NULL,'Dominican Republic','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DO?v=1.0',451),(10557,'','EC',NULL,63,NULL,NULL,'Ecuador','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_EC?v=1.0',451),(10558,'','EG',NULL,64,NULL,NULL,'Egypt','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_EG?v=1.0',451),(10559,'','SV',NULL,65,NULL,NULL,'El Salvador','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SV?v=1.0',451),(10560,'','GQ',NULL,66,NULL,NULL,'Equatorial Guinea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GQ?v=1.0',451),(10561,'','ER',NULL,67,NULL,NULL,'Eritrea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ER?v=1.0',451),(10562,'','EE',NULL,68,NULL,NULL,'Estonia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_EE?v=1.0',451),(10563,'','SZ',NULL,69,NULL,NULL,'Eswatini','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SZ?v=1.0',451),(10564,'','ET',NULL,70,NULL,NULL,'Ethiopia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ET?v=1.0',451),(10565,'','FK',NULL,71,NULL,NULL,'Falkland Islands (Malvinas)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FK?v=1.0',451),(10566,'','FO',NULL,72,NULL,NULL,'Faroe Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FO?v=1.0',451),(10567,'','FJ',NULL,73,NULL,NULL,'Fiji','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FJ?v=1.0',451),(10568,'','FI',NULL,74,NULL,NULL,'Finland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FI?v=1.0',451),(10569,'','FR',NULL,75,NULL,NULL,'France','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FR?v=1.0',451),(10570,'','GF',NULL,76,NULL,NULL,'French Guiana','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GF?v=1.0',451),(10571,'','PF',NULL,77,NULL,NULL,'French Polynesia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PF?v=1.0',451),(10572,'','TF',NULL,78,NULL,NULL,'French Southern Territories','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TF?v=1.0',451),(10573,'','GA',NULL,79,NULL,NULL,'Gabon','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GA?v=1.0',451),(10574,'','GM',NULL,80,NULL,NULL,'Gambia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GM?v=1.0',451),(10575,'','GE',NULL,81,NULL,NULL,'Georgia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GE?v=1.0',451),(10576,'','DE',NULL,82,NULL,NULL,'Germany','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_DE?v=1.0',451),(10577,'','GH',NULL,83,NULL,NULL,'Ghana','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GH?v=1.0',451),(10578,'','GI',NULL,84,NULL,NULL,'Gibraltar','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GI?v=1.0',451),(10579,'','GR',NULL,85,NULL,NULL,'Greece','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GR?v=1.0',451),(10580,'','GL',NULL,86,NULL,NULL,'Greenland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GL?v=1.0',451),(10581,'','GD',NULL,87,NULL,NULL,'Grenada','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GD?v=1.0',451),(10582,'','GP',NULL,88,NULL,NULL,'Guadeloupe','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GP?v=1.0',451),(10583,'','GU',NULL,89,NULL,NULL,'Guam','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GU?v=1.0',451),(10584,'','GT',NULL,90,NULL,NULL,'Guatemala','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GT?v=1.0',451),(10585,'','GG',NULL,91,NULL,NULL,'Guernsey','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GG?v=1.0',451),(10586,'','GN',NULL,92,NULL,NULL,'Guinea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GN?v=1.0',451),(10587,'','GW',NULL,93,NULL,NULL,'Guinea-Bissau','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GW?v=1.0',451),(10588,'','GY',NULL,94,NULL,NULL,'Guyana','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GY?v=1.0',451),(10589,'','HT',NULL,95,NULL,NULL,'Haiti','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HT?v=1.0',451),(10590,'','HM',NULL,96,NULL,NULL,'Heard Island and McDonald Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HM?v=1.0',451),(10591,'','VA',NULL,97,NULL,NULL,'Holy See','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VA?v=1.0',451),(10592,'','HN',NULL,98,NULL,NULL,'Honduras','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HN?v=1.0',451),(10593,'','HK',NULL,99,NULL,NULL,'Hong Kong','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HK?v=1.0',451),(10594,'','HU',NULL,100,NULL,NULL,'Hungary','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_HU?v=1.0',451),(10595,'','IS',NULL,101,NULL,NULL,'Iceland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IS?v=1.0',451),(10596,'','IN',NULL,102,NULL,NULL,'India','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IN?v=1.0',451),(10597,'','ID',NULL,103,NULL,NULL,'Indonesia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ID?v=1.0',451),(10598,'','IR',NULL,104,NULL,NULL,'Iran','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IR?v=1.0',451),(10599,'','IQ',NULL,105,NULL,NULL,'Iraq','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IQ?v=1.0',451),(10600,'','IE',NULL,106,NULL,NULL,'Ireland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IE?v=1.0',451),(10601,'','IM',NULL,107,NULL,NULL,'Isle of Man','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IM?v=1.0',451),(10602,'','IL',NULL,108,NULL,NULL,'Israel','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IL?v=1.0',451),(10603,'','IT',NULL,109,NULL,NULL,'Italy','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_IT?v=1.0',451),(10604,'','JM',NULL,110,NULL,NULL,'Jamaica','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_JM?v=1.0',451),(10605,'','JP',NULL,111,NULL,NULL,'Japan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_JP?v=1.0',451),(10606,'','JE',NULL,112,NULL,NULL,'Jersey','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_JE?v=1.0',451),(10607,'','JO',NULL,113,NULL,NULL,'Jordan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_JO?v=1.0',451),(10608,'','KZ',NULL,114,NULL,NULL,'Kazakhstan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KZ?v=1.0',451),(10609,'','KE',NULL,115,NULL,NULL,'Kenya','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KE?v=1.0',451),(10610,'','KI',NULL,116,NULL,NULL,'Kiribati','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KI?v=1.0',451),(10611,'','KP',NULL,161,NULL,NULL,'North Korea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KP?v=1.0',451),(10612,'','KR',NULL,206,NULL,NULL,'South Korea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KR?v=1.0',451),(10613,'','KW',NULL,117,NULL,NULL,'Kuwait','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KW?v=1.0',451),(10614,'','KG',NULL,118,NULL,NULL,'Kyrgyzstan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KG?v=1.0',451),(10615,'','LA',NULL,119,NULL,NULL,'Laos','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LA?v=1.0',451),(10616,'','LV',NULL,120,NULL,NULL,'Latvia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LV?v=1.0',451),(10617,'','LB',NULL,121,NULL,NULL,'Lebanon','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LB?v=1.0',451),(10618,'','LS',NULL,122,NULL,NULL,'Lesotho','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LS?v=1.0',451),(10619,'','LR',NULL,123,NULL,NULL,'Liberia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LR?v=1.0',451),(10620,'','LY',NULL,124,NULL,NULL,'Libya','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LY?v=1.0',451),(10621,'','LI',NULL,125,NULL,NULL,'Liechtenstein','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LI?v=1.0',451),(10622,'','LT',NULL,126,NULL,NULL,'Lithuania','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LT?v=1.0',451),(10623,'','LU',NULL,127,NULL,NULL,'Luxembourg','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LU?v=1.0',451),(10624,'','MO',NULL,128,NULL,NULL,'Macao','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MO?v=1.0',451),(10625,'','MG',NULL,129,NULL,NULL,'Madagascar','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MG?v=1.0',451),(10626,'','MW',NULL,130,NULL,NULL,'Malawi','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MW?v=1.0',451),(10627,'','MY',NULL,131,NULL,NULL,'Malaysia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MY?v=1.0',451),(10628,'','MV',NULL,132,NULL,NULL,'Maldives','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MV?v=1.0',451),(10629,'','ML',NULL,133,NULL,NULL,'Mali','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ML?v=1.0',451),(10630,'','MT',NULL,134,NULL,NULL,'Malta','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MT?v=1.0',451),(10631,'','MH',NULL,135,NULL,NULL,'Marshall Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MH?v=1.0',451),(10632,'','MQ',NULL,136,NULL,NULL,'Martinique','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MQ?v=1.0',451),(10633,'','MR',NULL,137,NULL,NULL,'Mauritania','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MR?v=1.0',451),(10634,'','MU',NULL,138,NULL,NULL,'Mauritius','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MU?v=1.0',451),(10635,'','YT',NULL,139,NULL,NULL,'Mayotte','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_YT?v=1.0',451),(10636,'','MX',NULL,140,NULL,NULL,'Mexico','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MX?v=1.0',451),(10637,'','FM',NULL,141,NULL,NULL,'Micronesia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_FM?v=1.0',451),(10638,'','MD',NULL,142,NULL,NULL,'Moldova','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MD?v=1.0',451),(10639,'','MC',NULL,143,NULL,NULL,'Monaco','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MC?v=1.0',451),(10640,'','MN',NULL,144,NULL,NULL,'Mongolia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MN?v=1.0',451),(10641,'','ME',NULL,145,NULL,NULL,'Montenegro','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ME?v=1.0',451),(10642,'','MS',NULL,146,NULL,NULL,'Montserrat','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MS?v=1.0',451),(10643,'','MA',NULL,147,NULL,NULL,'Morocco','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MA?v=1.0',451),(10644,'','MZ',NULL,148,NULL,NULL,'Mozambique','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MZ?v=1.0',451),(10645,'','MM',NULL,149,NULL,NULL,'Myanmar','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MM?v=1.0',451),(10646,'','NA',NULL,150,NULL,NULL,'Namibia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NA?v=1.0',451),(10647,'','NR',NULL,151,NULL,NULL,'Nauru','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NR?v=1.0',451),(10648,'','NP',NULL,152,NULL,NULL,'Nepal','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NP?v=1.0',451),(10649,'','NL',NULL,153,NULL,NULL,'Netherlands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NL?v=1.0',451),(10650,'','NC',NULL,154,NULL,NULL,'New Caledonia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NC?v=1.0',451),(10651,'','NZ',NULL,155,NULL,NULL,'New Zealand','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NZ?v=1.0',451),(10652,'','NI',NULL,156,NULL,NULL,'Nicaragua','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NI?v=1.0',451),(10653,'','NE',NULL,157,NULL,NULL,'Niger','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NE?v=1.0',451),(10654,'','NG',NULL,158,NULL,NULL,'Nigeria','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NG?v=1.0',451),(10655,'','NU',NULL,159,NULL,NULL,'Niue','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NU?v=1.0',451),(10656,'','NF',NULL,160,NULL,NULL,'Norfolk Island','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NF?v=1.0',451),(10657,'','MP',NULL,163,NULL,NULL,'Northern Mariana Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MP?v=1.0',451),(10658,'','NO',NULL,164,NULL,NULL,'Norway','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_NO?v=1.0',451),(10659,'','OM',NULL,165,NULL,NULL,'Oman','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_OM?v=1.0',451),(10660,'','PK',NULL,166,NULL,NULL,'Pakistan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PK?v=1.0',451),(10661,'','PW',NULL,167,NULL,NULL,'Palau','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PW?v=1.0',451),(10662,'','PS',NULL,168,NULL,NULL,'Palestine','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PS?v=1.0',451),(10663,'','PA',NULL,169,NULL,NULL,'Panama','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PA?v=1.0',451),(10664,'','PG',NULL,170,NULL,NULL,'Papua New Guinea','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PG?v=1.0',451),(10665,'','PY',NULL,171,NULL,NULL,'Paraguay','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PY?v=1.0',451),(10666,'','PE',NULL,172,NULL,NULL,'Peru','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PE?v=1.0',451),(10667,'','PH',NULL,173,NULL,NULL,'Philippines','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PH?v=1.0',451),(10668,'','PN',NULL,174,NULL,NULL,'Pitcairn','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PN?v=1.0',451),(10669,'','PL',NULL,175,NULL,NULL,'Poland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PL?v=1.0',451),(10670,'','PT',NULL,176,NULL,NULL,'Portugal','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PT?v=1.0',451),(10671,'','PR',NULL,177,NULL,NULL,'Puerto Rico','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PR?v=1.0',451),(10672,'','QA',NULL,178,NULL,NULL,'Qatar','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_QA?v=1.0',451),(10673,'','MK',NULL,162,NULL,NULL,'North Macedonia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MK?v=1.0',451),(10674,'','RO',NULL,179,NULL,NULL,'Romania','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_RO?v=1.0',451),(10675,'','RU',NULL,180,NULL,NULL,'Russia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_RU?v=1.0',451),(10676,'','RW',NULL,181,NULL,NULL,'Rwanda','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_RW?v=1.0',451),(10677,'','RE',NULL,182,NULL,NULL,'Réunion','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_RE?v=1.0',451),(10678,'','BL',NULL,183,NULL,NULL,'Saint Barthélemy','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_BL?v=1.0',451),(10679,'','SH',NULL,184,NULL,NULL,'Saint Helena, Ascension and Tristan da Cunha','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SH?v=1.0',451),(10680,'','KN',NULL,185,NULL,NULL,'Saint Kitts and Nevis','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_KN?v=1.0',451),(10681,'','LC',NULL,186,NULL,NULL,'Saint Lucia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LC?v=1.0',451),(10682,'','MF',NULL,187,NULL,NULL,'Saint Martin (French part)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_MF?v=1.0',451),(10683,'','PM',NULL,188,NULL,NULL,'Saint Pierre and Miquelon','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_PM?v=1.0',451),(10684,'','VC',NULL,189,NULL,NULL,'Saint Vincent and the Grenadines','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VC?v=1.0',451),(10685,'','WS',NULL,190,NULL,NULL,'Samoa','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_WS?v=1.0',451),(10686,'','SM',NULL,191,NULL,NULL,'San Marino','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SM?v=1.0',451),(10687,'','ST',NULL,192,NULL,NULL,'Sao Tome and Principe','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ST?v=1.0',451),(10688,'','SA',NULL,193,NULL,NULL,'Saudi Arabia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SA?v=1.0',451),(10689,'','SN',NULL,194,NULL,NULL,'Senegal','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SN?v=1.0',451),(10690,'','RS',NULL,195,NULL,NULL,'Serbia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_RS?v=1.0',451),(10691,'','SC',NULL,196,NULL,NULL,'Seychelles','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SC?v=1.0',451),(10692,'','SL',NULL,197,NULL,NULL,'Sierra Leone','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SL?v=1.0',451),(10693,'','SG',NULL,198,NULL,NULL,'Singapore','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SG?v=1.0',451),(10694,'','SX',NULL,199,NULL,NULL,'Sint Maarten (Dutch part)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SX?v=1.0',451),(10695,'','SK',NULL,200,NULL,NULL,'Slovakia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SK?v=1.0',451),(10696,'','SI',NULL,201,NULL,NULL,'Slovenia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SI?v=1.0',451),(10697,'','SB',NULL,202,NULL,NULL,'Solomon Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SB?v=1.0',451),(10698,'','SO',NULL,203,NULL,NULL,'Somalia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SO?v=1.0',451),(10699,'','ZA',NULL,204,NULL,NULL,'South Africa','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ZA?v=1.0',451),(10700,'','GS',NULL,205,NULL,NULL,'South Georgia and the South Sandwich Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GS?v=1.0',451),(10701,'','SS',NULL,207,NULL,NULL,'South Sudan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SS?v=1.0',451),(10702,'','ES',NULL,208,NULL,NULL,'Spain','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ES?v=1.0',451),(10703,'','LK',NULL,209,NULL,NULL,'Sri Lanka','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_LK?v=1.0',451),(10704,'','SD',NULL,210,NULL,NULL,'Sudan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SD?v=1.0',451),(10705,'','SR',NULL,211,NULL,NULL,'Suriname','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SR?v=1.0',451),(10706,'','SJ',NULL,212,NULL,NULL,'Svalbard and Jan Mayen','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SJ?v=1.0',451),(10707,'','SE',NULL,213,NULL,NULL,'Sweden','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SE?v=1.0',451),(10708,'','CH',NULL,214,NULL,NULL,'Switzerland','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_CH?v=1.0',451),(10709,'','SY',NULL,215,NULL,NULL,'Syria','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_SY?v=1.0',451),(10710,'','TW',NULL,216,NULL,NULL,'Taiwan (Province of China)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TW?v=1.0',451),(10711,'','TJ',NULL,217,NULL,NULL,'Tajikistan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TJ?v=1.0',451),(10712,'','TZ',NULL,218,NULL,NULL,'Tanzania','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TZ?v=1.0',451),(10713,'','TH',NULL,219,NULL,NULL,'Thailand','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TH?v=1.0',451),(10714,'','TL',NULL,220,NULL,NULL,'Timor-Leste','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TL?v=1.0',451),(10715,'','TG',NULL,221,NULL,NULL,'Togo','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TG?v=1.0',451),(10716,'','TK',NULL,222,NULL,NULL,'Tokelau','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TK?v=1.0',451),(10717,'','TO',NULL,223,NULL,NULL,'Tonga','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TO?v=1.0',451),(10718,'','TT',NULL,224,NULL,NULL,'Trinidad and Tobago','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TT?v=1.0',451),(10719,'','TN',NULL,225,NULL,NULL,'Tunisia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TN?v=1.0',451),(10720,'','TR',NULL,226,NULL,NULL,'Turkey','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TR?v=1.0',451),(10721,'','TM',NULL,227,NULL,NULL,'Turkmenistan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TM?v=1.0',451),(10722,'','TC',NULL,228,NULL,NULL,'Turks and Caicos Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TC?v=1.0',451),(10723,'','TV',NULL,229,NULL,NULL,'Tuvalu','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_TV?v=1.0',451),(10724,'','UG',NULL,230,NULL,NULL,'Uganda','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_UG?v=1.0',451),(10725,'','UA',NULL,231,NULL,NULL,'Ukraine','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_UA?v=1.0',451),(10726,'','AE',NULL,232,NULL,NULL,'United Arab Emirates','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AE?v=1.0',451),(10727,'','GB',NULL,233,NULL,NULL,'United Kingdom','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_GB?v=1.0',451),(10728,'','UM',NULL,234,NULL,NULL,'United States Minor Outlying Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_UM?v=1.0',451),(10729,'','US',NULL,235,NULL,NULL,'United States','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_US?v=1.0',451),(10730,'','UY',NULL,236,NULL,NULL,'Uruguay','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_UY?v=1.0',451),(10731,'','UZ',NULL,237,NULL,NULL,'Uzbekistan','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_UZ?v=1.0',451),(10732,'','VU',NULL,238,NULL,NULL,'Vanuatu','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VU?v=1.0',451),(10733,'','VE',NULL,239,NULL,NULL,'Venezuela','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VE?v=1.0',451),(10734,'','VN',NULL,240,NULL,NULL,'Vietnam','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VN?v=1.0',451),(10735,'','VG',NULL,241,NULL,NULL,'Virgin Islands (British)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VG?v=1.0',451),(10736,'','VI',NULL,242,NULL,NULL,'Virgin Islands (U.S.)','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_VI?v=1.0',451),(10737,'','WF',NULL,243,NULL,NULL,'Wallis and Futuna','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_WF?v=1.0',451),(10738,'','EH',NULL,244,NULL,NULL,'Western Sahara','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_EH?v=1.0',451),(10739,'','YE',NULL,245,NULL,NULL,'Yemen','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_YE?v=1.0',451),(10740,'','ZM',NULL,246,NULL,NULL,'Zambia','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ZM?v=1.0',451),(10741,'','ZW',NULL,247,NULL,NULL,'Zimbabwe','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_ZW?v=1.0',451),(10742,'','AX',NULL,248,NULL,NULL,'Åland Islands','https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes_AX?v=1.0',451),(10743,'Interviews conducted via e-mail, usually consisting of several e-mail messages that allow the discussion to continue beyond the first set of questions and answers, or the first e-mail exchange.','Interview.Email','Interview',6,4982,NULL,'E-mail interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.Email',452),(10744,'Computer-assisted self-interview (CASI). Respondents enter the responses into a computer (desktop, laptop, Palm/PDA, tablet, etc.) by themselves. The administration of the questionnaire is managed by a specifically designed program/application but there is no real-time data transfer as in CAWI, the answers are stored on the device used for the interview. The questionnaire may be fixed form or interactive. Includes VCASI (Video computer-assisted self-interviewing), ACASI (Audio computer-assisted self-interviewing) and TACASI (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,4989,NULL,'Self-administered questionnaire: Computer-assisted (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire.CASI',452),(10745,'Capturing information in writing from a different source, or from a different medium, alphabet, or form of notation, like scientific formulae, or musical notes. For transcribed interviews or observations, it is recommended to document the primary mode of collection, using one of the interview or observation terms.','Transcription',NULL,41,5012,NULL,'Transcription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Transcription',452),(10746,'A group discussion on a particular topic, organized for research purposes. The individuals are selected with relevance to the topic, and interaction among the participants is used as part of the method.','FocusGroup',NULL,14,4990,NULL,'Focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#FocusGroup',452),(10747,'An experiment conducted in the virtual setting of the World Wide Web, in which experimental materials are programmed to implement artificial situations or events to be investigated in a distributed environment. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,5009,NULL,'Web-based experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Experiment.WebBased',452),(10748,'A pre-planned communication between two (or more) people - the interviewer(s) and the interviewee(s) - in which information is obtained by the interviewer(s) from the interviewee(s). If group interaction is part of the method, use \"Focus group\".','Interview',NULL,0,4976,NULL,'Interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview',452),(10749,'Observation that is conducted in a natural environment.','Observation.Field','Observation',23,4999,NULL,'Field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Field',452),(10750,'Computer-assisted telephone interviewing (CATI). The interviewer asks questions as directed by a computer, responses are keyed directly into the computer and the administration of the interview is managed by a specifically designed program.','Interview.Telephone.CATI','Interview.Telephone',5,4981,NULL,'Telephone interview: Computer-assisted (CATI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.Telephone.CATI',452),(10751,'Data collection method in which the respondent reads or listens to the questions, and enters the responses by him/herself; no live interviewer is present, or participates in the questionnaire administration. If possible, use a narrower term. Use this broader term if the method is not described by any of the narrower terms - for example, for PDF and diskette questionnaires.','SelfAdministeredQuestionnaire',NULL,8,4984,NULL,'Self-administered questionnaire','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire',452),(10752,'Assessment of physical properties of living beings, objects, materials, or natural phenomena. For example, findings from hands-on medical examination (e.g., palpation or auscultation), clinical measurements and lab tests like blood analysis, blood pressure, heart rate, body weight and height, as well as general measurements like time, distance, mass, temperature, force, power, speed, GPS data on physical movement and other physical parameters or variables, like geospatial data.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5019,NULL,'Physical measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#MeasurementsAndTests.Physical',452),(10753,'An interview conducted via the Internet. For example, interviews conducted within online forums or using web-based audio-visual technology that enables the interviewer(s) and interviewee(s) to communicate in real time.','Interview.WebBased','Interview',7,4983,NULL,'Web-based interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.WebBased',452),(10754,'Observation that is conducted in a natural, non-controlled setting without any interaction between the researcher and his/her subjects.','Observation.Field.Nonparticipant','Observation.Field',25,5001,NULL,'Non-participant field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Field.Nonparticipant',452),(10755,'Statistics that relate to broad classes, groups, or categories. The data are averaged, totaled, or otherwise derived from individual-level data, and it is no longer possible to distinguish the characteristics of individuals within those classes, groups, or categories. For example, the number and age group of the unemployed in specific geographic regions, or national level statistics on the occurrence of specific offences, originally derived from the statistics of individual police districts.','Aggregation',NULL,44,5015,NULL,'Aggregation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Aggregation',452),(10756,'Narratives, stories, diaries, and written texts gathered from Internet sources, e.g. websites, blogs, discussion forums.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,4997,NULL,'Self-administered writings and/or diaries: Web-based','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredWritingsAndDiaries.WebBased',452),(10757,'Self-administered survey using a traditional paper questionnaire delivered and/or collected by mail (postal services), by fax, or in person by either interviewer, or respondent.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,4986,NULL,'Self-administered questionnaire: Paper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire.Paper',452),(10758,'Assessment of knowledge, skills, aptitude, or educational achievement by means of specialized measures or tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5018,NULL,'Educational measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#MeasurementsAndTests.Educational',452),(10759,'Assessment of personality traits or psychological/behavioral responses by means of specialized measures or tests. For example, objective tests like self-report measures with a restricted response format, or projective methods allowing free responses, including word association, sentence or story completion, vignettes, cartoon test, thematic apperception tests, role play, drawing tests, inkblot tests, choice ordering exercises, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5020,NULL,'Psychological measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#MeasurementsAndTests.Psychological',452),(10760,'Paper-and-pencil interviewing (PAPI). The interviewer uses a traditional paper questionnaire to read the questions and enter the answers.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,5022,NULL,'Face-to-face interview: Paper-and-pencil (PAPI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.FaceToFace.PAPI',452),(10761,'Type of laboratory observation in which the researcher interacts with the subjects and often plays a role in the social situation under observation. For example, observing children\'s play in a laboratory playroom with the researcher taking part in the play.','Observation.Laboratory.Participant','Observation.Laboratory',27,5025,NULL,'Participant laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Laboratory.Participant',452),(10762,'As a mode of secondary data collection, content coding applies coding techniques to transform qualitative data (textual, video, audio or still-image) originally produced for other purposes into quantitative data (expressed in unit-by-variable matrices) in accordance with pre-defined categorization schemes. For example, coded party manifesto data like the \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,40,5011,NULL,'Content coding','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#ContentCoding',452),(10763,'Research method involving the manipulation of some or all of the independent variables included in the hypotheses.','Experiment',NULL,30,5006,NULL,'Experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Experiment',452),(10764,'An experiment conducted in a natural, uncontrolled setting, in which the researcher manipulates one or several independent variables. Intervention/clinical studies are one example of field experiments.','Experiment.FieldIntervention','Experiment',32,5008,NULL,'Field/Intervention experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Experiment.FieldIntervention',452),(10765,'Use if the mode of data collection is known, but not found in the list.','Other',NULL,50,5021,NULL,'Other','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Other',452),(10766,'Registering by mechanical or electronic means, in a form that allows the information to be retrieved and/or reproduced. For example, images or sounds on disc or magnetic tape.','Recording',NULL,34,5010,NULL,'Recording','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Recording',452),(10767,'Narratives, stories, diaries, and written texts created by the research subject.','SelfAdministeredWritingsAndDiaries',NULL,18,4994,NULL,'Self-administered writings and/or diaries','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredWritingsAndDiaries',452),(10768,'Self-administered survey in which the respondents receive the questions incorporated in SMS (text messages) or MMS (messages including multimedia content) and send their replies in the same format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,4987,NULL,'Self-administered questionnaire: Messaging (SMS/MMS)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire.SMSorMMS',452),(10769,'Presentation of information in a condensed form, by reducing it to its main points. For example, abstracts of interviews or reports that are published and used as data rather than the full-length interviews or reports.','Summary',NULL,43,5014,NULL,'Summary','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Summary',452),(10770,'Type of field observation in which the researcher interacts with the subjects and often plays a role in the social situation under observation.','Observation.Field.Participant','Observation.Field',24,5024,NULL,'Participant field observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Field.Participant',452),(10771,'Interview administered on the telephone. Use this broader term if not CATI, or if not known whether CATI or not.','Interview.Telephone','Interview',4,4980,NULL,'Telephone interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.Telephone',452),(10772,'An experiment conducted in a controlled, artificially created physical setting, in which a researcher manipulates one or several independent variables and measures its/their effect on the dependent variable.','Experiment.Laboratory','Experiment',31,5007,NULL,'Laboratory experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Experiment.Laboratory',452),(10773,'Research method that involves collecting data as they occur (for example, observing behaviors, events, development of condition or disease, etc.), without attempting to manipulate any of the independent variables.','Observation',NULL,22,4998,NULL,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation',452),(10774,'Observation that is conducted in a controlled, artificially created setting. For example, observing children\'s play in a laboratory playroom.','Observation.Laboratory','Observation',26,5002,NULL,'Laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Laboratory',452),(10775,'Computer-assisted personal interviewing (CAPI), or computer-assisted mobile interviewing (CAMI). Data collection method in which the interviewer reads questions to the respondents from the screen of a computer, laptop, or a mobile device like tablet or smartphone, and enters the answers in the same device. The administration of the interview is managed by a specifically designed program/application.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,5023,NULL,'Face-to-face interview: Computer-assisted (CAPI/CAMI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.FaceToFace.CAPIorCAMI',452),(10776,'Data collection method in which a live interviewer conducts a personal interview, presenting questions and entering the responses. Use this broader term if not CAPI or PAPI, or if not known whether CAPI/PAPI or not.','Interview.FaceToFace','Interview',1,4977,NULL,'Face-to-face interview','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Interview.FaceToFace',452),(10777,'The focus group participants meet in person to conduct the discussion.','FocusGroup.FaceToFace','FocusGroup',15,4991,NULL,'Face-to-face focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#FocusGroup.FaceToFace',452),(10778,'Type of laboratory observation that is conducted without any interaction between the researcher and his/her subjects.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5004,NULL,'Non-participant laboratory observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.Laboratory.Nonparticipant',452),(10779,'Narratives, stories, diaries, and written texts submitted via e-mail messages.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,4995,NULL,'Self-administered writings and/or diaries: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredWritingsAndDiaries.Email',452),(10780,'Assessing specific properties (or characteristics) of beings, things, phenomena, (and/ or processes) by applying pre-established standards and/or specialized instruments or techniques.','MeasurementsAndTests',NULL,46,5017,NULL,'Measurements and tests','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#MeasurementsAndTests',452),(10781,'Collecting and assembling data from multiple, often heterogeneous sources that have one or more reference points in common, and at least one of the sources was originally produced for other purposes. The data are incorporated in a new entity. For example, providing data on the number of universities in the last 150 years using a variety of available sources (e.g. finance documents, official statistics, university registers), combining survey data with information about geographical areas from official statistics (e.g. population density, doctors per capita, etc.), or with social media data, etc.','CompilationSynthesis',NULL,42,5013,NULL,'Compilation/Synthesis','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#CompilationSynthesis',452),(10782,'Modeling or imitative representation of real-world processes, events, or systems, often using computer programs. For example, a program modeling household consumption responses to indirect tax changes; or a dataset on hypothetical patients and their drug exposure, background conditions, and known adverse events.','Simulation',NULL,45,5016,NULL,'Simulation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Simulation',452),(10783,'Self-administered survey in which questions are presented to the respondent in the text body of an e-mail or as an attachment to an e-mail, but not as a link to a web-based questionnaire. Responses are also sent back via e-mail, in the e-mail body or as an attachment.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,4985,NULL,'Self-administered questionnaire: E-mail','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire.Email',452),(10784,'The focus group discussion is conducted over the Internet in an interactive manner.','FocusGroup.Online','FocusGroup',17,4993,NULL,'Online focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#FocusGroup.Online',452),(10785,'Type of observation in which data regarding computer usage are being collected by software that can be built into the computer program itself or can be a separate program. Information may be collected about the number of users, the ways in which users interact with the program(s), how much time they spend on a page, how they use specific sections of applications, how they navigate from page to page or from one application to another, etc.','Observation.ComputerBased','Observation',29,5005,NULL,'Computer-based observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Observation.ComputerBased',452),(10786,'Computer-assisted web interviewing (CAWI). Data are collected using a web questionnaire, produced with a program for creating web surveys. The program can customize the flow of the questionnaire based on the answers provided, and can allow for the questionnaire to contain pictures, audio and video clips, links to different web pages etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,4988,NULL,'Self-administered questionnaire: Web-based (CAWI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredQuestionnaire.CAWI',452),(10787,'Narratives, stories, diaries, and written texts created and collected in paper form.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,4996,NULL,'Self-administered writings and/or diaries: Paper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#SelfAdministeredWritingsAndDiaries.Paper',452),(10788,'The focus group discussion is conducted over the telephone.','FocusGroup.Telephone','FocusGroup',16,4992,NULL,'Telephone focus group','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#FocusGroup.Telephone',452),(10789,'Collecting information on objects or phenomena without physical contact with them, using remote sensors on satellites and aircraft (planes, drones, weather balloons). Often used to gather information on the Earth’s surface, atmosphere and oceans. For example, damage assessment after an earthquake or forest fires. The technique is also used for military, commercial, economic and other applications.','Recording.RemoteSensing','Recording',35,NULL,NULL,'Recording: Remote sensing','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#Recording.RemoteSensing',452),(10809,'','SND',NULL,16,10491,NULL,'Swedish National Data Service (SND)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SND?v=2.0',454),(10810,'','CSDA',NULL,1,10478,NULL,'Czech Social Science Data Archive (ČSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_CSDA?v=2.0',454),(10811,'','DNA',NULL,2,10479,NULL,'Danish National Archives (DNA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DNA?v=2.0',454),(10812,'','AUSSDA',NULL,0,10477,NULL,'Austrian Social Science Data Archive (AUSSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_AUSSDA?v=2.0',454),(10813,'','UKDS',NULL,17,10492,NULL,'UK Data Service','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UKDS?v=2.0',454),(10814,'','NSD',NULL,7,10487,NULL,'NSD - Norwegian Centre for Research Data','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_NSD?v=2.0',454),(10815,'France','ProgedoCDSP',NULL,9,10483,NULL,'PROGEDO: Center for Socio-Political Data (CDSP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCDSP?v=2.0',454),(10816,'Netherlands','DANS',NULL,3,10480,NULL,'DANS-KNAW','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DANS?v=2.0',454),(10817,'','SoDaNet',NULL,15,10486,NULL,'SoDaNet - Greek Research Infrastructure for Social Science','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SoDaNet?v=2.0',454),(10818,'Italy','UniData',NULL,18,10493,NULL,'UniData - Bicocca Data Archive','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UniData?v=2.0',454),(10819,'Germany','GESIS',NULL,6,10482,NULL,'GESIS - Leibniz Institute for the Social Sciences','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_GESIS?v=2.0',454),(10820,'France','ProgedoCNRS',NULL,10,10484,NULL,'PROGEDO: CNRS','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCNRS?v=2.0',454),(10821,'','ADP',NULL,13,10490,NULL,'Slovenian Social Science Data Archives (ADP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ADP?v=2.0',454),(10822,'','SASD',NULL,12,10489,NULL,'Slovak Archive of Social Data (SASD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SASD?v=2.0',454),(10823,'','APIS',NULL,8,10488,NULL,'Portuguese Archive of Social Information (APIS)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_APIS?v=2.0',454),(10824,'','FSD',NULL,5,10481,NULL,'Finnish Social Science Data Archive (FSD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_FSD?v=2.0',454),(10825,'France','ProgedoSciencesPo',NULL,11,10485,NULL,'PROGEDO: Sciences Po','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoSciencesPo?v=2.0',454),(10826,'Belgium','SODA',NULL,14,NULL,NULL,'SODA','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SODA?v=2.0',454),(10828,'Using automated means to retrieve information from data sources and save it to a local file or database for further processing or storage. Use this term if it is not known what kind of automated technique has been used or if the technique is known but not listed as a narrower term.','AutomatedDataExtraction',NULL,36,NULL,NULL,'Automated data extraction','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#AutomatedDataExtraction',452),(10829,'Retrieving information from online data sources through an API (application programming interface) to save it to a local file or database for further processing or storage.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,NULL,'Automated data extraction: API query','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#AutomatedDataExtraction.ApiQuery',452),(10830,'Retrieving information from databases through a query to the database to extract only the information required, saving it to a local file or database for further processing or storage.','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,NULL,'Automated data extraction: Database query','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#AutomatedDataExtraction.DatabaseQuery',452),(10831,'A technique employed to extract large amounts of data from websites and save it to a local file or database for further processing or storage. Also called screen scraping, web data extraction, web harvesting, etc.','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,NULL,'Automated data extraction: Web scraping','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html#AutomatedDataExtraction.WebScraping',452),(10832,'','FORS',NULL,4,NULL,NULL,'FORS - Swiss Centre of Expertise in the Social Sciences','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_FORS?v=2.0',454),(10833,'','SND',NULL,16,10809,NULL,'Swedish National Data Service (SND)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SND?v=3.0',455),(10834,'','SoDaNet',NULL,15,10817,NULL,'SoDaNet - Greek Research Infrastructure for Social Science','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SoDaNet?v=3.0',455),(10835,'','ADP',NULL,13,10821,NULL,'Slovenian Social Science Data Archives (ADP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ADP?v=3.0',455),(10836,'Belgium','SODHA',NULL,14,10826,NULL,'Social Sciences and Digital Humanities Archive (SODHA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SODHA?v=3.0',455),(10837,'','UKDS',NULL,17,10813,NULL,'UK Data Service','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UKDS?v=3.0',455),(10838,'Netherlands','DANS',NULL,3,10816,NULL,'DANS-KNAW','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DANS?v=3.0',455),(10839,'France','ProgedoSciencesPo',NULL,11,10825,NULL,'PROGEDO: Sciences Po','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoSciencesPo?v=3.0',455),(10840,'','AUSSDA',NULL,0,10812,NULL,'Austrian Social Science Data Archive (AUSSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_AUSSDA?v=3.0',455),(10841,'','APIS',NULL,8,10823,NULL,'Portuguese Archive of Social Information (APIS)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_APIS?v=3.0',455),(10842,'','CSDA',NULL,1,10810,NULL,'Czech Social Science Data Archive (ČSDA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_CSDA?v=3.0',455),(10843,'Germany','GESIS',NULL,6,10819,NULL,'GESIS - Leibniz Institute for the Social Sciences','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_GESIS?v=3.0',455),(10844,'','FSD',NULL,5,10824,NULL,'Finnish Social Science Data Archive (FSD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_FSD?v=3.0',455),(10845,'','FORS',NULL,4,10832,NULL,'FORS - Swiss Centre of Expertise in the Social Sciences','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_FORS?v=3.0',455),(10846,'Italy','UniData',NULL,18,10818,NULL,'UniData - Bicocca Data Archive','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_UniData?v=3.0',455),(10847,'France','ProgedoCDSP',NULL,9,10815,NULL,'PROGEDO: Center for Socio-Political Data (CDSP)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCDSP?v=3.0',455),(10848,'','NSD',NULL,7,10814,NULL,'NSD - Norwegian Centre for Research Data','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_NSD?v=3.0',455),(10849,'','SASD',NULL,12,10822,NULL,'Slovak Archive of Social Data (SASD)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_SASD?v=3.0',455),(10850,'France','ProgedoCNRS',NULL,10,10820,NULL,'PROGEDO: CNRS','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_ProgedoCNRS?v=3.0',455),(10851,'','DNA',NULL,2,10811,NULL,'Danish National Archives (DNA)','https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames_DNA?v=3.0',455),(10852,'Data on drug and other substance abuse. Data on smoking and drinking habits. Use note: For data covering medicinal use of recreational drugs (such as medicinal use of cannabis), use \'Medication and treatment\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,NULL,'Drug abuse, alcohol and smoking','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0',358),(10853,'Data om stofmisbrug og andet stofmisbrug. Data om rygning og drikkevaner. Anvend ’Medicinering og behandling’ til data, der dækker medicinsk brug af ’rekreative’ stoffer (såsom medicinsk brug af cannabis).','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Stofmisbrug, alkohol og rygning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',361),(10854,'Daten zu Missbrauch von Drogen und anderen Substanzen. Daten zu Rauch- und Trinkgewohnheiten. Für Daten zum medizinischen Gebrauch von Drogen (z. B. medizinischer Gebrauch von Cannabis) verwenden Sie \"Medizinische Behandlung und Medikation\"','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Drogenmissbrauch, Alkoholkonsum und Rauchen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',362),(10855,'Huumeiden, alkoholin ja muiden päihteiden käyttöön sekä tupakointiin liittyvät teemat. HUOM! Jos tutkitaan huumausaineiden (kuten kannabiksen) lääkinnällistä käyttöä, käytä termiä \'hoito ja lääkitys\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Päihteiden käyttö ja tupakointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',363),(10856,'Dati sull\'abuso di droghe e altre sostanze. Dati sulle abitudini legate al consumo di fumo e alcol. Per i dati relativi all\'uso medicinale di droghe \"ricreative\" (come l\'uso medicinale della cannabis), utilizzare \"Cure e terapie\".','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Abuso di sostanze, alcol e fumo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',364),(10857,'Data om narkotiske stoffer og misbruk av rusmidler. Data om tobakks- og alkoholvaner. Når det gjelder data som omhandler medisinsk bruk av \'avslappende\' stoffer , brukes termen \'Medisiner og behandling\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Stoffmisbruk, alkohol og røyking','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',365),(10858,'Podatki o zlorabi drog ali drugih snovi. Podatki o kajenju in pivskih navadah. Za podatke, ki pokrivajo medicinsko rabo \'rekreacijskih\' drog (na primer uporaba kanabisa v zdravstvene namene), uporabite \'Zdravila in zdravljenje\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Zloraba drog, alkohol in kajenje',NULL,366),(10859,'Data om missbruk av narkotika och andra droger. Data om rökning och alkoholvanor. Använd \'Medicinering och behandlingar\' om det handlar om medicinskt bruk av rekreativa droger (t.ex. användning av cannabis i medicinskt syfte).','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Drogmissbruk, alkohol och rökning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',367),(10860,'Dados sobre abuso de drogas e outras substâncias. Dados sobre hábitos de tabagismo e consumo de álcool. Para dados sobre uso de drogas medicamente prescritas (como por exemplo o uso de canábis para fins terapêuticos), usar \'Medicação e tratamento\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Abuso de drogas, álcool e tabagismo ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',370),(10861,'Données sur l\'abus de drogues et d’autres produits psychotropes. Données sur les habitudes de consommation d\'alcool e de tabac. Notez : Pour les données relatives à l\'usage médicinal des drogues (comme l\'usage médicinal du cannabis), utilisez \'Médicaments et traitements\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Toxicomanie, alcool et tabagisme ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',400),(10862,'Podaci o zloupotrebi droga i drugih supstanci. Podaci o navikama pušenja i konzumiranja alkohola. Napomena o upotrebi: Za podatke koji obuhvataju medicinsku upotrebu supstanci za rekreaciju (poput upotrebe kanabisa u medicinske svrhe) koristite „Lekovi i lečenje“.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,10852,'Zloubotreba droge, alkohola i pušenja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.1',403),(10863,'Données sur l\'abus de drogues et d’autres produits psychotropes. Données sur les habitudes de consommation d\'alcool e de tabac. Notez : Pour les données relatives à l\'usage médicinal des drogues (comme l\'usage médicinal du cannabis), utilisez \'Médicaments et traitements\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10861,10852,'Toxicomanie, alcool et tabagisme ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.2',406),(10864,'Données sur l\'abus de drogues et d’autres produits psychotropes. Données sur les habitudes de consommation d\'alcool e de tabac. Notez : Pour les données relatives à l\'usage médicinal des drogues (comme l\'usage médicinal du cannabis), utilisez \'Médicaments et traitements\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10863,10852,'Toxicomanie, alcool et tabagisme ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.3',421),(10865,'Données sur l\'abus de drogues et d’autres produits psychotropes. Données sur les habitudes de consommation d\'alcool e de tabac. Notez : Pour les données relatives à l\'usage médicinal des drogues (comme l\'usage médicinal du cannabis), utilisez \'Médicaments et traitements\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10864,10852,'Toxicomanie, alcool et tabagisme ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.4',426),(10866,'Huumeiden, alkoholin ja muiden päihteiden käyttöön sekä tupakointiin liittyvät teemat. HUOM! Jos tutkitaan huumausaineiden (kuten kannabiksen) lääkinnällistä käyttöä, käytä termiä \'hoito ja lääkitys\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10855,10852,'Päihteiden käyttö ja tupakointi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.0.2',429),(10867,'Relações entre empregadores e empregados.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,6568,8957,'Relações/conflitos de trabalho',NULL,462),(10868,'','LawCrimeAndLegalSystems',NULL,41,6572,8963,'LEI, CRIME E SISTEMAS LEGAIS',NULL,462),(10869,'Dados sobre legislação internacional ou nacional, regulamentos administrativos, sistema judiciário (poderes e atividades dos tribunais), resolução alternativa de litígios e justiça restaurativa, sanções criminais.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,6574,8966,'Legistação e sistemas legais',NULL,462),(10870,'Morbilidade refere-se à incidência de doenças na população. Os dados poderão referir-se à incidência ou à taxa de morbilidade de uma condição médica. Por exemplo, o número de pessoas que sofrem de cancro de pulmão num país ou numa área geográfica durante um ano. Os dados em relação à mortalidade indicam o número de mortes na população por local, tempo, causa ou tipo de indivíduo, etc. Por exemplo, taxa de mortalidade materna, taxa de mortalidade infantil. Nota: os dados derivados de inquéritos autoadministrados sobre doenças ou condições médicas são indexados aos termos da hierarquia de SAÚDE.','Demography.MorbidityAndMortality','Demography',3,6534,8960,'Morbilidade e Mortalidade',NULL,462),(10871,'Inclui estudos que medem o padrão de habitação numa comunidade, incluindo a habitação social, bem como a disponibilidade e os preços da habitação. Habitação inclui casas, segundas residências e casas de férias.','HousingAndLandUse.Housing','HousingAndLandUse',31,6562,8964,'Habitação',NULL,462),(10872,'Dados sobre políticas de emprego relacionadas com relações de emprego, mercado de trabalho e igualdade e discriminação no trabalho; a nível nacional, as políticas incluem a influência da procura e da oferta de trabalho e o funcionamento dos mercados de trabalho. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,6567,8975,'Políticas de trabalho e de emprego',NULL,462),(10873,'Inclui o uso do solo e o ordenamento do território. O ordenamento do território refere-se aos procedimentos realizados para garantir um uso ótimo e sustentável dos recursos territoriais nas comunidades rurais e urbanas.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,6563,8951,'Planeamento e uso do solo',NULL,462),(10874,'Prevenção e controlo de doenças e incapacidades, e a promoção da saúde física e mental da população ao nível local, nacional e internacional. Por exemplo: promoção da saúde; prevenção de doenças; impacto dos programas de saúde pública; gestão de questões de saúde a nível local, nacional ou global; epidemiologia de uma doença, condição, patologia ou surto de doença.','Health.PublicHealth','Health',24,6555,8926,'Saúde pública',NULL,462),(10875,'','HousingAndLandUse',NULL,30,6561,8910,'HABITAÇÃO E USO DO SOLO',NULL,462),(10876,'','Psychology',NULL,61,6592,8973,'PSICOLOGIA',NULL,462),(10877,'Abrange questões relacionadas com as famílias, parentesco, gerações e composição do agregado familiar. Por exemplo, dados sobre educação das crianças, divisão do trabalho dentro da família, apoio prestado aos membros da família.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,6601,8943,'Família e casamento',NULL,462),(10878,'','Politics',NULL,54,6585,8914,'POLÍTICA',NULL,462),(10879,'Feridas e lesões, tanto físicas como psicológicas, causadas por acidentes ou violência (através de comportamento agressivo individual ou grupal). Se as feridas ou lesões estiverem relacionadas com o trabalho, usar \'Saúde ocupacional\'.','Health.WoundsAndInjuries','Health',28,6559,8952,'Feridas e lesões',NULL,462),(10880,'Dados sobre abuso de drogas e outras substâncias. Dados sobre hábitos de tabagismo e consumo de álcool. Para dados sobre uso de drogas medicamente prescritas (como por exemplo o uso de canábis para fins terapêuticos), usar \'Medicação e tratamento\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10860,8985,'Abuso de drogas, álcool e tabagismo ',NULL,462),(10881,'','SocietyAndCulture',NULL,79,6610,8962,'SOCIEDADE E CULTURA',NULL,462),(10882,'Discussões sobre políticas e princípios, decisões tomadas e princípios adotados a nível nacional, regional ou local, relativamente ao ensino e à sua implementação. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','Education.EducationalPolicy','Education',12,6543,8911,'Políticas educativas',NULL,462),(10883,'Pode precisar de um tópico adicional, se as crianças forem estudadas a partir de um aspecto particular.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,6597,8892,'Infância',NULL,462),(10884,'Estudo sobre doenças, perturbações ou síndromes específicas diagnosticadas (frequentemente classificadas na CID-10 ou nas suas versões anteriores). Por exemplo, investigação médica sobre as causas da diabetes ou estudos sobre a recuperação física e mental de pessoas submetidas a cirurgia cardíaca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,6558,8905,'Doenças, perturbações e condições médicas',NULL,462),(10885,'Dados sobre a taxa e outras estatísticas de emprego, mercado de trabalho, ofertas de emprego, procura de emprego, características do posto de trabalho, emprego de determinados grupos (por exemplo, emprego de jovens ou de minorias), serviços de emprego, carreira. Para salário e remuneração usar \'Condições de trabalho\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,6566,8940,'Emprego',NULL,462),(10886,'Estudo sobre o bem-estar geral ou a condição de saúde de um indivíduo, grupo ou população. Pode ser objetivamente medido/observado ou autopercepcionado. O bem-estar inclui, nomeadamente, a condição ou o estado físico e mental, bem como a condição social.','Health.GeneralHealthAndWellbeing','Health',19,6550,8935,'Saúde e bem-estar',NULL,462),(10887,'Utilização de processos biomoleculares e celulares para criar novos produtos e processos tecnológicos.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,6594,8970,'Biotecnologia',NULL,462),(10888,'','Demography',NULL,0,6531,8980,'DEMOGRAFIA (POPULAÇÃO, ESTATÍSTICAS DEMOGRÁFICAS E CENSOS)',NULL,462),(10889,'Pode precisar de um tópico adicional, se os idosos forem estudados a partir de um aspecto particular.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,6598,8979,'Envelhecimento',NULL,462),(10890,'Dados que abordam questões sobre comportamento religioso, movimentos religiosos, espiritualidade, moralidade e outros valores.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,6615,8944,'Religião e valores',NULL,462),(10891,'Inclui todos os tipos de reforma, como a reforma \'faseada\' ou \'flexível\', dados sobre a idade de reforma e a reforma antecipada.','LabourAndEmployment.Retirement','LabourAndEmployment',38,6569,8903,'Reforma',NULL,462),(10892,'','SocialWelfarePolicyAndSystems',NULL,75,6606,8913,'SISTEMAS E POLÍTICAS DO ESTADO SOCIAL',NULL,462),(10893,'Troca de bens, serviços e capitais através de fronteiras internacionais.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,6623,8976,'Comércio externo (ou comércio internacional)',NULL,462),(10894,'Abrange questões sobre degradação ambiental, poluição, proteção ambiental, alterações climáticas, prevenção de cheias, erosão do solo.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,6582,8959,'Ambiente e conservação',NULL,462),(10895,'Inclui paisagens e elementos da natureza que não foram diretamente alterados por seres humanos.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,6583,8956,'Paisagens naturais',NULL,462),(10896,'','MediaCommunicationAndLanguage',NULL,44,6575,8977,'MEDIA, COMUNICAÇÃO E LINGUAGEM',NULL,462),(10897,'','Health',NULL,16,6547,8894,'SAÚDE',NULL,462),(10898,'Dados relacionados com diferentes aspectos da vida na comunidade, ou em áreas urbanas e rurais. Opiniões e imagens do bairro/vizinhança, ou de áreas urbanas ou rurais. Serviços, instalações e oportunidades de negócios no bairro/vizinhança.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,6611,8928,'Comunidade, vida urbana e vida rural',NULL,462),(10899,'Questões relativas a saber se todos os indivíduos ou grupos de indivíduos têm ou não os mesmos direitos e oportunidades na sociedade. A igualdade pode ser estudada, por exemplo, em termos de educação, ativos (financeiros) ou rendimentos, posição ocupacional, poder, prestígio, condições de trabalho e de lazer, acesso a serviços e relações sociais. A marginalização e a exclusão social podem ser o resultado de uma desvantagem sistemática em múltiplas áreas da vida e as pessoas envolvidas podem ser privadas de direitos, oportunidades, recursos e integração social. Exemplos de dados: estatísticas de desigualdade de rendimentos; discriminação percebida pelo grupo de foco (por exemplo, em relação aos estrangeiros, aos sem-abrigo, aos que procuram asilo); diferenças percepcionadas entre homens e mulheres em relação a oportunidades de papéis de liderança na política; impacto do desemprego dos pais no desempenho escolar dos filhos e nas redes de sociabilidade.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,6600,8949,'Igualdade, desigualdade e exclusão social',NULL,462),(10900,'','Education',NULL,10,6541,8954,'EDUCAÇÃO',NULL,462),(10901,'Tratamento da doença ou procedimento(s) de prevenção. Cuidados ao paciente a um nível individual. Investigação sobre medicação e tratamento de uma doença. Dados sobre, por exemplo, procedimentos cirúrgicos, reabilitação, consultas médicas, fisioterapia, manipulações musculoesqueléticas, cuidados no hospital ou em casa, psicoterapia, técnicas de investigação, medicação.','Health.MedicationAndTreatment','Health',21,6552,8932,'Medicação e tratamento',NULL,462),(10902,'','NaturalEnvironment',NULL,49,6580,8900,'AMBIENTE NATURAL',NULL,462),(10903,'Qualidade e acessibilidade dos serviços, equipamentos e pessoal associados aos cuidados de saúde. Economia dos cuidados de saúde e decisões e princípios políticos a nível nacional, regional ou local, em matéria de cuidados de saúde. Usar \'Legislação e sistemas legais\' para leis e regulamentos já existentes.','Health.HealthCareServicesAndPolicies','Health',20,6551,8937,'Serviços de saúde e políticas de saúde',NULL,462),(10904,'Por exemplo, dados relativos à frequência com que as pessoas usam serviços sociais específicos, opiniões sobre a adequação, acessibilidade e disponibilidade de serviços específicos e satisfação geral com os mesmos. Por exemplo: perguntas sobre os serviços que os idosos entrevistados usaram ou usam; estatísticas sobre determinados serviços.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,6609,8938,'Serviços sociais específicos: utilização e disponibilidade',NULL,462),(10905,'Dados sobre a formação da identidade, quem as pessoas sentem que são e onde pertencem. A relação entre a identidade cultural e nacional com a representação e a classificação de alguém como \'nenhum de nós\' (o outro). Costumes, maneiras de estar e atitudes em relação à identidade percecionada do próprio e de outros grupos.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,6613,8958,'Identidade cultural e identidade nacional',NULL,462),(10906,'Questões relacionadas com a existência, papéis e impacto das elites na sociedade, ou seja, indivíduos ou grupos que têm grande poder ou influência sobre a sociedade, a política, a riqueza, etc., seja por meio de decisões que tomem ou, por exemplo, por meio de ideias ou sentimentos que expressem ou representem. Inclui questões relacionadas com pessoas influentes em todas as esferas da sociedade, por exemplo, com poder de tomada de decisão na vida política, líderes de partidos políticos, artistas influentes, figuras proeminentes na comunicação social ou nas redes sociais, etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,6599,8939,'Elites e liderança',NULL,462),(10907,'Inclui imigração, emigração, migração interna, assim como outros tipos de mobilidade geográfica. Imigração significa fixar-se num outro país que não o de origem. Emigração significa deixar o país de origem para se fixar noutro país. Migração é um termo comum para ambas. Migração inclui ainda a migração interna, que se constitui como o movimento de pessoas dentro de um mesmo país em diferentes níveis geográficos.','Demography.Migration','Demography',2,6533,8918,'Migração',NULL,462),(10908,'Movimento de indivíduos, famílias ou grupos de indivíduos em termos de estatuto social e ocupacional ao longo do tempo. O movimento pode ser horizontal, ou seja, mudança de posição dentro do intervalo do mesmo estatuto, ou vertical, onde os indivíduos podem mover-se para cima ou para baixo na hierarquia estatutária. Por exemplo, trabalhadores em setores em declínio podem tornar-se trabalhadores de alguma outra indústria (mobilidade ocupacional horizontal), ou crianças de famílias pobres podem alcançar uma classe social mais alta do que a dos seus pais (mobilidade social intergeracional vertical).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,6604,8982,'Mobilidade social e ocupacional',NULL,462),(10909,'Abrange o ensino acima do nível ISCED 3 (Classificação Internacional Normalizada da Educação, do inglês \'International Standard Classification of Education\'), ou seja, todo o ensino pós-secundário não superior, o ensino universitário e o ensino politécnico. Inclui dados sobre alunos, professores, disciplinas ou competências ministradas, etc.','Education.HigherAndFurtherEducation','Education',13,6544,8920,'Ensino pós-secundário e superior',NULL,462),(10910,'Questões relacionadas com a prestação efectiva do Estado social; quem presta na prática serviços de apoio social e em que medida são prestados; como estão estruturados os serviços atuais. Por exemplo, perguntas sobre como o governo local organiza serviços para idosos.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,6608,8978,'Sistemas/ estruturas do Estado social',NULL,462),(10911,'Programas pensados para que os alunos adquiram os conhecimentos, habilidades e competências específicas de uma determinada ocupação, profissão ou classe de ocupações ou profissões. A formação profissional pode ter componentes práticas baseadas no trabalho. Abrange o ensino profissional nos níveis 3-4 do ISCED e estágios. Inclui dados sobre alunos, professores, disciplinas ou conhecimentos ministrados, instalações, etc.','Education.VocationalEducationAndTraining','Education',15,6546,8907,'Educação e formação profissional',NULL,462),(10912,'Usar se o tópico de classificação for conhecido, mas não se encontrar na lista.','Other',NULL,94,6625,8945,'OUTROS',NULL,462),(10913,'','Economics',NULL,4,6535,8904,'ECONOMIA',NULL,462),(10914,'Os indicadores económicos indicam a direção da economia e incluem, por exemplo, a taxa de crescimento do PIB, o emprego, a inflação e a taxa de juro, a atividade dos consumidores e dos investidores, a dívida das famílias. Este tema é também usado para as condições económicas dos indivíduos e das famílias que são inquiridos ou registados.','Economics.EconomicConditionsAndIndicators','Economics',6,6537,8967,'Condições económicas e indicadores',NULL,462),(10915,'Usar o termo apropriado para dados históricos, bem como este termo principal. Por exemplo, \'Condições de trabalho\' e \'Serviços de saúde e políticas de saúde\' mais HISTÓRIA para dados sobre as condições de trabalho dos médicos de família nos anos 60. O termo principal \'HISTÓRIA\' deve ser usado sozinho apenas nos casos em que nenhum outro termo (dos tópicos) possa ser usado.','History',NULL,29,6560,8981,'HISTÓRIA',NULL,462),(10916,'As condições sob as quais os colaboradores trabalham. Por exemplo, tipos de contrato, tempo de trabalho (horas de trabalho, períodos de descanso, horários, horas extras), salário e remuneração, aspetos físicos e mentais do trabalho, direitos e responsabilidades dos colaboradores, carga de trabalho, envolvimento do trabalhador na tomada de decisões, licenças, ambiente físico. Para questões de segurança no trabalho, usar também \'Saúde ocupacional\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,6571,8899,'Condições de trabalho',NULL,462),(10917,'','LabourAndEmployment',NULL,33,6564,8946,'TRABALHO E EMPREGO',NULL,462),(10918,'Dados sobre comportamento social; interação social e redes sociais; responsabilidades sociais; normas e regras sociais; e atitudes em relação a estas questões.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,6616,8947,'Comportamento e atitudes sociais',NULL,462),(10919,'A criação, distribuição, uso, integração e manipulação de informações, como uma atividade económica, política e cultural significativa. Por exemplo, dados relacionados com e-commerce, governo eletrónico, media sociais, dispositivos móveis, acesso e uso da Internet, privacidade digital, recursos informacionais e bibliotecários. Usar \'Tecnologia da Informação\' ao falar sobre as tecnologias propriamente ditas.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,6576,8968,'Sociedade da Informação',NULL,462),(10920,'Dados sobre o nível geral de forma física dos indivíduos e sobre o exercício físico e as atividades que praticam.','Health.PhysicalFitnessAndExercise','Health',23,6554,8909,'Exercício físico',NULL,462),(10921,'Escolaridade obrigatória refere-se ao período de educação exigido a todas as pessoas que vivem num país e é determinado por lei. Educação pré-escolar refere-se a creches e à educação formal anterior à escolaridade obrigatória. Usar este termo para indexar dados relativos ao ensino pré-escolar, básico e secundário, independentemente de os dados se referirem a alunos, professores, disciplinas ou competências ministradas, instalações, etc.','Education.CompulsoryAndPreschoolEducation','Education',11,6542,8927,'Escolaridade obrigatória e educação pré-escolar',NULL,462),(10922,'Medidas adotadas para melhorar ou preservar a imagem de indivíduos, empresas, organizações e governos, por exemplo, através de meios de publicidade, grupos de representação de interesses (\'lobbying\'), etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,6579,8934,'Relações públicas',NULL,462),(10923,'Padrões de recreação, atividades de lazer e passatempos. Inclui espectadores de eventos desportivos, desportos de competição e viagens de lazer. Para dados sobre atividade física para uma pessoa se manter em forma, usar \'Exercício físico\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,6614,8919,'Lazer, turismo e desporto',NULL,462),(10924,'Dados sobre atitudes políticas partidárias, envolvimento político e participação no processo político, comportamento eleitoral, satisfação com o governo. Usar \'Ideologia política\' para dados sobre doutrinas específicas.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,6589,8915,'Comportamento e atitudes políticas',NULL,462),(10925,'Questões relacionadas com o governo nacional, regional e local, órgãos de governo (por exemplo, o Governo, o Parlamento, órgãos do governo local), administração pública, outras organizações políticas, como partidos políticos. Por exemplo, dados sobre políticas governamentais, partidos políticos e programas, líderes de partidos políticos, confiança nos órgãos governamentais. De notar que poderá ser necessário usar um termo (dos tópicos) adicional em conjunto.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,6628,8971,'Governo, sistemas e organizações políticas',NULL,462),(10926,'Usar para estudos que pesquisem sistemas capitalistas, socialistas e outros sistemas económicos e para estudos, por exemplo, sobre programas de desenvolvimento internacional.','Economics.EconomicSystemsAndDevelopment','Economics',8,6539,8933,'Sistemas económicos e desenvolvimento',NULL,462),(10927,'Segurança e proteção interna e internacional; conflitos internos e internacionais; guerra e paz; defesa nacional e forças armadas (o exército). Nota: a polícia é indexada por \'Crime e aplicação da lei\'.','Politics.ConflictSecurityAndPeace','Politics',55,6586,8983,'Conflito, segurança e paz',NULL,462),(10928,'Ideias, ideais e teorias sobre as formas de organização dos governos e das sociedades. As principais ideologias políticas incluem anarquismo, democracia, liberalismo, conservadorismo, etc.','Politics.PoliticalIdeology','Politics',60,6590,8965,'Ideologia política',NULL,462),(10929,'Processos de nutrição, padrões e práticas alimentares e parâmetros mensuráveis de nutrição, como índice de massa corporal (IMC), peso ou nível de vitaminas.','Health.DietAndNutrition','Health',17,6548,8896,'Regime alimentar e nutrição',NULL,462),(10930,'Dados sobre eleições, referendos, campanhas eleitorais, resultados eleitorais, candidatos, eleitores, financiamento de eleições, etc.','Politics.Elections','Politics',56,6587,8898,'Eleições',NULL,462),(10931,'Tecnologias da informação e comunicação que são usadas em casa, no local de trabalho e em contexto comunitário. Nota: o uso e o impacto dessas tecnologias são abrangidos pelo termo \'Sociedade da Informação\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,6595,8969,'Tecnologia da Informação',NULL,462),(10932,'Dados sobre mudanças na sociedade, incluindo mudanças de atitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,6617,8908,'Mudança social',NULL,462),(10933,'Pode precisar de um tópico adicional, se os jovens forem estudados a partir de um aspecto particular.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,6605,8929,'Juventude',NULL,462),(10934,'Dados sobre política económica, incluindo política fiscal e orçamental, despesa pública e receita pública.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,6626,8917,'Política económica, despesas e receitas públicas',NULL,462),(10935,'Dados sobre indústria e negócios, como gestão, produtividade, crescimento e declínio, estrutura organizacional, administração, investimento em I&D, mercados e quota de mercado.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,6622,8953,'Gestão e organização empresarial e industrial',NULL,462),(10936,'Dados referentes a qualquer tipo de meios de comunicação social. Por exemplo, jornais impressos ou online, revistas, televisão e rádio. Nota: os media sociais são indexados com o termo \'Sociedade da Informação\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,6578,8925,'Media',NULL,462),(10937,'','TradeIndustryAndMarkets',NULL,89,6620,8901,'COMÉRCIO, INDÚSTRIA E MERCADOS',NULL,462),(10938,'Abrange todos os aspectos da qualidade de vida e bem-estar dos indivíduos e das sociedades, assim como as percepções das pessoas sobre os mesmos. Nota: dependendo do aspecto que está a ser estudado, os termos \'Saúde e bem-estar\', \'Igualdade, desigualdade e exclusão social\' e \'Condições e indicadores económicos\', etc., também podem ser relevantes.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,6618,8942,'Condições e indicadores sociais',NULL,462),(10939,'Identidade de género; representações de género (por exemplo, representação dos géneros em órgãos de tomada de decisão, nos media, na literatura, etc.); características sociais, culturais e psicológicas ligadas a homens e mulheres; estudos das mulheres; estudos dos homens; comportamento esperado e escolhas de acordo com os papéis de género e o impacto de tais expectativas.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,6602,8931,'Género e papéis de género',NULL,462),(10940,'Decisões tomadas e princípios adotados a um nível nacional, regional ou local em relação ao Estado social, o seu financiamento e provisão, por exemplo, quem tem direito a que tipo de serviços e benefícios sociais e porquê, a que nível são prestados e quem pode prestar os serviços. Por exemplo, uma política em que os idosos devem permanecer nas suas casas tão longamente quanto possível, uma política relativa à duração do subsídio de desemprego. Usar também o termo \'Legislação e sistemas legais\' para leis e regulamentos já implementados.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,6607,8974,'Políticas do Estado social',NULL,462),(10941,'','SocialStratificationAndGroupings',NULL,65,6596,8912,'ESTRATIFICAÇÃO SOCIAL E GRUPOS',NULL,462),(10942,'Grupos de indivíduos que diferem de alguma forma da maioria da população. As características de diferenciação incluem, por exemplo, etnicidade, religião, saúde, orientação sexual, primeira língua (língua materna) e cultura. Nota: para alguns assuntos ligados às minorias, poderá ser útil selecionar temas adicionais como \'Igualdade, desigualdade e exclusão social\' ou \'Linguagem e Linguística\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,6603,8893,'Minorias',NULL,462),(10943,'Abrange animais domésticos, de produção e selvagens, assim como todos os tipos de plantas (por exemplo, flores, árvores, musgo, vegetais).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,6584,8955,'Plantas e animais',NULL,462),(10944,'Refere-se a oportunidades educacionais sob várias formas proporcionadas a adultos, após terem abandonado o sistema de educação formal. Os adultos podem envolver-se neste tipo de educação, por exemplo, para melhorarem as suas competências ou qualificações, para se adaptarem a um novo posto de trabalho ou apenas para aprenderem algo novo. Geralmente não inclui a educação que leve a uma qualificação ou à formação de trabalhadores.','Education.LifelongContinuingEducation','Education',14,6545,8895,'Educação ao longo da vida / educação contínua',NULL,462),(10945,'Dados sobre crime, prevenção do crime, vítimas de crime, infractores, bem como polícia, serviços secretos, instituições corretivas (por exemplo, prisões, instituições tutelares de menores), controlo de fronteiras e alfândega. Também inclui dados sobre os funcionários e as instalações dessas instituições.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,6573,8930,'Crime e aplicação da lei',NULL,462),(10946,'Formação interna nas empresas e outras formações de colaboradores financiadas pelo empregador para aumentar as capacidades e as competências dos funcionários. Não inclui estágios, que estão incluídos em \'Educação e formação profissional\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,6565,8923,'Formação interna',NULL,462),(10947,'Estudo sobre condições anatómicas ou fisiológicas anómalas e manifestações objetivas ou subjetivas de doença/sintomas não classificadas como doença ou síndrome (neste caso seria usado \'Doenças, perturbações e condições médicas\'). Inclui manifestações clínicas que podem ser objetivas quando observadas por um profissional de saúde ou subjetivas quando percebidas pelo paciente. Por exemplo, dor, diarreia, erupção cutânea, desigualdade no comprimento das pernas, insónia, dor de dentes, inflamação, arritmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,6557,8961,'Sinais e sintomas; condições patológicas',NULL,462),(10948,'Incluir todos os tipos de transporte de mercadorias, assim como transportes pendulares, transportes públicos (comboios, autocarros, metro, etc.) e redes de transporte urbano. Dados sobre hábitos de mobilidade, por exemplo, comércio transfronteiriço, rotas e meios usados para chegar a um local. Nota: usar o termo \'Lazer, turismo e desporto\' para viagens de lazer.','TransportAndTravel',NULL,93,6624,8921,'TRANSPORTE E VIAGEM',NULL,462),(10949,'Inquéritos à população, por oposição a um inquérito por amostragem. Habitualmente usados para o recenseamento de uma população, icluem normalmente um conjunto de dados relativos a informação demogáfica. Nota: em alguns países os censos não são usados, uma vez que a informação demográfica pode ser obtida através de registos oficiais.','Demography.Censuses','Demography',1,6728,8936,'Censos',NULL,462),(10950,'Dados sobre a quantidade de tempo gasto pela população em várias atividades.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,6619,8950,'Uso do tempo',NULL,462),(10951,'Dados sobre a taxa e outras estatísticas de desemprego, programas e iniciativas de emprego, duração e frequência do desemprego, impacto social e psicológico do desemprego, etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,6570,8924,'Desemprego',NULL,462),(10952,'Governança global, diplomacia, política externa, relações entre países, organizações internacionais (por exemplo, UE, OMS, ONU, OMC) e acordos internacionais.','Politics.InternationalPoliticsAndOrganisations','Politics',58,6591,8902,'Políticas e organizações internacionais',NULL,462),(10953,'Processo, função ou sistema reprodutivo em qualquer fase da vida. Inclui dados sobre gravidez, nascimento, planeamento familiar, contracepção, aborto, menopausa.','Health.ReproductiveHealth','Health',25,6556,8897,'Saúde reprodutiva',NULL,462),(10954,'','ScienceAndTechnology',NULL,62,6593,8972,'CIÊNCIA E TECNOLOGIA',NULL,462),(10955,'Refere-se ao ato de adquirir e/ou usar algo para atender às necessidades e desejos de uma pessoa, comunidade ou sociedade. Os dados nesta categoria incluem padrões de comportamento do consumidor, mudanças nesses padrões e estudos sobre ética do consumidor. Por exemplo, dados de inquéritos sobre a frequência com que as pessoas compram determinados bens; quando e onde compram; se considerações éticas afetam as suas escolhas de consumo.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,6536,8891,'Consumo e comportamento dos consumidores',NULL,462),(10956,'Os recursos naturais são ativos, que existem naturalmente, como terra, florestas, fontes de energia, água, minerais e podem ser usados para produção económica ou consumo. Os recursos energéticos incluem combustíveis fósseis como petróleo, gás natural ou carvão, bem como energia nuclear e energias renováveis, como a solar, a eólica, a das marés e de biomassa.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,6581,8922,'Energia e recursos naturais',NULL,462),(10957,'Usar para estudos sobre a acumulação de património pessoal, incluindo rendimento, propriedade, investimentos e poupanças.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,6627,8906,'Rendimentos, património e investimento / poupança',NULL,462),(10958,'Dados sobre doenças ocupacionais, segurança ocupacional, licença por doença (baixa médica), capacidade e incapacidade para o trabalho, ou pensão por invalidez/ por incapacidade permanente para o trabalho.','Health.OccupationalHealth','Health',22,6553,8916,'Saúde ocupacional',NULL,462),(10959,'Participação ativa ou passiva em qualquer tipo de atividades culturais, bem como opiniões e percepções sobre as mesmas.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,6612,8984,'Actividades culturais e participação',NULL,462),(10960,'Usar esta categoria para estudos sobre produção agrícola e todas as indústrias rurais que incluem, por exemplo, a pesca e a silvicultura.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,6621,8948,'Agricultura e indústria rural',NULL,462),(10961,'Dados que incluem estudos linguísticos, análise linguística e sociolinguística, bem como dados sobre políticas linguísticas, competências linguísticas dos indivíduos, línguas faladas no trabalho e em casa, atitudes em relação a idiomas minoritários, etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,6577,8941,'Linguagem e linguística',NULL,462),(10962,'','SocietyAndCulture',NULL,79,6478,8962,'SAMHÄLLE OCH KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.1.1',465),(10963,'Morbiditet beskriver förekomsten av ohälsa i en population. Data kan gälla incidens eller morbiditetstal för ett medicinskt tillstånd, t.ex. antal personer med lungcancer i ett land eller ett geografiskt område under ett visst år. Mortalitetsdata beskriver antal dödsfall i en population, mätt efter plats, tid, orsak, typ av person och så vidare, t.ex. mödradödlighet och barnadödlighet. Observera att egenrapporterade enkätdata om sjukdomar och medicinska tillstånd indexeras med ämnen i hierarkin HÄLSA.','Demography.MorbidityAndMortality','Demography',3,6480,8960,'Morbiditet och mortalitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.1.1',465),(10964,'Detta gäller olika typer av utbildningsmöjligheter som erbjuds vuxna som har lämnat det formella utbildningssystemet. Vuxna kan delta i den här typen av utbildningar som fortbildning för att till exempel fördjupa sina kunskaper eller förbättra sina kvalifikationer, omskola sig till ett nytt yrkesområde eller för att lära sig något nytt. Kategorin gäller inte generellt för utbildning som leder till nya kvalifikationer eller examina, eller för arbetsmarknadsutbildningar.','Education.LifelongContinuingEducation','Education',14,6438,8895,'Livslångt lärande/vidareutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.1.1',465),(10965,'Data om alla former av massmedia, till exempel tryckta tidningar och webbtidningar, tidskrifter, tv och radio. Observera att sociala medier indexeras med termen \"Informationssamhället\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,6434,8925,'Media','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.1.1',465),(10966,'Könsidentitet; könad representation (t.ex. hur kön och genus representeras i beslutsfattande organ, media och litteratur); sociala, kulturella och psykologiska egenskaper som kopplas till kvinnor respektive män; kvinnoforskning; mansforskning; könsrollers förväntade beteenden och val och effekterna av sådana förväntningar.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,6477,8931,'Kön och könsroller','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.1.1',465),(10967,'Studier av en hel befolkning till skillnad från studier av urvalsgrupper. Används ofta för statens räkning av en befolkning och innehåller vanligtvis även insamling av relevant demografisk information. Observera att i vissa länder görs inte folkräkningar eftersom demografisk information kan erhållas från officiella register.','Demography.Censuses','Demography',1,8294,8936,'Folkräkningar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.1.1',465),(10968,'Studier om individers, gruppers eller en populations allmänna hälsa eller hälsostatus. Detta kan gälla objektiva mätningar/observationer eller självskattningar. Välbefinnande inkluderar bland annat fysisk och mental kapacitet eller hälsotillstånd, samt social hälsa.','Health.GeneralHealthAndWellbeing','Health',19,6456,8935,'Allmän hälsa och välbefinnande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.1.1',465),(10969,'Data om val, folkomröstningar, valkampanjer, valresultat, valkandidater, valkompasser, kampanjbidrag osv.','Politics.Elections','Politics',56,6467,8898,'Val','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.1.1',465),(10970,'Data om människors allmänna konditionsnivå, fysiska aktivitet och vilken träning de ägnar sig åt.','Health.PhysicalFitnessAndExercise','Health',23,8293,8909,'Fysisk form och träning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.1.1',465),(10971,'Inkluderar data som mäter boendestandard i ett samhälle, inklusive subventionerat boende, och tillgången på bostäder och boendekostnad. Till bostäder räknas hem, fritidshus och sommarstugor.','HousingAndLandUse.Housing','HousingAndLandUse',31,6496,8964,'Bostäder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.1.1',465),(10972,'Utbyte av kapital, varor eller tjänster över nationsgränser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,6424,8976,'Utrikeshandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.1.1',465),(10973,'','LawCrimeAndLegalSystems',NULL,41,6493,8963,'LAG, BROTTSLIGHET OCH RÄTTSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.1.1',465),(10974,'Grupper av personer som på något sätt skiljer sig från majoriteten av populationen. Olika egenskaper är till exempel etnicitet, ras, religion, hälsa, sexuell läggning, förstaspråk (modersmål) och kultur. Observera att du även kan använda termerna \"Jämlikhet, ojämlikhet och socialt utanförskap\" eller \"Språk och lingvistik\" i samband med minoritetsfrågor.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,6442,8893,'Minoriteter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.1.1',465),(10975,'Data om brottslighet, brottsförebyggande åtgärder, brottsoffer, brottslingar, samt polisen, säkerhetspolisen, kriminalvårdens anstalter (t.ex. fängelser och sluten ungdomsvård), gränskontroll och tullverksamhet. Här ingår även data om dessa myndigheters personal och anläggningar.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,6457,8930,'Kriminalitet och rättstillämpning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.1.1',465),(10976,'Sjukdomsbehandlingar eller sjukdomsförebyggande åtgärder. Patientomsorg på individnivå. Forskning om medicinering och behandling av sjukdomar. Data om till exempel kirurgiska ingrepp, rehabilitering, läkarkonsultationer, sjukgymnastik, muskuloskeletala manipulationer, sjukhus- eller hemvård, psykoterapi, utredningsmetoder och medicinering.','Health.MedicationAndTreatment','Health',21,6449,8932,'Medicinering och behandlingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.1.1',465),(10977,'Data om arbetslöshetsgrad och -statistik, arbetsmarknadsprogram och arbetsmarknadspolitiska åtgärder, arbetslöshetens varaktighet och arbetslöshetsfrekvens, sociala och psykologiska effekter av arbetslöshet osv.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,6485,8924,'Arbetslöshet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.1.1',465),(10978,'Data om specifika, diagnosticerade sjukdomar, störningar eller syndrom (som oftast finns klassificerade i ICD-10 eller tidigare versioner av manualen). Till exempel medicinsk forskning om orsaker till diabetes eller data om hur personer återhämtar sig fysiskt och psykiskt efter en hjärtoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,6504,8905,'Specifika sjukdomar, störningar och medicinska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.1.1',465),(10979,'Omfattar alla typer av pensionsmönster, till exempel flexibel pension, data om pensionsålder och förtidspension.','LabourAndEmployment.Retirement','LabourAndEmployment',38,6489,8903,'Pension','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.1.1',465),(10980,'Aktivt eller passivt deltagande i alla typer av kulturella aktiviteter, samt åsikter om och uppfattningar av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,6491,8984,'Kulturaktiviteter och deltagande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.1.1',465),(10981,'','MediaCommunicationAndLanguage',NULL,44,6450,8977,'MEDIA, KOMMUNIKATION OCH SPRÅK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.1.1',465),(10982,'Data om attityder till partipolitik, politiskt engagemang och deltagande i de politiska processerna, väljarbeteenden, nöjdhet med regeringen. Använd \"Politisk ideologi\" för data om specifika partiprogram.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,6454,8915,'Politiska beteenden och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.1.1',465),(10983,'Ämnen som rör huruvida alla individer eller grupper har samma status och möjligheter i samhället. Jämlikhet kan studeras till exempel i termer av utbildning, inkomst eller förmögenhet, form av anställning, makt, status, arbetsförhållanden och fritid, tillgång till samhällstjänster och sociala relationer. Marginalisering och socialt utanförskap kan vara resultat från systemiska nackdelar inom flera områden av livet, och drabbade personer kan ha sämre rättigheter, möjligheter, resurser och social integration. Exempel på data är statistik över inkomstfördelning, upplevd diskriminering av en grupp (t.ex. invandrare, hemlösa, asylsökande), upplevda skillnader mellan män och kvinnor vad gäller möjligheter till ledande politiska roller, och hur föräldrars arbetslöshet påverkar barns utbildningsnivå och sociala nätverk.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,6439,8949,'Jämlikhet, ojämlikhet och socialt utanförskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.1.1',465),(10984,'Använd om ämnet är känt men saknas i listan.','Other',NULL,94,6445,8945,'ÖVRIGT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.1.1',465),(10985,'Ekonomiska indikatorer anger i vilken riktning en ekonomi utvecklas och inkluderar bland annat BNP-tillväxttakt, sysselsättning, inflation och räntenivå, konsument- och investeringsaktivitet, hushållens skulder. Observera att denna kategori även används för de undersökta eller registrerade individernas och hushållens ekonomiska förhållanden.','Economics.EconomicConditionsAndIndicators','Economics',6,6473,8967,'Ekonomiska förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.1.1',465),(10986,'','Psychology',NULL,61,6469,8973,'PSYKOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.1.1',465),(10987,'Ämnen som rör familj, släktingar, generationer och hushållens sammansättning. Till exempel data om barnuppfostran, arbetsfördelning i familjen och stöd till familjemedlemmar.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,6498,8943,'Familjeliv och äktenskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.1.1',465),(10988,'Omfattar naturlandskap och marker som inte direkt har förändrats av människor.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,6420,8956,'Naturlandskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.1.1',465),(10989,'Förhållandet mellan arbetsgivare och anställda.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,6417,8957,'Förhållande/konflikter mellan arbetsmarknadens parter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.1.1',465),(10990,'Kvalitet på och utbud av tjänster, inrättningar och personal inom hälso- och sjukvård; hälso- och sjukvårdsekonomi samt policybeslut och principer för hälso- och sjukvård på nationell, regional och lokal nivå. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Health.HealthCareServicesAndPolicies','Health',20,6458,8937,'Hälso- och sjukvårdstjänster och -politik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.1.1',465),(10991,'Omfattar allmän utbildning på ISCED-nivå 3 och 4 samt högre utbildning, det vill säga gymnasial utbildning, eftergymnasial utbildning och utbildning på högskolenivå. Kategorin innehåller data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.HigherAndFurtherEducation','Education',13,6446,8920,'Gymnasial och högre utbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.1.1',465),(10992,'','Economics',NULL,4,6419,8904,'EKONOMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.1.1',465),(10993,'Prevention och kontroll av sjukdomar och funktionsnedsättningar samt främjande av populationens fysiska och mentala hälsa på internationell, nationell, regional eller lokal nivå. Detta gäller till exempel hälsopromotion, sjukdomsprevention, effekter av folkhälsoprogram, hantering av lokala, nationella eller globala hälsoproblem, epidemiologin för en sjukdom, ett tillstånd, en patogen eller ett sjukdomsutbrott.','Health.PublicHealth','Health',24,6429,8926,'Folkhälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.1.1',465),(10994,'Data om arbetsmarknadspolitik, till exempel arbetsmarknadsrelationer, arbetsmarknaden, jämställdhet och diskriminering på arbetsplatsen. På nationell nivå inkluderar arbetsmarknadspolitik påverkan på tillgång och efterfrågan av arbetskraft och hur väl arbetsmarknaden fungerar. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,6432,8975,'Arbetsmarknads- och sysselsättningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.1.1',465),(10995,'Till exempel data om i vilken omfattning människor använder specifika sociala tjänster, åsikter om hur väl tjänsterna tillgodoser människors behov, tjänsternas tillgänglighet och hur nöjda människor är med dem. Till exempel frågor om vilka tjänster som äldre intervjupersoner har använt eller användningsstatistik för vissa tjänster.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,6483,8938,'Specifika sociala tjänster: användning och tillgänglighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.1.1',465),(10996,'Fritidsmönster, fritidsaktiviteter och hobbyer. Exempel på detta är att titta på sport, tävlingsidrott och fritidsresor. Data om träning för att hålla sig i form ingår i \"Hälsobeteende\".','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,6448,8919,'Fritid, turism och sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.1.1',465),(10997,'Kan behöva ett ytterligare ämne om barn studeras ur ett särskilt perspektiv.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,6427,8892,'Barn','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.1.1',465),(10998,'','Education',NULL,10,6415,8954,'UTBILDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.1.1',465),(10999,'Ämnen som rör det faktiska tillhandahållandet av välfärd, vem som erbjuder välfärdstjänster och i vilken omfattning, samt hur tjänsterna är utformade. Exempel på detta är frågor kring hur kommuner organiserar tjänster för äldre personer.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,6452,8978,'Sociala välfärdssystem/-strukturer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.1.1',465),(11000,'Inkluderar både markanvändning och planering av markanvändning. Planering av markanvändning syftar på processer för att säkerställa en effektiv och hållbar användning av markresurser på landsbygd och i stadsområden.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,6459,8951,'Markanvändning och planering','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.1.1',465),(11001,'Kan behöva ett ytterligare ämne om äldre studeras ur ett särskilt perspektiv.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,6484,8979,'Äldre','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.1.1',465),(11002,'','HousingAndLandUse',NULL,30,6470,8910,'BOSTÄDER OCH MARKANVÄNDNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.1.1',465),(11003,'Data om tillämpning av biomolekylära och cellulära processer för att skapa nya produkter och tekniska processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,6465,8970,'Bioteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.1.1',465),(11004,'Naturresurser är tillgångar som till exempel mark, skog, energikällor, vatten och mineraler som är naturligt förekommande och kan användas för ekonomisk produktion eller konsumtion. Energiresurser omfattar både fossila bränslen som olja, naturgas eller kol, och sol-, tidvatten- vind- och kärnkraft samt biomassa från levande organismer som kan ersättas efter avverkning.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,6486,8922,'Energi och naturresurser','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.1.1',465),(11005,'Nationell och internationell säkerhet, nationella och internationella konflikter, krig och fred, nationellt försvar och försvarsmakten (armén). Observera att polisen ingår i \"Kriminalitet och rättstillämpning\".','Politics.ConflictSecurityAndPeace','Politics',55,6492,8983,'Konflikter, säkerhet och fred','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.1.1',465),(11006,'Åtgärder för att förbättra eller bevara personers, organisationers och regeringars framtoning och image, till exempel genom annonser och lobbyverksamhet.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,6443,8934,'Public relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.1.1',465),(11007,'','Health',NULL,16,6487,8894,'HÄLSA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.1.1',465),(11008,'','SocialWelfarePolicyAndSystems',NULL,75,6433,8913,'SOCIAL VÄLFÄRDSPOLITIK OCH VÄLFÄRDSSYSTEM','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.1.1',465),(11009,'Data om sociala beteenden, sociala interaktioner och nätverk, samhällsansvar, sociala normer och regler, samt attityder till dessa ämnen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,6462,8947,'Socialt beteende och attityder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.1.1',465),(11010,'Individers, familjers eller gruppers sociala rörlighet och yrkesrörlighet över tid. Rörelsen kan vara horisontell, det vill säga förändringar i position på samma statusnivå, eller vertikal, där individer rör sig uppåt eller nedåt i status. Exempel på detta är hur anställda inom krisbranscher kan anställas inom en annan bransch (horisontell yrkesrörlighet) eller hur barn i låginkomsttagarfamiljer kan nå en högre socialgrupp än sina föräldrar (vertikal intergenerationell social rörlighet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,6451,8982,'Social och yrkesmässig rörlighet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.1.1',465),(11011,'Internutbildningar och annan fortbildning som arbetsgivaren bekostar för att förbättra de anställdas kunskap och kompetens. Detta inkluderar inte lärlingskap, som ingår i \"Yrkesutbildning och praktik\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,6416,8923,'Vidareutbildning inom arbetet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.1.1',465),(11012,'Data om yrkesmässig exponering och ohälsa som uppstår till följd av arbetet, arbetarskydd, sjukskrivningar, arbetsförmåga och -oförmåga eller sjukersättning på grund av arbetsskada.','Health.OccupationalHealth','Health',22,6413,8916,'Arbets- och miljömedicin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.1.1',465),(11013,'Data om missbruk av narkotika och andra droger. Data om rökning och alkoholvanor. Använd \"Medicinering och behandlingar\" om det handlar om medicinskt bruk av rekreativa droger (t.ex. medicinsk användning av cannabis).','Health.DrugAbuseAlcoholAndSmoking','Health',18,10859,8985,'Drogmissbruk, alkohol och rökning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.1.1',465),(11014,'','SocialStratificationAndGroupings',NULL,65,6426,8912,'SOCIAL STRATIFIERING OCH GRUPPERING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.1.1',465),(11015,'Program som är utformade för att ge studenterna kunskaper, färdigheter och kompetens som är specifika för ett visst yrke, en viss yrkesgrupp eller bransch. Yrkesutbildning kan innehålla inslag av praktik på arbetsplatser. Den här kategorin omfattar utbildningar på ISCED-nivå 2–4, kvalificerade yrkesutbildningar och lärlingskap. Omfattar data om elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.VocationalEducationAndTraining','Education',15,6476,8907,'Yrkesutbildning och praktik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.1.1',465),(11016,'Idéer, tankar och teorier om hur regeringar och samhällen kan organiseras. Stora politiska ideologier är till exempel anarki, demokrati, liberalism och konservatism.','Politics.PoliticalIdeology','Politics',60,6472,8965,'Politisk ideologi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.1.1',465),(11017,'Informations- och kommunikationsteknik som används i hemmet, på arbetet och i andra samhällssammanhang. Observera att användningen och effekterna av den här tekniken ingår i \"Informationssamhället\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,6494,8969,'Informationsteknik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.1.1',465),(11018,'Data om företag och branscher, exempelvis ledning, produktivitet, tillväxt och nedgång, organisationsstruktur, administration, investeringar i forskning och utveckling, marknader och marknadsandelar.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,6463,8953,'Företags-/industriledning och organisation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.1.1',465),(11019,'Sår eller skador, både fysiska och psykiska, som orsakats genom olyckor eller våld (aggressiva beteenden från individer eller grupper av personer). Använd \"Arbets- och miljömedicin\" om det gäller data om sår och skador som har åsamkats i arbetet.','Health.WoundsAndInjuries','Health',28,6466,8952,'Sår och skador','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.1.1',465),(11020,'Data om ackumulering av personliga tillgångar, inklusive inkomst, egendom, investeringar och sparkapital.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8296,8906,'Inkomster, egendom och investeringar/sparande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.1.1',465),(11021,'Studier om abnorma anatomiska eller fysiologiska tillstånd samt objektiva eller subjektiva manifestationer av sjukdomar/symtom som inte klassificeras som sjukdomar eller syndrom (i så fall används \"Specifika sjukdomar, störningar och medicinska tillstånd\"). Detta gäller kliniska manifestationer som kan vara objektiva när de observeras av hälso- och sjukvårdspersonal eller subjektiva när de gäller patientens upplevelse. Exempel på detta är smärta, diarré, klåda, olika benlängd, sömnsvårigheter, tandgnisslan, inflammationer och arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,6482,8961,'Tecken och symtom; patologiska tillstånd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.1.1',465),(11022,'Näringsprocesser, ätmönster och matvanor, och mätbara näringsparametrar som kroppsmasseindex (BMI), vikt och vitaminnivåer.','Health.DietAndNutrition','Health',17,8291,8896,'Kost och näring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.1.1',465),(11023,'Omfattar alla aspekter av individers och samhällsgruppers livskvalitet och välbefinnande, samt individers uppfattningar av dem. Observera att beroende på vilka aspekter som studeras kan även termer som \"Allmän hälsa och välbefinnande\", \"Jämlikhet, ojämlikhet och socialt utanförskap\" och \"Ekonomiska villkor och indikatorer\" vara relevanta.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,6428,8942,'Sociala förhållanden och indikatorer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.1.1',465),(11024,'Obligatorisk utbildning är den utbildningsperiod då det enligt lag råder skolplikt för alla personer som bor i ett land. Förskoleutbildning syftar på formell barnomsorg och utbildning som ges före den obligatoriska skolgången. Den här kategorin används för data om förskola och grundskola, oavsett om data gäller elever, lärare, ämnen eller färdigheter som lärs ut, lokaler osv.','Education.CompulsoryAndPreschoolEducation','Education',11,6479,8927,'Obligatorisk utbildning och förskoleutbildning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.1.1',465),(11025,'Omfattar tamboskap, kött- och mjölkdjur och vilda djur, samt alla typer av växter (t.ex. blommor, träd, mossor och grönsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,6453,8955,'Växter och djur','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.1.1',465),(11026,'','TradeIndustryAndMarkets',NULL,89,6461,8901,'HANDEL, INDUSTRI OCH MARKNADER','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.1.1',465),(11027,'Anställdas arbetsförhållanden, till exempel olika former av anställningar, arbetstid (arbetstimmar, raster, skift, arbetsscheman, övertid), lön och arvodering, ett arbetes fysiska aspekter och mentala krav, anställdas rättigheter och ansvar, arbetsbelastning, anställdas delaktighet i beslutsfattande, rätten till olika typer av ledighet, fysisk arbetsmiljö. Frågor om arbetsplatssäkerhet ingår även i \"Arbets- och miljömedicin\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,6481,8899,'Arbetsförhållanden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.1.1',465),(11028,'Data om sysselsättningsgrad och -statistik, arbetsmarknaden, lediga jobb, jobbsökande, arbetsförmåga, sysselsättning av särskilda grupper (t.ex. ungdomar eller personer ur minoritetsgrupper), arbetsförmedlingen och karriär. Använd \"Arbetsförhållanden\" om det gäller löner och arvoden.','LabourAndEmployment.Employment','LabourAndEmployment',35,6460,8940,'Sysselsättning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.1.1',465),(11029,'Ämnen som rör samhällseliters förekomst, roller och påverkan. Som elit räknas individer och grupper med stor social, politisk eller ekonomisk makt och möjlighet att påverka, antingen genom direkt beslutsfattande eller genom de idéer och åsikter de uttrycker eller representerar. Här återfinns frågor om inflytelserika personer inom alla samhällsområden, till exempel politiska beslutsfattare, partiledare, inflytelserika artister och framstående personer inom media eller sociala medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,6435,8939,'Eliter och ledarskap','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.1.1',465),(11030,'Data om religiöst utövande, religiösa samfund, andlighet, moralitet och andra värderingar.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,6422,8944,'Religion och värderingar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.1.1',465),(11031,'Använd en lämplig ämnesterm för historiska data tillsammans med den här bredare termen. Använd till exempel HISTORIA plus \"Arbetsförhållanden\" och \"Hälso- och sjukvårdstjänster och -politik\" för data om arbetsförhållanden för husläkare på 1960-talet. Huvudtermen HISTORIA ska användas ensam enbart då det inte finns någon ämnesterm.','History',NULL,29,6440,8981,'HISTORIA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.1.1',465),(11032,'Kan behöva ett ytterligare ämne om ungdomar studeras ur ett särskilt perspektiv.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,6497,8929,'Ungdomar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.1.1',465),(11033,'Diskussioner kring utbildningspolitik och -principer samt beslut kring och principer för utbildning och anordnade av utbildning på nationell, regional eller lokal nivå. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','Education.EducationalPolicy','Education',12,6444,8911,'Utbildningspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.1.1',465),(11034,'Använd den här kategorin för studier om jordbruksproduktion och alla landsbygdsnäringar, till exempel fiskodlingar och skogsbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,6464,8948,'Jordbruk och landsbygdsnäring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.1.1',465),(11035,'Inkluderar alla typer av varutransporter samt pendlande, kollektivtrafik (tåg, bussar, tunnelbana osv.) och urbana transportnätverk. Data om rörelsemönster, till exempel gränshandel, resvägar och resesätt till olika destinationer. Använd termen \"Fritid, turism och sport\" för nöjesresor.','TransportAndTravel',NULL,93,6475,8921,'TRANSPORT OCH RESOR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.1.1',465),(11036,'','LabourAndEmployment',NULL,33,6503,8946,'ARBETE OCH SYSSELSÄTTNING','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.1.1',465),(11037,'Data om identitetsskapande, hur människor definierar sig och vilka grupper de känner tillhörighet med utifrån nationalitet, plats, samhällsklass, generation, etnisk tillhörighet, religion eller andra sociala/kulturella grupperingar. Detta omfattar även egen eller andras exkludering ur dessa grupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,6421,8958,'Kulturell och nationell identitet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.1.1',465),(11038,'Processer, funktioner eller system för fortplantning inom alla livsstadier. Detta omfattar data om graviditet, födsel, familjeplanering, preventivmedel, aborter och klimakteriet.','Health.ReproductiveHealth','Health',25,6500,8897,'Fortplantningshälsa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.1.1',465),(11039,'','ScienceAndTechnology',NULL,62,6423,8972,'VETENSKAP OCH TEKNOLOGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.1.1',465),(11040,'','Demography',NULL,0,6425,8980,'DEMOGRAFI (POPULATION, VITALSTATISTIK OCH FOLKRÄKNINGAR)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.1.1',465),(11041,'Beslut och principer på nationell, regional eller lokal nivå om välfärd, till exempel hur den ska finansieras och tillhandahållas, vem som har rätt till vilka sociala tjänster, ersättningar och bidrag och vad som berättigar till dem, samt vem som kan erbjuda tjänsterna. Exempel på detta är principer om att äldre ska bo kvar i hemmet så länge som möjligt och regler för hur länge någon är berättigad till arbetslöshetsersättning. Använd även \"Lagstiftning och rättssystem\" för befintliga lagar och förordningar.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,6437,8974,'Välfärdspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.1.1',465),(11042,'Data om olika aspekter av samhällsliv eller livet i stad och på landsbygd. Åsikter om och bilden av ens omgivning eller om städer och landsbygd. Service, infrastruktur och affärsmöjligheter i ens omgivning.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,6471,8928,'Lokalsamhälle, stads- och landsbygdsliv','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.1.1',465),(11043,'','NaturalEnvironment',NULL,49,6474,8900,'NATUR OCH MILJÖ','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.1.1',465),(11044,'Data om ekonomisk politik, inklusive budget- och finanspolitik, offentliga utgifter och offentliga intäkter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8295,8917,'Ekonomisk politik, offentliga utgifter och intäkter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.1.1',465),(11045,'Data om internationell eller nationell lagstiftning, administrativa föreskrifter, rättssystemet (domstolarnas makt och aktivitet), alternativ tvistlösning och reparativ rättvisa, straff med mera.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,6436,8966,'Lagstiftning och rättssystem','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.1.1',465),(11046,'Inkluderar immigration, emigration, intern migration samt andra typer av geografisk rörlighet. Immigration (invandring) innebär att bosätta sig i ett annat land än sitt hemland. Emigration (utvandring) innebär att lämna sitt hemland för att bosätta sig i ett annat land. Migration används som ett paraplybegrepp för båda förflyttningarna. Migration omfattar även intern migration, det vill säga geografiska folkförflyttningar inom ett land.','Demography.Migration','Demography',2,6502,8918,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.1.1',465),(11047,'Data om hur mycket tid den studerade populationen lägger på olika aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,6455,8950,'Tidsanvändning','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.1.1',465),(11048,'','Politics',NULL,54,6418,8914,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.1.1',465),(11049,'Data om lingvistikstudier, lingvistiska analyser och sociolingvistik samt data om språkpolicyer, människors språkkunskaper, vilka språk som talas på arbetsplatsen och i hemmet, attityder gentemot minoritetsspråk osv.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,6501,8941,'Språk och lingvistik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.1.1',465),(11050,'Data om kapitalism, socialism och andra ekonomiska system samt data om till exempel internationella utvecklingsprogram.','Economics.EconomicSystemsAndDevelopment','Economics',8,6499,8933,'Ekonomiska system och ekonomisk utveckling','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.1.1',465),(11051,'Ämnen om politisk styrning på nationell, regional och lokal nivå, deras förvaltningar (t.ex. regering, riksdag och kommunfullmäktige), offentlig förvaltning och andra politiska organisationer, som politiska partier. Till exempel data om regeringspolitik, politiska partier och deras politik, partiledare, förtroendet för det politiska systemet.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8297,8971,'Regering, politiska system och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.1.1',465),(11052,'Data om samhällsförändringar, inklusive attitydförändringar.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,6414,8908,'Social förändring','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.1.1',465),(11053,'Gäller anskaffning och/eller användning av något som tillgodoser en persons, en grupps eller ett samhälles behov och önskemål. Data i den här kategorin inkluderar konsumtionsmönster, förändringar av konsumtionsmönster och data om konsumtionsetik. Till exempel undersökningsdata om hur ofta människor köper vissa produkter, när och var de handlar och huruvida etiska överväganden påverkar deras konsumtionsval.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,6490,8891,'Konsumtion och konsumentbeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.1.1',465),(11054,'Omfattar problem med miljöförstörelse, föroreningar, miljöskydd, klimatförändringar, förebyggande åtgärder mot översvämningar och jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,6441,8959,'Miljö och naturvård','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.1.1',465),(11055,'Att skapa, sprida, använda, integrera och manipulera information som en betydande ekonomisk, politisk och kulturell aktivitet. Till exempel data om e-handel, e-förvaltning, sociala medier, mobila enheter, tillgång till och användning av Internet, \"e-privacy\" (integritet och telekommunikation), biblioteks- och informationstjänster. Använd \"Informationsteknik\" när det gäller den faktiska tekniken.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,6447,8968,'Informationssamhället','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.1.1',465),(11056,'Globala beslutsprocesser, diplomati, utrikespolitik, mellanstatliga relationer, internationella organisationer (t.ex. EU, WHO, FN, WTO) och internationella avtal, konventioner och överenskommelser.','Politics.InternationalPoliticsAndOrganisations','Politics',58,6495,8902,'Internationell politik och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.1.1',465),(11057,'Données sur le taux et les statistiques d\'emploi, sur le marché du travail, les emplois vacants, la recherche d\'emploi, les caractéristiques d\'emploi, l\'emploi de certains groupes (e. g. l\'emploi des jeunes ou des immigrés), les emplois de service, carrière. Pour le salaire et l\'indemnisation utilisez \'Conditions de travail\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,8632,8940,'Emploi',NULL,459),(11058,'La morbidité fait référence à l\'incidence de la mauvaise santé dans une population. Les données peuvent couvrir l\'incidence ou le taux de morbidité d\'un problème de santé. Par exemple, le nombre de personnes qui souffrent du cancer du poumon dans un pays ou une aire géographique durant une année. Les données de mortalité indiquent le nombre de morts dans une population selon le lieu, le moment, la cause ou le type d\'individu etc. Par exemple, le taux de mortalité maternelle, le taux de mortalité infantile. Veuillez noter que les données d\'enquêtes auto-administrées sur les maladies et les problèmes de santé sont référencées avec les termes de la catégorie SANTÉ.','Demography.MorbidityAndMortality','Demography',3,8606,8960,'Morbidité et mortalité',NULL,459),(11059,'Idées, idéaux et théories sur les manières dont les gouvernements et les sociétés peuvent être organisés. Les idéologies politiques importantes incluent l\'anarchisme, la démocratie, le libéralisme, le conservatisme etc.','Politics.PoliticalIdeology','Politics',60,8598,8965,'Idéologie politique',NULL,459),(11060,'Données sur les politiques d\'emploi relatives aux relations de travail, au marché du travail et à l\'égalité et la discrimination au travail ; Au niveau national, les politiques incluent l\'influence de la demande et l\'offre de travail et le fonctionnement des marchés du travail. Utilisez \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en œuvre.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,8593,8975,'Politique du travail et de l\'emploi',NULL,459),(11061,'Qualité et disponibilité des services, des installations connexes et du personnel dans le domaine des soins de santé. L\'économie des soins de santé et la politique et les principes de décision au niveau national, régional ou local en matière de soins de santé. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Health.HealthCareServicesAndPolicies','Health',20,8599,8937,'Services et politiques de soins',NULL,459),(11062,'Programmes qui sont conçus pour les apprenants pour leur permettre d\'acquérir des connaissances, des aptitudes et des compétences spécifiques à un emploi, à un métier ou à une catégorie d\'emplois ou de métiers. L\'enseignement professionnel peut avoir des composants basés sur le travail. Couvre l\'enseignement professionnel des niveaux 3-4 de la CITE / ISCED et l\'apprentissage. Inclut des données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.VocationalEducationAndTraining','Education',15,8665,8907,'Enseignement et formation professionnels',NULL,459),(11063,'Traitement de maladie, ou procédure(s) de prévention. Soins au patient au niveau individuel. Recherche sur les médicaments et le traitement d\'une maladie. Données sur, par exemple, les procédures chirurgicales, la réadaptation, la consultation médicale, la physiothérapie, les manipulations musculo-squelettiques, les soins à l\'hôpital ou à domicile, la psychothérapie, les techniques d\'investigations, les médicaments.','Health.MedicationAndTreatment','Health',21,8628,8932,'Médicaments et traitements',NULL,459),(11064,'Données sur la formation de l\'identité, ce que les personnes pensent qu\'elles sont et où est leur place. La relation de l\'identité culturelle et nationale à la représentation et au classement de quelqu\'un comme \"pas l\'un de nous\" (Autre). Les coutumes et les manières, et les attitudes concernant la perception de soi-même et de l\'identité des autres groupes.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,8582,8958,'Identité culturelle et nationale',NULL,459),(11065,'','SocietyAndCulture',NULL,79,8581,8962,'SOCIÉTÉ ET CULTURE',NULL,459),(11066,'Questions liées à l\'implantation de l\'aide sociale, qui fournit les services d\'aide sociale en pratique et dans quelle mesure, comment les services en question sont structurés. Par exemple, les questions sur la manière dont une collectivité territoriale a organisé les services pour les personnes âgées.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,8572,8978,'Systèmes / structures de protection sociale',NULL,459),(11067,'Données sur les élections, les référendums, les campagnes électorales, les résultats des élections, les candidats aux élections, les sélectionneurs des candidats, le financement électoral etc.','Politics.Elections','Politics',56,8601,8898,'Élections',NULL,459),(11068,'Données sur les expositions et les maladies professionnelles, la sécurité au travail, les congés de maladie, la capacité de travail et l\'invalidité, ou la pension d\'invalidité liée au travail.','Health.OccupationalHealth','Health',22,8639,8916,'Santé au travail',NULL,459),(11069,'Participation active ou passive à tout type d\'activités culturelles, ainsi que les opinions et les perceptions les concernant.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,8571,8984,'Activités culturelles et participation',NULL,459),(11070,'Les questions liées à la gouvernance nationale, régionale et locale, aux instances gouvernantes (e. g. le gouvernement, le parlement, les instances gouvernantes locales), à l\'administration publique, aux autres organisations politiques telles que les partis politiques. Par exemple, des données sur les politiques gouvernementales, les partis politiques et leurs politiques, les dirigeants des partis politiques, la confiance dans les instances gouvernantes. Veuillez noter que vous pouvez avoir besoin d\'utiliser une thématique politique également.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8634,8971,'Gouvernement, systèmes et organisations politiques',NULL,459),(11071,'Mouvements d\'individus, de familles ou de groupes d\'individus dans les statuts sociaux et professionnels au fil du temps. Le mouvement peut être horizontal, c\'est-à-dire, changement de position à l\'intérieur d\'une même catégorie de statuts, ou vertical où des individus peuvent se déplacer vers le haut ou vers le bas dans la hiérarchie des statuts. Par exemple, des ouvriers dans des industries en déclin peuvent devenir des ouvriers dans toute autre industrie (mobilité horizontale professionnelle), ou des enfants de familles pauvres peuvent atteindre une classe sociale plus élevée que leurs parents (mobilité sociale intergénérationnelle verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,8608,8982,'Mobilité sociale et professionnelle',NULL,459),(11072,'Inclut immigration, émigration, migration interne ainsi que d\'autres types de mobilité géographique. L\'immigration signifie venir s\'établir dans un autre pays que son pays d\'origine. L\'émigration signifie quitter son pays d\'origine pour s\'installer dans un autre pays. La migration est le terme générique pour les deux. La migration inclut aussi la migration interne, c\'est-à-dire, le déplacement de personnes au sein d\'un pays à différents niveaux géographiques.','Demography.Migration','Demography',2,8613,8918,'Migration',NULL,459),(11073,'Couvre les problèmes de dégradation environnementale, de pollution, de protection de l\'environnement, de changement climatique, de prévention des inondations, d\'érosion des sols.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,8623,8959,'Environnement et conservation',NULL,459),(11074,'','HousingAndLandUse',NULL,30,8612,8910,'LOGEMENT ET UTILISATION DES TERRES',NULL,459),(11075,'Utilisez la thématique appropriée pour des données historiques ainsi que le terme générique ici. Par exemple, \'Conditions de travail\' et \'Services et politiques de soins\' plus HISTOIRE pour des données sur les environnements de travail des médecins de famille dans les années 1960. Le terme générique histoire est à utiliser seulement dans les cas où aucune thématique historique ne peut être trouvée.','History',NULL,29,8647,8981,'HISTOIRE',NULL,459),(11076,'Utilisez pour des études sur l\'accumulation de biens personnels, incluant le revenu, la propriété, les placements et les épargnes.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8617,8906,'Revenu, propriété et placement / épargne',NULL,459),(11077,'Les ressources naturelles sont des ressources telles que la terre, les forêts, les sources d\'énergie, l\'eau, les minéraux qui existent naturellement et peuvent être utilisés pour la production économique ou la consommation. Les ressources énergétiques incluent les combustibles fossiles tels que le pétrole, le gaz naturel ou le charbon, ainsi que le nucléaire, le solaire, l\'énergie marémotrice, l\'éolien ou à partir d\'organismes vivants qui peuvent être remplacés.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,8624,8922,'Énergie et ressources naturelles',NULL,459),(11078,'Les indicateurs économiques précisent dans quelle direction une économie s\'oriente et intègrent, par exemple, le taux de croissance du PIB, le taux d\'emploi, d\'inflation et d\'intérêt, les activités de consommation et d\'investissement, la dette des ménages. Cela est aussi utilisé pour les conditions économiques des individus et des ménages qui ont été interrogés ou enregistrés.','Economics.EconomicConditionsAndIndicators','Economics',6,8658,8967,'Conditions et indicateurs économiques',NULL,459),(11079,'Relations entre employeurs et employés.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,8604,8957,'Relations / conflits au travail',NULL,459),(11080,'Prévention et contrôle des maladies et du handicap et la promotion de la santé physique et mentale de la population au niveau international, national, étatique, ou municipal. Par exemple, la promotion de la santé, la prévention de maladies, l\'impact des programmes de santé publique, la gestion locale, nationale ou mondiale des problèmes de santé, l\'épidémiologie d\'une maladie, d\'une pathologie, d\'un pathogène ou d\'une épidémie.','Health.PublicHealth','Health',24,8618,8926,'Santé publique',NULL,459),(11081,'Blessures et lésions, à la fois physiques et psychologiques, causées soit par des accidents ou des violences (par des comportements agressifs individuels ou de groupe). Si blessures ou lésions en relation au travail, utilisez \'Santé au travail\'.','Health.WoundsAndInjuries','Health',28,8586,8952,'Blessures et lésions',NULL,459),(11082,'','Education',NULL,10,8661,8954,'ÉDUCATION',NULL,459),(11083,'Peut nécessiter une thématique supplémentaire, si les personnes âgées sont étudiées d\'un point de vue particulier.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,8633,8979,'Personnes âgées',NULL,459),(11084,'Couvre les paysages et les éléments du territoire qui n\'ont pas été directement modifiés par les humains.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,8644,8956,'Paysages naturels',NULL,459),(11085,'','LabourAndEmployment',NULL,33,8651,8946,'TRAVAIL ET EMPLOI',NULL,459),(11086,'','Health',NULL,16,8600,8894,'SANTÉ',NULL,459),(11087,'Inclut les études mesurant la qualité du logement dans une communauté, incluant le logement social, ainsi que la disponibilité et le prix du logement. Logement inclut les maisons, les résidences secondaires et les maisons de vacances.','HousingAndLandUse.Housing','HousingAndLandUse',31,8576,8964,'Logement',NULL,459),(11088,'Décisions prises et principes adoptés à un niveau national, régional ou local concernant la protection sociale, son financement et son implantation, par exemple, qui a droit à quel type de services et prestations sociales et pourquoi, quel est leur niveau, et qui peut fournir les services. Par exemple, une politique du maintien des personnes âgées à domicile aussi longtemps que possible, une politique concernant la durée pendant laquelle les personnes peuvent avoir une allocation chômage. Utilisez aussi le terme \'Législation et systèmes juridiques\' pour les lois et les règlements déjà mis en oeuvre.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,8631,8974,'Politique de protection sociale',NULL,459),(11089,'Données sur la condition physique de la population, ainsi que sur le niveau d\'activité physique et sportive.','Health.PhysicalFitnessAndExercise','Health',23,8597,8909,'Condition et activité physique',NULL,459),(11090,'L\'enseignement obligatoire fait référence à la période de l\'éducation qui est requise pour toutes les personnes vivant dans un pays et qui est imposée par la loi. L\'enseignement préscolaire fait référence à la garde formelle des enfants et à l\'éducation dispensée avant l\'enseignement obligatoire. Utilisez ce terme pour référencer des données relatives à l\'enseignement préscolaire, primaire, les premiers niveaux du secondaire, que les données portent ou non sur les élèves, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.CompulsoryAndPreschoolEducation','Education',11,8583,8927,'Enseignement obligatoire et pré-scolaire',NULL,459),(11091,'','ScienceAndTechnology',NULL,62,8577,8972,'SCIENCE ET TECHNOLOGIE',NULL,459),(11092,'Couvre les animaux domestiques, de production et sauvages, ainsi que tous les types de plantes (e. g. fleurs, arbres, mousses, légumes).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,8602,8955,'Plantes et animaux',NULL,459),(11093,'Données sur l\'industrie et les entreprise telles que la gestion, la production, la croissance et le déclin, la structure organisationnelle, l\'administration, les investissement en R&amp;D, les marchés et la part de marché.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,8640,8953,'Gestion et organisation de l\'entreprise et de l\'industrie',NULL,459),(11094,'Inclut tous les modèles de retraite tels que la retraite \'progressive\' ou la retraite \'flexible\', les données sur l\'âge de la retraite et la retraite anticipée.','LabourAndEmployment.Retirement','LabourAndEmployment',38,8605,8903,'Retraite',NULL,459),(11095,'Utilisez pour des études sur le capitalisme, le socialisme et sur d\'autres systèmes économiques et pour des études, par exemple, sur des programmes internationaux de développement.','Economics.EconomicSystemsAndDevelopment','Economics',8,8650,8933,'Systèmes et développements économiques',NULL,459),(11096,'Par exemple, des données sur le volume de la population qui utilise des services sociaux spécifiques, les opinions sur l\'adéquation, l\'accessibilité et la disponibilité des services spécifiques, et la satisfaction générale avec eux. Par exemple, des questions sur quel service les personnes âgées ont utilisé, ou l\'utilisation de statistiques sur des services en particulier.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,8574,8938,'Services sociaux spécifiques : utilisation et disponibilité',NULL,459),(11097,'Couvre tous les aspects de la qualité de vie et du bien-être des individus et des sociétés, ainsi que la perceptions que les personnes en ont. S\'il vous plait veuillez noter que, selon l\'aspect étudié, les termes \'Santé et bien-être\', \'Conditions et indicateurs économiques\', etc. peuvent aussi être pertinent.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,8654,8942,'Conditions et indicateurs sociaux',NULL,459),(11098,'Peut nécessiter une thématique supplémentaire, si les jeunes sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,8652,8929,'Jeunes',NULL,459),(11099,'Technologies de l\'information et de la communication qui sont utilisées à la maison, au travail et dans d\'autres lieux. Veuillez noter que l\'utilisation et l\'impact de ces technologies sont incluses dans \'Société de l\'information\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,8607,8969,'Technologie de l\'information',NULL,459),(11100,'Les questions liées à l\'existence, aux rôles et à l\'impact des élites dans la société, c\'est-à-dire, les individus ou les groupes qui ont une quantité considérable de pouvoir ou d\'influence sur la société, les politiques, la richesse etc. soit à travers les décisions qu\'ils prennent ou, par exemple, à travers les idées ou les sentiments qu\'ils expriment ou représentent. Inclut les questions traitant des personnes influentes dans toutes les sphères de la société, par exemple, les décideurs de la vie politique, les chefs des partis politiques, les artistes influents, les personnalités des médias de masse ou des réseaux sociaux etc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,8595,8939,'Élites et dirigeants',NULL,459),(11101,'Données sur la criminalité, la prévention de la criminalité, les victimes d\'actes criminels, les criminels, ainsi que la police, les services secrets, les établissements pénitentiaires (e. g. prisons, les établissements pénitentiaires pour jeunes), les contrôles aux frontières et les douanes. Inclut aussi les données sur les équipes et les installations de ces services.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,8630,8930,'Criminalité et application de la Loi',NULL,459),(11102,'La création, la distribution, l\'utilisation, l\'intégration et la manipulation des informations comme une activité économique, politique et culturelle importante. Par exemple, des données relatives au commerce électronique, à l\'administration en ligne, les réseaux sociaux, les appareils mobiles, l\'accès et l\'utilisation de l\'Internet, la vie privée en ligne, les informations et les ressources des bibliothèques. Utilisez \'Technologie de l\'information\' quand vous parlez des technologies actuelles.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,8636,8968,'Société de l\'information',NULL,459),(11103,'Fait référence aux possibilités d\'enseignements sous diverses formes à destination des adultes après qu\'ils aient quittés le système d\'éducation classique. Les adultes peuvent s\'engager dans un tel enseignement pour, par exemple, améliorer leurs aptitudes, leurs qualifications, pour se reconvertir pour un nouveau métier, ou juste pour apprendre quelque chose de nouveau. N\'inclut pas généralement l\'enseignement menant à une qualification, ou à la formation professionnelle.','Education.LifelongContinuingEducation','Education',14,8642,8895,'Formation tout au long de la vie / continue',NULL,459),(11104,'','NaturalEnvironment',NULL,49,8580,8900,'ENVIRONNEMENT NATUREL',NULL,459),(11105,'Données se référant à tout type de médias de masse. Par exemple, les journaux papier ou en ligne, les magazines, la télévision et la radio. S\'il vous plait veuillez noter que les réseaux sociaux sont référencés avec le terme \'Société de l\'information\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,8573,8925,'Média',NULL,459),(11106,'Groupes d\'individus qui diffèrent de la majorité de la population d\'une façon ou d\'une autre. Les caractéristiques différenciantes incluent, par exemple, l\'ethnicité, la religion, la santé, l\'orientation sexuelle, la première langue (la langue maternelle) et la culture. S\'il vous plait veuillez noter que vous pouvez aussi utiliser les termes \'Égalité, inégalité et exclusion sociale\' ou \'Langue et linguistiques\' pour certaines questions relatives aux questions des minorités.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,8621,8893,'Minorités',NULL,459),(11107,'Données sur la législation internationale ou nationale, les réglementations administratives, le système judiciaire (pouvoirs et activités des tribunaux), les modes alternatifs de résolutions de litiges et de justice réparatrice, les sanctions.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,8584,8966,'Législation et systèmes juridiques',NULL,459),(11108,'Les habitudes de loisirs, les activités de loisirs et les passe-temps. Inclut le fait d\'assister aux spectacles sportifs, les compétitions sportives, et les voyages d\'agréments. Pour des données sur l\'exercice physique pour rester en forme, utilisez \'Condition et activité physique\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,8638,8919,'Loisirs, tourisme et sport',NULL,459),(11109,'Étude des maladies, troubles, syndromes spécifiques diagnostiquées (souvent classés dans la CIM-10 ou ses versions précédentes). Par exemple, la recherche médicale sur les causes du diabète ou l\'étude sur le rétablissement physique et mentale des personnes qui ont eu une chirurgie cardiaque.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,8603,8905,'Maladies, troubles spécifiques et conditions médicales',NULL,459),(11110,'Données sur la politique économique, incluant le budget et la politique fiscale, les dépenses publiques et les recettes publiques.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8614,8917,'Politique économique, dépenses publiques et recettes',NULL,459),(11111,'Discussions sur la politique et les principes, et les décisions prises et les principes adoptés au niveau national, régional ou local concernant l\'éducation et son implantation. Utilisez \"Législation et systèmes juridiques\" pour les lois et les règlements déjà mis en œuvre.','Education.EducationalPolicy','Education',12,8589,8911,'Politique éducative',NULL,459),(11112,'Peut nécessiter une thématique supplémentaire, si les enfants sont étudiés d\'un point de vue particulier.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,8619,8892,'Enfants',NULL,459),(11113,'','Economics',NULL,4,8585,8904,'ÉCONOMIE',NULL,459),(11114,'','Psychology',NULL,61,8575,8973,'PSYCHOLOGIE',NULL,459),(11115,'Identité de genre ; les représentations sexuées (e. g. représentation des genres dans les organes de décision, dans les médias, dans la littérature etc.) ; les caractéristiques sociales, culturelles et psychologiques liées aux hommes et aux femmes ; les études sur les femmes ; les études sur les hommes ; les comportements et les choix attendus en fonction des rôles de genre et l\'impact de ces attentes.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,8653,8931,'Genre et rôles de genre',NULL,459),(11116,'Étude des conditions anatomiques ou physiologiques anormales et des conditions objectives ou subjectives des maladies / des symptômes pas classées comme des maladies ou des syndromes (dans ce cas \'Maladies, troubles ou problèmes de santé spécifiques\' serait utilisé). Inclut les manifestations cliniques qui peuvent être objectives lorsqu\'elles sont observées par un professionnel de santé ou subjective quand elles sont perçues par le patient. E. g. douleur, diarrhée, éruption cutanée, inégalité de longueur de jambe, insomnie, grincement de dents, inflammation, arythmie.','Health.SignsAndSymptomsPathologicalConditions','Health',26,8615,8961,'Signes et symptômes ; conditions pathologiques',NULL,459),(11117,'Données sur le comportement social ; l\'interaction sociale et les réseaux ; les responsabilités sociales, les normes et les règles ; et les attitudes face à ces questions.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,8579,8947,'Comportement social et attitudes',NULL,459),(11118,'Utilisez si la thématique est connue, mais pas présente dans la liste.','Other',NULL,94,8626,8945,'AUTRE',NULL,459),(11119,'Couvre l\'enseignement général des niveaux 3-4 de la CITE / ISCED ainsi que l\'enseignement supérieur, c\'est-à-dire l\'enseignement secondaire supérieur, et le lycée, les Hautes Écoles, les universités. Inclut les données sur les étudiants, les enseignants, les matières ou les compétences enseignées, les installations etc.','Education.HigherAndFurtherEducation','Education',13,8660,8920,'Enseignement secondaire et du supérieur',NULL,459),(11120,'Couvre les questions relatives aux familles, aux parents, aux générations et à la composition du ménage. Par exemple, des données sur l\'éducation des enfants, la division du travail au sein de la famille, le soutien apporté aux membres de la famille.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,8616,8943,'Vie de famille et mariage',NULL,459),(11121,'Echange de capitaux, de biens, ou de services au-delà des frontières internationales.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,8591,8976,'Commerce extérieur',NULL,459),(11122,'Inclut tous les types de transports de marchandises ainsi que les navettes et les transports publics (trains, bus, métro, etc.), et les réseaux de transport urbain. Des données sur les habitudes de mobilité, par exemple, les achats transfrontaliers, les routes et les moyens utilisés pour accéder à un endroit. Utilisez le terme \'Loisirs, tourisme et sport\' pour des voyages d\'agrément.','TransportAndTravel',NULL,93,8645,8921,'TRANSPORT ET VOYAGE',NULL,459),(11123,'Utilisez cette catégorie pour des études sur la production agricole et toutes industries rurales, y compris, par exemple, les industries de la pêche et la sylviculture.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,8659,8948,'Industrie agricole et rurale',NULL,459),(11124,'Études sur le bien-être en général ou l\'état de santé d\'un individu, d\'un groupe ou d\'une population. Peut être objectivement mesuré / observé ou auto-perçu. Le bien-être inclut, par exemple, la capacité ou l\'état physique et mental, ainsi que l\'état social.','Health.GeneralHealthAndWellbeing','Health',19,8611,8935,'Santé et bien-être',NULL,459),(11125,'Les enjeux de savoir si tous les individus ou des groupes d\'individus ont le même statut et les mêmes chances dans la société. L\'égalité peut être étudiée, par exemple, en termes d\'éducation, de patrimoine (financier) ou de revenus, de position professionnelle, de pouvoir, de prestige, de conditions de travail et de temps libre, d\'accès aux services, et de relations sociales. La marginalisation et l\'exclusion sociale peuvent être le résultat d\'un désavantage systématique dans de multiples domaines de la vie, et les personnes concernées peuvent être privées de droits, d\'opportunités, de ressources et d\'intégration sociale. Exemples de données : statistiques sur l\'égalité des revenus, la discrimination perçue par un groupe (e. g. à l\'égard des étrangers, des sans-domiciles, des demandeurs d\'asile) ; différences perçues entre les hommes et les femmes concernant les possibilités de jouer un rôle majeur en politique ; impact du chômage des parents sur le niveau d\'éducation des enfants et des relations sociales.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,8657,8949,'Égalité, inégalité et exclusion sociale',NULL,459),(11126,'Mesures adoptées pour améliorer ou préserver l\'image des individus, des entreprises, des organisations, et des gouvernements par exemple par le biais de la publicité, du lobbying etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,8620,8934,'Relations publiques',NULL,459),(11127,'Utilisation de processus biomoléculaires et cellulaires pour créer de nouveaux produits et procédés technologiques.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,8596,8970,'Biotechnologie',NULL,459),(11128,'Données sur le temps consacré par la population à diverses activités.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,8641,8950,'Emploi du temps',NULL,459),(11129,'','TradeIndustryAndMarkets',NULL,89,8643,8901,'COMMERCE, INDUSTRIE ET MARCHÉS',NULL,459),(11130,'Données sur l\'abus de drogues et d’autres produits psychotropes. Données sur les habitudes de consommation d\'alcool e de tabac. Notez : Pour les données relatives à l\'usage médicinal des drogues (comme l\'usage médicinal du cannabis), utilisez \'Médicaments et traitements\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10865,8985,'Toxicomanie, alcool et tabagisme ',NULL,459),(11131,'La gouvernance mondiale, la diplomatie, la politique étrangère, les relations entre pays, les organisations internationales (e. g. l\'UE, l\'OMS, l\'ONU, l\'OMC), et les accords internationaux.','Politics.InternationalPoliticsAndOrganisations','Politics',58,8629,8902,'Politiques et organisations internationales',NULL,459),(11132,'Sécurité et sûreté intérieures et internationales ; conflits intérieurs et internationaux ; guerre et paix ; défense nationale et forces de défense (l\'armée). Veuillez noter que la police est incluse dans \'Criminalité et application de la Loi\'','Politics.ConflictSecurityAndPeace','Politics',55,8648,8983,'Conflit, sécurité et paix',NULL,459),(11133,'Formation interne et formation continue financée par l\'employeur pour accroître les aptitudes et les compétences des employés. N\'inclut pas l\'apprentissage, qui est inclus dans \'Enseignement et formation professionnels\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,8649,8923,'Formation interne',NULL,459),(11134,'Données incluant les études linguistiques, les analyses linguistiques et sociolinguistiques, ainsi que des données sur les politiques de langage, les compétences en termes de langues de la population, les langues parlées au travail et à la maison, les attitudes envers les langues minoritaires etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,8594,8941,'Langue et linguistiques',NULL,459),(11135,'Inclut à la fois l\'aménagement du territoire et la planification de l\'utilisation du sol. La planification de l\'utilisation du sol fait référence aux procédures mises en œuvre pour assurer une utilisation optimale et durable des terres dans les communautés rurales et urbaines.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,8592,8951,'Aménagement et planification du territoire',NULL,459),(11136,'','SocialWelfarePolicyAndSystems',NULL,75,8622,8913,'POLITIQUE ET SYSTÈMES DE PROTECTION SOCIALE',NULL,459),(11137,'Données sur les attitudes politiques des partis, l\'engagement politique et la participation dans le processus politique, le comportement électoral, la satisfaction à l\'égard du gouvernement. Utilisez \'Idéologie politique\' pour des données sur des doctrines spécifiques.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,8656,8915,'Comportements et attitudes politiques',NULL,459),(11138,'Données qui traitent des questions de comportements religieux, de mouvements religieux, de la spiritualité, de la moralité et d\'autres valeurs.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,8578,8944,'Religion et valeurs',NULL,459),(11139,'Fait référence à l\'acte d\'acquérir et / ou utiliser quelque chose pour répondre aux besoins et aux demandes d\'une personne, d\'une communauté ou d\'une société. Les données de cette catégorie incluent des modèles de comportements de consommateurs, leurs changements, et des études sur l\'éthique du consommateur. Par exemple, des données d\'enquête sur la fréquence d\'achats de certains articles ; quand et où ils achètent ; si des considérations éthiques influencent leurs choix de consommation.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,8664,8891,'Consommation et comportement des consommateurs',NULL,459),(11140,'','MediaCommunicationAndLanguage',NULL,44,8662,8977,'MÉDIA, COMMUNICATION ET LANGAGE',NULL,459),(11141,'Données relatives à différents aspects de la vie en communauté, ou dans des zones urbaines et rurales. Opinions et images du quartier, des zones urbaines ou rurales. Services, équipements et activités économiques dans le quartier.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,8635,8928,'Vie communautaire, urbaine et rurale',NULL,459),(11142,'Enquêtes sur l\'ensemble d\'une population, par opposition à une enquête par sondage. Souvent utilisé pour le dénombrement officiel d\'une population, comprenant habituellement le recueil d\'informations démographiques associées. Veuillez noter que les recensements de certains pays ne sont pas utilisés car les informations démographiques peuvent être obtenus à partir des registres officiels.','Demography.Censuses','Demography',1,8637,8936,'Recensement',NULL,459),(11143,'','Politics',NULL,54,8610,8914,'POLITIQUE',NULL,459),(11144,'Les conditions de travail des employés. Par exemple, les types de contrat, le temps de travail (heures de travail, les périodes de repos, les horaires de travail, les heures supplémentaires), le salaire et l\'indemnisation, les aspects physique et exigences mentales du travail, les droits et responsabilités des employés, la charge de travail, l\'implication de l\'employé dans la prise de décision, les droits de congés, l\'environnement physique. Pour les problèmes de la sécurité sur le lieu de travail utilisez aussi \'Santé au travail\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,8625,8899,'Conditions de travail',NULL,459),(11145,'','Demography',NULL,0,8663,8980,'DÉMOGRAPHIE (POPULATION, ÉTAT CIVIL, ET RECENSEMENT)',NULL,459),(11146,'','SocialStratificationAndGroupings',NULL,65,8646,8912,'STRATIFICATION ET GROUPES SOCIAUX',NULL,459),(11147,'Données sur les changements dans la société, incluant les changements d\'attitudes.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,8590,8908,'Changement social',NULL,459),(11148,'Processus nutritionnel, habitudes et pratiques alimentaires et, paramètres nutritionnels mesurables tels que l\'indice de masse corporelle (IMC), le poids, les niveaux de vitamines.','Health.DietAndNutrition','Health',17,8655,8896,'Alimentation et nutrition',NULL,459),(11149,'','LawCrimeAndLegalSystems',NULL,41,8588,8963,'LOI, CRIMINALITÉ ET SYSTÈME LÉGAL',NULL,459),(11150,'Données sur le taux et les statistiques du chômage, les programmes et schémas d\'emploi, la durée et la fréquence du chômage, l\'impact social et psychologique du chômage etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,8627,8924,'Chômage',NULL,459),(11151,'Processus, fonction ou système reproductif à toutes les étapes de la vie. Inclut des données sur les grossesses, les naissances, la planification familiale, la contraception et l\'avortement, la ménopause.','Health.ReproductiveHealth','Health',25,8587,8897,'Santé reproductive',NULL,459),(11152,'Pokriva pitanja vezana za porodicu, rođake, generacije i sastav domaćinstva. Na primer, podaci o odgajanju dece, podeli rada unutar porodice, podršci članovima porodice.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,7498,8943,'Porodični život i brak',NULL,464),(11153,'Morbiditet je, u demografskom smislu, apsolutni ili relativni broj oboljenja u određenoj populaciji u određenom periodu. Na osnovu toga moguće je pratiti tok&nbsp; pojava kao što je na primer smrtnost dece, dužina trajanja života i sl. Podaci se mogu odnositi na učestalost ili smrtnost po osnovu nekog medicinskog stanja. Na primer, broj ljudi koji pate od raka pluća u nekoj zemlji ili geografskom području tokom jedne godine. Podaci o smrtnosti (mortalitetu) pokazuju broj smrtnih slučajeva u populaciji prema mestu, vremenu, uzroku ili vrsti lica itd. Na primer, stopa smrtnosti majki, stopa smrtnosti dece. Imajte na umu da su podaci anketa o prijavljenim bolestima i medicinskim stanjima indeksirani u hijerarhiji \"ZDRAVLJE\".','Demography.MorbidityAndMortality','Demography',3,7431,8960,'Morbiditet i mortalitet',NULL,464),(11154,'Podaci o međunarodnom ili nacionalnom zakonodavstvu, administrativnim propisima, pravosudnom sistemu (ovlašćenjima i aktivnostima sudova), alternativnom rešavanju sporova i restorativnoj pravdi, kaznama.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,7471,8966,'Zakonodavstvo i pravni sistem',NULL,464),(11155,'Podaci o partijskim političkim stavovima, političkom angažmanu i učešću u političkom procesu, glasačkom ponašanju, zadovoljstvu vladom. Koristite \'Politička ideologija\' za podatke o određenim doktrinama.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,7487,8915,'Političko ponašanje i stavovi',NULL,464),(11156,'Navike u vezi sa rekreacijom, aktivnostima u slobodno vreme i hobijima. Uključuje praćenje sporta, takmičarske sportove i putovanja u slobodno vreme. Za podatke o vežbanju radi održavanja kondicije koristite „Zdravo ponašanje“.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,7511,8919,'Slobodno vreme, turizam i sport',NULL,464),(11157,'Prehrambeni procesi, obrasci i postupci ishrane i merljivi nutritivni parametri, kao što su indeks telesne mase (BMI), težina, nivo vitamina, i dr.','Health.DietAndNutrition','Health',17,7445,8896,'Dijeta i ishrana',NULL,464),(11158,'Ideje, ideali i teorije o načinu na koji se vlade i društva mogu organizovati. Glavne političke ideologije uključuju anarhizam, demokratiju, liberalizam, konzervativizam, itd.','Politics.PoliticalIdeology','Politics',60,7488,8965,'Politička ideologija',NULL,464),(11159,'','HousingAndLandUse',NULL,30,7458,8910,'STANOVANJE I UPOTREBA ZEMLJIŠTA',NULL,464),(11160,'Interna korporativna obuka i druga obuka zaposlenih koju finansira poslodavac sa ciljem poboljšanja veština i kompetencija zaposlenih. Ne uključuje \"šegrtovanje\", koja je uključeno u „Strukovno obrazovanje i obuke“.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,7462,8923,'Obuka zaposlenih',NULL,464),(11161,'','SocialWelfarePolicyAndSystems',NULL,75,7503,8913,'POLITIKA SOCIJALNE ZAŠTITE I SISTEMI',NULL,464),(11162,'Pokriva domaće, proizvodne i divlje životinje, kao i sve vrste biljaka (npr. cveće, drveće, mahovinu, povrće).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,7481,8955,'Biljke i životinje',NULL,464),(11163,'Unutrašnja i međunarodna bezbednost i sigurnost; unutrašnji i međunarodni sukobi; rat i mir; nacionalna odbrambena i odbrambene snage (vojska). Imajte na umu da je policija obuhvaćena terminom „Kriminal i sprovođenje zakona“.','Politics.ConflictSecurityAndPeace','Politics',55,7483,8983,'Konflikt, sigurnost i mir',NULL,464),(11164,'Koristite ako je tema poznata, ali nije na listi.','Other',NULL,94,7522,8945,'Ostalo',NULL,464),(11165,'','Economics',NULL,4,7432,8904,'EKONOMIJA',NULL,464),(11166,'Pitanja koja se odnose na nacionalnu, regionalnu i lokalnu upravu, upravljačka tela (npr. vlada, parlament, tela lokalne uprave), javna uprava, druge političke organizacije, poput političkih stranaka. Na primer, podaci o politici vlade, političkim strankama i njihovim politikama, liderima političkih stranaka, poverenju u vladine organizacije. Imajte na umu da ćete možda morati da koristite i aktuelne izraze.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,7485,8971,'Vlada, politički sistemi i organizacije',NULL,464),(11167,'','LabourAndEmployment',NULL,33,7461,8946,'RADNA SNAGA I ZAPOŠLJAVANJE',NULL,464),(11168,'Prevencija i kontrola bolesti i invaliditeta, kao i promocija fizičkog i mentalnog zdravlja stanovništva na međunarodnom, nacionalnom, državnom ili lokalnom nivou. Na primer, promocija zdravlja, prevencija bolesti, uticaj javnih zdravstvenih programa, upravljanje lokalnim, nacionalnim ili globalnim zdravstvenim pitanjima, epidemiologija bolesti, stanja ili patogena ili epidemija bolesti.','Health.PublicHealth','Health',24,7452,8926,'Javno zdravlje',NULL,464),(11169,'Možda je potreban dodatni pojam ukoliko se stara lica proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,7495,8979,'Stara lica',NULL,464),(11170,'','SocietyAndCulture',NULL,79,7507,8962,'DRUŠTVO I KULTURA',NULL,464),(11171,'Podaci o profesionalnoj izloženosti i bolestima, zaštiti na radu, bolovanju, radnoj sposobnosti i invalidnosti ili invalidskoj penziji.','Health.OccupationalHealth','Health',22,7450,8916,'Zdravlje na radu',NULL,464),(11172,'Podaci o opštem stepenu kondicije, fizičke aktivnosti i vežbanja koje ljudi sprovode.','Health.PhysicalFitnessAndExercise','Health',23,7451,8909,'Fizička kondicija i vežbanje',NULL,464),(11173,'Podaci o količini vremena koje stanovništvo troši na razne aktivnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,7516,8950,'Upotreba vremena',NULL,464),(11174,'Studija o abnormalnim anatomskim ili fiziološkim stanjima i objektivnim ili subjektivnim manifestacijama bolesti/simptoma, koji nisu klasifikovani kao bolest ili sindrom (u tom slučaju bi se koristio termin \"Specifične bolesti, poremećaji i zdravstvena stanja\"). Uključuje kliničke manifestacije koje mogu biti objektivne, kada ih medicinski stručnjak posmatra ili subjektivne, kada ih pacijent opazi. Na primer, bol, dijareja, osip, nejednakost dužine nogu, nesanica, škripanje zubima, upala, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',26,7454,8961,'Znaci i simptomi; patološka stanja',NULL,464),(11175,'Obuhvata sve aspekte kvaliteta života i blagostanja pojedinaca i društava, kao i percepciju ljudi o tome. Imajte na umu da, prema aspektu koji se proučava, mogu biti relevantni i pojmovi „Opšte zdravlje i blagostanje“, „Jednakost, nejednakost i socijalna isključenost“ i „Ekonomski uslovi i pokazatelji“ itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,7515,8942,'Socijalni uslovi i indikatori',NULL,464),(11176,'Pokriva pitanja degradacije životne sredine, zagađenja, zaštite životne sredine, klimatskih promena, sprečavanja poplava, erozije tla.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,7479,8959,'Okolina i očuvanje',NULL,464),(11177,'Obuhvata opšte obrazovanje u skladu sa Međunarodnom standardnom klasifikacijom obrazovanja (ISCED), koja podrazumeva nivoe od 3-4 godine plus tercijarno obrazovanje, odnosno srednjoškolsko opšte obrazovanje i fakultet, univerzitet primenjenih nauka i univerzitetsko obrazovanje. Sadrži podatke o učenicima, nastavnicima, predmetima ili predavanjima, objektima, itd.','Education.HigherAndFurtherEducation','Education',13,7441,8920,'Srednje i visoko obrazovanje',NULL,464),(11178,'Odnosi između poslodavaca i zaposlenih.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,7465,8957,'Radni odnosi/konflikti',NULL,464),(11179,'','ScienceAndTechnology',NULL,62,7490,8972,'NAUKA I TEHNOLOGIJA',NULL,464),(11180,'Uključuju imigraciju, emigraciju, unutrašnje migracije, kao i druge tipove geografske mobilnosti. Imigracija je proces doseljavanja stanovništva na neki prostor. Emigracija je preseljenje iz domovine u stranu zemlju. Migracija je pojam koji objedinjuje oba prethodna - prostorna (geografska) pokretlјivost stanovništva preko ili unutar državne granice. Migracije uključuju i unutrašnje migracije, koje obuhvataju lica koja su promenila prebivalište, odnosno trajno su se preselila iz svog dosadašnjeg mesta (naselja) stalnog stanovanja u drugo mesto (naselje) unutar granica jedne države.','Demography.Migration','Demography',2,7430,8918,'Migracije',NULL,464),(11181,'Podaci koji se odnose na bilo koju vrstu masovnih medija. Na primer, štampane ili onlajn novine, časopise, televiziju i radio. Imajte na umu da su društveni mediji indeksirani terminom „Informaciono društvo“.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,7475,8925,'Mediji',NULL,464),(11182,'','Demography',NULL,0,7429,8980,'DEMOGRAFIJA (STANOVNIŠTVO, VITALNI DOGAĐAJI/STATISTIKE I POPISI)',NULL,464),(11183,'Podaci o stopama i statistikama nezaposlenosti, programima i šemama zapošljavanja, trajanju i učestalosti nezaposlenosti, socijalnom i psihološkom uticaju nezaposlenosti, itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,7467,8924,'Nezaposlenost',NULL,464),(11184,'Možda je potreban dodatni pojam ukoliko se mladi proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,7502,8929,'Mladi',NULL,464),(11185,'Uslovi pod kojima zaposleni rade. Na primer, vrste ugovora, radno vreme (sati rada, odmori, raspored rada, prekovremeni rad), plata i nadoknade, fizički aspekti i mentalni zahtevi rada, prava i odgovornosti zaposlenih, radno opterećenje, učešće zaposlenih u odlučivanju, odsustvo prava, fizičko okruženje. Za pitanja bezbednosti na radnom mestu koristite i „Zdravlje na radu“.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,7468,8899,'Radni uslovi',NULL,464),(11186,'Podaci o kriminalu, sprečavanju kriminala, žrtvama zločina, kriminalcima, kao i policiji, tajnim službama, popravnim institucijama (zatvorima, popravnim institucijama za mlade), graničnoj kontroli i carini. Takođe uključuje podatke o osoblju i drugim resursima ovih agencija.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,7470,8930,'Kriminal i sprovođenje zakona',NULL,464),(11187,'Studije o specifičnim, dijagnostifikovanim bolestima, poremećajima ili sindromima (često klasifikovanih u Međunarodnoj klasifikaciji bolesti i zdravstvenih problema ICD-10 ili starijim verzijama). Na primer, medicinska istraživanja o uzrocima dijabetesa ili studija o fizičkom i mentalnom oporavku ljudi koji su imali operaciju srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,7455,8905,'Specifične bolesti, poremećaji i zdravstvena stanja',NULL,464),(11188,'Mere usvojene za poboljšanje ili očuvanje imidža pojedinaca, kompanija, organizacija i vlada, na primer putem oglašavanja, lobiranja, itd.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,7476,8934,'Odnosi s javnošću',NULL,464),(11189,'','SocialStratificationAndGroupings',NULL,65,7493,8912,'DRUŠTVENA STRATIFIKACIJA I GRUPE',NULL,464),(11190,'Podaci koji se odnose na pitanja religioznog ponašanja, religioznih pokreta, duhovnosti, morala i drugih vrednosti.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,7512,8944,'Religija i vrednosti',NULL,464),(11191,'Koriste se za studije o akumulaciji lične imovine, uključujući prihode, imovinu, investicije i štednju.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,7437,8906,'Prihod, imovina i investicije / štednja',NULL,464),(11192,'Koriste se za studije koje istražuju kapitalističke, socijalističke i druge ekonomske sisteme, ali za ostale studije, npr. međunarodne razvojne programe.','Economics.EconomicSystemsAndDevelopment','Economics',8,7436,8933,'Ekonomski sistem i razvoj',NULL,464),(11193,'Programi koji su namenjeni učenicima sa ciljem da steknu znanje, veštine i kompetencije specifične za određeno zanimanje, trgovinu ili klasu zanimanja ili zanata. Stručno obrazovanje može imati komponente zasnovane na radu. Pokriva stručno obrazovanje u skladu sa Međunarodnom standardnom klasifikacijom obrazovanja (ISCED) sa nivoima 3-4 godine i tercijarno obrazovanje. Sadrži podatke o učenicima, nastavnicima, predmetima ili predavanjima, objektima, itd.','Education.VocationalEducationAndTraining','Education',15,7443,8907,'Strukovno obrazovanje i obuke',NULL,464),(11194,'','Education',NULL,10,7438,8954,'OBRAZOVANJE',NULL,464),(11195,'Na primer, podaci o tome koliko ljudi koriste određene socijalne usluge, mišljenja o adekvatnosti, pristupačnosti i dostupnosti određenih usluga i opšte zadovoljstvo tim uslugama. Na primer, pitanja o tome koje su usluge koristili stariji ispitanici ili statistički podaci o određenim uslugama.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,7506,8938,'Specifične socijalne službe: upotreba i raspoloživost',NULL,464),(11196,'Podaci o izborima, referendumima, izbornim kampanjama, rezultatima izbora, kandidatima na izborima, izboru kandidata, finansiranju izbora, itd.','Politics.Elections','Politics',56,7484,8898,'Izbori',NULL,464),(11197,'Podaci o zloupotrebi droga i drugih supstanci. Podaci o navikama pušenja i konzumiranja alkohola. Napomena o upotrebi: Za podatke koji obuhvataju medicinsku upotrebu supstanci za rekreaciju (poput upotrebe kanabisa u medicinske svrhe) koristite „Lekovi i lečenje“.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10862,8985,'Zloubotreba droge, alkohola i pušenja',NULL,464),(11198,'Uključuje sve obrasce odlaska u penziju, poput „faznog“ ili „fleksibilnog“ penzionisanja, podatke o starosnoj penziji i ranoj penziji.','LabourAndEmployment.Retirement','LabourAndEmployment',38,7466,8903,'Penzionisanje',NULL,464),(11199,'Informacione i komunikacione tehnologije koje se koriste u domu, na radnom mestu i u drugim sredinama u zajednici. Imajte na umu da upotrebu i uticaj ovih tehnologija pokriva termin \"Informaciono društvo\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,7492,8969,'Informaciona tehnologija',NULL,464),(11200,'Ekonomski pokazatelji ili indikatori ukazuju u kom pravcu se kreće privreda jedne zemlje i uključuju, na primer, stopu rasta bruto društvenog proizvoda (BDP-a), zaposlenost, inflaciju, kamatnu stopu, aktivnost potrošača i investitora, dug domaćinstava. Takođe se koriste i za procenu ekonomskih uslova pojedinaca i domaćinstava, na osnovu podataka iz&nbsp; anketa ili registara.','Economics.EconomicConditionsAndIndicators','Economics',6,7434,8967,'Ekonomski uslovi i indikatori',NULL,464),(11201,'Obuhvata sve vrste prevoza robe, kao i putovanja na posao, javni prevoz (vozovi, autobusi, podzemna železnica i sl.) i mreže gradskog prevoza. Podaci o navikama mobilnosti, na primer, prekogranična kupovina, rute i sredstva koja se koriste za pristup lokaciji. Koristite izraz \"Slobodno vreme, turizam i sport\" za putovanje u slobodno vreme.','TransportAndTravel',NULL,93,7521,8921,'TRANSPORT I PUTOVANJA',NULL,464),(11202,'Prirodni resursi su dobra kao što su zemljište, šume, izvori energije, voda, prirodni minerali koji se mogu koristiti za ekonomsku eksploataciju. Energetski resursi uključuju fosilna goriva poput nafte, prirodnog gasa ili uglja, kao i nuklearnu i solarnu energiju, ali i energiju plime i vetra. Uključuju i energiju zamenljivih živih organizama.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,7478,8922,'Energija i prirodni resursi',NULL,464),(11203,'Rasprave o politici i principima, kao i&nbsp; odlukama i principima usvojenim na nacionalnom, regionalnom ili lokalnom nivou, koje se tiču obrazovanja i procesa njegovog pružanja. Koristite hijerarhiju \"ZAKONI, KRIMINAL I PRAVNI SISTEMI\" za zakone i propise koji su u primeni.','Education.EducationalPolicy','Education',12,7440,8911,'Obrazovna politika',NULL,464),(11204,'Korišćenje biomolekularnih i ćelijskih procesa za stvaranje novih proizvoda i tehnoloških procesa.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,7491,8970,'Biotehnologija',NULL,464),(11205,'Grupe pojedinaca koje se na neki način razlikuju od većine stanovništva. Različite karakteristike uključuju, na primer, etničku pripadnost, religiju, zdravlje, seksualnu orijentaciju, maternji jezik i kulturu. Imajte na umu da takođe možete koristiti izraze „Jednakost, nejednakost i socijalna isključenost“ ili „Jezik i lingvistika“ u vezi sa nekim manjinskim pitanjima.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,7500,8893,'Manjine',NULL,464),(11206,'Rodni identitet; rodna zastupljenost/ravnopravnost (npr. zastupljenost polova u telima koja donose odluke, u medijima, u literaturi itd.); socijalne, kulturne i psihološke osobine vezane za muškarce i žene; ženske studije; muške studije; očekivano ponašanje i izbori u skladu sa rodnim ulogama i uticaj takvih očekivanja.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,7499,8931,'Pol i uloge polova',NULL,464),(11207,'Kretanje pojedinaca, porodica ili grupa pojedinaca u socijalnom i profesionalnom statusu tokom vremena. Kretanje može biti horizontalno, to jest promena položaja unutar raspona istog statusa ili vertikalna, kada se pojedinci mogu kretati prema gore ili dole u ​​hijerarhiji statusa. Na primer, radnici u opadajućim industrijama mogu postati radnici u nekoj drugoj industriji (horizontalna profesionalna mobilnost) ili deca iz siromašnih porodica mogu dostići viši društveni sloj od svojih roditelja (vertikalna međugeneracijska socijalna mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,7501,8982,'Socijalna i profesionalna mobilnost',NULL,464),(11208,'','Psychology',NULL,61,7489,8973,'PSIHOLOGIJA',NULL,464),(11209,'Aktivno ili pasivno učešće u bilo kojoj vrsti kulturnih aktivnosti, kao i mišljenja i percepcije o njima.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,7509,8984,'Kulturne aktivnosti i učešće',NULL,464),(11210,'Studija opšteg blagostanja ili zdravstveno stanje pojedinca, grupe ili populacije. Može biti objektivno izmereno/posmatrano ili samoopaženo/samoprocenjeno. Blagostanje uključuje, na primer, fizičku i mentalnu sposobnost ili stanje, kao i socijalno stanje.','Health.GeneralHealthAndWellbeing','Health',19,7447,8935,'Opšte zdravlje i blagostanje',NULL,464),(11211,'','Health',NULL,16,7444,8894,'ZDRAVLJE',NULL,464),(11212,'Odnosi se na različite oblike obrazovnih mogućnosti, koje se pružaju odraslim osobama nakon što napuste formalni obrazovni sistem. Odrasli se mogu uključiti u takvo obrazovanje kako bi, na primer, poboljšali svoje veštine ili kvalifikacije, prekvalifikovali se za novi posao ili samo naučili nešto novo. Generalno ne uključuje obrazovanje koje vodi ka kvalifikaciji ili obuku zaposlenih.','Education.LifelongContinuingEducation','Education',14,7442,8895,'Celoživotno obrazovanje',NULL,464),(11213,'Podaci o ekonomskoj politici, uključujući budžetsku i fiskalnu politiku, javne rashode i javne prihode.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,7435,8917,'Ekonomska politika, javni rashodi i prihodi',NULL,464),(11214,'Pitanja koja se odnose na to da li svi pojedinci ili grupe imaju isti status i mogućnosti u društvu. Ravnopravnost se, na primer, može proučavati u pogledu obrazovanja, (finansijske) imovine ili prihoda, radnog položaja, moći, prestiža, uslova rada i slobodnog vremena, pristupa uslugama i društvenih odnosa. Marginalizacija i socijalna isključenost mogu biti rezultat sistematskog ugrožavanja u više oblasti života, a ugrožene osobe mogu biti lišene prava, mogućnosti, resursa i socijalne integracije. Primeri podataka: statistika o jednakosti dohotka; uočena diskriminacija usmerena na grupu (npr. prema strancima, beskućnicima, azilantima); uočene razlike između muškaraca i žena u pogledu mogućnosti za vodeće uloge u politici; uticaj roditeljske nezaposlenosti na nivo obrazovanja dece i društvene mreže.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,7497,8949,'Jednakost, nejednakost i socijalna isključenost',NULL,464),(11215,'Podaci o socijalnom ponašanju; socijalna interakcija i mreže; socijalna odgovornost; socijalne norme i pravila; i odnos prema ovim pitanjima.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,7513,8947,'Socijalno ponašanje i stavovi',NULL,464),(11216,'Odnosi se na čin sticanja i/ili upotrebe nečega za zadovoljenje potreba i želja osobe, zajednice ili društva. Podaci u ovoj kategoriji uključuju obrasce ponašanja potrošača, njihove promene i proučavanje potrošačke etike. Na primer, to mogu biti anketni podaci o tome koliko često ljudi kupuju određene predmete; kada i gde kupuju; da li etička razmatranja utiču na njihov potrošački izbor, itd.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,7433,8891,'Potrošnja i ponašanje potrošača',NULL,464),(11217,'Reproduktivni proces, funkcija ili sistem u bilo kojoj životnoj fazi. Uključuje podatke o trudnoći, porođaju, planiranju porodice, kontracepciji i pobačaju, menopauzi.','Health.ReproductiveHealth','Health',25,7453,8897,'Reproduktivno zdravlje',NULL,464),(11218,'Pregledi cele populacije, za razliku od pregleda po osnovu uzorka. Često se koriste za zvanično nabrajanje populacije, često uz uključivanje skupa povezanih demografskih informacija. Imajte na umu da se u nekim zemljama popisi ne koriste, jer se demografske informacije mogu dobiti iz zvaničnih registara.','Demography.Censuses','Demography',1,7428,8936,'Popisi',NULL,464),(11219,'Kvalitet i dostupnost usluga, pratećih objekata i osoblja u zdravstvu. Ekonomija zdravstvene politike, odluke i principi, politike na nacionalnom, regionalnom ili lokalnom nivou u vezi sa zdravstvenom zaštitom. Koristite \"ZAKONI, KRIMINAL I PRAVNI SISTEMI\" za zakone i propise koji su u primeni.','Health.HealthCareServicesAndPolicies','Health',20,7448,8937,'Usluge zdravstvene nege i politike',NULL,464),(11220,'Uključuje studije koje mere standard stanovanja u zajednici, uključujući socijalno stanovanje, kao i dostupnost i cene stambenih jedinica. Stambene jedinice uključuju kuće, druge kuće i kuće za odmor.','HousingAndLandUse.Housing','HousingAndLandUse',31,7459,8964,'Stanovanje',NULL,464),(11221,'Uključuje i planiranje i korišćenje zemljišta. Planiranje korišćenja zemljišta odnosi se na postupke koji se sprovode kako bi se osigurala optimalna i održiva upotreba zemljišnih resursa u ruralnim i urbanim zajednicama.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,7460,8951,'Upotreba zemljišta i planiranje',NULL,464),(11222,'Podaci o industriji i poslovanju (biznisu) kao što su menadžment, produktivnost, rast i pad, organizaciona struktura, administracija, ulaganja u istraživanje i razvoj, tržišta i udeo na tržištu.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,7519,8953,'Poslovanje/industrijski menadžment i organizacija',NULL,464),(11223,'Možda je potreban dodatni pojam ukoliko se deca proučavaju iz određenog aspekta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,7494,8892,'Deca',NULL,464),(11224,'Rane i povrede, fizičke i psihičke, prouzrokovane ili nesrećama ili nasiljem (kroz pojedinačno ili grupno agresivno ponašanje). Ako su rane ili povrede na radnom mestu, koristite „ZDRAVLJE NA RADU“.','Health.WoundsAndInjuries','Health',28,7456,8952,'Rane i povrede',NULL,464),(11225,'Stvaranje, distribucija, upotreba, integracija i manipulacija informacijama kao značajnom ekonomskom, političkom i kulturnom delatnošću. Na primer, podaci koji se odnose na e-trgovinu, e-upravu, društvene medije, mobilne uređaje, pristup i upotrebu Interneta, e-privatnost, informacije i bibliotečki resursi. Koristite \"Informaciona tehnologija\" kada govorite o konkretnim tehnologijama.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,7473,8968,'Informaciono društvo',NULL,464),(11226,'Pokriva pejzaže i elemente zemlje koje ljudi nisu direktno promenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,7480,8956,'Prirodni pejzaži',NULL,464),(11227,'Podaci uključuju lingvističke studije, jezičku analizu i sociolingvistiku, kao i podatke o jezičkim politikama, jezičkim veštinama ljudi, jezicima koji se govore na poslu i kod kuće, stavovima prema jezicima manjina, itd.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,7474,8941,'Jezik i lingvistika',NULL,464),(11228,'Podaci o formiranju identiteta, osećanja ljudi o tome ko su i gde pripadaju. Odnos kulturnog i nacionalnog identiteta prema reprezentaciji i klasifikaciji nekoga drugog kao \"nije jedan od nas\" (Othering). Običaji i maniri i stavovi prema sopstvenim viđenim i drugim identitetskim grupama.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,7510,8958,'Kulturni i nacionalni identitet',NULL,464),(11229,'Pitanja vezana za postojanje, ulogu i uticaj elita u društvu, odnosno pojedinaca ili grupa koji imaju veliku količinu moći ili uticaja na društvo, politiku, bogatstvo, bilo kroz odluke koje donose ili kroz ideje ili osećanja koja izražavaju ili predstavljaju. Uključuje pitanja vezana za uticajne ljude u svim sferama društva. To mogu biti donosioci odluka u političkom životu, lideri političkih stranaka, uticajni umetnici, istaknute ličnosti iz masovnih ili društvenih medija, isl.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,7496,8939,'Elite i lideri',NULL,464),(11230,'Koristite ovu kategoriju za studije o poljoprivrednoj proizvodnji i svim ruralnim privrednim granama i sektorima, što uključuje, na primer, ribarstvo i šumarstvo.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,7518,8948,'Poljoprivreda i ruralna industrija',NULL,464),(11231,'','NaturalEnvironment',NULL,49,7477,8900,'PRIRODNO OKRUŽENJE',NULL,464),(11232,'Lečenje bolesti ili postupci preventive. Nega pacijenata na individualnom nivou. Istraživanje o lekovima i lečenju bolesti. Podaci o, na primer, hirurškim procedurama, rehabilitaciji, konsultacijama lekara, fizikalnoj terapiji, mišićno-koštanim manipulacijama, nezi u bolnici ili kod kuće, psihoterapiji, istražnim tehnikama, lekovima.','Health.MedicationAndTreatment','Health',21,7449,8932,'Lečenje i tretmani',NULL,464),(11233,'Podaci o politikama zapošljavanja koji se odnose na radne odnose, tržište rada, ravnopravnost i diskriminaciju na radu; na nacionalnom nivou politike uključuju uticaj na tražnju i ponudu radne snage i funkcionisanje tržišta rada. Koristite \"Zakoni, kriminal i pravni sistem\" za zakone i propise koji su u primeni.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,7464,8975,'Politika rada i zapošljavanja',NULL,464),(11234,'','TradeIndustryAndMarkets',NULL,89,7517,8901,'TRGOVINA, INDUSTRIJA I TRŽIŠTA',NULL,464),(11235,'Podaci o promenama u društvu, uključujući i stavove.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,7514,8908,'Društvene promene',NULL,464),(11236,'Razmena kapitala, robe ili usluga preko međunarodnih granica.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,7520,8976,'Spoljna trgovina',NULL,464),(11237,'Podaci koji se odnose na različite aspekte života u zajednici ili u urbanim i ruralnim sredinama. Mišljenja i slike okoline ili urbanih ili ruralnih područja. Usluge, pogodnosti i poslovne mogućnosti u okruženju.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,7508,8928,'Zajednica, urbani i ruralni život',NULL,464),(11238,'Pitanja koja se odnose na stvarno pružanje socijalne zaštite, ko pruža usluge socijalne zaštite u praksi i kako su organizovane socijalne službe. Na primer, pitanja o tome kako je lokalna uprava organizovala usluge za starije osobe.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,7505,8978,'Sistem/struktura socijalne zaštite',NULL,464),(11239,'Podaci o stopi i statistici zaposlenosti, tržištu rada, slobodnim radnim mestima, traženju posla, karakteristikama posla, zaposlenosti određenih grupa (npr. zapošljavanju mladih ili manjina), službama za zapošljavanje, karijeri. Za platu i nadoknadu koristite pojam „Radni uslovi“.','LabourAndEmployment.Employment','LabourAndEmployment',35,7463,8940,'Zaposlenost',NULL,464),(11240,'','LawCrimeAndLegalSystems',NULL,41,7469,8963,'ZAKON, KRIMINAL I PRAVNI SISTEMI',NULL,464),(11241,'Odluke i principi doneti na nacionalnom, regionalnom ili lokalnom nivou koji se tiču socijalne zaštite, njenog finansiranja i pružanja, na primer, ko ima pravo na određenu vrstu socijalnih usluga i pogodnosti i zašto, koliki je njihov nivo i ko može pružati usluge. Na primer, politika da stariji ljudi treba da ostanu u svojim domovima što je duže moguće, politika koja se odnosi na to koliko dugo ljudi mogu da koriste naknadu za nezaposlene. Upotrebite i termin \"Zakon, kriminal i pravni sistemi\' za zakone i propise koji su već primenjeni.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,7504,8974,'Politika socijalne zaštite',NULL,464),(11242,'','Politics',NULL,54,7482,8914,'POLITIKA',NULL,464),(11243,'','MediaCommunicationAndLanguage',NULL,44,7472,8977,'MEDIJI, KOMUNIKACIJA I JEZIK',NULL,464),(11244,'Obavezno obrazovanje odnosi se na period obrazovanja koji je obavezan za sve osobe koji živi u nekoj zemlji i koji je nametnut zakonom. Predškolsko obrazovanje se odnosi na formalno zbrinjavanje dece i obrazovanje koje se pruža pre obaveznog školskog obrazovanja. Ovaj izraz upotrebite za indeksiranje podataka koji se odnose na predškolski, osnovni i niži stepen obrazovanja, bez obzira da li se podaci fokusiraju na učenike, nastavnike, predmete ili veštine koje se predaju, ustanove, itd.','Education.CompulsoryAndPreschoolEducation','Education',11,7439,8927,'Obavezno i predškolsko obrazovanje',NULL,464),(11245,'Globalno upravljanje, diplomatija, spoljna politika, odnosi između zemalja, međunarodne organizacije (npr. EU, WHO, UN, WTO) i međunarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',58,7486,8902,'Međunarodna politika i organizacije',NULL,464),(11246,'U ovom slučaju koristite odgovarajući tematski izraz za istorijske podatke, kao i glavni termin. Na primer, „Radni uslovi“ i „Usluge zdravstvene nege i politike“ plus \"ISTORIJA\" za podatke o radnom okruženju porodičnih lekara u 1960-im godinama. Glavni pojam u istoriji koristi se samostalno samo u slučajevima kada nije moguće naći aktuelni izraz.','History',NULL,29,7457,8981,'ISTORIJA',NULL,464),(11247,'Vključuje vse vrste prevoza blaga, kot so dnevni prevozi, javni prevozi (vlaki, avtobusi, podzemna železnica itd.) in omrežja mestnega prometa. Podatki o mobilnostnih navadah, na primer čezmejni nakupi, uporabljene poti in sredstva za dostop do lokacije. Uporabite vsebinsko področje \"Prosti čas, turizem in šport\" za potovanja v prostem času.','TransportAndTravel',NULL,93,NULL,8921,'TRANSPORT, POTOVANJE IN MOBILNOST','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.1.1',463),(11248,'Raziskave nenormalnih anatomskih ali fizioloških razmer ter objektivnih ali subjektivnih pojavnosti bolezni/simptomov, ki niso razvrščeni kot bolezen ali sindrom (v tem primeru bi uporabili izraz \"Posebne bolezni, motnje ali zdravstvene razmere\"). Vključuje klinične pojavnosti, ki so lahko objektivne, če jih opazuje zdravstveni delavec, ali subjektivne, ko jih zazna posameznik sam. Npr. bolečina, driska, izpuščaj, neenakost dolžine nog, nespečnost, škripanje z zobmi, vnetje, aritmija.','Health.SignsAndSymptomsPathologicalConditions','Health',26,NULL,8961,'znaki in simptomi; patološki pogoji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.1.1',463),(11249,'Obolevnost se nanaša na pojav bolezni na populaciji. Podatki lahko pokrivajo stopnjo pojavnosti ali obolevnosti določenega zdravstvenega stanja. Na primer število ljudi, obolelih za pljučnim rakom v državi ali na nekem geografskem območju v določenem letu. Podatki o smrtnosti kažejo število smrti v populaciji glede na kraj, čas, vzrok smrti ali značilnosti posameznika itd. Na primer, smrtnost porodnic, smrtnost otrok. Upoštevajte, da se podatki o boleznih in zdravstvenih stanjih, o katerih posamezniki sami poročajo, indeksirajo znotraj vsebinskega področja v hierarhiji \"ZDRAVJE\".','Demography.MorbidityAndMortality','Demography',3,NULL,8960,'obolevnost in smrtnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.1.1',463),(11250,'Odnosi med delodajalci in zaposlenimi.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,NULL,8957,'odnosi/spori med socialnimi partnerji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.1.1',463),(11251,'Nanaša se na priložnosti za izobraževanje v različnih oblikah, namenjenih odraslim, po tem ko zapustijo formalni sistem izobraževanja. Odrasli se lahko vključijo v takšna izobraževanja, na primer, da izboljšajo svoje spretnosti ali znanja, da se usposobijo za novo obliko dela ali se naučijo nečesa novega. Ne vključuje izobraževanja, ki vodi do pridobitve kvalifikacij, ali usposabljanja zaposlenih.','Education.LifelongContinuingEducation','Education',14,NULL,8895,'vseživljenjsko/stalno izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.1.1',463),(11252,'','SocietyAndCulture',NULL,79,NULL,8962,'DRUŽBA IN KULTURA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.1.1',463),(11253,'Rekreativne, prostočasne dejavnosti in hobiji. Vključuje spremljanje športov, tekmovalne športe in potovanja v prostem času. Za podatke o vzdrževanju telesne kondicije uporabite vsebinsko področje »Skrb za zdravje«.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,NULL,8919,'prosti čas, turizem in šport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.1.1',463),(11254,'Odločitve in načela, sprejeta na državni, regionalni ali lokalni ravni glede družbene blaginje, financiranja in zagotavljanja, na primer, kdo je upravičen do določenih socialnih storitev in ugodnosti ter zakaj, kakšna je njihova raven in kdo lahko nudi storitve. Na primer, politika, da naj ostanejo ostareli ljudje v svojih domovih čim dlje; politika o dolžini trajanja nadomestila za brezposelnost. Uporabite tudi vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,NULL,8974,'politika družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.1.1',463),(11255,'','ScienceAndTechnology',NULL,62,NULL,8972,'ZNANOST IN TEHNIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.1.1',463),(11256,'Podatki vključujejo jezikovne študije, jezikovne analize in sociolingvistiko ter podatke o jezikovnih politikah, jezikovnih spretnostih, jezikih, ki se govorijo na delu in doma, odnosih do jezikov manjšin itd.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,NULL,8941,'jezik in jezikoslovje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.1.1',463),(11257,'Morda bo potrebna dodatna tema, če so ostareli proučevani s posebnega vidika.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,NULL,8979,'ostareli','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.1.1',463),(11258,'Podatki o industriji in podjetjih, kot so upravljanje, produktivnost, rast in nazadovanje, organizacijska struktura, uprava, naložbe v raziskave in razvoj, trgi in tržni deleži.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,NULL,8953,'poslovno/industrijsko upravljanje in organizacija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.1.1',463),(11259,'Nezgode in poškodbe, tako telesne kot psihične, ki jih povzročijo nesreče ali nasilje (agresivno vedenje posameznikov ali skupin). Za nezgode ali poškodbe, povezane z delom, uporabite vsebinsko področje »Poklicno zdravje«.','Health.WoundsAndInjuries','Health',28,NULL,8952,'nezgode in poškodbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.1.1',463),(11260,'Gospodarski kazalniki nakazujejo smer gospodarstva in vključujejo na primer stopnjo rasti BDP, zaposlovanje, inflacijo in obrestno mero, dejavnost potrošnikov in vlagateljev, zadolženost gospodinjstev. Vsebinsko področje se uporablja tudi za podatke o gospodarskih razmerah posameznikov in gospodinjstev, zbranih na podlagi anket ali registrov.','Economics.EconomicConditionsAndIndicators','Economics',6,NULL,8967,'gospodarske razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.1.1',463),(11261,'Reproduktivni proces, funkcija ali sistem v kateri koli življenjski dobi. Vključuje podatke o nosečnosti, porodu, načrtovanju družine, kontracepciji in splavu, menopavzi.','Health.ReproductiveHealth','Health',25,NULL,8897,'reproduktivno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.1.1',463),(11262,'','Economics',NULL,4,NULL,8904,'GOSPODARSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.1.1',463),(11263,'Pokriva vprašanja, povezana z družinami, sorodniki, generacijami in sestavo gospodinjstev. Na primer podatki o vzgoji otrok, delitvi dela v družini, podpori družinskih članov.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,NULL,8943,'družinsko življenje in zakonska zveza','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.1.1',463),(11264,'Premiki posameznikov, družin ali skupin posameznikov v družbenem in poklicnem statusu skozi čas. Premiki so lahko vodoravni, kar pomeni, da se spremeni položaj v območju istega statusa, ali navpični, ko se posamezniki premikajo navzgor ali navzdol v statusni hierarhiji. Na primer, delavci v nazadujočih gospodarskih panogah lahko postanejo delavci v drugi industriji (horizontalna poklicna mobilnost) ali pa otroci iz revnejših družin dosežejo višji družbeni razred kot njihovi starši (vertikalna medgeneracijska družbena mobilnost).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,NULL,8982,'družbena in poklicna mobilnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.1.1',463),(11265,'Notranja usposabljanja v podjetjih in druga usposabljanja zaposlenih, ki jih financira delodajalec z namenom povečanja spretnosti in kompetenc zaposlenih. Ne vključuje vajeništva, ki je vključeno v \"Poklicno izobraževanje in usposabljanje\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,NULL,8923,'usposabljanje zaposlenih','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.1.1',463),(11266,'Spolna identiteta; spolna zastopanost (npr. zastopanje spolov v organih odločanja, v medijih, v literaturi ipd.); socialne, kulturne in psihološke lastnosti, povezane z moškimi in ženskami; ženske študije; moške študije; pričakovano vedenje in izbire glede na spolne vloge in vpliv takšnih pričakovanj.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,NULL,8931,'spol in spolne vloge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.1.1',463),(11267,'Podatki, ki se nanašajo na katero koli vrsto množičnih medijev. Na primer, tiskani ali spletni časopisi, revije, televizija in radio. Upoštevajte, da so družbeni mediji indeksirani z vsebinskim področjem \"Informacijska družba\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,NULL,8925,'množični mediji','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.1.1',463),(11268,'Podatki o spremembah v družbi, vključno s spremembami stališč.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,NULL,8908,'družbene spremembe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.1.1',463),(11269,'Nanaša se na pridobivanje in/ali uporabo nečesa z namenom zadovoljitve potreb in želja posameznika, skupnosti ali družbe. Podatki v tej kategoriji vključujejo vzorce vedenja porabnikov, spremembe vedenja in raziskovanje porabniške etike. Na primer anketni podatki o pogostosti nakupovanja določenih izdelkov; podatki o kraju in času nakupovanja; podatki o vplivu etičnih vidikov na izbiro porabnika.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,NULL,8891,'poraba in navade porabnikov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.1.1',463),(11270,'Skupine posameznikov, ki se na določen način razlikujejo od večine prebivalstva. Tovrstne značilnosti vključujejo, na primer, narodnost, vero, zdravje, spolno usmerjenost, prvi jezik (materni jezik) in kulturo. Upoštevajte, da lahko v zvezi z nekaterimi manjšinskimi vprašanji uporabljate tudi vsebinski področji \"Enakost, neenakost in socialna izključenost\" ali \"Jezik in jezikoslovje\".','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,NULL,8893,'manjšine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.1.1',463),(11271,'Vprašanja, ali imajo vsi posamezniki ali skupine posameznikov enak status in priložnosti v družbi. Enakost se lahko preučuje na primer z vidika izobraževanja, (finančnega) premoženja ali dohodka, poklicnega položaja, moči, prestiža, pogojev dela in prostega časa, dostopa do storitev in družbenih odnosov. Marginalizacija in socialna izključenost sta lahko posledica sistematične prikrajšanosti na številnih področjih življenja, kjer so ljudje prikrajšani za pravice, priložnosti, vire in vključevanje v družbo.\n Primeri podatkov: statistika enakosti dohodkov; zaznana diskriminacija skupin (npr. tujcev, brezdomcev, prosilcev za azil); zaznane razlike med moškimi in ženskami glede možnosti za prevzem vodilnih vlog v politiki; vpliv brezposelnosti staršev na otrokovo izobraževalno raven in družbena omrežja.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,NULL,8949,'enakost, neenakost in družbena izključenost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.1.1',463),(11272,'Ukrepi, sprejeti za izboljšanje ali ohranjanje podobe posameznikov, podjetij, organizacij in vlad, na primer s pomočjo oglaševanja, lobiranja itd.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,NULL,8934,'odnosi z javnostmi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.1.1',463),(11273,'Prehranjevalni procesi, vzorci in prakse prehranjevanja in merljivi prehranjevalni parametri, kot so indeks telesne mase (ITM), teža, raven vitaminov.','Health.DietAndNutrition','Health',17,NULL,8896,'Prehrana in prehranjevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.1.1',463),(11274,'','Psychology',NULL,61,NULL,8973,'PSIHOLOGIJA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.1.1',463),(11275,'Podatki o človekovi splošni telesni pripravljenosti, fizični aktivnosti in gibanju.','Health.PhysicalFitnessAndExercise','Health',23,NULL,8909,'telesna pripravljenost in gibanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.1.1',463),(11276,'Podatki o gospodarski politiki, vključno s proračunsko in fiskalno politiko, javno porabo in prihodki.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,8917,'gospodarska politika, javna poraba in proračun','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.1.1',463),(11277,'Uporabite za raziskave o kopičenju osebnih sredstev, vključno s prihodki, premoženjem, naložbami in prihranki.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,8906,'dohodek, lastnina in vlaganje/varčevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.1.1',463),(11278,'','Politics',NULL,54,NULL,8914,'POLITIKA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.1.1',463),(11279,'','Demography',NULL,0,NULL,8980,'DEMOGRAFIJA (PREBIVALSTVO, STATISTIKA PREBIVALSTVA IN POPISI)','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.1.1',463),(11280,'Ankete na celotni populaciji, v nasprotju z vzorčnimi raziskavami. Pogosto se uporabljajo za uradno štetje prebivalstva, ki običajno vključuje zbiranje povezanih demografskih informacij. Upoštevajte, da se v nekaterih državah popisi ne uporabljajo, saj se lahko demografske informacije pridobijo iz uradnih registrov.','Demography.Censuses','Demography',1,NULL,8936,'popisi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.1.1',463),(11281,'Podatki o poklicnih izpostavljenostih in boleznih, varnosti pri delu, bolniških odsotnostih, zmožnosti za delo in invalidnosti ali invalidskih pokojninah, povezanih z delom.','Health.OccupationalHealth','Health',22,NULL,8916,'poklicno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.1.1',463),(11282,'Podatki, povezani z različnimi vidiki življenja v skupnosti oziroma v mestnih in podeželskih območjih. Mnenja o in podobe sosesk oziroma mestnih ali podeželskih območij. Storitve, zmogljivosti in poslovne priložnosti v soseskah.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,NULL,8928,'skupnost, mestno in podeželsko življenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.1.1',463),(11283,'Vključuje uporabo in načrtovanje rabe zemljišč. Načrtovanje rabe zemljišč se nanaša na postopke, ki se izvajajo za zagotovitev optimalne in trajnostne rabe zemljiških virov v podeželskih in mestnih skupnostih.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,NULL,8951,'načrtovanje in uporaba zemljišč','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.1.1',463),(11284,'Izmenjava kapitala, blaga ali storitev preko mednarodnih meja.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,NULL,8976,'zunanja trgovina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.1.1',463),(11285,'Pokriva udomačene, vzrejne in divje živali, pa tudi vse vrste rastlin (npr. cvetje, drevesa, mah, zelenjavo).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,NULL,8955,'rastline in živali','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.1.1',463),(11286,'Podatki o politikah zaposlovanja, ki se nanašajo na delovna razmerja, trg dela ter enakost in diskriminacijo na delovnem mestu; politike na državni ravni vključujejo vpliv na povpraševanje in ponudbo delavcev ter delovanje trgov dela. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,NULL,8975,'delovna in zaposlitvena politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.1.1',463),(11287,'Informacijske in komunikacijske tehnologije, ki se uporabljajo na domu, delovnem mestu in drugje v skupnosti. Upoštevajte, da uporabo in vpliv teh tehnologij pokriva vsebinsko področje \"Informacijska družba\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,NULL,8969,'informacijska tehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.1.1',463),(11288,'Uporabite, če je vsebinsko področje znano, a ga ne najdete na seznamu.','Other',NULL,94,NULL,8945,'DRUGO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.1.1',463),(11289,'Programi, namenjeni pridobivanju znanja, spretnosti in kompetenc, potrebnih za določen poklic, določeno obrt ali skupino poklicev oziroma obrti. Poklicno izobraževanje lahko vključuje tudi delovno prakso. Pokriva poklicno izobraževanje na ravni ISCED 3-4 in vajeništvo. Vključuje podatke o dijakih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.VocationalEducationAndTraining','Education',15,NULL,8907,'poklicno izobraževanje in usposabljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.1.1',463),(11290,'Uporabite za raziskave kapitalističnih, socialističnih in drugih ekonomskih sistemov ter za raziskave, na primer mednarodnih razvojnih programov.','Economics.EconomicSystemsAndDevelopment','Economics',8,NULL,8933,'gospodarski sistemi in razvoj','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.1.1',463),(11291,'Razmere, v katerih zaposleni delajo. Na primer, vrste pogodb, delovni čas (delovne ure, čas počitka, urniki dela, nadure), plačila, fizični vidiki in psihične zahteve dela, pravice in odgovornosti zaposlenih, delovne obremenitve, sodelovanje zaposlenih pri odločanju, pravice do dopusta, fizično okolje. Pri vprašanjih varnosti na delovnem mestu uporabite tudi vsebinsko področje »Poklicno zdravje«.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,NULL,8899,'delovne razmere/konflikti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.1.1',463),(11292,'Morda bo potrebna dodatna tema, če je mladina proučevana s posebnega vidika.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,NULL,8929,'mladina','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.1.1',463),(11293,'Pokriva splošno izobraževanje na ravni ISCED 3-4 in terciarno izobraževanje, to je višje srednješolsko izobraževanje, višje šole, univerze uporabnih znanosti in univerzitetno izobraževanje. Vključuje podatke o dijakih/študentih, učiteljih, poučevanih predmetih ali veščinah, opremi itd.','Education.HigherAndFurtherEducation','Education',13,NULL,8920,'višje in nadaljnje izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.1.1',463),(11294,'','SocialStratificationAndGroupings',NULL,65,NULL,8912,'DRUŽBENA SLOJEVITOST IN SKUPINE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.1.1',463),(11295,'Podatki, ki obravnavajo vprašanja verskega vedenja, verskih gibanj, duhovnosti, morale in drugih vrednot.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,NULL,8944,'vera in vrednote','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.1.1',463),(11296,'Podatki o družbenem vedenju; družbenih interakcijah in omrežjih; o družbeni odgovornosti; o družbenih normah in pravilih; in o stališčih do teh vprašanj.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,NULL,8947,'družbeno vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.1.1',463),(11297,'Vključuje raziskave, ki merijo stanovanjski standard v skupnosti, vključno z neprofitnimi stanovanji ter razpoložljivostjo in ceno nastanitev. Stanovanja vključujejo domove, druge domove in počitniške domove.','HousingAndLandUse.Housing','HousingAndLandUse',31,NULL,8964,'bivalne razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.1.1',463),(11298,'Pokriva vse vidike kakovosti življenja in blaginje posameznikov in družb ter dojemanje ljudi.\n Upoštevajte, da so glede na obravnavani vidik lahko ustrezna tudi naslednja vsebinska področja: \"Splošno zdravje in dobro počutje\", \"Enakost, neenakost in socialna izključenost\", \"Gospodarske razmere in kazalci\" itd.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,NULL,8942,'družbene razmere in kazalci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.1.1',463),(11299,'Vprašanja v zvezi z državnimi, regionalnimi in lokalnimi oblastmi, upravnimi organi (npr. vlado, parlamentom, organi lokalne skupnosti), javno upravo, drugimi političnimi organizacijami, kot so politične stranke. Na primer, podatki o vladnih politikah, političnih strankah in njihovih politikah, podatki o voditeljih političnih strank, zaupanju v vladne organe. Upoštevajte, da boste morda morali uporabiti tudi dodatno vsebinsko področje.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,8971,'vlada, politični sistemi in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.1.1',463),(11300,'Podatki o kriminalu, preprečevanju kriminala, žrtvah kaznivih dejanj, zločincih, pa tudi o policiji, tajni službi, prevzgojnih zavodih (npr. zaporih, prevzgojnih zavodih za mladino), mejni kontroli in carini. Vključuje tudi podatke o osebju in zmogljivostih teh ustanov.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,NULL,8930,'kriminal in uveljavljanje zakonov','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.1.1',463),(11301,'Vprašanja v zvezi z dejanskim zagotavljanjem družbene blaginje, kdo v praksi zagotavlja storitve socialnega varstva in kako so dejanske storitve urejene. Na primer, vprašanja o tem, kako je lokalna vlada uredila storitve za ostarele.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,NULL,8978,'sistemi/strukture družbene blaginje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.1.1',463),(11302,'','NaturalEnvironment',NULL,49,NULL,8900,'NARAVNO OKOLJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.1.1',463),(11303,'Podatki o zlorabi drog ali drugih snovi. Podatki o kajenju in pivskih navadah. Za podatke, ki pokrivajo medicinsko rabo \'rekreacijskih\' drog (na primer uporaba kanabisa v zdravstvene namene), uporabite \'Zdravila in zdravljenje\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,NULL,8985,'Zloraba drog, alkohol in kajenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.1.1',463),(11304,'','LabourAndEmployment',NULL,33,NULL,8946,'DELO IN ZAPOSLOVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.1.1',463),(11305,'','MediaCommunicationAndLanguage',NULL,44,NULL,8977,'MEDIJI, KOMUNICIRANJE IN JEZIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.1.1',463),(11306,'Aktivna ali pasivna udeležba v kakršni koli kulturni dejavnosti, vključno z mnenji in zaznavanjem kulturnih dejavnosti.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,NULL,8984,'kulturne dejavnosti in sodelovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.1.1',463),(11307,'Naravni viri so dobrine, kot so zemljišča, gozdovi, energetski viri, voda, minerali, ki se nahajajo v naravi in se lahko uporabljajo za gospodarsko proizvodnjo ali potrošnjo. Energetski viri vključujejo fosilna goriva, kot so nafta, zemeljski plin ali premog, pa tudi jedrske, sončne, vodne in veterne vire ali vire živih organizmov, ki jih je mogoče zamenjati.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,NULL,8922,'energija in naravni viri','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.1.1',463),(11308,'Uporabite to vsebinsko področje za raziskave o kmetijski proizvodnji in vseh kmetijskih panogah, ki vključujejo, na primer, ribištvo in gozdarstvo.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,NULL,8948,'kmetijstvo in podeželska industrija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.1.1',463),(11309,'V primeru zgodovinskih podatkov uporabite to področje kot tudi ustrezno vsebinsko področje vaših podatkov. Na primer, \"Delovne razmere\" in \"Storitve in politike zdravstvene oskrbe\" ter ZGODOVINA za podatke o delovnem okolju družinskih zdravnikov v šestdesetih letih prejšnjega stoletja. Glavno področje \"Zgodovina\" se lahko uporablja samostojno samo v primerih, ko ni mogoče najti nobenega drugega primernega vsebinskega področja.','History',NULL,29,NULL,8981,'ZGODOVINA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.1.1',463),(11310,'Na primer podatki o tem, koliko ljudje uporabljajo posebne socialne storitve, mnenja o ustreznosti, dostopnosti in razpoložljivosti določenih storitev ter splošno zadovoljstvo z njimi. Na primer vprašanja o tem, katere storitve so uporabili starejši anketiranci ali statistika uporabe določenih storitev.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,NULL,8938,'posebne socialne storitve: uporaba in zagotavljanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.1.1',463),(11311,'Kakovost in dostopnost storitev, opreme in osebja v zdravstveni oskrbi. Ekonomija zdravstvene oskrbe in politične odločitve ter načela na državni, regionalni ali lokalni ravni glede zdravstvene oskrbe. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Health.HealthCareServicesAndPolicies','Health',20,NULL,8937,'storitve in politike zdravstvene oskrbe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.1.1',463),(11312,'Globalno upravljanje, diplomacija, zunanja politika, odnosi med državami, mednarodne organizacije (npr. EU, SZO, ZN, STO) in mednarodni sporazumi.','Politics.InternationalPoliticsAndOrganisations','Politics',58,NULL,8902,'mednarodna politika in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.1.1',463),(11313,'Zajema vprašanja uničevanja okolja, onesnaževanja, varstva okolja, podnebnih sprememb, preprečevanja poplav, erozije tal.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,NULL,8959,'okolje in varstvo okolja','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.1.1',463),(11314,'Podatki o stališčih do političnih strank, političnem vključevanju in udeležbi v političnem procesu, glasovanju in zadovoljstvu z vlado. Uporabite vsebinsko področje \"Politična ideologija\" za podatke o posameznih doktrinah.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,NULL,8915,'politično vedenje in stališča','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.1.1',463),(11315,'Notranja in mednarodna varnost; notranji in mednarodni konflikti; vojna in mir; državna obramba in obrambne sile (vojska). Upoštevajte, da policijo pokriva vsebinsko področje \"Kriminal in uveljavljanje zakonov\".','Politics.ConflictSecurityAndPeace','Politics',55,NULL,8983,'spori, varnost in mir','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.1.1',463),(11316,'Preprečevanje in nadzor bolezni in invalidnosti ter spodbujanje telesnega in duševnega zdravja prebivalstva na mednarodni, nacionalni, državni ali občinski ravni. Na primer, spodbujanje zdravja, preprečevanje bolezni, vpliv programov javnega zdravja, upravljanje lokalnih, nacionalnih ali globalnih zdravstvenih vprašanj, epidemiologija bolezni ali stanja, patogeni ali izbruh bolezni.','Health.PublicHealth','Health',24,NULL,8926,'javno zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.1.1',463),(11317,'','Health',NULL,16,NULL,8894,'ZDRAVSTVO','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.1.1',463),(11318,'','HousingAndLandUse',NULL,30,NULL,8910,'BIVALNE RAZMERE IN NAČRTOVANJE RABE PROSTORA','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.1.1',463),(11319,'Zdravljenje bolezni ali postopek oziroma postopki za preprečevanje bolezni. Nega bolnikov na individualni ravni. Raziskave o zdravilih in zdravljenju bolezni. Podatki o, na primer, kirurških posegih, rehabilitaciji, posvetovanju z zdravnikom, fizikalni terapiji, kiropraktiki, oskrbi v bolnišnici ali na domu, psihoterapiji, preiskovalnih tehnikah, zdravilih.','Health.MedicationAndTreatment','Health',21,NULL,8932,'zdravila in zdravljenje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.1.1',463),(11320,'Vključuje priseljevanje, izseljevanje, notranje selitve in druge vrste geografske mobilnosti. Priseljevanje predstavlja naselitev posameznika v državi, ki ni njegova matična država. O izseljevanju govorimo, ko posameznik zapusti matično državo in se naseli v drugi državi. Selitve so krovni izraz za obe obliki. Selitve vključujejo tudi notranje selitve, to je gibanje ljudi znotraj države na različnih geografskih ravneh.','Demography.Migration','Demography',2,NULL,8918,'selitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.1.1',463),(11321,'Podatki o stopnjah brezposelnosti in statistiki brezposelnih, programih in shemah zaposlovanja, trajanju in pogostosti brezposelnosti, družbenem in psihološkem vplivu brezposelnosti itd.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,NULL,8924,'brezposelnost','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.1.1',463),(11322,'','LawCrimeAndLegalSystems',NULL,41,NULL,8963,'PRAVO, KRIMINAL IN PRAVNI SISTEMI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.1.1',463),(11323,'Ideje, ideali in teorije o tem, kako je mogoče organizirati vlade in družbe. Med večje politične ideologije uvrščamo anarhizem, demokracijo, liberalizem, konservativizem itd.','Politics.PoliticalIdeology','Politics',60,NULL,8965,'politična ideologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.1.1',463),(11324,'Podatki o količini časa, ki ga prebivalstvo porabi za različne dejavnosti.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,NULL,8950,'poraba časa','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.1.1',463),(11325,'Podatki o mednarodni ali državni zakonodaji, upravnih predpisih, pravosodnem sistemu (pristojnosti in dejavnosti sodišč), alternativnem reševanju sporov in poravnalnih pravicah, kaznovanju.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,NULL,8966,'zakonodaja in pravni sistemi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.1.1',463),(11326,'Raziskave splošnega počutja ali zdravstvenega stanja posameznikov, skupin ali prebivalstva. Lahko se objektivno meri/opazuje ali pa o njem poroča posameznik. Dobro počutje vključuje, na primer, telesno in duševno zmogljivost ali stanje, pa tudi socialno državo.','Health.GeneralHealthAndWellbeing','Health',19,NULL,8935,'splošno zdravstvo in počutje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.1.1',463),(11327,'Morda bo potrebna dodatna tema, če so otroci proučevani s posebnega vidika.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,NULL,8892,'otroci','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.1.1',463),(11328,'Vključuje vse vzorce upokojevanja, kot so \"postopna\" ali \"prilagodljiva\" upokojitev, podatke o upokojitveni starosti in predčasnih upokojitvah.','LabourAndEmployment.Retirement','LabourAndEmployment',38,NULL,8903,'upokojevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.1.1',463),(11329,'Podatki o oblikovanju identitete, podatki o tem, kaj ljudje mislijo, da so in kam pripadajo. Odnos kulturne in nacionalne identitete do zastopanja in razvrščanje nekoga drugega, ki »ni eden od nas« (drugačenje). Običaji, vedenje in odnosi do identitetnih skupin, ki jih zazanavamo kot lastne oziroma druge.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,NULL,8958,'kulturna in nacionalna identiteta','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.1.1',463),(11330,'Pokriva krajine in elemente zemljišč, ki jih ljudje niso neposredno spremenili.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,NULL,8956,'naravne krajine','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.1.1',463),(11331,'Podatki o stopnji zaposlenosti in statistiki zaposlenih, trgu dela, prostih delovnih mestih, iskanju zaposlitve, značilnostih dela, zaposlovanju določenih skupin (npr. zaposlovanje mladih ali manjšin), zavodih za zaposlovanje, karieri. Za plačilo in nadomestilo uporabite vsebinsko področje \"Delovne razmere\".','LabourAndEmployment.Employment','LabourAndEmployment',35,NULL,8940,'zaposlovanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.1.1',463),(11332,'','SocialWelfarePolicyAndSystems',NULL,75,NULL,8913,'POLITIKA IN SISTEMI DRUŽBENE BLAGINJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.1.1',463),(11333,'Razprave o politiki in načelih ter odločitvah in načelih, sprejetih na državni, regionalni ali lokalni ravni glede izobraževanja in njegovega zagotavljanja. Uporabite vsebinsko področje \"Zakonodaja in pravni sistemi\" za že sprejete zakone in predpise.','Education.EducationalPolicy','Education',12,NULL,8911,'izobraževalna politika','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.1.1',463),(11334,'Podatki o volitvah, referendumih, volilnih kampanjah, rezultatih volitev, kandidatih na volitvah, financiranju volitev itd.','Politics.Elections','Politics',56,NULL,8898,'volitve','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.1.1',463),(11335,'','Education',NULL,10,NULL,8954,'IZOBRAŽEVANJE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.1.1',463),(11336,'','TradeIndustryAndMarkets',NULL,89,NULL,8901,'TRGOVINA, INDUSTRIJA IN TRGI','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.1.1',463),(11337,'Vprašanja, povezana z obstojem, vlogami in vplivom elit v družbi, to so posamezniki ali skupine, ki imajo veliko moči ali vpliva na družbo, politiko, bogastvo itd., bodisi z odločitvami, ki jih sprejemajo bodisi, na primer, z idejami ali čustvi, ki jih izražajo ali zastopajo. Vključuje vprašanja, ki se nanašajo na vplivne ljudi na vseh področjih družbe, na primer na odločevalce v političnem življenju, voditelje političnih strank, vplivne umetnike, vidne predstavnike množičnih ali družbenih medijev itd.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,NULL,8939,'elite in vodstvo','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.1.1',463),(11338,'Raziskave posebnih diagnosticiranih bolezni, motenj ali sindromov (pogosto uvrščenih v ICD-10 ali v starejše različice). Na primer, medicinske raziskave vzrokov sladkorne bolezni ali raziskave o telesnem in duševnem okrevanju posameznikov po operaciji srca.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,NULL,8905,'posebne bolezni, motnje in zdravstvene razmere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.1.1',463),(11339,'Obvezno izobraževanje se nanaša na obdobje izobraževanja, ki se zahteva od vseh oseb, ki živijo v državi, in je določeno z zakonom. Predšolska vzgoja se nanaša na formalno varstvo otrok in izobraževanje pred vstopom v obvezno izobraževanje. To vsebinsko področje uporabite za indeksiranje podatkov o predšolskih, osnovnošolskih in nižjih srednješolskih stopnjah izobraževanja, ne glede na to, ali se podatki osredotočajo na učence, učitelje, poučevane predmete ali veščine, opremo itd.','Education.CompulsoryAndPreschoolEducation','Education',11,NULL,8927,'obvezno in predšolsko izobraževanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.1.1',463),(11340,'Uporaba biomolekularnih in celičnih procesov za ustvarjanje novih izdelkov in tehnoloških procesov.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,NULL,8970,'biotehnologija','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.1.1',463),(11341,'Ustvarjanje, razširjanje, uporaba, integracija in manipulacija informacij kot pomembna gospodarska, politična in kulturna dejavnost. Na primer, podatki, ki se nanašajo na elektronsko poslovanje, e-upravo, družbene medije, mobilne naprave, dostop in uporabo interneta, e-zasebnost, informacijske in knjižnične vire. Uporabite vsebinsko področje \"Informacijska tehnologija\", ko govorite o dejanskih tehnologijah.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,NULL,8968,'informacijska družba','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.1.1',463),(11342,'','ScienceAndTechnology',NULL,62,8792,8972,'TIEDE JA TEKNOLOGIA',NULL,458),(11343,'Työvoima- ja työllisyyspolitiikka koskien mm. työelämän suhteita, tasa-arvo ja syrjintämääräyksiä, työvoiman kysyntää ja tarjontaa kansallisella tasolla, työmarkkinoiden toimivuutta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,8783,8975,'Työvoima- ja työllisyyspolitiikka',NULL,458),(11344,'','LawCrimeAndLegalSystems',NULL,41,8785,8963,'LAKI, RIKOLLISUUS JA OIKEUSJÄRJESTELMÄT',NULL,458),(11345,'Käsitykset ja teoriat siitä, miten hallinto ja yhteiskunnan toiminta voitaisiin tai pitäisi järjestää. Tunnettuja poliittisia ideologioita ovat esim. konservatismi, liberalismi, demokratia, anarkismi.','Politics.PoliticalIdeology','Politics',60,8795,8965,'Poliittiset ideologiat',NULL,458),(11346,'Sairastuvuus kertoo tietyn sairauden tai sairausryhmän ilmaantuvuuden väestössä eli kuinka moni kärsii kyseisestä taudista tai sairastuu siihen tiettynä ajanjaksona. Esim. keuhkosyövän ilmaantuvuus tietyssä maassa tai tietyllä maantieteellisellä alueella vuoden aikana. Kuolleisuus on mittaluku, joka kertoo vuoden aikana kuolleiden lukumäärän tuhatta asukasta kohti. Kuolleisuus voidaan eritellä maantieteellisen sijainnin, ajan, syyn tai henkilöryhmän mukaan. Esim. lapsikuolleisuus Lapissa. HUOM! Tutkimusten osanottajien omat arviot terveydentilastaan luokitellaan TERVEYS-hierarkian termeillä.','Demography.MorbidityAndMortality','Demography',3,8722,8960,'Sairastuvuus ja kuolleisuus',NULL,458),(11347,'','Politics',NULL,54,8735,8914,'POLITIIKKA',NULL,458),(11348,'','Demography',NULL,0,8758,8980,'VÄESTÖTILASTOT JA VÄESTÖNLASKENTA',NULL,458),(11349,'Aiheet, jotka liittyvät uskonnolliseen käyttäytymiseen, uskonnollisiin liikkeisiin, henkisyyteen, moraaliin ja muihin arvoihin, tai syrjintään uskonnon perusteella.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,8718,8944,'Uskonto ja arvot',NULL,458),(11350,'Kansallinen ja kansainvälinen turvallisuus, sisäiset ja kansainväliset konfliktit, sota ja rauha, kansallinen puolustus ja puolustusvoimat. HUOM! Poliisi ja poliisin toiminta sisältyy termiin \'rikollisuus ja lainvalvonta\'.','Politics.ConflictSecurityAndPeace','Politics',55,8746,8983,'Konfliktit, turvallisuus ja rauha',NULL,458),(11351,'Sisältää tapaturman tai väkivallan aiheuttamat loukkaantumiset, haavat ja vammat, sekä fyysiset että henkiset. HUOM! Jos kysymyksessä työhön liittyvistä loukkaantumisista ja vammoista, käytetään termiä \'työterveys\'.','Health.WoundsAndInjuries','Health',28,8705,8952,'Loukkaantumiset, haavat ja vammat',NULL,458),(11352,'Sisältää yleisen asumistason yhteisössä, mukaan lukien tuetun asumisen. Asumisen kustannukset, varustetaso ja asuntojen saatavuus. Kattaa sekä pääasialliset asunnot että loma-asunnot.','HousingAndLandUse.Housing','HousingAndLandUse',31,8749,8964,'Asuminen ja asunnot',NULL,458),(11353,'Saattaa tarvita toisen aihetermin, jos ikääntyneitä tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,8714,8979,'Ikääntyneet',NULL,458),(11354,'Sosiaalinen käyttäytyminen; sosiaalinen vuorovaikutus ja verkostot; sosiaaliset velvollisuudet; sosiaaliset normit ja tavat; mielipiteet näistä aiheista.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,8752,8947,'Sosiaalinen käyttäytyminen ja asenteet',NULL,458),(11355,'','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,8780,8934,'Mainonta, tiedotus- ja suhdetoiminta',NULL,458),(11356,'Kattaa kaikentyyppisen muuttoliikkeen, mukaan lukien maan sisäisen muuttoliikkeen.','Demography.Migration','Demography',2,8787,8918,'Maahanmuutto, maastamuutto ja sisäinen muuttoliike',NULL,458),(11357,'Työttömyysaste ja -tilastot, työllisyysohjelmat, työttömyyden kesto, työttömyysjaksot, työttömyyden sosiaaliset ja psykologiset vaikutukset, työttömät jne.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,8781,8924,'Työttömyys ja työttömät',NULL,458),(11358,'Kattaa ISCEDin 3 ja 4 asteiden ammatillisen koulutuksen, oppisopimuskoulutuksen sekä työharjoittelun. Tutkintoja ovat ammatilliset tutkinnot/perustutkinnot ja erikoisammattitutkinnot. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.VocationalEducationAndTraining','Education',15,8755,8907,'Ammatillinen koulutus',NULL,458),(11359,'Mikä tahansa yleisölle tarkoitettu media, mukaan lukien painetut sanomalehdet, verkkolehdet, aikakauslehdet, televisio ja radio. HUOM! Sosiaaliseen mediaan liittyvät aiheet sisältyvät termiin \'tietoyhteiskunta\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,8745,8925,'Joukkoviestimet',NULL,458),(11360,'','TradeIndustryAndMarkets',NULL,89,8717,8901,'KAUPPA, TEOLLISUUS, TOIMIALAT JA MARKKINAT',NULL,458),(11361,'Sosiaaliturvaa, sen rahoitusta ja järjestämistä koskevat periaatteet ja päätökset kansallisella, alueellisella tai kunnallisella tasolla. Kenellä on oikeus mihinkin sosiaaliturvaan tai -palveluihin, mikä on sosiaaliturvan taso, millaisilla tahoilla on oikeus järjestää sosiaaliturvapalveluita. Esimerkkejä: periaate, jonka mukaan ikääntyneiden ihmisten tulisi asua kotonaan niin kauan kuin mahdollista tai päätös, kuinka kauan ihmiset voivat saada työttömyyskorvausta. HUOM! Puhuttaessa jo olemassa olevasta lainsäädännöstä, käytetään myös termiä \'lainsäädäntö ja oikeusjärjestelmät\'.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,8736,8974,'Sosiaalipolitiikka',NULL,458),(11362,'Rikollisuus, rikokset, rikollisuuden ehkäisy, rikosten uhrit, rikolliset, vankilat ja muut rangaistuslaitokset. Lainvalvonta kattaa mm. poliisin, suojelupoliisin, rajanvalvonnan ja tullin.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,8715,8930,'Rikollisuus ja lainvalvonta',NULL,458),(11363,'Käytetään, mikäli aihe on tiedossa, mutta ei listassa.','Other',NULL,94,8725,8945,'MUU AIHE',NULL,458),(11364,'Aiheet, jotka liittyvät erilaisten eliittien olemassaoloon, rooliin ja vaikutukseen. Eliitit ovat henkilöitä tai ryhmiä, joilla on suuri vaikutusvalta jollain yhteiskunnan alalla tai yhteiskunnassa yleensä, joko päätöksentekijöinä tai ilmaisemiensa ajatusten tai tunteiden kautta. Esimerkkejä: poliittiset päätöksentekijät, puoluejohtajat, tunnetut taiteilijat tai sosiaalisen median vaikuttajat.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,8707,8939,'Eliitit ja vaikuttajat',NULL,458),(11365,'','Education',NULL,10,8773,8954,'KOULUTUS',NULL,458),(11366,'','Health',NULL,16,8791,8894,'TERVEYS',NULL,458),(11367,'Tutkimukset, jotka käsittelevät tiettyä diagnosoitua sairautta tai terveysongelmaa. Esimerkkejä: diabeteksen syntymekanismiin liittyvä lääketieteellinen tutkimus tai tutkimus sydänleikkauksen läpikäyneiden potilaiden fyysisestä ja henkisestä toipumisprosessista.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,8793,8905,'Tietyt taudit, sairaudet ja terveydentilat',NULL,458),(11368,'','LabourAndEmployment',NULL,33,8762,8946,'TYÖVOIMA JA TYÖELÄMÄ',NULL,458),(11369,'Osallistuminen aktiivisena toimijana tai katsojana mihin tahansa kulttuuritoimintaan. Mielipiteet ja käsitykset kulttuurista.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,8754,8984,'Kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista',NULL,458),(11370,'Aiheet, jotka käsittelevät sitä, onko kaikilla yksilöillä tai ryhmillä sama status ja mahdollisuudet yhteiskunnassa. Tasa-arvoa voidaan tutkia esimerkiksi koulutuksen, varallisuuden ja tulojen, ammattiaseman, vallan, vaikutusvallan, työolojen, palvelujen saatavuuden tai sosiaalisten suhteiden näkökulmasta. Syrjäytyminen voi johtua heikosta asemasta usealla eri elämänalueella. Syrjäytyneet saattavat kärsiä esimerkiksi oikeuksien, mahdollisuuksien, resurssien ja sosiaalisen integraation puutteesta. Aineistoesimerkkejä: tilastotiedot varallisuudesta ja tulotasosta; mielipidetutkimus syrjitäänkö tiettyjä ryhmiä (esim. ulkomaalaiset, asunnottomat, turvapaikanhakijat); tutkimus havaituista eroista naisten ja miesten mahdollisuuksissa kohota korkeaan asemaan politiikassa; vanhempien työttömyyden vaikutus lasten koulutustasoon ja sosiaalisiin verkostoihin.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,8744,8949,'Tasa-arvo, eriarvoisuus ja syrjäytyminen',NULL,458),(11371,'Muutokset yksilöiden, perheiden tai ryhmien yhteiskunnallisessa ja ammatillisessa asemassa ajan myötä. Muutos voi olla horisontaalista eli yhteiskunnallinen luokka pysyy samana vaikka ammatti voi muuttua, tai vertikaalista, jolloin yksilöt liikkuvat joko ylöspäin tai alaspäin luokka-asteikolla. Esimerkiksi tehdastyöläiset saattavat siirtyä työskentelemään toisen alan tehtaaseen (horisontaalinen ammatillinen liikkuvuus), tai köyhien perheiden lapset voivat saavuttaa paljon korkeamman ammatillisen aseman kuin vanhempansa (sukupolvien välinen yhteiskunnallinen liikkuvuus).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,8784,8982,'Yhteiskunnallinen ja ammatillinen liikkuvuus',NULL,458),(11372,'Aineistot, jotka käsittelevät paljonko aikaa ihmiset käyttävät eri aktiviteetteihin.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,8713,8950,'Ajankäyttö',NULL,458),(11373,'Sukupuoli-identiteetti; sukupuolten edustus ja huomioonotto (esim. sukupuolijakauma päättävissä elimisissä, miesten ja naisten määrä haastateltavina tai esiintyjinä mediassa); nais- ja miestutkimus; naisiin ja miehiin liitetyt sosiaaliset, kulttuuriset ja psykologiset ominaisuudet; odotukset naisten ja miesten käyttäytymisestä ja valinnoista ja niiden vaikutukset (esim. ammattivalintaan).','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,8764,8931,'Sukupuoli ja sukupuoliroolit',NULL,458),(11374,'Kaikki eläkkeisiin liittyvät aiheet, mukaan lukien eläköitymisikä, varhaiseläke, vanhuuseläkkeet, kansaneläkkeet, työeläke, eläkkeelle siirtymisen vaikutukset yksilöön jne.','LabourAndEmployment.Retirement','LabourAndEmployment',38,8753,8903,'Eläkkeelle siirtyminen',NULL,458),(11375,'Kielet, kielten osaaminen ja käyttö, kielipolitiikka, kieliin liittyvät asenteet, sosiolingvistiikka, murteet.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,8742,8941,'Kielet ja kielitiede',NULL,458),(11376,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen päätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, kunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja poliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten puolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan ja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen mukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8774,8971,'Valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet',NULL,458),(11377,'Yleiskunto, fyysiset aktiviteetit ja liikunta.','Health.PhysicalFitnessAndExercise','Health',23,8737,8909,'Fyysinen kunto ja liikunta',NULL,458),(11378,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8732,8906,'Tulot, omaisuus ja investoinnit/säästäminen',NULL,458),(11379,'Kotona, työpaikalla ja muualla käytettävä tieto- ja tietoliikennetekniikka. HUOM! Tämä termi kattaa itse tekniikan. Jos aiheena on tietotekniikan vaikutukset ja käyttö, käytetään termiä \'tietoyhteiskunta\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,8796,8969,'Tietotekniikka',NULL,458),(11380,'Elävien organismien, niiden osien tai ominaisuuksien hyödyntäminen tuotteissa, tuotantoprosesseissa ja palveluissa. (OECD).','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,8779,8970,'Biotekniikka',NULL,458),(11381,'Työnantajajärjestöt, ammattiliitot ja muut ammattijärjestöt, työnantajien ja työntekijöiden suhteet.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,8765,8957,'Työmarkkinasuhteet ja -järjestöt',NULL,458),(11382,'Koti-, tuotanto- ja villieläimet sekä kaikentyyppiset kasvit (kukat, puut, sammal, vihannekset jne).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,8769,8955,'Kasvit ja eläimet',NULL,458),(11383,'Yhteiskunnassa tapahtuva muutos, mukaan lukien asenteiden muutokset.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,8751,8908,'Yhteiskunnallinen ja sosiaalinen muutos',NULL,458),(11384,'','SocialWelfarePolicyAndSystems',NULL,75,8790,8913,'SOSIAALITURVA, SOSIAALIPALVELUT JA SOSIAALIPOLITIIKKA',NULL,458),(11385,'Työhyvinvointi, työterveyshuolto, työturvallisuus, sairausloma, työkyky, työkyvyttömyyseläke.','Health.OccupationalHealth','Health',22,8766,8916,'Työterveys',NULL,458),(11386,'Aiheet, jotka liittyvät kansalliseen, alueelliseen tai paikallisen koulutuspolitiikkaan, niihin liittyvä keskustelu ja päätökset. HUOM! Jos puhutaan olemassa olevista, koulutukseen liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' sekä tarvittaessa koulutusasteen termiä.','Education.EducationalPolicy','Education',12,8740,8911,'Koulutuspolitiikka',NULL,458),(11387,'Missä määrin ihmiset ovat käyttäneet tiettyjä sosiaalipalveluja, mielipiteet niiden riittävyydestä ja saavutettavuudesta ja yleinen tyytyväisyys niihin. Esimerkiksi tilastotiedot tiettyjen palvelujen käytöstä tai ikääntyneille esitetyt kysymykset siitä, mitä vanhuspalveluja he ovat käyttäneet.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,8709,8938,'Sosiaalipalveluiden käyttö ja saatavuus',NULL,458),(11388,'Poliittiset asenteet, mielipiteet puolueista, osallistuminen poliittiseen päätöksentekoon, äänestyskäyttäytyminen, tyytyväisyys päätöksentekijöihin ja hallitukseen.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,8797,8915,'Poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet',NULL,458),(11389,'Ruokavalio ja ruokailutottumukset, ravitsemuksen ja ravitsemustilan mittarit kuten esim. painoindeksi (BMI), paino, vitamiinipitoisuus veressä.','Health.DietAndNutrition','Health',17,8708,8896,'Ruokavalio ja ravitsemus',NULL,458),(11390,'','SocietyAndCulture',NULL,79,8761,8962,'YHTEISKUNTA, KULTTUURI JA ELÄMÄNTAPA',NULL,458),(11391,'','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,8720,8948,'Maa- ja metsätalous, kalastus, maaseutuelinkeinot',NULL,458),(11392,'Luontaisesti esiintyvät luonnonvarat kuten maa, metsät, energialähteet, vesi, mineraalit, joita voidaan käyttää taloudelliseen tuotantoon tai kuluttaa. Energiavarat sisältävät sekä uusiutuvat että uusiutumattomat energialähteet, esimerkiksi öljy, maakaasu, hiili, ydinvoima, aurinko, vesi, tuuli ja bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,8757,8922,'Energia- ja luonnonvarat',NULL,458),(11393,'Talouden tunnusluvut kertovat mihin suuntaan talous on menossa. Tunnuslukuja ovat esimerkiksi bruttokansantuotteen muutokset, työllisuusaste, korkotaso, kuluttajahintaindeksi, kotitalouksien velkaantumisaste, investoinnit, innovaatiotoiminta. Termiä käytetään myös kuvaamaan tutkimuksia yksilöiden ja kotitalouksien taloustilanteesta.','Economics.EconomicConditionsAndIndicators','Economics',6,8782,8967,'Talouden tila ja tunnusluvut',NULL,458),(11394,'','SocialStratificationAndGroupings',NULL,65,8748,8912,'SOSIAALINEN KERROSTUNEISUUS JA SOSIAALISET RYHMÄT',NULL,458),(11395,'Vaaliehdokkaat, vaalikampanjat, vaalirahoitus, vaalikoneet, vaalien tulokset, kansanäänestykset.','Politics.Elections','Politics',56,8767,8898,'Vaalit, ehdokkaat ja kansanäänestykset',NULL,458),(11396,'Kattaa kaikki yksilön ja yhteiskunnan elämänlaatuun ja hyvinvointiin liittyvät aiheet, mukaan lukien ihmisten käsitykset niistä. HUOM! Aiheesta riippuen myös termit \'yleinen terveydentila ja hyvinvointi\', \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'talouden tila ja tunnusluvut\' jne. saattavat olla hyödyllisiä.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,8770,8942,'Sosiaaliset olot ja indikaattorit',NULL,458),(11397,'Työntekijöiden työolot. Työsopimukset, työaika ja -vuorot, lomat, ylityöt, tauot, palkkaus, palkkiot ja muut etuudet, työn fyysiset ja psyykkiset vaatimukset, työntekijöiden oikeudet ja velvollisuudet, työmäärä, työntekijöiden osallistuminen päätöksentekoon, työn autonomisuus, fyysinen työympäristö. HUOM! Työturvallisuudesta puhuttaessa käytetään termiä \'työterveys\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,8763,8899,'Työolot',NULL,458),(11398,'Väestön, ryhmän tai yksilön yleinen terveydentila tai hyvinvointi. Voi olla objektiivisesti mitattu tai osanottajien itse arvioima. Hyvinvointi sisältää esimerkiksi fyysisen, henkisen ja sosiaalisen tilan tai toimintakyvyn. Esimerkkiaineistoja: vanhusten tai tietyn alueen asukkaiden hyvinvointitutkimukset.','Health.GeneralHealthAndWellbeing','Health',19,8776,8935,'Yleinen terveydentila ja hyvinvointi',NULL,458),(11399,'Tutkimus terveydentilaan liittyvistä löydöksistä tai oireista, joko objektiivisesti mitattuna tai itsearvioituna. Eroaa termistä \'tietyt taudit, sairaudet ja terveydentilat\' siten, että kyse ei ole lääkärin diagnosoimista taudeista. Esim. kipu, ripuli, yksilön jalkojen pituusero, unettomuus, hampaiden narskuttelu, rytmihäiriöt, tulehdus.','Health.SignsAndSymptomsPathologicalConditions','Health',26,8747,8961,'Terveydentilaan liittyvät oireet, löydökset ja patologiset tilat',NULL,458),(11400,'Kansalliset ja kansainväliset lait ja säädökset, hallinnolliset säädökset, oikeusjärjestelmä eli tuomioistuimet sekä niiden toimivalta ja toiminta, rangaistukset, yhdyskuntapalvelu, sovittelu.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,8750,8966,'Lainsäädäntö ja oikeusjärjestelmät',NULL,458),(11401,'Perheisiin, sukuun, sukupolviin ja kotitalouden koostumukseen liittyvät aiheet. Esim. perhesuhteet, lastenkasvatus, perheen sisäinen työnjako, perheen ja suvun antama tuki.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,8789,8943,'Perhe-elämä, avioliitto ja sukupolvet',NULL,458),(11402,'Sosiaaliturva käytännössä eli kuka palvelut tarjoaa ja missä laajuudessa, miten palvelut on rakennettu. Esimerkiksi kysymykset siitä, kuinka vanhuspalvelut on järjestetty paikallistasolla.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,8726,8978,'Sosiaaliturvajärjestelmä',NULL,458),(11403,'Sairauksien ja oireiden lääkitys ja hoito, mukaan lukien ennaltaehkäisyyn tähtäävä toiminta. Potilaan hoito yksilötasolla. Tutkimus tietyn taudin lääkityksestä ja hoidosta. Aineistot saattavat käsitellä esimerkiksi kirurgisia toimenpiteitä, kuntoutusta, lääkärien antamaa hoitoa, fysikaalista hoitoa, sairaala- tai kotihoitoa, psykoterapiaa, annettua lääkitystä jne.','Health.MedicationAndTreatment','Health',21,8733,8932,'Hoito ja lääkitys',NULL,458),(11404,'Tavarankuljetus, työmatkat, julkinen liikenne (junat, bussit, metro \njne.), kaupunkien liikenneverkot. Ihmisten liikkuminen paikasta toiseen.\n Esimerkkejä: ostosmatkat rajan yli tai kysymykset useimmiten \nkäytetyistä reiteistä ja kulkuvälineistä. HUOM! Vapaa-ajan \nmatkustamisesta käytetään termiä \'vapaa-aika, matkailu ja urheilu\'.','TransportAndTravel',NULL,93,8721,8921,'KULKEMINEN, KULJETUS JA LIIKENNE',NULL,458),(11405,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan virallisista tilastoista.','Demography.Censuses','Demography',1,8768,8936,'Väestönlaskennat',NULL,458),(11406,'Yksilön, yhteisön tai yhteiskunnan hankinnat tai palvelujen käyttö. Esimerkiksi yksilöiden ja kotitalouksen kulutustottumukset, muutokset kuluttamisessa sekä kuluttamiseen liittyvät eettiset valinnat. Esim. kuinka usein ihmiset ostavat tiettyjä tuotteita, missä ja milloin he tekevät ostoksia, muuttavatko kulutuskäyttäytymistään eettisin perustein.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,8730,8891,'Kulutus ja kuluttajakäyttäytyminen',NULL,458),(11407,'Vapaa-ajan viettotavat, aktiviteetit ja harrastukset. Sisältää vapaa-ajan matkailun sekä kilpaurheilun ja sen katsomisen.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,8734,8919,'Vapaa-aika, matkailu ja urheilu',NULL,458),(11408,'Terveyspalvelujen laatu ja saavutettavuus, terveysalan henkilöstö, tilat ja laitteet. Terveydenhoidon talouskysymykset sekä terveyspolitiikka kansallisella, alueellisella ja paikallisella tasolla. HUOM! Puhuttaessa jo olemassa olevista, terveydenhoitoon liittyvistä laeista ja määräyksistä, käytetään termiä \'lainsäädäntö ja oikeusjärjestelmät\' ja tarvittaessa tarkempaa Terveys-hierarkian termiä.','Health.HealthCareServicesAndPolicies','Health',20,8743,8937,'Terveyspalvelut ja terveyspolitiikka',NULL,458),(11409,'Maisemat ja maa-alueet, jotka eivät ole ihmisen muokkaamia.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,8724,8956,'Luonnonmaisemat',NULL,458),(11410,'Historiallisten aineistojen kohdalla käytetään sekä tätä päätermiä sekä aihekohtaista termiä. Jos tutkitaan esimerkiksi yleislääkäreiden työskentelyolosuhteita 1960-luvulla, laitetaan \'historia\', \'terveyspalvelut ja terveyspolitiikka\' sekä \'työolot\'. Pääluokkaa käytetään yksin vain silloin, kun sopivaa aihekohtaista termiä ei löydy.','History',NULL,29,8729,8981,'HISTORIA',NULL,458),(11411,'Kaikki maaseutu- ja kaupunkielämään sekä lähiympäristöön liittyvät aiheet. Mielipiteet ja mielikuvat omasta lähiympäristöstä, tai yleensä maaseudusta ja kaupungeista. Oman lähiympäristön palvelut, tilat ja liiketoiminnan edellytykset.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,8798,8928,'Lähiympäristö, kaupunki- ja maaseutuelämä',NULL,458),(11412,'Yksilöiden ja kansakuntien identiteetti ja sen muotoutuminen; yksilöiden käsitys omasta itsestään ja siitä, mihin he kuuluvat. Kulttuurisen ja kansallisen identiteetin suhde edustavuuteen ja toisten määrittelemiseen \'ei kuulu meihin\' -joukkoon (toiseuttaminen). Erilaisten identiteettiryhmien tavat ja tottumukset. Mielipiteet omana pidetystä identiteettiryhmästä ja muista ryhmistä.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,8756,8958,'Kulttuuri- ja kansallinen identiteetti',NULL,458),(11413,'','HousingAndLandUse',NULL,30,8711,8910,'ASUMINEN JA MAANKÄYTTÖ',NULL,458),(11414,'Maankäyttö, sen suunnittelu ja kaavoitus kaupungeissa ja maaseudulla.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,8760,8951,'Maankäyttö, suunnittelu ja kaavoitus',NULL,458),(11415,'Saattaa tarvita toisen aihetermin, jos nuoria tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,8731,8929,'Nuoret',NULL,458),(11416,'Saattaa tarvita toisen aihetermin, jos lapsia tutkitaan jostain tietystä näkökulmasta.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,8716,8892,'Lapset',NULL,458),(11417,'Tiedon tuottaminen, jakelu, käyttö, integrointi ja manipulaatio taloudellisena, poliittisena ja kulttuurisena toimintana. Esimerkiksi verkkokaupankäynti, julkishallinnon sähköiset palvelut, sosiaalinen media, internetin ja mobiililaitteiden käyttö, sähköisen viestinnän tietosuoja, kirjasto- ja informaatiopalvelut. HUOM! Puhuttaessa varsinaisesta teknologiasta, käytetään termiä \'tietotekniikka\'.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,8728,8968,'Tietoyhteiskunta',NULL,458),(11418,'Kattaa kaikki aiheet, jotka liittyvät esi- tai peruskouluun, mukaan lukien koululaiset, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet.','Education.CompulsoryAndPreschoolEducation','Education',11,8788,8927,'Esi- ja peruskoulu',NULL,458),(11419,'Globaali hallinta, diplomatia, maan ulkopolitiikka, maiden väliset suhteet, kansainväliset järjestöt (esim. EU, YK, Maailman terveysjärjestö WHO, Maailman kauppajärjestö WTO) sekä kansainväliset sopimukset.','Politics.InternationalPoliticsAndOrganisations','Politics',58,8712,8902,'Kansainvälinen politiikka ja järjestöt',NULL,458),(11420,'Lisääntymiseen liittyvät aiheet, mukaan lukien perhesuunnittelu, raskaus, synnytys, ehkäisy, abortti, vaihdevuodet.','Health.ReproductiveHealth','Health',25,8771,8897,'Perhesuunnittelu ja lisääntymisterveys',NULL,458),(11421,'Huumeiden, alkoholin ja muiden päihteiden käyttöön sekä tupakointiin liittyvät teemat. HUOM! Jos tutkitaan huumausaineiden (kuten kannabiksen) lääkinnällistä käyttöä, käytä termiä \'hoito ja lääkitys\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10866,8985,'Päihteiden käyttö ja tupakointi',NULL,458),(11422,'Työllisyysaste ja -tilastot, työmarkkinat, työpaikat, työnhaku, tiettyjen ryhmien työtilanne (esim. nuoret tai vähemmistöt), työvoimapalvelut, ura. HUOM! Palkkaukseen ja palkkioihin liittyvissä aiheissa käytetään termiä \'työolot\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,8772,8940,'Työllisyys ja työllistyminen',NULL,458),(11423,'','Psychology',NULL,61,8738,8973,'PSYKOLOGIA',NULL,458),(11424,'Sisältää mm. ympäristön saastumiseen, ympäristönsuojeluun, ilmastonmuutokseen, eroosion ja tulvasuojeluun liittyvät aiheet.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,8759,8959,'Ympäristönsuojelu ja ympäristöongelmat',NULL,458),(11425,'Työnantajan työntekijöilleen maksama tai järjestämä koulutus työntekijän taitojen tai pätevyyden lisäämiseksi. Ei sisällä työharjoittelua, joka sisältyy termiin \'ammatillinen koulutus\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,8706,8923,'Työpaikkakoulutus',NULL,458),(11426,'Kattaa kaikki aiheet, jotka liittyvät peruskoulun jälkeisiin tutkintoihin johtavaan koulutukseen, mukaan lukien lukio, ammattikorkeakoulu ja yliopisto. Myös näiden koulutusasteiden opiskelijat, opettajat ja muu henkilökunta, oppialat, koulutuksen sisältö, tilat ja välineet. HUOM! Toisen asteen ammatillisesta koulutuksesta käytetään termiä \'ammatillinen koulutus\'.','Education.HigherAndFurtherEducation','Education',13,8741,8920,'Toisen ja korkea-asteen koulutus',NULL,458),(11427,'Käytetään aineistoihin, joissa käsitellään erilaisia talousjärjestelmiä (kapitalistinen, sosialistinen, markkinatalous). Sisältää myös kehitysyhteistyöhön liittyvät aiheet.','Economics.EconomicSystemsAndDevelopment','Economics',8,8777,8933,'Talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö',NULL,458),(11428,'','MediaCommunicationAndLanguage',NULL,44,8739,8977,'TIEDOTUS, VIESTINTÄ JA KIELI',NULL,458),(11429,'Väestön terveyteen vaikuttavat kysymykset. Väestön fyysisen ja henkisen terveydentilan edistäminen kansallisella, alueellisella tai kunnallisella tasolla. Sairauksien ja tapaturmien ennaltaehkäisy. Esim. terveysvalistus, rokotusohjelmien vaikutus, neuvolat ja terveystarkastukset, epidemiat, sairauksien esiintymiseen vaikuttavat tekijät.','Health.PublicHealth','Health',24,8786,8926,'Kansanterveys',NULL,458),(11430,'Tavaroiden ja palvelujen ulkomaankauppa, pääomansiirrot rajojen yli.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,8778,8976,'Ulkomaankauppa',NULL,458),(11431,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8723,8917,'Talouspolitiikka, julkiset menot ja tulot',NULL,458),(11432,'Yrityksiin ja muuhun liike-elämään liittyvät aiheet. Yritysten johto ja hallinto, yritysrakenne, tuottavuus, kasvu ja supistuminen, investoinnit tutkimukseen ja kehittämiseen, markkinat, markkinaosuus.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,8727,8953,'Yritysten hallinto, johtaminen ja organisaatio',NULL,458),(11433,'','Economics',NULL,4,8775,8904,'TALOUS',NULL,458),(11434,'','NaturalEnvironment',NULL,49,8710,8900,'LUONTO JA YMPÄRISTÖ',NULL,458),(11435,'Ryhmät, jotka poikkeavat jonkin ominaisuuden suhteen enemmistöstä. Eroava ominaisuus saattaa olla esimerkiksi etninen alkuperä, uskonto, terveydentila, seksuaalinen suuntautuminen, äidinkieli tai kulttuuri. Huomioi, että aiheesta riippuen voidaan käyttää myös muita termejä kuten \'tasa-arvo, eriarvoisuus ja syrjäytyminen\', \'uskonto ja arvot\' tai \'kielet ja kielitiede\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,8719,8893,'Vähemmistöt',NULL,458),(11436,'Viittaa erilaisiin aikuisille suunnattuihin, yleensä tutkintoon johtamattomiin koulutuksiin. Koulutuksen tavoitteena saattaa olla parantaa tietoja ja taitoja, kouluttautua uuteen ammattiin tai vain oppia jotain uutta. Esimerkiksi työväen- ja kansalaisopistojen opinnot. HUOM! Työpaikan antamasta tai maksamasta koulutuksesta käytetään termiä \'työpaikkakoulutus\'.','Education.LifelongContinuingEducation','Education',14,8794,8895,'Täydennys- ja jatkokoulutus, elinikäinen oppiminen',NULL,458),(11437,'','ScienceAndTechnology',NULL,62,6166,8972,'SCIENZA E TECNOLOGIA',NULL,460),(11438,'Dati relativi ai sistemi capitalistici, socialisti e altri sistemi economici e dati relativi, ad esempio, ai programmi internazionali di sviluppo.','Economics.EconomicSystemsAndDevelopment','Economics',8,6154,8933,'Sistemi economici e programmi di sviluppo',NULL,460),(11439,'','SocietyAndCulture',NULL,79,6138,8962,'SOCIETÀ E CULTURA',NULL,460),(11440,'La morbilità si riferisce all\'incidenza di una malattia in una popolazione. I dati possono riguardare l\'incidenza o il tasso di morbilità di una condizione medica. Ad esempio, il numero di persone che soffrono di cancro ai polmoni in un paese o in un\'area geografica nel corso di un singolo anno. I dati sulla mortalità indicano il numero di decessi in una popolazione per luogo, tempo, causa, tipo di individuo, ecc. Ad esempio, il tasso di mortalità materna o il tasso di mortalità infantile. Nota di utilizzo: i dati provenienti da indagini autocompilate sulle malattie e le condizioni mediche sono classificati utilizzando i termini che appartengono all’argomento \"SALUTE\".','Demography.MorbidityAndMortality','Demography',3,6181,8960,'Morbilità e mortalità',NULL,460),(11441,'Governance globale, diplomazia, politica estera, relazioni tra paesi, organizzazioni internazionali (ad es. UE, OMS, ONU, OMC) e accordi internazionali.','Politics.InternationalPoliticsAndOrganisations','Politics',58,6220,8902,'Politica e organizzazioni internazionali',NULL,460),(11442,'Formazione aziendale interna e altri tipi di formazione finanziati dal datore di lavoro e rivolta ai dipendenti per aumentarne capacità e competenze. Nota di utilizzo: non include l\'apprendistato che è, invece, incluso nel termine \"Istruzione e formazione professionale\".','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,6205,8923,'Formazione aziendale',NULL,460),(11443,'Qualità e disponibilità di servizi, strutture e personale operanti nell\'ambito dell\'assistenza sanitaria. Economia sanitaria e politiche a livello nazionale, regionale o locale in materia di assistenza sanitaria. Nota di utilizzo:  per le leggi e i regolamenti già implementati utilizzare anche il termine \"Legislazione e sistemi giuridici\".','Health.HealthCareServicesAndPolicies','Health',20,6227,8937,'Servizi di assistenza e politiche sanitarie',NULL,460),(11444,'','NaturalEnvironment',NULL,49,6202,8900,'AMBIENTE',NULL,460),(11445,'Si riferisce alle opportunità di istruzione fornite in varie forme per gli adulti dopo che hanno lasciato il sistema di istruzione formale. Gli adulti possono impegnarsi in questi percorsi educativi, ad esempio, per migliorare le proprie capacità o qualifiche, per riqualificarsi da un punto di vista lavorativo oppure semplicemente per imparare qualcosa di nuovo. In genere non include l\'istruzione che porta a una qualifica o alla formazione dei dipendenti.','Education.LifelongContinuingEducation','Education',14,6180,8895,'Formazione permanente/continua',NULL,460),(11446,'Ad esempio, dati sull\'utilizzo di specifici servizi sociali da parte delle persone, opinioni sull\'adeguatezza, accessibilità e disponibilità di tali servizi e grado di soddisfazione generale. Ad esempio, questioni relative al tipo di servizi utilizzati dagli anziani intervistati oppure statistiche sull\'utilizzo di particolari servizi.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,8878,8938,'Servizi sociali specifici: utilizzo e disponibilità',NULL,460),(11447,'Dati sulle politiche occupazionali relative ai rapporti di lavoro, al mercato del lavoro e alla parità e discriminazione sul lavoro; a livello nazionale si includono le politiche volte ad influenzare la domanda e l\'offerta di lavoro e il funzionamento dei mercati del lavoro. Nota di utilizzo: per leggi e regolamenti già implementati utilizzare anche il termine \"Legislazione e sistemi giuridici\".','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,6157,8975,'Politiche del lavoro e dell\'occupazione',NULL,460),(11448,'Nota di utilizzo: se i bambini sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,6162,8892,'Bambini',NULL,460),(11449,'','Demography',NULL,0,6218,8980,'DEMOGRAFIA (POPOLAZIONE, STATISTICHE DEMOGRAFICHE E CENSIMENTI)',NULL,460),(11450,'Dati sulla quantità di tempo utilizzato dalla popolazione in varie attività.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,6153,8950,'Uso del tempo',NULL,460),(11451,'Dati sulla politica economica, compresi bilancio e politica fiscale, spesa pubblica ed entrate pubbliche.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8883,8917,'Politica economica, spesa pubblica ed entrate',NULL,460),(11452,'Dati sul benessere generale o sullo stato di salute di un individuo, gruppo o popolazione. Può essere oggettivamente misurato/osservato o auto-percepito. Il benessere include, ad esempio, le capacità o le condizioni fisiche e psichiche, così come le condizioni sociali.','Health.GeneralHealthAndWellbeing','Health',19,8886,8935,'Salute e benessere generale',NULL,460),(11453,'Si riferisce all\'atto di acquisire e/o utilizzare qualcosa per soddisfare i bisogni e le esigenze di una persona, comunità o società. I dati in questa categoria includono modelli di comportamento del consumatore, cambiamenti in essi e dati sull\'etica di consumo. Ad esempio, i dati provenienti da indagini sulla frequenza con cui le persone acquistano determinati prodotti; quando e dove fanno acquisti; se le loro considerazioni etiche influenzano le scelte di consumo.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,6186,8891,'Consumo e comportamento di consumo',NULL,460),(11454,'Utilizzare se l\'argomento è noto, ma non riconducibile a nessun termine presente nell\'elenco.','Other',NULL,94,6169,8945,'ALTRO',NULL,460),(11455,'Nota di utilizzo: se i giovani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,6164,8929,'Giovani',NULL,460),(11456,'','Health',NULL,16,6192,8894,'SALUTE',NULL,460),(11457,'Dati sul comportamento sociale, interazioni e reti sociali, responsabilità sociali, norme e regole sociali, e atteggiamenti verso questi temi.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,6161,8947,'Comportamenti e atteggiamenti sociali',NULL,460),(11458,'Dati sulla gestione dell\'industria e del commercio, su produttività, crescita e declino economico, sulle strutture organizzative, l\'amministrazione, gli investimenti in R&S, sui mercati e quote di mercato.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,6217,8953,'Gestione e organizzazione aziendale/industriale',NULL,460),(11459,'Questioni legate all\'esistenza, ai ruoli e all\'impatto delle élite nella società, ossia individui o gruppi che esercitano una quantità significativa di potere o influenza sulla società, sulla politica, sulla ricchezza, ecc. sia attraverso le decisioni che prendono oppure, ad esempio, attraverso idee o sentimenti che esprimono o rappresentano. Include le questioni relative alle persone influenti in tutte le sfere della società, ad esempio i responsabili delle decisioni politiche nella vita politica, i leader dei partiti politici, gli artisti influenti, i personaggi di spicco o influencer sui social media ecc.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,6167,8939,'Elite e leadership',NULL,460),(11460,'Dati su elezioni, referendum, campagne elettorali, risultati elettorali, candidati alle elezioni, scelta dei candidati, fondi elettorali, ecc.','Politics.Elections','Politics',56,6213,8898,'Elezioni',NULL,460),(11461,'Programmi concepiti per consentire agli studenti di acquisire le conoscenze, abilità e competenze specifiche per una particolare professione, mestiere o classe di professioni o mestieri. L\'istruzione professionale può prevedere moduli basati su attività lavorative. Comprende l\'istruzione professionale classificata nei livelli ISCED 3-4 e l\'apprendistato. Include dati su studenti, materie degli insegnanti o abilità insegnate, strutture, ecc.','Education.VocationalEducationAndTraining','Education',15,6141,8907,'Istruzione e formazione professionale',NULL,460),(11462,'Dibattiti su politiche, scelte e principi adottati a livello nazionale, regionale o locale in materia di istruzione e di offerta formativa. Nota di utilizzo: per le leggi e i regolamenti già implementati utilizzare anche il termine \"Legislazione e sistemi giuridici\".','Education.EducationalPolicy','Education',12,6214,8911,'Politiche educative',NULL,460),(11463,'','Politics',NULL,54,6194,8914,'POLITICA',NULL,460),(11464,'Identita di genere; rappresentazione dei generi (ad esempio rappresentazione di generi negli organi decisionali, nei media, nella letteratura, ecc.); tratti sociali, culturali e psicologici legati a maschi e femmine; women\'s studies; men\'s studies; aspettative sul comportamento e scelte in base ai ruoli di genere e all\'impatto di tali aspettative.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,6174,8931,'Genere e ruoli di genere',NULL,460),(11465,'','MediaCommunicationAndLanguage',NULL,44,8880,8977,'MEDIA, COMUNICAZIONE E LINGUAGGIO',NULL,460),(11466,'Dati relativi alle malattie e all\'esposizione a malattie professionali, sicurezza sul lavoro, assenze per malattia, abilità lavorativa e disabilità, pensione di invalidità correlata al lavoro.','Health.OccupationalHealth','Health',22,6142,8916,'Salute sul lavoro',NULL,460),(11467,'Partecipazione attiva o passiva a qualsiasi tipo di attività culturale, nonché opinioni e percezioni su di esse.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,6184,8984,'Attività culturali e partecipazione',NULL,460),(11468,'Nota di utilizzo: per i dati storici, oltre a questo termine più ampio, utilizzare anche altri termini. Ad esempio, oltre a \"STORIA\" utilizzare i termini \"Condizioni lavorative\" e \"Servizi di assistenza e politiche sanitarie\" per i dati sugli ambienti di lavoro dei medici di famiglia negli anni \'60. Il termine principale \"STORIA\" deve essere usato da solo esclusivamente nei casi in cui non è possibile trovare altri termini più specifici.','History',NULL,29,6182,8981,'STORIA',NULL,460),(11469,'Dati riferiti a qualsiasi tipo di mass media. Ad esempio, quotidiani stampati o online, riviste, televisione e radio. Nota di utilizzo: i social media sono classificati con il termine \"Società dell\'informazione\".','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,8879,8925,'Media',NULL,460),(11470,'Dati relativi a particolari malattie, disturbi o sindromi diagnosticati (spesso classificati nell\'ICD-10 o nelle sue versioni precedenti). Ad esempio, ricerca medica sulle malattie infettive o sulle cause del diabete, dati sul recupero fisico e mentale delle persone che hanno avuto un intervento al cuore.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,6176,8905,'Malattie particolari, disturbi e condizioni mediche',NULL,460),(11471,'Questioni relative alle disuguaglianze di status e di opportunità tra gli individui o gruppi di individui nella società. L\'uguaglianza può essere studiata, ad esempio, in termini di istruzione, condizione economica (finanziaria) o reddito, posizione occupazionale, potere, prestigio, condizioni di lavoro e tempo libero, accesso ai servizi e relazioni sociali. La marginalizzazione e l\'esclusione sociale possono essere il risultato di uno svantaggio sistematico in molteplici aree della vita e le persone interessate possono essere private di diritti, opportunità, risorse e integrazione sociale. Esempi di dati: statistiche sulle uguaglianze dei redditi; percezione della discriminazione relativa a specifici gruppi (ad esempio verso gli stranieri, i senzatetto, i richiedenti asilo); percezioni delle differenze tra uomini e donne in merito alle opportunità di ruoli dirigenziali in politica; impatto della disoccupazione dei genitori sul livello di istruzione e sulle reti sociali dei bambini.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,6189,8949,'Uguaglianza, disuguaglianza ed esclusione sociale',NULL,460),(11472,'Sono considerate risorse naturali i beni come terra, foreste, fonti energetiche, acqua, minerali che esistono naturalmente e possono essere utilizzati per la produzione o il consumo economico. Le risorse energetiche comprendono i combustibili fossili come petrolio, gas naturale o carbone, nonché il nucleare, il solare, le maree e il vento oppure la bioenergia.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,6179,8922,'Energia e risorse naturali',NULL,460),(11473,'Dati sulla produzione agricola e su tutte le attività economiche rurali che includono, ad esempio, la pesca e la silvicoltura.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,8877,8948,'Agricoltura e attività economiche rurali',NULL,460),(11474,'Riguarda tutti gli aspetti inerenti la qualità della vita e il benessere degli individui e delle società, così come le percezioni delle persone su tali aspetti. Nota di utilizzo: a seconda dell\'aspetto studiato, possono essere altrettanto rilevanti i termini \"Salute e benessere generale\", \"Uguaglianza, disuguaglianza ed esclusione sociale\", \"Condizioni economiche e indicatori\", ecc.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,6159,8942,'Condizioni e indicatori sociali',NULL,460),(11475,'Dati che affrontano questioni connesse al comportamento religioso, ai movimenti religiosi, alla spiritualità, alla moralità e altri valori.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,6177,8944,'Religione e valori',NULL,460),(11476,'Dati sulla presenza di condizioni anatomiche o fisiologiche anormali e sulle manifestazioni oggettive o soggettive di malattia/sintomi, non classificate come malattia o sindrome (nel qual caso si utilizzerebbe \"Malattie particolari, disturbi o condizioni mediche\"). Include manifestazioni cliniche che possono essere oggettive se osservate da un professionista medico o soggettive quando percepite dal paziente. Per esempio: dolore, diarrea, eruzioni cutanee, lunghezza diseguale delle gambe, insonnia, digrignamento dei denti, infiammazione, aritmia.','Health.SignsAndSymptomsPathologicalConditions','Health',26,6222,8961,'Segni e sintomi; condizioni patologiche',NULL,460),(11477,'Include dati che misurano lo standard abitativo in una comunità, compresi gli alloggi sociali, nonché la disponibilità e il prezzo degli alloggi. Abitare include le case di residenza, le seconde case e le case vacanza.\n','HousingAndLandUse.Housing','HousingAndLandUse',31,6173,8964,'Abitare',NULL,460),(11478,'Riguarda questioni relative a famiglie, parenti, generazioni e composizione familiare. Ad esempio, i dati sull\'educazione dei figli, la divisione del lavoro all\'interno della famiglia, il supporto fornito ai familiari.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,6195,8943,'Matrimonio e vita familiare',NULL,460),(11479,'','Education',NULL,10,6226,8954,'EDUCAZIONE',NULL,460),(11480,'Riguarda gli animali domestici, di allevamento e selvatici, così come tutti i tipi di piante (ad esempio fiori, alberi, muschio, vegetali).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,6225,8955,'Piante e animali',NULL,460),(11481,'Misure e condizioni di sicurezza interna e internazionale; conflitti interni e internazionali; guerre e processi di pace; difesa nazionale e forze di difesa (esercito). Nota di utilizzo: le forze dell\'ordine (polizia) rientrano nel termine \"Criminalità e applicazione della legge\".','Politics.ConflictSecurityAndPeace','Politics',55,6183,8983,'Conflitti, sicurezza e pace',NULL,460),(11482,'','SocialWelfarePolicyAndSystems',NULL,75,6172,8913,'POLITICHE SOCIALI E SISTEMI DI WELFARE',NULL,460),(11483,'Questioni relative all\'erogazione di servizi di assistenza sociale, quali soggetti forniscono servizi di assistenza sociale nella pratica e in che misura, come sono strutturati i servizi esistenti. Ad esempio, questioni relative alle modalità attraverso cui un governo locale ha organizzato i servizi per gli anziani.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,8876,8978,'Sistemi/strutture di welfare',NULL,460),(11484,'Dati sui cambiamenti nella società, compresi i cambiamenti comportamentali e di atteggiamento.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,6143,8908,'Mutamento sociale',NULL,460),(11485,'','SocialStratificationAndGroupings',NULL,65,6160,8912,'STRATIFICAZIONE SOCIALE E GRUPPI',NULL,460),(11486,'Gruppi di individui che si differenziano in qualche modo dalla maggioranza della popolazione. Le differenze possono includere, ad esempio, etnia, religione, salute, orientamento sessuale, lingua madre e cultura. Nota di utilizzo: per i dati relativi alle minoranze può essere utile utilizzare anche i termini \"Uguaglianza, disuguaglianza ed esclusione sociale\" o \"Linguaggio e linguistica\".','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,6185,8893,'Minoranze',NULL,460),(11487,'Comprende sia l\'utilizzo del suolo che la pianificazione territoriale. La pianificazione territoriale si riferisce alle procedure attuate per garantire un utilizzo ottimale e sostenibile delle risorse del territorio nelle comunità rurali e urbane.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,6171,8951,'Utilizzo e pianificazione del territorio',NULL,460),(11488,'Prevenzione e controllo di malattie e disabilità e promozione della salute fisica e mentale della popolazione a livello internazionale, nazionale, statale o municipale. Esempi: promozione della salute; prevenzione delle malattie; impatto dei programmi di salute pubblica; gestione di problemi sanitari locali, nazionali o globali; epidemiologia di una patologia, di una condizione patologica o di un\'epidemia.','Health.PublicHealth','Health',24,6148,8926,'Salute pubblica',NULL,460),(11489,'Tecnologie dell\'informazione e della comunicazione che vengono utilizzate a casa, sul posto di lavoro e in altri contesti. Nota di utilizzo: l\'utilizzo e l\'impatto di queste tecnologie sono coperti dal termine \"Società dell\'informazione\".','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,6215,8969,'Tecnologie dell\'informazione',NULL,460),(11490,'Idee, ideali e teorie sui modi in cui i governi e le società possono essere organizzati. Le principali ideologie politiche includono anarchismo, democrazia, liberalismo, conservatorismo, ecc.','Politics.PoliticalIdeology','Politics',60,6224,8965,'Ideologia politica',NULL,460),(11491,'Dati e statistiche sul tasso di occupazione, mercato del lavoro, offerte di lavoro, ricerca di lavoro, caratteristiche del lavoro, occupazione di specifici gruppi (ad esempio occupazione giovanile o minoranze), servizi per l\'impiego, carriere. Nota di utilizzo: per la retribuzione utilizzare il termine \"Condizioni lavorative\".','LabourAndEmployment.Employment','LabourAndEmployment',35,6140,8940,'Occupazione',NULL,460),(11492,'Dati relativi a diversi aspetti della vita nelle comunità o nelle aree urbane e rurali. Opinioni e immagini del quartiere, di aree urbane o rurali. Servizi, strutture e opportunità di business nel quartiere.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,6150,8928,'Comunità, vita urbana e rurale',NULL,460),(11493,'Comprende tutti i modelli di pensionamento come quello graduale o flessibile, dati sull\'età pensionabile e il pensionamento anticipato.','LabourAndEmployment.Retirement','LabourAndEmployment',38,6228,8903,'Pensionamento',NULL,460),(11494,'Indagini su un\'intera popolazione, a differenza di un\'indagine campionaria. Spesso utilizzati per le statistiche ufficiali di una popolazione, in genere includono la raccolta delle informazioni demografiche. Si noti che in alcuni paesi i censimenti non vengono utilizzati in quanto le informazioni demografiche possono essere ottenute dai registri ufficiali.','Demography.Censuses','Demography',1,8882,8936,'Censimenti',NULL,460),(11495,'Nota di utilizzo: se gli anziani sono studiati per un loro particolare aspetto, potrebbe essere necessario un argomento aggiuntivo.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,6188,8979,'Anziani',NULL,460),(11496,'I processi, le funzioni o il sistema riproduttivi in tutte le fasi della vita. Include dati su gravidanza, parto, pianificazione familiare, contraccezione, aborto e menopausa.','Health.ReproductiveHealth','Health',25,6206,8897,'Salute riproduttiva',NULL,460),(11497,'Dati su criminalità, prevenzione del crimine, vittime di reati, criminali, polizia, servizi segreti, istituti penitenziari (ad es. carceri, anche minorili), controllo delle frontiere e dogane. Comprende anche i dati sullo staff e le strutture di queste agenzie.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,6211,8930,'Criminalità e applicazione della legge',NULL,460),(11498,'','Psychology',NULL,61,6158,8973,'PSICOLOGIA',NULL,460),(11499,'Dati sull\'abuso di droghe e altre sostanze. Dati sulle abitudini legate al consumo di fumo e alcol. Nota di utilizzo: per i dati relativi all\'uso medicinale di droghe \"ricreative\" (come l\'uso medicinale della cannabis), utilizzare il termine \"Cure e terapie\".','Health.DrugAbuseAlcoholAndSmoking','Health',18,10856,8985,'Abuso di sostanze, alcol e fumo',NULL,460),(11500,'Misure adottate per migliorare o preservare l\'immagine di individui, aziende, organizzazioni e governi, ad esempio mediante pubblicità, lobbying, ecc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,8881,8934,'Relazioni pubbliche',NULL,460),(11501,'Dati sulla formazione dell\'identità, sulle questioni legate all\'identità personale e all\'appartenenza sociale in termini di nazionalità, territorio, classe sociale, generazione, etnia, religione o qualsiasi altro gruppo socio-culturale. Il termine copre anche l’esclusione sociale, propria o di altri, da questi gruppi.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,6147,8958,'Identità culturale e nazionale',NULL,460),(11502,'Riguarda questioni di degrado ambientale, inquinamento, protezione ambientale, cambiamenti climatici, prevenzione delle inondazioni, erosione del suolo.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,6145,8959,'Protezione ambientale',NULL,460),(11503,'Scambio di capitali, beni o servizi attraverso i confini internazionali.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,6163,8976,'Commercio estero',NULL,460),(11504,'La creazione, distribuzione, utilizzo, integrazione e manipolazione delle informazioni come attività economica, politica e culturale rilevante. Ad esempio, i dati relativi all\'e-commerce, e-government, social media, dispositivi mobili, accesso e uso di Internet, e-privacy, informazioni e risorse bibliotecarie. Nota di utilizzo: utilizzare il termine \"Tecnologie dell\'informazione\" quando si tratta di tecnologie in senso stretto.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,8874,8968,'Società dell\'informazione',NULL,460),(11505,'','TradeIndustryAndMarkets',NULL,89,6137,8901,'COMMERCIO, INDUSTRIA E MERCATI',NULL,460),(11506,'Include immigrazione, emigrazione, migrazione interna e altri tipi di mobilità geografica. Immigrazione significa stabilirsi in un paese diverso rispetto al proprio paese d\'origine. Emigrazione significa lasciare il proprio paese d\'origine per stabilirsi in un altro paese. Migrazione è un termine generico che copre entrambi. Migrazione include anche la migrazione interna, ovvero la circolazione di persone all\'interno di un paese a diversi livelli geografici.','Demography.Migration','Demography',2,6187,8918,'Migrazioni',NULL,460),(11507,'Le condizioni in cui lavorano i dipendenti. Ad esempio, tipi di contratto, orario di lavoro (numero di ore di lavoro, periodi di riposo, programmi di lavoro, straordinari), retribuzione, aspetti fisici e psicologici del lavoro, diritti e responsabilità dei dipendenti, carico di lavoro, coinvolgimento dei dipendenti nel processo decisionale, diritto di congedo, ambiente fisico. Nota di utilizzo: per i problemi di sicurezza sul posto di lavoro utilizzare anche il termine \"Salute sul lavoro\".','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,6204,8899,'Condizioni lavorative',NULL,460),(11508,'','LawCrimeAndLegalSystems',NULL,41,6219,8963,'LEGGE, CRIMINALITÀ E SISTEMI GIURIDICI',NULL,460),(11509,'','Economics',NULL,4,6156,8904,'ECONOMIA',NULL,460),(11510,'Dati provenienti da studi linguistici, analisi linguistiche e sociolinguistiche, nonché dati sulle politiche linguistiche, le competenze linguistiche delle persone, le lingue parlate sul posto di lavoro o in ambito domestico, gli atteggiamenti nei confronti delle minoranze linguistiche, ecc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,8875,8941,'Linguaggio e linguistica',NULL,460),(11511,'Cambiamento dello status sociale e lavorativo di individui, famiglie o gruppi di individui nel tempo. La mobilità può essere orizzontale, ossia un cambiamento di posizione all\'interno dello stesso status, oppure verticale, in cui gli individui si spostano verso l\'alto o verso il basso nella gerarchia di status. Ad esempio, i lavoratori nelle industrie in declino possono diventare lavoratori in qualche altra industria (mobilità professionale orizzontale), oppure i bambini nelle famiglie povere possono raggiungere una classe sociale più alta rispetto ai loro genitori (mobilità sociale intergenerazionale verticale).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,6193,8982,'Mobilità sociale e lavorativa',NULL,460),(11512,'Trattamento della malattia o procedure di prevenzione della stessa. Cura del paziente a livello individuale. Ricerca su farmaci e cure di una malattia. Ad esempio, dati relativi a procedure chirurgiche, riabilitazione, consulenza medica, terapia fisica, manipolazioni muscoloscheletriche, assistenza in ospedale o a domicilio, psicoterapia, tecniche investigative, farmaci.','Health.MedicationAndTreatment','Health',21,6152,8932,'Cure e terapie',NULL,460),(11513,'Comprende l\'istruzione generalmente classificata nei livelli 3-4 dello standard ISCED più l\'istruzione superiore, ossia l\'istruzione secondaria di secondo grado e l\'istruzione universitaria. Include dati su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.HigherAndFurtherEducation','Education',13,6196,8920,'Istruzione secondaria e superiore',NULL,460),(11514,'Riguarda i paesaggi e gli elementi della terra che non sono stati modificati direttamente dagli esseri umani.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,6144,8956,'Paesaggi naturali',NULL,460),(11515,'Relazioni tra datori di lavoro e dipendenti.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,6209,8957,'Rapporti di lavoro/conflitto',NULL,460),(11516,'Decisioni e principi adottati a livello nazionale, regionale o locale per quanto riguarda il welfare sociale, il suo finanziamento e l\'erogazione dei servizi. Ad esempio, i soggetti che hanno diritto ai diversi tipi di servizi e benefici sociali, i loro motivi e il loro livello di necessità, nonché i soggetti che possono fornire i servizi.  Esempi di politiche: politica che incoraggia gli anziani a rimanere nelle loro case il più a lungo possibile, oppure una politica che stabilisce la durata del sussidio di disoccupazione. Nota di utilizzo: per leggi e regolamenti già implementati utilizzare anche il termine \"Legislazione e sistemi giuridici\".','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,6212,8974,'Politiche di welfare',NULL,460),(11517,'Include tutti i tipi di trasporto: merci, pendolari, trasporti pubblici (treni, autobus, metropolitane, ecc.) e le reti di trasporto urbano. Dati sulle abitudini di mobilità, ad esempio acquisti transfrontalieri, percorsi e mezzi utilizzati per accedere a una località. Nota di utilizzo: per i dati relativi a viaggi nel tempo libero utilizzare il termine \"Tempo libero, turismo e sport\".','TransportAndTravel',NULL,93,6146,8921,'TRASPORTI E VIAGGI',NULL,460),(11518,'','HousingAndLandUse',NULL,30,6175,8910,'ABITARE E TERRITORIO',NULL,460),(11519,'Processi nutrizionali, modelli e pratiche alimentari e parametri nutrizionali misurabili come l\'indice di massa corporea (IMC), il peso, i livelli di vitamine.','Health.DietAndNutrition','Health',17,6149,8896,'Regime alimentare e nutrizione',NULL,460),(11520,'Dati relativi all\'utilizzo di processi biomolecolari e cellulari per la creazione di nuovi prodotti e processi tecnologici.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,6207,8970,'Biotecnologia',NULL,460),(11521,'Dati sul livello generale di forma fisica, sull\'attività fisica e sull\'esercizio fisico delle persone.','Health.PhysicalFitnessAndExercise','Health',23,8820,8909,'Forma fisica ed esercizio',NULL,460),(11522,'Modelli di attività ricreative, attività del tempo libero e hobby. Include partecipazione a manifestazioni sportive, attività sportive e viaggi nel tempo libero. Nota di utilizzo: per i dati relativi al benessere fisico e fitness utilizzare il termine \"Forma fisica ed esercizio\".','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,6190,8919,'Tempo libero, turismo e sport',NULL,460),(11523,'Dati sull\'accumulo di beni personali, inclusi reddito, proprietà, investimenti e risparmi.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8884,8906,'Reddito, proprietà e forme di risparmio/investimento',NULL,460),(11524,'Dati e statistiche sui tassi di disoccupazione, programmi e progetti per l\'occupazione, durata e frequenza della disoccupazione, impatto sociale e psicologico della disoccupazione, ecc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,6203,8924,'Disoccupazione',NULL,460),(11525,'Dati sugli atteggiamenti politici dei partiti, impegno e partecipazione al processo politico, comportamento di voto, soddisfazione nei confronti del governo. Nota di utilizzo: per i dati su specifiche dottrine politiche utilizzare il termine \"Ideologia politica\".','Politics.PoliticalBehaviourAndAttitudes','Politics',59,6191,8915,'Comportamenti e atteggiamenti politici',NULL,460),(11526,'L\'istruzione obbligatoria si riferisce al periodo di istruzione richiesto a tutte le persone che vivono in un paese ed è imposto per legge. L\'istruzione pre-scolastica si riferisce alla scuola dell\'infanzia e all\'educazione impartita prima dell\'istruzione obbligatoria. Questo termine riguarda i dati relativi alle fasi di istruzione prescolare, primaria e secondaria di primo grado, indipendentemente dal fatto che i dati si concentrino su studenti, insegnanti, materie o abilità insegnate, strutture, ecc.','Education.CompulsoryAndPreschoolEducation','Education',11,8885,8927,'Istruzione obbligatoria e pre-scolastica',NULL,460),(11527,'','LabourAndEmployment',NULL,33,6199,8946,'LAVORO E OCCUPAZIONE',NULL,460),(11528,'Ferite e lesioni, sia fisiche che psicologiche, causate da incidenti o violenze (attraverso comportamenti aggressivi individuali o di gruppo). Nota di utilizzo: se le ferite/lesioni sono legate alle attività lavorative, utilizzare il termine \"Salute sul lavoro\".','Health.WoundsAndInjuries','Health',28,6197,8952,'Ferite e lesioni',NULL,460),(11529,'Questioni relative a governi nazionali, regionali e locali, organi di governo (ad esempio Governo, Parlamento, enti governativi locali), amministrazione pubblica, altre organizzazioni politiche come i partiti politici. Ad esempio, dati sulle politiche governative, i partiti politici e le loro politiche, i leader dei partiti politici, la fiducia negli organismi governativi.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8887,8971,'Governo, sistemi e organizzazioni politici',NULL,460),(11530,'Gli indicatori economici mostrano l\'evoluzione e l\'andamento economico e comprendono, ad esempio, il tasso di crescita del PIL, l\'occupazione, l\'inflazione e il tasso di interesse, l\'attività dei consumatori e degli investitori, il debito delle famiglie. Nota di utilizzo: quest\'ultimo termine è anche utilizzato per stimare le condizioni economiche degli individui e delle famiglie intervistate.','Economics.EconomicConditionsAndIndicators','Economics',6,6210,8967,'Condizioni economiche e indicatori',NULL,460),(11531,'Dati sulla legislazione internazionale o nazionale, regolamenti amministrativi, sistema giudiziario (poteri e attività dei tribunali), risoluzioni alternative delle controversie e giustizia riparativa, pene.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,6151,8966,'Legislazione e sistemi giuridici',NULL,460),(11532,'Data relatert til ulike aspekter av livet i lokalsamfunnet, eller i urbane og rurale områder. Oppfatninger og fremstillinger av nabolag, eller av urbane og rurale områder. Tjenester, fasiliteter og forretningsmuligheter i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,6233,8928,'Samfunnet, urbant og ruralt liv',NULL,461),(11533,'Omfatter studier som måler boligstandarden i et samfunn, inkludert sosialboliger, i tillegg til tilgjengeligheten og prissettingen på boliger. Bolig omfatter hjem, andre boliger og fritidsboliger.','HousingAndLandUse.Housing','HousingAndLandUse',31,6275,8964,'Bolig',NULL,461),(11534,'Sykelighet refererer til forekomst av dårlig helse i en befolkning. Data kan dekke forekomsten eller sykdomsgraden av en medisinsk tilstand. For eksempel antall personer som lider av lungekreft i et land eller i et geografisk område i løpet av ett år. Data om dødelighet indikerer antall dødsfall i en befolkning etter sted, tid, årsak, individ osv. For eksempel mødre-, barnedødelighet. Bruksmerknad: selvrapporterte undersøkelsesdata om sykdommer og medisinske forhold er indeksert med HELSE-hierarki begreper.','Demography.MorbidityAndMortality','Demography',3,6249,8960,'Sykelighet og dødelighet',NULL,461),(11535,'Produksjon, distribusjon, bruk, integrering og manipulering av informasjon som en signifikant økonomisk, politisk og kulturell aktivitet. For eksempel, data relatert til netthandel, bruk av informasjons- og kommunikasjonsteknologi i offentlig sektor, sosiale medier, mobilenheter, tilgang til og bruk av internett, personvern, informasjon og biblioteksressurser. Bruk \'Informasjonsteknologi\' om de faktiske teknologiene.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,6320,8968,'Informasjonssamfunn',NULL,461),(11536,'Individer, familier eller grupper av individer sin bevegelse i sosial og yrkesmessig status over tid. Bevegelsen kan være horisontal, det vil si endring av posisjon innenfor samme statusnivå, eller vertikal hvor individer kan bevege seg oppover eller nedover i statushierarkiet. For eksempel kan arbeidere innen næringer i nedgang bli arbeidere i en annen industri (horisontal yrkesmessig mobilitet), eller så kan barn i fattige familier oppnå en høyere sosial klasse enn deres foreldre (vertikal intergenerasjonell sosial mobilitet).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,6315,8982,'Sosial og yrkesmessig mobilitet',NULL,461),(11537,'','SocialWelfarePolicyAndSystems',NULL,75,6287,8913,'SOSIALPOLITIKK OG VELFERDSSYSTEMER',NULL,461),(11538,'Aktiv eller passiv deltakelse i alle former for kulturelle aktiviteter, samt meninger og oppfatninger av dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,6314,8984,'Kulturelle aktiviteter og deltagelse',NULL,461),(11539,'Bruk hvis emnet er kjent, men ikke finnes i listen.','Other',NULL,94,6266,8945,'ANNET',NULL,461),(11540,'Opplæring internt i bedriften og annen opplæring som er finansiert av bedriften for å heve ansattes ferdigheter og kompetanse. Omfatter ikke lærlinger, som er inkludert i \'Yrkesrettet utdanning og opplæring\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,6296,8923,'Opplæring av ansatte',NULL,461),(11541,'Forhindring og kontroll av sykdom og funksjonshemminger, og fremming av befolkningens fysiske og mentale helse på internasjonalt, nasjonalt, statlig eller kommunalt nivå. For eksempel, helsefremming, forebygging av sykdom, offentlige helseprogrammers innvirkning, håndtering av lokale, nasjonale eller globale helseproblemer, en sykdoms epidemiologi, tilstand, eller patogen, eller sykdomsutbrudd.','Health.PublicHealth','Health',24,6244,8926,'Folkehelse',NULL,461),(11542,'Data om sosial atferd; sosial interaksjon og nettverk; sosialt ansvar; sosiale normer og regler; og holdninger til dette.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,6231,8947,'Sosial atferd og holdninger',NULL,461),(11543,'Kan være bruk for et ekstra emne, hvis barn studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,6286,8892,'Barn',NULL,461),(11544,'Naturressurser er forekomster som jord, skog, energikilder, vann, mineraler som eksisterer naturlig og som kan bli brukt til økonomisk produksjon og konsum. Energiressurser inkluderer fossile brennstoff som olje, naturgass og kull, men også kjernekraft, sol, tidevann og vind, og levende organismer som kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,6278,8922,'Energi og naturressurser',NULL,461),(11545,'','LawCrimeAndLegalSystems',NULL,41,6283,8963,'LOV, KRIMINALITET OG RETTSSYSTEMER',NULL,461),(11546,'Studier om abnorme anatomiske eller fysiologiske tilstander, og objektive eller subjektive manifestasjoner av sykdom eller symptomer, som ikke er klassifisert som sykdom eller syndrom (i hvilket tilfelle ‘Spesifikke sykdommer, lidelser eller medisinske tilfeller’ ville blitt brukt). Omfatter kliniske manifestasjoner som kan være objektive når de blir observert av medisinsk fagpersonell eller subjektive når de blir oppfattet av pasienten. For eksempel smerte, diaré, utslett, ulik benlengde, insomnia, tanngnissing, inflammasjon, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,6253,8961,'Tegn og symptomer; patologiske tilstander',NULL,461),(11547,'Undervisningsprogrammer som er utarbeidet slik at elevene skal tilegne seg kunnskap, ferdigheter og kompetanse som er rettet mot et spesifikt yrke eller yrkesgrupper. Yrkesrettet utdanning og opplæring kan ha arbeidsrelaterte komponenter. Dekker yrkesrettet utdanning på ISCED-nivå 3 - 4, og lærlingperioden. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.VocationalEducationAndTraining','Education',15,6247,8907,'Yrkesrettet utdanning og opplæring',NULL,461),(11548,'Data om identitetsdannelse, hvem folk føler de er og hvor de hører til. Forholdet mellom kulturell og nasjonal identitet ved å fremstille og klassifisere andre som \'ikke en av oss/de andre\'. Vaner, oppførsel og holdninger til egne oppfatninger og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,6276,8958,'Kulturell og nasjonal identitet',NULL,461),(11549,'Betingelsene de ansatte arbeider under. For eksempel, typer kontrakter, arbeidstid (antall timer arbeid, hvileperioder, arbeidsplan, overtid), betaling og opptelling, fysiske aspekter og mentale krav ved arbeidet, ansattes rettigheter og ansvar, arbeidsmengde, de ansattes involvering i beslutningstaking, permisjonsrettigheter, og fysisk miljø. For sikkerhetsspørsmål på arbeidsplassen benytt også \'Arbeidsrelatert helse\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,6291,8899,'Arbeidsbetingelser',NULL,461),(11550,'Data om kriminalitet, forebygging av kriminalitet, ofre for kriminalitet, kriminelle, politiet, etterretningstjeneste, sikkerhetstjeneste, kriminalomsorg (for eksempel fengsel, ungdomsfengsel), grensekontroll og tollvesen. Inkluderer også data om ansatte og fasilitetene til virksomhetene.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,6243,8930,'Kriminalitet og rettshåndhevning',NULL,461),(11551,'Data om hvor mye tid befolkningen bruker på ulike aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,6309,8950,'Tidsbruk',NULL,461),(11552,'','Demography',NULL,0,6254,8980,'DEMOGRAFI (POPULASJON, KJERNESTATISTIKK OG FOLKETELLINGER)',NULL,461),(11553,'Dekker problemstillinger knyttet til familie, slektninger, generasjoner og husholdningssammensetning. For eksempel, data om barneoppdragelse, fordeling av arbeidsoppgaver i familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,6300,8943,'Familieliv og ekteskap',NULL,461),(11554,'','ScienceAndTechnology',NULL,62,6298,8972,'VITENSKAP OG TEKONOLOGI',NULL,461),(11555,'Data om industri og foretak slik som ledelse, produktivitet, vekst og fall, organisasjonsstruktur, administrasjon, investeringer i forskning og utvikling, markeder og markedsandel.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,6248,8953,'Forretnings-/industridrift og organisasjon',NULL,461),(11556,'Dekker videregående utdanning på ISCED-nivå 3 - 4 i tillegg til høyere utdanning. Det vil si videregående opplæring, høyere utdanning på høgskole, vitenskapelig universitet eller universitet. Omfatter data om studenter, lærere, fag, ferdigheter, fasiliteter etc.','Education.HigherAndFurtherEducation','Education',13,6236,8920,'Høyere- og videreutdanning',NULL,461),(11557,'Problemstillinger knyttet til tilbudet av velferdssystemer, hvem som har ansvaret for sosiale velferdstjenester i praksis og i hvilken grad, og hvordan tjenestene er strukturert. For eksempel meninger om hvem som skal ha ansvar for eldreomsorg og omsorg for barn, hvordan lokale myndigheter har organisert tjenestene, og hva slags stønader kan man få etc.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,6293,8978,'Sosiale velferdssystemer/strukturer',NULL,461),(11558,'','SocietyAndCulture',NULL,79,6271,8962,'SAMFUNN OG KULTUR',NULL,461),(11559,'Beslutninger og prinsipper vedtatt nasjonalt, regionalt eller lokalt om velferdssystemer, finansiering og tilbud. For eksempel hvem har rett til hvilke tjenester og stønader og hvorfor, hvilket nivå, og hvem som kan tilby disse tjenestene. For eksempel politikk om at eldre bør bo hjemme så lenge som mulig, politikk om hvor lenge folk har rett på arbeidsledighetstrygd. Bruk også \'Lovgivning og rettssystemer\' for lover og reguleringer som allerede er vedtatt.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,6235,8974,'Sosial velferdspolitikk',NULL,461),(11560,'Data om internasjonal og nasjonal lovgivning, administrative forskrifter, domstoler, alternative tvisteløsninger og gjenopprettende praksis, straff.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,6265,8966,'Lovgivning og rettssystemer',NULL,461),(11561,'Data om valg, folkeavstemninger, valgkampanjer, valgresultat, valgkandidater, valgkomitéer, valgstøtte etc.','Politics.Elections','Politics',56,6302,8898,'Valg',NULL,461),(11562,'Data som omhandler akkumulasjon av personlige eiendeler, inkludert inntekt, eiendom, investeringer og sparing.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8279,8906,'Inntekt, eiendom og investeringer/sparing',NULL,461),(11563,'Kjønnsidentitet; kjønnsrepresentasjon (for eksempel representasjon av kjønn i beslutningstakersorgan, i media, i litteratur etc.); sosiale, kulturelle og psykologiske trekk knyttet til menn og kvinner; kvinnestudier, mannsstudier; forventet atferd og valg knyttet til kjønnsroller og innvirkningen av slike forventinger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,6319,8931,'Kjønn og kjønnsroller',NULL,461),(11564,'','Politics',NULL,54,6268,8914,'POLITIKK',NULL,461),(11565,'Diskusjoner om politikk og prinsipper, samt beslutninger og prinsipper vedtatt på nasjonalt, regionalt eller lokalt nivå knyttet til utdanning. Bruksmerknad: For lover og reguleringer som allerede er implementert bruk emnet \'Lovgivning og rettssystemer\' i tillegg.','Education.EducationalPolicy','Education',12,6311,8911,'Utdanningspolitikk',NULL,461),(11566,'Tiltak implementert for å ivareta eller forbedre oppfattelsen av individer, virksomheter, organisasjoner og regjeringer, for eksempel ved bruk av reklame, pressgrupper etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,6295,8934,'Publikumskontakt',NULL,461),(11567,'Dekker problemstillinger knyttet til degradering, forurensning, miljøvern, klimaendringer, forebygging ved flom og jorderosjon.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,6316,8959,'Miljø og naturforvaltning',NULL,461),(11568,'Dekker domestisering, produksjon og ville dyr, og alle typer planter (for eksempel blomster, trær, mose, grønnsaker).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,6241,8955,'Planter og dyr',NULL,461),(11569,'','Education',NULL,10,6255,8954,'UTDANNING',NULL,461),(11570,'Obligatorisk utdanning refererer til den utdanningsperioden som er påkrevd alle mennesker som bor i et konkret land, og er håndhevet gjennom lovverket. Førskole viser til formell barnepass og utdanning som blir gitt i forkant av obligatorisk utdanning. Dette emne dekker data relatert til førskole og grunnskolen uavhengig om data fokuserer på elever, lærere, fag eller ferdigheter undervist, fasiliteter, etc.','Education.CompulsoryAndPreschoolEducation','Education',11,6261,8927,'Obligatorisk utdanning og førskole',NULL,461),(11571,'Problemstillinger relatert til eksistensen, roller og innflytelsen til eliter i samfunnet, det vil si individer eller grupper som har en stor påvirkning på samfunn, politikk, velstand osv. enten gjennom sine beslutninger, eller gjennom sine ideer og følelser som de utrykker eller representerer. Inkluderer problemstillinger knyttet til innflytelsesrike personer på alle samfunnsområder, for eksempel beslutningstakere i det politiske livet, partiledere, innflytelsesrike kunstnere, fremtredende personer i masse- eller sosiale medier.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,6257,8939,'Eliter og lederskap',NULL,461),(11572,'Inkluderer immigrasjon, emigrasjon, intern migrasjon og andre typer av geografisk mobilitet. Immigrasjon betyr å bosette seg i et annet land enn sitt hjemland. Emigrasjon betyr at man forlater sitt hjemland for å bosette seg i et annet land. Migrasjon er et paraplybegrep for begge. Migrasjon omfatter også intern migrasjon, det vil si forflytninger av mennesker i et land på forskjellige geografiske nivåer.','Demography.Migration','Demography',2,6264,8918,'Migrasjon',NULL,461),(11573,'Inkluder alle typer godstransport, pendling, kollektivtransport (tog, busser, undergrunn/metro etc.) og transportnettverk i byer. Data om mobilitetsvaner, for eksempel shopping over landegrenser, ruter og midler som blir brukt for å komme seg til et sted. Bruk begrepet \'Fritid, turisme og sport\' for reiser på fritiden.','TransportAndTravel',NULL,93,6251,8921,'TRANSPORT OG REISE',NULL,461),(11574,'Refererer til handlingen om å tilegne seg og/eller bruke noe for å møte behov og ønsker hos en person, fellesskapet eller samfunnet. Data i denne kategorien omfatter også mønster på forbrukeratferd, endringer i de, og studier om forbrukeretikk. For eksempel undersøkelsesdata om hvor ofte personer kjøper spesifikke ting, når og hvor de handler; om etiske betraktninger påvirker forbrukervalget. ','Economics.ConsumptionAndConsumerBehaviour','Economics',5,6280,8891,'Forbruk og forbrukertatferd',NULL,461),(11575,'Data om folk sin fysiske form generelt, fysisk aktivitet og trening som de utøver.','Health.PhysicalFitnessAndExercise','Health',23,8272,8909,'Fysisk form og trening',NULL,461),(11576,'Kan være bruk for et ekstra emne, hvis unge mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,6277,8929,'Ungdom',NULL,461),(11577,'','LabourAndEmployment',NULL,33,6305,8946,'ARBEID OG SYSSELSETTING',NULL,461),(11578,'Ernæringsprosesser, spisemønstre og -vaner, og målbare ernæringsparametre, som kroppsmasseindeks (BMI), vekt, vitaminnivå.','Health.DietAndNutrition','Health',17,8273,8896,'Diett og ernæring',NULL,461),(11579,'Data som omhandler alle former for massemedia. For eksempel papir- eller nettaviser, ukeblad, fjernsyn og radio. Sosiale medier er indeksert med begrepet \'Informasjonssamfunn\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,6269,8925,'Media',NULL,461),(11580,'Dekker landskap og land som ikke har blitt direkte endret av mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,6267,8956,'Naturlige omgivelser (landskap)',NULL,461),(11581,'Kvalitet og tilgjengelighet på tjenester, hjelpemidler og personale innen helsevesenet. Helsevesenets økonomiske og politiske avgjørelser og prinsipper nasjonalt, regionalt eller lokalt. Benytt \'Lovgivning og rettssystemer\' for lover og lovbestemmelser som allerede er implementert.','Health.HealthCareServicesAndPolicies','Health',20,6310,8937,'Helsevesen og politikk',NULL,461),(11582,'Data om arbeids- og sysselsettingspolitikk relatert til ansettelsesforhold, arbeidsmarkedet, likestilling og diskriminering på jobb; for policyer på nasjonalt nivå inkluder påvirkningen av etterspørsel på og tilbud av arbeidskraft og arbeidsmarkedenes funksjon. Bruk ‘Lovgivning og rettsystemer’ for lover og reguleringer som allerede er implementert.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,6285,8975,'Arbeids- og sysselsettingspolitikk',NULL,461),(11583,'Utveksling av kapital, varer eller tjenester over internasjonale grenser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,6317,8976,'Utenrikshandel',NULL,461),(11584,'Reproduktiv prosess, funksjon eller system på ethvert stadium av livet. Omfatter data om graviditet, fødsel, familieplanlegging, prevensjon og abort, overgangsalder.','Health.ReproductiveHealth','Health',25,6284,8897,'Reproduktiv helse',NULL,461),(11585,'Nasjonal og internasjonal sikkerhet og trygghet; nasjonale og internasjonale konflikter; krig og fred; militær styrke og militæret. Bemerk at politi er dekket under \'Lov, kriminalitet og rettsystemer\'.','Politics.ConflictSecurityAndPeace','Politics',55,6312,8983,'Konflikt, sikkerhet og fred',NULL,461),(11586,'Problemstillinger knyttet til nasjonalt, regionalt eller lokalt regjerende organer (for eksempel regjering, parlament, kommunestyre), statsforvaltning, andre politiske organisasjoner som politiske partier. Kan være f.eks data om regjerende politikk, politiske partier og deres politikk, ledere i politiske partier, tiltro til regjerende organer. Bemerk at du muligens også bør bruke en egen emnebeskrivelse.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8280,8971,'Styresett, politiske systemer og organisasjoner',NULL,461),(11587,'Studier om spesifikke, diagnostiserte sykdommer, lidelser eller syndromer (ofte klassifisert i ICD-10 eller i tidligere versjoner). For eksempel medisinsk forskning på årsaker til diabetes eller studier av fysisk og mental rehabilitering blant personer som har gjennomgått hjerteoperasjon.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,6313,8905,'Spesifikke sykdommer og medisinske tilfeller',NULL,461),(11588,'Behandling av sykdom, eller prosedyre(r)  for å forebygge. Pasientbehandling på individuelt nivå. Forskning på medisinering og behandling av sykdom. Data om, for eksempel, kirurgiske prosedyrer, legekonsultasjon, fysisk terapi, manipulasjoner i muskler og skjelett, behandling på sykehus eller i hjemmet, psykoterapi, undersøkelsesteknikker, medisinering.','Health.MedicationAndTreatment','Health',21,6272,8932,'Medisiner og behandling',NULL,461),(11589,'Data som adresserer spørsmål om religiøs atferd, religiøs diskriminering, religiøse bevegelser, åndelighet/spiritualitet, moralitet og andre verdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,6230,8944,'Religion og verdier',NULL,461),(11590,'Data om narkotiske stoffer og misbruk av rusmidler. Data om tobakks- og alkoholvaner. Bruksmerknad: Når det gjelder data som omhandler medisinsk bruk av rekreasjonsdroger (som medisinsk bruk av cannabis), bruk termen \'Medisiner og behandling\'.','Health.DrugAbuseAlcoholAndSmoking','Health',18,10857,8985,'Stoffmisbruk, alkohol og røyking',NULL,461),(11591,'Omfatter både arealbruk og arealplanlegging. Med arealplanlegging menes prosedyrene utført for å sikre optimal og bærekraftig bruk av landressurser i rurale og urbane samfunn.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,6258,8951,'Arealbruk og arealplanlegging',NULL,461),(11592,'Sår og skader, både fysiske og psykologiske, forårsaket enten av ulykke eller vold (utført av individer eller grupper). Hvis det er jobbrelaterte sår og skader benytt \'Arbeidsrelatert helse\'.','Health.WoundsAndInjuries','Health',28,6252,8952,'Sår og skader',NULL,461),(11593,'Økonomiske indikatorer som anviser en økonomi sin retning og omfatter for eksempel BNP-vekst, sysselsetting, inflasjon og rentesats, forbruker- og investoraktivitet og husholdningsgjeld. Bruksmerknad: Dette emne brukes også for økonomiske forhold for enkeltpersoner og husholdninger som er undersøkt eller registrert.','Economics.EconomicConditionsAndIndicators','Economics',6,6262,8967,'Økonomiske forhold og indikatorer',NULL,461),(11594,'Rekreasjonsmønster, fritidsaktiviteter og hobbyer. Inkluderer idrettsforeninger, konkurransesport og fritidsreiser. For data om trening for å holde seg i form bruk \'Helseatferd\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,6245,8919,'Fritid, turistaktiviteter og sport',NULL,461),(11595,'Data om endringer i samfunnet, inkludert holdningsendringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,6306,8908,'Sosial endring',NULL,461),(11596,'Relasjoner mellom arbeidsgiver og arbeidstaker.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,6246,8957,'Arbeidsforhold/konflikter',NULL,461),(11597,'Kan være bruk for et ekstra emne, hvis eldre mennesker studeres fra et bestemt aspekt.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,6242,8979,'Eldre',NULL,461),(11598,'Global styring, diplomati, utenrikspolitikk, relasjoner mellom land, internasjonale organisasjoner (for eksempel EU, WHO, FN, WTO), og internasjonale avtaler.','Politics.InternationalPoliticsAndOrganisations','Politics',58,6289,8902,'Internasjonal politikk og organisasjoner',NULL,461),(11599,'Ideer, idealer og teorier om hvordan myndighetene og samfunn kan organiseres. Store politiske ideologier omfatter anarkisme, demokrati, liberalisme, konservatisme etc.','Politics.PoliticalIdeology','Politics',60,6259,8965,'Politisk ideologi',NULL,461),(11600,'','TradeIndustryAndMarkets',NULL,89,6292,8901,'HANDEL, INDUSTRI OG MARKEDER',NULL,461),(11601,'Data omfatter lingvistiske studier, lingvistisk analyse og sosiolingvistikk, samt data omhandlende språkpolitikk, språkferdigheter, språk brukt hjemme og på jobb, holdninger til minoritetsspråk etc.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,6288,8941,'Språk og lingvistikk',NULL,461),(11602,'Data om yrkeseksponering og sykdommer, arbeidssikkerhet, sykefravær, arbeidsevne og uførhet, eller yrkesrelatert uførepensjon.','Health.OccupationalHealth','Health',22,6307,8916,'Arbeidsrelatert helse',NULL,461),(11603,'Bruk denne kategorien for undersøkelser om landbruksproduksjon og landbruksnæringer, som for eksempel inkluderer fiskeri og skogbruk.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,6250,8948,'Jordbruk og rural industri',NULL,461),(11604,'Bruk den passende ‘topical term’ for historisk data i tillegg til hovedbenevnelsen her. For eksempel, ‘Arbeidsforhold’ og ‘Helsetjenester og policyer’ pluss HISTORIE for data om arbeidsmiljøene til familieleger på 1960-tallet. Hovedbenevnelsen for historie skal kun brukes alene i tilfeller hvor det ikke finnes noen ‘topical term’.','History',NULL,29,6301,8981,'HISTORIE',NULL,461),(11605,'Undersøkelser av en hel befolkning, i motsetning til undersøkelser av et utvalg. Ofte brukt i sammenheng med offisielle fortegnelser av en befolkning, og inkluderer vanligvis relatert demografisk informasjon. Legg merke til at det i noen land ikke blir brukt folketellinger ettersom demografisk informasjon foreligger i offisielle registre.','Demography.Censuses','Demography',1,8277,8936,'Folketellinger',NULL,461),(11606,'Omfatter alle pensjonsmønstre, slik som \'gradvis\' eller \'fleksibel\' pensjonering, data om pensjonsalder og tidlig pensjonering.','LabourAndEmployment.Retirement','LabourAndEmployment',38,6308,8903,'Pensjonering',NULL,461),(11607,'','HousingAndLandUse',NULL,30,6239,8910,'BOLIG, AREALBRUK OG AREALPLANLEGGING',NULL,461),(11608,'Problemstillinger knyttet til om alle individer eller grupper av individer har samme status og muligheter i et samfunn. Likhet kan studeres for eksempel ved å se på utdannelse, formue eller inntekt, yrke, makt, prestisje, betingelser for arbeid og fritid, tilgang til tjenester, og sosiale relasjoner. Marginalisering og sosial eksklusjon kan være et resultat av ugunstige forhold på flere områder i livet, og mennesker det gjelder kan bli fratatt rettigheter, muligheter, ressurser og sosial integrering. Eksempler på data: Statistikk over inntekt og likhet, oppfattelsen av gruppefokusert diskriminering (for eksempel mot innvandrere, hjemløse, asylsøkere); oppfattelsen av forskjeller mellom menn og kvinner når det gjelder mulighet for ledende politiske roller; innvirkningen av foreldres arbeidsløshet på barns utdanningsnivå og sosiale nettverk. ','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,6294,8949,'Likhet, ulikhet og sosial eksklusjon',NULL,461),(11609,'Data om sysselsettingsrate og statistikk, arbeidsmarked, ledige jobber, arbeidssøking, karakteristika ved arbeidsforhold, sysselsetting blant bestemte grupper (e.g. ungdoms- eller minoritetssysselsetting), arbeidsmarkedskontor, karriere. For lønn og godtgjørelse brukes \'Arbeidsbetingelser\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,6318,8940,'Sysselsetting',NULL,461),(11610,'Data om økonomisk politikk, omfatter budsjett- og finanspolitikk, statlige utgifter og inntekter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8278,8917,'Økonomisk politikk, offentlige utgifter og inntekter',NULL,461),(11611,'Bruker biomolekylære og cellulære prosesser for å skape nye produkter og teknologiske prosesser.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,6279,8970,'Bioteknologi',NULL,461),(11612,'Dekker alle aspekter av livskvalitet og trivsel hos enkeltpersoner og samfunn, og menneskers oppfatninger av disse. Vær oppmerksom på at i henhold til aspektene som blir studert kan begrepene \'Generell helse og velvære\', \'Likhet og ulikhet\', \'Likhet, ulikhet og sosial eksklusjon\' og \'Økonomiske forhold og indikatorer\' etc. være relevante.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,6234,8942,'Sosiale forhold og indikatorer',NULL,461),(11613,'Studier om det generelle velværet og helsetilstanden til et individ, en gruppe eller en populasjon. Kan bli objektivt målt/observert eller være selvrapportert. Velvære omfatter, for eksempel, fysisk og mental kapasitet eller tilstand, samt sosial tilstand.','Health.GeneralHealthAndWellbeing','Health',19,6237,8935,'Generell helse og velvære',NULL,461),(11614,'For eksmpel selvrapporterte data om hvorvidt folk bruker bestemte sosiale tjenester, meninger om tilstrekkelighet, tilgjengelighet og tilgang til bestemte tjenester, og generelt hvor tilfreds folk er med disse.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,6240,8938,'Spesielle sosiale tjenester: Bruk og tilveiebringelse',NULL,461),(11615,'','Economics',NULL,4,6260,8904,'ØKONOMI',NULL,461),(11616,'','NaturalEnvironment',NULL,49,6297,8900,'NATUR OG MILJØ ',NULL,461),(11617,'','Psychology',NULL,61,6232,8973,'PSYKOLOGI',NULL,461),(11618,'','Health',NULL,16,6304,8894,'HELSE',NULL,461),(11619,'Data om partipolitiske holdninger, politisk engasjement og deltakelse i den politiske prosessen, velgeratferd, tilfredshet med regjering. Benytt \'Politisk ideologi\' for data om spesifikke politiske doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,6282,8915,'Politisk atferd og holdninger',NULL,461),(11620,'Grupper av individer som skiller seg ut fra majoriteten av befolkningen på en eller annen måte. Differensierende karakteristikker inkluderer for eksempel etnisitet, religion, helse, seksuell orientering, førstespråk (morsmål) og kultur. Begrepene \'Likhet og ulikhet\', \'Sosial utstøtning\' eller \'Språk og lingvistikk\' kan også brukes om enkelte minoritets problemstillinger.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,6290,8893,'Minoriteter',NULL,461),(11621,'Data som omhandler kapitalistiske, sosialistiske og andre økonomiske systemer, og data eksempelvis om internasjonale utviklingsprogram.','Economics.EconomicSystemsAndDevelopment','Economics',8,6299,8933,'Økonomiske systemer og utvikling',NULL,461),(11622,'Viser til utdanningsmuligheter i forskjellige format som blir tilbudt voksne etter de er ute av det formelle utdanningssystemet. Voksne kan delta i slik utdanning, for eksempel, for å forbedre ferdigheter eller kvalifikasjoner, omskolering for ny yrkesretning eller bare for å lære noe nytt. Omfatter generelt ikke utdanning som fører til kvalifisering eller opplæring av ansatte.','Education.LifelongContinuingEducation','Education',14,6303,8895,'Livslang utdanning/voksenopplæring',NULL,461),(11623,'Data om sysselsettingsrate og sysselsettingsstatistikk, sysselsettingsprogrammer og sysselsettingstiltak, varighet og hyppighet av arbeidsløshet, sosial og psykologisk innflytelse av arbeidsledighet etc.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,6281,8924,'Arbeidsledighet',NULL,461),(11624,'Informasjons- og kommunikasjonsteknologi som brukes i hjemmet, på arbeidsplassen og i andre samfunnssettinger. Bemerk at bruk og innflytelse av disse teknologiene er dekket av \'Informasjonssamfunn\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,6238,8969,'Informasjonsteknologi',NULL,461),(11625,'','SocialStratificationAndGroupings',NULL,65,6274,8912,'SOSIAL STRATIFISERING OG GRUPPERINGER',NULL,461),(11626,'','MediaCommunicationAndLanguage',NULL,44,6229,8977,'MEDIA, KOMMUNIKASJON OG SPRÅK',NULL,461),(11627,'Data om stofmisbrug og andet stofmisbrug. Data om rygning og drikkevaner. Anvend ’Medicinering og behandling’ til data, der dækker medicinsk brug af ’rekreative’ stoffer (såsom medicinsk brug af cannabis).','Health.DrugAbuseAlcoholAndSmoking','Health',18,10853,8985,'Stofmisbrug, alkohol og rygning',NULL,456),(11628,'Dækker alle aspekter af livskvaliteten og trivsel hos personer og samfund, såvel folks opfattelser heraf. Bemærk venligst ifølge det studerede aspekt, at begreberne \'Generel sundhed og trivsel\', \'Lighed, ulighed og social udstødelse\' og \'Økonomiske forhold og indikatorer\' mm. også kan være relevante. ','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,5863,8942,'Sociale forhold og indikatorer',NULL,456),(11629,'Oprettelsen, distributionen, anvendelsen, integrationen og manipulationen af information som en væsentlig økonomisk, politisk eller kulturel aktivitet. For eksempel data, der relaterer sig til e-handel, digital forvaltning, sociale medier, mobile enheder, adgang til og brug af internettet, e-privacy, information og biblioteksressourcer. Anvend \'Informationsteknologi\', når der tales om de faktiske teknologier. ','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,5931,8968,'Informationssamfund',NULL,456),(11630,'Sygelighed refererer til forekomst af dårligt helbred i en befolkning. Data kan dække forekomsten eller dødelighedsgraden af en medicinsk tilstand. For eksempel antallet af personer, der lider af lungekræft i et land eller et geografisk område i løbet af et år. Dødelighedsdata angiver antallet af dødsfald i en population efter sted, tid, årsag eller individtype. For eksempel mødredødelighed, børnedødelighed. Bemærk, at selvrapporterende undersøgelsesdata om sygdomme og medicinske forhold er indekseret med SUNDHED hierarkiske begreber.','Demography.MorbidityAndMortality','Demography',3,5943,8960,'Sygelighed og dødelighed',NULL,456),(11631,'Emner, der relaterer sig til nationalt, regionalt og lokalt styre, ledende instanser (for eksempel regeringen, parlamentet, lokale, ledende instanser), offentlig administration, andre politiske organisationer såsom politiske partier. For eksempel data om regeringspolitikker, politiske partier og deres politikker, politiske partiledere, tillid til statslige instanser. Bemærk, at du måske også skal bruge et aktuelt udtryk.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8688,8971,'Regering, politiske systemer og organisationer',NULL,456),(11632,'Dækker landskaber og elementer af land, der ikke er blevet direkte ændret af mennesker.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,5894,8956,'Naturlige landskaber',NULL,456),(11633,'Data om social adfærd; social interaktion og netværk; sociale ansvar; sociale normer og regler; og holdninger til disse spørgsmål.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,5897,8947,'Social adfærd og holdninger',NULL,456),(11634,'Naturressourcer er aktiver såsom land, skove, energikilder, vand, mineraler, der eksisterer naturligt og kan anvendes til økonomisk produktion eller forbrug. Energiressourcer inkluderer fossile brændstoffer såsom olie, naturgas eller kul, såvel som atomkraft, solenergi, tidevand og vind eller fra levende organismer, der kan erstattes.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,5866,8922,'Energi og naturrressourcer',NULL,456),(11635,'Anvend, hvis emnet er kendt, men ikke findes i listen.','Other',NULL,94,5880,8945,'ANDET',NULL,456),(11636,'','Demography',NULL,0,5951,8980,'DEMOGRAFI (BEFOLKNING, VITAL STATISTIK OG FOLKETÆLLINGER)',NULL,456),(11637,'Intern erhvervstræning og anden medarbejderuddannelse finansieret af arbejdsgiver for at øge medarbejderfærdigheder og -kompetence. Inkluderer ikke lærlingeuddannelser, der er inkluderet i \'Erhvervsuddannelse\'.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,5945,8923,'Medarbejderuddannelse',NULL,456),(11638,'Reproduktionsproces, funktion eller system på ethvert stadium i livet. Inkluderer data om graviditet, fødsel, familieplanlægning, prævention og abort, overgangsalder. ','Health.ReproductiveHealth','Health',25,5871,8897,'Reproduktiv sundhed',NULL,456),(11639,'Brug af biomolekylære og cellulære processer til at skabe nye produkter og teknologiske processer.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,5919,8970,'Bioteknologi',NULL,456),(11640,'Omfatter husdyr, produktion eller vilde dyr, samt alle typer af planter (for eksempel blomster, træer, mos, grøntsager).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,5905,8955,'Planter og dyr',NULL,456),(11641,'Anvend den passende, aktuelle term for historiske data såvel som hovedbegrebet her. For eksempel, \'Arbejdsvilkår\' og \'Sundhedsydelser og -politikker\' plus HISTORIE til data om arbejdsmiljøerne for familielæger i 1960’erne. Det historiske hovedbegreb skal kun anvendes alene i tilfælde, hvor der ikke findes noget aktuelt udtryk.','History',NULL,29,5923,8981,'HISTORIE',NULL,456),(11642,'Behandling af sygdom eller procedure(r) for at forebygge den. Patientpleje på individuelt niveau. Forskning om medicinering og behandling af en sygdom. Data om, for eksempel, kirurgiske procedurer, rehabilitering, lægekonsultation, fysioterapi, muskuloskeletal manipulation, pleje på sygehus eller hjemme, psykoterapi, undersøgelsesteknikker, medicinering.','Health.MedicationAndTreatment','Health',21,5884,8932,'Medicinering og behandling',NULL,456),(11643,'Ernæringsprocesser, spisemønstre og praksisser, og målbare ernæringsparametre såsom kropsmasseindeks (BMI), vægt, vitaminniveauer.','Health.DietAndNutrition','Health',17,8684,8896,'Diæt og ernæring',NULL,456),(11644,'Idéer, idealer og teorier om måderne, hvorpå regeringer og samfund kan organiseres. Store politiske ideologier inkluderer anarkisme, demokrati, liberalisme, konservatisme mm.','Politics.PoliticalIdeology','Politics',60,5901,8965,'Politisk ideologi',NULL,456),(11645,'Aktiv eller passiv deltagelse i enhver form for kulturelle aktiviteter, såvel som holdninger og opfattelser af dem.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,5870,8984,'Kulturelle aktiviteter og deltagelse',NULL,456),(11646,'Undersøgelser af en hel befolkning i modsætning til en stikprøveundersøgelse. Anvendes ofte til officielle opgørelser af en befolkning, som normalt inkluderer indsamling af relateret demografisk information. Bemærk, at folketællinger i nogle lande ikke anvendes, da demografisk information kan hentes fra officielle registre.','Demography.Censuses','Demography',1,8690,8936,'Folketællinger',NULL,456),(11647,'Intern og international sikkerhed og tryghed; interne og internationale konflikter; krig og fred; nationalt forsvar og forsvarsstyrker (militæret). Bemærk, at politiet er dækket af \'Kriminalitet og retshåndhævelse\'.','Politics.ConflictSecurityAndPeace','Politics',55,5906,8983,'Konflikt, sikkerhed og fred',NULL,456),(11648,'','Economics',NULL,4,5886,8904,'ØKONOMI',NULL,456),(11649,'Anvend denne kategori i undersøgelser om landbrugsproduktion og alle landlige industrier, der inkluderer, for eksempel, fiskeri og skovbrug.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,5910,8948,'Landbrug og landlig industri',NULL,456),(11650,'Data om beskæftigelsestal og -statistik, arbejdsmarked, ledige stillinger, jobsøgning, jobkarakteristika, beskæftigelse for bestemte grupper (for eksempel ungdoms- eller minoritetsbeskæftigelse), beskæftigelsestjenester, karriere. For løn og vederlag, anvend \'Arbejdsvilkår\'.','LabourAndEmployment.Employment','LabourAndEmployment',35,5879,8940,'Beskæftigelse',NULL,456),(11651,'','NaturalEnvironment',NULL,49,5932,8900,'NATURLIGT MILJØ',NULL,456),(11652,'Relationer mellem arbejdsgivere og medarbejdere.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,5907,8957,'Arbejdsforhold/konflikt',NULL,456),(11653,'','Psychology',NULL,61,5881,8973,'PSYKOLOGI',NULL,456),(11654,'Anvend til undersøgelser, der forsker i kapitalistiske, socialistiske og andre økonomiske systemer og til undersøgelser, for eksempel, om internationale udviklingsprogrammer.','Economics.EconomicSystemsAndDevelopment','Economics',8,5892,8933,'Økonomiske systemer og udvikling',NULL,456),(11655,'Omfatter almen uddannelse på ISCED-niveauer 3-4 plus tertiær uddannelse, dvs. almen gymnasieuddannelse og kollegium, universitet for anvendt videnskab og universitetsuddannelse. Inkluderer data om studerende, undervisere, fag eller underviste færdigheder, faciliteter mm.','Education.HigherAndFurtherEducation','Education',13,5889,8920,'Ungdomsuddanelse og videregående uddannelse',NULL,456),(11656,'Praktiske uddannelser, der er rettet mod et erhverv og designet til elever for at erhverve dem den viden, de færdigheder og kompetencer, som er specifik for en bestemt beskæftigelse eller et bestemt erhverv. Erhvervsuddannelse kan have arbejdsbaserede komponenter. Omfatter erhvervsuddannelse på ISCED-niveauer 3-4 og lærlingeuddannelser. Dette inkluderer følgende uddannelser i Danmark: Lærlinge- og erhvervsuddannelser såsom EUD, EUX, EGU, EUV, maritime uddannelser, samt professionsbachelor og erhvervsakademiuddannelser. Inkluderer data om studerende, lærere, fag eller underviste færdigheder, faciliteter mm.','Education.VocationalEducationAndTraining','Education',15,5930,8907,'Erhvervsuddannelse',NULL,456),(11657,'Inkluderer alle mønstre af pensionering som ”nedtrapning” eller ”fleksibel” pension, data om pensionsalder og tidlig pension.','LabourAndEmployment.Retirement','LabourAndEmployment',38,5916,8903,'Pensionering',NULL,456),(11658,'Undersøgelse af den generelle trivsel eller sundhedstilstand hos et individ, gruppe eller population. Kan blive objektivt målt/observeret eller selvopfattet. Trivsel inkluderer, for eksempel, fysisk eller mental kapacitet eller tilstand, såvel som social tilstand.','Health.GeneralHealthAndWellbeing','Health',19,5888,8935,'Generel sundhed og trivsel',NULL,456),(11659,'Adspredelsesmønstre, fritidsaktiviteter og hobbyer. Inkluderer tilskuerrolle i sport, konkurrencesport og rejsefritid. For data om motion for at holde sig i form, anvend \'Sundhedsadfærd\'.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,5900,8919,'Fritid, turisme og sport',NULL,456),(11660,'Inkluderer alle typer af godstransport såvel som pendling, offentlig transport (tog, busser, undergrund mm.) og transportnetværk i by. Data om mobilitetsvaner, for eksempel, grænsehandel, ruter og midler, der anvendes til at få adgang til en lokation. Anvend begrebet \'Fritid, turisme og sport\' til fritidsrejse. ','TransportAndTravel',NULL,93,5925,8921,'TRANSPORT OG REJSE',NULL,456),(11661,'Bevægelse af personer, familier eller grupper af individer i social og erhvervsmæssig status over tid. Bevægelsen kan være vandret, dvs. ændring i position inden for samme status eller lodret, hvor personer kan bevæge sig opad eller nedad i statushierarkiet. For eksempel kan arbejdere i faldende industrier blive arbejdere i en anden industri (vandret erhvervsmæssig mobilitet), eller børn i fattige familier kan nå en højere social klasse end deres forældre (lodret social mobilitet mellem generationer).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,5878,8982,'Social- og erhvervsmobilitet',NULL,456),(11662,'Data om valg, folkeafstemninger, valgkampagner, valgresultater, valgkandidater, kandidatvælgere, valgstøtte mm.','Politics.Elections','Politics',56,5920,8898,'Valg',NULL,456),(11663,'Undersøgelse af specifikke, diagnosticerede sygdomme, lidelser eller syndromer (ofte klassificerede i ICD-10 eller dets tidligere versioner). For eksempel medicinsk forskning om årsagerne til diabetes eller undersøgelse af den fysiske eller mentale helbredelse af personer, der har haft hjerteoperation.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,5908,8905,'Specifikke sygdomme, lidelser og medicinske tilstande',NULL,456),(11664,'Data om folks generelle konditionsniveau, fysisk aktivitet og motion, de tager.','Health.PhysicalFitnessAndExercise','Health',23,8687,8909,'Fysisk kondition og motion',NULL,456),(11665,'Data om erhvervsmæssige eksponeringer og sygdomme, arbejdssikkerhed, sygeorlov, arbejdsevne- eller handicap eller arbejdsrelateret invalidepension.','Health.OccupationalHealth','Health',22,5942,8916,'Sundhed på arbejdsplads',NULL,456),(11666,'Inkluderer undersøgelser, der måler boligstandarden i et samfund, inklusiv alment boligbyggeri, samt tilgængelighed og prisfastsættelse af boliger. Bolig inkluderer hjem, fritidsboliger og ferieboliger.','HousingAndLandUse.Housing','HousingAndLandUse',31,5926,8964,'Bolig',NULL,456),(11667,'','SocialStratificationAndGroupings',NULL,65,5911,8912,'SOCIAL STRATIFIKATION OG GRUPPERINGER',NULL,456),(11668,'Data om ændringer i samfundet, inklusiv holdningsændringer.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,5922,8908,'Social forandring',NULL,456),(11669,'Trufne beslutninger og principper, der er vedtaget på nationalt, regional eller lokalt plan vedrørende social velfærd, dets finansiering og levering, for eksempel, hvem er berettiget til hvilke former for sociale ydelser og fordele og hvorfor, hvad er deres niveau, og hvem kan levere ydelserne. For eksempel en politik, at ældre skal forblive i deres hjem så længe som muligt, en politik relateret til, hvor længe folk kan have en arbejdsløshedsunderstøttelse. Anvend også begrebet \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er indført.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,5865,8974,'Social velfærdsspolitik',NULL,456),(11670,'Data om identitetsdannelse, hvem folk føler, de er, og hvor de hører til. Forholdet mellem kulturel og national identitet til repræsentation og at klassificere en anden som ”ikke en af os” (Andetgørelse). Vaner og manerer om og holdninger til egen opfattede og andre identitetsgrupper.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,5891,8958,'Kulturel og national identitet',NULL,456),(11671,'Data, der adresserer spørgsmål om religiøs adfærd, religiøse bevægelser, spiritualitet, moralitet og andre værdier.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,5921,8944,'Religion og værdier',NULL,456),(11672,'Kvalitet og tilgængelighed af tjenester, tilhørende faciliteter og personale inden for sundhedsvæsenet. Sundhedsøkonomi og politiske beslutninger og principper på nationalt, regionalt eller lokalt niveau vedrørende sundhedspleje. Anvend \'Lovgivning og retssystemer\' til love og forskrifter, der allerede er implementeret.','Health.HealthCareServicesAndPolicies','Health',20,5904,8937,'Sundhedsydelser og -politikker',NULL,456),(11673,'For eksempel data om, i hvilket omfang folk bruger specifikke sociale ydelser, holdninger til tilstrækkeligheden og tilgængeligheden af specifikke ydelser og generel tilfredshed med dem. For eksempel spørgsmål om, hvilke ydelser ældre respondenter har brugt eller brugsstatistik om bestemte ydelser.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,5872,8938,'Specifikke sociale ydelser: Brug og tilgængelighed',NULL,456),(11674,'Undersøgelse af unormale anatomiske eller fysiologiske tilstande og objektive eller subjektive manifestationer af sygdom/symptomer, der ikke er klassificeret som sygdom eller syndrom (i hvilket tilfælde \'Specifikke sygdomme, lidelser og medicinske tilstande\' ville blive anvendt). Inkluderer kliniske manifestationer, der kan være objektive, når de observeres af en medicinsk professionel eller subjektive, når de opfattes af patienten. For eksempel smerte, diarré, udslæt, ulighed i benlængde, søvnløshed, skæren tænder, betændelse, arytmi.','Health.SignsAndSymptomsPathologicalConditions','Health',26,5914,8961,'Tegn  og symptomer; patologiske lidelser',NULL,456),(11675,'Henviser til uddannelsesmuligheder i forskellige former for voksne, efter de har forladt det formelle uddannelsessystem. Voksne kan deltage i en sådan uddannelse, for eksempel, for at forbedre deres færdigheder eller kvalifikationer, at omskole sig til nyt arbejde eller bare for at lære noget nyt. Inkluderer generelt ikke opkvalificering eller efteruddannelse af medarbejdere.','Education.LifelongContinuingEducation','Education',14,5883,8895,'Livslang uddannelse/efteruddannelse',NULL,456),(11676,'Kan have brug for et ekstra emne, hvis unge mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,5909,8929,'Ungdom',NULL,456),(11677,'Data om partipolitiske holdninger, politisk engagement og deltagelse i den politiske proces, stemmeadfærd, tilfredshed med regering. Anvend \'Politisk ideologi\' til data om specifikke doktriner.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,5867,8915,'Politisk adfærd og holdninger',NULL,456),(11678,'','SocietyAndCulture',NULL,79,5898,8962,'SAMFUND OG KULTUR',NULL,456),(11679,'Data om industri og forretning såsom ledelse, produktivitet, vækst og nedgang, organisationsstruktur, administration, investering i F&U, markeder og markedsandel. ','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,5868,8953,'Forretnings/industriel ledelse og organisation',NULL,456),(11680,'','Education',NULL,10,5937,8954,'UDDANNELSE',NULL,456),(11681,'','ScienceAndTechnology',NULL,62,5950,8972,'VIDENSKAB OG TEKNOLOGI ',NULL,456),(11682,'Inkluderer både arealanvendelse og planlægning af arealanvendelse. Planlægning af arealanvendelse vedrører procedurer udført for at sikre en optimal og bæredygtig udnyttelse af jordressourcer i landdistrikter og bysamfund.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,5944,8951,'Arealanvendelse og planlægning',NULL,456),(11683,'Global ledelse, diplomati, udenrigspolitik, relationer mellem lande, internationale organisationer (for eksempel EU, WHO, FN, WTO) og internationale aftaler.','Politics.InternationalPoliticsAndOrganisations','Politics',58,5882,8902,'International politik og organisationer',NULL,456),(11684,'','LawCrimeAndLegalSystems',NULL,41,5864,8963,'LOV, KRIMINALITET OG RETSSYSTEMER',NULL,456),(11685,'Henviser til det at erhverve eller/og anvende noget til at imødekomme en persons, fællesskabs eller samfunds behov og ønsker. Data i denne kategori inkluderer mønstre af forbrugeradfærd, ændringer i dem og undersøgelse af forbrugeretik. For eksempel undersøgelsesdata om, hvor ofte folk køber visse varer; hvornår og hvor de handler; hvorvidt etiske overvejelser påvirker deres forbrugsvalg.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,5949,8891,'Forbrug og forbrugeradfærd',NULL,456),(11686,'Emner, der relaterer sig til den faktiske tilvejebringelse af social velfærd, hvem der i praksis leverer sociale velfærdsydelser og i hvilket omfang, hvordan de faktiske ydelser er struktureret. For eksempel, spørgsmål om, hvordan en lokal myndighed har organiseret ydelser for de ældre. ','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,5917,8978,'Sociale velfærdssystemer/strukturer',NULL,456),(11687,'Obligatorisk uddannelse refererer til den uddannelsesperiode, der kræves af alle personer, som bor i et land og er pålagt ved lov. Dagtilbud refererer til formel børnepasning og uddannelse, der gives forud for obligatorisk uddannelse. Anvend dette udtryk til indeksdata vedrørende dagtilbud og folkeskoleniveau, uanset om dataene fokuserer på studerende, lærere, fag eller underviste færdigheder mm. ','Education.CompulsoryAndPreschoolEducation','Education',11,5877,8927,'Obligatorisk undervisning og dagtilbud',NULL,456),(11688,'Data om beskæftigelsespolitikker relateret til ansættelsesforhold, arbejdsmarkedet og lighed og diskrimination på arbejdspladsen; på nationalt niveau inkluderer politikker indflydelse på efterspørgslen og udbuddet af arbejdskraft og arbejdsmarkeders funktion. Anvend \'Lovgivning og retssystemer\' for lovgivning og forskrifter, der allerede er implementeret.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,5946,8975,'Arbejdsmarkeds- og beskæftigelsespolitik',NULL,456),(11689,'Data om arbejdsløshedstal og -statistik, beskæftigelsesprogrammer og -skemaer, varighed og hyppighed af arbejdsløshed, social og psykologisk indvirkning af arbejdsløshed mm.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,5902,8924,'Arbejdsløshed',NULL,456),(11690,'Data om kriminalitet, kriminalitetsforebyggelse, ofre for kriminalitet, kriminelle, såvel som politiet, efterretningstjeneste, korrektionsanstalter (for eksempel fængsler, korrektionsanstalter for unge), grænsekontrol og told. Inkluderer også data om disse agenturers personale og faciliteter.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,5912,8930,'Kriminalitet og retshåndhævelse',NULL,456),(11691,'Kønsidentitet; repræsentation af køn (for eksempel repræsentation af køn i beslutningstagende organer, i medier, i litteratur mm.); sociale, kulturelle and psykologiske træk forbundet med mænd og kvinder; kvindestudier; mandestudier; forventet adfærd og valg ifølge kønsroller og indvirkningen af sådanne forventninger.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,5935,8931,'Køn og kønsroller',NULL,456),(11692,'Sår og skader, bade fysiske og psykiske, forårsaget enten af ulykker eller vold (gennem individuel eller aggressiv gruppeadfærd). Hvis arbejdsrelaterede sår eller skader, anvend \'Sundhed på arbejdsplads\'.','Health.WoundsAndInjuries','Health',28,5939,8952,'Sår og skader',NULL,456),(11693,'Informations- og kommunikationsteknologier, der bruges i hjemmet, på arbejdspladsen og andre rammer for fællesskab. Bemærk, at brugen og indvirkningen af disse teknologier er dækket af \'Informationssamfund\'.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,5933,8969,'Informationsteknologi',NULL,456),(11694,'Anvend til undersøgelser om akkumulering af personlige aktiver, inklusiv indkomst, ejendom, investeringer og opsparinger.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,8906,'Indkomst, ejendom og investering/opsparing',NULL,456),(11695,'','LabourAndEmployment',NULL,33,5861,8946,'ARBEJDSKRAFT OG BESKÆFTIGELSE',NULL,456),(11696,'','Health',NULL,16,5873,8894,'SUNDHED',NULL,456),(11697,'De betingelser, hvorunder medarbejdere arbejder. For eksempel kontrakttyper, arbejdstid (arbejdstimer, pauser, vagtplaner, overtidsarbejde), løn og vederlag, fysiske aspekter og mentale krav til arbejde, medarbejderrettigheder og -ansvar, arbejdsbyrde, medarbejderinvolvering i beslutningstagning, orlovsrettigheder, fysisk miljø. For spørgsmål om sikkerhed på arbejdspladsen, anvend også \'Sundhed på arbejdsplads\'.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,5887,8899,'Arbejdsvilkår',NULL,456),(11698,'Udveksling af kapital, varer eller tjenester på tværs af internationale grænser.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,5862,8976,'Udenrigshandel',NULL,456),(11699,'Kan have brug for et ekstra emne, hvis børn studeres fra en bestemt side.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,5947,8892,'Børn',NULL,456),(11700,'Emner relateret til eksistensen, rollerne og effekten af eliter i samfundet, dvs., personer eller grupper der har en stor grad af magt eller indflydelse på samfundet, politik, velstand mm., enten gennem beslutninger, de træffer, eller for eksempel, gennem idéer og følelser, som de udtrykker eller repræsenterer. Inkluderer emner relateret til indflydelsesrige folk i alle samfundssfærer, for eksempel, beslutningstagere i det politiske liv, politisk partiledere, indflydelsesrige kunstnere, fremtrædende figurer i massemedier eller på sociale medier mm.','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,5893,8939,'Eliter og lederskab',NULL,456),(11701,'','HousingAndLandUse',NULL,30,5890,8910,'BOLIG OG AREALANVENDELSE',NULL,456),(11702,'','TradeIndustryAndMarkets',NULL,89,5875,8901,'HANDEL, INDUSTRI OG MARKEDER',NULL,456),(11703,'Kan have brug for et ekstra emne, hvis ældre mennesker studeres fra en bestemt side.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,5915,8979,'Ældre',NULL,456),(11704,'Data relateret til forskellige aspekter af livet i lokalsamfundet eller i byområder og landdistrikter. Meninger om og billeder af nabolaget eller af byområder og landdistrikter. Tjenester, faciliteter og forretningsmuligheder i nabolaget.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,5895,8928,'Lokalsamfund, byliv og landligt liv',NULL,456),(11705,'Data om international eller national lovgivning, administrative forskrifter, det juridiske system (domstoles magt og aktiviteter), alternativ konfliktløsning og genoprettende retfærdighed, straffe.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,5903,8966,'Lovgivning og retssystemer',NULL,456),(11706,'Emner om, hvorvidt alle personer og grupper af individer har samme status og muligheder i samfundet. Lighed kan for eksempel studeres med hensyn til uddannelse, (finansielle) aktiver eller indkomst, jobposition, magt, prestige, arbejdsforhold og fritid, adgang til ydelser og sociale relationer. Marginalisering og social udstødelse kan være resultatet af systematiske ulemper på flere områder i livet, og berørte personer kan være frataget rettigheder, muligheder, ressourcer og sociale integration. Eksempler på data: statistik om indkomstlighed; opfattet gruppefokuseret diskrimination (for eksempel mod udlændinge, de hjemløse, asylansøgere); opfattede forskelle mellem mænd og kvinder vedrørende muligheder for lederroller i politik; indvirkning af forældrearbejdsløshed på børns uddannelsesniveau og sociale netværk.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,5941,8949,'Lighed, ulighed og social udstødelse',NULL,456),(11707,'Grupper af personer, der på en eller anden måde adskiller sig fra flertallet af populationen. Differentierende karakteristika inkluderer, for eksempel, etnicitet, religion, sundhed, seksuel orientering, første sprog (modersmål) og kultur. Bemærk, at du også kan anvende termer \'Lighed, ulighed og social udstødelse\' eller \'Sprog og lingvistik\' i forbindelse med nogle minoritetsspørgsmål.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,5918,8893,'Minoriteter',NULL,456),(11708,'Data inkluderer undersøgelser i lingvistik, lingvistisk analyse og sociolingvistik, såvel som data om sprogpolitik, folks sprogfærdigheder, sprog talt på arbejde og hjemme, holdninger til minoritetssprog mm.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,5952,8941,'Sprog og lingvistik',NULL,456),(11709,'Data om mængden af tid brugt af befolkningen på forskellige aktiviteter.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,5913,8950,'Forbrug af tid',NULL,456),(11710,'Diskussioner om politik og principper, samt beslutninger og principper vedtaget på nationalt, regionalt eller lokalt niveau vedrørende uddannelse og dens tilvejebringelse. Anvend ”Lovgivning og retssystemer” til love og foreskrifter, der allerede er implementeret.','Education.EducationalPolicy','Education',12,5874,8911,'Uddannelsespolitik',NULL,456),(11711,'Omfatter emner om miljøforringelse, forurening, miljøbeskyttelse, klimaforandringer, forebyggelse af oversvømmelse, jorderosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,5948,8959,'Miljø og bevaring',NULL,456),(11712,'Foranstaltninger, der er vedtaget for at forbedre eller opretholde image hos personer, virksomheder, organisationer og regeringer for eksempel ved reklametiltag, lobbyvirksomhed etc.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,5885,8934,'Offentlige relationer (PR)',NULL,456),(11713,'Forebyggelse og kontrol af sygdom og handicap og fremme af befolkningens fysiske og mentale sundhed på det internationale, nationale, statslige eller kommunale niveau. For eksempel sundhedsfremme, sygdomsforebyggelse, indvirkning af folkesundhedsprogrammer, håndtering af lokale, nationale og globale sundhedsproblemer, sygdomsepidemiologi, tilstand eller patogen eller sygdomsudbrud.','Health.PublicHealth','Health',24,5927,8926,'Folkesundhed',NULL,456),(11714,'','MediaCommunicationAndLanguage',NULL,44,5869,8977,'MEDIER, KOMMUNIKATION OG SPROG ',NULL,456),(11715,'','SocialWelfarePolicyAndSystems',NULL,75,5940,8913,'SOCIAL VELFÆRDSPOLITIK OG -SYSTEMER',NULL,456),(11716,'Data, der refererer til enhver type af massemedier. For eksempel trykte eller online aviser, magasiner, TV og radioen. Bemærk, at sociale medier er indekseret med udtrykket \'Informationssamfund\'.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,5928,8925,'Medier',NULL,456),(11717,'','Politics',NULL,54,5929,8914,'POLITIK ',NULL,456),(11718,'Økonomiske indikatorer angiver, i hvilken retning en økonomi bevæger sig og inkluderer, for eksempel, vækst i bruttonationalproduktet (BNP), beskæftigelse, inflation og rentesats, forbruger- og investoraktivitet, husholdningsgæld. Dette er også anvendt for enkeltpersoners og husholdningers økonomiske forhold, der er undersøgt eller registreret.','Economics.EconomicConditionsAndIndicators','Economics',6,5876,8967,'Økonomiske forhold og indikatorer',NULL,456),(11719,'Inkluderer indvandring, udvandring, intern migration samt andre typer af geografisk mobilitet. Indvandring betyder at komme for at bosætte sig i et andet land end ens hjemland. Udvandring betyder at forlade et hjemland for at bosætte sig i et andet land. Migration er en parablybetegnelse for begge. Migration inkluderer også intern migration, dvs. bevægelse af personer inden for et land på forskellige geografiske niveauer.','Demography.Migration','Demography',2,5936,8918,'Migration',NULL,456),(11720,'Omfatter problemer relateret til familier, slægtninge, generationer og husstandssammensætning. For eksempel data om børneopdragelse, arbejdsfordeling inden for familien, støtte til familiemedlemmer.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,5896,8943,'Familieliv og ægteskab',NULL,456),(11721,'Data om økonomisk politik, inklusiv budget- og finanspolitik, offentlige udgifter og offentlige indtægter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8689,8917,'Økonomisk politik, offentlige udgifter og indtægter',NULL,456),(11722,'In der Bildungspolitik werden in Bezug auf Bildung und Bildungsversorgung Strategien und Regelungen diskutiert, Entscheidungen getroffen sowie Richtlinien auf nationaler, regionaler oder lokaler Ebene umgesetzt. Verwendungshinweis: Für bereits implementierte Gesetze und Regelungen bitte auch die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Education.EducationalPolicy','Education',12,5997,8911,'Bildungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.EducationalPolicy?v=4.1.1',457),(11723,'Unter Morbidität wird die Krankheitshäufigkeit innerhalb einer Bevölkerungsgruppe verstanden. Daten können sich auf das Vorkommen oder die Morbiditätsrate einer Krankheit beziehen, zum Beispiel die Anzahl der an Lungenkrebs leidenden Personen in einem Land im Zeitraum eines Jahres. Daten zur Mortalität geben die Anzahl der Todesfälle in einer Bevölkerungsgruppe nach Ort, Zeit, Ursache, Personengruppe o.ä. an. Beispiele sind Müttersterblichkeit und Säuglingssterblichkeit. Verwendungshinweis: Für Mikrodaten zu Krankheiten und Gesundheitsproblemen bitte die entsprechenden Unterklassen der Klasse GESUNDHEIT verwenden.','Demography.MorbidityAndMortality','Demography',3,6016,8960,'Morbidität und Mortalität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.MorbidityAndMortality?v=4.1.1',457),(11724,'Politische Ideologie umfasst Ideen, Ideale und Theorien zu Regierungs- und Gesellschaftsformen bzw. deren Organisation. Bedeutende politische Ideologien sind Anarchie, Demokratie, Liberalismus, Konservatismus usw.','Politics.PoliticalIdeology','Politics',60,5987,8965,'Politische Ideologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalIdeology?v=4.1.1',457),(11725,'Daten zu anatomischen oder physiologischen Befunden und objektiven oder subjektiven Anzeichen von Erkrankungen oder Symptomen, die nicht als Krankheit oder Syndrom eingeordnet werden (in solchen Fällen bitte die Klasse \'Spezifische Krankheiten, Störungen und Gesundheitsprobleme\' verwenden). Davon erfasst sind klinische Anzeichen, die entweder objektiv von medizinisch ausgebildeten Personen oder subjektiv durch Betroffene wahrgenommen werden. Beispiele sind Schmerzen, Durchfall, Ausschlag, Beinlängendifferenz, Schlafstörungen, Zähneknirschen, Entzündung, Herzrhythmusstörung.','Health.SignsAndSymptomsPathologicalConditions','Health',26,6024,8961,'Krankheitszeichen, Symptome und krankhafte Befunde','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SignsAndSymptomsPathologicalConditions?v=4.1.1',457),(11726,'Arbeitsbedingungen sind die Bedingungen, unter denen Beschäftigte arbeiten. Zum Beispiel Vertragsarten, Arbeitszeiten (Stundenzahl, Pausenzeiten, Arbeitspläne, Überstunden), Löhne und Gehälter, körperliche Aspekte und geistige Herausforderungen der Arbeit, Rechte und Pflichten der Beschäftigten, Arbeitsbelastung, Einflussmöglichkeiten der Beschäftigten, Urlaubsansprüche, physische Arbeitsumgebung. Verwendungshinweis: Für Daten zur Sicherheit am Arbeitsplatz bitte auch die Klasse \'Arbeitsmedizin\' verwenden.','LabourAndEmployment.WorkingConditions','LabourAndEmployment',40,6027,8899,'Arbeitsbedingungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.WorkingConditions?v=4.1.1',457),(11727,'Die Klasse umfasst Global Governance, Diplomatie, Außenpolitik, internationale Beziehungen, internationale Organisationen (z.B. EU, WHO, UN, WTO) und internationale Abkommen.','Politics.InternationalPoliticsAndOrganisations','Politics',58,6028,8902,'Internationale Politik und Internationale Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.InternationalPoliticsAndOrganisations?v=4.1.1',457),(11728,'','Education',NULL,10,5980,8954,'BILDUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education?v=4.1.1',457),(11729,'Umfasst die Vorbeugung und Überwachung von Krankheiten und Behinderungen sowie die Förderung körperlicher und geistiger Gesundheit der Bevölkerung auf internationaler, nationaler, regionaler oder lokaler Ebene. Zum Beispiel Maßnahmen zur Gesundheitsförderung und Krankheitsprävention; Wirkung von Public-Health-Programmen; Bewältigung lokaler, nationaler oder globaler Gesundheitsprobleme; Verbreitung und Auswirkung von Krankheiten, Gesundheitsproblemen oder Erregern; Ausbruch von Krankheiten.','Health.PublicHealth','Health',24,5993,8926,'Öffentliche Gesundheit/Public Health','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PublicHealth?v=4.1.1',457),(11730,'Beinhaltet Immigration, Emigration, Binnenmigration sowie andere Formen geographischer Mobilität. Immigration bedeutet, in einem anderen als dem Heimatland sesshaft zu werden. Emigration bedeutet, das Heimatland zu verlassen, um in einem anderen Land sesshaft zu werden. Der Begriff Migration umfasst beide Sachverhalte. Migration schließt auch Binnenmigration ein, das heißt Mobilität innerhalb eines Landes, zwischen Regionen, Kommunen etc.','Demography.Migration','Demography',2,5965,8918,'Migration','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Migration?v=4.1.1',457),(11731,'Daten zu parteipolitischen Einstellungen, zu politischem Engagement und politischer Teilhabe, zu Wahlverhalten und zur Zufriedenheit mit der Regierung. Verwendungshinweis: Für Daten zu einzelnen Doktrinen bitte die Klasse \'Politische Ideologie\' verwenden.','Politics.PoliticalBehaviourAndAttitudes','Politics',59,6031,8915,'Politisches Verhalten und politische Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.PoliticalBehaviourAndAttitudes?v=4.1.1',457),(11732,'Daten zu Wahlen, Volksabstimmungen, Wahlkampagnen, Wahlergebnissen, Kandidatinnen und Kandidaten, Wahlempfehlungsanwendungen, Wahlkampffinanzierung usw. Für Wahlverhalten bitte zusätzlich die Klasse \'Politisches Verhalten und politische Einstellungen\' vergeben.','Politics.Elections','Politics',56,5991,8898,'Wahlen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.Elections?v=4.1.1',457),(11733,'','NaturalEnvironment',NULL,49,6036,8900,'UMWELT UND NATUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment?v=4.1.1',457),(11734,'Sozialpolitik bezieht sich auf Entscheidungen und die Umsetzung von Richtlinien zur Sozialfürsorge, etwa zu deren Finanzierung und Verfügbarkeit, sowohl auf nationaler und regionaler, als auch auf lokaler Ebene. Mögliche Inhalte: Wem stehen welche Sozialleistungen und Hilfen zu und auf welcher Grundlage; Höhe von Sozialleistungen; wer kann Fürsorge leisten. Beispiele: eine Regelung, die vorgibt, dass ältere Menschen so lange zuhause gepflegt werden sollen wie möglich; eine Regelung, die festlegt, wie lange Anspruch auf Arbeitslosengeld besteht. Verwendungshinweis: Für bereits implementierte Gesetze und Regelungen bitte zusätzlich die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','SocialWelfarePolicyAndSystems.SocialWelfarePolicy','SocialWelfarePolicyAndSystems',76,5996,8974,'Sozialpolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfarePolicy?v=4.1.1',457),(11735,'Verwundungen und Verletzungen, sowohl physisch, als auch psychisch, verursacht entweder durch Unfälle oder Gewalteinwirkung (durch aggressives Verhalten eines Einzelnen oder einer Gruppe). Verwendungshinweis: Für arbeitsbezogene Verwundungen und Verletzungen bitte die Klasse \'Arbeitsmedizin\' verwenden.','Health.WoundsAndInjuries','Health',28,6002,8952,'Verwundungen und Verletzungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.WoundsAndInjuries?v=4.1.1',457),(11736,'Diese Klasse umfasst alle Aspekte der Lebensqualität und des Wohlbefindens auf individueller sowie gesellschaftlicher Ebene und wie diese Aspekte wahrgenommen werden. Verwendungshinweis: Je nachdem, welcher Aspekt untersucht wird, muss möglicherweise noch eine weitere Klasse vergeben werden, zum Beispiel \'Gesundheit und Wohlbefinden\', \'Gleichheit, Ungleichheit und soziale Ausgrenzung\', \'Wirtschaftliche Lage und Indikatoren\' usw.','SocietyAndCulture.SocialConditionsAndIndicators','SocietyAndCulture',87,5971,8942,'Soziale Lage und soziale Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialConditionsAndIndicators?v=4.1.1',457),(11737,'','Economics',NULL,4,6029,8904,'WIRTSCHAFT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics?v=4.1.1',457),(11738,'Die Klasse bezieht sich auf innere und internationale Sicherheit, innere und internationale Konflikte, Krieg und Frieden, Verteidigung und Streitkräfte (Militär). Verwendungshinweis: Für Daten zum Thema Polizei verwenden sie bitte die Klasse \'Kriminalität und Gesetzesvollzug\'.','Politics.ConflictSecurityAndPeace','Politics',55,6005,8983,'Konflikte, Sicherheit und Frieden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.ConflictSecurityAndPeace?v=4.1.1',457),(11739,'Daten mit Bezug zu jeglicher Form von Massenmedien. Zum Beispiel gedruckte oder Online-Zeitungen, Zeitschriften, Fernsehen und Radio. Verwendungshinweis: Für Soziale Medien bitte die Klasse \'Informationsgesellschaft\' verwenden.','MediaCommunicationAndLanguage.Media','MediaCommunicationAndLanguage',47,5957,8925,'Medien','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.Media?v=4.1.1',457),(11740,'Daten zu gesellschaftlichen Veränderungen, einschließlich Veränderungen in den Einstellungen.','SocietyAndCulture.SocialChange','SocietyAndCulture',86,5969,8908,'Sozialer Wandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialChange?v=4.1.1',457),(11741,'Daten zu allgemeinem Wohlbefinden oder Gesundheitszustand eines Individuums, einer Gruppe oder einer Population, entweder objektiv gemessen/beobachtet oder selbst empfunden. Wohlbefinden umfasst beispielsweise körperliche und geistige Leistungsfähigkeit und Verfassung sowie die soziale Situation.','Health.GeneralHealthAndWellbeing','Health',19,6000,8935,'Allgemeine Gesundheit und Wohlbefinden','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.GeneralHealthAndWellbeing?v=4.1.1',457),(11742,'','Demography',NULL,0,5984,8980,'BEVÖLKERUNGSSTATISTIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography?v=4.1.1',457),(11743,'Wirtschaftliche Indikatoren geben an, in welche Richtung sich eine Volkswirtschaft bewegt. Dazu gehören zum Beispiel Bruttoinlandsprodukt, Arbeitslosenquote, Inflations- und Zinsrate, Konsum- und Investitionsaktivitäten, Verschuldungsrate. Verwendungshinweis: Die Klasse umfasst auch die erhobene oder erfasste wirtschaftliche Lage von Individuen und Haushalten.','Economics.EconomicConditionsAndIndicators','Economics',6,5953,8967,'Wirtschaftliche Lage und Indikatoren','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicConditionsAndIndicators?v=4.1.1',457),(11744,'Die Reproduktionsmedizin befasst sich mit den Vorgängen, den Funktionen und dem System der Fortpflanzung in allen Lebensphasen. Umfasst Daten zu Schwangerschaft, Geburt, Familienplanung, Empfängnis, Abtreibung und Menopause.','Health.ReproductiveHealth','Health',25,6033,8897,'Reproduktionsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.ReproductiveHealth?v=4.1.1',457),(11745,'Daten zu Beschäftigungspolitik in Bezug auf industrielle Beziehungen, den Arbeitsmarkt sowie Gleichbehandlung und Diskriminierung bei der Arbeit. Auf nationaler Ebene schließt Beschäftigungspolitik die Einflussnahme auf Arbeitsplatznachfrage und -angebot und das Funktionieren des Arbeitsmarkts ein. Verwendungshinweis: Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','LabourAndEmployment.LabourAndEmploymentPolicy','LabourAndEmployment',36,5992,8975,'Beschäftigungspolitik','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourAndEmploymentPolicy?v=4.1.1',457),(11746,'Umfasst Daten zu Sozialverhalten, sozialer Interaktion und sozialen Netzwerken, sozialer Verantwortung, sozialen Normen und Regeln sowie Einstellungen zu diesen Themen.','SocietyAndCulture.SocialBehaviourAndAttitudes','SocietyAndCulture',85,6008,8947,'Soziales Verhalten und soziale Einstellungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.SocialBehaviourAndAttitudes?v=4.1.1',457),(11747,'Die Klasse bezieht sich auf Entspannungsgewohnheiten, Freizeitaktivitäten und Hobbys. Dazu gehören das Verfolgen von Sportveranstaltungen, Teilnahme an Sportwettbewerben, Urlaubsreisen. Verwendungshinweis: Für Daten zu körperlicher Betätigung aus gesundheitlichen Gründen bitte die Klasse \'Körperliche Fitness und Bewegung\' verwenden.','SocietyAndCulture.LeisureTourismAndSport','SocietyAndCulture',83,5995,8919,'Freizeit, Tourismus und Sport','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.LeisureTourismAndSport?v=4.1.1',457),(11748,'Die Klasse bezieht sich auf die tatsächliche Leistung der Sozialfürsorge; wer setzt die Sozialfürsorge in der Praxis um und in welchem Umfang; wie sind die Leistungen konkret aufgebaut. Beispiel: Fragen dazu, wie eine Kommunalverwaltung die lokale Altenpflege organisiert.','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures','SocialWelfarePolicyAndSystems',77,5994,8978,'Sozialsysteme und Strukturen der Sozialfürsorge','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures?v=4.1.1',457),(11749,'Daten zur Identitätsbildung, zum persönlichen Selbstbild und zu Zugehörigkeitsgefühlen in Bezug auf Nationalität, Örtlichkeit, soziale Klasse, Generation, Ethnie, Religion oder andere soziale/kulturelle Zugehörigkeit. Mit erfasst ist das Sich-Ausschließen oder das Ausschließen anderer aus diesen Zugehörigkeiten.','SocietyAndCulture.CulturalAndNationalIdentity','SocietyAndCulture',82,5990,8958,'Kulturelle und nationale Identität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalAndNationalIdentity?v=4.1.1',457),(11750,'Beispiele für Daten in dieser Klasse sind: Angaben zum Umfang der Inanspruchnahme spezifischer Sozialleistungen; Meinungen zur Angemessenheit, Zugänglichkeit und Verfügbarkeit einzelner Leistungen; allgemeine Zufriedenheit mit den Leistungen. Zum Beispiel werden zum Thema der Inanspruchnahme von Leistungen durch eine Personengruppe (z.B. ältere Menschen) sowohl Befragungen dieser Personen, als auch Auswertungen von Statistiken zu diesen Leistungen von dieser Klasse erfasst.','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','SocialWelfarePolicyAndSystems',78,5975,8938,'Inanspruchnahme sozialer Dienstleistungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability?v=4.1.1',457),(11751,'Ernährungsweisen, Essverhalten und messbare Kenngrößen zur Ernährungsweise wie Body-Maß-Index (BMI), Gewicht, Vitaminspiegel.','Health.DietAndNutrition','Health',17,8275,8896,'Ernährung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DietAndNutrition?v=4.1.1',457),(11752,'Gruppen von Individuen, die sich von der Mehrheit der Bevölkerung in irgendeiner Weise unterschieden. Unterscheidungsmerkmale sind zum Beispiel Ethnien, Religion, Gesundheit, sexuelle Orientierung, Muttersprache und Kultur. Verwendungshinweis: Für bestimmte Minderheitenthemen kann es sinnvoll sein, zusätzlich eine weitere Klasse zu vergeben, zum Beispiel \'Gleichheit, Ungleichheit und soziale Ausgrenzung\' oder \'Sprache und Sprachwissenschaft\'.','SocialStratificationAndGroupings.Minorities','SocialStratificationAndGroupings',72,5966,8893,'Minderheiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Minorities?v=4.1.1',457),(11753,'','Politics',NULL,54,6041,8914,'POLITIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics?v=4.1.1',457),(11754,'Natürliche Rohstoffquellen sind Güter wie Land, Wälder, Energiequellen, Wasser oder Mineralien, die in der Natur vorkommen und verarbeitet oder konsumiert werden können. Energiequellen sind fossile Brennstoffe wie Öl, Erdgas oder Kohle sowie Kernkraft, Sonne, Gezeiten und Wind oder erneuerbare organische Energiequellen.','NaturalEnvironment.EnergyAndNaturalResources','NaturalEnvironment',50,6025,8922,'Energiequellen und natürliche Rohstoffquellen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnergyAndNaturalResources?v=4.1.1',457),(11755,'Verwendungshinweis: Diese Hauptklasse bitte mit einer jeweils inhaltlich passenden Klasse kombinieren. Zum Beispiel \'Arbeitsbedingungen\' und \'Gesundheitswesen\' zusammen mit \'GESCHICHTE\' für Daten zur Arbeitsumgebung von Hausärzten in den 1960er Jahren. Die Hauptklasse \'GESCHICHTE\' sollte nur in solchen Fällen alleine verwendet werden, für die keine spezifischere passende Klasse vorhanden ist.','History',NULL,29,6004,8981,'GESCHICHTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_History?v=4.1.1',457),(11756,'Bildung in der Pflichtschulzeit bezieht sich auf eine gesetzlich vorgegebene Bildungsphase, die alle in einem Land lebenden Personen absolvieren müssen. Vorschulerziehung bezieht sich auf Betreuungs- und Bildungsangebote vor der Pflichtschulzeit. Verwenden Sie diese Klasse für Daten zu Vorschulzeiten (ISCED-Level 0) und Bildungszeiten in der Primarstufe (ISCED-Level 1) sowie Sekundarstufe I (ISCED-Level 2). Davon erfasst sind Daten zu Schülerinnen und Schülern, Lehrerinnen und Lehrern, Unterrichtsfächern, vermittelte Kompetenzen, Einrichtungen usw.','Education.CompulsoryAndPreschoolEducation','Education',11,5958,8927,'Vorschulerziehung und Bildung in der Pflichtschulzeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.CompulsoryAndPreschoolEducation?v=4.1.1',457),(11757,'Umfasst Daten zum Austausch von Kapital, Waren oder Dienstleistungen über internationale Grenzen hinweg.','TradeIndustryAndMarkets.ForeignTrade','TradeIndustryAndMarkets',92,5976,8976,'Außenhandel','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.ForeignTrade?v=4.1.1',457),(11758,'Beziehungen zwischen Arbeitgebern und Arbeitnehmern.','LabourAndEmployment.LabourRelationsConflict','LabourAndEmployment',37,5973,8957,'Arbeitsbeziehungen und Arbeitskonflikte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.LabourRelationsConflict?v=4.1.1',457),(11759,'','Health',NULL,16,6017,8894,'GESUNDHEIT','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health?v=4.1.1',457),(11760,'Die Klasse bezieht sich auf die Verfügbarkeit und Qualität von Dienstleistungen, Einrichtungen und Personal im Gesundheitsbereich sowie auf wirtschaftliche und politische Entscheidungen und Regelungen zu Medizin und Gesundheitswesen auf nationaler, regionaler oder lokaler Ebene. Verwendungshinweis: Für bereits implementierte Gesetze und Regelungen bitte die Klasse \'Gesetzgebung und Rechtssysteme\' verwenden.','Health.HealthCareServicesAndPolicies','Health',20,6018,8937,'Gesundheitswesen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthCareServicesAndPolicies?v=4.1.1',457),(11761,'Aktive oder passive Teilnahme an jeglicher kultureller Aktivität sowie Einstellungen und Auffassungen zu diesen Aktivitäten.','SocietyAndCulture.CulturalActivitiesAndParticipation','SocietyAndCulture',81,6022,8984,'Kulturelle Aktivitäten und kulturelle Teilhabe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CulturalActivitiesAndParticipation?v=4.1.1',457),(11762,'Bezieht sich auf Haustiere, Nutztiere und wilde Tiere sowie auf alle Arten von Pflanzen (z.B. Blumen, Bäume, Moos, Gemüse).','NaturalEnvironment.PlantsAndAnimals','NaturalEnvironment',53,5970,8955,'Pflanzen und Tiere','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.PlantsAndAnimals?v=4.1.1',457),(11763,'Naturlandschaften sind Landschaften und Bestandteile von Landschaften, die nicht von Menschen verändert oder beeinflusst wurden.','NaturalEnvironment.NaturalLandscapes','NaturalEnvironment',52,6030,8956,'Naturlandschaften','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.NaturalLandscapes?v=4.1.1',457),(11764,'Daten zu internationaler oder nationaler Gesetzgebung (Legislative), zu Verwaltungsvorschriften, zur Judikative (Einfluss und Aktivitäten der Gerichte), zu alternativer Streitbeilegung und Wiedergutmachung sowie zu Strafen.','LawCrimeAndLegalSystems.LegislationAndLegalSystems','LawCrimeAndLegalSystems',43,5967,8966,'Gesetzgebung und Rechtssysteme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.LegislationAndLegalSystems?v=4.1.1',457),(11765,'Verwendungshinweis: Wenn ein bestimmter Aspekt des Alters untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Elderly','SocialStratificationAndGroupings',67,5998,8979,'Ältere Menschen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Elderly?v=4.1.1',457),(11766,'','SocietyAndCulture',NULL,79,6012,8962,'GESELLSCHAFT UND KULTUR','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture?v=4.1.1',457),(11767,'Verwendungshinweis: Wenn ein bestimmter Aspekt der Jugend untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Youth','SocialStratificationAndGroupings',74,6026,8929,'Jugend','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Youth?v=4.1.1',457),(11768,'Daten zu kapitalistischen, sozialistischen oder anderen volkswirtschaftlichen Systemen sowie Daten, die beispielsweise internationale Entwicklungsprogramme untersuchen.','Economics.EconomicSystemsAndDevelopment','Economics',8,5963,8933,'Wirtschaftssysteme und wirtschaftliche Entwicklung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicSystemsAndDevelopment?v=4.1.1',457),(11769,'Die Klasse bezieht sich auf Angelegenheiten nationaler, regionaler und lokaler politischer Institutionen (z.B. Regierung, Parlament, Lokalregierungen), öffentliche Verwaltung und andere politische Organisationsformen wie politische Parteien. Zum Beispiel Daten zur Regierungspolitik, zu politischen Parteien und deren Politik, zu Führungspersonen politischer Parteien oder zum Vertrauen in Regierungsinstitutionen.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,8302,8971,'Regierung, politische Systeme, Parteien und Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=4.1.1',457),(11770,'Befragungen der Gesamtbevölkerung, im Gegensatz zu \nStichprobenbefragungen. In der Regel ist der Zweck eine offizielle \nErhebung der Bevölkerungszahl, üblicherweise bei gleichzeitiger Erhebung\n weiterer demographischer Informationen. In manchen Ländern sind \nVolkszählungen nicht üblich, da entsprechende demographische \nInformationen der offiziellen Statistik bzw. amtlichen Verzeichnissen \nentnommen werden können.','Demography.Censuses','Demography',1,8299,8936,'Volkszählungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=4.1.1',457),(11771,'Daten zu Wirtschaftspolitik, einschließlich Haushalts- und Finanzpolitik, Staatsausgaben und Staatseinnahmen.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,8301,8917,'Wirtschaftspolitik, öffentliche Ausgaben und Einnahmen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=4.1.1',457),(11772,'Daten zur landwirtschaftlichen Produktion und allen ländlichen Gewerben, zum Beispiel auch Fischerei und Forstwirtschaft.','TradeIndustryAndMarkets.AgricultureAndRuralIndustry','TradeIndustryAndMarkets',90,5974,8948,'Landwirtschaft und Agrarindustrie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.AgricultureAndRuralIndustry?v=4.1.1',457),(11773,'','ScienceAndTechnology',NULL,62,5959,8972,'WISSENSCHAFT UND TECHNIK','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology?v=4.1.1',457),(11774,'Die Klasse bezieht sich auf soziale und berufliche Mobilität von Individuen, Familien oder Gruppen im Zeitverlauf. Dazu gehören horizontale Mobilität (Positionswechsel ohne Statuswechsel) und vertikale Mobilität (statusbezogene Auf- oder Abwärtsbewegung). Beispiele: Arbeiter und Arbeiterinnen aus verschwindenden Industriezweigen wechseln in andere Industriezweige (horizontale berufliche Mobilität); Kinder aus armen Familien erreichen eine höhere soziale Schicht als ihre Eltern (vertikale zwischengenerationale soziale Mobilität).','SocialStratificationAndGroupings.SocialAndOccupationalMobility','SocialStratificationAndGroupings',73,5981,8982,'Soziale und berufliche Mobilität','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.SocialAndOccupationalMobility?v=4.1.1',457),(11775,'','MediaCommunicationAndLanguage',NULL,44,5960,8977,'MEDIEN, KOMMUNIKATION UND SPRACHE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage?v=4.1.1',457),(11776,'Daten zu Gefährdungen am Arbeitsplatz, arbeitsbezogenen Erkrankungen, Sicherheit am Arbeitsplatz, Krankheitstagen, Arbeitsfähigkeit und Arbeitsunfähigkeit, Berufsunfähigkeitsrenten.','Health.OccupationalHealth','Health',22,5988,8916,'Arbeitsmedizin','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.OccupationalHealth?v=4.1.1',457),(11777,'Verwenden Sie diese Klasse für Themen, die keine eigene Klasse haben.','Other',NULL,94,5961,8945,'SONSTIGES','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Other?v=4.1.1',457),(11778,'Umfasst Daten zu verschiedenen Aspekten des Lebens in der Wohnumgebung oder städtischen bzw. ländlichen Gegenden. Erfasst sind auch Meinungen zu und Vorstellungen von der eigenen Wohngegend, städtischen und ländlichen Gegenden. Auch erfasst sind Dienstleistungen, Einrichtungen und Geschäftsgelegenheiten in der Wohnumgebung.','SocietyAndCulture.CommunityUrbanAndRuralLife','SocietyAndCulture',80,6023,8928,'Gemeinde, Wohnumgebung, Stadtleben und Landleben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.CommunityUrbanAndRuralLife?v=4.1.1',457),(11779,'Daten zu Missbrauch von Drogen und anderen Substanzen. Daten zu Rauch- und Trinkgewohnheiten. Für Daten zum medizinischen Gebrauch von Drogen (z. B. medizinischer Gebrauch von Cannabis) verwenden Sie \"Medizinische Behandlung und Medikation\"','Health.DrugAbuseAlcoholAndSmoking','Health',18,10854,8985,'Drogenmissbrauch, Alkoholkonsum und Rauchen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.DrugAbuseAlcoholAndSmoking?v=4.1.1',457),(11780,'Daten zu sprachwissenschaftlichen Studien und Analysen, Soziolinguistik, Sprachregelungen, individuelle Sprachkenntnisse, auf der Arbeit und zuhause gesprochene Sprachen, Einstellungen zu Minderheitensprachen usw.','MediaCommunicationAndLanguage.LanguageAndLinguistics','MediaCommunicationAndLanguage',46,6044,8941,'Sprache und Sprachwissenschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.LanguageAndLinguistics?v=4.1.1',457),(11781,'Verwendungshinweis: Wenn ein bestimmter Aspekt der Kindheit untersucht wird, muss möglicherweise noch eine weitere entsprechende Klasse vergeben werden.','SocialStratificationAndGroupings.Children','SocialStratificationAndGroupings',66,6019,8892,'Kinder','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.Children?v=4.1.1',457),(11782,'Die Klasse umfasst: Geschlechtsidentität; Geschlechterrepräsentationen (z.B. Repräsentation der Geschlechter in Entscheidungsgremien, in den Medien, in der Literatur usw.); soziale, kulturelle und psychologische Eigenschaften, die männlich oder weiblich assoziiert sind; Frauenforschung; Männerforschung; erwartetes Verhalten und erwartete Entscheidungen in Bezug auf Geschlechterrollen sowie die Auswirkungen solcher Erwartungen.','SocialStratificationAndGroupings.GenderAndGenderRoles','SocialStratificationAndGroupings',71,6038,8931,'Geschlecht und Geschlechterrollen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.GenderAndGenderRoles?v=4.1.1',457),(11783,'Daten zu persönlichem Vermögenszuwachs, einschließlich Einkommen, Vermögen, Geldanlagen und Ersparnissen.','Economics.IncomePropertyAndInvestmentSaving','Economics',9,8300,8906,'Einkommen, Vermögen und Geldanlagen/Sparen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.1.1',457),(11784,'Daten zur Wohnraumsituation in einem Gebiet, einschließlich Versorgung mit sozialem Wohnungsbau sowie Verfügbarkeit und Kosten von Wohnraum. Wohnraum schließt Haupt-, Zweit- und Ferienwohnungen bzw. -häuser ein.','HousingAndLandUse.Housing','HousingAndLandUse',31,6040,8964,'Wohnraum','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.Housing?v=4.1.1',457),(11785,'Daten zu Arbeitslosenquoten und -statistiken, zu Beschäftigungsprogrammen und Arbeitsbeschaffungsmaßnahmen, zu Dauer und Häufigkeit individueller Arbeitslosigkeit, zu sozialen und psychologischen Auswirkungen von Arbeitslosigkeit usw.','LabourAndEmployment.Unemployment','LabourAndEmployment',39,6032,8924,'Arbeitslosigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Unemployment?v=4.1.1',457),(11786,'Umfasst Daten zu Fragen religiösen Verhaltens, religiöser Bewegungen, Spiritualität, Moral und anderen Werten.','SocietyAndCulture.ReligionAndValues','SocietyAndCulture',84,5972,8944,'Religion und Werte','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.ReligionAndValues?v=4.1.1',457),(11787,'Höhere Bildung umfasst Allgemeinbildung im Rahmen der ISCED-Level 3 (Sekundarstufe II) und 4 (postsekundare Bildung) sowie tertiäre Bildung (ISCED-Level 5). Dazu gehören gymnasiale Oberstufen, Abendgymnasien, Kollegs sowie Universitäten, Fachhochschulen und Berufsakademien. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für Berufsausbildung im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Berufsausbildung\' verwenden.','Education.HigherAndFurtherEducation','Education',13,6007,8920,'Höhere Bildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.HigherAndFurtherEducation?v=4.1.1',457),(11788,'Umfasst Daten zu allen Formen des Ruhestands, etwa auch zu Altersteilzeit, zum Rentenalter und zum Frühruhestand.','LabourAndEmployment.Retirement','LabourAndEmployment',38,6003,8903,'Ruhestand','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Retirement?v=4.1.1',457),(11789,'Die Klasse bezieht sich auf die Themen Familie, Verwandschaft, Generationen und Haushaltszusammensetzung. Beispiele: Daten zur Kindererziehung; Arbeitsaufteilung in der Familie; Unterstützung für Familienmitglieder.','SocialStratificationAndGroupings.FamilyLifeAndMarriage','SocialStratificationAndGroupings',70,5985,8943,'Familie und Ehe','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.FamilyLifeAndMarriage?v=4.1.1',457),(11790,'','Psychology',NULL,61,5983,8973,'PSYCHOLOGIE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Psychology?v=4.1.1',457),(11791,'Daten zu Beschäftigungsquoten und -statistiken, zum Arbeitsmarkt, zu offenen Stellen, zur Arbeitssuche, zu Tätigkeitsmerkmalen, zur Beschäftigung bestimmter Gruppen (z.B. Beschäftigung von Jugendlichen oder Minderheiten), Arbeitsvermittlung und Karriere. Verwendungshinweis: Für Daten zu Löhnen und Gehältern bitte die Klasse \'Arbeitsbedingungen\' verwenden.','LabourAndEmployment.Employment','LabourAndEmployment',35,5979,8940,'Beschäftigung und Erwerbstätigkeit','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.Employment?v=4.1.1',457),(11792,'Lebenslanges Lernen bezieht sich auf Bildungsangebote unterschliedlicher Art für Erwachsene, die den formalen Bildungsweg bereits absolviert haben. Erwachsene nehmen diese Bildungsangebote zum Beispiel wahr, um ihre Kompentenzen und Qualifikationen zu verbessern, zur beruflichen Neuorientierung (Umschulung) oder einfach um sich mehr Wissen anzueignen. Lebenslanges Lernen bezieht sich nicht zwingend auf Bildungsangebote, die zu einer bestimmten Qualifikation oder einem Abschluss oder zu einer beruflichen Fortbildung führen.','Education.LifelongContinuingEducation','Education',14,6043,8895,'Lebenslanges Lernen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.LifelongContinuingEducation?v=4.1.1',457),(11793,'','HousingAndLandUse',NULL,30,6001,8910,'WOHNRAUM UND FLÄCHENNUTZUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse?v=4.1.1',457),(11794,'Bezieht sich auf die Therapie von Krankheiten oder auf Maßnahmen, die Krankheiten vorbeugen sollen. Gemeint ist hier die individuelle Patientenversorgung sowie Forschung zu medikamentösen und sonstigen Therapien. Umfasst beispielsweise Daten zu chirurgischen Verfahren, Rehabilitation, Arztbesuchen, Physiotherapie, Manuelle Therapie, Pflege im Krankenhaus oder zuhause, Psychotherapie, Medikation.','Health.MedicationAndTreatment','Health',21,6011,8932,'Medizinische Behandlung und Medikation','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.MedicationAndTreatment?v=4.1.1',457),(11795,'','SocialStratificationAndGroupings',NULL,65,5977,8912,'SOZIALE SCHICHTUNG UND GRUPPIERUNGEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings?v=4.1.1',457),(11796,'Bezieht sich auf den Vorgang, dass etwas erworben und/oder verwendet wird, um Bedürfnisse und Wünsche einer Person, Gemeinschaft oder Gesellschaft zu erfüllen. Diese Klasse umfasst auch Daten zu (Wandel in) Konsummustern und zu ethischen Aspekten des Konsums. Erfasst ist davon zum Beispiel, wie häufig Personen bestimmte Produkte kaufen, wann und wo sie einkaufen und ob ethische Überlegungen ihre Konsumentscheidungen beeinflussen.','Economics.ConsumptionAndConsumerBehaviour','Economics',5,5962,8891,'Konsum und Konsumverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.ConsumptionAndConsumerBehaviour?v=4.1.1',457),(11797,'Erfasst Studien zu Existenz, Rolle und Einfluss von Eliten in einer Gesellschaft. Eliten sind Personen oder Gruppen, die viel Macht oder Einfluss auf Gesellschaft, Politik, Wohlstandsverhältnisse usw. ausüben. Sie tun dies entweder durch Entscheidungen oder beispielsweise auch dadurch, dass sie ihren Vorstellungen oder Gefühlen Ausdruck verleihen bzw. für diese einstehen. Eingeschlossen sind alle Themen mit Bezug zu einflussreichen Personen in allen Gesellschaftsbereichen, zum Beispiel zu politischen Entscheidungsträgerinnen und Entscheidungsträgern, Führungspersonen politischer Parteien, einflussreichen Kunstschaffenden und Medienprominenz (auch aus den sozialen Medien).','SocialStratificationAndGroupings.ElitesAndLeadership','SocialStratificationAndGroupings',68,6010,8939,'Eliten und Führungspersönlichkeiten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.ElitesAndLeadership?v=4.1.1',457),(11798,'Unternehmensinterne Weiterbildung bzw. vom Unternehmen finanzierte Weiterbildungsmaßnahmen für Beschäftigte. Berufliche Weiterbildung hat die Verbesserung der Fertigkeiten und Kompetenzen der Beschäftigten zum Ziel. Verwendungshinweis: Für Berufsausbildungen, z.B. nach dem Dualen System, bitte die Klasse \'Berufsausbildung\' verwenden.','LabourAndEmployment.EmployeeTraining','LabourAndEmployment',34,6034,8923,'Berufliche Weiterbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment.EmployeeTraining?v=4.1.1',457),(11799,'','SocialWelfarePolicyAndSystems',NULL,75,5989,8913,'SOZIALPOLITIK, SOZIALFÜRSORGE UND SOZIALSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialWelfarePolicyAndSystems?v=4.1.1',457),(11800,'Bezieht sich sowohl auf die Planung der Raum- oder Flächennutzung, als auch auf die Nutzung selbst. Raumplanung bezieht sich auf Vorgänge, die eine optimale und nachhaltige Nutzung von Flächen in ländlichen und städtischen Umgebungen sicherstellen sollen.','HousingAndLandUse.LandUseAndPlanning','HousingAndLandUse',32,6006,8951,'Flächennutzung und Raumplanung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_HousingAndLandUse.LandUseAndPlanning?v=4.1.1',457),(11801,'Diese Klasse bezieht sich auf Studien die untersuchen, inwiefern sich Individuen oder Gruppen einer Gesellschaft in Bezug auf Status und Chancengleichheit unterscheiden. Gleichheit wird beispielsweise in Bezug auf Bildung, (finanzielles) Vermögen, Einkommen, berufliche Stellung, Macht, Prestige, Arbeitsbedingungen, Freizeit, Zugang zu Dienstleistungen und soziale Beziehungen untersucht. Marginalisierung und soziale Ausgrenzung (Exklusion) können aus systematischer Benachteiligung in unterschiedlichen Lebensbereichen resultieren. Betroffenen fehlt es möglicherweise an Rechten, Chancen, Mitteln (Resourcen) und sozialer Integration. Beispiele für Daten sind: Statistiken zu Einkommensunterschieden; Studien zu wahrgenommener, gruppenbezogener Diskriminierung (z.B. gegenüber Fremden, Obdachlosen, Asylsuchenden); Studien zu wahrgenommenen Unterschieden zwischen Männern und Frauen in Bezug auf Mögichkeiten, führende Rollen in der Politik einzunehmen; Studien zum Einfluss elterlicher Arbeitslosigkeit auf soziale Beziehungen und das Bildungsniveau ihrer Kinder.','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion','SocialStratificationAndGroupings',69,6037,8949,'Gleichheit, Ungleichheit und soziale Ausgrenzung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion?v=4.1.1',457),(11802,'Umfasst Daten zu Industrie und Betrieb wie zum Beispiel Management, Produktivität, Geschäftswachstum und -rückgang, Organisationsstruktur, Verwaltung, Investition in Forschung und Entwicklung, Märkte und Marktanteile.','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation','TradeIndustryAndMarkets',91,6020,8953,'Management und Organisation von Betrieben','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation?v=4.1.1',457),(11803,'Daten zu einzelnen Krankheiten, Störungen oder Syndromen (etwa entsprechend ICD-10). Zum Beispiel medizinische Forschung zu den Ursachen von Diabetes oder Forschung zur physischen und psychischen Genesung nach Herz-OPs.','Health.SpecificDiseasesDisordersAndMedicalConditions','Health',27,6035,8905,'Spezifische Krankheiten, Störungen und Gesundheitsprobleme','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.SpecificDiseasesDisordersAndMedicalConditions?v=4.1.1',457),(11804,'Die Klasse umfasst Fragen der Umweltzerstörung und -verschmutzung, des Umweltschutzes, des Klimawandels, des Hochwasserschutzes und der Bodenerosion.','NaturalEnvironment.EnvironmentAndConservation','NaturalEnvironment',51,5956,8959,'Umweltschutz und Naturschutz','https://vocabularies.cessda.eu/vocabulary/TopicClassification_NaturalEnvironment.EnvironmentAndConservation?v=4.1.1',457),(11805,'Daten zu Kriminalität, Kriminalitätsbekämpfung, Opfern von Straftaten, Straftätern, Polizei, Geheimdienst, Justizvollzuganstalten (z.B. Gefängnisse, Jugendarrestanstalten), Grenzkontrollen und Zöllen, einschließlich Daten zu den entsprechenden Einrichtungen und den dort Beschäftigten.','LawCrimeAndLegalSystems.CrimeAndLawEnforcement','LawCrimeAndLegalSystems',42,6009,8930,'Kriminalität und Gesetzesvollzug','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems.CrimeAndLawEnforcement?v=4.1.1',457),(11806,'Umfasst Daten zu jeglicher Art des Gütertransports sowie zu den Themen Pendeln, Öffentlicher Personennahverkehr (Zug-, Bus-, U-Bahn-Verkehr etc.) und städtische Verkehrsverbünde. Erfasst sind auch Daten zu Mobilitätsgewohnheiten, zum Beispiel grenzübergreifendes Einkaufen; Verkehrswege und -mittel, die genutzt werden, um ein Ziel zu erreichen. Verwendungshinweis: Für Urlaubs- und Freizeitreisen bitte die Klasse \'Freizeit, Tourismus und Sport\' verwenden.','TransportAndTravel',NULL,93,5968,8921,'TRANSPORT UND REISEN','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TransportAndTravel?v=4.1.1',457),(11807,'Bezieht sich auf Daten zu Zeitanteilen, die Befragte für verschiedene Aktivitäten aufwenden.','SocietyAndCulture.TimeUse','SocietyAndCulture',88,6039,8950,'Zeitbudget','https://vocabularies.cessda.eu/vocabulary/TopicClassification_SocietyAndCulture.TimeUse?v=4.1.1',457),(11808,'Daten zum Einsatz von Prozessen auf biomolekularer und zellularer Ebene zum Zweck der Entwicklung neuer Produkte und technischer Verfahrensweisen.','ScienceAndTechnology.Biotechnology','ScienceAndTechnology',63,6021,8970,'Biotechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.Biotechnology?v=4.1.1',457),(11809,'Die Klasse bezieht sich auf die wirtschaftlich, politisch oder kulturell relevante Generierung, Verbreitung, Nutzung, Integration und Verarbeitung von Information. Umfasst beispielsweise Daten zu e-Commerce (Internethandel), e-Government, Sozialen Medien, Mobilen Empfangsgeräten, Internetzugang und -nutzung, Datenschutz, Informations- und Bibliotheksressourcen. Verwendungshinweis: Für einzelne Technologien bitte die Klasse \'Informations- und Kommunikationstechnologie\' verwenden.','MediaCommunicationAndLanguage.InformationSociety','MediaCommunicationAndLanguage',45,6014,8968,'Informationsgesellschaft','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.InformationSociety?v=4.1.1',457),(11810,'','LabourAndEmployment',NULL,33,5986,8946,'ARBEIT UND BESCHÄFTIGUNG','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LabourAndEmployment?v=4.1.1',457),(11811,'Bezieht sich auf Informations- und Kommunikationstechnologie die zuhause, am Arbeitsplatz oder in anderen sozialen Situationen zum Einsatz kommt. Verwendungshinweis: Für Anwendung und Auswirkungen dieser Technologien bitte die Klasse \'Informationsgesellschaft\' verwenden.','ScienceAndTechnology.InformationTechnology','ScienceAndTechnology',64,5982,8969,'Informations- und Kommunikationstechnologie','https://vocabularies.cessda.eu/vocabulary/TopicClassification_ScienceAndTechnology.InformationTechnology?v=4.1.1',457),(11812,'Öffentlichkeitsarbeit beinhaltet Maßnahmen zur Erhaltung oder Verbesserung des Rufs (Image) von Individuen, Unternehmen, Organisationen und Regierungen, zum Beispiel durch Werbemaßnahmen, Lobby-Arbeit usw.','MediaCommunicationAndLanguage.PublicRelations','MediaCommunicationAndLanguage',48,5964,8934,'Öffentlichkeitsarbeit/Public Relations','https://vocabularies.cessda.eu/vocabulary/TopicClassification_MediaCommunicationAndLanguage.PublicRelations?v=4.1.1',457),(11813,'Daten zur generellen körperlichen Kondition, der körperlichen Aktivität und zur ausgeübten Bewegung der Befragten.','Health.PhysicalFitnessAndExercise','Health',23,8298,8909,'Körperliche Fitness und Bewegung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.PhysicalFitnessAndExercise?v=4.1.1',457),(11814,'','LawCrimeAndLegalSystems',NULL,41,5978,8963,'GESETZ, KRIMINALITÄT UND RECHTSSYSTEME','https://vocabularies.cessda.eu/vocabulary/TopicClassification_LawCrimeAndLegalSystems?v=4.1.1',457),(11815,'','TradeIndustryAndMarkets',NULL,89,6013,8901,'HANDEL, INDUSTRIE UND MÄRKTE','https://vocabularies.cessda.eu/vocabulary/TopicClassification_TradeIndustryAndMarkets?v=4.1.1',457),(11816,'Berufsausbildung bezieht sich auf Bildungsprogramme, in denen Lernenden das Wissen, die Fertigkeiten und die Kompetenzen für einen bestimmten Beruf, ein bestimmtes Gewerbe oder eine bestimmte Branche vermittelt werden. Die Klasse umfasst Berufsausbildungen im Rahmen der ISCED-Level 3 und 4, einschließlich Lehrberufe. Dazu gehört sowohl die Ausbildung an Berufsfachschulen, als auch die duale Ausbildung an Berufsschulen und in Betrieben. Im Rahmen des Dualen Systems hat die Berufsausbildung sowohl schulische, als auch betriebspraktische Elemente. Davon erfasst sind Daten zu Schülerinnen und Schülern, Studierenden, Lehrenden, Unterrichts- und Studienfächern, vermittelte Kompetenzen, Einrichtungen etc. Für allgemeinbildende Programme im Rahmen der ISCED-Level 3 und 4 bitte die Klasse \'Höhere Bildung und Weiterbildung\' verwenden.','Education.VocationalEducationAndTraining','Education',15,5999,8907,'Berufsausbildung','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Education.VocationalEducationAndTraining?v=4.1.1',457),(11855,'Jede einzelne Person, unabhängig von demographischen Merkmalen, dem Beruf, dem sozialen Status, Rechtsstatus oder sozialer Status, Zugehörigkeit.','Individual',NULL,0,1228,5827,'Individuum',NULL,385),(11856,'Zwei oder mehr Menschen, die miteinander blutsverwandt sind, oder durch Heirat (einschließlich der Verwandschaft des Ehepartners), Adoption oder Pflege (Pflegeeltern, Pflegekinder etc.) anverwandt sind - unabhängig davon, ob sie zusammenleben oder nicht. Wird zum Beispiel genutzt bei der Erforschung des Ausmaßes, in dem die Menschen ihre Verwandten unterstützen.','Family',NULL,2,1230,5828,'Familie',NULL,385),(11857,'Ein spezifischerer Begriff, bezieht sich nur auf verwandte Personen, die zu einem bestimmten Zeitpunkt im selben Haushalt leben. Wenn nicht bekannt ist, ob die Analyseeinheit \'Familie\' oder \'Haushalt Familie\' ist, verwenden Sie \'Familie\'.','Family.HouseholdFamily','Family',3,1231,5829,'Familie: Familienhaushalt',NULL,385),(11858,NULL,'PoliticalAdministrativeArea',NULL,8,NULL,5832,NULL,NULL,385),(11859,NULL,'MediaUnit',NULL,10,NULL,5833,NULL,NULL,385),(11860,NULL,'MediaUnit.Text','MediaUnit',13,NULL,5834,NULL,NULL,385),(11861,NULL,'MediaUnit.Sound','MediaUnit',11,NULL,5835,NULL,NULL,385),(11862,NULL,'MediaUnit.StillImage','MediaUnit',12,NULL,5836,NULL,NULL,385),(11863,NULL,'MediaUnit.Video','MediaUnit',14,NULL,5837,NULL,NULL,385),(11864,'Zwei oder mehrere Einzelpersonen, die sich versammeln oder eine vereinende Beziehung miteinander haben.','Group',NULL,15,1238,5820,'Gruppe',NULL,385),(11871,NULL,'TextUnit',NULL,9,NULL,1175,NULL,NULL,313),(11872,'Richtlinien für eine Gruppendiskussion. Je nach Studiendesign kann ein Diskussionsleitfaden mehr oder weniger strukturiert sein, von genau formulierten Fragen bis hin zu allgemeinen Ideen, worüber diskutiert werden soll. Zum Beispiel eine Liste von Themen, die in einer Fokusgruppe besprochen werden sollen, oder Themen, die von einem Forscher formuliert werden, um eine Blog-Diskussion zu führen, etc.','DataCollectionGuidelines.DiscussionGuide','DataCollectionGuidelines',7,NULL,1817,'Richtlinien der Datenerhebung: Diskussionsleitfaden',NULL,243),(11873,'Offizielle, formale oder halbformale Dokumente, die zum Beispiel Gegenstände, Namen, Vorkommnisse, Handlungen oder Ergebnisse aufführen und in schriftlicher oder einer anderen dauerhaften Form zur späteren Referenz aufbewahrt werden.','RegistersRecordsAccounts',NULL,0,NULL,1921,'Register/Akten/Verzeichnisse',NULL,284),(11874,'Informationen, die zu Einzelpersonen oder Gruppen gesammelt werden als Teil des routinemäßigen Verwaltungsprozederes einer Agentur, eines Unternehmens oder einer Einrichtung. Solche Daten werden in der Regel nicht zu Forschungszwecken gesammelt, sie können umfangreich sein und können Vorbereitungenwie Codierung erfordern, um für Forschern nutzbar zu sein. Beispiele: Einkommensteuerformulare, Bevölkerungsregister,Einbürgerungsurkunden,Geburts-/Sterbeurkunden, Patentanmeldungen usw.','RegistersRecordsAccounts.Administrative','RegistersRecordsAccounts',1,NULL,1922,'Register/Akten/Verzeichnisse: Administrativ',NULL,284),(11875,'Historische Aufzeichnungen bewahren Informationen und erzeugen Nachweise für vergangene Ereignisse. Sie können von Einzelpersonen, Gruppen oder Organisationen produziert werden. Verwaltungsunterlagen werden historisch, wenn sie nicht länger aufbewahrt oder von der ausstellenden Behörde für ihren ursprünglichen Zweck nicht aktiv genutzt werden. Beispiele sind Pfarramtsregister, Nachlassverzeichnisse, Testamente, Chroniken usw.','RegistersRecordsAccounts.Historical','RegistersRecordsAccounts',2,NULL,1923,'Register/Akten/Verzeichnisse: Historisch',NULL,284),(11876,'Aufzeichnungen über das Gesetz und seine Verwaltung, zum Beispiel Aufzeichnungen im Zusammenhang mit Fällen, die vor Gericht gebracht worden sind.','RegistersRecordsAccounts.Legal','RegistersRecordsAccounts',3,NULL,1924,'Register/Akten/Verzeichnisse: Legal',NULL,284),(11877,'Gesundheitsbezogene Daten, die vom Fachpersonal aus dem Gesundheitswesen über einen Patienten erstellt oder gesammelt wurden. In der Regel enthalten diese die Ergebnisse von medizinischen Tests oder Messungen, Befunde aus Sprechstunden oder klinischen Studienprogrammen, etc.','RegistersRecordsAccounts.MedicalClinical','RegistersRecordsAccounts',4,NULL,1925,'Register/Akten/Verzeichnisse: Medizinisch/Klinisch',NULL,284),(11878,'Informationen, die während eines Evaluationsprozesses gesammelt und als Ergebnisse präsentiert wurden. Beispiele sind Bildungstests, IQ-Tests, Tests zum logischen Denken und Ausdrucksvermögen, Kompetenztests fürBerufstätigkeitenusw.','RegistersRecordsAccounts.AcademicAptitude','RegistersRecordsAccounts',5,NULL,1926,'Register/Akten/Verzeichnisse: Akademisch',NULL,284),(11879,'Aufzeichnungen über die finanziellen Aktivitäten eines Unternehmens, einer Person, einer staatlichen Einrichtung oder anderer Organisationen oder Körperschaften. Beispiele sind Aussagen über die einbehaltenen Gewinne, den Cashflow, die Gewinn- und Verlustrechnung, die Bilanz eines Unternehmens und die Steuererklärung.','RegistersRecordsAccounts.EconomicFinancial','RegistersRecordsAccounts',6,NULL,1927,'Register/Akten/Verzeichnisse: Ökonomisch/finanziell',NULL,284),(11880,'Aufzeichnungen oder Verzeichnisse, die von Einzelpersonen oder Familien für andere Zwecke, und nicht für Forschung, inoffiziell erstellt wurden. Beispiele können private Tagebücher oder Memoiren, Familienbücher oder Bibeln, Sammlungen von persönlichen Dokumenten, Fotografien usw. sein.','RegistersRecordsAccounts.Personal','RegistersRecordsAccounts',7,NULL,1928,'Register/Akten/Verzeichnisse: Personenbezogen',NULL,284),(11881,'Details der Stimmenverteilung für Kandidaten bei einer Wahl (auch als \'Wahlergebnisse/Ergebnisse\' bekannt), parlamentarische oder organisatorische Abstimmungen über Politik, Anträge oder Vorschläge, Volksentscheide usw.','RegistersRecordsAccounts.VotingResults','RegistersRecordsAccounts',8,NULL,1929,'Register/Akten/Verzeichnisse: Wahlergebnisse',NULL,284),(11882,'Ereignisse sind in der Regel einmalige, individuelle Vorkommnisse, mit einer begrenzten oder kurzen Dauer. Ein Ereignis kann als Datenquelle verzeichnet werden, wenn es direkt für die Forschung beobachtet oder aufgezeichnet wurde. Interaktionen sind Ereignisse, bei denen zwei oder mehrere Personen, Gruppen, Objekte oder Systeme miteinander agieren und sich gegenseitig beeinflussen. Beispiele: verschiedene Versammlungen (Feierlichkeiten, Wettkämpfe, Festivals, Treffen), Unruhen, Terroranschläge, Computing-Events(d.h. Aktionen oder Vorkommnisse, die von Computerprogrammen erkannt werden) usw.','EventsInteractions',NULL,9,NULL,1930,'Ereignisse/Interaktionen',NULL,284),(11883,'Prozesse sind Sequenzen von Vorkommnissen, Ereignissen, Aktivitäten, Handlungen oder Tätigkeiten, die im Laufe der Zeit stattfinden und Veränderungen oder Transformationen in Organismen, Objekten, Ideen oder sozialen Phänomenen bewirken.Beispielsweise kann ein Geschäftsprozess auch Aufträge, Rechnungsstellung, Versand der Produkte oder die Festlegung eines Marketingbudgets beinhalten.','Processes',NULL,10,NULL,1931,'Prozesse',NULL,284),(11884,'Sequenz von Schritten und Prozessen, die ein Arbeitsstück durchläuft von Einleitung bis zur Fertigstellung. Beispiele aus dem Datenlebenszyklus: Datenerhebung, Datenverarbeitung, Datenanalyse, Datenarchivierung etc.','Processes.Workflows','Processes',11,NULL,1932,'Prozesse: Workflow(s)',NULL,284),(11885,'Nachrichten, die sich aus dem Prozess der Verwendung von Wörtern, Klängen, Zeichen oder Verhaltensweisen ergeben, um Informationen, Ideen, Gedanken, Gefühle usw. zu vermitteln oder auszutauschen','Communications',NULL,12,NULL,1933,'Kommunikation',NULL,284),(11886,'Kommunikation, die direkt an ein öffentliches Publikum gerichtet ist, zum Beispiel persönlich (öffentliche Versammlungen, politische Kundgebungen usw.), durch Rundfunkübertragungen,Print- oder Internet-Massenmedien (Radio, Fernsehen, Print- oder Online-Zeitungen/Zeitschriften), durch Plakate, Banner oder andere Beschilderungen in der Öffentlichkeit oder Social Media (öffentliche Postings auf Facebook, Twitter und anderen).','Communications.Public','Communications',13,NULL,1934,'Kommunikation: Öffentlich',NULL,284),(11887,'Kommunikation zwischen Personen oder in einer privaten Gruppe von Personen, die anderen Zwecken als der Forschung dient. Zum Beispiel E-Mails, Briefe, Telefongespräche, Postings in Social Media mit eingeschränktem Zugriff.','Communications.Interpersonal','Communications',14,NULL,1935,'Kommunikation: Interpersonell',NULL,284),(11888,'Vorhandene Daten; Daten, die bereits gesammelt und/oder für ein anderes Forschungsprojekt verwendet wurden.','ResearchData',NULL,15,NULL,1936,'Forschungsdaten',NULL,284),(11889,'Vorhandene Daten, die der Öffentlichkeit zugänglich gemacht wurden, oder Abschnitte davon.','ResearchData.Published','ResearchData',16,NULL,1937,'Forschungsdaten: Veröffentlicht',NULL,284),(11890,'Vorhandene Daten, die der Öffentlichkeit nicht zur Verfügung gestellt wurden, oder Abschnitte davon.','ResearchData.Unpublished','ResearchData',17,NULL,1938,'Forschungsdaten: Unveröffentlicht',NULL,284),(11891,'Gruppe von Einzelpersonen, die durch ein oder mehrere gemeinsame Merkmale definiert werden können: Ethnizität, Rasse, Geschlecht, Altersgruppe, geographische Lage oder Verteilung, Bildungsniveau, Einkommensniveau oder wirtschaftlicher Status, Berufsstatus, Gesundheitszustand oder Krankheiten, oder Zugehörigkeit zu bestimmten Gemeinschaften (z. B. spezielle Interessensgruppen oder soziale Medien), oder Netzwerke usw.','PopulationGroup',NULL,18,NULL,1939,'Bevölkerungsgruppe',NULL,284),(11892,'Ein Gebiet der Erde, abgegrenzt für Zwecke der Verwaltung, Politik, Umwelt, etc. Die Abgrenzung ist über Koordinaten oder andere Systeme, die verwendet werden, um die Position genau zu bestimmen, erkennbar.','GeographicArea',NULL,19,NULL,1940,'Geografische Einheit',NULL,284),(11893,'Natürliche oder von Menschenhand geschaffene Einheiten mit räumlichen Orten. Zum Beispiel Kunstwerke, Konstruktionen, Gesteinsmuster, Maschinen usw. Diese werden als Datenquellen betrachtet, wenn die Daten eher die physischen Eigenschaften des gegebenen Objekts beschreiben als die darin enthaltenen Informationen.','PhysicalObjects',NULL,20,NULL,1941,'Physische Objekte',NULL,284),(11894,'Biologische Materialien, die aus lebenden Organismen gesammelt werden, einschließlich z. B. biologischer Proben menschlicher oder tierischer Organe, Zellen oder Gewebe wie Haare, Muskel- oder Tumorgewebe, Körperflüssigkeiten wie Blut, Urin, Speichel, extrahiertes Material wie DNA und RNA, Mikroorganismen, Pflanzenmaterial usw. Die Quelle der Daten sind die Proben selbst, nicht Messungen und/oder andere Tests, die bei ihnen durchgeführt wurden.','BiologicalSamples',NULL,21,NULL,1942,'Biologische Proben',NULL,284),(11895,'Verwenden Sie diese Kategorie, wenn die Datenquelle bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,22,NULL,1943,'Andere',NULL,284),(11896,'Alle Einheiten (Individuen, Haushalte, Organisationen, usw.) der Grundgesamtheit sind Teil der Erhebung. Wenn beispielsweise die Grundgesamtheit als Mitglieder einer Gewerkschaft definiert ist, werden alle Gewerkschaftsmitglieder eingeladen, an der Studie teilzunehmen. Wenn die gesamte Bevölkerung einer regionalen Einheit (z. B. eines Landes) Teil des Erhebungsverfahrens ist, wird dies auch als \'Zensus\' bezeichnet.','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Vollerhebung',NULL,253),(11897,'Die Grundgesamtheit wird nach bestimmten Kriterien in sich gegenseitig ausschließende und insgesamt erschöpfende Segmente unterteilt. Die Verteilung der Quotenmerkmale (z. B. Geschlecht, Alter, Ethnizität, Religion, Bildungsstand, etc.) soll die diesbezügliche Verteilung der Grundgesamtheit widerspiegeln. Aus jedem Segment werden dann Einheiten durch Nicht-Wahrscheinlichkeitsauswahl ausgewählt, bis die gewünschte Anzahl der Einheiten pro Quotenmerkmal erreicht ist. Wenn die Grundgesamtheit beispielsweise einen Frauenanteil von 45 Prozent und einen Männeranteil von 55 Prozent aufweist, ist der Anteil der Frauen und Männer in der Stichprobe ebenso hoch, wenn es sich um eine proportionale Quotenstichprobe handelt. In einer nicht proportionalen Quotenstichprobe können die Geschlechterverhältnisse abweichen, beispielsweise durch ein bewusstes Oversampling von Frauen.','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Nicht-Zufallsstichprobe: Quotenauswahl',NULL,253),(11898,'Alle enheter (individer, husholdninger, organisasjoner etc.) i målpopulasjonen er inkludert i datainnsamlingen. For eksempel: dersom målpopulasjonen er definert som medlemmer av en fagforening blir alle medlemmene invitert til å delta i studien. Også kalt \'sensus\' dersom hele populasjonen av en regional enhet (f.eks et land) er valgt.','TotalUniverseCompleteEnumeration',NULL,0,NULL,1988,'Hele populasjonen/total oppregning',NULL,256),(11899,'Målpopulasjonen er delt i flere ulike og gjensidig utelukkende segment i henhold til noen forhåndsdefinerte kvoteringskriterier. Fordelingen av kvoteringskriteriene (kjønn/alder/etnisitet, eller andre karakteristikker, som religion, utdanning etc.) skal reflektere den virkelige strukturen i målpopulasjonen eller strukturen i den ønskede studiepopulasjonen. Ikke-sannsynlighetsutvalg blir da trukket fra hvert segment inntil et spesifikt antall enheter er nådd. For eksempel dersom målpopulasjonen består av 45% kvinner og 55% menn, vil et proporsjonalt kvoteutvalg ha samme kjønnsfordeling, mens fordelingen vil være annerledes i et ikke-proporsjonalt kvoteutvalg, basert på en studierelatert faktor (f. eks behovet for å overinkludere visse underrepresenterte deler av populasjonen).','Nonprobability.Quota','Nonprobability',14,NULL,2002,'Ikke-sannsynlighet: Kvote',NULL,256),(11900,'Indkomst, ejendom og investering/opsparing','Economics.IncomePropertyAndInvestmentSaving','Economics',9,11909,7964,'Indkomst, ejendom og investering/opsparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestmentSaving?v=4.0.1',361),(11901,NULL,'Demography.Censuses','Demography',1,NULL,7962,NULL,NULL,366),(11902,NULL,'Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,7963,NULL,NULL,366),(11903,NULL,'Economics.IncomePropertyAndInvestmentSaving','Economics',9,NULL,7964,NULL,NULL,366),(11904,NULL,'Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',57,NULL,7966,NULL,NULL,366),(11905,'Data om økonomisk politik, herunder budgetlægning og finanspolitik, offentlige udgifter og offentlige indtægter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,3568,3871,'Økonomisk politik, offentlige udgifter og offentlige indtægter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',304),(11906,'Oversigter over en hel befolkning i modsætning til et udsnit af en befolkning. Det bliver ofte brugt til officielle opregninger af en befolkning, ofte i samspil med en samling af relateret demografisk information. Bemærk at i nogle lande bliver folketællinger ikke brugt som demografisk information. Man kan skaffe sig adgang til disse ved hjælp af officielle registre.','Demography.Censuses','Demography',1,3563,3881,'Folketællinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',304),(11907,'Individers adfærd, der påvirker, beskytter, opretholder og fremmer deres sundhedstilstand og deres livsstil. Livsstil er associeret med sundhedsadfærd. De faktorer der påvirker livsstil er socioøkonomi, uddannelse og det kulturelle. Inkluderer: ernæringsfænomener og processer, spisevaner og mønstre og målbare ernæringsparametre, data om menneskers generelle kondition, fysisk aktivitet, mængden af motion; data om brug og misburg af stoffer, alkohol og andre substanser og rygning.','Health.HealthBehaviour','Health',26,3587,3895,'Sundhedsadfærd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',304),(11908,'Emner der relaterer sig til nationalt, regionalt og lokalt styre, ledende instanser (regering, parlament og lokale ledende instanser), offentlig administration og andre politiske organisationer, såsom politiske partier. Fx data om regeringspolitik, politiske partier og deres politik, politiske partiers ledere samt tillid til statslige instanser.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,3616,3897,'Regering, politiske systemer og organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',304),(11909,'Bruges til studier af akkumulering af personlige aktiver, herunder indkomst, ejendom, investeringer og opsparinger.','Economics.IncomePropertyAndInvestment','Economics',8,3569,3930,'Indkomst, ejendom og investering/opsparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',304),(11910,'Daten zu Wirtschaftspolitik, einschließlich Haushalts- und Finanzpolitik, Staatsausgaben und Staatseinnahmen.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2222,3871,'Wirtschaftspolitik, öffentliche Ausgaben und Einnahmen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',299),(11911,'Befragungen der Gesamtbevölkerung, im Gegensatz zu Stichprobenbefragungen. In der Regel ist der Zweck eine offizielle Erhebung der Bevölkerungszahl, üblicherweise bei gleichzeitiger Erhebung weiterer demographischer Informationen. In manchen Ländern sind Volkszählungen nicht üblich, da entsprechende demographische Informationen der offiziellen Statistik bzw. amtlichen Verzeichnissen entnommen werden können.','Demography.Censuses','Demography',1,2217,3881,'Volkszählungen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',299),(11912,'Gesundheitsverhalten ist individuelles Verhalten (inklusive Lebensstil), das die Gesundheit beeinflusst, schützt, erhält oder fördert. Das Gesundheitsverhalten steht in enger Verbindung zur Lebensweise, die wiederum von sozioökonomischen Faktoren, Bildung und Kultur beeinflusst wird. Umfasst Daten zu Ernährungsweisen, Essgewohnheiten und messbaren Ernährungsparametern; Daten zur allgemeinen körperlichen Fitness von Personen, zu deren körperlicher Aktivität und sportlicher Betätigung; Daten zu Drogen-, Alkohol- oder sonstigem Substanzkonsum, einschließlich Rauchen.','Health.HealthBehaviour','Health',26,2241,3895,'Gesundheitsverhalten','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',299),(11913,'Die Klasse bezieht sich auf Angelegenheiten nationaler, regionaler und lokaler politischer institutionen (z.B. Regierung, Parlament, Lokalregierungen), öffentliche Verwaltung und andere politische Organisationsformen wie politische Parteien. Zum Beispiel Daten zur Regierungspolitik, zu politischen Parteien und deren Politik, zu Führungspersonen politischer Parteien oder zum Vertrauen in Regierungsinstitutionen. Je nach Thema muss diese Klasse möglicherweise mit einer anderen kombiniert vergeben werden.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,2271,3897,'Regierung, politische Systeme, Parteien und Organisationen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',299),(11914,'Zu verwenden für Studien zu persönlichem Vermögenszuwachs, einschließlich Einkommen, Vermögen, Geldanlagen und Ersparnisse.','Economics.IncomePropertyAndInvestment','Economics',8,2223,3930,'Einkommen, Vermögen und Geldanlagen / Sparen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',299),(11915,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2545,3871,'talouspolitiikka, julkiset menot ja tulot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.2',324),(11916,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan virallisista tilastoista.','Demography.Censuses','Demography',1,2540,3881,'väestönlaskennat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.2',324),(11917,'Tutkitaan käyttäytymismalleja, jotka vaikuttavat, haittaavat, ylläpitävät tai edistävät yksilöiden terveydentilaa. Myös näihin asioihin liittyvä elämäntyyli. Esimerkiksi ruokavalio ja ruokailutottumukset,fyysinen kunto, fyysinen aktiivisuus ja liikuntatottumukset, alkoholin ja muiden päihteiden käyttö ja tupakointi.','Health.HealthBehaviour','Health',26,2564,3895,'terveyskäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.2',324),(11918,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen päätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, kunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja poliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten puolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan ja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen mukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,2594,3897,'valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.2',324),(11919,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestment','Economics',8,2546,3930,'tulot, omaisuus ja investoinnit/säästäminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.2',324),(11920,'Talouspolitiikka, mukaan lukien budjetti, finanssipolitiikka, julkiset menot ja tulot.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2545,3871,'talouspolitiikka, julkiset menot ja tulot','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',318),(11921,'Tutkimukset, joiden kohderyhmänä on koko väestö ilman otantaa. Käytetään usein väestön laskemiseksi. Pohjoismaissa tämä tieto yleensä saadaan virallisista tilastoista.','Demography.Censuses','Demography',1,2540,3881,'väestönlaskennat','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',318),(11922,'Tutkitaan käyttäytymismalleja, jotka vaikuttavat, haittaavat, ylläpitävät tai edistävät yksilöiden terveydentilaa. Myös näihin asioihin liittyvä elämäntyyli. Esimerkiksi ruokavalio ja ruokailutottumukset,fyysinen kunto, fyysinen aktiivisuus ja liikuntatottumukset, alkoholin ja muiden päihteiden käyttö ja tupakointi.','Health.HealthBehaviour','Health',26,2564,3895,'terveyskäyttäytyminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',318),(11923,'Aiheet, jotka liittyvät kansalliseen, alueelliseen ja paikalliseen päätöksentekoon, päättäviin elimiin (esim. hallitus, eduskunta, kunnalliset päätöksentekoelimet), julkiseen hallintoon yleensä ja poliittisiin puolueisiin. Esim. hallituksen politiikka, poliittisten puolueiden politiikka, puoluejohto, kansalaisten luottamus eduskuntaan ja hallitukseen. HUOM! Joskus on käytettävä myös tarkemman aiheen mukaista termiä.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,2594,3897,'valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',318),(11924,'Termiä käytetään tutkittaessa yksilöiden ja kotitalouksien tuloja, omaisuutta, investointeja ja säästämistä.','Economics.IncomePropertyAndInvestment','Economics',8,2546,3930,'tulot, omaisuus ja investoinnit/säästäminen','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',318),(11925,'Dati sulla politica economica, compresi bilancio e politica fiscale, spesa pubblica ed entrate pubbliche.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,NULL,3871,'Politica economica, spesa pubblica ed entrate','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',320),(11926,'Indagini su un\'intera popolazione, a differenza di un\'indagine campionaria. Spesso utilizzati per le statistiche ufficiali di una popolazione, in genere includono la raccolta delle informazioni demografiche. Si noti che in alcuni paesi i censimenti non vengono utilizzati in quanto le informazioni demografiche possono essere ottenute dai registri ufficiali.','Demography.Censuses','Demography',1,NULL,3881,'Censimenti','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',320),(11927,'Comportamenti espressi da individui che influenzano, proteggono, mantengono o promuovono il loro stato di salute, così come il relativo stile di vita. Lo stile di vita è strettamente associato ai comportamenti di salute ed è influenzato da fattori socioeconomici, educativi e culturali. Comprende: fenomeni e processi nutrizionali, abitudini alimentari, parametri nutrizionali misurabili; dati sul livello generale della forma fisica individuale, sull\'attività fisica e sull\'esercizio fisico; dati sul consumo di droghe, alcol, uso e abuso di altre sostanze, e fumo.','Health.HealthBehaviour','Health',26,NULL,3895,'Comportamenti di salute','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',320),(11928,'Questioni relative a governi nazionali, regionali e locali, organi di governo (ad esempio Governo, Parlamento, enti governativi locali), amministrazione pubblica, altre organizzazioni politiche come i partiti politici. Ad esempio, dati sulle politiche governative, i partiti politici e le loro politiche, i leader dei partiti politici, la fiducia negli organismi governativi. Si noti che potrebbe essere necessario affiancare a questo termine anche altri termini più specifici del vocabolario.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,NULL,3897,'Governo, sistemi e organizzazioni politici','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',320),(11929,'Utilizzato per studi sull\'accumulo di beni personali, inclusi reddito, proprietà, investimenti e risparmi.','Economics.IncomePropertyAndInvestment','Economics',8,NULL,3930,'Reddito, proprietà e forme di risparmio/investimento','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',320),(11930,'Data om økonomisk politikk, omfatter budsjett- og finanspolitikk, statlige utgifter og inntekter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2964,3871,'Økonomisk politikk, offentlige utgifter og inntekter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',300),(11931,'Undersøkelser av en hel befolkning, i motsetning til undersøkelser av et utvalg. Ofte brukt i sammenheng med offisielle fortegnelser av en befolkning, og inkluderer vanligvis relatert demografisk informasjon. Legg merke til at det i noen land ikke blir brukt folketellinger ettersom demografisk informasjon foreligger i offisielle registre.','Demography.Censuses','Demography',1,2959,3881,'Folketellinger','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',300),(11932,'Individers uttrykte atferd, som påvirker, beskytter, opprettholder eller fremmer deres helsetilstand, samt relatert livsstil. Livsstil er tett knyttet til helseatferd og faktorer som påvirker livsstil er sosioøkonomiske, utdanningsmessige og kulturelle. Omfatter: Ernæringsmessige fenomener og prosesser, spisemønster og spisevaner, og målbare enæringsparametre; data om personers generelle form, fysisk aktivitet og trening de utfører; data om narkotika, alkohol og annen substansbruk og misbruk, og røyking.','Health.HealthBehaviour','Health',26,2983,3895,'Helseatferd','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',300),(11933,'Problemstillinger knyttet til nasjonal, regional eller lokal regjerende organer (for eksempel regjering, parliament, kommynestyre), statsforvaltning, andre politiske organisasjoner som politiske partier. Kan være f. eks data om regjerende politikk, politiske partier og deres politikk, ledere i politiske partier, tiltro til regjerende organer. Vær oppmerksom på at det kan være behov for å bruke et \'topical term\' i tillegg.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,3013,3897,'Styresett, politiske systemer og organisasjoner','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',300),(11934,'Brukes på studier som omhandler akkumulasjon av personlige eiendeler, inkludert inntekt, eiendom, investeringer og sparing.','Economics.IncomePropertyAndInvestment','Economics',8,2965,3930,'Inntekt, formue og investeringer/sparing','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',300),(11935,'Podatki o gospodarski politiki, vključno s proračunsko in fiskalno politiko, javno porabo in prihodki.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,3388,3871,'gospodarska politika, javna poraba in proračun','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',303),(11936,'Ankete na celotni populaciji, v nasprotju z vzorčnimi raziskavami. Pogosto se uporabljajo za uradno štetje prebivalstva, ki običajno vključuje zbiranje povezanih demografskih informacij. Upoštevajte, da se v nekaterih državah popisi ne uporabljajo, saj se lahko demografske informacije pridobijo iz uradnih registrov.','Demography.Censuses','Demography',1,3383,3881,'popisi','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',303),(11937,'Vedenja posameznikov, ki vplivajo, ščitijo, ohranjajo ali spodbujajo njihovo zdravstveno stanje in s tem povezan življenjski slog. Življenjski slog je tesno povezan s skrbjo za zdravje; dejavniki, ki vplivajo na življenjski slog, so socioekonomski, izobraževalni in kulturni. Vključuje: prehrambene pojave in procese, vzorce prehranjevanja in navade ter merljive prehranske parametre; podatke o splošni ravni telesne pripravljenosti, telesni dejavnosti in gibanju; podatke o uporabi in zlorabi drog, alkohola in drugih snovi ter podatke o kajenju.','Health.HealthBehaviour','Health',26,3407,3895,'skrb za zdravje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',303),(11938,'Vprašanja v zvezi z državnimi, regionalnimi in lokalnimi oblastmi, upravnimi organi (npr. vlado, parlamentom, organi lokalne skupnosti), javno upravo, drugimi političnimi organizacijami, kot so politične stranke. Na primer, podatki o vladnih politikah, političnih strankah in njihovih politikah, podatki o voditeljih političnih strank, zaupanju v vladne organe. Upoštevajte, da boste morda morali uporabiti tudi dodatno vsebinsko področje.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,3437,3897,'vlada, politični sistemi in organizacije','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',303),(11939,'Uporabite za raziskave o kopičenju osebnih sredstev, vključno s prihodki, premoženjem, naložbami in prihranki.','Economics.IncomePropertyAndInvestment','Economics',8,3389,3930,'dohodek, lastnina in vlaganje/varčevanje','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',303),(11940,'Data om ekonomisk politik, inklusive budget- och finanspolitik, offentliga utgifter och offentliga intäkter.','Economics.EconomicPolicyPublicExpenditureAndRevenue','Economics',7,2871,3871,'Ekonomisk politik, offentliga utgifter och intäkter','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.EconomicPolicyPublicExpenditureAndRevenue?v=3.0.1',302),(11941,'Studie av en hel befolkning till skillnad från studier av urvalsgrupper. Används ofta för statens räkning av en befolkning och innehåller vanligtvis även insamling av relevant demografisk information. Observera att i vissa länder görs inte folkräkningar eftersom demografisk information kan erhållas från officiella register.','Demography.Censuses','Demography',1,2866,3881,'Folkräkningar','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Demography.Censuses?v=3.0.1',302),(11942,'Människors beteenden som påverkar, skyddar eller främjar deras hälsa och livsstil. Livsstil är nära associerad med hälsobeteende, och livsstilen påverkas av socioekonomiska, utbildningsrelaterade och kulturella faktorer. Inkluderar: nutritionsfenomen och -processer, matmönster och -vanor och mätbara nutritionsparametrar; data om människors kondition, fysiska aktivitet och träning; data om rökning, och om bruk och missbruk av droger, alkohol och andra substanser.','Health.HealthBehaviour','Health',26,2890,3895,'Hälsobeteende','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Health.HealthBehaviour?v=3.0.1',302),(11943,'Ämnen om politisk styrning på nationell, regional och lokal nivå, deras förvaltningar (t.ex. regering, riksdag och kommunfullmäktige), offentlig förvaltning och andra politiska organisationer, som politiska partier. Till exempel data om regeringspolitik, politiska partier och deras politik, partiledare, förtroendet för det politiska systemet. Observera att du även kan behöva använda en ämnesterm.','Politics.GovernmentPoliticalSystemsAndOrganisations','Politics',56,2920,3897,'Regering, politiska system och organisationer','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Politics.GovernmentPoliticalSystemsAndOrganisations?v=3.0.1',302),(11944,'Används för studier om ackumulering av personliga tillgångar, inklusive inkomst, egendom, investeringar och sparkapital.','Economics.IncomePropertyAndInvestment','Economics',8,2872,3930,'Inkomster, egendom och investeringar/sparande','https://vocabularies.cessda.eu/vocabulary/TopicClassification_Economics.IncomePropertyAndInvestment?v=3.0.1',302),(11945,'Bruk når de sammenliknede elementene har identisk innhold. For variabler, for eksempel, alle elementene av en variabelbeskrivelse (navn, label, spørsmålstekst, kategoriverdier og koder, univers og begrep) vil være identiske i form.','Identical',NULL,0,NULL,3051,'Identisk','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html#Identical',372),(11946,NULL,'SelfAdministeredWritingsAndDiaries',NULL,18,NULL,4994,NULL,NULL,327),(11947,NULL,'SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,4995,NULL,NULL,327),(11948,NULL,'SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,4996,NULL,NULL,327),(11949,NULL,'SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,4997,NULL,NULL,327),(11950,NULL,'Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,5022,NULL,NULL,327),(11951,NULL,'Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,5023,NULL,NULL,327),(11952,NULL,'Interview',NULL,0,NULL,4976,NULL,NULL,327),(11953,NULL,'Interview.FaceToFace','Interview',1,NULL,4977,NULL,NULL,327),(11954,NULL,'Interview.Telephone','Interview',4,NULL,4980,NULL,NULL,327),(11955,NULL,'Interview.Telephone.CATI','Interview.Telephone',5,NULL,4981,NULL,NULL,327),(11956,NULL,'Interview.Email','Interview',6,NULL,4982,NULL,NULL,327),(11957,NULL,'Interview.WebBased','Interview',7,NULL,4983,NULL,NULL,327),(11958,NULL,'SelfAdministeredQuestionnaire',NULL,8,NULL,4984,NULL,NULL,327),(11959,NULL,'SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,4985,NULL,NULL,327),(11960,NULL,'SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,4986,NULL,NULL,327),(11961,NULL,'SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,4987,NULL,NULL,327),(11962,NULL,'SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,4988,NULL,NULL,327),(11963,NULL,'SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,4989,NULL,NULL,327),(11964,'Daten, die an mehreren Zeitpunkten erhoben wurden, um Veränderungen innerhalb einer Population zu untersuchen. Mindestens einige der Fragen oder Module werden dabei in Wellen wiederholt abgefragt. Verwenden Sie diesen breit gefassten Begriff, wenn sich keiner der Unterterme eignet.','Longitudinal',NULL,0,NULL,5329,'Längsschnitt',NULL,335),(11965,'Daten, die an mehreren Zeitpunkten einer gleichbleibenden Kohorte erhoben wurden. Die Individuen der Kohorte sind in einer spezifischen Art und Weise miteinander verbunden oder teilen besondere Erfahrungen innerhalb eines bestimmten Zeitraums. In manchen Fällen können die Stichproben zwischen den Wellen variieren, werden jedoch aus derselben Kohorte gezogen. Beispiele: Geburtsjahr, Krankheit (klinische Studien), gemeinsames Problem (Interventionsstudien), Bildung, Beschäftigung, Familiengründung, Teilnahme an einer Veranstaltung.','Longitudinal.CohortEventBased','Longitudinal',1,NULL,5330,'Längsschnitt: Kohorte/Ereignisbasierte Daten',NULL,335),(11966,'Daten, die an mehreren Zeitpunkten aus unterschiedlichen Stichproben oder Personengruppen einer gleichen Population erhoben wurden, wobei zumindest teilweise die gleichen Fragen oder Variablen verwendet wurden. Die Schlussfolgerungen beziehen sich auf die Gesamtpopulation. Beispiele: European Social Survey (ESS), nationale Längsschnittstudien über Kriminalität.','Longitudinal.TrendRepeatedCrossSection','Longitudinal',2,NULL,5331,'Längsschnitt: Wiederholter Querschnitt',NULL,335),(11967,'Daten, die an mehreren Zeitpunkten von einer gleichbleibenden Stichprobe erhoben wurden. Der Unterschied zu Kohorten - bzw. ereignisbezogenen Daten liegt darin, dass die Befragten keine Verbindung aufweisen oder bedeutende Erfahrungen teilen.','Longitudinal.Panel','Longitudinal',3,NULL,5332,'Längsschnitt: Panel',NULL,335),(11968,'Daten, die nur dann von einer Gruppe von Befragten erhoben werden, wenn Bedarf an Information besteht.','Longitudinal.Panel.Interval','Longitudinal.Panel',5,NULL,5334,'Längsschnitt: Panel: Intervalle',NULL,335),(11969,'Verwenden Sie diese Kategorie, wenn die zeitliche Dimension der Mehtode bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,11,NULL,5340,'Andere',NULL,335),(11970,'Daten, die von einer Gruppe von Befragten in regelmäßigen Abständen erhoben werden.','Longitudinal.Panel.Continuous','Longitudinal.Panel',4,NULL,5341,'Längsschnitt: Panel: Kontinuierlich',NULL,335),(11978,'Aktiviteter som ingår i att samla in data på ett förutbestämt och systematiskt sätt, som gör det möjligt att besvara angivna forskningsfrågor, testa hypoteser och utvärdera utfall. Mappas till \"DataCollector\" i DataCite.','DataCollection',NULL,10,NULL,5580,'Datainsamling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataCollection',423),(11979,'Att skriva in, mata in eller uppdatera data i ett datasystem. Detta rör ofta data från andra former av media, som pappersenkäter, tidningsartiklar m.m.','DataEntry',NULL,12,NULL,5582,'Datainmatning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataEntry',423),(11980,NULL,'Object',NULL,16,NULL,5824,NULL,NULL,389),(11981,NULL,'Other',NULL,17,NULL,5825,NULL,NULL,389),(11982,NULL,'TimeUnit',NULL,9,NULL,5826,NULL,NULL,389),(11983,NULL,'Individual',NULL,0,NULL,5827,NULL,NULL,389),(11984,NULL,'Family',NULL,2,NULL,5828,NULL,NULL,389),(11985,NULL,'Family.HouseholdFamily','Family',3,NULL,5829,NULL,NULL,389),(11986,NULL,'HousingUnit',NULL,5,NULL,5830,NULL,NULL,389),(11987,NULL,'GeographicUnit',NULL,7,NULL,5831,NULL,NULL,389),(11988,NULL,'PoliticalAdministrativeArea',NULL,8,NULL,5832,NULL,NULL,389),(11989,NULL,'MediaUnit',NULL,10,NULL,5833,NULL,NULL,389),(11990,NULL,'MediaUnit.Text','MediaUnit',13,NULL,5834,NULL,NULL,389),(11991,NULL,'MediaUnit.Sound','MediaUnit',11,NULL,5835,NULL,NULL,389),(11992,NULL,'MediaUnit.StillImage','MediaUnit',12,NULL,5836,NULL,NULL,389),(11993,NULL,'MediaUnit.Video','MediaUnit',14,NULL,5837,NULL,NULL,389),(11994,NULL,'Group',NULL,15,NULL,5820,NULL,NULL,389),(11995,NULL,'OrganizationOrInstitution',NULL,1,NULL,5821,NULL,NULL,389),(11996,NULL,'Household',NULL,4,NULL,5822,NULL,NULL,389),(11997,NULL,'EventOrProcessOrActivity',NULL,6,NULL,5823,NULL,NULL,389),(11998,NULL,'Individual',NULL,0,NULL,1166,NULL,NULL,215),(11999,NULL,'Organization',NULL,1,NULL,1167,NULL,NULL,215),(12000,NULL,'Family',NULL,2,NULL,1168,NULL,NULL,215),(12032,NULL,'Family.HouseholdFamily','Family',3,NULL,1169,NULL,NULL,215),(12033,NULL,'Household',NULL,4,NULL,1170,NULL,NULL,215),(12034,NULL,'HousingUnit',NULL,5,NULL,1171,NULL,NULL,215),(12035,NULL,'EventOrProcess',NULL,6,NULL,1172,NULL,NULL,215),(12036,NULL,'GeographicUnit',NULL,7,NULL,1173,NULL,NULL,215),(12037,NULL,'TimeUnit',NULL,8,NULL,1174,NULL,NULL,215),(12038,NULL,'TextUnit',NULL,9,NULL,1175,NULL,NULL,215),(12039,NULL,'Group',NULL,10,NULL,1176,NULL,NULL,215),(12040,NULL,'Object',NULL,11,NULL,1177,NULL,NULL,215),(12041,NULL,'Other',NULL,12,NULL,1178,NULL,NULL,215),(12250,'Recorded sound, including voice, music, etc.\n','MediaUnit.Sound','MediaUnit',11,5835,5835,'Media unit: Sound','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#MediaUnit.Sound',483),(12251,'Two or more people related by blood, marriage (including step-relations), co-habitation or registered partnership, adoption or fostering, and who may or may not live together. For example, data on what kind of public services the family uses or would require; or how often family members are in contact with each other. \n','Family',NULL,2,5828,5828,'Family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Family',483),(12252,'Anything material, but inanimate, that has an independent existence and may be perceived by the senses. Examples: objects of art (paintings, sculptures, etc.) or weapons, or vehicles, etc.','Object',NULL,16,5824,5824,'Object','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Object',483),(12253,'Use if the unit of analysis is known, but not found in the list.','Other',NULL,17,5825,5825,'Other','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Other',483),(12254,'Any period of time: year, week, month, day, or bimonthly or quarterly periods, etc.','TimeUnit',NULL,9,5826,5826,'Time unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#TimeUnit',483),(12255,'Any individual person.','Individual',NULL,0,5827,5827,'Individual','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Individual',483),(12256,'U.S. Census: A housing unit is a house, an apartment, a mobile home, a group of rooms, or a single room that is occupied (or if vacant, is intended for occupancy) as separate living quarters. Separate living quarters are those in which the occupants live and eat separately from any other persons in the building and which have direct access from the outside of the building or through a common hall.','HousingUnit',NULL,5,5830,5830,'Housing unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#HousingUnit',483),(12257,'A geographical area governed by a sovereign authority that has the power to take administrative or policy decisions for that area. This includes areas at the supranational (e.g., unions of states like the European Union),  national (e.g., individual states or countries), sub-national (e.g., administrative subdivisions like federal states, provinces, etc.), and local (e.g., municipalities) levels.\n','PoliticalAdministrativeArea',NULL,8,5832,5832,'Political-administrative area','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#PoliticalAdministrativeArea',483),(12258,'Includes text, still image, video and sound.','MediaUnit',NULL,10,5833,5833,'Media unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#MediaUnit',483),(12259,'A person or a group of persons who share the same dwelling unit and common living arrangements. These common living arrangements may include pooling some, or all, of their income and wealth, and consuming certain types of goods and services collectively, mainly housing and food (Eurostat).','Household',NULL,4,5822,5822,'Household','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Household',483),(12260,'Moving images. May include films, animation, digital recordings, visual output from simulations, recorded television programs, diagnostic/medical videos like ultrasound scans, etc. May be mute or may include synchronized sound.','MediaUnit.Video','MediaUnit',14,5837,5837,'Media unit: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#MediaUnit.Video',483),(12261,'Any entity that can be spatially defined as a geographic area, with either natural (physical) or administrative boundaries. For example, data on home sales, landscaping changes, new constructions, or changes in the demographic composition of certain regions or districts.','GeographicUnit',NULL,7,5831,5831,'Geographic unit','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#GeographicUnit',483),(12262,'Two or more individuals assembled together or having some unifying relationship or characteristic. In surveys, the questions are mainly focused on the group and the attitudes/experiences of the group, rather than on those of the individual respondents. If questions cover both the group and the individual, use  both as analysis units.\n','Group',NULL,15,5820,5820,'Group','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Group',483),(12263,'Static images, such as graphs, drawings, photographs, diagnostic/medical images like X-rays and other types of imaging tests, etc.','MediaUnit.StillImage','MediaUnit',12,5836,5836,'Media unit: Still image','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#MediaUnit.StillImage',483),(12264,'A more specific term that refers only to people who are related through family ties (see definition for \'Family\') and live in the same household at a point in time. If not known whether the analysis unit is \'Family\' or \'Household family\', use \'Family\'.\n','Family.HouseholdFamily','Family',3,5829,5829,'Family: Household family','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#Family.HouseholdFamily',483),(12265,'Any type of incident, occurrence, or activity. Events are usually one-time, individual occurrences, with a limited or short duration. Examples: criminal offenses, riots, meetings, elections, sports competitions, terrorist attacks, natural disasters like floods, etc. Processes typically take place over time, and may include multiple \'events\' or gradual changes that ultimately lead, or are projected to lead, to a particular result. Examples: court trials, criminal investigations, political campaigns, medical treatments, education, athletes\' training, etc. Use when the main focus is more on the event, process or activity itself. For example, a field observation study on slot machine gambling; or data collected on child abuse cases, such as the type and duration of abuse, the role of the persons involved, etc.','EventOrProcessOrActivity',NULL,6,5823,5823,'Event/Process/Activity','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#EventOrProcessOrActivity',483),(12266,'Any kind of formal administrative and functional structure - includes associations, institutions, agencies, businesses, political parties, schools, etc. The data are collected about the organizations or institutions, even if the questions are answered by individuals. For example, data on the environmental policies of businesses, data on enrollment or graduation rates at national universities, etc.\n','OrganizationOrInstitution',NULL,1,5821,5821,'Organization/Institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#OrganizationOrInstitution',483),(12267,'Any written piece/entity, such as books, articles, tweets, blogs, etc. For example, a study on hate speech in tweets, or a study of the way newspapers present certain political/social issues over time, like women\'s or minorities\' rights, etc.','MediaUnit.Text','MediaUnit',13,5834,5834,'Media unit: Text','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html#MediaUnit.Text',483),(12268,'To eller flere mennesker som er i slekt med blod, ekteskap (inkludert ste-relasjoner), samboerskap eller registrerte partnere, adopsjon eller fosterbarn som enten lever eller ikke lever sammen. For eksempel, data om hvilke typer offentlige tjenster familien bruker eller har behov for; eller hvor ofte familiemedlemmene er i kontakt med hverandre.','Family',NULL,2,8263,12251,'Familie','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family',489),(12269,'Enhver enhet som romlig kan defineres som et geografisk område, med enten naturlige (fysiske) eller administrative grenser. For eksempel: data om boligsalg, landskapsforandringer, nye konstruksjoner eller endringer i den demografiske sammensetningen i bestemte regioner eller distrikter.','GeographicUnit',NULL,7,7070,12261,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#GeographicUnit',489),(12270,'Enhver form for hendelse, begivenhet eller aktivitet. Hendelser er som oftest enkeltstående med begrenset eller kort varighet. For eksempel: kriminell handling, opptøyer, møter, valg, idrettsbegivenheter, terroristangrep, naturkatastrofer osv. Prosesser finner som regel sted over tid, og kan inkludere flere \'hendelser\' eller gradvise endringer som etterhvert fører til, eller er anslått å føre til, et bestemt resultat. For eksempel: rettsaker, kriminaletterforskning, politiske kampanjer, medisinsk behandling, utdanning, idrettsutøveres treninger etc. Bruk når selve fokuset er mer på hendelsen, prosessen eller aktiviteten. For eksempel: feltobservasjonsstudie på spillemaskiner; eller data samlet inn om barnemishandlingssaker, med hensyn til type og varigheten til mishandlingen og rollen personer involvert har etc.','EventOrProcessOrActivity',NULL,6,7068,12265,'Hendelse/prosess/aktivitet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#EventOrProcessOrActivity',489),(12271,'Enhver individuell person.','Individual',NULL,0,8262,12255,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Individual',489),(12272,'Alle skrevne tekster/enheter som bøker, artikler, tweets, blogger, etc. For eksempel: en studie om hatefulle ytringer i tweets, en studie om måten nyhetsaviser fremstiller enkelte politiske/sosiale problemer over tid, som kvinners eller minoriteters rettigheter.','MediaUnit.Text','MediaUnit',13,8269,12267,'Medieenhet: Tekst','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Text',489),(12273,'USAs folketelling: En boenhet er et hus, en leilighet, et mobilt hjem (campingvogn), eller ett eller flere rom som er bebodd (eventuelt ledig, men som er ment å være bebodd), som adskilte enheter. Med adskilte enheter menes det at personer bor og spiser uavhengig av andre personer i samme boenhet, og som har direkte tilgang til enheten utenfra, eller gjennom en felles inngang.','HousingUnit',NULL,5,7073,12256,'Boenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#HousingUnit',489),(12274,'Et geografisk område styrt av en suveren myndighet som har makten til beslutte administrative eller politiske avgjørelser for det området. Dette inkluderer områder på overstatlig (f.eks sammenslutninger av stater som Den Europeiske Union), nasjonalt (f.eks individuelle stater eller land), subnasjonalt (f.eks administrative oppdelinger som føderale stater, provinser etc.) og lokalt (f.eks kommuner) nivå.','PoliticalAdministrativeArea',NULL,8,8265,12257,'Politisk administrativt område','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#PoliticalAdministrativeArea',489),(12275,'Inkluderer tekst, stillbilder, video og lyd.','MediaUnit',NULL,10,8266,12258,'Medieenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit',489),(12276,'En person eller en gruppe av personer som har samme boligenhet og leveforhold. Disse felles leveforholdene kan inkludere at deler av, eller alt av inntekt og eiendom er felles, og at visse type varer og tjenester konsumeres i fellesskap, hovedsakelig bosted og mat (Eurostat).','Household',NULL,4,7066,12259,'Husholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Household',489),(12277,'Tidsperiode: år, uke, måned, dag, annenhver måned eller kvartal etc.','TimeUnit',NULL,9,7067,12254,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#TimeUnit',489),(12278,'Statiske bilder som grafer, tegninger, fotografier, diagnostiske/medisinske bilder som røntgen og andre bildetester, etc.','MediaUnit.StillImage','MediaUnit',12,8268,12263,'Medieenhet: Stillbilde','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.StillImage',489),(12279,'Former for formelle administrative og funksjonelle strukturerer - inkluderer foreninger, institusjoner, foretak, bedrifter, politiske partier, skoler etc. Data er samlet om organisasjoner eller institusjoner selv om spørsmålene er besvart av individer. For eksempel data om virksomheters miljøpolitikk, data om opptak eller avgangsgrader ved nasjonale universitet, etc.','OrganizationOrInstitution',NULL,1,7064,12266,'Organisasjon/Institusjon','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#OrganizationOrInstitution',489),(12280,'Et mer spesifikt begrep som kun referer til personer som er beslektet gjennom familierelasjoner (se definisjonen for \'Familie\') og som bor i den samme husholdningen på et gitt tidspunkt. Om det ikke er kjent om analyseenheten er \'Familie\' eller \'Familiehusholdning\' skal begrepet \'Familie\' benyttes.','Family.HouseholdFamily','Family',3,8264,12264,'Familie: familiehusholdning','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family.HouseholdFamily',489),(12281,'Bevegelige bilder. Kan inkludere filmer, animasjoner, digitale opptak, visuell produksjon fra simuleringer, innspilte fjernsynsprogram, diagnostiske/medisinske videor som ultralyd skanninger, etc. Kan være uten lyd eller med synkronisert lyd.','MediaUnit.Video','MediaUnit',14,8270,12260,'Medieenhet: video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Video',489),(12282,'Noe fysisk, men ikke levende som eksisterer som en uavhengig enhet og som kan oppfattes av sansene. For eksempel: kunst (malerier, skulpturer osv.), våpen, kjøretøy etc.','Object',NULL,16,7072,12252,'Objekt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Object',489),(12283,'To eller flere personer som samles eller som har et forhold som forener dem. I spørreundersøkelser er spørsmålene hovedsaklig rettet mot gruppen og holdningen/opplevelsene til gruppen i steden for de individuelle respondentene. Hvis spørsmål angår både gruppen og individene, bruk begge som analyseenhet.','Group',NULL,15,8271,12262,'Gruppe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Group',489),(12284,'Benytt hvis analyseenheten er kjent, men ikke finnes i listen.','Other',NULL,17,7069,12253,'Annet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Other',489),(12285,'Lydopptak, inkludert stemme, musikk, etc.','MediaUnit.Sound','MediaUnit',11,8267,12250,'Medieenhet: Lyd','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Sound',489),(12286,NULL,'HousingUnit',NULL,5,NULL,12256,NULL,NULL,491),(12287,NULL,'PoliticalAdministrativeArea',NULL,8,NULL,12257,NULL,NULL,491),(12288,NULL,'Group',NULL,15,NULL,12262,NULL,NULL,491),(12289,NULL,'MediaUnit.Text','MediaUnit',13,NULL,12267,NULL,NULL,491),(12290,NULL,'MediaUnit',NULL,10,NULL,12258,NULL,NULL,491),(12291,NULL,'Family',NULL,2,NULL,12251,NULL,NULL,491),(12292,NULL,'Household',NULL,4,NULL,12259,NULL,NULL,491),(12293,NULL,'TimeUnit',NULL,9,NULL,12254,NULL,NULL,491),(12294,NULL,'MediaUnit.StillImage','MediaUnit',12,NULL,12263,NULL,NULL,491),(12295,NULL,'Family.HouseholdFamily','Family',3,NULL,12264,NULL,NULL,491),(12296,NULL,'OrganizationOrInstitution',NULL,1,NULL,12266,NULL,NULL,491),(12297,NULL,'MediaUnit.Video','MediaUnit',14,NULL,12260,NULL,NULL,491),(12298,NULL,'MediaUnit.Sound','MediaUnit',11,NULL,12250,NULL,NULL,491),(12299,NULL,'Individual',NULL,0,NULL,12255,NULL,NULL,491),(12300,NULL,'GeographicUnit',NULL,7,NULL,12261,NULL,NULL,491),(12301,NULL,'Other',NULL,17,NULL,12253,NULL,NULL,491),(12302,NULL,'EventOrProcessOrActivity',NULL,6,NULL,12265,NULL,NULL,491),(12303,NULL,'Object',NULL,16,NULL,12252,NULL,NULL,491),(12304,'Un espace géographique gouverné par une autorité souveraine qui a le pouvoir de prendre des décisions administratives ou politiques pour cet espace. Cela inclut des espaces de niveau supranational (e. g. les unions d\'États comme l\'Union européenne), national (e. g. des États ou des pays individuels), sous-national (e. g. des subdivisions administratives comme des États fédéraux, des provinces, etc.), et local (e. g. des municipalités).','PoliticalAdministrativeArea',NULL,8,8431,12257,'Espace politico-administratif',NULL,487),(12305,'Recensement US : une unité d\'habitation est une maison, un appartement, un mobile home, un groupe de pièces, ou une pièce unique qui est occupée (ou si vacant, est destinée à l\'occupation) comme lieu de vie séparé. Les lieux de vie séparés sont ceux dans lesquels les occupants vivent et mangent séparément de toute autre personne dans le bâtiment et qui ont un accès direct depuis l\'extérieur du bâtiment ou par un hall commun.','HousingUnit',NULL,5,8434,12256,'Logement',NULL,487),(12306,'Toutes pièce / entité écrite, telles que des livres, des articles, des tweets, des blogs, etc. Par exemple, une étude sur le discours de haine dans des tweets, ou une étude sur la manière dont les journaux présentent certaines questions politiques / sociales au fil du temps, comme les droits des femmes ou des minorités, etc.','MediaUnit.Text','MediaUnit',13,8439,12267,'Média : texte',NULL,487),(12307,'Son enregistré, incluant la voix, la musique, etc.','MediaUnit.Sound','MediaUnit',11,8440,12250,'Média : son',NULL,487),(12308,'Toute entité qui peut être définie spatialement comme une zone géographique, avec soit des limites naturelles (physiques) ou des frontières administratives. Par exemple, des données sur les ventes de maisons, les changements de paysage, les nouvelles constructions, ou les changements dans la composition démographique de certaines régions ou districts.','GeographicUnit',NULL,7,8443,12261,'Unité géographique',NULL,487),(12309,'Toute personne individuelle.','Individual',NULL,0,8428,12255,'Individu',NULL,487),(12310,'Utilisez si l\'unité d\'analyse est connue, mais pas présente dans la liste.','Other',NULL,17,8436,12253,'Autre',NULL,487),(12311,'Image statique, tel que des graphiques, des dessins, des photographies, des images de diagnostic / médicales comme des rayons X et tous autres types de tests d\'imageries, etc.','MediaUnit.StillImage','MediaUnit',12,8437,12263,'Média : image fixe',NULL,487),(12312,'Deux personnes ou plus liées par le sang, le mariage (incluant les relations par alliance), la cohabitation ou un partenariat enregistré, l\'adoption ou le placement familial et qui peuvent ou non vivre ensemble. Par exemple, des données sur quel type de services publics la famille utilise ou demanderait ; ou à quelle fréquence des membres de la famille sont en contact les uns avec les autres.','Family',NULL,2,8444,12251,'Famille',NULL,487),(12313,'Toute période de temps : année, semaine, mois, jour, ou périodes bimensuelles ou trimestrielles, etc.','TimeUnit',NULL,9,8432,12254,'Unité de temps',NULL,487),(12314,'Inclut le texte, l\'image fixe, la vidéo et le son.','MediaUnit',NULL,10,8430,12258,'Média',NULL,487),(12315,'Une personne ou un groupe de personnes qui partagent la même unité d\'habitation et les mêmes conditions de vie. Ces conditions de vie peuvent inclure la mise en commun d\'une partie, ou de la totalité, des revenus et des richesses, et la consommation de certains types de biens et de services, principalement le logement et la nourriture (Eurostat).','Household',NULL,4,8435,12259,'Ménage',NULL,487),(12316,'Tout ce qui est matériel, mais inanimé, qui a une existence indépendante et peut être perçu par les sens. Exemples : objets d\'art (peintures, sculptures, etc.) ou armes, ou véhicules, etc.','Object',NULL,16,8445,12252,'Objet',NULL,487),(12317,'Images en mouvement. Peut inclure des films, de l\'animation, des enregistrements digitaux, des visualisations de simulations, des émissions de télévision enregistrées, des videos de diagnostic / médicales comme des échographies, etc. Peut être muet ou peut inclure du son synchronisé.','MediaUnit.Video','MediaUnit',14,8441,12260,'Média : vidéo',NULL,487),(12318,'Tout type d\'incident, d\'événement ou d\'activité. Les événements sont habituellement ponctuels, individuels, avec une durée limitée ou courte. Exemples : infractions criminelles, émeutes, réunions, élections, compétitions sportives, attaques terroristes, catastrophes naturelles comme des inondations, etc. Les processus se déroulement typiquement au fil du temps, et peuvent inclure de multiple \'événements\' ou de changements graduels qui aboutissent, ou devraient aboutir, à un résultat particulier. Exemples : procès, enquêtes criminelles, campagnes politiques, traitements médicaux, éducation, entraînement d\'athlètes, etc. Utilisez quand l\'intérêt principal est plus porté sur l’événement, le processus ou l\'activité lui-même. Par exemple, une observation sur le jeu aux machines à sous ; ou des données sur les cas de abus infantiles, comme le type et la durée de l\'abus, le rôle des personnes impliquées, etc.','EventOrProcessOrActivity',NULL,6,8433,12265,'Événement / Processus / Activité',NULL,487),(12319,'Tout type de structure administrative ou fonctionnelle - incluant les associations, les institutions, les agences, les entreprises, les partis politiques, les écoles, etc. Les données sont collectées à propos des organisations ou institutions, même si les questions ont reçu une réponse par des individus. Par exemple, des données sur les politiques environnementales des entreprises, des données sur le taux d\'inscription ou d\'obtention de diplômes dans les universités nationales, etc.','OrganizationOrInstitution',NULL,1,8429,12266,'Organisation / Institution',NULL,487),(12320,'Deux ou plus individus réunis ou ayant une relation ou une caractéristique unificatrice. Dans les enquêtes, les questions sont principalement axées sur le groupe et les attitudes / expériences du groupe, plutôt que sur celles des répondants individuels. Si des questions couvrent à la fois le groupe et l\'individu, utilisez les deux comme unité d\'analyse.','Group',NULL,15,8442,12262,'Groupe',NULL,487),(12321,'Un terme plus spécifique, se réfère aux personnes qui sont liées par des liens familiaux (voir la définition pour \'Famille\') et qui vivent dans le même ménage à un moment donné. Si vous ne savez pas si l\'unité d\'analyse est \'Famille\' ou \'Famille : ménage\', utilisez \'Famille\'.','Family.HouseholdFamily','Family',3,8438,12264,'Famille : ménage',NULL,487),(12322,'Ett geografiskt område som styrs av en bestämmande myndighet med makt att fatta administrativa eller politiska beslut för området. Detta inkluderar områden på överstatlig (t.ex. unioner av stater som EU), statlig (t.ex. delstater eller länder), subnationell/regional (t.ex. förvaltningsområden som federala delstater, provinser osv.) och lokal (t.ex. kommuner) nivå.','PoliticalAdministrativeArea',NULL,8,8284,12257,'Politiskt förvaltningsområde','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#PoliticalAdministrativeArea',493),(12323,'En mer specifik term än \"Familj\". Betecknar endast människor som är släkt genom familjeband (se definitionen för \"Familj\") och som bor tillsammans i samma hushåll vid en given tidpunkt. Om det inte är känt huruvida analysenheten är \"Familj\" eller \"Familjehushåll\" ska \"Familj\" användas.','Family.HouseholdFamily','Family',3,8283,12264,'Familj: Familjehushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family.HouseholdFamily',493),(12324,'En tidsperiod: år, månad, vecka, dag, kvartal, tvåmånadersperiod osv.','TimeUnit',NULL,9,7091,12254,'Tidsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#TimeUnit',493),(12325,'Två eller fler personer som samlats eller som har någon form av relation eller egenskap som förenar dem. I surveyundersökningar fokuserar frågorna framför allt på gruppen och gruppens attityder/erfarenheter, snarare än på de enskilda respondenterna. Om frågorna gäller både gruppen och individen, använd båda som analysenheter.','Group',NULL,15,8290,12262,'Grupp','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Group',493),(12326,'En bostadsenhet är ett hus, en lägenhet, en husvagn, eller ett eller flera rum som bebos (eller, om den är tom, är avsedd att bebos) som avskild inkvartering. Med avskild inkvartering menas att de som är inkvarterade där bor och äter avskilda från andra personer i byggnaden och kan komma in direkt utifrån eller via en gemensam entré (U.S. Census).','HousingUnit',NULL,5,7087,12256,'Bostadsenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#HousingUnit',493),(12327,'Inkluderar text, stillbilder, video och ljud.','MediaUnit',NULL,10,8285,12258,'Mediaenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit',493),(12328,'Använd om analysenheten är känd men saknas i listan.','Other',NULL,17,7092,12253,'Övrigt','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Other',493),(12329,'Skrivna texter, som böcker, artiklar, tweets, bloggar m.m. Till exempel en studie om hets mot folkgrupp i tweets, eller en studie om hur tidningar beskriver olika politiska/sociala ämnen över tid, som kvinnors eller minoriteters rättigheter osv.','MediaUnit.Text','MediaUnit',13,8288,12267,'Mediaenhet: Text','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Text',493),(12330,'Två eller fler personer som är släkt genom blodsband, äktenskap (inklusive styvsyskon, -föräldrar, -barn m.m.), samboskap eller registrerat partnerskap, adoption eller fosterfamiljeskap, men som inte nödvändigtvis bor tillsammans. Till exempel data om vilka offentliga tjänster familjen använder eller skulle vara i behov av, eller hur ofta familjemedlemmar har kontakt med varandra.','Family',NULL,2,8282,12251,'Familj','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family',493),(12331,'En företeelse, tilldragelse eller aktivitet. Händelser är vanligtvis enstaka företeelser med begränsad eller kort varaktighet. Exempel: brott, upplopp, möten, val, idrottstävlingar, terroristangrepp, naturkatastrofer som översvämningar o.dyl. Processer utspelar sig vanligtvis över tid och kan omfatta flera \"händelser\" eller gradvisa förändringar som slutligen resulterar i, eller kan tänkas resultera i, en viss utgång. Exempel: rättegångar, brottsutredningar, politiska kampanjer, medicinska behandlingar, utbildning, en idrottsutövares träning, m.m. Använd detta begrepp när fokus ligger på själva händelsen, processen eller aktiviteten. Till exempel en fältobservationsstudie om spel på spelautomater; eller data om fall av övergrepp på barn, som typ av och varaktighet för övergreppet, de inblandade personernas roller osv.','EventOrProcessOrActivity',NULL,6,7095,12265,'Händelse/process/aktivitet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#EventOrProcessOrActivity',493),(12332,'En person eller grupp av personer som delar bostad och levnadsförhållanden. Dessa gemensamma levnadsförhållanden kan inkludera att viss eller all inkomst och egendom är gemensam och att vissa sorters varor och tjänster konsumeras gemensamt, företrädelsevis bostad och mat (Eurostat).','Household',NULL,4,7097,12259,'Hushåll','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Household',493),(12333,'Inspelat ljud, som röst, musik m.m.','MediaUnit.Sound','MediaUnit',11,8286,12250,'Mediaenhet: Ljud','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Sound',493),(12334,'En enhet som kan definieras spatialt som ett geografiskt område med antingen naturliga (fysiska) eller administrativa gränser. Till exempel data om husförsäljning, landskapsförändringar, nybyggen eller förändringar av den demografiska sammansättningen i vissa regioner eller distrikt.','GeographicUnit',NULL,7,7094,12261,'Geografisk enhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#GeographicUnit',493),(12335,'Något fysiskt men icke levande som existerar som en oberoende enhet och kan uppfattas av sinnena. Exempel: konstföremål (tavlor, skulpturer, o.dyl.), vapen, fordon m.m.','Object',NULL,16,7093,12252,'Föremål','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Object',493),(12336,'En enskild person.','Individual',NULL,0,8281,12255,'Individ','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Individual',493),(12337,'Rörliga bilder. Det kan inkludera filmer, animationer, digitala inspelningar, visuella utdata från simuleringar, inspelade tv-program, diagnostiska/medicinska videor som ultraljudsundersökningar osv. De kan vara utan ljud eller med synkroniserat ljud.','MediaUnit.Video','MediaUnit',14,8289,12260,'Mediaenhet: Video','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Video',493),(12338,'Statiska bilder, som diagram, ritningar, fotografier, diagnostiska/medicinska bilder som röntgenbilder eller andra typer av bilddiagnostiska undersökningar&nbsp;osv.','MediaUnit.StillImage','MediaUnit',12,8287,12263,'Mediaenhet: Stillbild','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.StillImage',493),(12339,'En formell administrativ och funktionell struktur. Detta inkluderar föreningar, institutioner, myndigheter, företag, politiska partier, skolor m.m. Data om organisationerna eller institutionerna samlas in även om frågorna besvaras av enskilda personer. Det gäller till exempel data om företags miljöpolicyer, data om antagningar eller examensfrekvens vid nationella universitet m.m.','OrganizationOrInstitution',NULL,1,7099,12266,'Organisation/institution','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#OrganizationOrInstitution',493),(12340,'Ethvert skriftligt stykke/enhed, såsom bøger, artikler, tweets, blogs etc. Fx en undersøgelse af hadudtalelser i tweets eller en undersøgelse af den måde, aviser præsenterer bestemte politiske/sociale spørgsmål over tid, som kvinders eller mindretals rettigheder etc.','MediaUnit.Text','MediaUnit',13,7551,12267,'Medieenhed: Tekst',NULL,484),(12341,'Inkluderer tekst, stillbilleder, video og lyd.','MediaUnit',NULL,10,7548,12258,'Medieenhed',NULL,484),(12342,'USA’s folketælling: En boligenhed er et hus, en lejlighed, et mobilhjem, en gruppe af værelser eller et enkelt værelse, der er beboet (eller hvis ikke beboet, tiltænkt beboelse) som en separat bolig. Separate boliger er boliger, hvor beboerne lever og spiser hver for sig og har direkte adgang til området fra bygningens yderside eller gennem en fælles indgang.','HousingUnit',NULL,5,7125,12256,'Boligenhed',NULL,484),(12343,'Et geografisk område styret af en suveræn myndighed, der har beføjelsen til at træffe administrative eller politiske beslutninger for dette område. Dette inkluderer områder på det overnationale (fx sammenslutninger af stater som Den Europæiske Union), nationale (fx individuelle stater eller lande), subnationale (fx administrative underafdelinger af føderale stater, provinser etc.) og lokale (fx kommuner) niveauer.','PoliticalAdministrativeArea',NULL,8,7547,12257,'Politisk-administrativt område',NULL,484),(12344,'Ethvert livløst materiale, der har en uafhængig eksistens, og som kan opfattes af sanserne. Eksempler: kunstobjekter (malerier, skulpturer etc.) eller våben eller køretøjer etc.','Object',NULL,16,7128,12252,'Objekt',NULL,484),(12345,'To eller flere mennesker beslægtet ved blod, ægteskab (herunder stedrelationer), samlever eller registreret partnerskab, adoption eller pleje, og hvem som måske eller måske ikke lever sammen. Fx data om, hvilke offentlige tjenester familien bruger eller vil kræve; eller hvor ofte familiemedlemmer er i kontakt med hinanden.','Family',NULL,2,7554,12251,'Familie',NULL,484),(12346,'Enhver periode af tid: År, uge, måned, dag, hver anden måned, kvartaler mm.','TimeUnit',NULL,9,7129,12254,'Tidsenhed',NULL,484),(12347,'To eller flere individer samlet sammen eller, eller som har et forenende forhold eller karakteristik. I undersøgelser er spørgsmålene hovedsageligt fokuseret på gruppen og holdningerne/oplevelserne i gruppen snarere end de individuelle respondenters. Hvis spørgsmål dækker både gruppen og den individuelle, brug begge som analyseenheder.','Group',NULL,15,7556,12262,'Gruppe',NULL,484),(12348,'En person eller gruppe af personer, der deler den samme bopæl og deler almindelig livsindretninger. Disse former for livsindretninger kan omfatte deling eller delvis deling af indkomst og velstand, og forbrug af nogle typer af varer og serviceydelser kollektivt, primært mad og bopæl (Eurostat).','Household',NULL,4,7127,12259,'Husstand',NULL,484),(12349,'Enhver individuel person.','Individual',NULL,0,7553,12255,'Individ',NULL,484),(12350,'Enhver form for formel administrativ eller funktionel struktur - inkluderer foreninger, institutioner, agenturer, virksomheder, politiske partier, skoler mm. Dataene er indsamlet om organisationerne eller institutionerne, selv hvis spørgsmålene er besvaret af enkeltpersoner. Fx data om virksomheders miljøpolitikker, data om indskrivning eller graduering ved nationale universiteter etc.','OrganizationOrInstitution',NULL,1,7131,12266,'Organisation/Institution',NULL,484),(12351,'Optaget lyd, inklusiv stemme, musik etc.','MediaUnit.Sound','MediaUnit',11,7549,12250,'Medieenhed: Lyd',NULL,484),(12352,'Enhver form for hændelse, forekomst eller aktivitet. Events er normaltvist enkeltstående, individuelt forekommende, med en begrænset eller kort varighed. Eksempler: kriminelle handlinger, oprør, møder, valg, sportsbegivenheder, terrorangreb, naturkatastrofer såsom oversvømmelser mm. Processer sker typisk over tid og kan omfatte flere ’events’ eller gradvise ændringer, der i sidste ende fører, eller forventes at føre, til et bestemt resultat. Eksempler: Retssager, efterforskning af kriminelle handlinger, politiske kampagner, medicinske behandlinger, uddannelse, atleters træning etc. Brug, når hovedfokusset er mere på selve eventet, processen eller aktiviteten. Fx feltobservationsundersøgelse af spil på spillemaskiner; eller data indsamlet om tilfælde af børnemishandling, såsom typen og varigheden af mishandlingen, de involveredes rolle etc.','EventOrProcessOrActivity',NULL,6,7137,12265,'Event/Proces/Aktivitet',NULL,484),(12353,'Bevægende billeder. Kan indeholde film, animation, digitale optagelser, visuelt output fra simuleringer, indspillede tv-programmer, diagnostiske/medicinske videoer som ultralydsscanninger etc. Kan være lydløs eller kan indeholde synkroniseret lyd.','MediaUnit.Video','MediaUnit',14,7552,12260,'Medieenhed: Video',NULL,484),(12354,'Enhver enhed, der rummeligt kan defineres som et geografisk område med enten naturlige (fysiske) eller administrative grænser. Fx data om salg af hjem, landskabsforandringer, nye konstruktioner, eller ændringer i den demografiske sammensætning af bestemte regioner eller distrikter.','GeographicUnit',NULL,7,7135,12261,'Geografisk enhed',NULL,484),(12355,'Statistiske billeder, såsom grafer, tegninger, fotografier, diagnostiske/medicinske billeder som røntgen og andre typer af billeddannelsestests etc.','MediaUnit.StillImage','MediaUnit',12,7550,12263,'Medieenhed: Stillbillede',NULL,484),(12356,'Brug denne, hvis analyseenheden er kendt, men ikke fremgår af listen.','Other',NULL,17,7133,12253,'Andet',NULL,484),(12357,'Et mere specifikt begreb, der alene refererer til mennesker, der er beslægtede gennem familiebånd (se definition for ’Familie’) og bor i samme husstand på et givent tidspunkt. Hvis det er usikkert, hvorvidt analyseenheden er \'Familie\' eller \'Familie: Husstandsfamilie\' brug da \'Familie\'.','Family.HouseholdFamily','Family',3,7555,12264,'Familie: Husstandsfamilie',NULL,484),(12358,'Stambena jedinica je kuća, stan, pokretna kuća, grupa soba ili pojedinačna soba koja je zauzeta (ili ako je upražnjena, namenjena za stanovanje) kao odvojeni stambeni prostor. Odvojeni stambeni prostori su oni u kojima stanari žive i jedu odvojeno od ostalih osoba u zgradi i koji imaju direktan pristup spolja ili kroz zajednički hodnik.','HousingUnit',NULL,5,7995,12256,'Stambena jedinica',NULL,492),(12359,'Geografsko područje kojim upravlja suverena vlast koja ima moć moć donošenja administrativnih ili političkih odluka za tu oblast. To uključuje područja na nadnacionalnom nivou (npr. unije država kao što je Evropska unija), nacionalnom (pojedinačne države), podnacionalnom (npr. administrativne podele kao što su republike, pokrajine itd.) i lokalnom nivou (npr. opštine).','PoliticalAdministrativeArea',NULL,8,7998,12257,'Političko-administrativna oblast',NULL,492),(12360,'Bilo koje pisano delo, kao što su knjige, članci, tvitovi, blogovi, itd. Na primer, studija o govoru mržnje u tvitovima ili studija načina na koji novine predstavljaju određena politička / društvena pitanja tokom vremena, kao što su prava žena ili manjina, itd.','MediaUnit.Text','MediaUnit',13,8003,12267,'Medijski zapis: Tekst',NULL,492),(12361,'Uključuje tekst, nepokretne slike, video zapise i zvučne zapise.','MediaUnit',NULL,10,8000,12258,'Medijski zapis',NULL,492),(12362,'Koristite ako je jedinica analize poznata, ali nije na listi.','Other',NULL,17,8007,12253,'Ostalo',NULL,492),(12363,'Nepokretne slike, kao što su grafici, crteži, fotografije, dijagnostičke/medicinske slike kao što su rentgenski snimci i sl.','MediaUnit.StillImage','MediaUnit',12,8002,12263,'Medijski zapis: Nepokretna slika',NULL,492),(12364,'Bilo koja formalna administrativna i funkcionalna struktura - uključuje udruženja, institucije, agencije, preduzeća, političke stranke, škole, itd. Podaci se&nbsp; prikupljaju o organizacijama ili institucijama, čak i ukoliko odgovore na pitanja daju pojedinci. Na primer, podaci o ekološkoj politici preduzeća, podaci o stopama upisa ili diplomiranja na nacionalnim univerzitetima, itd.','OrganizationOrInstitution',NULL,1,7991,12266,'Organizacija/Institucija',NULL,492),(12365,'Dvoje ili više ljudi povezanih krvnim srodstvom, brakom (uključujući i očuha, maćehu i njihovu decu), vanbranbračnom zajednicom ili registrovanim partnerstvom, usvajanjem ili hraniteljstvom, a koji mogu ili ne moraju da žive zajedno. Na primer, podaci o tome koje vrste javnih usluga porodica koristi ili bi zahtevala ili koliko često su članovi porodice u međusobnom kontaktu.','Family',NULL,2,7992,12251,'Porodica',NULL,492),(12366,'Bilo koji vremenski period: godina, nedelja, mesec, dan ili dvomesečno,&nbsp; tromesečno, kvartalno, itd.','TimeUnit',NULL,9,7999,12254,'Vremenska jedinica',NULL,492),(12367,'Osoba ili grupa osoba koje dele istu stambenu jedinicu i imaju zajedničke aranžmane. Ovi aranžmani mogu uključivati udruživanje nekih ili svih pojedinačnih prihoda i imovine i zajedničku potrošnju određenih vrsta roba i usluga, uglavnom stanovanje i hranu (Eurostat).','Household',NULL,4,7994,12259,'Domaćinstvo',NULL,492),(12368,'Pokretne slike. Može da uključuje filmove, animacije, digitalne snimke, vizuelni autput simulacija, snimljenih televizijskih programa, dijagnostički / medicinski video snimak poput ultrazvučnog skeniranja, itd. Može, ali ne mora da uključuje sinhronizovani zvuk.','MediaUnit.Video','MediaUnit',14,8004,12260,'Medijski zapis: Video',NULL,492),(12369,'Precizniji izraz koji se odnosi samo na ljude koji su povezani porodičnim vezama (vidi definiciju \'Porodica\') i žive u istom domaćinstvu, u određenom trenutku. Ako nije poznato da li je jedinica za analizu \'Porodica\' ili \'Porodično domaćinstavo\', koristite \'Porodica\'.','Family.HouseholdFamily','Family',3,7993,12264,'Porodica: Porodično domaćinstvo',NULL,492),(12370,'Bilo koja vrsta slučaja, pojave, događaja ili aktivnosti. Događaji su obično jednokratne, pojedinačne pojave, sa ograničenim ili kratkim trajanjem. Primeri: krivična dela, neredi, sastanci, izbori, sportska takmičenja, teroristički napadi, prirodne katastrofe poput poplava, požara i sl. Procesi se obično dešavaju u&nbsp; vremenu, a mogu uključivati više \'događaja\' ili postepenih promena koje na kraju vode, ili se predviđa da će dovesti, do određenog rezultata. Primeri: suđenja, krivična istraga, politička istraga,&nbsp; kampanje, medicinski tretmani, edukacija, trening sportista i sl. Koristite kada je glavni fokus više na događaju, procesu ili samoj aktivnost. Na primer, terenska opservaciona studija mašine za kockanje ili podaci prikupljeni o slučajevima zlostavljanja dece, kao što su vrsta i trajanje zlostavljanja, uloga uključenih osoba, itd.','EventOrProcessOrActivity',NULL,6,7996,12265,'Događaj/Proces/Aktivnost',NULL,492),(12371,'Zvučni zapis, uključujući zvuk, muziku i sl.','MediaUnit.Sound','MediaUnit',11,8001,12250,'Medijski zapis: Zvuk',NULL,492),(12372,'Bilo koja osoba.','Individual',NULL,0,7990,12255,'Pojedinac',NULL,492),(12373,'Bilo koji entitet koji se može prostorno definisati kao geografsko područje, bilo da je odvojeno prirodnim (fizičkim) ili administrativnim granicama. Na primer, podaci o prodaji nekretnina, promenama priorodnog okruženja, nove građevine ili promene u demografskom sastavu određenog regiona ili oblasti.','GeographicUnit',NULL,7,7997,12261,'Geografska jedinica',NULL,492),(12374,'Dvoje ili više pojedinaca koji su okupljeni ili objedinjeni nekim odnosom ili karakteristikom(ama). U anketama, pitanja su uglavnom usmereni na grupu i stavove / iskustva grupe, a ne pojedinačnih ispitanika. Ako pitanja pokrivaju i grupu i pojedince, koristite oba kao jedinice za analizu.','Group',NULL,15,8005,12262,'Grupa',NULL,492),(12375,'Bilo šta materijalno, deo nežive prirode, pri čemu eguistira nezavisno i može biti opaženo čulima. Primeri: predmeti umetnosti (slike, skulpture, itd.) ili oružje ili vozila, zgrade itd.','Object',NULL,16,8006,12252,'Predmet',NULL,492),(12376,'Qualquer período de tempo: ano, semana, mês, dia, ou períodos bimestrais ou trimestrais, etc.','TimeUnit',NULL,9,7149,12254,'Unidade de tempo',NULL,490),(12377,'Qualquer tipo de estrutura funcional e administrativa formal. Inclui associações, instituições, agências, empresas, partidos políticos, escolas, etc. Os dados são recolhidos sobre as organizações e as instituições, mesmo que as questões sejam respondidas por indivíduos. Por exemplo, dados sobre políticas ambientais nas empresas, dados sobre taxas de sucesso nas universidades nacionais, etc.','OrganizationOrInstitution',NULL,1,7140,12266,'Organização/Instituição',NULL,490),(12378,'Imagens estáticas, como gráficos, desenhos, fotografias, imagens médicas/de diagnóstico como raio-x e outros tipos de testes de imagem, etc.','MediaUnit.StillImage','MediaUnit',12,8102,12263,'Unidade de Media: Imagem',NULL,490),(12379,'Qualquer tipo de incidente, ocorrência ou atividade. Os eventos são geralmente ocorrências únicas e isoladas, com duração limitada ou curta. Exemplos: infrações criminais, tumultos, reuniões, eleições, competições desportivas, ataques terroristas, desastres naturais como inundações, etc. Os processos geralmente ocorrem ao longo do tempo e podem incluir múltiplos \'eventos\' ou mudanças graduais que conduzem ou podem conduzir a um resultado particular. Exemplos: julgamentos em tribunal, investigações criminais, campanhas políticas, tratamentos médicos, educação, formação de atletas, etc. Usar quando o principal foco é mais no evento, processo ou atividade. Por exemplo, um estudo de observação no terreno sobre máquinas automáticas de jogos; ou dados recolhidos sobre casos de abuso de crianças, como o tipo e a duração do abuso, o papel das pessoas envolvidas, etc.','EventOrProcessOrActivity',NULL,6,7146,12265,'Evento/Processo/Atividade',NULL,490),(12380,'Inclui texto, imagem, vídeo e som.','MediaUnit',NULL,10,8104,12258,'Unidade de Media',NULL,490),(12381,'Censo dos EUA: Uma unidade residencial é uma casa, um apartamento, uma casa móvel, um grupo de quartos ou um quarto individual que é ocupado (ou, se for vago, destinado a ocupação) enquanto alojamentos/aposentos separados. Alojamentos separados são aqueles em que os ocupantes vivem e comem separadamente de quaisquer outras pessoas no edifício e que têm acesso direto a partir do exterior do edifício ou através de um hall comum.','HousingUnit',NULL,5,7145,12256,'Unidade residencial',NULL,490),(12382,'Duas ou mais pessoas relacionadas por sangue, casamento (incluindo relações de famílias recompostas), coabitação ou parentalidade registada, adopção ou guarda de crianças, e que podem ou não viver juntas. Por exemplo, dados sobre que tipo de serviços públicos as famílias usam ou poderiam requerer; ou sobre quão frequentemente os membros duma família estão em contacto uns com os outros.','Family',NULL,2,7142,12251,'Família',NULL,490),(12383,'Dois ou mais indivíduos que se assemelham ou que têm uma relação ou característica unificadora. Nos inquéritos, as questões são principalmente focadas no grupo e nas atitudes e experiências do grupo, e não tanto nos indivíduos entrevistados. Se as questões abrangem o indivíduo e o grupo, usar ambos como unidades de análise.','Group',NULL,15,8103,12262,'Grupo',NULL,490),(12384,'Som gravado, incluindo voz, música, etc.','MediaUnit.Sound','MediaUnit',11,8101,12250,'Unidade de Media: Som',NULL,490),(12385,'Qualquer entidade/peça escrita, como livros, artigos, tweets, blogues, etc. Por exemplo, um estudo sobre discurso de ódio nos tweets, ou um estudo sobre a forma como os jornais apresentam certos fenómenos políticos/sociais ao longo do tempo, como os direitos das mulheres ou de outras minorias, etc.','MediaUnit.Text','MediaUnit',13,8105,12267,'Unidade de Media: Texto',NULL,490),(12386,'Termo mais específico que se refere apenas a pessoas que estão relacionadas através de ligações familiares (ver definição de \'Família\') e que moram no mesmo domicílio em determinado momento. Se não souber se a unidade de análise é \'Família\' ou \'Agregado familiar\', usar \'Família\'.','Family.HouseholdFamily','Family',3,7143,12264,'Família: Agregado familiar',NULL,490),(12387,'Qualquer coisa material, mas inanimada, que tenha uma existência independente e possa ser percebida pelos sentidos. Exemplos: objetos de arte (pinturas, esculturas, etc.) ou armas, ou veículos, etc.','Object',NULL,16,7159,12252,'Objeto',NULL,490),(12388,'Uma área geográfica governada por autoridade soberana que tem o poder de tomar decisões políticas ou administrativas para aquela área. Isto inclui áreas ao nível supranacional (por exemplo, uniões de vários estados como a União Europeia), nacional (por exemplo, estados individuais ou países), subnacional (por exemplo, subdivisões administrativas como estados federais, províncias, etc.), e local (por exemplo, municípios).','PoliticalAdministrativeArea',NULL,8,8099,12257,'Área político-administrativa',NULL,490),(12389,'Qualquer sujeito individual.','Individual',NULL,0,7139,12255,'Indivíduo',NULL,490),(12390,'Qualquer entidade que possa ser definida espacialmente como uma área geográfica, com limites naturais (físicos) ou administrativos. Por exemplo, dados sobre venda de casas, mudanças paisagísticas, novas construções, ou mudanças na composição demográfica de certas regiões ou distritos.','GeographicUnit',NULL,7,7147,12261,'Unidade geográfica',NULL,490),(12391,'Usar se a unidade de análise for conhecida, mas não se encontrar na lista.','Other',NULL,17,7157,12253,'Outro ',NULL,490),(12392,'Uma pessoa ou um grupo de pessoas que compartilham a mesma unidade de habitação e vida em comum. Esta última pode incluir a agregação de alguns ou de todos os rendimentos e riqueza e o consumo colectivo de certos tipos de bens e serviços, principalmente alojamento e alimentação (Eurostat).','Household',NULL,4,7144,12259,'Agregado doméstico',NULL,490),(12393,'Imagens em movimento. Pode incluir filmes, animação, gravações digitais, output visual de simulações, programas televisivos gravados, vídeos médicos/de diagnóstico como ultrasons, etc. Podem ser silenciosos ou podem incluir som sincronizado.','MediaUnit.Video','MediaUnit',14,8106,12260,'Unidade de Media: Vídeo',NULL,490),(12394,'Käytä mikäli havaintoyksikkö on tiedossa, mutta ei löydy sanastosta.','Other',NULL,17,8671,12253,'Muu havainto/aineistoyksikkötyyppi','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Other',486),(12395,'Liikkuva kuva äänellä tai ilman. Esimerkiksi elokuvat, animaatiot, digitaaliset taltiot, simulaatioiden liikkuvat kuvat, taltioidut televisio-ohjelmat ja ultraäänikuvat.','MediaUnit.Video','MediaUnit',14,8673,12260,'Mediatyyppi: liikkuva kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Video',486),(12396,'Asuntokunta voi sijaita talossa, huoneistossa, asuntovaunussa, tai asunnon tietyssä huoneessa tai huoneissa. Asuntokunnnan asuintilassa elävillä henkilöillä on oma erillinen ruokataloutensa ja järjestelynsä. Yhdessä asunnossa voi olla useampia asuntokuntia. Esimerkiksi soluasunnoissa asuvilla opiskelijoilla voi kullakin olla oma ruoka- ja asuntokuntansa. Termi käytössä etenkin Yhdysvalloissa.','HousingUnit',NULL,5,8668,12256,'Asuntokunta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#HousingUnit',486),(12397,'Taltioitu ääni, esimerkiksi puhe, musiikki jne.','MediaUnit.Sound','MediaUnit',11,8676,12250,'Mediatyyppi: ääni','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Sound',486),(12398,'Mikä tahansa konkreettinen, eloton esine/kohde, joka voidaan aistein havaita. Esimerkiksi taideteokset (veistokset, maalaukset), aseet, ajoneuvot jne.','Object',NULL,16,8669,12252,'Eloton objekti/esine','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Object',486),(12399,'Minkä mittainen aikajakso tahansa: sekunti, tunti, vuorokausi, viikko, kuukausi, vuosi yms.','TimeUnit',NULL,9,8666,12254,'Aikajakso','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#TimeUnit',486),(12400,'Maantieteellinen alue, jota hallinnoivilla viranomaisilla tai päätäntäelimillä on oikeus tehdä aluetta koskevia hallinnollisia tai poliittisia päätöksiä. Sisältää ylikansalliset (esim. Euroopan unioni), kansalliset (esim. valtiot), maansisäiset (esim. maakunnat) ja paikalliset (esim. kunnat) alueet.','PoliticalAdministrativeArea',NULL,8,8680,12257,'Poliittis-hallinnollinen alue','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#PoliticalAdministrativeArea',486),(12401,'Kaksi tai useampia henkilöitä, jotka liittyvät toisiinsa sukulaisuuden, avo- tai avioliiton (laskien mukaan esim. sisar- ja velipuolet), rekisteröidyn parisuhteen, adoption tai sijaisvanhemmuuden kautta, riippumatta siitä, asuvatko he yhdessä vai eivät. Esimerkiksi tutkittaessa mitä julkisia palveluja perhe käyttää; tai kuinka usein perheenjäsenet ovat yhteydessä toisiinsa.','Family',NULL,2,8681,12251,'Perhe','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family',486),(12402,'Mikä tahansa hallinnollinen tai toiminnallinen organisaatio, esimerkiksi järjestö, koulu, instituutti, toimisto, yritys, poliittinen puolue, jne. Kysymykset kohdistuvat itse organisaatioon vaikka vastaajina ovatkin yksittäiset henkilöt. Esimerkiksi tutkittaessa yritysten ympäristöpolitiikkaa tai korkeakouluista valmistuneiden määriä suhteessa opiskelijoihin jne.','OrganizationOrInstitution',NULL,1,8674,12266,'Organisaatio','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#OrganizationOrInstitution',486),(12403,'Sisältää teksti-, kuva- ja äänimuodossa olevan viestinnän.','MediaUnit',NULL,10,8670,12258,'Mediatyyppi (teksti, ääni, still-kuva, liikkuva kuva)','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit',486),(12404,'Kotitalouden muodostaa yksi henkilö tai ryhmä henkilöitä, jotka asuvat yhdessä ja joilla on kokonaan tai osittain yhteinen ruokatalous tai jotka muuten käyttävät tulojaan ja varallisuuttaan ainakin osittain yhdessä.','Household',NULL,4,8679,12259,'Kotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Household',486),(12405,'Mikä tahansa maantieteellisesti määriteltävissä oleva alue, jolla on joko luontaiset fyysiset rajat tai hallinnolliset rajat. Esimerkiksi muutokset tiettyjen alueiden väestössä tai asuntojen myyntiluvut tai rakennusluvat tietyllä alueella.','GeographicUnit',NULL,7,8682,12261,'Maantieteellinen yksikkö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#GeographicUnit',486),(12406,'Spesifimpi termi, joka viittaa kotitalouteen, jossa tietyllä hetkellä yhdessä asuvat henkilöt myös kuuluvat perheeseen (katso määritelmä termille \'Perhe\'). Jos ei tiedossa, onko kyseessä \'Perhe\' vai \'Perhekotitalous\', käytä \'Perhe\'.','Family.HouseholdFamily','Family',3,8672,12264,'Perhe: perhekotitalous','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Family.HouseholdFamily',486),(12407,'Kirja, artikkeli, tweet, blogikirjoitus tai mikä tahansa muu tekstiyksikkö. Esimerkiksi tutkittaessa miten sanomalehdet ovat käsitelleet tiettyä aihetta ajan saatossa tai tutkittaessa vihapuhetta blogikirjoituksissa.','MediaUnit.Text','MediaUnit',13,8675,12267,'Mediatyyppi: teksti','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.Text',486),(12408,'Kaksi tai useampia henkilöitä, jotka ovat joko kokoontuneet yhteen tai joita yhdistää jokin muu tekijä. Mikäli kyselytutkimus, kysymykset koskevat pääasiassa itse ryhmää, ryhmän kokemuksia ja asenteita ryhmää kohtaan, ei henkilöä itseään. Mikäli kysymykset koskevat sekä ryhmää että henkilöä, käytä havaintoyksikkönä molempia.','Group',NULL,15,8683,12262,'Ryhmä','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Group',486),(12409,'Tutkimuksen tarkastelukohteena ovat yksittäiset henkilöt','Individual',NULL,0,8678,12255,'Henkilö','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#Individual',486),(12410,'Still-kuvat kuten esimerkiksi graafit, piirrokset, valokuvat, röntgenkuvat tai muut lääketieteelliset still-kuvat.','MediaUnit.StillImage','MediaUnit',12,8677,12263,'Mediatyyppi: still-kuva','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#MediaUnit.StillImage',486),(12411,'Tapahtuma, tapahtumasarja, toiminta tai prosessi. Tapahtumat ovat usein lyhytaikaisia ja kertaluonteisia, esimerkiksi mellakat, kokoukset, urheilukilpailut, terroristihyökkäykset ja luonnonkatastrofit. Prosessit ovat tyypillisesti pidempikestoisia, voivat sisältää useampia tapahtumia tai vähittäisiä muutoksia, jotka lopuksi johtavat tiettyyn tulokseen. Esimerkiksi oikeusjutut, rikostutkimukset, poliittiset kampanjat, kuntoutushoidot, koulutus. Tapahtuma/prosessi/toiminta -termiä käytetään silloin, kun tutkimuksessa keskitytään kyseiseen tapahtumaan, prosessiin tai toimintaan, ei henkilöihin sinänsä. Esimerkiksi havainnointitutkimus peliautomaattipelaamisesta; tutkimus lasten pahoinpitelytapauksista, niiden tyypistä ja kestosta, osallistuvien henkilöiden roolista niissä.','EventOrProcessOrActivity',NULL,6,8667,12265,'Tapahtuma/prosessi/toiminta','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html#EventOrProcessOrActivity',486),(12412,'Alle nicht lebenden Stoffe, die eine unabhängige Existenz haben und durch Sinne wahrgenommen werden können. Beispiele: Kunstobjekte (Gemälde, Skulpturen, etc.) oder Waffen oder Fahrzeuge usw.','Object',NULL,16,NULL,12252,'Objekt',NULL,485),(12413,'Zwei oder mehrere Einzelpersonen, die sich versammeln oder eine vereinende Beziehung miteinander haben.','Group',NULL,15,NULL,12262,'Gruppe',NULL,485),(12414,'Jede Art von formaler Verwaltungsstruktur und funktionaler Struktur - schließt Verbände, Institutionen, Agenturen, Unternehmen, politische Parteien, Schulen usw. ein.','OrganizationOrInstitution',NULL,1,NULL,12266,'Organisation',NULL,485),(12415,'Eine Wohneinheit ist ein Haus, eine Wohnung, ein Wohnmobil, eine Gruppe von Räumen oder ein Einzelzimmer, sie wird bewohnt (oder wenn sie leer ist, aber für das Wohnen bestimmt ist) als eine geschlossene Wohneinheit.Geschlossene Wohneinheiten sind diejenigen, in denen die Bewohner getrennt von allen anderen Personen im Gebäude leben und essen und die einen direkten Zugang vonaußendes Gebäudes oder durch einen gemeinsamen Flur haben.','HousingUnit',NULL,5,NULL,12256,'Wohneinheit',NULL,485),(12416,NULL,'MediaUnit.StillImage','MediaUnit',12,NULL,12263,NULL,NULL,485),(12417,'Jede einzelne Person, unabhängig von demographischen Merkmalen, dem Beruf, dem sozialen Status, Rechtsstatus oder sozialer Status, Zugehörigkeit.','Individual',NULL,0,NULL,12255,'Individuum',NULL,485),(12418,'Zwei oder mehr Menschen, die miteinander blutsverwandt sind, oder durch Heirat (einschließlich der Verwandschaft des Ehepartners), Adoption oder Pflege (Pflegeeltern, Pflegekinder etc.) anverwandt sind - unabhängig davon, ob sie zusammenleben oder nicht. Wird zum Beispiel genutzt bei der Erforschung des Ausmaßes, in dem die Menschen ihre Verwandten unterstützen.','Family',NULL,2,NULL,12251,'Familie',NULL,485),(12419,NULL,'MediaUnit.Sound','MediaUnit',11,NULL,12250,NULL,NULL,485),(12420,NULL,'PoliticalAdministrativeArea',NULL,8,NULL,12257,NULL,NULL,485),(12421,'Jegliche Art von Zeitspanne: Jahr, Woche, Monat, Tag oder zweimonatliche oder vierteljährliche Zeitspannen,etc.','TimeUnit',NULL,9,NULL,12254,'Zeiteinheit',NULL,485),(12422,NULL,'MediaUnit',NULL,10,NULL,12258,NULL,NULL,485),(12423,'Eine Person oder eine Gruppe von Personen, die die gleiche Wohneinheit und gemeinsame Wohnverhältnisse teilen. Diese gemeinsamen Wohnverhältnisse können das Zusammenbringen einiger oder aller ihrer Einkommen und ihres Vermögens beinhalten und bestimmte Arten von Waren und Dienstleistungen zusammenführen, vor allem Wohnraum und Lebensmittel.','Household',NULL,4,NULL,12259,'Haushalt',NULL,485),(12424,NULL,'MediaUnit.Text','MediaUnit',13,NULL,12267,NULL,NULL,485),(12425,NULL,'MediaUnit.Video','MediaUnit',14,NULL,12260,NULL,NULL,485),(12426,'Ein spezifischerer Begriff, bezieht sich nur auf verwandte Personen, die zu einem bestimmten Zeitpunkt im selben Haushalt leben. Wenn nicht bekannt ist, ob die Analyseeinheit \'Familie\' oder \'Haushalt Familie\' ist, verwenden Sie \'Familie\'.','Family.HouseholdFamily','Family',3,NULL,12264,'Familie: Familienhaushalt',NULL,485),(12427,'Jede Einheit, die räumlich als geographisches Gebiet definiert werden kann, mit einer entweder natürlichen (physischen) oder administrativen Grenze.','GeographicUnit',NULL,7,NULL,12261,'Geographische Einheit',NULL,485),(12428,'Jede Art von Ereignis, Vorfall oder Aktivität. Ereignisse sind in der Regel einmalige, einzelne Vorkommnisse, mit einer begrenzten oder kurzen Dauer. Beispiele sind: Straftaten, Tumulte, Treffen, Wahlen, Sportwettkämpfe, Terroranschläge, Naturkatastrophen wie Überschwemmungen usw. Prozesse finden typischerweise im Verlauf der Zeit statt und können mehrere \'Ereignisse\' oder allmähliche Veränderungen beinhalten, die letztendlich oder voraussichtlich zu einem bestimmten Ergebnis führen. Beispiele: Gerichtsverfahren, strafrechtliche Ermittlungen, politische Kampagnen, medizinische Behandlungen, Bildung, Athletenausbildung usw.','EventOrProcessOrActivity',NULL,6,NULL,12265,'Ereignis/ Prozess',NULL,485),(12429,'Verwenden Sie diese Kategorie, wenn die Analyseeinheit bekannt, aber nicht in der Liste vertreten ist.','Other',NULL,17,NULL,12253,'Sonstiges',NULL,485),(12430,'Tutto ciò che è materiale, inanimato, che ha un\'esistenza indipendente e che può essere percepito attraverso i sensi. Esempi: oggetti d\'arte (dipinti, sculture, ecc.), armi, veicoli, ecc.','Object',NULL,16,8569,12252,'Oggetto',NULL,488),(12431,'Due o più individui riuniti oppure che possiedono una qualsiasi relazione o caratteristica unificante. Nelle indagini le domande si concentrano principalmente sul gruppo e sugli atteggiamenti/esperienze del gruppo, piuttosto che su quelle dei singoli intervistati. Se le domande riguardano sia il gruppo che l\'individuo, utilizzare entrambi come unità di analisi.','Group',NULL,15,8568,12262,'Gruppo',NULL,488),(12432,'Due o più persone legate da vincolo di sangue, matrimonio (compresi i rapporti allargati), coabitazione o convivenza di fatto, adozione o affidamento che possono o meno vivere insieme. Ad esempio, dati sul tipo di servizi pubblici di cui la famiglia usufruisce o di cui avrebbe bisogno; oppure dati sulla frequenza con cui i membri della famiglia sono in contatto tra loro.','Family',NULL,2,8555,12251,'Famiglia',NULL,488),(12433,'Include testi, immagini, video e suoni.','MediaUnit',NULL,10,8563,12258,'Unità di supporto',NULL,488),(12434,'Un\'unità abitativa è una casa, un appartamento, una casa mobile, un gruppo di stanze o una stanza singola occupata (oppure, se non occupata, destinata ad ospitare) come abitazione separata. Le abitazioni separate sono quelli in cui gli occupanti vivono e mangiano separatamente da qualsiasi altra persona presente nell\'edificio, e che hanno un accesso diretto dall\'esterno dell\'edificio oppure attraverso un ingresso comune.','HousingUnit',NULL,5,8558,12256,'Unità abitativa',NULL,488),(12435,'Un\'area geografica governata da un\'autorità che ha il potere di prendere decisioni amministrative o politiche relative a quell\'area. Comprende aree a livello sovranazionale (ad esempio unioni di stati come l\'Unione Europea), nazionale (ad esempio singoli stati o paesi), subnazionale (ad esempio suddivisioni amministrative come stati federali, province, ecc.), e locale (ad esempio comuni).','PoliticalAdministrativeArea',NULL,8,8561,12257,'Area politico-amministrativa',NULL,488),(12436,'Un termine più specifico che si riferisce solo a persone che sono legate da vincoli familiari (si veda la definizione di \"Famiglia\") e che vivono nella stessa abitazione in un determinato momento. Se non è possibile distinguere tra \"Famiglia\" e \"Famiglia convivente\" come unità di analisi, utilizzare \"Famiglia\"','Family.HouseholdFamily','Family',3,8556,12264,'Famiglia: Famiglia convivente',NULL,488),(12437,'Qualsiasi tipo di episodio, evento o attività. Gli eventi sono generalmente occorrenze singole, con una durata limitata oppure breve. Esempi: reati, rivolte, riunioni, elezioni, competizioni sportive, attacchi terroristici, calamità naturali come inondazioni, ecc. I processi generalmente durano nel tempo, e possono includere \"eventi\" multipli o cambiamenti graduali che alla fine conducono, oppure tendono a condurre, a un risultato particolare. Esempi: processi giudiziari, indagini penali, campagne politiche, trattamenti sanitari, istruzione, allenamenti sportivi, ecc. Utilizzare quando l\'attenzione è riposta principalmente sull\'evento, sul processo o sull\'attività stessa. Ad esempio, uno studio che prevede un\'osservazione sul campo relativa al gioco d\'azzardo attraverso slot machine; oppure dati raccolti su casi di abuso su minori, come il tipo e la durata dell\'abuso, il ruolo delle persone coinvolte, ecc.','EventOrProcessOrActivity',NULL,6,8559,12265,'Evento/Processo/Attività',NULL,488),(12438,'Qualsiasi tipo di struttura amministrativa e funzionale formale - incluse associazioni, istituzioni, agenzie, imprese, partiti politici, scuole, ecc. I dati raccolti si riferiscono alle organizzazioni o alle istituzioni, anche se le risposte alle domande sono fornite da singoli individui. Ad esempio, dati sulle politiche ambientali delle imprese, dati sui tassi di iscrizione o di laurea presso le università nazionali, ecc.','OrganizationOrInstitution',NULL,1,8554,12266,'Organizzazione/Istituzione',NULL,488),(12439,'Immagini statiche, come grafici, disegni, fotografie, immagini diagnostiche/mediche come radiografie e altri tipi di esami per immagini, ecc.','MediaUnit.StillImage','MediaUnit',12,8565,12263,'Unità di supporto: immagine',NULL,488),(12440,'Qualsiasi periodo di tempo: anno, settimana, mese, giorno, bimestre, trimestre, ecc.','TimeUnit',NULL,9,8562,12254,'Unità temporale',NULL,488),(12441,'Una persona o un gruppo di persone che condividono la stessa unità abitativa e le stesse modalità di vita comuni. Queste modalità di vita comuni possono includere la condivisione di alcuni oppure di tutti i redditi e ricchezze, e il consumo collettivo di determinati tipi di beni e servizi, principalmente alloggi e cibo (Eurostat)','Household',NULL,4,8557,12259,'Conviventi',NULL,488),(12442,'Qualsiasi entità scritta, come libri, articoli, tweet, blog, ecc. Ad esempio, uno studio sugli hate speech nei tweet, oppure uno studio sul modo in cui i giornali presentano nel tempo alcuni temi politici/sociali, come i diritti delle donne o delle minoranze, ecc.','MediaUnit.Text','MediaUnit',13,8566,12267,'Unità di supporto: testo',NULL,488),(12443,'Immagini in movimento. Può includere film, animazioni, registrazioni digitali, output visivi prodotti da simulazioni, programmi televisivi registrati, video medico/diagnostici come ecografie, ecc. Può essere muto o può includere il suono sincronizzato.','MediaUnit.Video','MediaUnit',14,8567,12260,'Unità di supporto: video',NULL,488),(12444,'Qualsiasi persona.','Individual',NULL,0,8553,12255,'Individuo',NULL,488),(12445,'Utilizzare se l\'unità di analisi è nota, ma non riconducibile a nessun termine presente nell\'elenco.','Other',NULL,17,8570,12253,'Altro',NULL,488),(12446,'Suoni registrati, inclusa la voce, la musica, ecc.','MediaUnit.Sound','MediaUnit',11,8564,12250,'Unità di supporto: suono',NULL,488),(12447,'Qualsiasi entità che possa essere definita nello spazio, come un\'area geografica, con confini naturali (fisici) o amministrativi. Ad esempio, i dati sulle vendite di case, sui mutamenti del paesaggio, sulle nuove costruzioni o sui cambiamenti nella composizione demografica di alcune regioni o distretti territoriali.','GeographicUnit',NULL,7,8560,12261,'Unità geografica',NULL,488),(12448,'Observation, der udføres i en kontrolleret, kunstig skabt opsætning. For eksempel observering af børns leg i et laboratoriums legerum.','Observation.Laboratory','Observation',26,5052,10774,'Laboratorieobservation',NULL,494),(12449,'Et interview gennemført via internettet. For eksempel interviews gennemført på online fora eller ved brug af webbaseret audiovisuel teknologi, der gør det muligt for interviewere(n) og de(n) interviewede at kommunikere i realtid.','Interview.WebBased','Interview',7,7824,10753,'Webbaseret interview',NULL,494),(12450,'Vurdering af fysiske egenskaber hos levende væsener, objekter, materialer eller naturlige fænomener. For eksempel resultater fra praktisk lægeundersøgelse (f.eks. palpation eller auskultation), kliniske målinger og laboratorietests såsom blodanalyse, blodtryk, hjerterytme, kropsvægt og højde, såvel som generelle målinger såsom tid, afstand, masse, temperatur, styrke, kraft, hastighed, GPS-data om fysisk bevægelse og andre fysiske parametre eller variabler, såsom geospatiale data.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5069,10752,'Fysiske målinger og tests',NULL,494),(12451,'Fortællinger, historier, dagbøger og nedskrevne tekster skabt af forskningssubjektet.','SelfAdministeredWritingsAndDiaries',NULL,18,7834,10767,'Selvadministrerede tekster og/eller dagbøger',NULL,494),(12452,'En gruppediskussion om et bestemt emne organiseret til forskningsformål. Individerne vælges med relevans for emnet, og interaktion mellem deltagerne anvendes som en del af metoden.','FocusGroup',NULL,14,5040,10746,'Fokusgruppe',NULL,494),(12453,'Som en metode til sekundær dataindsamling anvender indholdskodning kodningsteknikker til at transformere kvalitative data (tekst, video, lyd eller stillbilleder), der oprindeligt blev produceret til andre formål, til kvantitative data (udtrykt ved enhed-til-variabel-matricer) i overensstemmelse med forhåndsdefinerede kategoriseringsskemaer. For eksempel, kodede partimanifestdata som \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,40,5061,10762,'Indholdskodning',NULL,494),(12454,'Computer-assisted web interviewing (CAWI). Data indsamles ved brug af et webspørgeskema, der er produceret af et program til at skabe webundersøgelser. Programmet kan tilpasse spørgeskemaets flow ud fra de givne svar og giver spørgeskemaet mulighed for at indeholde billeder, lyd og videoklip, links til forskellige hjemmesider mm.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7832,10786,'Selvadministreret spørgeskema: Webbaseret (CAWI)',NULL,494),(12455,'Et eksperiment udført i en naturlig, ukontrolleret opsætning, hvor forskeren manipulerer en eller flere uafhængige variabler. Intervention/kliniske studier er et eksempel på felteksperimenter.','Experiment.FieldIntervention','Experiment',32,5058,10764,'Felt/Interventionseksperiment',NULL,494),(12456,'Selvadministreret spørgeskema, hvor respondenterne modtager spørgsmålene på SMS (tekstbeskeder) eller MMS (beskeder indeholdende multimedieindhold) og sender deres svar i samme format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7831,10768,'Selvadministreret spørgeskema: Beskeder (SMS/MMS)',NULL,494),(12457,'En forudplanlagt kommunikation mellem to (eller flere) personer – interviewere(n) og de(n) interviewede - hvor intervieweren(ne) får information fra de(n) interviewede. Hvis gruppeinteraktion er en del af metoden, anvend ”Fokusgruppe”.','Interview',NULL,0,7820,10748,'Interview',NULL,494),(12458,'Computer-assisted self-interview (CASI). Respondenter indtaster selv svarene på en computer (skrivebord, bærbar, Palm/PDA, tablet etc.) af dem selv. Administrationen af spørgeskemaet styres af et specifikt designet program/applikation, men der er ingen real-time dataoverførsel som i CAWI, svarene lagres på enheden, der anvendes til interviewet. Spørgeskemaet kan være i fast form eller interaktiv. Inkluderer VCASI (Video computer-assisted self-interviewing), ACASI (Audio computer-assisted self-interviewing) og TACASI (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7833,10744,'Selvadministreret spørgeskema: Computerassisteret (CASI)',NULL,494),(12459,'Fokusgruppediskussionen gennemføres over telefonen.','FocusGroup.Telephone','FocusGroup',16,5042,10788,'Telefonfokusgruppe',NULL,494),(12460,'Observation, som udføres i et naturligt miljø.','Observation.Field','Observation',23,5049,10749,'Feltobservation',NULL,494),(12461,'Observation, der udføres i en naturlig, ikke-kontrolleret opsætning uden nogen interaktion mellem forsker og hans/hendes subjekter. ','Observation.Field.Nonparticipant','Observation.Field',25,5051,10754,'Feltobservation uden deltager',NULL,494),(12462,'Modellering eller imitativ repræsentation af processer i den virkelige verden, hændelser eller systemer, ofte ved brug af computerprogrammer. For eksempel et program, der modellerer husholdningsforbrug, som responderer til indirekte skatteændringer; eller et datasæt om hypotetiske patienter og deres lægemiddeleksponering, baggrundsforhold og kendte bivirkninger.','Simulation',NULL,45,5066,10782,'Simulation',NULL,494),(12463,'Indsamling og samling af data fra flere, ofte heterogene, kilder, der har en eller flere referencepunkter til fælles, og mindst en af kilderne oprindeligt blev produceret til andre formål. Dataene inkorporeres i en ny enhed. For eksempel, give data om antallet af universiteter i de sidste 150 år ved brug af en række af tilgængelige kilder (f.eks. finansielle dokumenter, officielle statistikker, universitetsregistre), kombinere undersøgelsesdata med oplysninger om geografiske områder fra officielle statistikker (f.eks. befolkningstæthed, læger pr. indbygger etc.) eller brug af RSS til at indsamle blogindlæg eller tweets mm.','CompilationSynthesis',NULL,42,5063,10781,'Kompilering/Syntese',NULL,494),(12464,'Paper-and-pencil interviewing (PAPI). Intervieweren anvender et traditionelt spørgeskema på papir til at oplæse spørgsmålene og registrere svarene.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7826,10760,'Personligt interview: Papir og pen (PAPI)',NULL,494),(12465,'Vurdering af personlighedskarakterer eller psykologiske/adfærdsmæssige reaktioner ved hjælp af specialiserede målinger og tests. For eksempel objektive tests såsom selvrapporterende målinger med et begrænset responsformat eller projektive metoder, der tillader fri respons, inklusiv associering af ord, sætninger eller historiefærdiggørelse, vignetter, tegneserietests, tematiske accerceptionstests, rollespil, tegnetests, blækklattests, øvelser om valgprioritering mm.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5070,10759,'Psykologiske målinger og tests',NULL,494),(12466,'Fortællinger, historier, dagbøger og nedskrevne tekster skabt og indsamlet i papirform.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7836,10787,'Selvadministrerede tekster og/eller dagbøger: Papir',NULL,494),(12467,NULL,'AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,NULL,NULL,494),(12468,'Forskningsmetode, der involverer manipulationen af nogle eller alle af de uafhængige variabler inkludereret i hypoteserne.','Experiment',NULL,30,5056,10763,'Eksperiment',NULL,494),(12469,NULL,'AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,NULL,NULL,494),(12470,'Vurdering af viden, færdigheder, egnethed eller uddannelsesmæssig præstation ved brug af specialiserede målinger eller tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5068,10758,'Udannelsesmæssige målinger og tests',NULL,494),(12471,'Interviews gennemført via e-mail, som regel bestående af flere e-mail-beskeder, der tillader diskussionen at fortsætte efter det første sæt af spørgsmål og svar eller den første udveksling af e-mails.','Interview.Email','Interview',6,7823,10743,'E-mail-interview',NULL,494),(12472,'Dataindsamlingsmetode, hvor en tilstedeværende interviewer foretager et personligt interview, stiller spørgsmål og noterer svar. Brug dette bredere begreb, hvis det ikke er CAPI eller PAPI, eller hvis det ikke vides, om det er CAPI eller PAPI.','Interview.FaceToFace','Interview',1,7821,10776,'Personligt interview',NULL,494),(12473,NULL,'AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,NULL,NULL,494),(12474,'Fokusgruppediskussionen gennemføres over internettet på en interaktiv måde.','FocusGroup.Online','FocusGroup',17,5043,10784,'Online-fokusgruppe',NULL,494),(12475,'Statistik, der vedrører bredere klasser, grupper eller kategorier. Dataene er i gennemsnit, summeret eller på anden vis afledt af data på individuelt niveau, og det er ikke længere muligt at adskille individers karakteristika inden for disse klasser, grupper eller kategorier. For eksempel antallet eller aldersgruppen for de ledige i en bestemt geografisk region eller statistik på et nationalt plan om forekomsten af specifikke lovovertrædelser, der oprindeligt er afledt af statistikkerne for de enkelte politidistrikter.','Aggregation',NULL,44,5065,10755,'Aggregering',NULL,494),(12476,'Type af laboratorieobservation, der udføres uden nogen interaktion mellem forskeren og hans/hendes subjekter.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5054,10778,'Laboratorieobservation uden deltager',NULL,494),(12477,'Dataindsamlingsmetode, hvor respondenten læser eller hører spørgsmålene og selv indtaster svarene; ingen interviewer er til stede eller deltager i administrationen af spørgeskemaet. Hvis det er muligt, brug da et smallere begreb. Brug dette begreb, hvis metoden ikke er beskrevet af nogle af de smallere begreber - for eksempel til PDF- eller diskettespørgeskemaer.','SelfAdministeredQuestionnaire',NULL,8,7828,10751,'Selvadministreret spørgeskema',NULL,494),(12478,'Et eksperiment udført i den virtuelle opsætning på World Wibe Web, hvor eksperimentelle materialer er programmeret til at implementere kunstige situationer eller begivenheder, der skal undersøges i et spredt miljø. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,5059,10747,'Webbaseret eksperiment',NULL,494),(12479,'Forskningsmetode, der involverer at indsamle data, som de opstår (for eksempel observering af opførsel, begivenheder, udviklingen af tilstand eller sygdom mm.) uden at forsøge at manipulere de uafhængige variable.','Observation',NULL,22,5048,10773,'Observation',NULL,494),(12480,'Et eksperiment udført i en kontrolleret, kunstigt skabt fysisk opsætning, hvor en forsker manipulerer en eller flere uafhængige variabler og måler dens/deres effekt på den afhængige variabel.','Experiment.Laboratory','Experiment',31,5057,10772,'Laboratorieeksperiment',NULL,494),(12481,'Type af feltobservation, hvor forskeren interagerer med subjekterne og ofte spiller en rolle i den sociale situation under observation.','Observation.Field.Participant','Observation.Field',24,5050,10770,'Feltobservation med deltager',NULL,494),(12482,'Vurdere specifikke egenskaber (eller karakteristika) af væsener, ting, fænomener (og/eller processer) ved at anvende forudbestemte standarder og/eller specialiserede instrumenter eller teknikker.','MeasurementsAndTests',NULL,46,5067,10780,'Målinger og tests',NULL,494),(12483,'Registrering på mekanisk eller elektronisk vis i en form, der muliggør, at information kan genfindes og/eller genskabes. For eksempel billeder eller lyd på disk eller magnetbånd.','Recording',NULL,34,5060,10766,'Optagelse',NULL,494),(12484,'Observationstype, hvor data vedrørende computerbrug indsamles af software, der kan indbygges i selve computerprogrammet eller kan være et særskilt program. Oplysninger kan indsamles om antallet af brugere, hvordan brugere interagerer med programmet (programmerne), hvor meget tid de bruger på en side, hvordan de anvender bestemte sektioner af applikationer, hvordan de navigerer fra side til side eller fra en applikation til en anden mm.','Observation.ComputerBased','Observation',29,5055,10785,'Computerbaseret observation',NULL,494),(12485,'Selvadministreret spørgeskema ved brug af et traditionelt spørgeskema på papir leveret og/eller indsamlet som post (posttjenester), på fax eller personligt enten af intervieweren eller respondenten.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7830,10757,'Selvadministreret spørgeskema: Papir',NULL,494),(12486,'Indfangning af skriftlige oplysninger fra en anden kilde eller fra et andet medium, alfabet eller form for notation, såsom videnskabelige formler eller musikalske noder. For transskriberede interviews eller observationer anbefales det at dokumentere den primære indsamlingsform ved brug af et af interview- eller observationsbetingelserne.','Transcription',NULL,41,5062,10745,'Transskription',NULL,494),(12487,NULL,'AutomatedDataExtraction',NULL,36,NULL,10828,NULL,NULL,494),(12488,'Interview gennemført over telefon. Brug dette bredere begreb, hvis det ikke er CATI, eller hvis det ikke vides, om det er CATI.','Interview.Telephone','Interview',4,7822,10771,'Telefoninterview',NULL,494),(12489,'Præsentation af oplysninger i kondenseret form, ved at reducere den til dens hovedpunkter. For eksempel abstracts af interviews eller reporter, der publiceres og anvendes som data frem for interviews og rapporter i fuld længde.','Summary',NULL,43,5064,10769,'Resumé',NULL,494),(12490,'Computer-assisted personal interviewing (CAPI) eller computer-assisted mobile interviewing (CAMI). Dataindsamlingsmetode, hvor intervieweren læser spørgsmål op til respondenterne fra skærmen på en computer, bærbar eller en mobil enhed såsom tablet eller smartphone og indtaster svarene på den samme enhed. Administrationen af interviewet styres af et specifikt designet program/applikation.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7825,10775,'Personligt interview: Computerassisteret (CAPI/CAMI)',NULL,494),(12491,'Fortællinger, historier, dagbøger og nedskrevne tekster indsamlet fra internetkilder, for eksempel hjemmesider, blogs og diskussionsfora.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7837,10756,'Selvadministrerede tekster og/eller dagbøger: Webbaseret',NULL,494),(12492,'Fortællinger, historier, dagbøger og nedskrevne tekster afleveret via e-mail-beskeder.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7835,10779,'Selvadministrerede tekster og/eller dagbøger: E-mail',NULL,494),(12493,'Computer-assisted telephone interviewing (CATI). Intervieweren stiller spørgsmål ved hjælp af en computer, svarene indtastes direkte i computeren, og administrationen af interviewet styres af et specifikt designet program.','Interview.Telephone.CATI','Interview.Telephone',5,7827,10750,'Telefoninterview: Computerassisteret (CATI)',NULL,494),(12494,'Fokusgruppens deltagere mødes personligt for at gennemføre diskussionen.','FocusGroup.FaceToFace','FocusGroup',15,5041,10777,'Personlig fokusgruppe',NULL,494),(12495,NULL,'Recording.RemoteSensing','Recording',35,NULL,10789,NULL,NULL,494),(12496,'Anvend, hvis dataindsamlingsmåden er kendt, men ikke findes på listen.','Other',NULL,50,5071,10765,'Andet',NULL,494),(12497,'Type af laboratorieobservation, hvor forskeren interagerer med subjekterne og ofte spiller en rolle i den sociale situation under observation. For eksempel observering af børns leg i et laboratorielegerum med forskeren, der deltager i legen.','Observation.Laboratory.Participant','Observation.Laboratory',27,5053,10761,'Laboratorieobservation med deltager',NULL,494),(12498,'Selvadministreret spørgeskema, hvor spørgsmålene stilles til respondenten i en e-mails tekstfelt eller som en vedhæftning i en e-mail, men ikke som et link til et webbaseret spørgeskema. Svarene er også sendt tilbage via e-mail, enten som tekst eller som vedhæftet fil.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7829,10783,'Selvadministreret spørgeskema: E-mail',NULL,494),(12499,NULL,'SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,NULL,10779,NULL,NULL,495),(12500,NULL,'AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,NULL,NULL,495),(12501,'Die Fokusgruppenteilnehmer treffen sich persönlich zur Diskussion.','FocusGroup.FaceToFace','FocusGroup',15,NULL,10777,'Fokusgruppe: Persönlich',NULL,495),(12502,NULL,'SelfAdministeredQuestionnaire',NULL,8,NULL,10751,NULL,NULL,495),(12503,'Die Fokusgruppendiskussion wird interaktivüber das Internet durchgeführt.','FocusGroup.Online','FocusGroup',17,NULL,10784,'Fokusgruppe: Online',NULL,495),(12504,NULL,'AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,NULL,NULL,495),(12505,NULL,'Interview.Telephone','Interview',4,NULL,10771,NULL,NULL,495),(12506,'Eine für Forschungszwecke organisierte Gruppendiskussion zu einem bestimmten Thema. Individuen mit Bezug zum Thema werden ausgewählt, und die Interaktion zwischen den Teilnehmern wird als Teil der Methode verwendet.','FocusGroup',NULL,14,NULL,10746,'Fokusgruppe',NULL,495),(12507,'Statistiken, die sich auf breite Klassen, Gruppen oder Kategorien beziehen. Die Daten werden gemittelt, summiert oder anderweitig aus Individualdaten abgeleitet, und es ist nicht mehr möglich, die Merkmale von Individuen innerhalb dieser Klassen, Gruppen oder Kategorien zu unterscheiden. Zum Beispiel, die Anzahl und Altersgruppe von Arbeitslosen in bestimmten geografischen Regionen, oder Statistiken auf nationaler Ebene über das Auftreten von spezifischen Straftaten, die ursprünglich aus der Statistik der einzelnen Polizeibezirke abgeleitet wurden.','Aggregation',NULL,44,NULL,10755,'Aggregation',NULL,495),(12508,NULL,'Recording.RemoteSensing','Recording',35,NULL,10789,NULL,NULL,495),(12509,'Forschungsmethode, die die Manipulation einiger oder aller der in den Hypothesen enthaltenen unabhängigen Variablen beinhaltet.','Experiment',NULL,30,NULL,10763,'Experiment',NULL,495),(12510,'Modellieren oder Nachahmen von realen Prozessen, Ereignissen oder Systemen, oft unter Anwendung von Computerprogrammen. Zum Beispiel, ein Programm, dasdie Reaktion des Haushaltskonsums auf indirekte Steuerveränderungenmodelliert;oder ein Datensatz über hypothetische Patienten und ihren Umgang mit Drogen, ihren Hintergrund und bekannte Nebenwirkungen.','Simulation',NULL,45,NULL,10782,'Simulation',NULL,495),(12511,NULL,'SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,NULL,10783,NULL,NULL,495),(12512,NULL,'SelfAdministeredWritingsAndDiaries',NULL,18,NULL,10767,NULL,NULL,495),(12513,'Beobachtung, die in einer natürlichen Umgebung durchgeführt wird.','Observation.Field','Observation',23,NULL,10749,'Feldbeobachtung',NULL,495),(12514,'Eine Art der Laborbeobachtung, die ohne jegliche Interaktion zwischen dem/der Forscher/in und seinen/ihren Probanden durchgeführt wird.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,NULL,10778,'Nicht-teilnehmende Beobachtung in künstlicher Situation',NULL,495),(12515,'Erfassen von Informationen in schriftlicher Form aus unterschiedlichen Quellen, odereinemanderenMedium, Alphabet oder Notationsform, wie wissenschaftliche Formeln oder Musiknoten. Für transkribierte Interviews oder Beobachtungen empfiehlt es sich, die primäre Art der Erhebung unter Verwendung der Begriffe aus dem Interview oder der Beobachtung zu dokumentieren.','Transcription',NULL,41,NULL,10745,'Transkription',NULL,495),(12516,NULL,'SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,NULL,10787,NULL,NULL,495),(12517,'Beurteilung der physischen Eigenschaften von Lebewesen, Gegenständen, Materialien oder Naturphänomenen. Zum Beispiel Erkenntnisse aus der praktischen medizinischen Untersuchung (z. B. Abtasten oder Abhören), klinische Messungen und Labortests wie Blutanalyse, Blutdruck, Herzfrequenz, Körpergewicht und Körpergröße sowie allgemeine Messungen wie Zeit, Distanz, Masse, Temperatur, Kraft, Stärke, Geschwindigkeit, GPS-Daten über physische Bewegung und andere physische Parameter oder Variablen, wie Geodaten.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,NULL,10752,'Messungen und Tests: Physische Tests',NULL,495),(12518,'Forschungsmethode, die das Sammeln von Daten beinhaltet, wie sieauftreften(z. B. Beobachtung von Verhaltensweisen, Ereignissen, Entwicklung vonZustandoder Krankheit usw.), ohne zu versuchen, eine der unabhängigen Variablen zu manipulieren.','Observation',NULL,22,NULL,10773,'Beobachtung',NULL,495),(12519,'Ein Experiment, das in einer kontrollierten, künstlich erzeugten Umgebung durchgeführt wird, in der ein Forscher eine oder mehrere unabhängige Variablen manipuliert und ihre Wirkung auf die abhängige Variable misst.','Experiment.Laboratory','Experiment',31,NULL,10772,'Laborexperiment',NULL,495),(12520,NULL,'Interview',NULL,0,NULL,10748,NULL,NULL,495),(12521,NULL,'AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,NULL,NULL,495),(12522,NULL,'Interview.Email','Interview',6,NULL,10743,NULL,NULL,495),(12523,NULL,'Interview.FaceToFace','Interview',1,NULL,10776,NULL,NULL,495),(12524,'Beobachtung, die in einer kontrollierten, künstlich geschaffenen Umgebung durchgeführt wird. Zum Beispiel, das Spielen der Kinder in einem Labor-Spielzimmer beobachten.','Observation.Laboratory','Observation',26,NULL,10774,'Beobachtung in künstlicher Situation',NULL,495),(12525,NULL,'Interview.WebBased','Interview',7,NULL,10753,NULL,NULL,495),(12526,'Ein Experiment, das in einernatürlichen, unkontrollierten Umgebung, in der der Forscher eine oder mehrere unabhängige Variablen manipuliert, durchgeführtwird. Interventions-/klinische Studien sind ein Beispiel für Feldexperimente.','Experiment.FieldIntervention','Experiment',32,NULL,10764,'Feld-/Interventionsexperiment',NULL,495),(12527,'Beobachtung, die in einer natürlichen, nicht kontrollierten Umgebung durchgeführt wird - ohne jegliche Interaktion zwischen dem/der Forscher/in und seinen/ihren Probanden.','Observation.Field.Nonparticipant','Observation.Field',25,NULL,10754,'Nicht-teilnehmende Feldbeobachtung',NULL,495),(12528,'Beurteilung von spezifischen Eigenschaften (oder Merkmalen) von Lebewesen,Dingen, Phänomenen, (und/oder Prozessen) durch Anwendung vorgegebener Standards und/oder spezialisierter Instrumente oder Techniken.','MeasurementsAndTests',NULL,46,NULL,10780,'Messungen und Tests',NULL,495),(12529,NULL,'Interview.FaceToFace.PAPI','Interview.FaceToFace',3,NULL,10760,NULL,NULL,495),(12530,NULL,'Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,NULL,10775,NULL,NULL,495),(12531,'Darstellung von Informationen in komprimierter Form, indem man diese auf ihre wichtigsten Punkte reduziert. Zum Beispiel Zusammenfassungen von Interviews oder Berichten, die veröffentlicht und als Daten genutzt werden, anstatt der Interviews oder Berichte in deren vollen Länge.','Summary',NULL,43,NULL,10769,'Zusammenfassung',NULL,495),(12532,'Eine Art der Laborbeobachtung, in der der Forscher mit den Probanden interagiert und oft selbst ein Rolle in der gesellschaftlichen Situation unter Beobachtung einnimmt. Zum Beispiel, dasBeobachtenspielender Kinder in einem Labor-Spielzimmer,wobeider Forscher selbst amSpielteilnimmt.','Observation.Laboratory.Participant','Observation.Laboratory',27,NULL,10761,'Teilnehmende Beobachtung in künstlicher Situation',NULL,495),(12533,'Aufzeichnungen, getätigt durch mechanische oder elektronische Mittel, die das Abrufen und/oder Reproduzieren von Informationen ermöglichen. Zum Beispiel Bilder oder Töne auf Magnetplatte oder Band.','Recording',NULL,34,NULL,10766,'Aufzeichnung (mechanisch/elektronisch)',NULL,495),(12534,NULL,'SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,NULL,10757,NULL,NULL,495),(12535,'Sammeln und Zusammenfügen von Daten aus mehreren, oft heterogenen Quellen, die einen oder mehrere Bezugspunkt/e gemeinsam haben, und mindestens eine der Quellen wurde ursprünglich für andere Zwecke hergestellt. Die Daten bilden eine neue Dateneinheit. Zum Beispiel kann zur Bereitstellung der Daten zur Anzahl der Universitäten in den letzten 150 Jahren eine Vielzahl an verfügbaren Quellen genutzt werden (z. B. Finanzdokumente, amtliche Statistiken, Universitätsregister), Umfragedaten können mit Informationen über geografische Regionen aus der amtlichen Statistik kombiniert werden (z. B. Bevölkerungsdichte , Ärzte pro-Kopf, etc.), oder es können RSS genutzt werden, um Blog, Posts oder Tweets zu sammeln, usw.','CompilationSynthesis',NULL,42,NULL,10781,'Kompilation/Synthese',NULL,495),(12536,'Beurteilung von Wissen, Fähigkeiten, Eignung oder Bildungsleistung durch fachkundige Messungen oder Tests.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,NULL,10758,'Messungen und Tests: Leistungs- und Kompetenztests',NULL,495),(12537,NULL,'SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,NULL,10744,NULL,NULL,495),(12538,'Die Fokusgruppendiskussion wird über das Telefon durchgeführt.','FocusGroup.Telephone','FocusGroup',16,NULL,10788,'Fokusgruppe: Telefonisch',NULL,495),(12539,'Als eine Art der Sekundärdatensammlung, setzt Inhaltscodierung Codierungstechniken ein, um qualitative Daten (Text-, Video-, Audio oder Standbild ), die ursprünglich für andere Zwecke produziert wurden, in quantitative Daten (ausgedrückt in einer Unit-by-Variable Matrix) nach einem zuvor erstellten Kategorienschema umzuwandeln. Zum Beispiel kodierte Parteiprogrammdaten wie \'European Parliament Election Study 2009, Manifesto Study\' (doi:10.4232/1.10204)','ContentCoding',NULL,40,NULL,10762,'Inhaltscodierung',NULL,495),(12540,NULL,'SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,NULL,10768,NULL,NULL,495),(12541,NULL,'SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,NULL,10786,NULL,NULL,495),(12542,NULL,'AutomatedDataExtraction',NULL,36,NULL,10828,NULL,NULL,495),(12543,NULL,'SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,NULL,10756,NULL,NULL,495),(12544,'Beurteilung von Persönlichkeitsmerkmalen oder psychologischen Reaktionen/Verhaltensreaktionen durch fachkundige Messungen oder Tests. Zum Beispiel objektive Tests wie Selbstbericht mit eingeschränktem Antwortformat oder projektiven Methoden, die freie Äußerungen erlauben, einschließlich Wortassoziationen, Vollendung des Satzes oder einer Geschichte, Vignetten, Karikaturtests, thematische Auffassungstests, Rollenspiele, Zeichentests, Tintenklecks-tests, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,NULL,10759,'Messungen und Tests: Psychologische Tests',NULL,495),(12545,'Verwenden Sie diese Kategorie,wenn die Art der Datenerhebung bekannt ist, aber nicht in der Liste vertreten ist.','Other',NULL,50,NULL,10765,'Andere',NULL,495),(12546,'Eine Art der Beobachtung, bei der Daten bezüglich der Computer-Nutzung von einer Software gesammelt werden, die in das Computerprogramm selbst eingebaut werden oder ein separates Programm sein kann. Es können Informationen über die Anzahl der Nutzer, die Art und Weise, wie Nutzer mit dem/denProgramm/eninteragieren, wie viel Zeit sie auf einer Seite verbringen, wie sie bestimmte Abschnitte von Anwendungen verwenden, wie sie von Seite zu Seite oder von einer Anwendung zur anderen navigieren etc. gesammelt werden.','Observation.ComputerBased','Observation',29,NULL,10785,'Computer-basierte Beobachtung',NULL,495),(12547,'Ein Experiment, das in der virtuellen Umgebung des World Wide Web durchgeführt wird, in dem experimentelle Materialien programmiert werden, um künstliche Situationen oder Ereignisse zu implementieren, die in einer verteilten Umgebung untersucht werden sollen.','Experiment.WebBased','Experiment',33,NULL,10747,'Web-basiertes Experiment',NULL,495),(12548,NULL,'Interview.Telephone.CATI','Interview.Telephone',5,NULL,10750,NULL,NULL,495),(12549,'Eine Art der Feldbeobachtung, in der der Forscher mit den Probanden interagiert und oft selbst eine Rolle in der sozialen Situation unter Beobachtung einnimmt.','Observation.Field.Participant','Observation.Field',24,NULL,10770,'Teilnehmende Feldbeobachtung',NULL,495),(12550,'Papper-och-penna-intervju. Intervjuaren använder ett traditionellt frågeformulär på papper för att läsa frågorna och skriva ned svaren.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7898,10760,'Personlig intervju: PAPI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.FaceToFace.PAPI',503),(12551,'Bedömning av levande varelsers, föremåls, materials eller naturliga fenomens fysiska egenskaper. Till exempel: blodtryck, puls, kroppsvikt och längd, men även tid, avstånd, massa, temperatur, kraft, effekt, hastighet, GPS-data för fysisk rörelse och andra fysiska parametrar eller variabler, som t.ex. geospatiala data.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5299,10752,'Fysiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#MeasurementsAndTests.Physical',503),(12552,'Observation där data om datoranvändning samlas in av programvara som inkluderats i ett datorprogram eller som kan vara ett separat program. Information kan samlas in om antal användare, hur användare interagerar med programmet, hur länge de stannar på en sida, hur de använder bestämda delar av program, hur de navigerar från en sida till en annan eller växlar mellan program m.m.','Observation.ComputerBased','Observation',29,5285,10785,'Datorbaserad observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.ComputerBased',503),(12553,'En teknik som används för att extrahera stora mängder data från webbplatser och spara dem som en lokal fil eller databas för ytterligare behandling eller lagring. Tekniken kallas även för web scraping, skärmskrapning (screen scraping), webbskördning m.m.','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,'Automatiserad dataextrahering: webbskrapning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#AutomatedDataExtraction.WebScraping',503),(12554,'Ett experiment som utförs i en virtuell miljö på webben, där experimentella material programmeras för att skapa artificiella situationer eller händelser som undersöks i en distribuerad miljö.  (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Tillgänglig: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [8 september, 2016]) ','Experiment.WebBased','Experiment',33,5289,10747,'Webbaserat experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Experiment.WebBased',503),(12555,'Att samla in och sammanställa data från flera, ofta heterogena, källor som har en eller flera gemensamma referenspunkter, och där minst en av källorna ursprungligen producerades för andra syften. Datamaterialet har införlivats i ett nytt material. Exempel: data om antalet universitet under de senaste 150 åren som tas fram med hjälp av ett antal olika källor (t.ex. räkenskaper, offentlig statistik och universitetsrullor); en kombination av surveydata med information om geografiska områden från offentlig statistik (t.ex. befolkningstäthet, läkare per capita osv); eller bloggposter, tweetar, m.m. som samlats in med hjälp av RSS.','CompilationSynthesis',NULL,42,5293,10781,'Kompilering/Syntes','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#CompilationSynthesis',503),(12556,'Computer-assisted web interviewing (CAWI). Data samlas in med ett webbformulär som producerats av ett program som skapar webbsurveyer. Programmet kan anpassa flödet i frågeformuläret utifrån svaren som ges och det går att inkludera bilder, ljud- och videoklipp, länkar till andra webbsidor m.m. (Anpassad från Wikipedia.)','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7904,10786,'Självadministrerat frågeformulär: webbaserat','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire.CAWI',503),(12557,'Användning av automatiserade metoder för att hämta information ur datakällor och spara informationen som en lokal fil eller databas för ytterligare behandling eller lagring. Använd den här termen om det inte är känt vilken automatiserad teknik som använts eller om tekniken är känd, men inte finns listad som en smalare term.','AutomatedDataExtraction',NULL,36,NULL,10828,'Automatiserad dataextrahering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#AutomatedDataExtraction',503),(12558,'Datorstödd personlig intervju. Intervjuaren läser frågor för respondenterna från en datorskärm eller mobil enhet (t.ex. surfplatta eller mobiltelefon) och skriver in svaren direkt i datorn. Intervjun hanteras med ett program som utvecklats för detta syfte.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7897,10775,'Personlig intervju: CAPI/CAMI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.FaceToFace.CAPIorCAMI',503),(12559,'En gruppdiskussion om ett visst ämne som anordnats i forskningssyfte. Deltagarna har valts ut med hänsyn till ämnet och interaktionen mellan deltagarna utgör en del av forskningsmetoden.','FocusGroup',NULL,14,5270,10746,'Fokusgrupp','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#FocusGroup',503),(12560,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som skapats och samlats in på papper.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7908,10787,'Självadministrerad text och/eller dagböcker: papper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredWritingsAndDiaries.Paper',503),(12561,'Upptagning, på mekanisk eller elektronisk väg, på sådant sätt att informationen kan återfås och/eller återskapas. Exempel: bilder eller ljud på en cd eller ett magnetband.','Recording',NULL,34,5290,10766,'Inspelning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Recording',503),(12562,'Inhämtning av information från datakällor online via ett API (Application Programming Interface) för att spara informationen som en lokal fil eller databas för ytterligare behandling eller lagring.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,'Automatiserad dataextrahering: API-förfrågan','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#AutomatedDataExtraction.ApiQuery',503),(12563,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som samlats in från Internet-källor, t.ex. webbplatser, bloggar, diskussionsforum.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7909,10756,'Självadministrerad text och/eller dagböcker: webbaserat','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredWritingsAndDiaries.WebBased',503),(12564,'Bedömning av kunskap, förmågor, begåvning eller inlärningsförmåga med hjälp av specialiserade mätredskap och tester.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5298,10758,'Pedagogiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#MeasurementsAndTests.Educational',503),(12565,'Självadministrerad surveyundersökning där frågor och svar inkluderas i SMS (textmeddelanden) eller MMS (meddelanden med multimedia-innehåll) som skickas mellan mobiltelefoner.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7903,10768,'Självadministrerat frågeformulär: SMS/MMS','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire.SMSorMMS',503),(12566,'Presentation av information i sammandrag, som reducerats till sitt viktigaste innehåll. Exempel: Abstrakt från intervjuer eller rapporter publiceras och används som data istället för de fullständiga intervjuerna eller rapporterna.','Summary',NULL,43,5294,10769,'Sammanfattning','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Summary',503),(12567,'Laboratorieobservation som utförs utan interaktion mellan forskaren och dennes forskningsobjekt.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5284,10778,'Icke-deltagande laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Laboratory.Nonparticipant',503),(12568,'Fokusgruppens diskussion förs interaktivt över Internet. Kallas även IT-stödd fokusgrupp.','FocusGroup.Online','FocusGroup',17,5273,10784,'Fokusgrupp: virtuell','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#FocusGroup.Online',503),(12569,'Narrativ, berättelser, dagböcker och andra nedskrivna texter som skickas in via e-post.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7907,10779,'Självadministrerad text och/eller dagböcker: e-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredWritingsAndDiaries.Email',503),(12570,'Intervju som genomförs via e-post, vanligtvis över flera meddelanden som möjliggör att diskussionen fortsätter från den första uppsättningen av frågor och svar eller det första utbytet av e-brev.','Interview.Email','Interview',6,7895,10743,'E-postintervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.Email',503),(12571,'Datorstödd telefonintervju. Intervjuaren läser frågor för respondenterna från en datorskärm och skriver in svaren direkt i datorn. Intervjun hanteras genom ett program som utvecklats för detta syfte.','Interview.Telephone.CATI','Interview.Telephone',5,7899,10750,'Telefonintervju: CATI','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.Telephone.CATI',503),(12572,'Inhämtning av information från databaser via en förfrågan till databasen om att extrahera enbart den önskade informationen och sedan spara den som en lokal fil eller databas för ytterligare behandling eller lagring.','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,'Automatiserad dataextrahering: databasförfrågan','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#AutomatedDataExtraction.DatabaseQuery',503),(12573,'Bedömning av personlighetsdrag eller psykologiska/beteendemässiga responser genom specialiserade mätredskap eller tester. Exempel: objektiva tester som självskattning med begränsade svarsformat, eller projektiva tester som tillåter öppna svar, inklusive ordassociation, menings- eller berättelsekomplettering, vinjetter, \"cartoon tests\", tematiska apperceptionstester (TAT), rollspel, teckningstester, Rorschachtester, \"choice ordering exercises\" m.m.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5300,10759,'Psykologiska mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#MeasurementsAndTests.Psychological',503),(12574,'Ett experiment som utförs i en naturlig, okontrollerad miljö där forskaren styr en eller flera oberoende variabler. Interventionsstudier och kliniska studier är exempel på fältexperiment.','Experiment.FieldIntervention','Experiment',32,5288,10764,'Fältexperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Experiment.FieldIntervention',503),(12575,'Laboratorieobservation där forskaren interagerar med forskningsobjekten och ofta har en funktion i den sociala situation som observeras. Exempel: observation av barns lek i ett laboratorielekrum där forskaren deltar i leken.','Observation.Laboratory.Participant','Observation.Laboratory',27,5283,10761,'Deltagande laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Laboratory.Participant',503),(12576,'En närvarande intervjuare genomför en personlig intervju genom att ställa frågor och notera svaren. Använd denna bredare term om det inte rör sig om CAPI eller PAPI, eller om det inte är känt huruvida det rör sig om CAPI/PAPI eller inte.','Interview.FaceToFace','Interview',1,7893,10776,'Personlig intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.FaceToFace',503),(12577,'Att nedteckna information från en annan källa eller från ett annat medium, alfabet eller notationssystem, som till exempel vetenskapliga formler eller noter för musik. För transkriberade intervjuer och observationer rekommenderas det att man dokumenterar den primära insamlingsmetoden med någon av termerna för intervjuer eller observationer.','Transcription',NULL,41,5292,10745,'Transkription','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Transcription',503),(12578,'Ett experiment som utförs i en kontrollerad, konstgjord fysisk miljö där forskaren styr en eller flera oberoende variabler och mäter dess/deras effekt på den beroende variabeln.','Experiment.Laboratory','Experiment',31,5287,10772,'Laboratorieexperiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Experiment.Laboratory',503),(12579,'Bedömning av varelsers, föremåls, fenomens (och/eller processers) särskilda egenskaper (eller karakteristiska) genom att tillämpa förutbestämda standarder och/eller specialiserade instrument eller tekniker.','MeasurementsAndTests',NULL,46,5297,10780,'Mätningar och tester','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#MeasurementsAndTests',503),(12580,'Används när datainsamlingsmetoden är känd men saknas i listan.','Other',NULL,50,5301,10765,'Övrigt','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Other',503),(12581,'Forskningsmetod som omfattar att styra vissa eller alla oberoende variabler som ingår i hypotesen.','Experiment',NULL,30,5286,10763,'Experiment','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Experiment',503),(12582,'Narrativ, berättelser, dagböcker och andra nedskrivna texter skapade av forskningspersonerna.','SelfAdministeredWritingsAndDiaries',NULL,18,7906,10767,'Självadministrerad text och/eller dagböcker','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredWritingsAndDiaries',503),(12583,'Självadministrerad surveyundersökning som använder traditionella frågeformulär på papper, vilka skickas ut och/eller in via post eller fax, eller lämnas över personligen av antingen intervjuaren eller intervjuobjektet.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7902,10757,'Självadministrerat frågeformulär: papper','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire.Paper',503),(12584,'Fältobservation där forskaren interagerar med forskningsobjekten och ofta har en funktion i den sociala situation som observeras.','Observation.Field.Participant','Observation.Field',24,5280,10770,'Deltagande fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Field.Participant',503),(12585,'Statistik som rör breda klasser, grupper eller kategorier. Datamaterialet består av genomsnitt, totalsummor eller andra värden som har härletts från data på individnivå, och det går inte längre att utläsa individernas egenskaper inom dessa klasser, grupper eller kategorier. Exempel: antal och ålderskategorier för arbetslösa inom särskilda geografiska områden, eller statistik på nationsnivå över förekomsten av särskilda brott som ursprungligen härletts från statistik från enskilda polisdistrikt.','Aggregation',NULL,44,5295,10755,'Aggregation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Aggregation',503),(12586,'Observation som utförs i en kontrollerad, konstgjord miljö. Exempel: observation av barns lek i ett laboratorielekrum.','Observation.Laboratory','Observation',26,5282,10774,'Laboratorieobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Laboratory',503),(12587,'Självadministrerad surveyundersökning där frågor skickas till respondenten i brödtexten på, eller som en bilaga till, ett e-brev, inte som en länk till ett frågeformulär på webben. Svaren skickas tillbaka med e-post, i brödtexten eller som bilaga.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7901,10783,'Självadministrerat frågeformulär: e-post','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire.Email',503),(12588,'Som en metod för sekundär datainsamling tillämpar innehållskodning  kodningstekniker för att omvandla kvalitativa data (text-, ljud-, video-, eller stillbildsdata) som ursprungligen skapats för andra syften till kvantitativa data (uttryckta i en matris med enheter och variabler) enligt fördefinierade kategoriseringsscheman. Exempel: kodade partiprogramsdata som i \"European Parliament Election Study 2009, Manifesto Study\" (DOI: 10.4232/1.10204).','ContentCoding',NULL,40,5291,10762,'Kodning av innehåll','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#ContentCoding',503),(12589,'Computer-assisted self-interview (CASI). Respondenterna noterar själva sina svar i en dator (stationär eller bärbar, Palm/PDA, surfplatta e. dyl.). Frågeformuläret administreras med ett datorprogram som utvecklats för detta syfte men data överförs inte i realtid som i fallet med CAWI: svaren lagras på datorn som används för intervjun. Frågeformuläret kan vara statiskt eller interaktivt. Omfattar VCASI (Video Computer-Assisted Self-Interview), ACASI (Audio computer-assisted self-interview) och TCASI (Telephone audio computer-assisted self-interview).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7905,10744,'Självadministrerat frågeformulär: med datorstöd (CASI)','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire.CASI',503),(12590,'Modellering eller imiterande representation av processer, händelser eller system i den verkliga världen, ofta skapade med datorprogram. Exempel: ett program som modellerar hur hushållens konsumtion svarar på förändringar i indirekta skatter; eller ett dataset över hypotetiska patienter och deras droganvändning, bakgrundsförhållanden och kända negativa händelser.','Simulation',NULL,45,5296,10782,'Simulering','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Simulation',503),(12591,'Observation som utförs i en naturlig, icke-kontrollerad miljö utan interaktion mellan forskaren och dennes forskningsobjekt.','Observation.Field.Nonparticipant','Observation.Field',25,5281,10754,'Icke-deltagande fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Field.Nonparticipant',503),(12592,'Planerad kommunikation mellan två (eller flera) personer – intervjuare och intervjuobjekt – där intervjuaren/-na får information från intervjuobjektet/-en. Använd \"Fokusgrupp\" om gruppinteraktion är del av metoden.','Interview',NULL,0,7892,10748,'Intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview',503),(12593,'Intervju som genomförs över telefon. Använd denna bredare term om det inte rör sig om CATI, eller om det inte är känt huruvida det rör sig om CATI.','Interview.Telephone','Interview',4,7894,10771,'Telefonintervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.Telephone',503),(12594,'Observation som utförs i en naturlig miljö.','Observation.Field','Observation',23,5279,10749,'Fältobservation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation.Field',503),(12595,'Respondenten läser eller lyssnar på frågorna och skriver själv in svaren; ingen intervjuare är närvarande eller deltar i administrerandet av frågeformuläret. Använd om möjligt en smalare term. Använd denna bredare term om metoden inte beskrivits av någon av de mer precisa termerna, till exempel för frågeformulär i PDF-format eller på diskett.','SelfAdministeredQuestionnaire',NULL,8,7900,10751,'Självadministrerat frågeformulär','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#SelfAdministeredQuestionnaire',503),(12596,'Fokusgruppens diskussion förs över telefon.','FocusGroup.Telephone','FocusGroup',16,5272,10788,'Fokusgrupp: telefon','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#FocusGroup.Telephone',503),(12597,'Insamling av information om objekt eller företeelser utan att ha fysisk kontakt med dem. Insamlingen görs med fjärrsensorer på satelliter och luftfartyg (t.ex. flygplan, drönare, väderballonger). Fjärranalys används ofta för att samla in information om jorden och dess atmosfär och hav, t.ex. skadebedömning efter jordbävningar eller skogsbränder. Tekniken används även för bland annat militära, affärsmässiga och ekonomiska syften.','Recording.RemoteSensing','Recording',35,NULL,10789,'Inspelning: fjärranalys','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Recording.RemoteSensing',503),(12598,'Forskningsmetod som omfattar att samla in data om företeelser när de uppträder (t.ex. observationer av beteenden, händelser m.m.) utan att försöka påverka några av de oberoende variablerna.','Observation',NULL,22,5278,10773,'Observation','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Observation',503),(12599,'Intervju som genomförs över Internet. Exempel inkluderar intervjuer genomförda på onlineforum eller med hjälp av webbaserad audiovisuell teknik som tillåter att intervjuare och intervjuobjekt kan kommunicera i realtid.','Interview.WebBased','Interview',7,7896,10753,'Webbaserad intervju','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#Interview.WebBased',503),(12600,'Fokusgruppens medlemmar träffas på samma plats för att diskutera.','FocusGroup.FaceToFace','FocusGroup',15,5271,10777,'Fokusgrupp: traditionell','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html#FocusGroup.FaceToFace',503),(12601,'Observation qui a été conduite dans un configuration contrôlée, artificiellement créée. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire.','Observation.Laboratory','Observation',26,7306,10774,'Observation en laboratoire',NULL,497),(12602,'Des récits, des histoires, des journaux intimes, et des textes écrits provenant d\'Internet, e. g. des sites Internet, des blogs, des forums de discussion.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7295,10756,'Écrits et / ou journaux intimes auto-administrés : en ligne',NULL,497),(12603,'Observation qui a été conduite dans un environnement naturel.','Observation.Field','Observation',23,7278,10749,'Observation sur le terrain',NULL,497),(12604,'Méthode de recherche qui consiste à collecter des données au fur et à mesure qu\'elle se produisent (par exemple, observation de comportements, d’événements, de l\'évolution d\'un état ou d\'une maladie, etc.), sans tentative de manipuler aucune des variables indépendantes.','Observation',NULL,22,7267,10773,'Observation',NULL,497),(12605,'Type d\'observation dans lequel les données relatives à l\'utilisation de l\'ordinateur ont été collectées par un logiciel qui peut être intégré dans un programme informatique lui-même ou qui peut être un programme séparé. Des informations peuvent être collectées à propos du nombre d\'utilisateurs, les façons dans lesquels les utilisateurs interagissent avec le(s) programme(s), combien de temps ils passent sur une page, comment ils utilisent des sections spécifiques des applications, comment ils naviguent d\'une page à l\'autre ou d\'une application à l\'autre, etc.','Observation.ComputerBased','Observation',29,7289,10785,'Observation assisté par ordinateur',NULL,497),(12606,'Entretien auto-administré assisté par ordinateur (CASI). Des répondants entrent les réponses dans un ordinateur (ordinateur de bureau, ordinateur portable, Palm / assistant personnel, tablette, etc.) par eux-mêmes. L\'administration du questionnaire est gérée par un programme / une application spécialement conçu mais il n\'y a pas de transfert de données en temps réel comme dans un CAWI, les réponses sont stockées sur l\'appareil utilisé pour l\'entretien. Le questionnaire peut être figé ou interactif. Sont inclus les VCASI (entretien vidéo auto-administré assisté par ordinateur), les ACASI (entretien audio auto-administré assisté par ordinateur) et les TACASI (entretien auto-administré par téléphone assisté par ordinateur).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7299,10744,'Questionnaire auto-administré : assisté par ordinateur (CASI)',NULL,497),(12607,'Évaluation des propriétés physiques d\'êtres vivants, d\'objets, de matériaux, ou de phénomènes naturels. Par exemple, des résultats d\'examens cliniques (e. g. palpation, auscultation), mesures cliniques and tests de laboratoire comme analyse de sang, pression sanguine, rythme cardiaque, poids et taille du corps, de même que des mesures générales de temps, de distance, de masse, de température, de force, de puissance, de vitesse, de données de localisation sur des mouvements physiques ou d\'autres paramètres ou variables physiques comme des données géospatiales.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,7284,10752,'Mesures et tests de caractéristiques physiques',NULL,497),(12608,'Une expérimentation conduite dans une configuration virtuelle du Web, dans laquelle des matériaux expérimentaux sont programmés pour mettre en œuvre des situations ou des évènements artificiels pour être étudiés dans un environnement distribué. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, &amp; M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,7304,10747,'Expérimentation par Internet',NULL,497),(12609,'Évaluation de connaissances, de compétences, d\'aptitudes, ou de résultats scolaires au moyen de mesures ou tests spécialisés.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,7303,10758,'Mesures et tests d\'enseignement',NULL,497),(12610,NULL,'AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,NULL,NULL,497),(12611,'Les discussions du focus group se font par l\'Internet de façon interactive.','FocusGroup.Online','FocusGroup',17,7268,10784,'Focus group en ligne',NULL,497),(12612,'Type d\'observation sur le terrain dans lequel le chercheur interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation.','Observation.Field.Participant','Observation.Field',24,7281,10770,'Observation participante sur le terrain',NULL,497),(12613,'Une expérimentation conduite dans une configuration naturelle, non contrôlée, dans laquelle le chercheur manipule une ou plusieurs variables indépendantes. Des études cliniques sont un exemple d\'expérimentations sur le terrain.','Experiment.FieldIntervention','Experiment',32,7294,10764,'Expérimentation sur le terrain',NULL,497),(12614,'Utilisez si le mode de collecte est connu, mais pas présent dans la liste.','Other',NULL,50,7280,10765,'Autre',NULL,497),(12615,'Entretien par Internet assisté par ordinateur (CAWI). Des données sont collectées en utilisant un questionnaire en ligne, produit avec un programme de création d\'enquête en ligne. Le programme peut personnaliser le déroulement du questionnaire en fonction des réponses fournies, et peut permettre au questionnaire de contenir des images, des clips audio et vidéo, des liens vers différentes pages Web, etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7288,10786,'Questionnaire auto-administré : par Internet (CAWI)',NULL,497),(12616,NULL,'Recording.RemoteSensing','Recording',35,NULL,10789,NULL,NULL,497),(12617,'Modélisation ou représentation imitative de processus, d’événements ou de systèmes réels, utilisant souvent des programmes informatiques. Par exemple, un programme modélisant des réactions de la consommation des ménages aux changement des impôts indirects ; ou un jeu de données sur des patients hypothétiques et leur exposition aux médicaments, aux conditions environnementales, et aux effets indésirables connus.','Simulation',NULL,45,7291,10782,'Simulation',NULL,497),(12618,'Les participants du focus group se rencontrent en personne pour mener la discussion.','FocusGroup.FaceToFace','FocusGroup',15,7305,10777,'Focus group en face-à-face',NULL,497),(12619,'Collecte et assemblage de données depuis de multiples sources souvent hétérogènes qui ont un ou plusieurs points de référence en commun, et dont au moins une des sources a été produite à l\'origine à d\'autres fins. Les données sont incorporées dans une nouvelle entité. Par exemple, fournir des données sur le nombre d\'universités au cours des 150 dernières années utilisant une variété de sources disponibles (e. g. des documents financiers, des statistiques officielles, des registres universitaires), en combinant les données d\'enquête avec des informations sur les zones géographiques provenant des statistiques officielles (e. g. la densité de population, médecins par habitants, etc.), ou en utilisant RSS pour collecter des articles de blogs ou des tweets, etc.','CompilationSynthesis',NULL,42,7296,10781,'Compilation / synthèse',NULL,497),(12620,'Entretien assisté par ordinateur (CAPI), ou entretien assisté par un appareil mobile (CAMI). Méthode de collecte des données dans laquelle l\'enquêteur lit les questions aux répondants depuis l\'écran d\'un ordinateur, d\'un ordinateur portable ou d\'un appareil mobile tel qu\'une tablette ou un smartphone, et entre les réponses sur le même appareil. L\'administration de l\'entretien est géré par un programme / application spécialement conçue.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7791,10775,'Entretien en face-à-face : assisté par ordinateur (CAPI / CAMI)',NULL,497),(12621,'Type d\'observation en laboratoire qui a été conduite sans aucune interaction entre le chercheur et ses sujets.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,7283,10778,'Observation non-participante en laboratoire',NULL,497),(12622,'Entretiens conduits via e-mail, habituellement consistant en plusieurs courriels qui permettent la discussion qui continue au-delà d\'une première série de questions et de réponses, ou d\'un premier échange de courriels.','Interview.Email','Interview',6,7789,10743,'Entretien par e-mail',NULL,497),(12623,'Statistiques qui concernent des classes, des groupes, ou des catégories. Les données sont calculées en moyenne, additionnées, ou autrement dérivées des données au niveau individuel, et il n\'est plus possible de distinguer les caractéristiques des individus au sein de ces classes, groupes, ou catégories. Par exemple, le nombre et le groupe d\'âge des chômeurs dans des régions géographiques spécifiques, ou des statistiques nationales sur l\'apparition de certaines infractions, tirées originellement des statistiques de différents districts de police.','Aggregation',NULL,44,7307,10755,'Agrégation',NULL,497),(12624,'Enregistrement par des moyens mécaniques ou électroniques, sous une forme qui permet que les informations soient récupérées et / ou reproduites. Par exemple, des images ou des sons sur disque ou bande magnétique.','Recording',NULL,34,7265,10766,'Enregistrement',NULL,497),(12625,'Des récits, des histoires, des journaux intimes, et des textes écrits crées et rassemblés sous forme papier.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7269,10787,'Écrits et / ou journaux intimes auto-administrés : papier',NULL,497),(12626,'Évaluer des propriétés spécifiques (ou caractéristiques) d\'êtres, de choses, de phénomènes, (et / ou processus) en appliquant des standards préétablis et / ou des instruments ou des techniques spécialisés.','MeasurementsAndTests',NULL,46,7292,10780,'Mesures et tests',NULL,497),(12627,'Une expérimentation conduite dans une configuration physique contrôlée, créée artificiellement, dans laquelle un chercheur manipule une ou plusieurs variables indépendantes et mesure son / leur effet sur la variable dépendante.','Experiment.Laboratory','Experiment',31,7279,10772,'Expérimentation en laboratoire',NULL,497),(12628,'Comme un mode secondaire de collecte de données, le codage de contenu applique des techniques de codage pour transformer des données qualitatives (textuel, vidéo, audio, ou image fixe) originalement produites à d\'autres finalités en données quantitatives (exprimées dans des matrices unité-par-variable) en accord avec des schémas de catégorisations prédéfinis. Par exemple, les données recodées des programmes des partis politiques comme les \"L\'Étude électorale du parlement européens 2019, étude des programmes\" (doi:10.4232/1.10204).','ContentCoding',NULL,40,7276,10762,'Codage de contenu',NULL,497),(12629,'Entretien administré par téléphone. Utilisez ce terme si pas CATI, ou si vous ne savez pas si CATI ou pas.','Interview.Telephone','Interview',4,7788,10771,'Entretien téléphonique',NULL,497),(12630,'Enquête auto-administrée dans laquelle les questions sont présentées au répondant dans le corps d\'un e-mail ou dans une pièce jointe, mais pas comme un lien vers une enquête par Internet. Les réponses sont alors renvoyées via e-mail, dans le corps du message ou comme une pièce jointe.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7308,10783,'Questionnaire auto-administré : e-mail',NULL,497),(12631,'Méthode de recherche impliquant la manipulation d\'une partie ou de toutes les variables indépendantes incluses dans les hypothèses.','Experiment',NULL,30,7263,10763,'Expérimentation',NULL,497),(12632,NULL,'AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,NULL,NULL,497),(12633,'Méthode de recueil de données dans laquelle un enquêteur conduit un entretien personnel, posant des questions et écrivant les réponses. Utilisez ce terme si pas CAPI ou PAPI, ou si vous ne savez pas si CAPI/PAPI ou pas.','Interview.FaceToFace','Interview',1,7787,10776,'Entretien en face-à-face',NULL,497),(12634,'Enquête auto-administrée dans laquelle les répondants reçoivent les questions par SMS (messages texte) ou MMS (messages incluant des contenus multimédia) et envoient leurs réponses dans le même format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7300,10768,'Questionnaire auto-administré : par messagerie (SMS / MMS)',NULL,497),(12635,'Un groupe de discussions sur un sujet particulier, organisé à des fins de recherche. Les individus sont sélectionnés en fonction du sujet, et les interactions entre participants sont utilisées dans le cadre de la méthode.','FocusGroup',NULL,14,7282,10746,'Focus group',NULL,497),(12636,'Des récits, des histoires, des journaux intimes, et des textes écrits crées par le sujet de recherche.','SelfAdministeredWritingsAndDiaries',NULL,18,7298,10767,'Écrits et / ou journaux intimes auto-administrés',NULL,497),(12637,'Méthode de collecte de données dans laquelle l\'enquêté lit ou écoute les questions et saisit les réponses par lui-même ; aucun enquêteur n\'est présent, ou participe à l\'administration du questionnaire. Si possible, utilisez un terme plus précis. Utilisez ce terme si la méthode n\'est pas décrite par aucun des termes plus précis - par exemple, pour les questionnaires PDF ou sur disquette.','SelfAdministeredQuestionnaire',NULL,8,7266,10751,'Questionnaire auto-administré',NULL,497),(12638,'Des récits, des histoires, des journaux intimes, et des textes écrits soumis par courriel.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7290,10779,'crits et / ou journaux intimes auto-administrés : e-mail',NULL,497),(12639,NULL,'AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,NULL,NULL,497),(12640,'Un échange prévu entre deux (ou plusieurs) personnes - l(es) enquêteur(s) et l(es) enquêté(s) - dans lequel des informations sont obtenus par l(es) enquêteur(s) d(es) enquêté(s). Si l\'interaction de groupe fait partie de la méthode, utilisez \"Focus group\"','Interview',NULL,0,7786,10748,'Entretien',NULL,497),(12641,'Collecte des informations par écrit à partir d\'une source différente, ou à partir d\'un support différent, d\'un alphabet, ou d\'une forme de notation, comme des formules scientifiques, ou des notes de musique. Pour des entretiens ou des observations transcrits, il est recommandé de documenter le mode de collecte initial, en utilisant l\'un des termes propres à l\'entretien ou à l\'observation.','Transcription',NULL,41,7286,10745,'Transcription',NULL,497),(12642,'Les discussions du focus group se font par téléphone.','FocusGroup.Telephone','FocusGroup',16,7302,10788,'Focus group par téléphone',NULL,497),(12643,'Un entretien conduit via l\'Internet. Par exemple, des entretiens conduits à l\'intérieur de forums en ligne ou en utilisant des technologies web audio-vidéo qui permettent au(x) enquêteur(s) et au(x) répondant(s) de communiquer en temps réel.','Interview.WebBased','Interview',7,7790,10753,'Entretien par Internet',NULL,497),(12644,'Type d\'observation en laboratoire dans lequel le sujet interagit avec les sujets et joue souvent un rôle dans la situation sociale sous observation. Par exemple, l\'observation du jeu des enfants dans une salle de jeux de laboratoire avec le chercheur prenant part au jeu.','Observation.Laboratory.Participant','Observation.Laboratory',27,7275,10761,'Observation participante en laboratoire',NULL,497),(12645,'Entretien téléphonique assisté par ordinateur (CATI). L\'enquêteur pose des questions selon les directives de l\'ordinateur, des réponses sont saisies directement dans l\'ordinateur et l\'administration de l\'entretien est géré pas un programme spécialement conçu.','Interview.Telephone.CATI','Interview.Telephone',5,7793,10750,'Entretien téléphonique : assisté par ordinateur (CATI)',NULL,497),(12646,'Évaluation des traits de personnalités ou de réponses psychologiques / comportementales au moyen de mesures ou tests spécialisés. Par exemple, des tests objectifs comme mesure d\'auto-évaluation avec un format restreint de réponses, ou des méthodes projectives permettant des réponses libres, incluant l\'association de mots, l\'achèvement de phrase ou d\'histoire, des vignettes, des tests animés, des tests thématiques d\'apperception, du jeu de rôle, des tests de dessin, des tests de tâches d\'encre, des exercices de classement, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,7271,10759,'Mesures et tests psychologiques',NULL,497),(12647,'Entretien avec papier et crayon (PAPI). L\'enquêteur utilise un questionnaire papier traditionnel pour lire les questions et écrire les réponses.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7792,10760,'Entretien en face-à-face : papier et crayon (PAPI)',NULL,497),(12648,NULL,'AutomatedDataExtraction',NULL,36,NULL,10828,NULL,NULL,497),(12649,'Enquête auto-administrée utilisant un traditionnel questionnaire papier distribué et / ou recueilli par courrier (services postaux), par fax, ou en personne par soit par un enquêteur ou par un répondant.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7287,10757,'Questionnaire auto-administré : papier',NULL,497),(12650,'Présentation d\'informations dans une forme condensée, en les réduisant à leurs points importants. Par exemple, des résumés d\'entretiens ou de rapports qui sont publiés et utilisés comme des données plutôt que des entretiens ou des rapports complets.','Summary',NULL,43,7274,10769,'Résumé',NULL,497),(12651,'Observation qui a été conduite dans une configuration naturelle et non contrôlée sans aucune interaction entre le chercheur et ses sujets.','Observation.Field.Nonparticipant','Observation.Field',25,7270,10754,'Observation non-participante sur le terrain',NULL,497),(12652,'Un\'intervista condotta via Internet. Ad esempio, interviste condotte all\'interno di forum online o utilizzando la tecnologia audiovisiva basata sul web che consente all\'intervistatore e agli intervistati di comunicare in tempo reale.','Interview.WebBased','Interview',7,7806,10753,'Intervista web',NULL,498),(12653,'Valutazione delle conoscenze, abilità, attitudini o risultati in ambito educativo mediante misure o test specializzati.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5468,10758,'Misurazioni e test in ambito educativo',NULL,498),(12654,'Metodo di raccolta secondaria dei dati, in cui si applicano le tecniche di codifica del contenuto per trasformare dati qualitativi originariamente prodotti per altri scopi (testi, video, audio o immagini) in dati quantitativi (espressi in forma di matrici) secondo schemi di categorizzazione definiti. Ad esempio, codifica dei dati relativi ai manifesti di partito, come il \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204)','ContentCoding',NULL,40,5461,10762,'Codifica del contenuto',NULL,498),(12655,'La discussione del focus group è condotta via telefono.','FocusGroup.Telephone','FocusGroup',16,5442,10788,'Focus group telefonico',NULL,498),(12656,'Osservazione condotta in un ambiente naturale.','Observation.Field','Observation',23,5449,10749,'Osservazione sul campo',NULL,498),(12657,'Valutazione delle proprietà fisiche di esseri viventi, oggetti, materiali o fenomeni naturali. Per esempio, risultati di esami pratici a livello medico (ad esempio, palpazione o auscultazione), misurazioni cliniche e test di laboratorio come analisi del sangue, pressione sanguigna, frequenza cardiaca, peso corporeo e altezza, nonché misure generali come tempo, distanza, massa, temperatura, forza, potenza, velocità, dati GPS sul movimento fisico e altri parametri o variabili fisici, come i dati geospaziali.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5469,10752,'Misurazioni e test fisici',NULL,498),(12658,'Valutazione dei tratti di personalità o risposte psicologiche/comportamentali mediante misure o test specializzati. Ad esempio, test oggettivi come misure di autovalutazione con un range predefinito, o test proiettivi che consentono risposte libere, incluse associazione di parole, completamento di frasi o storie, vignette, fumetti, test di appercezione tematica, giochi di ruolo, prove di disegno, test macchie di inchiostri, esercizi sulle scelte di ordinamento, ecc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5470,10759,'Misurazioni e test psicologici',NULL,498),(12659,'Valutazione di specifiche proprietà (o caratteristiche) di esseri viventi, cose, fenomeni (e/o processi) applicando standard prestabiliti e/o strumenti o tecniche specializzate.','MeasurementsAndTests',NULL,46,5467,10780,'Misurazioni e test',NULL,498),(12660,'Intervista somministrata via telefono. Utilizzare questo termine più generale se non è CATI, o se non si è in grado di stabilire se lo sia.','Interview.Telephone','Interview',4,7804,10771,'Intervista telefonica',NULL,498),(12661,'Un esperimento condotto in un ambiente naturale, non controllato, in cui il ricercatore manipola una o più variabili indipendenti. Gli interventi o studi clinici sono un esempio di esperimenti sul campo.','Experiment.FieldIntervention','Experiment',32,5458,10764,'Esperimento sul campo / Intervento',NULL,498),(12662,'Tipo di osservazione sul campo nella quale il ricercatore interagisce con i soggetti e spesso ricopre un ruolo nella situazione sociale sotto osservazione.','Observation.Field.Participant','Observation.Field',24,5450,10770,'Osservazione partecipante sul campo',NULL,498),(12663,'Tipo di osservazione in laboratorio in cui il ricercatore interagisce con i soggetti e spesso gioca un ruolo nella situazione sociale sotto osservazione. Ad esempio, osservando il gioco dei bambini in una stanza da gioco ricreata in laboratorio con il ricercatore che partecipa al gioco.','Observation.Laboratory.Participant','Observation.Laboratory',27,5453,10761,'Osservazione partecipante in laboratorio',NULL,498),(12664,'Interviste con carta e penna (PAPI). L\'intervistatore utilizza un tradizionale questionario cartaceo per leggere le domande e inserire le risposte.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7808,10760,'Intervista faccia a faccia: carta e penna (PAPI)',NULL,498),(12665,'Recupero di informazioni da un database attraverso una sua interrogazione con lo scopo di estrarre solo le informazioni necessarie, salvandole in un file locale o in un database per una successiva elaborazione o archiviazione.','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,'Estrazione automatizzata: interrogazione database',NULL,498),(12666,'La discussione del focus group è condotta via Internet in modo interattivo.','FocusGroup.Online','FocusGroup',17,5443,10784,'Focus group online',NULL,498),(12667,'Tecnica di raccolta dei dati in cui il rispondente legge o ascolta le domande e inserisce autonomamente le risposte; nessun intervistatore è presente o partecipa alla somministrazione del questionario. Se possibile, utilizzare un termine più specifico. Utilizzare questo termine più ampio se il metodo non è descritto da nessuno dei termini più specifici, ad esempio per i questionari PDF o trasmessi via floppy disk.','SelfAdministeredQuestionnaire',NULL,8,7810,10751,'Questionario auto-compilato',NULL,498),(12668,'Utilizzo di strumenti automatizzati per recuperare informazioni da fonti di dati e salvarle in un file locale o in un database per una successiva elaborazione o archiviazione. Utilizzare questo termine se non si conosce il tipo di tecnica automatizzata impiegata oppure se la tecnica è nota ma non è presente nell\'elenco.','AutomatedDataExtraction',NULL,36,NULL,10828,'Estrazione automatizzata',NULL,498),(12669,'Osservazione condotta in un ambiente naturale non controllato senza alcuna interazione tra il ricercatore e i soggetti.','Observation.Field.Nonparticipant','Observation.Field',25,5451,10754,'Osservazione non partecipante sul campo',NULL,498),(12670,'Un esperimento condotto nell\'ambiente virtuale del World Wide Web, in cui i materiali sperimentali sono programmati per ricreare situazioni o eventi artificiali da indagare in un ambiente distribuito.','Experiment.WebBased','Experiment',33,5459,10747,'Esperimento web',NULL,498),(12671,'Questionario cartaceo tradizionale auto-compilato, consegnato e/o ritirato per posta (servizi postali), via fax o di persona dall\'intervistatore oppure dall\'intervistato.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7812,10757,'Questionario auto-compilato: cartaceo',NULL,498),(12672,'Intervista web assistita da computer (CAWI). I dati vengono raccolti utilizzando un questionario via web, prodotto con un programma per la creazione di indagini via web. Il programma può personalizzare la struttura del questionario in base alle risposte fornite, e può consentire al questionario di contenere immagini, clip audio e video, collegamenti a pagine web diverse, ecc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7814,10786,'Questionario auto-compilato: web (CAWI)',NULL,498),(12673,'Metodo di ricerca che coinvolge la manipolazione di alcune o tutte le variabili indipendenti incluse nelle ipotesi.','Experiment',NULL,30,5456,10763,'Esperimento',NULL,498),(12674,'Tipo di osservazione in cui vengono raccolti dati riguardanti l\'uso del computer, attraverso software che può essere incorporato nel programma informatico stesso, oppure essere un programma separato. Con questo metodo si possono raccogliere informazioni sul numero di utenti, sui modi in cui gli utenti interagiscono con il programma, sulla quantità di tempo che trascorrono su una pagina, su come utilizzano specifiche sezioni di applicazioni, su come navigano da una pagina all\'altra o da una applicazione all\'altra, ecc.','Observation.ComputerBased','Observation',29,5455,10785,'Osservazione basata su computer',NULL,498),(12675,'Statistiche relative a classi, gruppi o categorie. I dati rappresentano il valore medio, la somma o altre derivazioni dei dati raccolti a livello individuale, che non consentono più di distinguere le caratteristiche degli individui all\'interno di tali classi, gruppi o categorie. Ad esempio, il numero e la fascia di età dei disoccupati in specifiche regioni geografiche, o le statistiche a livello nazionale sul verificarsi di reati specifici, originariamente desunti dalle statistiche dei singoli distretti di polizia.','Aggregation',NULL,44,5465,10755,'Aggregazione',NULL,498),(12676,'Una discussione di gruppo focalizzata su un argomento particolare, organizzata per scopi di ricerca. I singoli individui sono selezionati in base all\'argomento trattato, e l\'interazione tra i partecipanti viene utilizzata come parte della tecnica.\n','FocusGroup',NULL,14,5440,10746,'Focus group',NULL,498),(12677,'Una comunicazione pianificata tra due (o più) persone - l\'intervistatore/i e l\'intervistato/i - in cui le informazioni ottenute dall\'intervistatore sono state rilasciate dagli intervistati. Se l\'interazione di gruppo è parte della tecnica, utilizzare \"Focus group\".','Interview',NULL,0,7802,10748,'Intervista',NULL,498),(12678,'Raccolta di informazioni per iscritto da un\'altra fonte, o da un altro mezzo, alfabeto o forma di notazione, come formule scientifiche o note musicali. Per le interviste o le osservazioni trascritte, si consiglia di documentare la modalità di raccolta dei dati utilizzando uno dei termini del vocabolario relativi all\'intervista o all\'osservazione.','Transcription',NULL,41,5462,10745,'Trascrizione',NULL,498),(12679,'Un esperimento condotto in un ambiente fisico controllato, creato artificialmente, in cui un ricercatore manipola una o più variabili indipendenti e misura il loro effetto sulla variabile dipendente.','Experiment.Laboratory','Experiment',31,5457,10772,'Esperimento in laboratorio',NULL,498),(12680,'I partecipanti al focus group si incontrano di persona per condurre la discussione.','FocusGroup.FaceToFace','FocusGroup',15,5441,10777,'Focus group faccia a faccia',NULL,498),(12681,'Osservazione condotta in un ambiente controllato, creato artificialmente. Ad esempio, osservazione del gioco dei bambini in una stanza da gioco ricreata in laboratorio.','Observation.Laboratory','Observation',26,5452,10774,'Osservazione in laboratorio',NULL,498),(12682,'Tecnica di raccolta dei dati in cui un intervistatore conduce un colloquio personale in presenza, facendo domande e registrando le risposte. Utilizzare questo termine più ampio se l\'intervista non è CAPI o PAPI, o se non si è in grado di stabilire se sia CAPI o PAPI.','Interview.FaceToFace','Interview',1,7803,10776,'Intervista faccia a faccia',NULL,498),(12683,'Auto-compilazione del questionario assistita da computer (CASI). Gli intervistati inseriscono autonomamente le risposte in un computer (desktop, laptop, palmare, tablet, ecc.). La somministrazione del questionario è gestita da un programma/applicazione appositamente progettato, ma non esiste un trasferimento dati in tempo reale come nel CAWI poiché le risposte vengono memorizzate sul dispositivo utilizzato per l\'intervista. Il questionario può essere fisso o interattivo. I tipi di questionario possono essere: VCASI (video assistito), ACASI (audio assistito) e TACASI (assistito via telefono).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7815,10744,'Questionario auto-compilato: computer-assistito (CASI)',NULL,498),(12684,'Questionario auto-compilato in cui le domande vengono presentate all\'intervistato nel corpo del testo di un\'e-mail o come allegato a un\'e-mail, ma non come un collegamento a un questionario somministrato via web. Anche le risposte vengono rispedite via e-mail, nel corpo dell\'e-mail o come allegato.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7811,10783,'Questionario auto-compilato: e-mail',NULL,498),(12685,'Interviste personali assistite da computer (CAPI) o da cellulare (CAMI). Metodo di raccolta dei dati in cui l\'intervistatore legge le domande ai rispondenti dallo schermo di un computer, laptop o dispositivo mobile come un tablet o uno smartphone e inserisce le risposte nello stesso dispositivo. L\'intervista è gestita da un programma/applicazione appositamente progettata.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7807,10775,'Intervista faccia a faccia: computer-assistita (CAPI/CAMI)',NULL,498),(12686,'Utilizzare quando la tecnica di raccolta dei dati è conosciuta, ma non è presente nell\'elenco.','Other',NULL,50,5471,10765,'Altro',NULL,498),(12687,'Narrazioni, storie, diari e testi scritti inviati tramite e-mail.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7817,10779,'Scritti/diari auto-compilati: e-mail',NULL,498),(12688,'Interviste condotte via e-mail, di solito costituite da diversi messaggi di posta elettronica che consentono alla discussione di continuare oltre la prima serie di domande e risposte, oppure dopo il primo scambio di e-mail.','Interview.Email','Interview',6,7805,10743,'Intervista e-mail',NULL,498),(12689,'Registrazione tramite mezzi meccanici o elettronici, in una forma che consente di recuperare e/o riprodurre le informazioni. Ad esempio, registrazioni di immagini o suoni su disco o supporto magnetico.','Recording',NULL,34,5460,10766,'Registrazione',NULL,498),(12690,'Presentazione di informazioni in forma sintetica, riducendole ai punti principali. Ad esempio, abstract di interviste o report che vengono pubblicati e utilizzati come dati, al posto delle interviste o dei report completi.','Summary',NULL,43,5464,10769,'Sintesi',NULL,498),(12691,'Raccolta di informazioni relative ad oggetti o fenomeni senza che vi sia un contatto fisico con essi, utilizzando sensori remoti posizionati su satelliti e apparecchi aeronautici (aerei, droni, palloni sonda). Spesso è utilizzato per raccogliere informazioni sulla superficie terrestre, sull\'atmosfera e sugli oceani. Per esempio, viene utilizzato per la valutazione dei danni causati da un terremoto o da incendi boschivi. La tecnica è usata anche per applicazioni in campo militare, commerciale, economico e di altro tipo.','Recording.RemoteSensing','Recording',35,NULL,10789,'Registrazione: telerilevamento',NULL,498),(12692,'Osservazione condotta in laboratorio senza alcuna interazione tra il ricercatore e i soggetti.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5454,10778,'Osservazione non partecipante in laboratorio',NULL,498),(12693,'Modellazione o rappresentazione finalizzata alla riproduzione di processi, eventi o sistemi reali, spesso utilizzando programmi per computer. Ad esempio, un programma che modella le risposte dei consumi delle famiglie alle variazioni delle imposte indirette; o un dataset relativo a pazienti ipotetici e alla loro esposizione a farmaci, alle condizioni di fondo e ad eventi avversi conosciuti.','Simulation',NULL,45,5466,10782,'Simulazione',NULL,498),(12694,'Raccolta e assemblaggio di dati da più fonti, spesso eterogenee, che hanno uno o più punti di riferimento in comune, e dove almeno una delle fonti è stata originariamente prodotta per altri scopi. I dati sono incorporati in una nuova base di dati. Ad esempio, la raccolta di dati sul numero di università negli ultimi 150 anni attraverso diverse fonti disponibili (ad esempio documenti finanziari, statistiche ufficiali, registri universitari), successivamente combinati con le statistiche ufficiali relative alle aree geografiche (ad es. densità di popolazione, medici pro-capite, ecc.) o con dati provenienti dai social media, ecc.','CompilationSynthesis',NULL,42,5463,10781,'Raccolta/sintesi',NULL,498),(12695,'Tecnica di rilevazione che implica la raccolta di dati nel momento in cui si generano (ad esempio osservando comportamenti, eventi, sviluppo di condizioni o malattie, ecc.), senza tentare di manipolare nessuna delle variabili indipendenti.','Observation',NULL,22,5448,10773,'Osservazione',NULL,498),(12696,'Tecnica utilizzata per estrarre grandi quantità di dati da siti web e salvarli in un file locale o in un database per una successiva elaborazione o archiviazione. Chiamato anche screen scraping, estrazione di dati web, web harvesting, ecc.','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,'Estrazione automatizzata: web scraping',NULL,498),(12697,'Narrazioni, storie, diari e testi scritti creati dai soggetti coinvolti nella ricerca.','SelfAdministeredWritingsAndDiaries',NULL,18,7816,10767,'Scritti/diari auto-compilati',NULL,498),(12698,'Recupero di informazioni da fonti di dati online attraverso una API (Application Programming Interface) per salvarle in un file locale o in un database per una successiva elaborazione o archiviazione.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,'Estrazione automatizzata: interrogazione API',NULL,498),(12699,'Questionario auto-compilato in cui gli intervistati ricevono le domande all\'interno di in SMS (messaggi di testo) o MMS (messaggi che includono contenuti multimediali) e inviano le loro risposte nello stesso formato.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7813,10768,'Questionario auto-compilato: messaggistica (SMS/MMS)',NULL,498),(12700,'Narrazioni, storie, diari e testi scritti creati e raccolti in forma cartacea.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7818,10787,'Scritti/diari auto-compilati: cartaceo',NULL,498),(12701,'Narrazioni, storie, diari e testi scritti raccolti su Internet, ad esempio da siti web, blog, forum di discussione.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7819,10756,'Scritti/diari auto-compilati: web',NULL,498),(12702,'Intervista telefonica assistita da computer (CATI). L\'intervistatore pone le domande indicate dal computer, le risposte sono immesse direttamente nel computer e l\'intervista è gestita da un programma appositamente progettato.','Interview.Telephone.CATI','Interview.Telephone',5,7809,10750,'Intervista telefonica: assistita da computer (CATI)',NULL,498),(12703,'Estatísticas relacionadas com classes, grupos ou categorias amplas. Os dados são representados por médias, totais, ou derivados de dados registados a um nível individual, não sendo mais possível distinguir as características dos indivíduos dentro dessas classes, grupos ou categorias. Por exemplo, o número e a faixa etária dos desempregados em regiões geográficas específicas, ou estatísticas de âmbito nacional sobre a ocorrência de crimes específicos, originalmente derivadas das estatísticas policiais de cada distrito.','Aggregation',NULL,44,6805,10755,'Agregação',NULL,500),(12704,'Questionário de autopreenchimento utilizando um questionário tradicional em papel entregue e/ou recolhido por correio (serviços postais), por fax ou pessoalmente, seja pelo entrevistador ou pelo respondente.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,6775,10757,'Questionário de autopreenchimento: Papel',NULL,500),(12705,'Os participantes do grupo focal encontram-se pessoalmente para participar na discussão.','FocusGroup.FaceToFace','FocusGroup',15,6780,10777,'Focus group presencial',NULL,500),(12706,'Entrevista via web, assistida por computador (Computer Assisted Web Interviewing - CAWI). Os dados são recolhidos através de um questionário na web, produzido com um programa para criar inquéritos na web. O programa pode personalizar o fluxo do questionário de acordo com as respostas e permite que este contenha imagens, clipes de áudio e vídeo, links para diferentes páginas da web, etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,6777,10786,'Questionário de autopreenchimento: via web (CAWI)',NULL,500),(12707,'Questionário de autopreenchimento em que as perguntas são apresentadas ao respondente no corpo do texto de um email ou num anexo de um email, mas não como um link para um questionário baseado na web. As respostas são também devolvidas via email, no corpo do email ou como anexo.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,6774,10783,'Questionário de autopreenchimento: Email/correio eletrónico',NULL,500),(12708,'Entrevistas realizadas via email, consistindo geralmente em várias mensagens de email que permitem que a discussão continue além do primeiro conjunto de perguntas e respostas, ou da primeira troca de emails.','Interview.Email','Interview',6,7534,10743,'Entrevista por email/correio eletrónico',NULL,500),(12709,'Registo por meios mecânicos ou electrónicos, de forma a permitir que a informação seja recuperada e/ou reproduzida. Por exemplo, imagens ou sons em disco ou fita magnética.','Recording',NULL,34,6800,10766,'Gravação',NULL,500),(12710,'Usar se o método de recolha de dados for conhecido, mas não se encontrar na lista.','Other',NULL,50,6795,10765,'Outro',NULL,500),(12711,'A discussão do grupo focal é conduzida pela Internet de forma interativa.','FocusGroup.Online','FocusGroup',17,6782,10784,'Focus group online',NULL,500),(12712,'Tipo de observação em que os dados referentes ao uso do computador são recolhidos através de software que pode estar incorporado no próprio programa do computador, ou pode constituir um programa separado. Pode ser recolhida informação sobre o número de utilizadores, a forma como os utilizadores interagem com o(s) programa(s), quanto tempo passam numa página, como usam secções específicas de aplicações, como navegam de uma página para outra ou de uma aplicação para outra, etc.','Observation.ComputerBased','Observation',29,6794,10785,'Observação assistida por computador',NULL,500),(12713,'Como modo de recolha de dados secundários, a codificação de conteúdo aplica técnicas de codificação para transformar dados qualitativos (textual, vídeo, áudio ou imagem parada) originalmente produzidos para outros propósitos em dados quantitativos (expressos em matrizes unidade-por-variável) de acordo com esquemas de categorização predefinidos. Por exemplo, dados codificados de um programa de partido político, como o \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204).','ContentCoding',NULL,40,6801,10762,'Codificação de conteúdo',NULL,500),(12714,'Avaliação de propriedades físicas de seres vivos, objetos, materiais ou fenómenos naturais. Por exemplo, descobertas de exames médicos práticos (por exemplo, palpação ou auscultação), medições clínicas e testes laboratoriais, como análise sanguínea, pressão arterial, frequência cardíaca, peso e altura, assim como medidas gerais, por exemplo, de tempo, distância, massa, temperatura, força, potência, velocidade, dados de GPS sobre movimento físico e outros parâmetros ou variáveis físicos, como dados geoespaciais.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,6809,10752,'Medidas e testes físicos',NULL,500),(12715,'Método de investigação que envolve a recolha de dados conforme eles ocorrem (por exemplo, observando comportamentos, eventos, desenvolvimento de uma condição ou doença, etc.), sem tentar manipular nenhuma das variáveis independentes.','Observation',NULL,22,6787,10773,'Observação',NULL,500),(12716,'Questionário de autopreenchimento em que os respondentes recebem as perguntas incorporadas em SMS (mensagens de texto) ou MMS (mensagens que incluem conteúdo multimédia) e enviam as suas respostas no mesmo formato.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,6776,10768,'Questionário de autopreenchimento: Mensagem (SMS/MMS)',NULL,500),(12717,'Narrativas, histórias, diários e textos escritos enviados por mensagens de email.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7537,10779,'Textos e/ou diários de autopreenchimento: Email',NULL,500),(12718,'Recolha de informações sobre objetos ou fenómenos sem contato físico com os mesmos, por meio de sensores remotos em satélites e aeronaves (aviões, drones, balões meteorológicos). Método frequentemente usado para obter informações sobre a superfície da Terra, atmosfera e oceanos. Por exemplo, avaliação de danos após um terramoto ou incêndios florestais. A técnica também é usada para aplicações militares, comerciais, económicas e outras.','Recording.RemoteSensing','Recording',35,NULL,10789,'Sensoriamento remoto ou deteção remota',NULL,500),(12719,'Entrevistas realizadas via Internet. Por exemplo, entrevistas conduzidas em fóruns online ou utilizando tecnologia audiovisual baseada na web que permite ao(s) entrevistador(es) e entrevistado(s) comunicar em tempo real.','Interview.WebBased','Interview',7,7535,10753,'Entrevista via web (online)',NULL,500),(12720,'Recolha e compilação de dados de fontes múltiplas, muitas vezes heterogéneas, que possuem um ou mais pontos de referência em comum, e pelo menos uma das fontes foi originalmente produzida para outras finalidades. Os dados são incorporados numa nova entidade. Por exemplo, providenciar dados sobre o número de universidades nos últimos 150 anos usando uma variedade de fontes disponíveis (por exemplo, documentos financeiros, estatísticas oficiais, registos universitários), combinando dados de inquéritos com informações sobre áreas geográficas a partir de estatísticas oficiais (por exemplo, densidade populacional, médicos per capita, etc.), ou com dados dos media sociais, etc.','CompilationSynthesis',NULL,42,6803,10781,'Compilação/síntese',NULL,500),(12721,'Método de recolha de dados em que o respondente lê ou ouve as perguntas e ele mesmo insere as respostas; nenhum entrevistador está presente, ou participa da administração do questionário. Se possível, usar um termo mais restrito. Usar este termo mais amplo se o método não for descrito por nenhum dos termos mais restritos - por exemplo, questionários em pdf ou em disquete.','SelfAdministeredQuestionnaire',NULL,8,6773,10751,'Questionário de autopreenchimento',NULL,500),(12722,'Uso de meios automatizados para obter informações de fontes de dados e salvá-las num ficheiro local ou banco de dados, para posterior processamento ou armazenamento. Usar este termo se não se souber o tipo de técnica automatizada que foi usada, ou se a técnica for conhecida, mas não listada como um termo mais restrito.','AutomatedDataExtraction',NULL,36,NULL,10828,'Extração de dados automatizada',NULL,500),(12723,'Avaliação de conhecimentos, competências, aptidões ou desempenhos educacionais por meio de medidas ou testes específicos.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,6808,10758,'Medidas e testes educacionais',NULL,500),(12724,'Avaliação de propriedades específicas (ou características) de seres, coisas, fenómenos (e/ou processos) aplicando padrões pré-estabelecidos e/ou técnicas e instrumentos específicos.','MeasurementsAndTests',NULL,46,6807,10780,'Medidas e testes',NULL,500),(12725,'Entrevista realizada pelo telefone. Usar este termo mais amplo se não for CATI, ou se não souber se é CATI ou não.','Interview.Telephone','Interview',4,7532,10771,'Entrevista telefónica',NULL,500),(12726,'Observação que é conduzida/realizada em ambiente controlado e artificialmente criado. Por exemplo, observação das brincadeiras das crianças numa sala de jogos de laboratório.','Observation.Laboratory','Observation',26,6791,10774,'Observação em laboratório',NULL,500),(12727,'Narrativas, histórias, diários e textos escritos recolhidos de fontes da Internet, por ex. sites, blogs, fóruns de discussão.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7539,10756,'Textos e/ou diários de autopreenchimento: Online/via web',NULL,500),(12728,'Método de pesquisa que envolve a manipulação de algumas ou de todas as variáveis independentes incluídas nas hipóteses.','Experiment',NULL,30,6796,10763,'Estudo experimental',NULL,500),(12729,'Apresentação de informação de forma resumida, reduzindo-a aos seus pontos principais. Por exemplo, resumos de entrevistas ou de relatórios que são publicados e usados como dados, em vez de entrevistas ou relatórios completos.','Summary',NULL,43,6804,10769,'Sumário/resumo',NULL,500),(12730,'Modelação ou representação por imitação de processos, eventos ou sistemas do mundo real, utilizando geralmente programas de computador. Por exemplo, um programa que modela as respostas do consumo das famílias às mudanças tributárias indiretas; ou um conjunto de dados em pacientes hipotéticos e a sua exposição a drogas, condições do contexto e eventos adversos conhecidos.','Simulation',NULL,45,6806,10782,'Simulação',NULL,500),(12731,'Entrevista de grupo sobre um tópico específico, organizada para fins de investigação. Os indivíduos são selecionados em função da sua relevância para o tópico e a interação entre os participantes é usada como parte do método.','FocusGroup',NULL,14,6779,10746,'Focus group (grupo focal)',NULL,500),(12732,'Tipo de observação em laboratório realizada sem qualquer interação entre o investigador e os sujeitos observados.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,6793,10778,'Observação não participante em laboratório',NULL,500),(12733,'Recolha de informações a partir de bases de dados através duma consulta da base de dados para extrair apenas as informações necessárias, salvando-as num ficheiro local ou banco de dados, para posterior processamento ou armazenamento.','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,'Extração de dados automatizada: consulta de bases de dados',NULL,500),(12734,'Avaliação de traços de personalidade ou respostas psicológicas/comportamentais por meio de medidas específicas e testes. Por exemplo, testes objetivos como medidas autorreportadas com um formato restrito de resposta, ou métodos projetivos que permitem respostas livres, incluindo associação de palavras, conclusão de frases ou histórias, vinhetas, teste de desenho animado, testes temáticos de percepção, dramatização, testes de desenho, testes de mancha de tinta, exercícios de ordenação de escolha, etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,6810,10759,'Medidas e testes psicológicos',NULL,500),(12735,'A discussão do grupo focal é realizada por telefone.','FocusGroup.Telephone','FocusGroup',16,6781,10788,'Focus group por telefone',NULL,500),(12736,'Método de recolha de dados em que um entrevistador presencial realiza uma entrevista pessoal, colocando as perguntas e inserindo as respostas. Usar este termo mais amplo se não for CAPI ou PAPI, ou se não souber se é CAPI/PAPI.','Interview.FaceToFace','Interview',1,7528,10776,'Entrevista presencial',NULL,500),(12737,'Narrativas, histórias, diários e textos escritos criados/produzidos pelo(s) sujeito(s) da pesquisa.','SelfAdministeredWritingsAndDiaries',NULL,18,7536,10767,'Textos e/ou diários de autopreenchimento',NULL,500),(12738,'Entrevista telefónica assistida por computador (Computer Assisted Telephone Interviewing - CATI). O entrevistador faz perguntas orientado por um computador, as respostas são inseridas diretamente no computador e a realização da entrevista é gerida por um programa especialmente elaborado para o efeito.','Interview.Telephone.CATI','Interview.Telephone',5,7533,10750,'Entrevista telefónica: Assistida por computador  (CATI)',NULL,500),(12739,'Experiência/experimento conduzida/o em ambiente virtual da World Wide Web, no qual materiais experimentais são programados para implementar situações ou eventos artificiais para pesquisa num ambiente distribuído. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, &amp; M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Disponível em: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,6799,10747,'Estudo experimental online/via web',NULL,500),(12740,'Experiência/experimento conduzida/o em ambiente físico controlado, artificialmente criado, no qual o investigador manipula uma ou várias variáveis independentes e mede o seu efeito sobre a variável dependente.','Experiment.Laboratory','Experiment',31,6797,10772,'Estudo experimental em laboratório',NULL,500),(12741,'Experiência/experimento conduzida/o em ambiente natural e não controlado, no qual o investigador manipula uma ou várias variáveis independentes. Estudos clínicos ou de intervenção são um exemplo de experimentações de campo.','Experiment.FieldIntervention','Experiment',32,6798,10764,'Estudo experimental de campo (com intervenção)',NULL,500),(12742,'Entrevista de papel e lápis (PAPI - Paper-and-pencil interviewing). O entrevistador usa um questionário tradicional em papel para ler as perguntas e inserir as respostas.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7531,10760,'Entrevista presencial: Papel e lápis (PAPI)',NULL,500),(12743,'Entrevista pessoal assistida por computador (Computer Assisted Personal Interviewing - CAPI) ou entrevista móvel assistida por computador (Computer Assisted Mobile Interviewing - CAMI). Modo de recolha de dados em que o entrevistador lê perguntas aos entrevistados na tela de um computador, laptop ou dispositivo móvel, como tablet ou smartphone, e insere as respostas no mesmo dispositivo. A administração da entrevista é gerida por um programa especialmente elaborado para o efeito.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7530,10775,'Entrevista presencial: Assistida por computador (CAPI/CAMI)',NULL,500),(12744,'Técnica usada para extrair grandes quantidades de dados a partir de sites e salvá-los num ficheiro local ou banco de dados, para posterior processamento ou armazenamento. Também designada “raspagem de tela”, extração de dados da web, “raspagem web”, etc.','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,'Extração de dados automatizada: recolha de dados via web ou “raspagem web”',NULL,500),(12745,'Observação conduzida em ambiente natural.','Observation.Field','Observation',23,6788,10749,'Observação de campo',NULL,500),(12746,'Tipo de observação no trabalho de campo em que o investigador interage com os sujeitos e, muitas vezes, desempenha um papel na situação social em observação.','Observation.Field.Participant','Observation.Field',24,6789,10770,'Observação participante ',NULL,500),(12747,'Recolha de informações a partir de fontes de dados online através de uma API (Application Programming Interface) para as salvar num ficheiro local ou banco de dados, para posterior processamento ou armazenamento.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,'Extração de dados automatizada: consulta de API’s',NULL,500),(12748,'Entrevista de autopreenchimento assistida por computador (Computer-assisted self-interview - CASI). Os entrevistados inserem as respostas num computador (desktop, laptop, PDA, tablet, etc.) por eles próprios. A administração do questionário é gerida por um programa/aplicação especialmente elaborado para o efeito, mas não há transferência de dados em tempo real, como no CAWI, e as respostas são armazenadas no dispositivo usado para a entrevista. O questionário pode ter um formato fixo ou interativo. Inclui a entrevista auto-administrada de vídeo assistida por computador (VCASI - Video computer-assisted self-interviewing), a entrevista auto-administrada de áudio assistida por computador (ACASI - Audio computer-assisted self-interviewing) e a entrevista de áudio e telefone assistida por computador (TACASI - Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,6778,10744,'Questionário de autopreenchimento: Assistido por computador (CASI)',NULL,500),(12749,'Tipo de observação em laboratório em que o investigador interage com os sujeitos e, muitas vezes, desempenha um papel na situação social em observação. Por exemplo, observação das brincadeiras das crianças numa sala de jogos de laboratório com o investigador a participar no jogo.','Observation.Laboratory.Participant','Observation.Laboratory',27,6792,10761,'Observação participante em laboratório',NULL,500),(12750,'Narrativas, histórias, diários e textos escritos criados e recolhidos em papel.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7538,10787,'Textos e/ou diários de autopreenchimento: Papel',NULL,500),(12751,'Recolha de informações por escrito de uma fonte diferente ou através de um meio diferente, alfabeto ou forma de anotação, como fórmulas científicas ou notas musicais. Para entrevistas ou observações transcritas, recomenda-se documentar o modo de recolha principal, usando um dos termos no âmbito dos tópicos mais gerais \'entrevista\' ou \'observação\'.','Transcription',NULL,41,6802,10745,'Transcrição',NULL,500),(12752,'Observação que é conduzida/realizada em ambiente natural, não controlado, sem qualquer interação entre o investigador e os sujeitos observados.','Observation.Field.Nonparticipant','Observation.Field',25,6790,10754,'Observação não participante',NULL,500),(12753,'Uma comunicação pré-planeada entre duas (ou mais) pessoas - o(s) entrevistador(es) e o(s) entrevistado(s) - em que a informação é obtida pelo(s) entrevistador(es) do(s) entrevistado(s). Se a interação no grupo fizer parte do método, usar \"Focus group\".','Interview',NULL,0,7527,10748,'Entrevista',NULL,500),(12754,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään kasvokkain.','FocusGroup.FaceToFace','FocusGroup',15,5133,10777,'Kohderyhmäkeskustelu: kasvokkainen keskustelu',NULL,496),(12755,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa. Tutkija on vuorovaikutuksessa tutkittavien kanssa ja hänellä on usein jokin rooli tutkimuksen kohteena olevassa sosiaalisessa tilanteessa. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa, jossa tutkija ottaa osaa leikkiin.','Observation.Laboratory.Participant','Observation.Laboratory',27,5145,10761,'Havainnointi: laboratoriohavainnointi: osallistuva',NULL,496),(12756,'Tilastollinen tieto, jossa yksittäisiä havaintoyksiköitä koskevat tiedot ovat keskiarvoistettu, yhteenlaskettu tai jotenkin muuten yhdistetty laajempaa ryhmää koskevaksi tiedoksi siten, että yksittäisen havaintoyksiköiden tiedot eivät ole enää erotettavissa. Esimerkkejä: Kansallinen rikostilasto, joka yhteenlaskettu yksittäisten poliisipiirien tilastoista, tai kuukausittainen hintaindeksi, joka on keskiarvo yksittäisten hyödykkeiden hinnoista.','Aggregation',NULL,44,5157,10755,'Aggregointi',NULL,496),(12757,'Verkon välityksellä tehty haastattelu, esimerkiksi verkkokeskustelufoorumilla tai käyttäen teknologiaa, jonka avulla haastattelija ja haastateltava(t) voivat keskustella samanaikaisesti (chat, skype, videokonferenssit).','Interview.WebBased','Interview',7,7842,10753,'Verkkohaastattelu',NULL,496),(12758,'Computer-assisted telephone interviewing (CATI). Haastattelija lukee kysymykset tietokoneelta puhelimessa ja tallentaa haastateltavan vastaukset suoraan tietokoneelle.','Interview.Telephone.CATI','Interview.Telephone',5,7845,10750,'Puhelinhaastattelu: tietokoneavusteinen (CATI)',NULL,496),(12759,'Tiedonkeruu etämittauksella, käyttäen satelliitteihin tai ilma-aluksiin (lentokoneet, dronet, helikopterit, sääpallot) sijoitettuja mittalaitteita. Mittattavaan kohteeseen tai ilmiöön ei ole fyysistä kontaktia. Menetelmää käytetään usein Maan pinnan, ilmakehän tai vesistöjen havainnointiin, esimerkiksi vahinkojen arviointiin maanjäristysten tai metsäpalojen jälkeen. Etämittausta voidaan käyttää myös sotilaallisissa, kaupallisissa tai muissa sovelluksissa.','Recording.RemoteSensing','Recording',35,NULL,10789,'Kaukokartoitus',NULL,496),(12760,'Luonteenpiirteiden ja käyttäytymismallien tutkiminen tarkoitusta varten kehitettyjen testien avulla. Esimerkiksi: Luonteenpiirteiden itseraportointi, eläytymismenetelmät. Tarvittaessa voidaan käyttää yhdessä muiden aineistonkeruumenetelmätermien kanssa (esimerkiksi masentuneisuusaste-testi osana kyselylomaketta).','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5162,10759,'Mittaukset ja testit: psykologisten ominaisuuksien mittaaminen',NULL,496),(12761,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Tutkija ja tutkittavat eivät ole lainkaan vuorovaikutuksessa keskenään. Kutsutaan myös suoraksi tai ulkopuoliseksi kenttähavainnoinniksi.','Observation.Field.Nonparticipant','Observation.Field',25,5143,10754,'Havainnointi: kenttähavainnointi: ei-osallistuva',NULL,496),(12762,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään puhelimen välityksellä.','FocusGroup.Telephone','FocusGroup',16,5134,10788,'Kohderyhmäkeskustelu: puhelinkeskustelu',NULL,496),(12763,'Jo olemassa olevasta, alun perin toisiin tarkoituksiin luodusta kvalitatiivisesta aineistosta (esim. tekstiaineistot, ääni- ja kuvatiedostot, valokuvat) muodostetaan kvantitatiivinen aineisto (matriisi) sovittua koodausohjetta käyttäen. Esimerkki: sanomalehtiartikkeleiden sisällön luokittelu annettujen kriteerien mukaan.','ContentCoding',NULL,40,5153,10762,'Sisällönkoodaus',NULL,496),(12764,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Keskustelu käydään verkossa.','FocusGroup.Online','FocusGroup',17,5135,10784,'Kohderyhmäkeskustelu: verkkokeskustelu',NULL,496),(12765,'Osanottajien paperimuotoiset omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7854,10787,'Oma kirjoitus tai päiväkirja: paperimuotoinen kirjoitus',NULL,496),(12766,'Kontrolloidussa, tarkoitusta varten luodussa ympäristössä suoritettu koe, jossa tutkija(t) manipuloivat yhtä tai useampaa riippumatonta muuttujaa ja mittaavat sen vaikutusta riippuvaan muuttujaan.','Experiment.Laboratory','Experiment',31,5149,10772,'Kontrolloitu koe: laboratoriokoe',NULL,496),(12767,'Informaation siirtäminen käsin kirjaamalla toisesta lähteestä tai toisesta formaatista, muodosta tai aakkosjärjestelmästä. Esimerkki: Musiikin esittäminen nuotteina, kemialliset kaavat. Jos aineisto muodostuu havaintomuistiinpanoista tai haastattelulitteroinneista, suositellaan kuvattavaksi ensisijainen keruumenetelmä käyttämällä sopivaa havainnointi- tai haastattelutermiä.','Transcription',NULL,41,5154,10745,'Litterointi',NULL,496),(12768,'Havainnointimenetelmä, jossa kerätään tietoa ihmisten tietokoneen käytöstä ohjelmallisesti. Havainnointiohjelma voi olla sisäänrakennettu tietokoneohjelmaan tai se voi olla erillinen ohjelma. Tietoa voidaan kerätä käyttäjien määristä, heidän tavoistaan käyttää ohjelmaa ja sen toimintoja, navigoinnista jne.','Observation.ComputerBased','Observation',29,5147,10785,'Havainnointi: tietokonepohjainen havainnointi',NULL,496),(12769,'Aineiston taltioiminen mekaanisesti tai elektronisesti tavalla, joka mahdollistaa sen kuuntelun, katselun tai monistamisen. Sisältää mm. valokuvien, videon tai äänen taltioimisen. Esimerkki: Kokousten tai vastaanottojen videoiminen ilman tutkijan läsnäoloa, valokuvista muodostuva aineisto.','Recording',NULL,34,5152,10766,'Taltiointi',NULL,496),(12770,'Luonnollisessa, kontrolloimattomassa ympäristössä suoritettu koe, jossa tutkija(t) manipuloivat yhtä tai useampaa riippumatonta muuttujaa. Esimerkkejä: kliiniset tutkimukset.','Experiment.FieldIntervention','Experiment',32,5150,10764,'Kontrolloitu koe: kenttä- tai interventiokoe',NULL,496),(12771,'Automatisoidut menetelmät tiedon poimimiseksi erilaisista tietolähteistä. Tieto tallennetaan tiedostoon tai tietokantaan myöhempää käsittelyä tai säilytystä varten. Käytä tätä termiä mikäli ei ole tiedossa millaista automatisoitua tiedonpoimintaa on käytetty tai mikäli menetelmä on tiedossa mutta ei sanastossa.','AutomatedDataExtraction',NULL,36,NULL,10828,'Automatisoitu tiedonpoiminta',NULL,496),(12772,'Computer-assisted personal interviewing (CAPI) tai Computer-assisted mobile interviewing (CAMI). Haastattelija lukee kysymykset kannettavalta tietokoneelta, kämmentietokoneelta, tabletista tai älypuhelimesta ja tallentaa haastateltavan vastaukset suoraan laitteeseen.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7843,10775,'Kasvokkainen haastattelu: tietokoneavusteinen (CAPI tai CAMI)',NULL,496),(12773,'Osanottajien sähköpostin välityksellä annetut omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7853,10779,'Oma kirjoitus tai päiväkirja: sähköpostilla saatu',NULL,496),(12774,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa. Tutkija ei ole missään vuorovaikutuksessa tutkittavien kanssa. Kutsutaan myös tarkkailevaksi laboratoriohavainnoinniksi. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa, jossa tutkija ei ota osaa leikkiin.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5146,10778,'Havainnointi: laboratoriohavainnointi: ei-osallistuva',NULL,496),(12775,'Osanottajien verkossa kirjoitetut omat kirjoitukset ja päiväkirjat.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7855,10756,'Oma kirjoitus tai päiväkirja: verkon kautta saatu',NULL,496),(12776,'Ihmisten ja muiden elollisten olioiden, esineiden, materiaalien ja luonnonilmiöiden fyysisten ominaisuuksien mittaaminen. Esimerkkejä: verenpaine, paino ja pituus, voima, etäisyys, lämpötila, nopeus, seismografiset mittaukset, GPS-koordinaatit.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5161,10752,'Mittaukset ja testit: fyysisten ominaisuuksien mittaaminen',NULL,496),(12777,'Osanottaja täyttää kysely- tai ilmoituslomakkeen verkossa itse (Computer-assisted web interviewing, CAWI). Lomake voi olla dynaaminen tai muuttumaton. Dynaamisessa lomakkeessa kysymysten järjestys sekä esitetyt kysymykset riippuvat edeltäviin kysymyksiin annetuista vastauksista. Lomake voi myös sisältää kuvia, video- tai äänitiedostoja, linkkejä toisiin verkkosivuihin jne.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7850,10786,'Itsetäytettävä lomake: verkkolomake',NULL,496),(12778,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Tutkija on vuorovaikutuksessa tutkittavien kanssa ja hänellä on usein jokin rooli tutkinnan kohteena olevassa sosiaalisessa tilanteessa.','Observation.Field.Participant','Observation.Field',24,5142,10770,'Havainnointi: kenttähavainnointi: osallistuva',NULL,496),(12779,'Tiedonpoiminta verkkolähteistä API-rajapinnan (application programming interface) avulla. Poimittu tieto tallennetaan tiedostoon tai tietokantaan myöhempää käsittelyä tai säilytystä varten.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,'Automatisoitu tiedonpoiminta: API-rajapintakysely',NULL,496),(12780,'Tietoa kerätään muodostamalla yhteenveto tai tiivistelmä olennaisista seikoista. Esimerkiksi: Haastatteluista ei tehdä translitteraatioita vaan aineisto muodostuu haastattelujen tiivistelmistä, tai sanomalehtiuutisisten aiheista muodostetaan aineisto tiivistämällä ne pariin lauseeseen. Mikäli kvalitatiivisesta lähdeaineistosta muodostetaan kvantitatiivinen aineisto, käytä termiä \'Sisällönkoodaus\'.','Summary',NULL,43,5156,10769,'Yhteenveto,  lyhennelmä tai tiivistelmä',NULL,496),(12781,'Tietojen kerääminen ja kokoaminen useista, usein heterogeenisistä lähdemateriaaleista, joilla yksi tai useampi yhteinen referenssi. Ainakin yksi lähteistä on olemassa valmiina jo ennestään muita tarkoituksia varten. Kerätyt tiedot yhdistetään uudeksi tutkimusaineistoksi. Esimerkkejä: Tiedon kerääminen suomalaisten yliopistojen historiasta käyttämällä monia eri lähteitä, tai kyselytutkimuksen tietojen yhdistäminen muista tietolähteistä saatuihin tietoihin.','CompilationSynthesis',NULL,42,5155,10781,'Kooste- tai synteesiaineisto',NULL,496),(12782,'Tutkimuksen osanottaja täyttää kysely- tai ilmoituslomakkeen itsenäisesti. Pääluokkaa käytetään, jos ei tiedetä missä muodossa lomake on saatu ja palautettu tai jos ei puhtaasti mikään suppeampi termi.','SelfAdministeredQuestionnaire',NULL,8,7846,10751,'Itsetäytettävä lomake',NULL,496),(12783,'Mittaamalla tai testaamalla saadut tiedot tutkittavien tietotasosta, synnynnäisistä taipumuksista, soveltuvuudesta tai oppimistuloksista. Esimerkkejä: PISA-testit, ylioppilaskokeiden tulokset, yhteiskunnallisen tietämyksen mittari, tai kielellistä tai matemaattista lahjakkuutta mittaavat testit.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5160,10758,'Mittaukset ja testit: tietämyksen, taipumusten, soveltuvuuden ja oppimistulosten mittaaminen',NULL,496),(12784,'Menetelmä suurien tietomäärien haravoimiseksi verkkosivuilta. Haravoitu tieto tallennetaan tiedostoon tai tietokantaan myöhempää käsittelyä tai säilytystä varten. ','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,'Automatisoitu tiedonpoiminta: Verkkosivujen haravointi',NULL,496),(12785,'Tutkimusasetelma, jossa tutkimushypoteesin mukaisesti manipuloidaan yhtä tai useampaa riippumatonta muuttujaa.','Experiment',NULL,30,5148,10763,'Kontrolloitu koe',NULL,496),(12786,'Osanottaja täyttää sähköpostin tekstiosiossa tai sähköpostin liitetiedostona tulleen kyselylomakkeen ja palauttaa sen sähköpostilla. Jos sähköpostissa on vain linkki verkkokyselylomakkeeseen, käytä termiä \'Itsetäytettävä lomake: verkkolomake\'.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7847,10783,'Itsetäytettävä lomake: sähköpostilomake',NULL,496),(12787,'Osanottaja täyttää tekstiviestinä tai mobiililaitekyselynä välitetyn kyselylomakkeen itse ja palauttaa sen samalla teknologialla.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7849,10768,'Itsetäytettävä lomake: tekstiviesti- tai mobiililaitelomake (SMS tai MMS)',NULL,496),(12788,'Osanottajien itse kirjoittamat elämäkerrat, tarinat, päiväkirjat ja muut kirjoitukset.','SelfAdministeredWritingsAndDiaries',NULL,18,7852,10767,'Oma kirjoitus tai päiväkirja',NULL,496),(12789,'Internetissä toteutettu kokeellinen tutkimus, jossa on ohjelmallisesti luotu keinotekoisia virtuaalisia ympäristöjä tai tapahtumia tutkimusta varten. Esimerkki: Keinotekoisen kielen oppimiskoe, virtuaalisen pelikäyttäytymisen koe.','Experiment.WebBased','Experiment',33,5151,10747,'Kontrolloitu koe: virtuaalinen koe',NULL,496),(12790,'Havainnointi suoritetaan luonnollisessa, kontrolloimattomassa ympäristössä. Käytä termiä mikäli ei tiedossa onko osallistuvaa vai ei-osallistuvaa.','Observation.Field','Observation',23,5141,10749,'Havainnointi: kenttähavainnointi',NULL,496),(12791,'Ennalta suunniteltu, haastattelijan ja yhden tai useamman haastateltavan välinen keskustelu, jossa haastattelija saa tietoa tutkimustarkoituksiin. Käytä tarkempaa haastattelutermiä, mikäli mahdollista. Jos haastateltavia on enemmän kuin yksi ja ryhmän keskinäinen vuorovaikutus on tärkeää, käytetään termiä \'Kohderyhmäkeskustelu\'.','Interview',NULL,0,7838,10748,'Haastattelu',NULL,496),(12792,'Paper-and-pencil interviewing (PAPI). Paperilomaketta käyttäen tehty henkilökohtainen haastattelu. Haastattelija lukee kysymykset paperilomakkeelta ja kirjoittaa haastateltavan vastaukset lomakkeelle.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7844,10760,'Kasvokkainen haastattelu: paperikyselylomake (PAPI)',NULL,496),(12793,'Haastattelu tehdään sähköpostin välityksellä. Usein sisältää useita sähköpostiviestejä, jotka mahdollistavat keskustelun jatkumisen alussa esitettyjen kysymysten ja niihin saatujen vastausten jälkeen.','Interview.Email','Interview',6,7841,10743,'Sähköpostihaastattelu',NULL,496),(12794,'Osanottaja täyttää perinteisen paperisen kyselylomakkeen itse. Paperilomake voidaan lähettää tai palauttaa postissa, tai annetaan henkilökohtaisesti.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7848,10757,'Itsetäytettävä lomake: paperinen lomake',NULL,496),(12795,'Ihmisten ja muiden elollisten olioiden, esineiden, materiaalien ja ilmiöiden ominaisuuksien mittaaminen käyttäen etukäteen määriteltyjä standardeja tai tarkoitukseen kehitettyjä mittareita ja tekniikoita.','MeasurementsAndTests',NULL,46,5159,10780,'Mittaukset ja testit',NULL,496),(12796,'Keruumenetelmä, jossa tarkkaillaan tapahtumia, käyttäytymistä, vuorovaikutusta jne. niiden tapahtuessa, ilman minkään riippumattoman muuttujan manipulointia.','Observation',NULL,22,5140,10773,'Havainnointi',NULL,496),(12797,'Kasvokkain tehty yksilö- tai ryhmähaastattelu, jossa haastattelija esittää kysymykset ja taltioi vastaukset. Käytetään silloin, kun haastattelija tallentaa saamansa tiedot haastattelumuistiinpanoilla, tai haastattelu äänitetään tai videoidaan (eli ei mene mihinkään kasvokkaisen haastattelun alaluokkaan).','Interview.FaceToFace','Interview',1,7839,10776,'Kasvokkainen haastattelu',NULL,496),(12798,'Todellisten prosessien, tapahtumien ja systeemien piirteiden tai mahdollisen muuttumisen tutkiminen mallintamalla, usein tietokoneohjelmia käyttäen.','Simulation',NULL,45,5158,10782,'Simulointi',NULL,496),(12799,'Käytä mikäli keruumenetelmä on tiedossa, mutta ei sanastossa. Lisää tarkempi selostus.','Other',NULL,50,5163,10765,'Muu keruumenetelmä',NULL,496),(12800,'Puhelimitse tehty haastattelu. Termiä voi käyttää sekä kvalitatiivisesta että kvantitatiivisesta haastattelusta.','Interview.Telephone','Interview',4,7840,10771,'Puhelinhaastattelu',NULL,496),(12801,'Tutkimustarkoitusta varten järjestetty kohderyhmäkeskustelu tietystä aiheesta. Ryhmän osanottajat valitaan aiheen mukaan ja osanottajien välinen vuorovaikutus on osa tutkimuskohdetta.','FocusGroup',NULL,14,5132,10746,'Kohderyhmäkeskustelu',NULL,496),(12802,'Tietokoneavusteinen itsetäytettävä kyselylomake, jossa vastaaja tallentaa itse vastauksensa tietokoneelle (pöytäkone, kannettava tietokone tai kämmentietokone). Tiedot eivät siirry verkon kautta vaan taltioituvat vain tietokoneelle. Lomake voi olla dynaaminen tai muuttumaton. Termi sisältää myös harvoin käytetyt VCASI:n (Video computer-assisted self-interviewing), ACASI:n (Audio computer-assisted self-interviewing) ja TACASI:n (Telephone audio computer-assisted self-interviewing).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7851,10744,'Itsetäytettävä lomake: tietokoneavusteinen (CASI)',NULL,496),(12803,'Tiedonpoiminta tietokannoista. Tehtyjen kyselyiden avulla tietokannoista poimitaan vain haluttu tieto, joka tallennetaan tiedostoon tai tietokantaan myöhempää käsittelyä tai säilytystä varten.','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,'Automatisoitu tiedonpoiminta: Tietokantakysely',NULL,496),(12804,'Kokeellinen havainnointi kontrolloidussa, tarkoitusta varten luodussa tilassa tai ympäristössä. Esimerkki: Lasten leikkien havainnointi laboratorioon rakennetussa leikkihuoneessa. Käytä tätä termiä mikäli ei ole tiedossa onko laboratoriohavainnointi osallistuvaa vai ei-osallistuvaa.','Observation.Laboratory','Observation',26,5144,10774,'Havainnointi: laboratoriohavainnointi',NULL,496),(12805,'Zajemanje podatkov v pisni obliki iz drugega vira ali iz drugega medija, abecede, ali oblika zapisa, kot so znanstvene formule ali glasbene note. Pri transkriptih intervjujev ali opazovanj je priporočljivo dokumentirati primarni način zbiranja podatkov z uporabo enega od razgovornih ali opazovalnih pogojev.','Transcription',NULL,41,5246,10745,'Prepis',NULL,501),(12806,'Opazovanje, ki se izvaja v naravnem, nekontroliranem okolju brez kakršnekoli interakcije med raziskovalcem in njegovimi/njenimi subjekti.','Observation.Field.Nonparticipant','Observation.Field',25,5235,10754,'Opazovanje na terenu brez udeležbe',NULL,501),(12807,'Ocenjevanje fizičnih lastnosti živih bitij, predmetov, materialov ali naravnih pojavov. Na primer ugotovitve praktičnega zdravniškega pregleda (npr. palpacije ali auskultacije), kliničnih meritev in laboratorijskih preiskav, kot so analiza krvi, krvni talak, srčni utrip, telesna teža in višina ter splošne meritve, kot so čas, razdalja, temperatura, sila, moč, hitrost, podatki GPS o fizičnem gibanju in drugih fizičnih parametrih ali spremenljivkah, kot so geoprostorski podatki.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5253,10752,'Meritve in testiranja fizičnih lastnosti',NULL,501),(12808,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki jih ustvari subjekt raziskave.','SelfAdministeredWritingsAndDiaries',NULL,18,7888,10767,'Samoizpolnjevanje zapisov in/ali dnevnikov',NULL,501),(12809,'Vrsta laboratorijskega opazovanja, ki se izvaja brez kakršnekoli interakcije med raziskovalcem in njegovimi/njenimi subjekti.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5238,10778,'Laboratorijsko opazovanje brez udeležbe',NULL,501),(12810,'Intervju, izveden preko telefona. Uporabite ta širši izraz, če ni CATI, oziroma ne veste, ali je CATI ali ne.','Interview.Telephone','Interview',4,7876,10771,'Telefonski intervju',NULL,501),(12811,'Metoda zbiranja podatkov, pri kateri spraševanec bere ali posluša vprašanja in sam vnaša odgovore; spraševalec ni prisoten niti ne sodeluje pri upravljanju vprašalnika. Če je možno, uporabite ožji izraz. Ta širši izraz uporabite le, če metoda ni opisana z nobenem od ožjih izrazov, npr. za PDF ali vprašalnike na disketi.','SelfAdministeredQuestionnaire',NULL,8,7882,10751,'Vprašalnik za samoizpolnjevanje',NULL,501),(12812,'Eksperiment, ki se izvaja v virtualnem okolju svetovnega spleta, v katerem so eksperimentalni materiali programirani za izvajanje umetnih situacij ali dogodkov, ki jih je treba raziskati v porazdeljenem okolju.','Experiment.WebBased','Experiment',33,5243,10747,'Spletni eksperiment',NULL,501),(12813,'Intervju preko spleta. Na primer, intervjuji izvedeni znotraj spletnih forumov ali z uporabo spletno osnovanih avdio-vizualnih tehnologij, ki omogočajo komunikacijo spraševalca(-cev) in spraševanca(-cev) v realnem času.','Interview.WebBased','Interview',7,7878,10753,'Spletni intervju',NULL,501),(12814,'Statistike, ki se nanašajo na širše razrede, skupine ali kategorije. Podatki so predstavljeni kot povprečja, vsote ali druge izpeljave, na podlagi katerih ni več možno razlikovati med značilnostmi posameznikov znotraj teh razredov, skupin ali kategorij. Na primer, število in starostna skupina brezposelnih v posebnih geografskih regijah ali nacionalne statistike o pojavu poosameznih kaznivih dejanj, ki so bila prvotno izpeljana iz statističnih podatkov posameznih policijskih okrožij.','Aggregation',NULL,44,5249,10755,'Agregacija',NULL,501),(12815,'Računalniško podprto spletno intervjuvanje. Podatki so zbrani z uporabo spletnega vprašalnika, ustvarjenega v programskem orodju za spletno anketiranje. Program lahko tok vprašalnika prilagodi odgovorom na prejšnja vprašanja, omogoča lahko vstavljanje slik ter avdio in video posnetkov, povezave do spletnih strani itd.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7886,10786,'Vprašalnik za samoizpolnjevanje: spletni',NULL,501),(12816,NULL,'AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,NULL,NULL,501),(12817,'Snemanje z mehanskimi ali elektronskimi sredstvi v obliki, ki omogoča, da se informacije prikličejo in/ali reproducirajo. Na primer slike ali zvoki na disku ali magnetnem traku.','Recording',NULL,34,5244,10766,'Snemanje',NULL,501),(12818,'Vprašalnik za samoizpolnjevanje, kjer so spraševancu vprašanja prikazana bodisi kot besedilo v telesu elektronskega sporočila bodisi v priponki, vendar ne kot povezava do spletnega vprašalnika. Prav tako so tudi odgovori poslani preko elektronskega sporočila, bodisi v telesu elektronskega sporočila, bodisi kot priponka.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7883,10783,'Vprašalnik za samoizpolnjevanje: elektronska pošta',NULL,501),(12819,'Vprašalnik za samoizpolnjevanje z uporabo tradicionalnega papirnatega vprašalnika poslanega in/ali prejetega preko tradicionalne poštne storitve, preko faksa ali osebno preko spraševalca ali spraševanca.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7884,10757,'Vprašalnik za samoizpolnjevanje: papirnati',NULL,501),(12820,'Vrsta opazovanja, kjer se podatki o uporabi računalnika zbirajo s programsko opremo, ki se jo lahko vgradi v sam računalniški program ali pa predstavlja ločen program. Lahko se zbirajo informacije o številu uporabnikov, o načinih interakcije uporabnikov z računalniškim(i) programom(-mi), koliko časa porabijo na strani, kako uporabljajo določene dele aplikacije, kako krmarijo po straneh ali med aplikacijami itd.','Observation.ComputerBased','Observation',29,5239,10785,'Računalniško podprto opazovanje',NULL,501),(12821,'Vprašalnik za samoizpolnjevanje, kjer spraševanec prejme vprašanja, vključena v kratkih sporočilih v formatu SMS (tekstovna sporočila) ali MMS (multimedijska sporočila) in odgovore pošlje v enakem formatu.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7885,10768,'Vprašalnik za samoizpolnjevanje: SMS/MMS',NULL,501),(12822,'Fokusna skupina, kjer razprava poteka preko telefona.','FocusGroup.Telephone','FocusGroup',16,5226,10788,'Telefonska fokusna skupina',NULL,501),(12823,'Računalniško podprto telefonsko intervjuvanje. Spraševanec postavlja vprašanja, ki jih ponuja računalnik, odgovori se vnašajo neposredno v računalnik in intervju upravlja posebej za to zasnovan program.','Interview.Telephone.CATI','Interview.Telephone',5,7881,10750,'Telefonski intervju: CATI',NULL,501),(12824,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so zbrana preko internetnih virov, npr. spletne strani, blogi, forumi.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7891,10756,'Samoizpolnjevanje zapisov in/ali dnevnikov: spletno',NULL,501),(12825,'Fokusna skupina, kjer razprava poteka preko spleta na interaktiven način.','FocusGroup.Online','FocusGroup',17,5227,10784,'Spletna fokusna skupina',NULL,501),(12826,'Vnaprej načrtovana komunikacija med dvema (ali več) osebami - spraševalcem(-ci) in spraševancem(-ci) -, kjer spraševalec(-ci) pridobi(jo) informacije s strani spraševanca(-cev). Če je v metodo vključena skupinska interakcija, uporabite izraz \"fokusna skupina\".','Interview',NULL,0,7874,10748,'Intervju',NULL,501),(12827,'Uporabite, če je način zbiranja podatkov znan, vendar ga ni na tem seznamu.','Other',NULL,50,5255,10765,'Drugo',NULL,501),(12828,'Udeleženci fokusne skupine se osebno sestanejo za vodenje razprave.','FocusGroup.FaceToFace','FocusGroup',15,5225,10777,'Fokusna skupina v živo',NULL,501),(12829,'Eksperiment, ki se izvaja v naravnem, nekontroliranem okolju, v katerem raziskovalec manipulira z eno ali več neodvisnimi spremenljivkami. Intervencija/klinične študije so en primer terenskih eksperimentov.','Experiment.FieldIntervention','Experiment',32,5242,10764,'Terenski/intervencijski eksperiment',NULL,501),(12830,'Intervju, izveden preko elektronske pošte. Običajno ga sestavlja več elektronskih sporočil, ki omogočajo, da se pogovor nadaljuje tudi po prvem nizu vprašanj in odgovorov, ali po prvi izmenjavi elektronskih sporočil.','Interview.Email','Interview',6,7877,10743,'Intervju preko elektronske pošte',NULL,501),(12831,'Ocenjevanje specifičnih lastnosti (ali značilnosti) bitij, stvari, pojavov (in/ali procesov), z uporabo vnaprej določenih standardov in/ali specializiranih instrumentov ali tehnik.','MeasurementsAndTests',NULL,46,5251,10780,'Merjenje in testiranje',NULL,501),(12832,NULL,'AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,NULL,NULL,501),(12833,'Kot način sekundarnega zbiranja podatkov, kodiranje vsebine uporablja kodirne tehnike za preoblikovanje kvalitativnih podatkov (besedilni podatki, video, avdio ali mirujoče slike), ki so bili prvotno ustvarjeni za druge namene, v kvantitativne podatke (izražene z matricami enot po spremenljivkah) v skladu s vnaprej opredeljenimi kategorizacijskimi shemami. Na primer, kodiranje manifestov političnih strank, kot npr. študija o volitvah v Evropski parlament 2009.','ContentCoding',NULL,40,5245,10762,'Kodiranje vsebine',NULL,501),(12834,'Eksperiment, ki se izvaja v nadzorovanem, umetno ustvarjenem fizičnem okolju, v katerem raziskovalec manipulira z eno ali več neodvisnimi spremenljivkami in meri svoj vpliv na odvisno spremenljivko.','Experiment.Laboratory','Experiment',31,5241,10772,'Laboratorijski eksperiment',NULL,501),(12835,'Računalniško podprto samoizpolnjevanje (CASI). Spraševanec sam vstavlja odgovore v računalnik (namizni, prenosni, dlančni/PDA, tablični itd.). Z vprašalnikom upravlja posebej zasnovani program/aplikacija, vendar pri tem ni prenosa v realnem času kot pri CAWI, vprašanja se shranjujejo na napravi, ki se uporablja za intervju. Vprašalnik je lahko v fiksni obliki ali interaktiven. Vključuje tudi VCASI (video računalniško podprto samoizpolnjevanje), ACASI (avdio računalniško podprto samoizpolnjevanje) in TACASI (telefonsko avdio računalniško podprto samoizpolnjevanje).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7887,10744,'Vprašalnik za samoizpolnjevanje: računalniško podprti (CASI)',NULL,501),(12836,'Predstavitev informacij v zgoščeni obliki z reduciranjem na glavne točke. Na primer, povzetki intervjujev ali poročil, ki so objavljeni in uporabljeni kot podatki in ne kot celoviti intervjuji ali poročila.','Summary',NULL,43,5248,10769,'Povzetek',NULL,501),(12837,NULL,'Recording.RemoteSensing','Recording',35,NULL,10789,NULL,NULL,501),(12838,'Vrsta laboratorijskega opazovanja, kjer je raziskovalec v interkaciji s subjekti in pogosto igra vlogo v opazovani družbeni situaciji. Na primer, opazovanje otroške igre v laboratorijski igralnici, kjer ima raziskovalec vlogo v igri.','Observation.Laboratory.Participant','Observation.Laboratory',27,5237,10761,'Laboratorijsko opazovanje z udeležbo',NULL,501),(12839,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so ustvarjena in zbrana na papirju.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7890,10787,'Samoizpolnjevanje zapisov in/ali dnevnikov: papir',NULL,501),(12840,'Modeliranje ali oponašajoče predstavljanje procesov, dogodkov ali sistemov v realnem svetu, pogosto z uporabo računalniških programov. Na primer program, ki modelira odziv potrošnje gospodinjstev na posredne davčne spremembe; ali podatkovje o hipotetičnih pacientih in njihovi izpostavljenosti zdravilu, pogojih v ozadju in znanih neželenih doogodkih.','Simulation',NULL,45,5250,10782,'Simulacija',NULL,501),(12841,'Pripovedi, zgodbe, dnevniki in napisana besedila, ki so posredovana preko elektronskih poštnih sporočil.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7889,10779,'Samoizpolnjevanje zapisov in/ali dnevnikov: elektronska pošta',NULL,501),(12842,'Ocena osebnostnih lastnosti ali psiholoških/vedenjskih odzivov s pomočjo posebnih meritev ali testov. Na primer objektivni testi, kot so samoporočanje z zaprtim formatom odgovorov ali projekcijske tehnike, ki omogočajo proste odgovore, vključno z besednimi asociacijami, dopolnjevanjem stavkov ali zgodb, vinjetami, testi s karikaturami, testi tematske apercepcije, igranjem vlog, testi risanja, testi pack, testi izbire itd.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5254,10759,'Meritve in testiranja psiholoških lastnosti',NULL,501),(12843,NULL,'AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,NULL,NULL,501),(12844,'Opazovanje, ki se izvaja v nadzorovanem, umetno ustvarjenem okolju. Na primer, opazovanje otroške igre v laboratorijski igralnici.','Observation.Laboratory','Observation',26,5236,10774,'Laboratorijsko opazovanje',NULL,501),(12845,'Metoda zbiranja podatkov, kjer spraševalec izvede osebni intervju, postavlja vprašanja in vnese odgovore. Uporabite ta širši izraz, če ne morete uporabiti CAPI ali PAPI ozioma ni znano, ali gre za CAPI/PAPI.','Interview.FaceToFace','Interview',1,7875,10776,'Osebni intervju',NULL,501),(12846,'Računalniško podprto osebno intervjuvanje (CAPI). Metoda zbiranja podatkov, kjer spraševalec prebere vprašanja spraševancu z zaslona na računalniku, prenosnem računalniku ali mobilni napravi, kot na primer na tablici ali pametnemu telefonu, in vnese odgovore v isto napravo. Intervju izvedemo s pomočjo posebej zasnovanega programa/ aplikacije.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7879,10775,'Osebni intervju: CAPI/CAMI',NULL,501),(12847,'Raziskovalna metoda, ki vključuje zbiranje podatkov, ko se pojavijo (npr. opazovanje vedenj, dogodkov, razvoja stanja ali bolezni itd.), ne da bi poskušali manipulirati s katero od neodvisnih spremenljivk.','Observation',NULL,22,5232,10773,'Opazovanje',NULL,501),(12848,'\"Intervjuvanje s papirjem in svinčnikom\". Spraševalec uporabi tradicionalni papirnati vprašalnik, s katerega prebere vprašanja in vnese odgovore.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7880,10760,'Osebni intervju: PAPI',NULL,501),(12849,'Raziskovalna metoda, ki vključuje manipulacijo nekaterih ali vseh neodvisnih spremenljivk, vključenih v hipoteze.','Experiment',NULL,30,5240,10763,'Eksperiment',NULL,501),(12850,NULL,'AutomatedDataExtraction',NULL,36,NULL,10828,NULL,NULL,501),(12851,'Opazovanje, ki se izvaja v naravnem okolju.','Observation.Field','Observation',23,5233,10749,'Opazovanje na terenu',NULL,501),(12852,'Vrsta opazovanja, kjer je raziskovalec v interakciji z raziskovalnim subjektom in pogosto igra vlogo v opazovani družbeni situaciji.','Observation.Field.Participant','Observation.Field',24,5234,10770,'Opazovanje na terenu z udeležbo',NULL,501),(12853,'Zbiranje in sestavljanje podatkov iz več, pogosto heterogenih virov, ki imajo eno ali več skupnih referenčnih točk in kjer je bil vsaj eden od virov prvotno produciran v druge namene. Podatki so vključeni v novo entiteto. Na primer z zagotavljanjem podatkov o številu univerz v zadnjih 150 letih z uporabo različnih razpoložljivih virov (npr. finančni dokumenti, uradne statistike, univerzitetni registri), kombiniranjem anketnih podatkov z informacijami o geografskih območjih iz uradnih statističnih podatkov (npr. gostota prebivalstva, število zdravnikov na prebivalca itd.) ali z uporabo RSS za zbiranje objav bloga ali tvitov itd.','CompilationSynthesis',NULL,42,5247,10781,'Kompilacija/sinteza',NULL,501),(12854,'Ocenjevanje znanja, spretnosti, sposobnosti ali izobraževalnih dosežkov s pomočjo specializiranih meritev ali testov.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5252,10758,'Meritve in testiranja v vzgoji in izobraževanju',NULL,501),(12855,'Skupinska razprava o določeni temi, organizirana za raziskovalne namene. Posamezniki so izbrani glede na temo, interakcija med udeleženci pa se uporablja kot del metode.','FocusGroup',NULL,14,5224,10746,'Fokusna skupina',NULL,501),(12856,'Intervju koji se sprovodi putem interneta. Na primer, intervjui vođeni na internet forumima ili korišćenjem internet audio-vizuelne tehnologije koja omogućava anketarima i anketiranim licima da komuniciraju u realnom vremenu.','Interview.WebBased','Interview',7,8514,10753,'Veb upitnik',NULL,502),(12857,'Procena znanja, veština, sposobnosti ili obrazovnog dostignuća pomoću specijalizovanih mera ili testova.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,8549,10758,'Obrazovno merenje i testiranje',NULL,502),(12858,'Narativi (besede), priče, dnevnici i pisani tekstovi prikupljeni iz Internet izvora, na primer veb sajtova, blogova, diskusionih grupa.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,8528,10756,'Samostalni zapisi i/ili dnevnici: Veb',NULL,502),(12859,'Metoda istraživanja koja uključuje manipulaciju nekim ili svim nezavisnim varijablama uključenim u hipoteze.','Experiment',NULL,30,8537,10763,'Ekspertiment',NULL,502),(12860,'Telefonski intervju (CATI) podržan računarom je onaj u kome anketar postavlja pitanja u skladu sa uputstvom računara, odgovori se unose direktno u računar, a administracijom intervjua upravlja posebno dizajniran program.','Interview.Telephone.CATI','Interview.Telephone',5,8512,10750,'Telefonski intervju: Podržan računarom (CATI)',NULL,502),(12861,'Procena fizičkih svojstava živih bića, predmeta, materijala ili prirodnih pojava. Na primer, nalaz iz praktičnog medicinskog pregleda (npr. palpacije ili auskultacije), kliničkih merenja i laboratorijskih testova poput analize krvi, krvnog pritiska, otkucaja srca, telesne težine i visine, kao i opštih merenja kao što su vreme, udaljenost, masa, temperatura, sila, snaga, brzina, GPS podaci o fizičkom kretanju i drugi fizički parametri ili promenljive, poput geoprostornih podataka.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,8550,10752,'Fizičko merenje i testiranje',NULL,502),(12862,NULL,'AutomatedDataExtraction',NULL,36,NULL,10828,NULL,NULL,502),(12863,NULL,'AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,NULL,NULL,502),(12864,'Način prikupljanja podataka u kojem anketar uživo vodi usmeni razgovor, postavljajući pitanja i unoseći odgovore. Koristite ovaj širi pojam ukoliko nije tačno navedno da se radi o CAPI (Intervju licem u lice: podržan računarom) ili PAPI (Intervju licem u lice: beleži se na papiru) ili ukoliko vama nije poznato da li je u pitanju CAPI ili PAPI.','Interview.FaceToFace','Interview',1,8508,10776,'Intervju licem u lice',NULL,502),(12865,'Grupna diskusija o određenoj temi, organizovana u istraživačke svrhe. Pojedinci su odabrani u skladu sa temom, a interakcija između učesnika koristi se kao deo metode.','FocusGroup',NULL,14,8521,10746,'Fokus grupa',NULL,502),(12866,'Vrsta laboratorijskog posmatranja u kome istraživač komunicira sa subjektima i često igra ulogu u posmatranom socijalnom stanju. Na primer, posmatranje igre dece u laboratorijskoj igraonici sa istraživačem koji učestvuje u predstavi.','Observation.Laboratory.Participant','Observation.Laboratory',27,8534,10761,'Laboratorijsko posmatranje sa učešćem',NULL,502),(12867,'Statistika koja se odnosi na široke klase, grupe ili kategorije. Podaci su dati na nivou proseka, zbira ili su na neki drugi način izvedeni iz podataka prikupljenih na nivou pojedinaca i više nije moguće razlikovati karakteristike pojedinaca u tim klasama, grupama ili kategorijama. Na primer, broj i starosna grupa nezaposlenih u određenim geografskim regionima ili statistika na nacionalnom nivou o pojavljivanju određenih krivičnih dela, izvorno izvedena iz statistika pojedinih policijskih okruga.','Aggregation',NULL,44,8546,10755,'Agregacija',NULL,502),(12868,'Obuhvat podataka u pisanom obliku iz drugog izvora ili iz drugog medija, pisma ili oblika notacije, poput naučnih formula ili muzičkih nota. Za prepisane intervjue ili zapažanja preporučuje se dokumentovanje primarnog načina prikupljanja, koristeći jedan od termina intervjua ili opservacije.','Transcription',NULL,41,8543,10745,'Transkripcija',NULL,502),(12869,'Računarsko lično intervjuisanje (CAPI) ili računarsko potpomognuto mobilno intervjuisanje (CAMI). Način prikupljanja podataka u kojem anketar čita pitanja anketiranima sa ekrana računara, laptopa ili mobilnog uređaja poput tableta ili pametnog telefona i unosi odgovore u isti uređaj. Administriranjem intervjua upravlja se posebno dizajniranim programom / aplikacijom.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,8509,10775,'Intervju licem u lice: Podržan računarom (CAPI/CAMI)',NULL,502),(12870,'Metoda istraživanja koja uključuje prikupljanje podataka kako se pojavljuju (na primer, posmatranje ponašanja, događaja, razvoj stanja ili bolesti itd.), bez pokušaja manipulacije bilo kojom nezavisnom promenljivom.','Observation',NULL,22,8529,10773,'Opservacije / posmatranje',NULL,502),(12871,NULL,'Recording.RemoteSensing','Recording',35,NULL,10789,NULL,NULL,502),(12872,'Prikupljanje i objedinjavanje podataka iz više, često heterogenih izvora koji imaju jednu ili više referentnih tačaka, a bar jedan izvor originalno je proizveden u druge svrhe. Podaci su ugrađeni u novi entitet. Na primer, pružanje podataka o broju univerziteta u poslednjih 150 godina koristeći razne dostupne izvore (npr. finansijska dokumenta, zvanična statistika, univerzitetski registri), kombinujući podatke ankete sa podacima o geografskim oblastima iz zvanične statistike (npr. gustina naseljenosti, broj lekara po glavi stanovnika itd.) ili koristeći RSS za prikupljanje postova na blogovima ili tvitova, itd.','CompilationSynthesis',NULL,42,8544,10781,'Kompilacija / sinteza',NULL,502),(12873,'Eksperiment sproveden u kontrolisanom, veštački stvorenom fizičkom okruženju, u kome istraživač manipuliše jednom ili više nezavisnih varijabli i meri njen / njihov uticaj na zavisnu promenljivu.','Experiment.Laboratory','Experiment',31,8538,10772,'Laboratorijski eksperiment',NULL,502),(12874,'Predstavljanje informacija u skraćenom obliku, svodeći je na glavne tačke. Na primer, sažeci intervjua ili izvještaji koji se objavljuju i koriste kao podaci, a ne celoviti intervjui ili izveštaji.','Summary',NULL,43,8545,10769,'Rezime',NULL,502),(12875,'Koristite ako je način prikupljanja podataka poznat, ali nije pronađen na ovoj listi.','Other',NULL,50,8552,10765,'Ostalo',NULL,502),(12876,'Eksperiment sproveden u virtuelnom okruženju World Wide Web-a, u kome se eksperimentalni materijali programiraju za primenu veštačkih situacija ili događaja koji se istražuju u distribuisanoj sredini. (Reips, U.D. (2002). Teorija i tehnike veb eksperimentiranja. U B. Batinic, U.D. Reips i M. Bosnjak (ur.), Online Social Sciences. Seattle: Hogrefe &amp; Huber. Dostupno na: http://www.websm.org/uploadi/editor/Reips_2002_Theori_and_techniques.pdf [07. juni 2013.])','Experiment.WebBased','Experiment',33,8540,10747,'Ekspertiment na vebu',NULL,502),(12877,'Unapred planirana komunikacija između dve (ili više) osoba - anketara i sagovornika (anketiranog), u kojoj informacije dobija anketar od anketiranog. Ukoliko je grupna interakcija deo ove metode, koristite termin „Fokus grupa“.','Interview',NULL,0,8507,10748,'Intervju',NULL,502),(12878,'Vrsta laboratorijskog posmatranja koje se sprovodi bez ikakve interakcije između istraživača i njegovih subjekata.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,8535,10778,'Laboratorijsko posmatranje bez učešća',NULL,502),(12879,'Narativi (besede), priče, dnevnici i pisani tekstovi koje ispitanik prilaže u papirnom obliku.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,8527,10787,'Samostalni zapisi i/ili dnevnici: Papirni',NULL,502),(12880,'Metoda prikupljanja podataka u kojoj ispitanik čita ili sluša pitanja i unosi odgovore; nema živog anketara ili on ne učestvuje u administraciji upitnika. Ako je moguće, koristite uži termin. Upotrebite ovaj širi pojam ako metod nije opisan nijednim užim terminom.','SelfAdministeredQuestionnaire',NULL,8,8515,10751,'Samostalni upitnik',NULL,502),(12881,'Samostalno anketiranje u kome se ispitanicima postavljaju pitanja u tekstu e-pošte ili kao prilog e-pošti, ali ne kao hiperlink do veb-upitnika. Odgovori se takođe šalju nazad e-poštom, u poruci e-pošte ili kao prilog.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,8516,10783,'Samostalno anketiranje: Elektronskom poštom',NULL,502),(12882,'Diskusija u okviru fokus grupe odvija se putem Interneta na interaktivan način.','FocusGroup.Online','FocusGroup',17,8524,10784,'Onlajn fokus grupa',NULL,502),(12883,'Podaci se prikupljaju putem veb upitnika, sačinjenog uz pomoć program za kreiranje veb ili onlajn anketa. Program može prilagoditi tok upitnika na osnovu ponuđenih odgovora, a može omogućiti da upitnik sadrži slike, audio i video snimke, veze do različitih veb stranica, i sl.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,8519,10786,'Samostalno anketiranje: Veb anketa (CAWI)',NULL,502),(12884,'Vrsta posmatranja u kome se podaci o upotrebi računara prikupljaju softverom koji može biti ugrađen u sam računar ili može biti zaseban program. Mogu se prikupiti informacije o broju korisnika, načinima na koji korisnici komuniciraju sa programima, koliko vremena provode na veb stranici, kako koriste određene odeljke aplikacija, kako prelaze sa stranice na stranicu ili sa jedne aplikacije na drugu, itd.','Observation.ComputerBased','Observation',29,8536,10785,'Posmatranje podržano računarom',NULL,502),(12885,NULL,'AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,NULL,NULL,502),(12886,'Učesnici fokus grupe sastaju se lično kako bi vodili diskusiju.','FocusGroup.FaceToFace','FocusGroup',15,8522,10777,'Fokus grupa licem u lice',NULL,502),(12887,'Vrsta terenskog posmatranja u kome istraživač komunicira sa subjektima i često igra ulogu u posmatranom socijalnom stanju.','Observation.Field.Participant','Observation.Field',24,8531,10770,'Terensko posmatranje sa učešćem',NULL,502),(12888,'Posmatranje koje se izvodi u prirodnom, nekontrolisanom okruženju bez ikakve interakcije između istraživača i njegovih subjekata.','Observation.Field.Nonparticipant','Observation.Field',25,8532,10754,'Terensko posmatranje bez učešća',NULL,502),(12889,NULL,'AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,NULL,NULL,502),(12890,'Narativi (besede), priče, dnevnici i pisani tekstovi koje je kreirao subjekat istraživanja.','SelfAdministeredWritingsAndDiaries',NULL,18,8525,10767,'Samostalni zapisi i/ili dnevnici',NULL,502),(12891,'Intervju koji se vodi putem elektronske pošte, koji se obično sastoji od nekoliko poruka e-pošte koje omogućavaju da se diskusija nastavi izvan prvog skupa pitanja i odgovora ili prve razmene e-pošte.','Interview.Email','Interview',6,8513,10743,'Upitnik putem elektronske pošte',NULL,502),(12892,'Intervju sa papirom i olovkom (PAPI). Anketar koristi tradicionalni papirni upitnik za čitanje pitanja i unos odgovora.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,8510,10760,'Intervju licem u lice: beleži se na papiru (PAPI)',NULL,502),(12893,'Intervju administriran telefonom. Koristite ovaj širi pojam ukoliko nije spcifikovano da je u pitanu telefonski upitnik podržan računarom (CATI) ili ako vam nije poznato koji tip telefonskog upitnika je korišćen.','Interview.Telephone','Interview',4,8511,10771,'Telefonski upitnik',NULL,502),(12894,'Diskusija u okviru fokus grupe vodi se telefonom.','FocusGroup.Telephone','FocusGroup',16,8523,10788,'Telefonska fokus grupa',NULL,502),(12895,'Posmatranje koje se izvodi u kontrolisanom, veštački stvorenom okruženju. Na primer, posmatranje igre dece u laboratorijskoj igraonici.','Observation.Laboratory','Observation',26,8533,10774,'Laboratorijsko posmatranje',NULL,502),(12896,'Ispitanici samostalno unose odgovore u računar (desktop, laptop, Palm / PDA, tablet itd.). Administriranje upitnika obavlja posebno dizajniran program / aplikacija, ali ne postoji prijenos podataka u realnom vremenu (kao u CAWI), već se odgovori čuvaju na uređaju koji se koristi za intervju. Upitnik može biti fiksnog oblika ili interaktivan. Uključuje VCASI (video-računarski podržano samostalno anketiranje), ACASI (audio-računarski podržano samostalno anketiranje) i TACASI (telefonsko audio-računarski podržano samostalno anketiranje).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,8520,10744,'Samostalno anketiranje: Podržano računarom (CASI)',NULL,502),(12897,'Kao način sekundarnog prikupljanja podataka, kodiranje sadržaja primenjuje tehnike kodiranja kako bi se kvalitativni podaci (tekstualni, video, audio ili nepokretni snimci) prvobitno proizvedeni u druge svrhe pretvorili u kvantitativne podatke u skladu sa prethodno definisanom šemom kategorizacije. Na primer, podaci o manifestu kodiranih strana poput \"European Parliament Election Study 2009, Manifesto Study\" (doi:10.4232/1.10204)\".','ContentCoding',NULL,40,8542,10762,'Kodiranje sadržaja',NULL,502),(12898,'Procena osobina ličnosti ili psiholoških / bihevioralnih odgovora pomoću specijalizovanih mera ili testova. Na primer, objektivni testovi kao što su mere samoizveštavanja sa ograničenim formatom odgovora ili projektivne metode koje omogućuju slobodne odgovore, uključujući povezivanje reči, dovršavanje rečenica ili priče, vinjete, test crteža, tematski testovi prikazivanja, igranje uloga, testovi crtanja, vežbe uređivanja izbora itd.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,8551,10759,'Psihološko merenje i testiranje',NULL,502),(12899,'Narativi (besede), priče, dnevnici i pisani tekstovi koje ispitanik šalje elektronskom poštom.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,8526,10779,'Samostalni zapisi i/ili dnevnici: Elektronskom poštom',NULL,502),(12900,'Opservacije koje se sprovode u prirodnom okruženju.','Observation.Field','Observation',23,8530,10749,'Terenska posmatranja',NULL,502),(12901,'Registrovanje mehaničkim ili elektronskim sredstvima, u obliku koji omogućava preuzimanje i / ili reprodukciju informacija. Na primer, slike ili zvukovi na disku ili magnetnoj traci.','Recording',NULL,34,8541,10766,'Snimanje',NULL,502),(12902,'Anketa koja se sprovodi samostalno, koristeći tradicionalni papirnati upitnik dostavljen i / ili prikupljen poštom (poštanske usluge), faksom ili lično od strane anketara ili ispitanika.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,8517,10757,'Samostalno anketiranje: Papirno',NULL,502),(12903,'Modeliranje ili imitacija reprezentacije procesa, događaja ili sistema u stvarnom svetu, često koristeći računarske programe. Na primer, program koji modelira reakcije potrošnje domaćinstava na indirektne promene poreza ili skup podataka o hipotetičkim pacijentima i njihovoj izloženosti lekovima, pozadinskim uslovima i poznatim neželjenim događajima.','Simulation',NULL,45,8547,10782,'Simulacija',NULL,502),(12904,'Procena specifičnih svojstava (ili karakteristika) bića, stvari, pojava (i / ili procesa) primenom unapred utvrđenih standarda i / ili specijalizovanih instrumenata ili tehnika.','MeasurementsAndTests',NULL,46,8548,10780,'Merenje i testiranje',NULL,502),(12905,'Anketa koja se sprovodi samostalno, a u kojoj ispitanici dobijaju pitanja putem SMS (tekstualne poruke) ili MMS (poruke koje uključujui multimedijalni sadržaj) i šalju svoje odgovore u istom formatu.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,8518,10768,'Samostalno anketiranje: Porukama (SMS/MMS)',NULL,502),(12906,'Eksperiment sproveden u prirodnom, nekontrolisanom okruženju, u kome istraživač manipuliše jednom ili više nezavisnih varijabli. Interventne / kliničke studije su jedan primer terenskih eksperimenata.','Experiment.FieldIntervention','Experiment',32,8539,10764,'Terenski ekspertiment / intervencija',NULL,502),(12907,'Vurdering av fysiske egenskaper hos levende vesener, objekter, materiale, eller naturlige fenomen. For eksempel, funn fra fysiske medisinske undersøkelser (e.g., palpasjon eller auskultasjon), kliniske mål og laboratorietester som blodanalyse, blodtrykksmål, hjerterytme, kroppsvekt og høyde, og generelle mål som tid, distanse, masse, temperatur, kraft, energi, fart, GPS data på fysisk bevegelse og andre mål på fysiske parameter eller variabler.','MeasurementsAndTests.Physical','MeasurementsAndTests',48,5207,10752,'Fysiske målinger og tester',NULL,499),(12908,'Intervju gjennomført over internett. For eksempel, intervjuer gjennomført på internettforum eller ved bruk av internettbasert audiovisuell teknologi som muliggjør fortløpende kommunikasjon mellom intervjuer(e) og Intervjuobjekt(er).','Interview.WebBased','Interview',7,7860,10753,'Webbasert intervju',NULL,499),(12909,'Type feltobservasjon hvor forskeren samhandler og ofte spiller en rolle i de sosiale situasjonene som observeres.','Observation.Field.Participant','Observation.Field',24,5188,10770,'Deltagende feltobservasjon',NULL,499),(12910,'Selvadministrert spørreskjema hvor respondenten mottar spørsmål på SMS (tekstmeldinger) eller MMS (meldinger med multimedia innhold) og sender svarene i samme format.','SelfAdministeredQuestionnaire.SMSorMMS','SelfAdministeredQuestionnaire',11,7867,10768,'Selvadministrerende spørreskjema: SMS/MMS',NULL,499),(12911,'Innsamling av informasjon om objekter eller fenomen uten fysisk kontakt med de ved bruk av fjernmålere på satellitter og luftfartøy (fly, droner, værballonger). Ofte brukt for å samle informasjon om jordens overflate, atmosfære og hav. For eksempel, skadevurdering etter et jordskjelv eller skogbrann. Teknikken brukes også av militære, kommersielle, økonomiske og andre formål. ','Recording.RemoteSensing','Recording',35,NULL,10789,'Opptak: Fjernmåling',NULL,499),(12912,'Et eksperiment som utføres i et naturlig, ukontrollert miljø, hvor forskeren manipulerer én eller flere av de uavhengige variablene. Intervensjon/kliniske studier er et eksempel på felteksperiment.','Experiment.FieldIntervention','Experiment',32,5196,10764,'Felt/felteksperiment',NULL,499),(12913,'Å hente informasjon fra databaser via en spørring til databasen som tar ut kun den informasjonen som er nødvendig for å lagre det på en lokal fil eller database for ytterligere prosessering eller oppbevaring. ','AutomatedDataExtraction.DatabaseQuery','AutomatedDataExtraction',38,NULL,10830,'Automatisert datautvinning',NULL,499),(12914,'Vurdering av bestemte egenskaper (eller karakteristika) ved vesener, ting, fenomen (og/eller prosesser) ved å anvende forutbestemte standarder og/eller spesialiserte instrumenter eller teknikker.','MeasurementsAndTests',NULL,46,5205,10780,'Målinger og tester',NULL,499),(12915,'Datainnsamlingsmetode hvor respondenten leser eller lytter til spørsmålene, og registrerer svarene på egenhånd; ingen intervjuer er til stede, eller deltar i administreringen av spørreskjemaet. Bruk et smalere begrep dersom det er mulig. Bruk dette bredere begrepet dersom ingen av de smalere begrepene passer.','SelfAdministeredQuestionnaire',NULL,8,7864,10751,'Selvadministrerende spørreskjema',NULL,499),(12916,'Fortellinger, historier, dagbøker og tekster samlet fra internett, e.g. nettsider, blogger, diskusjonsforumer.','SelfAdministeredWritingsAndDiaries.WebBased','SelfAdministeredWritingsAndDiaries',21,7873,10756,'Selvadministrerende tekst og/eller dagbok: Webbasert',NULL,499),(12917,'Observasjon som utføres i et naturlig miljø.','Observation.Field','Observation',23,5187,10749,'Feltobservasjon',NULL,499),(12918,'Fokusgruppediskusjonen er gjennomført over internett på en interaktiv måte.','FocusGroup.Online','FocusGroup',17,5181,10784,'Fokusgruppe: Online',NULL,499),(12919,'Fokusgruppediskusjonen er gjennomført over telefonen.','FocusGroup.Telephone','FocusGroup',16,5180,10788,'Fokusgruppe: Telefon',NULL,499),(12920,'Bruk dersom metode for datainnsamling er kjent, men ikke finnes i listen.','Other',NULL,50,5209,10765,'Annet',NULL,499),(12921,'Presentasjon av informasjon i en konsentrert form, ved å redusere den til dens hovedpoeng. For eksempel, sammendrag av intervjuer eller rapporter som er publisert og brukt som data til fordel for de fulle intervjuene eller rapportene.','Summary',NULL,43,5202,10769,'Sammendrag',NULL,499),(12922,'Vurdering av personlighetstrekk eller psykologiske/atferdsmessige reaksjoner ved bruk av spesialiserte mål og tester. For eksempel, objektive tester som selvrapporteringsmål med mer begrenset svarformat, eller projektive metoder som gjør det mulig å svare helt fritt, inkludert ordassosiasjon, setning eller fortellingsfullføring, korte beskrivelser, tematiske appersepsjonstester, rollespill, tegnetester, blekk-kladd tester, prioriteringsøvelser etc.','MeasurementsAndTests.Psychological','MeasurementsAndTests',49,5208,10759,'Psykologiske målinger og tester',NULL,499),(12923,'Forskningsmetode som innebærer manipulering av noen eller alle de uavhengige variablene inkludert i hypotesene.','Experiment',NULL,30,5194,10763,'Eksperiment',NULL,499),(12924,'Observasjon som er utført i et kontrollert, kunstig konstruert miljø. For eksempel observasjon av barns lek i et lekerom i laboratoriet.','Observation.Laboratory','Observation',26,5190,10774,'Laboratorieobservasjon',NULL,499),(12925,'Penn og papir intervju. Intervjueren bruker et tradisjonelt papirspørreskjema for å lese opp spørsmålene og til å registrere svarene.','Interview.FaceToFace.PAPI','Interview.FaceToFace',3,7862,10760,'Personlig intervju: PAPI',NULL,499),(12926,'Å hente informasjon fra datakilder på nett via en API (programmeringsgrensesnitt) for å lagre det på en lokal fil eller database for ytterligere prosessering eller oppbevaring.','AutomatedDataExtraction.ApiQuery','AutomatedDataExtraction',37,NULL,10829,'Automatisert datautvinning: API spørring',NULL,499),(12927,'Fortellinger, historier, dagbøker og tekster skrevet av studieobjektene.','SelfAdministeredWritingsAndDiaries',NULL,18,7870,10767,'Selvadministrerende tekst og/eller dagbok',NULL,499),(12928,'En teknikk som anvendes for å hente ut store mengder data fra nettsider og lagre det på en lokal fil eller database for ytterligere prosessering eller oppbevaring. Også kalt skjermskraping, utvinning av nettdata, netthøsting, etc.','AutomatedDataExtraction.WebScraping','AutomatedDataExtraction',39,NULL,10831,'Automatisert datautvinning: Nettskraping',NULL,499),(12929,'Et eksperiment som utføres i et vituelt miljø på internett (World Wide Web), hvor eksperimentelt materiale er programmert til å sette i gang kunstige situasjoner eller hendelser som kan undersøkes i et gitt miljø. (Reips, U.-D. (2002). Theory and techniques of Web experimenting. In B. Batinic, U.-D. Reips, & M. Bosnjak (Eds.), Online Social Sciences. Seattle: Hogrefe & Huber. Available at: http://www.websm.org/uploadi/editor/Reips_2002_Theory_and_techniques.pdf [07 June 2013])','Experiment.WebBased','Experiment',33,5197,10747,'Webbasert eksperiment',NULL,499),(12930,'Intervjuer gjennomført over e-post, vanligvis bestående av en rekke e-poster som gjør at diskusjonen kan fortsette utover de første settene med spørsmål og svar, eller den første e-postutvekslingen.','Interview.Email','Interview',6,7859,10743,'E-post intervju',NULL,499),(12931,'Dataassistert personlig intervjuing (CAPI). Datainnsamlingsmetode hvor intervjueren leser opp spørsmål for respondenten fra skjermen til en datamaskin, bærbar datamaskin, smarttelefon eller nettbrett, og registrerer svarene på det samme apparatet. Administreringen av intervjuet er styrt av et spesialdesignet program eller en applikasjon.','Interview.FaceToFace.CAPIorCAMI','Interview.FaceToFace',2,7861,10775,'Personlig intervju: CAPI/CAMI',NULL,499),(12932,'Et eksperiment som utføres i et kontrollert, kunstig utformet miljø, hvor forskeren manipulerer én eller flere av de uavhengige variablene og måler effekten det har på den avhengige variabelen.','Experiment.Laboratory','Experiment',31,5195,10772,'Laboratorieeksperiment',NULL,499),(12933,'Innsamling og sammensetting av data fra flere, ofte heterogene, kilder som har en eller flere felles referansepunkter, og minst én av kildene var opprinnelig utarbeidet for andre formål. Dataene blir integrert i en ny enhet. For eksempel utarbeide data om antallet universitet de siste 150 årene ved å bruke flere tilgjengelige kilder (e.g. finansdokumenter, offisiell statistikk, universitetsregistre), kombinere spørreundersøkelsesdata med informasjon om geografiske områder fra offisiell statistikk (e.g. befolkningstetthet, antall leger per innbygger, etc.), eller bruke RSS for å samle blogginnlegg eller tweets etc.','CompilationSynthesis',NULL,42,5201,10781,'Kompilering/Syntese',NULL,499),(12934,'Datainnsamlingsmetode hvor en tilstedeværende intervjuer gjennomfører et personlig intervju, presenterer spørsmål og registrerer svarene. Bruk dette bredere begrepet dersom det ikke er CATI eller PAPI, eller dersom det er uvisst om det er CATI/PAPI.','Interview.FaceToFace','Interview',1,7857,10776,'Personlig intervju',NULL,499),(12935,'Statistikk som relateres til store klasser, grupper eller kategorier. Dataene er tatt gjennomsnittet av, summert, eller på andre måter utvunnet av data på individnivå, og det er ikke lengre mulig å skille mellom egenskapene til individer innad i disse klassene, gruppene eller kategoriene. For eksempel, antallet og aldersgruppen til de arbeidsledige i bestemte regioner, eller statistikk på nasjonalt nivå om forekomsten av bestemte overtredelser, opprinnelig utarbeidet fra statistikk om individuelle politidistrikt.','Aggregation',NULL,44,5203,10755,'Aggregering',NULL,499),(12936,'Observasjon som er gjennomført i et naturlig, ikke kontrollert miljø uten interaksjon mellom forskeren og studieobjektene.','Observation.Field.Nonparticipant','Observation.Field',25,5189,10754,'Ikke-deltagende feltobservasjon',NULL,499),(12937,'Mekanisk eller elektronisk registrering i et format som gjør det mulig å gjeninnhente og/eller gjenskape informasjonen. For eksempel bilder eller lyd på disk eller magnetbånd.','Recording',NULL,34,5198,10766,'Opptak',NULL,499),(12938,'En type laboratorieobservasjon hvor forskeren samhandler med forskningsobjektene, og ofte spiller en rolle i den sosiale situasjonen som er under observasjon. For eksempel observere barns lek i et lekerom i laboratoriet, der forsker deltar i leken.','Observation.Laboratory.Participant','Observation.Laboratory',27,5191,10761,'Deltagende laboratorieobservasjon',NULL,499),(12939,'Nedtegning av informasjon i skrift fra en annen kilde, eller et annet medium, alfabet, eller fra notasjoner, som vitenskapelige formler, eller musikknoter. For transkriberte intervju eller observasjoner er det anbefalt å dokumentere den opprinnelige formen for datainnsamling, ved å bruke et av intervju- eller observasjonsbegrepene.','Transcription',NULL,41,5200,10745,'Transkripsjon',NULL,499),(12940,'Selvadministrert spørreskjema som bruker tradisjonelle spørsmålsformuleringer på papir, som blir levert og/eller samlet inn via post, faks, eller personlig av intervjueren eller respondenten.','SelfAdministeredQuestionnaire.Paper','SelfAdministeredQuestionnaire',10,7866,10757,'Selvadministrerende spørreskjema: Papir',NULL,499),(12941,'En gruppediskusjon som omhandler et bestemt tema, organisert for forskningsformål. Individene er valgt med relevans til temaet og samhandlingen mellom deltakerne er brukt som en del av metoden.','FocusGroup',NULL,14,5178,10746,'Fokusgruppe',NULL,499),(12942,'Forskningsmetode som innebærer å samle inn data etterhvert som de opptrår (for eksempel, observere atferd, hendelser, utviklingen av helsetilstand eller sykdom, etc.) uten å prøve å manipulere noen av de uavhengige variablene.','Observation',NULL,22,5186,10773,'Observasjon',NULL,499),(12943,'Å bruke automatiske midler for å hente informasjon fra datakilder og lagre det i en lokal fil eller database for ytterligere prosessering eller oppbevaring. Bruk denne termen hvis det er ukjent hvilke automatisk teknikk som har blitt brukt eller teknikken er kjent, men ikke er oppført i et av de smalere begrepene.','AutomatedDataExtraction',NULL,36,NULL,10828,'Automatisert datautvinning',NULL,499),(12944,'Deltakerne i fokusgruppen møtes fysisk for å gjennomføre diskusjonen.','FocusGroup.FaceToFace','FocusGroup',15,5179,10777,'Fokusgruppe: Ansikt til ansikt',NULL,499),(12945,'Som metode for sekundær datainnsamling, innholdskoding omfatter kodeteknikker for å omgjøre kvalitative data (tekst, video, lyd eller bilde), som opprinnelig var utarbeidet for andre formål, til kvantitative data (uttrykket i en matrise med enheter og variabler) i henhold til bestemte kategoriseringssystem. For eksempel, kodede partimanifesto som i \'European Parliament Election Study 2009, Manifesto Study\' (doi:10.4232/1.10204).','ContentCoding',NULL,40,5199,10762,'Innholdskoding',NULL,499),(12946,'Vurdering av kunnskap, ferdighet, egnethet, eller utdanningsoppnåelser ved spesialiserte mål eller tester.','MeasurementsAndTests.Educational','MeasurementsAndTests',47,5206,10758,'Pedagogiske målinger og tester',NULL,499),(12947,'Fortellinger, historier, dagbøker og tekster skrevet og samlet i papirformat.','SelfAdministeredWritingsAndDiaries.Paper','SelfAdministeredWritingsAndDiaries',20,7872,10787,'Selvadministrerende tekst og/eller dagbok: Papir',NULL,499),(12948,'Intervju som gjennomføres over telefon. Bruk dette bredere begrepet dersom det ikke er CATI, eller dersom det er uvisst om det er CATI.','Interview.Telephone','Interview',4,7858,10771,'Telefonintervju',NULL,499),(12949,'Fortellinger, historier, dagbøker og tekster som har blitt samlet inn via e-post.','SelfAdministeredWritingsAndDiaries.Email','SelfAdministeredWritingsAndDiaries',19,7871,10779,'Selvadministrerende tekst og/eller dagbok: E-post',NULL,499),(12950,'En forhåndsbestemt kommunikasjon mellom to (eller flere) personer – intervjueren(e) og intervjuobjekt(et/ene) – hvor intervjueren(e) henter informasjon fra intervjuobjekt(et/ene). Dersom gruppeinteraksjoner er del av metoden, bruk \'Fokusgruppe\'.','Interview',NULL,0,7856,10748,'Intervju',NULL,499),(12951,'Dataassistert telefonintervju. Intervjueren stiller spørsmål ifølge instrukser fra en datamaskin, registrerer svarene direkte på datamaskinen og administreringen av intervjuet er styrt av et spesialdesignet dataprogram.','Interview.Telephone.CATI','Interview.Telephone',5,7863,10750,'Telefonintervju: CATI',NULL,499),(12952,'Datamaskinaassistert webintervju (CAWI). Data samles ved hjelp av spørreskjema på nett, som er produsert av et program for internettundersøkelser. Programmet kan endre flyten av spørsmål basert på svarene som blir gitt, og det muliggjør inkludering av bilde, lyd og video, lenker til andre nettsider etc.','SelfAdministeredQuestionnaire.CAWI','SelfAdministeredQuestionnaire',12,7868,10786,'Selvadministrerende spørreskjema: Webbasert',NULL,499),(12953,'Undersøkelse hvor spørsmål blir presentert til respondenten som tekst i en e-post eller som et vedlegg i en e-post, men ikke som lenke til et web-basert spørreskjema. Svarene sendes også tilbake med e-post, enten som tekst i e-posten eller som et vedlegg.','SelfAdministeredQuestionnaire.Email','SelfAdministeredQuestionnaire',9,7865,10783,'Selvadministrerende spørreskjema: E-post',NULL,499),(12954,'Type observasjon hvor data om datamaskinbruk blir samlet av program som kan være inkludert i dataprogrammet en ønsker informasjon om, eller kan forekomme som et eget program. Informasjon om antall brukere, måten brukere samhandler med program(met/mene), hvor mye tid de bruker på siden, hvordan de bruker bestemte deler av en applikasjon, hvordan de navigerer fra side til side eller fra en applikasjon til en annen etc., kan bli samlet.','Observation.ComputerBased','Observation',29,5193,10785,'Datamaskinbasert observasjon',NULL,499),(12955,'Datamaskinassistert selvadministrert intervju (CASI). Respondentene registrerer svarene på en datamaskin, bærbar datamaskin, digital personlig assistent, nettbrett etc.) på egenhånd. Administreringen av spørreskjemaet er styrt av et spesialdesignet program eller en applikasjon men det er ingen fortløpende datautveksling slik som i CAWI, svarene blir lagret på apparatet som brukes for å gjennomføre intervjuet. Spørreskjemaet kan enten være fastsatt eller interaktivt.Omfatter VCASI (video computer-assisted self-interview), ACASI (audio computer-assisted self-interview) og TCASI (telephone audio computer-assisted self-interview).','SelfAdministeredQuestionnaire.CASI','SelfAdministeredQuestionnaire',13,7869,10744,'Selvadministrerende spørreskjema: Datamaskinassistert (CASI)',NULL,499),(12956,'Modellering eller etterlignende representasjon av virkelige prosesser, hendelser eller systemer, ofte ved bruk av dataprogrammer. For eksempel et program som modellerer hvordan en husholdnings forbruk svarer på endringer i indirekte skatter; eller et datasett om hypotetiske pasienter og deres eksponering for narkotiske stoffer, bakgrunnsforhold, og kjente ugunstige hendelser.','Simulation',NULL,45,5204,10782,'Simulering',NULL,499),(12957,'En type laboratorieobservasjon som blir gjennomført uten interaksjon mellom forskeren og studieobjektene.','Observation.Laboratory.Nonparticipant','Observation.Laboratory',28,5192,10778,'Ikke-deltagende laboratorieobservasjon',NULL,499),(13207,'Det matematiske gjennomsnittet til et sett av verdier. Gjennomsnittet beregnes ved å addere to eller flere verdier og dele summen på antallet verdier. I samfunnsvitenskapen er det som regel summen av målingene delt på antall subjekter eller tilfeller.','ArithmeticMean',NULL,1,NULL,8203,'Aritmetisk gjennomsnitt','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#ArithmeticMean',505),(13208,'Midtverdien i en serie av verdier som er arrangert i rekkefølge fra minst til størst.','Median',NULL,4,NULL,8208,'Median','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Median',505),(13209,'Den verdien som forekommer mest i et sett av verdier.','Mode',NULL,3,NULL,8209,'Modus','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Mode',505),(13210,'Antall deler av 100. I matematikk er en prosentdel et forholdstall som er uttrykket som en andel av 100. Prosentdel er brukt for å uttrykke hvor stor en mengde er i forhold til en annen mengde.','Percent',NULL,7,NULL,8199,'Prosent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Percent',505),(13211,'Persentil til en enhet er den prosentdelen av enheter i frekvensfordelingen som er lavere [kan ikke nå 100%].','PercentileRank',NULL,9,NULL,8200,'Persentil','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#PercentileRank',505),(13212,'En verdi som er resultatet av å legge til to eller flere tall (elementer/mengder).','Sum',NULL,0,NULL,8201,'Sum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Sum',505),(13213,'Summen av en frekvens og alle frekvenser under den i en frekvensfordeling; den \"løpende sum\" av frekvenser [den maksimale verdien er 100%].','CumulativePercent',NULL,8,NULL,8202,'Kumulativ prosent','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#CumulativePercent',505),(13214,'Bruk når aggregeringsmetoden er kjent, men ikke er på denne listen.','Other',NULL,10,NULL,8204,'Annet','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Other',505),(13215,'Den laveste oppnådde eller registrerte verdi.','Minimum',NULL,6,NULL,8205,'Minimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Minimum',505),(13216,'Samlet antall enhenter i en gruppe av elementer','Count',NULL,2,NULL,8206,'Antall','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Count',505),(13217,'Den høyeste oppnådde eller registrerte verdi.','Maximum',NULL,5,NULL,8207,'Maksimum','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html#Maximum',505),(13218,'Beskriver rasjonale og sammenstilling av plan for å gjennomføre en studie eller et forskningsprosjekt.','ProjectOrStudyDesign',NULL,0,NULL,5570,'Prosjekt/studie design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign',506),(13219,'Utfører handlinger som medfører endringer i data, inkludert rensing av data, redigering og post-harmonisering, etc. Kobles til \'DataCurator\' i DataCite.','DataProcessing',NULL,13,NULL,5583,'Databehandling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing',506),(13220,'Eie eiendomsretten, inklusiv intellektuelle rettigheter over ressursen. Kobles til \'RightsHolder\' i DataCite.','RightsHolding',NULL,41,NULL,5612,'Rettighetsinnehaver','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RightsHolding',506),(13221,'Sammenstilling av data fra ulike kilder til meningsfull informasjon. For eksempel, å koble på registerdata med spørreskjema data eller integrere datasett samlet inn i forskjellig land til et tverrnasjonalt datasett.','DataProcessing.DataIntegration','DataProcessing',16,NULL,5586,'Databehandling: Dataintegrering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataIntegration',506),(13222,'Utvikle modeller for strukturering og distribuering av data og metadata i faste, forutsigbare formater. For eksempel, DATS (Data Tag Suite) for beskrivelse av biomedisinske data, DDI (Data Documentation Initiative) for beskrivelse av data fra samfunnsvitenskapene, økonomi og helsevitenskap osv.','ProjectOrStudyDesign.StandardsDevelopment','ProjectOrStudyDesign',5,NULL,5576,'Prosjekt/studie design: Utvikling av standarderer','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.StandardsDevelopment',506),(13223,'Utvikle retningslinjer og protokoll for metoder som skal følges i gjennomføring av studien, samt prosessering og analyse av data. For eksempel, veiledning og instruksjoner for datainnsamling, gjennomføring av intervju, oversettelse av spørreskjema, harmonisering av inndata, bruk av vekter, etc.','ProjectOrStudyDesign.MethodologyDevelopment','ProjectOrStudyDesign',3,NULL,5573,'Prosjekt/studie design: Metodeutvikling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.MethodologyDevelopment',506),(13224,'Et standardiseringsorgan hvor registreringsbyrå oppnår offisiell anerkjennelse og veiledning. For eksempel fungerer International DOI Foundation (IDF) som registreringsbyrå for International Standards Organizations (ISO) innenfor domene Digital Object Identifiers.','RegistrationAuthority',NULL,38,NULL,5607,'Registreringsmyndighet','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RegistrationAuthority',506),(13225,'Aktiviteter relatert til prosessen med å samle inn data på en etablert og systematisk måte som muliggjør besvarelse av forskningsspørsmål, hypotesetesting og evaluering av resultatet. Kobles til \'DataCollector\' i DataCite.','DataCollection',NULL,10,NULL,5580,'Datainnsamling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataCollection',506),(13226,'Distribusjon/formidling av data til brukere og tilgjengeliggjøring for gjenbruk. Kobles til \'Distributor\' i DataCite.','DataDistribution',NULL,20,NULL,5590,'Datadistribusjon','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataDistribution',506),(13227,'Å anskaffe data og tilhørende dokumentasjon fra potensielle bidragsytere for fremtidig bevaring og/eller formidling.','DataAcquisition',NULL,18,NULL,5588,'Datafangst','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataAcquisition',506),(13228,'Kombinere tekst og bilder til å underbygge og forbedre innholdet og gjøre det mer visuelt tiltalende og brukervennlig.','GraphicDesign',NULL,32,NULL,5601,'Grafisk design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#GraphicDesign',506),(13229,'Vurdering av kvalitet, verdi og betydelighet. Inkludere, for eksempel, etablering av evalueringskriterium, innsamling av evalueringsinput og gjennomføring av evalueringsprosessen. ','Evaluation',NULL,28,NULL,5597,'Evaluering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Evaluation',506),(13230,'Gjennomgang av hvorvidt et forskningsforslag eller en undersøkelse er i overenstemmelse med etiske prinsipper basert på lovgivning eller godkjente etiske retningslinjer (myk lovgivning).','EthicsReview',NULL,9,NULL,5579,'Etisk godkjenning','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#EthicsReview',506),(13231,'Opprette og vedlikeholde utstyr som er nødvendig på hvilket som helst stadie i dataenes livssyklus.','EquipmentDevelopment',NULL,27,NULL,5615,'Utstyrsutvikling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#EquipmentDevelopment',506),(13232,'Skape og vedlikeholde programvare som er nødvendig på hvilket som helst stadie i data livssyklusen. ','SoftwareDevelopment',NULL,43,NULL,5614,'Programvareutvikling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#SoftwareDevelopment',506),(13233,'Håndtere lisenser for distribuerte data, verktøy og annen forskningsmateriale på vegne av rettighetsinnehaver. ','RightsManagement',NULL,42,NULL,5613,'Rettighetesstyring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#RightsManagement',506),(13234,'Person som bidrar og deltar som et medlem i et angitt prosjekt eller prosjektgruppe. Kobles til \'ProjectMember\' i DataCite.','ProjectOperations.ProjectMember','ProjectOperations',36,NULL,5605,'Prosjektstyring: Prosjektmedlem','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectMember',506),(13235,'Inntaste eller oppdatering av data i et datasystem, ofte fra andre medium som papir-spørreskjema, avisartikler, etc. ','DataEntry',NULL,12,NULL,5582,'Datainntasting','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataEntry',506),(13236,'Et individ involvert i analysering av data eller undersøkelsesresultatene, men rollen er å hjelpe med forskningen istedenfor å være skaper. For eksempel, en forsker kan lete og finne ytterligere data fra en annen kilde og korrelere det til studien eller eksperimentet som blir gjennomført. Kobles til \'Researcher\' i DataCite.','Researcher',NULL,39,NULL,5610,'Forsker','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Researcher',506),(13237,'Gi informasjon og/eller instruere slik at mottakers prestasjon forbedres, eller for å hjelpe til med å oppnå et nødvendig kunnskaps- eller ferdighetsnivå relatert til forskning eller forskningsdata. For eksempel, opplæring av intervjuere, oversettere, dataarkivarer eller dataanalytikere.','Training',NULL,45,NULL,5617,'Opplæring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Training',506),(13238,'Ivareta og vedlikeholde integriteten og brukervennligheten til data og tilhørende metadata slik at det forblir tilgjengelig for fremtidige generasjoner. Kobles til \'DataManager\' i DataCite.','LongTermPreservationOrArchiving',NULL,22,NULL,5592,'Langsiktig bevaring/arkivering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#LongTermPreservationOrArchiving',506),(13239,'Utvikling av høyvnivå forskningskonsepter og spesifikke forskningskonsepter som skal måles. Konseptualisering involverer tydeliggjøring av konsepter med språklige definisjoner og eksempler, samtidig som relasjoner mellom konsepter uttrykkes.','ProjectOrStudyDesign.Conceptualization','ProjectOrStudyDesign',1,NULL,5571,'Prosjekt/studie design: Konseptualisering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.Conceptualization',506),(13240,'Person som offisielt utpekes som leder av prosjektet eller delprosjekt som gjennomfører arbeidet for utviklingen av en ressurs. Prosjektlederen er tett koblet opp til arbeidet som gjennomføres i prosjektet gjennom hele prosjekttiden. Kobles til \'ProjectLeader\' i DataCite.','ProjectOperations.ProjectLeader','ProjectOperations',34,NULL,5603,'Prosjektstyring: Prosjektleder','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectLeader',506),(13241,'Utvikling og planlegging av datainnsamlingsinstrument. Kan inkludere operasjonalisering av konsepter til spørsmål og indikatorer, instrumenttesting, initiere oversettelse (\"forward translation\") og påfølgende endringer i hovedinstrumentet, samt utforme og teste andre datainnsamlingsinstrumenter enn spørreskjema.','ProjectOrStudyDesign.InstrumentDesign','ProjectOrStudyDesign',2,NULL,5572,'Prosjekt/studie design: Instrument design','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.InstrumentDesign',506),(13242,'Planlegge eller bruke spesifikke teknikker for å ivareta anonymiteten til individer eller enheter som data omhandler. For eksempel, anonymisering, pseudonymisering eller fjerning av direkte og indirekte identifikatorer.','DataProcessing.DisclosureControl','DataProcessing',14,NULL,5584,'Databehandling: Konfidensialitet kontroll','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DisclosureControl',506),(13243,'Å se til ett eller flere individer eller grupper i deres arbeid. Kobles til \'Supervisor\' i DataCite.','Supervision',NULL,44,NULL,5616,'Tilsyn','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Supervision',506),(13244,'Støtte forskning eller andre typer arbeid eller aktiviteter. Inkluderer in natura, for eksempel, personal tid, fasiliteter eller instrumentering. Kobles til \'Sponsor\' i DataCite.','Sponsorship',NULL,31,NULL,5600,'Sponsoravtale','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Sponsorship',506),(13245,'Yte økonomisk støtte til et program eller prosjekt som regel av en organisasjon eller myndighet. Finansiering foretas til et spesifikt formål hvor den godkjente søkeren ofte skal redegjøre fullt ut.','FundingProvision',NULL,29,NULL,5598,'Finansiering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#FundingProvision',506),(13246,'Bruk hvis rollen er kjent, men ikke på listen. Kan bli koblet til rollene \'RelatedPerson\', \'Producer\', og \'Work Package Leader\' i DataCite.','Other',NULL,50,NULL,5622,'Annet','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Other',506),(13247,'Utvikling av vekter som kan bidra i å justere data slik at det møter målene til studien, for eksempel å gjøre data representative for målpopulasjonen. ','ProjectOrStudyDesign.WeightsDesign','ProjectOrStudyDesign',4,NULL,5575,'Prosjekt/studie design: Vektedesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.WeightsDesign',506),(13248,'Å uttrykke innholdet i teksten eller talen i et annet språk enn originalspråket som ble brukt. For eksempel, spørreskjema eller studierapport oversettelse.','Translation',NULL,46,NULL,5618,'Oversettelse','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Translation',506),(13249,'Definere hvilke elementer i målpopulasjonen som skal være inkludert i utvalget, så vel som reglene og prosedyrene for at de vil bli valgt.','ProjectOrStudyDesignSamplingDesign',NULL,7,NULL,5574,'Prosjekt/studie design: Utvalgdesign','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesignSamplingDesign',506),(13250,'Prosessen med å undersøke dataene for å besvare forskningsspørsmål og nå konklusjoner.','DataAnalysis',NULL,25,NULL,5595,'Dataanalyse','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataAnalysis',506),(13251,'Trekking av enheter fra mål populasjonen.','SampleSelection',NULL,11,NULL,5581,'Utvalgstrekking','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#SampleSelection',506),(13252,'En gruppe med individer som er involvert i forskningen. Kobles til \'ResearchGroup\' i DataCite.','ResearchGroup',NULL,40,NULL,5611,'Forskningsgruppe','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ResearchGroup',506),(13253,'Arrangere, revidere og forberede materialet (f.eks tekst, lyd eller video) for endelig produksjon eller publikasjon. Kobles til \'Editor\' i DataCite.','Editing',NULL,26,NULL,5596,'Redigering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Editing',506),(13254,'Gi ekspertråd.','Consulting',NULL,23,NULL,5593,'Konsultasjon','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Consulting',506),(13255,'Produsere individuelt innsamlede data i et sammenfattet format med hensikt om å tilrettelegge for ytterligere statistiske analyser. Et allment aggregeringsmål kunne oppnå mer informasjon om en spesifikk populasjongruppe basert på spesifikke variabler som alder, yrke, utdanning eller inntekt.','DataProcessing.DataAggregation','DataProcessing',15,NULL,5585,'Databehandling: Data aggregering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataAggregation',506),(13256,'Generere datadokumentasjon. For eksempel, en studiebeskrivelse som dekker undersøkelsens begrunnelse, metodologi og andre kjennetegn ved datasettet som en helhet; variabelnivå dokumentasjon (labler, frekvenser, spørsmålstekst); referanse til studierelatert materiale eller publikasjoner, etc.','MetadataProduction',NULL,19,NULL,5589,'Metadataproduksjon','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#MetadataProduction',506),(13257,'Å gi veiledning til brukere av data, metadata, verktøy, etc.','UserSupport',NULL,47,NULL,5619,'Brukerstøtte','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#UserSupport',506),(13258,'Representere data, analyse resultater, eller annen informasjon som grafer, bilder eller animasjon, for å hjelpe til i forståelse av deres betydning.','Visualization',NULL,48,NULL,5620,'Visualisering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Visualization',506),(13259,'Øke bevissthet og forståelse av produkter og tjenester for å tiltrekke seg potensielle brukere.','Promotion',NULL,37,NULL,5606,'Promotering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Promotion',506),(13260,'Utvikling og gjennomføring av arkitektur, politikk, praksis og prosedyrer for å håndtere data i alle trinn av livssyklusen. Inkluderer prosesser og aktiviteter knyttet til utvelgelse, organisasering og integrering av data, deres annotering, samt publisering og preservasjon sånn at dataene opprettholder sin verdi over tid og blir tilgjengelig for gjenbruk.','DataManagement',NULL,8,NULL,5578,'Datahåndtering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataManagement',506),(13261,'Lagring, håndtering og vedlikehold av data, som oftest inkluderer dette også tilhørende metadata og relatert dokumentasjon. Kobles til \'HostingInstitution\' i DataCite.','DataHosting',NULL,21,NULL,5591,'Datalagring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataHosting',506),(13262,'Person som offisielt utpekes som administrator av prosjektet. Denne funksjonen har mer administrative ansvarsområder enn arbeidsengasjement. Kobles til \'ProjectManager\' i DataCite.  ','ProjectOperations.ProjectManager','ProjectOperations',35,NULL,5604,'Prosjektstyring: Prosjekt administrator','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations.ProjectManager',506),(13263,'Å opprette og vedlikeholde en nettside relatert til data. Kan inkludere web design, konstruksjon av brukergrensesnitt, nettverkssikkerhet konfigurering, etc. ','WebsiteDevelopment',NULL,49,NULL,5621,'Nettstedsutvikling','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#WebsiteDevelopment',506),(13264,'Individ eller organisasjon som kan kontaktes for å få datarelatert informasjon. Kobles til \'ContactPerson\' i Datacite.','Contact',NULL,24,NULL,5594,'Kontakt','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#Contact',506),(13265,'Søke etter og/eller oppnå finansiell eller annen type støtte for et program eller prosjekt.','FundingOrSponsorshipAcquisition',NULL,30,NULL,5599,'Finansiering/sponsoravtale erhvervelse','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#FundingOrSponsorshipAcquisition',506),(13266,'Prosessen ved å kvalitetssikre data for å sikre at alle har akseptable verdier, at de er nøyaktige, pålitelige, konsistente, fullstendige og i forventet format.','DataProcessing.DataValidation','DataProcessing',17,NULL,5587,'Databehandling: Data validering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#DataProcessing.DataValidation',506),(13267,'Opprette en datamodell basert på analyser av dataobjekter og deres relasjoner, dataegenskaper samt dataflyt og prosesser. Dette er ofte det første steget i databaseopprettelse, utvikling av verktøyer og standarder mv. og involverer typisk en utvikling fra en konseptuell modell til en logisk modell og deretter til et fysisk skjema.','ProjectOrStudyDesign.DataModeling','ProjectOrStudyDesign',6,NULL,5577,'Prosjekt/studie design: Datamodellering','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOrStudyDesign.DataModeling',506),(13268,'Initiering, planlegging, gjennomføring, kontrollering og ferdigstille arbeidet i en gruppe som er utformet for å nå spesifikke mål.','ProjectOperations',NULL,33,NULL,5602,'Prosjektstyring','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html#ProjectOperations',506),(13269,'Bruk hvis datatypen er kjent, men ikke er på listen.','Other',NULL,31,NULL,8237,'Annet','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Other',507),(13270,'Hele tall i rekkevidden 0 .. 65535.','UnsignedShort',NULL,15,NULL,8257,'Unsigned short','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#UnsignedShort',507),(13271,'Sant eller usant. Kan være representert av 1 og 0 henholdsvis.','Boolean',NULL,2,NULL,8241,'Boolsk','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Boolean',507),(13272,'Hele tall i rekkevidden -32768 .. 32767.','Short',NULL,11,NULL,8243,'Short','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Short',507),(13273,'Hele tall i rekkevidden 0 .. 4294967295.','UnsignedInt',NULL,14,NULL,8230,'Unsigned int','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#UnsignedInt',507),(13274,'Hele tall i rekkevidden -128 .. 127.','Byte',NULL,12,NULL,8256,'Byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Byte',507),(13275,'Heltall verdi år, måned, dag, time og minutt, pluss desimalverdi av sekunders egenskaper, og tidssone, time og minutt. (f.eks., 2002-10-10T12:00:00-05:00).','DateTime',NULL,19,NULL,8258,'DateTime','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#DateTime',507),(13276,'Heltall verdi dag, f.eks., 24.','GDay',NULL,25,NULL,8235,'Dag','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#GDay',507),(13277,'Hele tall større enn 0.','PositiveInteger',NULL,5,NULL,8253,'Positive heltall','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#PositiveInteger',507),(13278,'Hele tall i rekkevidden -2147483648 .. 2147483647.','Int',NULL,10,NULL,8247,'Int','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Int',507),(13279,'Venstre avkortet dateTime, f.eks., 13:20:00-05:00 (13:20 for Eastern Standard Time U.S.).','Time',NULL,20,NULL,8260,'Tid','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Time',507),(13280,'Jevnlange sekvenser av heksadesimal sifre som representerer et N ganger 8-bit heltall.','HexBinary',NULL,28,NULL,8254,'hexBinary','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#HexBinary',507),(13281,'Sekvens av multipler av fire base64 sifre, hvor hver 4-tuppel representerer et 24-bit heltall. Hvert siffer (a-z, A-Z, 0-9, +, /) representerer et 6-bit heltall mellom 0 og 63.','Base64Binary',NULL,29,NULL,8252,'base64Binary','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Base64Binary',507),(13282,'Heltall verdi, f.eks., 03.','GMonth',NULL,26,NULL,8244,'Måned','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#GMonth',507),(13283,'Heltall verdi måned og dag, f.eks., 12-31.','GMonthDay',NULL,24,NULL,8236,'MonthDay','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#GMonthDay',507),(13284,'Single-precision 32-bit floating point type: Den grunnleggende verdirekkevidden til en float består av verdiene m*2^e, hvor m er et heltall med absolutt verdi mindre enn 2^24 og e er et heltall mellom -149 og 104. I tillegg inneholder det også tre spesialverdier: positiv og negativ uendelig og not-a-number (NaN). Spesialverdiene positiv og negativ uendelig og not-a-number har leksikalsk representasjon INF, -INF og NaN, henholdsvis. Leksikalske representasjoner for null kan ha positivt eller negativt fortegn. For eksempel, -1E4, 1267.43233E12, 12.78e-2. -0. 0 og INF er alle lovlige uttrykk for float.','Float',NULL,17,NULL,8245,'Float','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Float',507),(13285,'Heltall verdi år, f.eks., 2005.','GYear',NULL,23,NULL,8246,'År','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#GYear',507),(13286,'Heltall verdi år og måned, f.eks., 2004-11.','GYearMonth',NULL,22,NULL,8259,'YearMonth','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#GYearMonth',507),(13287,'En varighet av tid. Verdirekkevidden til \"varighet\" er i seks dimensjoner som koordinerer det Gregorianske år, måned, dag, time, minutt og sekund komponenter som er definert i ISO 8601. Disse komponentene er arrangert etter signifikans gjennom rekkefølgen år, måned, dag, time, minutt og sekund. Den leksikalske representasjonen av varighet er i det utvidede formatet PnYnMnDTnHnMnS, hvor P er flagget for varighet (i.e., Period) og er konstant, nY representerer antall\når, nM antall måneder, nD antall dager, T er dato/tid skilletegn, nH antall timer, nM antall minutter og nS antall sekunder. Antallet sekunder kan inkludere desimaltall til skjønnsmessig presisjon. For eksempel, for å indikere en varighet på 1 år, 2 måneder, 3 dager, 10 timer og 30 minutter kan en skrive: \"P1Y2M3T10H30M.\" En valgfri foranledende minustegn (\"-\") er tillatt, for å indikere negativ varighet: en varighet på minus 120 dager vil bli indikert som \"-P120D\" (fra: http://www.w3.org/TR/xmlschema-2/#duration).','Duration',NULL,27,NULL,8240,'Varighet','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Duration',507),(13288,'Hele tall i rekkevidden 0 .. 255 (systemavhengig).','UnsignedByte',NULL,16,NULL,8233,'Unsigned byte','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#UnsignedByte',507),(13289,'Hele tall større enn -1.','NonNegativeInteger',NULL,7,NULL,8250,'Ikke-negative heltall','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#NonNegativeInteger',507),(13290,'En delmengde av reelle tall som kan bli representert av en endelig sekvens av desimaltall (0-9) adskilt med et punktum som desimalindikator. Et alternativ tegn før desimalindikatoren er tillatt. Hvis tegnet er utelatt, antas \"+\". Førende og etterfølgende nuller er valgfri. Hvis brøkdelen er null, kan punktumet og følgende null(er) bli utelatt. For eksempel: -1.23, 12678967.543233, +100000.00, 210.','Decimal',NULL,3,NULL,8232,'Desimal','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Decimal',507),(13291,'Hele tall i rekkevidden 0 .. 18446744073709551615.','UnsignedLong',NULL,13,NULL,8255,'Unsigned long','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#UnsignedLong',507),(13292,'Hele tall, det uendelige settet med heltall, ingen minimum eller maksimum verdi.','Integer',NULL,4,NULL,8249,'Heltall','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Integer',507),(13293,'Hele tall mindre enn 0.','NegativeInteger',NULL,6,NULL,8231,'Negative heltall','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#NegativeInteger',507),(13294,'Endelig sekvens av tegn. Et tegn er en atomenhet for skriftlig kommunikasjon; det er ikke nærmere spesifisert, bortsett fra å merke seg at hvert tegn har et tilsvarende Universal Character Set-kodepunkt (som er et heltall).','String',NULL,0,NULL,8261,'Streng','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#String',507),(13295,'Double-precision 64-bit floating point type. Den grunnleggende verdirekkevidden til en double består av verdiene m*2^e, hvor m er et heltall med absolutt verdi mindre enn 2^53, og e er et heltall mellom -1075 og 970. I tillegg til de grunnleggende verdiene beskrevet ovenfor, inneholder også verdirekkevidden til double også de følgende tre spesialverdiene: positiv og negativ uendelig og not-a-number (NaN). Spesialverdiene positiv og negativ uendelig og not-a-number har leksikalske representasjon INF, -INF og NaN, henholdsvis. Leksikalske representasjoner for null kan ha positivt eller negativt fortegn. For eksempel, -1E4, 1267.43233E12, 12.78e-2, 12, -0, 0 og INF er alle lovlige uttrykk for double.','Double',NULL,18,NULL,8251,'Double','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Double',507),(13296,'Hele tall i rekkevidden -9223372036854775808 .. 9223372036854775807.','Long',NULL,9,NULL,8242,'Long','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Long',507),(13297,'Heltall verdi år, måned, dag og tidssone time og minutter, f.eks., 2003-06-30-05:00 (30 Juni 2003 Eastern Standard Time U.S.).','Date',NULL,21,NULL,8248,'Dato','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#Date',507),(13298,'En Uniform Resource Identifier som ftp, http eller mailto, f.eks., http://www.w3.org/TR/xmlschema-2.','AnyURI',NULL,30,NULL,8234,'anyURI','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#AnyURI',507),(13299,'Hele tall mindre enn 1.','NonPositiveInteger',NULL,8,NULL,8239,'Ikke-positive heltall','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#NonPositiveInteger',507),(13300,'En type streng hvor alle forekomster av hvitt mellomrom (inkludert tabulator, linjeskift og vognretur) blir erstattet av et enkelt mellomrom.','NormalizedString',NULL,1,NULL,8238,'Normalisert streng','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html#NormalizedString',507),(13301,'Definerer en del av datoen - år og måned (YYYY-MM).','GMonthDay',NULL,5,NULL,3179,'MonthDay','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#GMonthDay',508),(13302,'Bruk hvis datotypen er kjent, men finnes ikke på listen.','Other',NULL,10,NULL,3184,'Annen','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#Other',508),(13303,'Brukes for å spesifisere dato og tid i formatet \"år, måned, dag, time, minutter og sekunder\" (YYYY-MM-DD hh:mm:ss). I et DateTime streng utrykk er tidsdelen adskilt med en \"T\", for eksempel, 2018-02-22T13:00:00. En tidssone spesifikasjon kan bli inkludert ved enten å skrive inn UTC dato og tidsformat etterfulgt av en \"Z\", eller ved å legge til en positiv eller negativ tid\netter den angitte tiden for å indikere forskyvning fra UTC tid. For eksempel, 13:00 U.S. Eastern Standard Time kan bli uttrykket som 2018-02-22T18:00:00Z, eller 2018-02-22T13:00:00-5:00.','DateTime',NULL,0,NULL,3174,'DateTime','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#DateTime',508),(13304,'Brukes for å spesifisere tid i formatet \"timer, minutter og sekunder\" (hh:mm:ss). En tidssone spesifikasjon kan bli inkludert ved å skrive inn UTC tid etterfulgt av en \"Z\", eller ved å legge til en positiv eller negativ tid etter den angitte tiden for å indikere forskyvning fra UTC tid. For eksempel, 13:00 U.S. Eastern Standard Time kan bli uttrykket som 18:00:00Z eller som 13:00:00-5:00.','Time',NULL,1,NULL,3175,'Tid','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#Time',508),(13305,'Brukes for å spesifisere en dato i formatet \"år, måned, dag\" (YYYY-MM-DD). En tidssone spesifikasjon kan bli inkludert ved å skrive inn UTC dato etterfulgt av en \"Z\" eller ved å legge til en positiv eller negativ tid etter den angitte datoen for å indikere forskyvning fra UTC tid. For eksempel, Februar 20., 2018 i Øst-Australia kan bli uttrykket som 2018-02-19Z eller 2018-02-20+10:00.','Date',NULL,2,NULL,3176,'Dato','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#Date',508),(13306,'Definerer en del av datoen - år og måned (YYYY-MM).','GYearMonth',NULL,3,NULL,3177,'YearMonth','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#GYearMonth',508),(13307,'Definerer en del av datoen - år (YYYY).','GYear',NULL,4,NULL,3178,'År','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#GYear',508),(13308,'Definerer en del av datoen - dagen (DD).','GDay',NULL,6,NULL,3180,'Dag','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#GDay',508),(13309,'Definerer en del av datoen - måneden (MM).','GMonth',NULL,7,NULL,3181,'Måned','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#GMonth',508),(13310,'Brukes for å spesifisere tidsperioden eller intervallen i formatet \"antall år, antall måneder, antall dager, antall timer, antall minutter og antall sekunder, foregått av en \"P\" (PnYnMnDTnHnMnS). Bokstaven \"T\" indikerer starten på tidsdelen. For eksempel, P5Y2M10DT15H står for en periode på fem år, to måneder, 10 dager og 15 timer. En periode med minustegn (\"-\") foran indikerer en negativ varighet, for eksempel, -P10D betyr en periode på minus 10 dager.','Duration',NULL,8,NULL,3182,'Varighet','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#Duration',508),(13311,'Tidsrom strukturen representerer en tidsvarighet (varighet av tid eller gått tid), den kan bli uttrykket som start/stopp, start/varighet eller varighet/slutt. Start, slutt og varighet er dokumentert ved bruk av de angitte DateTime strukturene.\nEksempler: start/slutt 2018-02-22T13:00:00/2018-02-22T14:30:00; start/varighet 2018-02-Approved: Tidsrom strukturen representerer en tidsvarighet (varighet av tid eller gått tid), den kan bli uttrykket ved start/stopp, start/varighet eller varighet/slutt. Start, slutt og varighet er dokumentert ved bruk av de angitte DateTime strukturene. Eksempler: start/slutt 2018-02-22T13:00:00/2018-02-22T14:30:00; start/varighet 2018-02-22T13:00:00/1H30M; varighet/slutt 1H20M/2018-02-22T14:30:00. For start/slutt uttrykk, hvis noen av elementene mangler fra slutt verdien er det antatt å være den samme for startverdien, inkludert tidssone hvis det er brukt. For eksempel, et to timers langt møte på den 14. desember 2007 kan bli representert som 2007-12-14T13:30:00/15:30:00 eller 2007-12-14T13:30:00/2H.','Timespan',NULL,9,NULL,3183,'Tidsrom','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html#Timespan',508),(13312,'Individet har språket som morsmål, men ferdighetene i språken er ukjent eller uspesifisert.','Native',NULL,0,NULL,3185,'Morsmål','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#Native',509),(13313,'Individets språktilhørighet er ukjent/uspesifisert; hen har utmerket mestring av språket, inkludert inngående kjennskap til uttrykk, et bredt ordforråd og trygg kontroll over grammatikken.','NativeStatusUnspecified.Fluent','NativeStatusUnspecified',9,NULL,3195,'Uspesifisert språktilhørighet: Flytende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NativeStatusUnspecified.Fluent',509),(13314,'Individet har språket som morsmål og har en utmerket mestring av det, inkludert inngående kjennskap til uttrykk, et bredt ordforråd og trygg kontroll over grammatikken.','Native.Fluent','Native',1,NULL,3187,'Morsmål: Flytende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#Native.Fluent',509),(13315,'Individet har språket som morsmål og behersker det med god strukturell nøyaktighet, godt ordforråd og forståelse.','Native.Good','Native',2,NULL,3188,'Morsmål: Bra','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#Native.Good',509),(13316,'Individets språktilhørighet er ukjent/uspesifisert; hen har god strukturell nøyaktighet, godt ordforråd og forståelse.','NativeStatusUnspecified.Good','NativeStatusUnspecified',10,NULL,3196,'Uspesifisert språktilhørighet: Bra','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NativeStatusUnspecified.Good',509),(13317,'Individets språktilhørighet og hen sine ferdigheter er begge ukjent, eller ikke spesifisert.','NativeStatusUnspecified',NULL,8,NULL,3194,'Uspesifisert språktilhørighet','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NativeStatusUnspecified',509),(13318,'Individet har språket som morsmål, men er begrenset i ordforrådet, grammatikk og forståelse.','Native.Basic','Native',3,NULL,3189,'Morsmål: Grunnleggende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#Native.Basic',509),(13319,'Individet har språket som andrespråk, men ferdighetene i språket er ukjent eller uspesifisert.','NonNative',NULL,4,NULL,3190,'Andrespråk','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NonNative',509),(13320,'Bruk hvis språkferdigheter er kjent, men ikke er å finne på listen. Det er anbefalt at enhver ny oppføring kombinerer informasjon om individets morsmål/andrespråk status og hen sitt ferdighetsnivå i formatet [morsmål/andrespråk/annet]. [ferdighetsnivå] som vist ovenfor.','Other',NULL,12,NULL,3198,'Annet','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#Other',509),(13321,'Individet har språket som andrespråk og har en utmerket mestring av det, inkludert inngående kjennskap til uttrykk, et bredt ordforråd og trygg kontroll over grammatikken.','NonNative.Fluent','NonNative',5,NULL,3191,'Andre språk: Flytende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NonNative.Fluent',509),(13322,'Individets språktilhørighet er ukjent/uspesifisert; hen har begrensninger i ordforråd, grammatikk og forståelse.','NativeStatusUnspecified.Basic','NativeStatusUnspecified',11,NULL,3197,'Uspesifisert språktilhørighet: Grunnleggende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NativeStatusUnspecified.Basic',509),(13323,'Individet har språket som andrespråk og behersker det med god strukturell nøyaktighet, godt ordforråd og forståelse.','NonNative.Good','NonNative',6,NULL,3192,'Andrespråk: Bra','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NonNative.Good',509),(13324,'Individet har språket som andrespråk, men er begrenset i ordforrådet, grammatikk og forståelse.','NonNative.Basic','NonNative',7,NULL,3193,'Andrespråk: Grunnleggende','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html#NonNative.Basic',509),(13325,'Produsere en formidlingspakke for distribusjon av data (Dissemination Information Package i OAIS terminologi).','DisseminationPackageProduction',NULL,34,NULL,3233,'Produksjon av formidlingspakke','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DisseminationPackageProduction',510),(13326,'Detaljert planlegging for å gjennomføre studien/datainnsamlingen: raffinere konsepter og identifisere måter å måle de, definere mål populasjonen, tidsdimensjonen, utvalgsrammeverket og utvalgstrekning, datainnsamlings metodologi, produksjonssystemer og arbeidsflyt, etc.','StudyDesign',NULL,2,NULL,3201,'Studie design','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#StudyDesign',510),(13327,'Avgjørelser om å forlenge finansiell støtte for en studie/datainnsamling.','Funding',NULL,1,NULL,3200,'Finansiering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#Funding',510),(13328,'Utvikle datainnsamlingsinstrumentet, for eksempel, spørreskjemaet eller intervjuspørsmålene, fokusgruppe emner, observasjonsskjema for observasjonsdesign, standardisert journalgjennomgang, uavhengig og avhengig variabler for eksperimentelt design.','InstrumentDesign',NULL,3,NULL,3202,'Instrumentdesign','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#InstrumentDesign',510),(13329,'Analyse av hvordan studien, i alle stadier, ble administrert og/eller gjennomført, inkludert utfallet av metodologiske-, tekniske- og forretningsbeslutninger. Kan tjene som et grunnlag for endringer eller forbedringer i planleggingen av fremtidige iterasjoner av datainnsamlingen eller helt nye prosjekter.','Evaluation',NULL,30,NULL,3229,'Evaluering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#Evaluation',510),(13330,'Å oversette metadata til et annet språk.','MetadataTranslation',NULL,28,NULL,3227,'Metadata oversettelse','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#MetadataTranslation',510),(13331,'Første utgivelse av data og/eller metadata til andre individer og/eller byråer enn studiens produsenter.','OriginalRelease',NULL,31,NULL,3230,'Original utgivelse','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#OriginalRelease',510),(13332,'Småskala anvendelse av datainnsamling instrumentet med hensikt å identifisere potensielle problemer før en tar det i bruk i fullskala for hele studien.','InstrumentPreTesting',NULL,10,NULL,3209,'Instrumenttest','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#InstrumentPreTesting',510),(13333,'Kontrollere overensstemmelser, udokumenterte koder, missing data representasjoner, etc.','DataProcessing.DataQualityChecks','DataProcessing',22,NULL,3221,'Databehandling: Kvalitetskontroll','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.DataQualityChecks',510),(13334,'Oversette kildespørreskjemaet til andre språk, for eksempel, i tverrnasjonale spørreskjema eller i nasjonale spørreskjema gjennomført i flerspråklige land.','QuestionnaireTranslation',NULL,4,NULL,3203,'Spørreskjema oversettelse','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#QuestionnaireTranslation',510),(13335,'Rapport som beskriver hvordan data ble analyser, inklusiv funn. Dette kan være konferansepresentasjoner, tidsskriftartikler eller online publikasjoner, bøker eller bokkapitler, etc.','DataAnalysisReports',NULL,36,NULL,3235,'Dataanalyse rapport','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataAnalysisReports',510),(13336,'Dokumentere data, for eksempel ved å produsere studienivå og variabel beskrivelser.','MetadataProduction',NULL,26,NULL,3225,'Metadata produksjon','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#MetadataProduction',510),(13337,'Overlevering av data og tilgjengelig metadata (Submission Information Package i OAIS terminologi) til ett dataarkiv eller oppbevaringssted for bevaring, mulig videre prosessering, og formidling.','Deposit',NULL,32,NULL,3231,'Deponering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#Deposit',510),(13338,'Generalprøve for hele prosjektet, for eksempel ved å gjennomføre datainnsamling via spørreskjema til et lite antall mennesker, så kode og analysere resultatene, etc.','PilotStudy',NULL,11,NULL,3210,'Pilotstudie','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#PilotStudy',510),(13339,'Velge utvalget for studien/datainnsamlingen.','Sampling',NULL,9,NULL,3208,'Utvalgstrekking','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#Sampling',510),(13340,'Endring av språkformulering i spørsmål for å belyse kulturelle eller institusjonelle forskjeller, hvis spørreskjema i samme språk utføres i forskjellige regioner eller land.','QuestionnaireAdaptation',NULL,5,NULL,3204,'Spørreskjema tilpasning','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#QuestionnaireAdaptation',510),(13341,'Definere rammene for en ny studie/datainnsamling, inkluderer behovet for informasjon og de generelle forskningsmålene, samt hovedkonsepter, studieomfang og metodologi, som regel presenteres dette for godkjenning hos finansiere, partnere og andre relevante aktører.','StudyProposal',NULL,0,NULL,3199,'Studieforslag','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#StudyProposal',510),(13342,'Klargjøre, gjennomføre og ferdigstille datainnsamling prosessen, inkludert oppfølging prosedyrer, etc.','DataCollection',NULL,12,NULL,3211,'Datainnsamling','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataCollection',510),(13343,'Utregning av nye variabler fra målte variabler, som regel gjennom rekoding.','DataProcessing.Derivation','DataProcessing',21,NULL,3220,'Databehandling: Avledning','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Derivation',510),(13344,'Publisering, eller annen tilgjengeliggjøring, av formidlingspakken for brukere.','DisseminationPackageRelease',NULL,35,NULL,3234,'Utgivelse av formidlingspakke','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DisseminationPackageRelease',510),(13345,'Gjennomgang av studien/datainnsamling i forhold til samsvar med loven (lovgivning som omhandler konfidensialitet, beskyttelse av barn, etc.).','LegalReview',NULL,8,NULL,3207,'Lovlig godkjenning','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#LegalReview',510),(13346,'Bruk hvis hendelsestypen er kjent, men ikke finnes på listen.','Other',NULL,38,NULL,3237,'Annet','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#Other',510),(13347,'Publisering, eller annen tilgjengeliggjøring, av en ny versjon av data og/eller metadata for brukere. ','NewVersionRelease',NULL,37,NULL,3236,'Ny versjon utgivelse','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#NewVersionRelease',510),(13348,'Utregning av vektevariabler og legge de til datamaterialet.','DataProcessing.Weighting','DataProcessing',18,NULL,3217,'Databehandling: Vekting','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Weighting',510),(13349,'Gjennomgang av studien/datainnsamlingen for å forsikre at den samsvarer med lovpålagte etiske krav eller forskrifter, inkludert verifisering av informert samtykke, gjennomført av et godkjent organ, som en forskningsetisk komité eller institusjonell vurderingsnemd.','EthicsReview',NULL,7,NULL,3206,'Etisk godkjenning','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#EthicsReview',510),(13350,'Endringer, tillegg eller sletting gjennomført på data på hvilket som helst tidspunkt etter innsamlingen.','DataProcessing',NULL,14,NULL,3213,'Databehandling','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing',510),(13351,'Å endre dataene for å forhindre identifisering av subjekter, for eksempel, å utføre anonymiseringstiltak som å rekode eller topp-kode sensitive variabler som inntektsnivå, aggregere eller holde tilbake geografiske indikatorer, eller erstatte personnavn med pseudonymer og/eller kategorisere bakgrunnsopplysninger eller demografisk informasjon i kvalitative data.','DataProcessing.DisclosureLimitation','DataProcessing',24,NULL,3223,'Databehandling: Begrensning om avsløring','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.DisclosureLimitation',510),(13352,'Opprette komplekse datasett med å koble sammen relaterte data, for eksempel, hierarkiske datasett med flere, men sammenliknbare, analyseenheter, eller datasett fra flere runder av en undersøkelse, eller data samlet inn i forskjellige land for en tverrnasjonal studie, etc.','DataProcessing.DataIntegration','DataProcessing',23,NULL,3222,'Databehandling: Dataintegrering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.DataIntegration',510),(13353,'Overføring av video- eller lydopptak data til skriftlig format.','DataProcessing.InterviewTranscriptions','DataProcessing',17,NULL,3216,'Databehandling: Transkibering av intervjuer','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.InterviewTranscriptions',510),(13354,'Fullstendig redegjørelse for hvordan studien ble gjennomført i alle stadier, ofte påkrevd av finansiør eller andre administrative instanser.','FinalReport',NULL,29,NULL,3228,'Sluttrapport','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#FinalReport',510),(13355,'Produsere en bevaringspakke av datamaterialet for arkivformål (Archival Information Package i OAIS terminologi).','PreservationPackageProduction',NULL,33,NULL,3232,'Produksjon av bevaringspakke','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#PreservationPackageProduction',510),(13356,'Rapporter på designet og gjennomførelsen av datainnsamling prosessen, inkludert metodologiske avgjørelser og utfordringer som har oppstått. Disse kan være konferansepresentasjoner, tidsskriftartikler eller online publikasjoner, bokkapitler, etc.','DataCollectionReports',NULL,13,NULL,3212,'Datainnsamling rapporter','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataCollectionReports',510),(13357,'Dokumentering av meningen/innholdet av kodede data.','DataProcessing.Classification','DataProcessing',16,NULL,3215,'Databehandling: Klassifisering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Classification',510),(13358,'Opplæring av intervjuere som administrerer spørreskjemaet i spørreskjemaundersøkelser.','InterviewerTraining',NULL,6,NULL,3205,'Intervjueropplæring','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#InterviewerTraining',510),(13359,'Utregning av skalaer, indekser eller typologier og legge de til datamaterialet.','DataProcessing.CompositeMeasures','DataProcessing',20,NULL,3219,'Databehandling: Sammensatte mål','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.CompositeMeasures',510),(13360,'Konvertering av rådata til maskinlesbare koder.','DataProcessing.Coding','DataProcessing',15,NULL,3214,'Databehandling: Koding','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Coding',510),(13361,'Å endre metadataene for å gjenspeile endringer i dataene eller for å forbedre eller styrke dokumentasjonen.','MetadataEditing',NULL,27,NULL,3226,'Metadata redigering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#MetadataEditing',510),(13362,'Utregning av kumulative mål på individnivå data eller mikrodata.','DataProcessing.Aggregation','DataProcessing',19,NULL,3218,'Databehandling: Aggregering','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Aggregation',510),(13363,'Erstatte manglende data punkter med verdier utregnet ved bruk av imputasjonsteknikker.','DataProcessing.Imputation','DataProcessing',25,NULL,3224,'Databehandling: Imputasjon','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html#DataProcessing.Imputation',510),(13364,'Skrivna texter, som böcker, artiklar, tweets, bloggar m.m. Till exempel en studie om hets mot folkgrupp i tweets, eller en studie om hur tidningar beskriver olika politiska/sociala ämnen över tid, som kvinnors eller minoriteters rättigheter osv.','MediaUnit.Text','MediaUnit',13,12329,12267,'Mediaenhet: Text',NULL,511),(13365,'Inkluderar text, stillbilder, video och ljud.','MediaUnit',NULL,10,12327,12258,'Mediaenhet',NULL,511),(13366,'En bostadsenhet är ett hus, en lägenhet, en husvagn, eller ett eller flera rum som bebos (eller, om den är tom, är avsedd att bebos) som avskild inkvartering. Med avskild inkvartering menas att de som är inkvarterade där bor och äter avskilda från andra personer i byggnaden och kan komma in direkt utifrån eller via en gemensam entré (U.S. Census).','HousingUnit',NULL,5,12326,12256,'Bostadsenhet',NULL,511),(13367,'Ett geografiskt område som styrs av en bestämmande myndighet med makt att fatta administrativa eller politiska beslut för området. Detta inkluderar områden på överstatlig (t.ex. unioner av stater som EU), statlig (t.ex. delstater eller länder), subnationell/regional (t.ex. förvaltningsområden som federala delstater, provinser osv.) och lokal (t.ex. kommuner) nivå.','PoliticalAdministrativeArea',NULL,8,12322,12257,'Politiskt förvaltningsområde',NULL,511),(13368,'En mer specifik term än \"Familj\". Betecknar endast människor som är släkt genom familjeband (se definitionen för \"Familj\") och som bor tillsammans i samma hushåll vid en given tidpunkt. Om det inte är känt huruvida analysenheten är \"Familj\" eller \"Familjehushåll\" ska \"Familj\" användas.','Family.HouseholdFamily','Family',3,12323,12264,'Familj: Familjehushåll',NULL,511),(13369,'En företeelse, tilldragelse eller aktivitet. Händelser är vanligtvis enstaka företeelser med begränsad eller kort varaktighet. Exempel: brott, upplopp, möten, val, idrottstävlingar, terroristangrepp, naturkatastrofer som översvämningar o.dyl. Processer utspelar sig vanligtvis över tid och kan omfatta flera \"händelser\" eller gradvisa förändringar som slutligen resulterar i, eller kan tänkas resultera i, en viss utgång. Exempel: rättegångar, brottsutredningar, politiska kampanjer, medicinska behandlingar, utbildning, en idrottsutövares träning, m.m. Använd detta begrepp när fokus ligger på själva händelsen, processen eller aktiviteten. Till exempel en fältobservationsstudie om spel på spelautomater; eller data om fall av övergrepp på barn, som typ av och varaktighet för övergreppet, de inblandade personernas roller osv.','EventOrProcessOrActivity',NULL,6,12331,12265,'Händelse/process/aktivitet',NULL,511),(13370,'En person eller grupp av personer som delar bostad och levnadsförhållanden. Dessa gemensamma levnadsförhållanden kan inkludera att viss eller all inkomst och egendom är gemensam och att vissa sorters varor och tjänster konsumeras gemensamt, företrädelsevis bostad och mat (Eurostat).','Household',NULL,4,12332,12259,'Hushåll',NULL,511),(13371,'Statiska bilder, som diagram, ritningar, fotografier, diagnostiska/medicinska bilder som röntgenbilder eller andra typer av bilddiagnostiska undersökningar&nbsp;osv.','MediaUnit.StillImage','MediaUnit',12,12338,12263,'Mediaenhet: Stillbild',NULL,511),(13372,'En tidsperiod: år, månad, vecka, dag, kvartal, tvåmånadersperiod osv.','TimeUnit',NULL,9,12324,12254,'Tidsenhet',NULL,511),(13373,'Rörliga bilder. Det kan inkludera filmer, animationer, digitala inspelningar, visuella utdata från simuleringar, inspelade tv-program, diagnostiska/medicinska videor som ultraljudsundersökningar osv. De kan vara utan ljud eller med synkroniserat ljud.','MediaUnit.Video','MediaUnit',14,12337,12260,'Mediaenhet: Video',NULL,511),(13374,'En enhet som kan definieras spatialt som ett geografiskt område med antingen naturliga (fysiska) eller administrativa gränser. Till exempel data om husförsäljning, landskapsförändringar, nybyggen eller förändringar av den demografiska sammansättningen i vissa regioner eller distrikt.','GeographicUnit',NULL,7,12334,12261,'Geografisk enhet',NULL,511),(13375,'Två eller fler personer som är släkt genom blodsband, äktenskap (inklusive styvsyskon, -föräldrar, -barn m.m.), samboskap eller registrerat partnerskap, adoption eller fosterfamiljeskap, men som inte nödvändigtvis bor tillsammans. Till exempel data om vilka offentliga tjänster familjen använder eller skulle vara i behov av, eller hur ofta familjemedlemmar har kontakt med varandra.','Family',NULL,2,12330,12251,'Familj',NULL,511),(13376,'Något fysiskt men icke levande som existerar som en oberoende enhet och kan uppfattas av sinnena. Exempel: konstföremål (tavlor, skulpturer, o.dyl.), vapen, fordon m.m.','Object',NULL,16,12335,12252,'Föremål',NULL,511),(13377,'Inspelat ljud, som röst, musik m.m.','MediaUnit.Sound','MediaUnit',11,12333,12250,'Mediaenhet: Ljud',NULL,511),(13378,'Två eller fler personer som samlats eller som har någon form av relation eller egenskap som förenar dem. I surveyundersökningar fokuserar frågorna framför allt på gruppen och gruppens attityder/erfarenheter, snarare än på de enskilda respondenterna. Om frågorna gäller både gruppen och individen, använd båda som analysenheter.','Group',NULL,15,12325,12262,'Grupp',NULL,511),(13379,'Använd om analysenheten är känd men saknas i listan.','Other',NULL,17,12328,12253,'Övrigt',NULL,511),(13380,'En formell administrativ och funktionell struktur. Detta inkluderar föreningar, institutioner, myndigheter, företag, politiska partier, skolor m.m. Data om organisationerna eller institutionerna samlas in även om frågorna besvaras av enskilda personer. Det gäller till exempel data om företags miljöpolicyer, data om antagningar eller examensfrekvens vid nationella universitet m.m.','OrganizationOrInstitution',NULL,1,12339,12266,'Organisation/institution',NULL,511),(13381,'En enskild person.','Individual',NULL,0,12336,12255,'Individ',NULL,511);
/*!40000 ALTER TABLE `concept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jhi_authority`
--

DROP TABLE IF EXISTS `jhi_authority`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jhi_authority` (
  `name` varchar(50) NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jhi_authority`
--

LOCK TABLES `jhi_authority` WRITE;
/*!40000 ALTER TABLE `jhi_authority` DISABLE KEYS */;
INSERT  IGNORE INTO `jhi_authority` (`name`) VALUES ('ROLE_ADMIN'),('ROLE_ADMIN_CONTENT'),('ROLE_ADMIN_TECHNICAL'),('ROLE_USER');
/*!40000 ALTER TABLE `jhi_authority` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jhi_persistent_audit_event`
--

DROP TABLE IF EXISTS `jhi_persistent_audit_event`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jhi_persistent_audit_event` (
  `event_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `event_date` datetime(6) DEFAULT NULL,
  `event_type` varchar(255) DEFAULT NULL,
  `principal` varchar(255) NOT NULL,
  PRIMARY KEY (`event_id`)
) ENGINE=InnoDB AUTO_INCREMENT=182 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jhi_persistent_audit_event`
--

LOCK TABLES `jhi_persistent_audit_event` WRITE;
/*!40000 ALTER TABLE `jhi_persistent_audit_event` DISABLE KEYS */;
INSERT  IGNORE INTO `jhi_persistent_audit_event` (`event_id`, `event_date`, `event_type`, `principal`) VALUES (170,'2021-01-05 16:37:21.787000','AUTHENTICATION_SUCCESS','admin'),(171,'2021-01-21 10:49:04.417000','AUTHENTICATION_SUCCESS','admin'),(172,'2021-01-21 10:49:23.808000','AUTHENTICATION_FAILURE','admin'),(173,'2021-01-21 10:49:43.595000','AUTHENTICATION_FAILURE','gesis'),(174,'2021-01-21 10:49:51.265000','AUTHENTICATION_SUCCESS','admin'),(175,'2021-01-21 13:29:57.340000','AUTHENTICATION_SUCCESS','admin'),(176,'2021-01-21 17:35:08.472000','AUTHENTICATION_SUCCESS','admin'),(177,'2021-01-25 11:08:56.233000','AUTHENTICATION_SUCCESS','admin'),(178,'2021-01-25 13:38:07.735000','AUTHENTICATION_SUCCESS','admin'),(179,'2021-01-27 06:59:33.896000','AUTHENTICATION_SUCCESS','admin'),(180,'2021-01-28 14:22:38.246056','AUTHENTICATION_SUCCESS','admin'),(181,'2021-01-28 14:27:42.741000','AUTHENTICATION_SUCCESS','admin');
/*!40000 ALTER TABLE `jhi_persistent_audit_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jhi_persistent_audit_evt_data`
--

DROP TABLE IF EXISTS `jhi_persistent_audit_evt_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jhi_persistent_audit_evt_data` (
  `event_id` bigint(20) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`event_id`,`name`),
  CONSTRAINT `FK2ehnyx2si4tjd2nt4q7y40v8m` FOREIGN KEY (`event_id`) REFERENCES `jhi_persistent_audit_event` (`event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jhi_persistent_audit_evt_data`
--

LOCK TABLES `jhi_persistent_audit_evt_data` WRITE;
/*!40000 ALTER TABLE `jhi_persistent_audit_evt_data` DISABLE KEYS */;
INSERT  IGNORE INTO `jhi_persistent_audit_evt_data` (`event_id`, `value`, `name`) VALUES (172,'Bad credentials','message'),(172,'org.springframework.security.authentication.BadCredentialsException','type'),(173,'Bad credentials','message'),(173,'org.springframework.security.authentication.BadCredentialsException','type');
/*!40000 ALTER TABLE `jhi_persistent_audit_evt_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jhi_user`
--

DROP TABLE IF EXISTS `jhi_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jhi_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `created_by` varchar(50) NOT NULL,
  `created_date` datetime(6) DEFAULT NULL,
  `last_modified_by` varchar(50) DEFAULT NULL,
  `last_modified_date` datetime(6) DEFAULT NULL,
  `activated` bit(1) NOT NULL,
  `activation_key` varchar(20) DEFAULT NULL,
  `email` varchar(254) DEFAULT NULL,
  `first_name` varchar(50) DEFAULT NULL,
  `image_url` varchar(256) DEFAULT NULL,
  `lang_key` varchar(10) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `login` varchar(50) NOT NULL,
  `password_hash` varchar(60) NOT NULL,
  `reset_date` datetime(6) DEFAULT NULL,
  `reset_key` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_9y0frpqnmqe7y6mk109vw3246` (`login`),
  UNIQUE KEY `UK_bycanyquvi09q7fh5pgxrqnku` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=84 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jhi_user`
--

LOCK TABLES `jhi_user` WRITE;
/*!40000 ALTER TABLE `jhi_user` DISABLE KEYS */;
INSERT  IGNORE INTO `jhi_user` (`id`, `created_by`, `created_date`, `last_modified_by`, `last_modified_date`, `activated`, `activation_key`, `email`, `first_name`, `image_url`, `lang_key`, `last_name`, `login`, `password_hash`, `reset_date`, `reset_key`) VALUES (83,'sigit.nugraha@gesis.org','2020-12-15 13:45:22.480000','sigit.nugraha@gesis.org','2020-12-15 13:45:28.026000',_binary '','75q9VisUXYV8Ja65olPh','admin@cessda.eu',NULL,NULL,'en',NULL,'admin','$2a$10$vy.peaJZUpzGxIrUziRBqeV0KTz.pXf.E8U/WmurKnnuE/RvgDxui',NULL,NULL);
/*!40000 ALTER TABLE `jhi_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jhi_user_authority`
--

DROP TABLE IF EXISTS `jhi_user_authority`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jhi_user_authority` (
  `user_id` bigint(20) NOT NULL,
  `authority_name` varchar(50) NOT NULL,
  PRIMARY KEY (`user_id`,`authority_name`),
  KEY `FK4psxl0jtx6nr7rhqbynr6itoc` (`authority_name`),
  CONSTRAINT `FK290okww5jujghp4el5i7mgwu0` FOREIGN KEY (`user_id`) REFERENCES `jhi_user` (`id`),
  CONSTRAINT `FK4psxl0jtx6nr7rhqbynr6itoc` FOREIGN KEY (`authority_name`) REFERENCES `jhi_authority` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jhi_user_authority`
--

LOCK TABLES `jhi_user_authority` WRITE;
/*!40000 ALTER TABLE `jhi_user_authority` DISABLE KEYS */;
INSERT  IGNORE INTO `jhi_user_authority` (`user_id`, `authority_name`) VALUES (83,'ROLE_ADMIN'),(83,'ROLE_USER');
/*!40000 ALTER TABLE `jhi_user_authority` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `license`
--

DROP TABLE IF EXISTS `license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `license` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `abbr` varchar(255) DEFAULT NULL,
  `link` varchar(255) DEFAULT NULL,
  `logo_link` varchar(255) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `license`
--

LOCK TABLES `license` WRITE;
/*!40000 ALTER TABLE `license` DISABLE KEYS */;
INSERT  IGNORE INTO `license` (`id`, `abbr`, `link`, `logo_link`, `name`) VALUES (1,'CC BY','http://creativecommons.org/licenses/by/4.0/','by.png','Creative Commons Attribution 4.0 International');
/*!40000 ALTER TABLE `license` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `metadata_field`
--

DROP TABLE IF EXISTS `metadata_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `metadata_field` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `description` longtext,
  `metadata_key` varchar(240) NOT NULL,
  `object_type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UK_nowtwagjlwkrjb6kklmwgofn8` (`metadata_key`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metadata_field`
--

LOCK TABLES `metadata_field` WRITE;
/*!40000 ALTER TABLE `metadata_field` DISABLE KEYS */;
INSERT  IGNORE INTO `metadata_field` (`id`, `description`, `metadata_key`, `object_type`) VALUES (1,NULL,'system.menu.about','SYSTEM'),(2,NULL,'system.menu.userguide','SYSTEM'),(3,NULL,'system.menu.api','SYSTEM'),(4,NULL,'system.search.language','SYSTEM');
/*!40000 ALTER TABLE `metadata_field` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `metadata_value`
--

DROP TABLE IF EXISTS `metadata_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `metadata_value` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `object_id` bigint(20) DEFAULT NULL,
  `object_type` varchar(255) DEFAULT NULL,
  `value` longtext,
  `metadata_field_id` bigint(20) DEFAULT NULL,
  `identifier` varchar(255) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKm4u9g6r0y15l5f89ejjxnv0ty` (`metadata_field_id`),
  CONSTRAINT `FKm4u9g6r0y15l5f89ejjxnv0ty` FOREIGN KEY (`metadata_field_id`) REFERENCES `metadata_field` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=220 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `metadata_value`
--

LOCK TABLES `metadata_value` WRITE;
/*!40000 ALTER TABLE `metadata_value` DISABLE KEYS */;
INSERT  IGNORE INTO `metadata_value` (`id`, `object_id`, `object_type`, `value`, `metadata_field_id`, `identifier`, `position`) VALUES (12,NULL,'SYSTEM','<p><br></p><p><span style=\"color: rgb(0, 0, 0);\">The </span><a href=\"https://drive.google.com/file/d/1BMIh4Oa73CovqcQwAPjzBXil7Ov7ZQPL/view?usp=sharing\" rel=\"noopener noreferrer\" target=\"_blank\">User Guide</a><span style=\"color: rgb(0, 0, 0);\">&nbsp;on how to create, edit, publish, translate and delete vocabularies in the CESSDA Vocabulary Service.</span></p><p><br></p><p><span style=\"color: rgb(0, 0, 0);\">For translators, it is important to pay attention particularly to sections: </span></p><ul><li>Introduction</li><li>Vocabulary translations</li><li>Identity and general</li><li>Usage</li><li>License and citation</li><li>Versioning</li><li>Lifecycle</li></ul>',2,'user-guide',1),(13,NULL,'SYSTEM','<p>test</p>',1,NULL,NULL),(18,NULL,'SYSTEM','\'en\',\'da\', \'fi\', \'fr\', \'de\', \'it\', \'no\', \'pt\', \'sr\', \'sl\', \'sv\'',4,NULL,NULL),(211,NULL,'SYSTEM','<h5><u style=\"background-color: transparent; color: rgb(0, 102, 204);\"><a href=\"/api-docs#v2\">V2 APIs</a></u></h5><ol><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><u style=\"background-color: transparent; color: rgb(0, 102, 204);\"><a href=\"/api-docs#v2-search-code\">Searching Codes</a></u></li></ol>',3,'overview',0),(213,NULL,'SYSTEM','<p><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"><em><u>V2 APIs</u></em></strong></p><p><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">The /v2 CESSDA Vocabulary Service (CVS) REST APIs have been developed for the current version of CVS. The APIs mainly provide searching functionality for the published Vocaburies and Codes and also provide Vocabulary export to several formats such as JSON, JSON-LD, SKOS-RDF, HTML, PDF and DOCX.</span></p><p><br></p>',3,'v2',2),(215,NULL,'SYSTEM','<p><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"><u>Searching CV-Codes</u></strong><u style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - [GET] /v2/search/codes</u></p><p><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">This APIs allows you to search the Codes from the published Controlled Vocabularies (CVs). The retrived search results are formated based on </span><u style=\"background-color: transparent; color: rgb(0, 102, 204);\"><a href=\"http://skosmos.org/\" rel=\"noopener noreferrer\" target=\"_blank\">Skosmos</a></u><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> JSON-LD.</span></p><p><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">The the following are the parameters for the API:</span></p><ol><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">vocab</strong><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> -</span><span style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\"> </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\">(required) </em><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">- Use vocab parameter to specify one of the published CV. For example </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">TopicClassification</em></li><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">lang</strong><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> -</span><span style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\"> </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\">(required)</em><span style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\"> </span><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">- Use lang parameter to specify the language. For example </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">en</em></li><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">query</strong><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(230, 0, 0);\">(required)</em><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - Use query parameter to specify the search term. A Wildcard query is also supported. For example </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">Economics</em><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> or with wildcard query </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">eco*</em></li><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">agency</strong><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">(optional but recommended)</em><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - Use agency parameter to specify the CVs Institution/Agency publisher. For example </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">CESSDA</em></li><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><strong style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">size</strong><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - </span><em style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">(optional)</em><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\"> - Use size parameter to specify the maximum number of Codes retrieved. The default value is 20</span></li></ol><p><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">Example:</span></p><ol><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">API Endpoint: </span><u style=\"background-color: transparent; color: rgb(0, 102, 204);\"><a href=\"https://vocabularies-dev.cessda.eu/v2/search/codes?agency=CESSDA&amp;lang=en&amp;query=Economics&amp;vocab=TopicClassification\" rel=\"noopener noreferrer\" target=\"_blank\">https://vocabularies-dev.cessda.eu/v2/search/codes?agency=CESSDA&amp;lang=en&amp;query=Economics&amp;vocab=TopicClassification</a></u></li><li data-list=\"bullet\"><span class=\"ql-ui\" contenteditable=\"false\"></span><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">Swagger UI URL: </span><u style=\"background-color: transparent; color: rgb(0, 102, 204);\"><a href=\"https://vocabularies-dev.cessda.eu/swagger-ui/index.html#/vocabulary-resource-v-2/getAllVocabulariesCodeUsingGET\" rel=\"noopener noreferrer\" target=\"_blank\">https://vocabularies-dev.cessda.eu/swagger-ui/index.html#/vocabulary-resource-v-2/getAllVocabulariesCodeUsingGET</a></u></li></ol><p><span style=\"background-color: rgb(255, 255, 255); color: rgb(33, 37, 41);\">Example API Output:</span></p><div class=\"ql-code-block-container\" spellcheck=\"false\"><div class=\"ql-code-block\" data-language=\"plain\">[</div><div class=\"ql-code-block\" data-language=\"plain\">  {</div><div class=\"ql-code-block\" data-language=\"plain\">    \"@context\": {</div><div class=\"ql-code-block\" data-language=\"plain\">      \"skos\": \"http://www.w3.org/2004/02/skos/core#\",</div><div class=\"ql-code-block\" data-language=\"plain\">       ....</div><div class=\"ql-code-block\" data-language=\"plain\">      \"@language\": \"en\"</div><div class=\"ql-code-block\" data-language=\"plain\">    },</div><div class=\"ql-code-block\" data-language=\"plain\">    \"results\": [</div><div class=\"ql-code-block\" data-language=\"plain\">      {</div><div class=\"ql-code-block\" data-language=\"plain\">        \"uri\": \"https://vocabularies-dev.cessda.eu/vocabulary/TopicClassification_Economics?v=4.1\",</div><div class=\"ql-code-block\" data-language=\"plain\">        \"type\": [</div><div class=\"ql-code-block\" data-language=\"plain\">          \"skos:Concept\"</div><div class=\"ql-code-block\" data-language=\"plain\">        ],</div><div class=\"ql-code-block\" data-language=\"plain\">        \"notation\": \"Economics\",</div><div class=\"ql-code-block\" data-language=\"plain\">        \"prefLabel\": \"ECONOMICS\",</div><div class=\"ql-code-block\" data-language=\"plain\">        \"definition\": \"\",</div><div class=\"ql-code-block\" data-language=\"plain\">        \"lang\": \"en\",</div><div class=\"ql-code-block\" data-language=\"plain\">        \"vocab\": \"TopicClassification\"</div><div class=\"ql-code-block\" data-language=\"plain\">      },</div><div class=\"ql-code-block\" data-language=\"plain\">      ... // other results list</div><div class=\"ql-code-block\" data-language=\"plain\">    ]</div><div class=\"ql-code-block\" data-language=\"plain\">  }</div><div class=\"ql-code-block\" data-language=\"plain\">]</div></div><p class=\"ql-align-justify\"><br></p>',3,'v2-search-code',2);
/*!40000 ALTER TABLE `metadata_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resolver`
--

DROP TABLE IF EXISTS `resolver`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `resolver` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `resolver_type` varchar(255) DEFAULT NULL,
  `resolver_uri` varchar(255) NOT NULL,
  `resource_id` varchar(255) DEFAULT NULL,
  `resource_type` varchar(255) DEFAULT NULL,
  `resource_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resolver`
--

LOCK TABLES `resolver` WRITE;
/*!40000 ALTER TABLE `resolver` DISABLE KEYS */;
/*!40000 ALTER TABLE `resolver` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_agency`
--

DROP TABLE IF EXISTS `user_agency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_agency` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `agency_role` varchar(255) DEFAULT NULL,
  `language` varchar(255) DEFAULT NULL,
  `agency_id` bigint(20) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK2t9ptx44hx3jfgylki8x6h4ww` (`agency_id`),
  KEY `FKlwwo241dejgb7smg1ecfgcm27` (`user_id`),
  CONSTRAINT `FK2t9ptx44hx3jfgylki8x6h4ww` FOREIGN KEY (`agency_id`) REFERENCES `agency` (`id`),
  CONSTRAINT `FKlwwo241dejgb7smg1ecfgcm27` FOREIGN KEY (`user_id`) REFERENCES `jhi_user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_agency`
--

LOCK TABLES `user_agency` WRITE;
/*!40000 ALTER TABLE `user_agency` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_agency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `version` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `canonical_uri` varchar(255) DEFAULT NULL,
  `citation` longtext,
  `creator` bigint(20) DEFAULT NULL,
  `ddi_usage` longtext,
  `definition` longtext,
  `discussion_notes` longtext,
  `initial_version` bigint(20) DEFAULT NULL,
  `item_type` varchar(20) NOT NULL,
  `language` varchar(20) DEFAULT NULL,
  `last_modified` datetime(6) DEFAULT NULL,
  `license` varchar(255) DEFAULT NULL,
  `license_id` bigint(20) DEFAULT NULL,
  `notation` varchar(240) DEFAULT NULL,
  `notes` longtext,
  `number` varchar(20) DEFAULT NULL,
  `previous_version` bigint(20) DEFAULT NULL,
  `publication_date` date DEFAULT NULL,
  `publisher` bigint(20) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `title` longtext,
  `translate_agency` varchar(255) DEFAULT NULL,
  `translate_agency_link` varchar(255) DEFAULT NULL,
  `uri` varchar(255) DEFAULT NULL,
  `uri_sl` varchar(255) DEFAULT NULL,
  `version_changes` longtext,
  `version_notes` longtext,
  `vocabulary_id` bigint(20) DEFAULT NULL,
  `last_status_change_date` date DEFAULT NULL,
  `creation_date` date DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK59x062e2q6vlm7tvntrwbqfua` (`vocabulary_id`),
  CONSTRAINT `FK59x062e2q6vlm7tvntrwbqfua` FOREIGN KEY (`vocabulary_id`) REFERENCES `vocabulary` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=512 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `version`
--

LOCK TABLES `version` WRITE;
/*!40000 ALTER TABLE `version` DISABLE KEYS */;
INSERT  IGNORE INTO `version` (`id`, `canonical_uri`, `citation`, `creator`, `ddi_usage`, `definition`, `discussion_notes`, `initial_version`, `item_type`, `language`, `last_modified`, `license`, `license_id`, `notation`, `notes`, `number`, `previous_version`, `publication_date`, `publisher`, `status`, `title`, `translate_agency`, `translate_agency_link`, `uri`, `uri_sl`, `version_changes`, `version_notes`, `vocabulary_id`, `last_status_change_date`, `creation_date`) VALUES (206,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Analysis Unit (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\" face=\"Verdana\"> Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font> \n</div> \n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Describes the entity being analyzed in the study or in the variable.',NULL,206,'SL','en',NULL,NULL,1,'AnalysisUnit',NULL,'1.0',0,'2019-04-01',NULL,'PUBLISHED','Analysis Unit',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html',NULL,'','',47,'2020-09-30',NULL),(208,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Havainto/aineistoyksikkötyyppi [Analysis Unit] (Version 1.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Yksikkö, jonka edustajana vastataan/esiinnytään ja/tai jota havainnoidaan.',NULL,208,'TL','fi',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,'2019-04-01',NULL,'PUBLISHED','Havainto/aineistoyksikkötyyppi','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html','','',47,'2020-09-30',NULL),(211,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Analyseeinheit [Analysis Unit] (Version 1.0.1; GESIS - Leibniz Institute for the Social Sciences, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beschreibt die Entität, die in der Studie oder in der Variable analysiert wird.',NULL,211,'TL','de',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,'2019-04-01',NULL,'PUBLISHED','Analyseeinheit','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html','','',47,'2020-09-30',NULL),(214,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Analysenhet [Analysis Unit] (Version 1.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskriver den enhet som analyseras i studien eller i variabeln.',NULL,214,'TL','sv',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,'2019-04-01',NULL,'PUBLISHED','Analysenhet','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html','','',47,'2020-09-30',NULL),(215,NULL,NULL,40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Opisuje enoto, ki jo analiziramo v raziskavi ali v spremenljivki.',NULL,215,'TL','sl',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,NULL,NULL,'DRAFT','Enota analize','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html',NULL,NULL,47,'2020-09-30',NULL),(216,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Analyseenhet [Analysis Unit] (Version 1.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskrivelse av enhet som blir analysert i studien eller i variablene.',NULL,216,'TL','no',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,'2019-04-01',NULL,'PUBLISHED','Analyseenhet','NSD - Norwegian Centre for Research Data','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html','','',47,'2020-09-30',NULL),(217,'urn:ddi:int.ddi.cv:AnalysisUnit:1.0','DDI Alliance. (2019). Analysenhed [Analysis Unit] (Version 1.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:1.0. ',40,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskriver den enhed som analyseres i studiet eller i variablen.',NULL,217,'TL','da',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.1',0,'2019-04-01',NULL,'PUBLISHED','Analysenhed','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html','','',47,'2020-09-30',NULL),(219,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). General Data Format (Version 2.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>There is no element in DDI 3.2 to support this Controlled Vocabulary</p><p><br></p><p>A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list. </p><p><br></p>','Describes the physical format(s) of the data documented in the logical product(s) of a study unit.','',219,'SL','en',NULL,NULL,1,'GeneralDataFormat','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','2.0',0,'2019-04-01',NULL,'PUBLISHED','General Data Format',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html',NULL,'','',48,'2020-09-30',NULL),(220,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Aineiston formaatti [General Data Format] (Version 2.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Formaatti, jossa aineisto luovutetaan käyttäjille.',NULL,220,'TL','fi',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-04-02',NULL,'PUBLISHED','Aineiston formaatti','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(223,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Art des Datenformats [General Data Format] (Version 2.0.1; GESIS - Leibniz Institute for the Social Sciences, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Beschreibt das Format der Daten, die in den logischen Produkten einer Studie dokumentiert sind.',NULL,223,'TL','de',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-04-02',NULL,'PUBLISHED','Art des Datenformats','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(224,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Typ av dataformat [General Data Format] (Version 2.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Beskriver fysiskt/-a format för de data som dokumenteras i en studieenhets logiska produkt/-er.',NULL,224,'TL','sv',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-04-02',NULL,'PUBLISHED','Typ av dataformat','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(228,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Format (Vrsta podatkov) [General Data Format] (Version 2.0.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\">A new element, GeneralDataFormat, is being created in DDI 3.3 to support this CV list.</font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\">Module Name:</font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:</font> \n</div> \n<div> \n <br /> \n <font size=\"3\" face=\"Verdana\">A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list. <br /></font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\">Element/Attribute Name:<br /></font> \n</div>','Opisuje fizični format_e dokumentiranih podatkov v logičnem sosledju raziskovalne enote.',NULL,228,'TL','sl',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-04-02',NULL,'PUBLISHED','Format (Vrsta podatkov)','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(229,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Type dataformat [General Data Format] (Version 2.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Beskriver fysisk(-e) format for de data som dokumenteres i en studieenhets logiske produkt(-er).',NULL,229,'TL','no',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-04-02',NULL,'PUBLISHED','Type dataformat','NSD - Norwegian Centre for Research Data','www.nsd.uib.no','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(230,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Type af data format [General Data Format] (Version 2.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\">A new element, GeneralDataFormat, is being created in DDI 3.3 to support this CV list.</font>\n <font size=\"3\" face=\"Verdana\"> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"><br /></font>\n<div> \n <font size=\"3\" face=\"Verdana\">A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list. <br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\" face=\"Verdana\"> </font>\n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div> \n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>','Beskriver de(t) fysiske format(er) af den data, der er dokumenteret i de(t) logiske produkt(er) i en studieenhed.',NULL,230,'TL','da',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-07-22',NULL,'PUBLISHED','Type af data format','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(240,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Type of Instrument (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfInstrument</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfInstrument</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\" rel=\"noopener noreferrer\" target=\"_blank\">resInstru</a></p>','Includes a typology of data collection instruments.',NULL,240,'SL','en',NULL,NULL,1,'TypeOfInstrument','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',0,'2019-04-04',NULL,'PUBLISHED','Type of Instrument',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html',NULL,'','',52,'2020-09-30',NULL),(242,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Keruuväline [Type of Instrument] (Version 1.1.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>','Tyyppiluokittelu tutkimusaineiston muodostamisessa käytetyille keruuvälineille, -ohjeistuksille tai -suunnitelmille.',NULL,242,'TL','fi',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-06-10',NULL,'PUBLISHED','Keruuväline','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(243,NULL,NULL,40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>','Enthält eine Typologie der Erhebungsintrumente.',NULL,243,'TL','de',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,NULL,NULL,'DRAFT','Art des Erhebungsinstruments','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html',NULL,NULL,52,'2020-09-30',NULL),(244,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Typ av instrument [Type of Instrument] (Version 1.1.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>\n <br /> \n</div>','Innehåller en typologi av olika instrument för datainsamling.',NULL,244,'TL','sv',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-07-16',NULL,'PUBLISHED','Typ av instrument','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(245,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Vrste instrumentov [Type of Instrument] (Version 1.1.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>','Vključuje razvrstitev instrumentov za zbiranje podatkov.',NULL,245,'TL','sl',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-07-17',NULL,'PUBLISHED','Vrste instrumentov','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(246,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Type instrument [Type of Instrument] (Version 1.1.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>','Inneholder en typologi av ulike instrumenter for datainnsamling.','Har sett over begrepene.',246,'TL','no',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-07-22',NULL,'PUBLISHED','Type instrument','NSD - Norwegian Centre for Research Data','www.nsd.uib.no','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(247,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Instrumenttype [Type of Instrument] (Version 1.1.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>','Indeholder en typologi af dataindsamlingsinstrumenter.',NULL,247,'TL','da',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-07-23',NULL,'PUBLISHED','Instrumenttype','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(248,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Data Source Type (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\" rel=\"noopener noreferrer\" target=\"_blank\">SourceType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\" rel=\"noopener noreferrer\" target=\"_blank\">SourceType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\" rel=\"noopener noreferrer\" target=\"_blank\">dataSrc</a></p>','Includes a typology of data sources.',NULL,248,'SL','en',NULL,NULL,1,'DataSourceType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2019-05-07',NULL,'PUBLISHED','Data Source Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html',NULL,'','',53,'2020-09-30',NULL),(249,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Summary Statistic Type (Version 2.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>This vocabulary cannot be used for the element Element sumStat (4.3.14) in DDI 2.1 because the element already comes with a hard-coded controlled vocabulary in the \"type\" attribute. For using in DDI 2.5, select value \"Other\" in the \"type\" attribute, and insert the appropriate value from this CV in the \"otherType\" attribute. Use the complex element controlledVocabUsed (in the docDscr section) to identify the controlled vocabulary to which the selected term belongs.</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Specifies the type of summary statistic. Summary statistics are a single number representation of the characteristics of a set of values.',NULL,249,'SL','en',NULL,NULL,1,'SummaryStatisticType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','2.1',0,'2019-05-07',NULL,'PUBLISHED','Summary Statistic Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html',NULL,'','',54,'2020-09-30',NULL),(250,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Sampling Procedure (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSample.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSample</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','A typology of sampling methods.',NULL,250,'SL','en',NULL,NULL,1,'SamplingProcedure','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',0,'2019-05-05',NULL,'PUBLISHED','Sampling Procedure',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html',NULL,'','',55,'2020-09-30',NULL),(251,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDA Topic Classification (Version 2.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','A typology of main themes or subjects of data.',NULL,251,'SL','en',NULL,NULL,1,'TopicClassification',NULL,'2.0',0,'2019-05-05',NULL,'PUBLISHED','CESSDA Topic Classification',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0',NULL,'','',56,'2020-09-30',NULL),(252,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Otantamenetelmä [Sampling Procedure] (Version 1.1.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.4 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Aineistossa käytetyn otantamenetelmän tyyppiluokittelu.',NULL,252,'TL','fi',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-06-10',NULL,'PUBLISHED','Otantamenetelmä','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(253,NULL,NULL,40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.4 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Enthält eine Typologie von Stichprobenverfahren.',NULL,253,'TL','de',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,NULL,NULL,'DRAFT','Auswahlverfahren','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html',NULL,NULL,55,'2020-09-30',NULL),(254,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Urvalsmetod [Sampling Procedure] (Version 1.1.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Innehåller en typologi av olika urvalsmetoder.','',254,'TL','sv',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-07-16',NULL,'PUBLISHED','Urvalsmetod','Swedish National Data Service (SND)','https://snd.gu.se/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(255,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Postopek vzorčenja [Sampling Procedure] (Version 1.1.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.4 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Vključuje razvrstitev metod vzorčenja.',NULL,255,'TL','sl',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-07-18',NULL,'PUBLISHED','Postopek vzorčenja','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(256,NULL,NULL,40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.4 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Inneholder en typologi av ulike utvalgsmetoder.','Spørsmål om å endre navn på begrep på norsk.\nNavn på begrepet på engelsk: \"Probability: Cluster\". På norsk er det foreløpige navnet: \"Sannsynlighetsutvalg: Klynge\", men i beskrivelsen brukes ordet \"kluster\", ikke \"klynge\". Bør endres fra \"Sannsynlighetsutvalg: Klynge\" til \"Sannsynlighetsutvalg: Kluster\"? Det samme gjelder også for de to neste begrepene. ',256,'TL','no',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,NULL,NULL,'REVIEW','Utvalgsmetode','NSD - Norwegian Centre for Research Data','https://nsd.no/',NULL,'https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html',NULL,NULL,55,'2020-09-30',NULL),(257,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Procedure for stikprøve [Sampling Procedure] (Version 1.1.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','En typologi af stikprøvemetoder.',NULL,257,'TL','da',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-07-22',NULL,'PUBLISHED','Procedure for stikprøve','Danish National Archives (DNA)','https://www.sa.dk/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(258,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDAn aihepiiriluokitus [CESSDA Topic Classification] (Version 2.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 3.2</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element Name: subject</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 2.5</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Aineiston pääasiallisten aiheiden luokittelu.',NULL,258,'TL','fi',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-14',NULL,'PUBLISHED','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(259,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDA Themenklassifikation [CESSDA Topic Classification] (Version 2.0.1; GESIS - Leibniz Institute for the Social Sciences, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 3.2</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element Name: subject</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 2.5</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Thematische Klassifikation für Daten','',259,'TL','de',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-14',NULL,'PUBLISHED','CESSDA Themenklassifikation','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(260,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDA Ämnesklassificering [CESSDA Topic Classification] (Version 2.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 3.2</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element Name: subject</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 2.5</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typologi för större teman eller ämneskategorier för data.',NULL,260,'TL','sv',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-15',NULL,'PUBLISHED','CESSDA Ämnesklassificering','Swedish National Data Service (SND)','https://snd.gu.se/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(261,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). Vsebinska področja CESSDA [CESSDA Topic Classification] (Version 2.0.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 3.2</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element Name: subject</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 2.5</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Tipologija glavnih vsebinskih področij raziskav.',NULL,261,'TL','sl',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-15',NULL,'PUBLISHED','Vsebinska področja CESSDA','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(262,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDA Emneklassifisering [CESSDA Topic Classification] (Version 2.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 3.2</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element Name: subject</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">DDI 2.5</font></font> \n</div> \n<div> \n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typologi for hovedtemaer eller emnekategorier for data.',NULL,262,'TL','no',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-15',NULL,'PUBLISHED','CESSDA Emneklassifisering','NSD - Norwegian Centre for Research Data','https://nsd.no/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(268,'urn:ddi:int.ddi.cv:AggregationMethod:1.0','DDI Alliance. (2019). Aggregation Method (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AggregationMethod:1.0. ',49,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" style=\"\">DDI 3.2</a> \n<div> \n <div>\n   Module name:&nbsp; &nbsp; &nbsp;reusable \n </div> \n <div>\n   Element name:&nbsp; &nbsp; \n  <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\"> AggregationMethod </a> \n </div> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/var.html\">var@otherAggrMeth</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <div>\n   Element/Attribute name: \n  <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/measure.html\">measure@otherAggrMeth</a> \n </div> \n</div>','Identifies the type of aggregation used to combine related categories, usually within a common branch of a hierarchy, to provide information at a broader level than the level at which detailed observations are taken. (From: The OECD Glossary of Statistical Terms)',NULL,268,'SL','en',NULL,NULL,1,'AggregationMethod','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2019-11-24',NULL,'PUBLISHED','Aggregation Method',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.0.html',NULL,'','',57,'2020-09-30',NULL),(270,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Tilastollisen tunnusluvun tyyppi [Summary Statistic Type] (Version 2.1.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Tilastolliset tunnusluvut kuvaavat tietyn arvojoukon, esimerkiksi otoksen havaintojen sisältämää informaatiota. Usein tunnusluvut ovat nimensä mukaisesti yksittäisiä lukuja.',NULL,270,'TL','fi',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-07-01',NULL,'PUBLISHED','Tilastollisen tunnusluvun tyyppi','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(271,NULL,NULL,40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Gibt die Art der zusammenfassenden Statistik an. Das sind statistische Parameter, die einen bestimmten Satz von Werten beschreiben.',NULL,271,'TL','de',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,NULL,NULL,'DRAFT','Art der zusammenfassenden Statistik','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html',NULL,NULL,54,'2020-09-30',NULL),(272,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Typ av sammanfattande statistik [Summary Statistic Type] (Version 2.1.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Anger typ av sammanfattande statistik. Sammanfattande statistik är ett enda värde som representerar egenskaperna hos en mängd värden.',NULL,272,'TL','sv',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-07-16',NULL,'PUBLISHED','Typ av sammanfattande statistik','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(273,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Vrsta zbirne statistike [Summary Statistic Type] (Version 2.1.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Določa vrsto zbirne statistike. Zbirna statistika je številka, s katero predstavimo značilnosti niza vrednosti.',NULL,273,'TL','sl',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-07-18',NULL,'PUBLISHED','Vrsta zbirne statistike','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(274,'urn:ddi:int.ddi.cv:CharacterSet:1.0','DDI Alliance. (2020). Character Set (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CharacterSet:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3 </a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/CharacterSet.html\" rel=\"noopener noreferrer\" target=\"_blank\">CharacterSet</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/CharacterSet.html\" rel=\"noopener noreferrer\" target=\"_blank\">CharacterSet</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/xhtml-datatypes-1_xsd/simpleTypes/Charset.html\" rel=\"noopener noreferrer\" target=\"_blank\"> @charset</a></p>','Standard set of characters upon which many character encodings are based (Wikipedia).',NULL,274,'SL','en',NULL,NULL,1,'CharacterSet','This vocabulary lists some popular character sets but is not exhaustive. If the character set is not mentioned in the list, use \'Other\' for this element and enter the specific name into the OtherValue element. You can search for the name of the character set in the list published by IANA (Internet Assigned Character Numbers). Use the \"preferred MIME-name\" if the IANA list specifies one, otherwise use the format in the Name field - http://www.iana.org/assignments/character-sets.\n\nThe vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-04',NULL,'PUBLISHED','Character Set',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/CharacterSet_1.0.html',NULL,'','',58,'2020-09-30',NULL),(275,'urn:ddi:int.ddi.cv:CommonalityType:1.0','DDI Alliance. (2019). Commonality Type (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CommonalityType:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: comparative</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: comparative</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Describes the degree of similarity between two items or schemes (collections of items).',NULL,275,'SL','en',NULL,NULL,1,'CommonalityType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all','1.0',0,'2019-05-20',NULL,'PUBLISHED','Commonality Type','','','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html',NULL,'','',59,'2020-09-30',NULL),(276,'urn:ddi:int.ddi.cv:DataType:1.0','DDI Alliance. (2019). Data Type (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataType:1.0. ',49,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n<div>\n  Module name: reusable \n</div> \n<div>\n  Element name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DefaultDataType.html\"> DefaultDataType</a> \n</div> \n<div> \n <span style=\"white-space:pre\"> </span>&nbsp; \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/RecommendedDataType.html\">RecommendedDataType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n Element/Attribute name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\">varFormat@category</a>\n</div>','Identifies the type of data, which has a bearing on the acceptable data values, the operations that can be performed with the data, and the ways in which the data are stored.',NULL,276,'SL','en',NULL,NULL,1,'DataType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all. The present list is based on the W3C data types (http://www.w3.org/TR/xmlschema-2/), and includes the terms relevant for documenting research data.','1.0',0,'2019-11-24',NULL,'PUBLISHED','Data Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DataType_1.0.html',NULL,'','',60,'2020-09-30',NULL),(277,'urn:ddi:int.ddi.cv:DateType:1.1','DDI Alliance. (2019). Date Type (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DateType:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DateTypeCode.html\" rel=\"noopener noreferrer\" target=\"_blank\">DateTypeCode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DateTypeCode.html\" rel=\"noopener noreferrer\" target=\"_blank\">DateTypeCode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"https://ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">varFormat@category</a></p><p>For the \"category attribute\", a value from a controlled vocabulary may be provided if the \"other\" value is chosen. In this case, the term from the controlled vocabulary should be placed in the \"otherCategory\" attribute, and the controlledVocabUsed element (in the Document Description section) should also be filled in.</p>','Specifies the type of date.\n',NULL,277,'SL','en',NULL,NULL,1,'DateType','The present list is based on ISO 8601 usage.\nThis vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',0,'2019-11-24',NULL,'PUBLISHED','Date Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html',NULL,'','',61,'2020-09-30',NULL),(278,NULL,NULL,40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Spesifiserer typen av sammenfattende statistikk. Sammenfattende statisitkk er en representasjon av et sett verdiers karakteristika representert ved et enkelt tall.','Den norske oversettelsen må ses over igjen. ',278,'TL','no',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,NULL,NULL,'REVIEW','Typen av sammenfattende statistikk','NSD - Norwegian Centre for Research Data','https://nsd.no/',NULL,'https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html',NULL,NULL,54,'2020-09-30',NULL),(279,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Typen af sammenfattende statistik [Summary Statistic Type] (Version 2.1.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Specificerer typen af sammenfattende statistik. Sammenfattende statistik er en repræsentation af et sæt af værdiers karakteristika ved hjælp af et enkelt tal.',NULL,279,'TL','da',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-07-22',NULL,'PUBLISHED','Typen af sammenfattende statistik','Danish National Archives (DNA)','https://www.sa.dk/','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(280,'urn:ddi:int.ddi.cv:LanguageProficiency:1.0','DDI Alliance. (2020). Language Proficiency (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:LanguageProficiency:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: archive</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Read.html\" rel=\"noopener noreferrer\" target=\"_blank\">Read</a></p><p> &nbsp;<a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Write.html\" rel=\"noopener noreferrer\" target=\"_blank\">Write</a></p><p> &nbsp;<a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Speak.html\" rel=\"noopener noreferrer\" target=\"_blank\">Speak</a>  </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2&nbsp;</a></p><p>Module name: archive</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Read.html\" rel=\"noopener noreferrer\" target=\"_blank\">Read</a></p><p> &nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Write.html\" rel=\"noopener noreferrer\" target=\"_blank\">Write</a></p><p> &nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/Speak.html\" rel=\"noopener noreferrer\" target=\"_blank\">Speak</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\"> DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Describes the level of proficiency of an individual in a natural language.',NULL,280,'SL','en',NULL,NULL,1,'LanguageProficiency','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-04',NULL,'PUBLISHED','Language Proficiency',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html',NULL,'','',62,'2020-09-30',NULL),(281,'urn:ddi:int.ddi.cv:LifecycleEventType:1.0','DDI Alliance. (2020). Lifecycle Event Type (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:LifecycleEventType:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/EventType.html\" rel=\"noopener noreferrer\" target=\"_blank\">EventType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/EventType.html\" rel=\"noopener noreferrer\" target=\"_blank\">EventType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Specifies the event happening over the data life cycle that is considered significant enough to document.',NULL,281,'SL','en',NULL,NULL,1,'LifecycleEventType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-04',NULL,'PUBLISHED','Lifecycle Event Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html',NULL,'','',63,'2020-09-30',NULL),(282,'urn:ddi:int.ddi.cv:ResponseUnit:1.0','DDI Alliance. (2020). Response Unit (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ResponseUnit:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/ResponseUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">ResponseUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2&nbsp;</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/ResponseUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">ResponseUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/respUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\"> respUnit</a></p><p><br></p>','Indicates the entity that provided the information carried by the variable.',NULL,282,'SL','en',NULL,NULL,1,'ResponseUnit','This controlled vocabulary is applicable only to survey-type data. \nThis vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-04',NULL,'PUBLISHED','Response Unit',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ResponseUnit_1.0.html',NULL,'','',64,'2020-09-30',NULL),(283,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Aineiston alkuperä [Data Source Type] (Version 1.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.8.1 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\">dataSrc</a>\n <br /> \n</div>','Aineiston alkuperän tyyppi.',NULL,283,'TL','fi',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-01',NULL,'PUBLISHED','Aineiston alkuperä','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(284,NULL,NULL,40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.8.1 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\">dataSrc</a>\n <br /> \n</div>','Enthält eine Typologie von Datenquellen.',NULL,284,'TL','de',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,NULL,NULL,'DRAFT','Art der Datenquelle','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html',NULL,NULL,53,'2020-09-30',NULL),(285,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Typ av datakälla [Data Source Type] (Version 1.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.8.1 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\">dataSrc</a>\n <br /> \n</div>','Innehåller en typologi av datakällor.','',285,'TL','sv',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-16',NULL,'PUBLISHED','Typ av datakälla','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(286,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Vrste podatkovnih virov [Data Source Type] (Version 1.0.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\" style=\"\">dataSrc</a> \n</div> \n<div> \n</div>','Vključuje razvrstitev podatkovnih virov.','',286,'TL','sl',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-17',NULL,'PUBLISHED','Vrste podatkovnih virov','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(287,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Type av datakilde [Data Source Type] (Version 1.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.8.1 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\">dataSrc</a>\n <br /> \n</div>','Inneholder en typologi av datakilder.','Har sett over begrepene på nytt. ',287,'TL','no',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-21',NULL,'PUBLISHED','Type av datakilde','NSD - Norwegian Centre for Research Data','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(289,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Type af datakilde [Data Source Type] (Version 1.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\" style=\"\">dataSrc</a> \n</div> \n<div> \n</div>','Indeholder en typologi af datakilder.',NULL,289,'TL','da',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-22',NULL,'PUBLISHED','Type af datakilde','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(290,'urn:ddi:int.ddi.cv:SoftwarePackage:1.0','DDI Alliance. (2020). Software Package (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SoftwarePackage:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/SoftwarePackage.html\" rel=\"noopener noreferrer\" target=\"_blank\">SoftwarePackage</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name:&nbsp;reusable</p><p>Element name:&nbsp;&nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/SoftwarePackage.html\" rel=\"noopener noreferrer\" target=\"_blank\">SoftwarePackage</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/software.html\" rel=\"noopener noreferrer\" target=\"_blank\">software</a></p>','Indicates the statistical software package used in the production/processing/dissemination of the data. Data collection software is not covered in this list.',NULL,290,'SL','en',NULL,NULL,1,'SoftwarePackage','Lists a number of commonly used statistical software packages but is not meant to be an exhaustive list. This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-19',NULL,'PUBLISHED','Software Package',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/SoftwarePackage_1.0.html',NULL,'','',65,'2020-09-30',NULL),(291,'urn:ddi:int.ddi.cv:TypeOfAddress:1.0','DDI Alliance. (2020). Type of Address (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfAddress:1.0. ',49,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n<div>\n  Module name: archive \n</div> \n<div>\n  Element name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/TypeOfAddress.html\">TypeOfAddress</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5&nbsp;</a> \n</div> \n<div>\n  DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary. \n</div>','Identifies the type of address entered as contact information for an individual or an organization.\n\n',NULL,291,'SL','en',NULL,NULL,1,'TypeOfAddress','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-20',NULL,'PUBLISHED','Type of Address',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.0.html',NULL,'','',66,'2020-09-30',NULL),(292,'urn:ddi:int.ddi.cv:TypeOfConceptGroup:1.0','DDI Alliance. (2020). Type of Concept Group (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfConceptGroup:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: conceptualcomponent</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/conceptualcomponent_xsd/elements/TypeOfConceptGroup.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfConceptGroup</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2&nbsp;</a>Module name: conceptualcomponent</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/conceptualcomponent_xsd/elements/TypeOfConceptGroup.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfConceptGroup</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element that would support this controlled vocabulary.</p>','Specifies the rationale for creating a concept group.',NULL,292,'SL','en',NULL,NULL,1,'TypeOfConceptGroup','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-20',NULL,'PUBLISHED','Type of Concept Group',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfConceptGroup_1.0.html',NULL,'','',67,'2020-09-30',NULL),(293,'urn:ddi:int.ddi.cv:TypeOfNote:1.0','DDI Alliance. (2020). Type of Note (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfNote:1.0. ',49,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n<div>\n Module name: reusable\n</div>\n<div>\n Element name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/TypeOfNote.html\">TypeOfNote</a>\n</div>\n<div>\n <br />\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a>\n</div>\n<div>\n Element/Attribute name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/notes.html\">notes@type</a>\n</div>','Includes a typology of notes.',NULL,293,'SL','en',NULL,NULL,1,'TypeOfNote','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-20',NULL,'PUBLISHED','Type of Note',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.0.html',NULL,'','',68,'2020-09-30',NULL),(294,'urn:ddi:int.ddi.cv:TypeOfTelephone:1.0','DDI Alliance. (2020). Type of Telephone (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfTelephone:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: archive</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/TypeOfTelephone.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTelephone</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: archive</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/TypeOfTelephone.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTelephone</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5&nbsp;</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Identifies the type of telephone entered as contact information for an individual or an organization.',NULL,294,'SL','en',NULL,NULL,1,'TypeOfTelephone','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-02-20',NULL,'PUBLISHED','Type of Telephone',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone_1.0.html',NULL,'','',69,'2020-09-30',NULL),(295,'urn:ddi:int.cessda.cv:TopicClassification:2.0','CESSDA. (2019). CESSDA Emne Klassifikation [CESSDA Topic Classification] (Version 2.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:2.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typology over hovedtemaer eller emner af data.',NULL,295,'TL','da',NULL,NULL,1,'TopicClassification',NULL,'2.0.1',0,'2019-05-14',NULL,'PUBLISHED','CESSDA Emne Klassifikation','Danish National Archives (DNA)','https://www.sa.dk','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=2.0','','',56,'2020-09-30',NULL),(298,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDA Topic Classification (Version 3.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','A typology of main themes or subjects of data.','',251,'SL','en',NULL,NULL,1,'TopicClassification',NULL,'3.0',251,'2019-05-19',NULL,'PUBLISHED','CESSDA Topic Classification',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0',NULL,'Code value changed: SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices\nCode value changed: TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry\nCode value changed: MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage\nCode value changed: MediaCommunicationsAndLanguage.Media changed to MediaCommunicationAndLanguage.Media\nCode value changed: MediaCommunicationsAndLanguage.PublicRelations changed to MediaCommunicationAndLanguage.PublicRelations\nCode value changed: MediaCommunicationsAndLanguage.InformationSociety changed to MediaCommunicationAndLanguage.InformationSociety\nCode value changed: MediaCommunicationsAndLanguage.LanguageAndLinguistics changed to MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode value changed: Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool\nCode value changed: Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing\nCode value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures\nCode definition rephrased: Vocational education and training\nCode definition rephrased: Working conditions\nCode definition rephrased: Equality, inequality and social exclusion\nCode definition rephrased: Educational policy\nCode definition rephrased: Leisure, tourism and sport\nCode definition rephrased: Compulsory and pre-school education\nCode definition rephrased: Employee training\nCode definition rephrased: Media\nCode definition rephrased: Health behaviour','Ten code values were edited for consistency with other entries. Typos were corrected in nine definitions.',56,'2020-09-30',NULL),(299,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDA Themenklassifikation [CESSDA Topic Classification] (Version 3.0.1; GESIS - Leibniz Institute for the Social Sciences, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Thematische Klassifikation für Daten',NULL,259,'TL','de',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',259,'2019-06-10',NULL,'PUBLISHED','CESSDA Themenklassifikation','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code value changed: Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool\nCode value changed: Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing\nCode value changed: MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage\nCode value changed: MediaCommunicationsAndLanguage.Media changed to MediaCommunicationAndLanguage.Media\nCode value changed: MediaCommunicationsAndLanguage.PublicRelations changed to MediaCommunicationAndLanguage.PublicRelations\nCode value changed: MediaCommunicationsAndLanguage.InformationSociety changed toMediaCommunicationAndLanguage.InformationSociety\nCode value changed: MediaCommunicationsAndLanguage.LanguageAndLinguistics changed to MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices\nCode value changed: TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry','First German version of SL 3.0 published.',56,'2020-09-30',NULL),(300,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDA Emneklassifisering [CESSDA Topic Classification] (Version 3.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typologi for hovedtemaer eller emnekategorier for data.','Har lest over alle begrepene/emnene på engelsk og norsk, og rettet opp i skrivefeil/mindre endringer der det var behov. ',262,'TL','no',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',262,'2019-06-11',NULL,'PUBLISHED','CESSDA Emneklassifisering','NSD - Norwegian Centre for Research Data','https://nsd.no/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code value changed: Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool\nCode value changed: Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing\nCode value changed: MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage\nCode value changed: MediaCommunicationsAndLanguage.Media changed to MediaCommunicationAndLanguage.Media\nCode value changed: MediaCommunicationsAndLanguage.PublicRelations changed to MediaCommunicationAndLanguage.PublicRelations\nCode value changed: MediaCommunicationsAndLanguage.InformationSociety changed toMediaCommunicationAndLanguage.InformationSociety\nCode value changed: MediaCommunicationsAndLanguage.LanguageAndLinguistics changed to MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices\nCode value changed: TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry\nCode definition rephrased: Migrasjon\nCode definition rephrased: Økonomiske forhold og indikatorer\nCode descriptive term rephrased: Konsum/konsumentatferd\nCode definition rephrased: Tegn og symptomer; patologiske tilstander\nCode descriptive term rephrased: Reproduktiv Helse\nCode definition rephrased: Folkehelse\nCode definition rephrased: Arealbruk og arealplanlegging\nCode definition rephrased: Arbeidsledighet\nCode definition rephrased: Opplæring av ansatte\nCode definition rephrased: Arbeidsbetingelser\nCode definition rephrased: Publikumskontakt\nCode definition rephrased: Informasjonssamfunn\nCode definition rephrased: Valg\nCode definition rephrased: Ungdom\nCode definition rephrased: Eldre\nCode definition rephrased: Barn\nCode definition rephrased: Sosial velferdspolitikk\nCode definition rephrased: Sosial velferdspolitikk','Norwegian version published to include code values changes made to SL 3.0. Typo corrections to definitions.',56,'2020-09-30',NULL),(302,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDA Ämnesklassificering [CESSDA Topic Classification] (Version 3.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typologi för större teman eller ämneskategorier för data.','',260,'TL','sv',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',260,'2019-07-16',NULL,'PUBLISHED','CESSDA Ämnesklassificering','Swedish National Data Service (SND)','https://snd.gu.se/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code definition rephrased: Konsumtion och konsumentbeteende\nCode definition rephrased: Livslångt lärande/vidareutbildning\nCode definition rephrased: Tecken och symtom; patologiska tillstånd\nCode definition rephrased: Hälsobeteende\nCode definition rephrased: Energi och naturresurser\nCode definition rephrased: Ungdomar\nCode descriptive term rephrased: Kriminalitet och rättstillämpning\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices\nCode value changed: TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry\nCode value changed: MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage\nCode value changed: MediaCommunicationsAndLanguage.Media changed to MediaCommunicationAndLanguage.Media\nCode value changed: MediaCommunicationsAndLanguage.PublicRelations changed to MediaCommunicationAndLanguage.PublicRelations\nCode value changed: MediaCommunicationsAndLanguage.InformationSociety changed to MediaCommunicationAndLanguage.InformationSociety\nCode value changed: MediaCommunicationsAndLanguage.LanguageAndLinguistics changed to MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode value changed: Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool\nCode value changed: Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing\nCode value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures\n','',56,'2020-09-30',NULL),(303,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). Vsebinska področja CESSDA [CESSDA Topic Classification] (Version 3.0.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Tipologija glavnih vsebinskih področij raziskav.','',261,'TL','sl',NULL,'Creative Commons Attribution 4.0 International',1,'TopicClassification',NULL,'3.0.1',261,'2019-07-17',NULL,'PUBLISHED','Vsebinska področja CESSDA','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Changed few typos.','',56,'2020-09-30',NULL),(304,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDA Emne Klassifikation [CESSDA Topic Classification] (Version 3.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','En typology over hovedtemaer eller emner af data.',NULL,295,'TL','da',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',295,'2019-07-28',NULL,'PUBLISHED','CESSDA Emne Klassifikation','Danish National Archives (DNA)','https://www.sa.dk','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code definition rephrased: Sygelighed og dødelighed\nCode definition rephrased: ANDET\nCode descriptive term rephrased: DEMOGRAFI (BEFOLKNING, BEFOLKNINGSUDVIKLING OG FOLKETÆLLINGER)\nCode definition rephrased: Sygelighed og dødelighed\nCode descriptive term rephrased: Sygelighed og dødelighed\nCode definition rephrased: Folketællinger\nCode descriptive term rephrased: Indvandring\nCode definition amended with meaning change: Migration\nCode definition rephrased: Økonomiske forhold og indikatorer\nCode definition amended with meaning change: Forbrug og forbrugeradfærd\nCode descriptive term rephrased: Økonomisk politik, offentlige udgifter og offentlige indtægter\nCode definition rephrased: Økonomisk politik, offentlige udgifter og indtægter\nCode definition rephrased: Indkomst, ejendom og investering/opsparing\nCode definition rephrased: Økonomiske systemer og udvikling\nCode descriptive term rephrased: Sundhedsvæsenet og sundhedspolitik\nCode definition amended with meaning change: Sundhedsydelser og -politikker\nCode descriptive term rephrased: Specifikke sygdomme, lidelser og sygdomslidelser\nCode definition amended with meaning change: Specifikke sygdomme, lidelser og medicinske tilstande\nCode definition rephrased: Tegn på sygdom og symptomer; patalogiske lidelser\nCode definition rephrased: Tegn  og symptomer; patologiske lidelser\nCode definition amended with meaning change: Sår og skader\nCode definition rephrased: Medicinering og behandling\nCode definition rephrased: Generel sundhed og trivsel\nCode definition rephrased: Medicinering og behandling\nCode definition rephrased: Medicinering og behandling\nCode definition rephrased: Folkesundhed\nCode definition rephrased: Reproduktiv sundhed\nCode definition rephrased: Sundhed på arbejdspladsen\nCode descriptive term rephrased: Sundhed på arbejdspladsen\nCode definition rephrased: Sundhedsadfærd\nCode definition amended with meaning change: HISTORIE\nCode definition rephrased: HISTORIE\nCode definition amended with meaning change: Bolig\nCode definition rephrased: Arealanvendelse og planlægning\nCode descriptive term rephrased: ARBEJDE OG BESKÆFTIGELSE\nCode descriptive term rephrased: BOLIG OG AREAL ANVENDELSE\nCode definition amended with meaning change: Beskæftigelse\nCode definition amended with meaning change: Arbejdsløshed\nCode definition amended with meaning change: Pensionering\nCode descriptive term rephrased: Uddannelse af medarbejdere\nCode definition amended with meaning change: Medarbejderuddannelse\nCode descriptive term rephrased: Relationer og konflikter på arbejdsmarkedet\nCode definition rephrased: Arbejdsvilkår\nCode descriptive term rephrased: Arbejdsmarkedspolitk og beskæftigelsespolitik\nCode definition rephrased: Arbejdsmarkeds- og beskæftigelsespolitik\nCode descriptive term rephrased: LOV, KRIMINALITET OG RETSYSTEMER\nCode definition rephrased: Arbejdsmarkeds- og beskæftigelsespolitik\nCode definition rephrased: Lovgivning og retssystemer\nCode definition rephrased: Kriminalitet og retshåndhævelse\nCode definition rephrased: Medier\nCode definition rephrased: Offentlige relationer (PR)\nCode definition amended with meaning change: Informationssamfund\nCode definition rephrased: Informationssamfund\nCode definition rephrased: Sprog og lingvistik\nCode descriptive term rephrased: Miljø og bevarelse\nCode definition rephrased: Miljø og bevaring\nCode definition rephrased: Energi og naturrressourcer\nCode definition rephrased: Planter og dyr\nCode descriptive term rephrased: Politisk adfærd og holdning\nCode definition rephrased: Politisk adfærd og holdninger\nCode definition rephrased: Valg\nCode definition rephrased: Politisk ideologi\nCode definition rephrased: Regering, politiske systemer og organisationer\nCode descriptive term rephrased: International polik og organisation\nCode definition rephrased: International politik og organisationer\nCode definition rephrased: Konflikt, sikkerhed og fred\nCode descriptive term rephrased: PSYCHOLOGI \nCode definition rephrased: Informationsteknologi\nCode descriptive term rephrased: SOCIAL STRATIFICATION OG GRUPPERINGER\nCode descriptive term rephrased: Lighed, ulighed og social eksklusion\nCode definition rephrased: Social- og erhvervsmobilitet\nCode definition rephrased: Køn og kønsroller\nCode definition rephrased: Familieliv og ægteskab\nCode descriptive term rephrased: Minoritet\nCode definition rephrased: Eliter og lederskab\nCode descriptive term rephrased: VELFÆRDSPOLITIK OG VELFÆRDSSYSTEMER\nCode descriptive term rephrased: Velfærdsspolitik\nCode definition rephrased: Social velfærdsspolitik\nCode descriptive term rephrased: Velfrædssystemer/strukturerer\nCode definition rephrased: Sociale velfærdssystemer/strukturer\nCode descriptive term rephrased: Specifikke sociale service: Deres brug og tilgængelighed\nCode definition rephrased: Specifikke sociale ydelser: Brug og tilgængelighed\nCode descriptive term rephrased: Social adfærd pg attitude\nCode definition rephrased: Social adfærd og holdninger\nCode descriptive term rephrased: Sociale vilkår og tegn\nCode definition rephrased: Sociale forhold og indikatorer\nCode definition rephrased: Kulturelle aktiviteter og deltagelse\nCode definition rephrased: Kulturel og national identitet\nCode definition rephrased: Fritid, turisme og sport\nCode definition rephrased: Religion og værdier\nCode descriptive term rephrased: Lokalsamfund, byliv og landligt liv\nCode definition rephrased: Lokalsamfund, byliv og landligt liv\nCode definition rephrased: Forbrug af tid\nCode descriptive term rephrased: Sociale ændringer\nCode definition rephrased: Social forandring\nCode descriptive term rephrased: HANDEL, INDUSTRI OG MARKED\nCode definition rephrased: Forretnings/industriel ledelse og organisation\nCode definition rephrased: Landbrug og landlig industri\nCode descriptive term rephrased: Handel med udlandet\nCode definition rephrased: Udenrigshandel\nCode descriptive term rephrased: TRANSPORT OG REJSER\nCode definition rephrased: TRANSPORT OG REJSE\nCode definition rephrased: Sundhedsydelser og -politikker\nCode definition rephrased: Tegn  og symptomer; patologiske lidelser\nCode definition rephrased: Sår og skader\nCode definition rephrased: HISTORIE\nCode definition rephrased: Beskæftigelse\nCode definition rephrased: Arbejdsvilkår\nCode definition rephrased: Arbejdsmarkeds- og beskæftigelsespolitik\nCode definition rephrased: Politisk adfærd og holdninger\nCode definition rephrased: Konflikt, sikkerhed og fred\nCode definition rephrased: Informationsteknologi\nCode definition rephrased: Køn og kønsroller\nCode definition rephrased: Minoriteter\nCode definition rephrased: Social velfærdsspolitik\nCode definition rephrased: Fritid, turisme og sport\nCode definition rephrased: Generel sundhed og trivsel\nCode definition rephrased: Sprog og lingvistik\nCode descriptive term rephrased: Ungdomsuddanelser og videregående uddannelse\nCode descriptive term rephrased: Obligatorisk undervisning og daginstitutioner\nCode definition amended with meaning change: Obligatorisk undervisning og dagtilbud\nCode definition amended with meaning change: Ungdomsuddanelse og videregående uddannelse\nCode definition amended with meaning change: Erhvervsuddannelse\nCode definition amended with meaning change: Livslang uddannelse/efteruddannelse\nCode definition amended with meaning change: Uddannelsespolitik\n','',56,'2020-09-30',NULL),(307,'urn:ddi:int.ddi.cv:NumericType:1.0','DDI Alliance. (2019). Numeric Type (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:NumericType:1.0. ',49,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n<div>\n Module name: reusable\n</div>\n<div>\n Element name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/NumericTypeCode.html\">NumericTypeCode</a>\n</div>\n<div>\n <br />\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a>\n</div>\n<div>\n Element/Attribute name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\">varFormat@category</a>\n</div>','Specifies the type of numeric data.',NULL,307,'SL','en',NULL,NULL,1,'NumericType','This Controlled Vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all','1.0',0,'2019-11-24',NULL,'PUBLISHED','Numeric Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/NumericType_1.0.html',NULL,'','',70,'2020-09-30',NULL),(313,NULL,NULL,50,'<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1\"><font size=\"3\"><font face=\"Verdana\">DDI 3.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Module Name: reusable</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.1/XMLSchema/FieldLevelDocumentation/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1\"><font size=\"3\"><font face=\"Verdana\">DDI 2.1</font></font></a>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 2.2.3.8</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.3.7</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element Number: 4.4.9</font></font>\n</div>\n<div>\n <font size=\"3\"><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a><br /></font></font>\n</div>\n<p><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;color:#2E75B6;mso-ansi-language:EN-US;mso-fareast-language:\nFI;mso-bidi-language:AR-SA\" lang=\"EN-US\"></span></font><font size=\"4\"><span style=\"font-size:12.0pt;font-family:&quot;Calibri&quot;,sans-serif;\nmso-fareast-font-family:Calibri;mso-fareast-theme-font:minor-latin;mso-bidi-font-family:\n&quot;Times New Roman&quot;;mso-ansi-language:EN-US;mso-fareast-language:FI;mso-bidi-language:\nAR-SA\" lang=\"EN-US\"><span style=\"color:#2E75B6\"><br /></span></span></font></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskrivelse av enhet som blir analysert i studien eller i variablene.',' Jeg har rettet opp i skrivefeil i beskrivelsen (description), men bør se over den norske oversettelsen til \'Geographic Unit\' - \'Geografisk enhet\' før vi publiserer ny versjon av oversettelsen (1.0.2).',216,'TL','no',NULL,NULL,1,'AnalysisUnit',NULL,'1.0.2',216,NULL,NULL,'REVIEW','Analyseenhet','NSD - Norwegian Centre for Research Data','https://nsd.no',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_1.0.html',NULL,'',47,'2020-09-30',NULL),(317,'urn:ddi:int.ddi.cv:TimeZone:1.0','DDI Alliance. (2020). Time Zone (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeZone:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/TimeZone.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeZone</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/TimeZone.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeZone</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Time zone specification as an offset from UTC (Coordinated Universal Time) in terms of hours and minutes.',NULL,317,'SL','en',NULL,NULL,1,'TimeZone','This is not an exhaustive list.    \n\nThis vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.0',0,'2020-05-12',NULL,'PUBLISHED','Time Zone',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TimeZone_1.0.html',NULL,'','',71,'2020-09-30',NULL),(318,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDAn aihepiiriluokitus [CESSDA Topic Classification] (Version 3.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Aineiston pääasiallisten aiheiden luokittelu.','',258,'TL','fi',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',258,'2019-06-02',NULL,'PUBLISHED','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code definition rephrased: sairastuvuus ja kuolleisuus\nCode definition rephrased: talouden tila ja tunnusluvut\nCode definition rephrased: talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö\nCode definition rephrased: toisen ja korkea-asteen koulutus\nCode definition rephrased: täydennys- ja jatkokoulutus,  elinikäinen oppiminen\nCode definition rephrased: koulutuspolitiikka\nCode definition rephrased: terveyspalvelut ja terveyspolitiikka\nCode definition rephrased: työvoima- ja työllisyyspolitiikka\nCode definition rephrased: sosiaalipolitiikka\nCode definition rephrased: terveyskäyttäytyminen\nCode definition rephrased: työpaikkakoulutus\nCode definition rephrased: työvoima- ja työllisyyspolitiikka\nCode definition rephrased: tietoyhteiskunta\nCode definition rephrased: sosiaalipolitiikka\nCode definition rephrased: KULKEMINEN, KULJETUS JA LIIKENNE\nCode value changed: Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool\nCode value changed: Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing\nCode value changed: MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage\nCode value changed: MediaCommunicationsAndLanguage.Media changed to MediaCommunicationAndLanguage.Media\nCode value changed: MediaCommunicationsAndLanguage.PublicRelations changed to MediaCommunicationAndLanguage.PublicRelations\nCode value changed: MediaCommunicationsAndLanguage.InformationSociety changed toMediaCommunicationAndLanguage.InformationSociety\nCode value changed: MediaCommunicationsAndLanguage.LanguageAndLinguistics changed to MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices\nCode value changed: TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry','New Finnish version published to include code values changes made to SL 3.0. Typo corrections to definitions.',56,'2020-09-30',NULL),(319,'urn:ddi:int.ddi.cv:CommonalityType:1.0','DDI Alliance. (2019). Type af ensartethed [Commonality Type] (Version 1.0.1; Danish National Archives, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CommonalityType:1.0. ',53,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: comparative</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: comparative</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Beskriver graden af lighed mellem to elementer eller skemaer (samling af elementer).',NULL,319,'TL','da',NULL,NULL,1,'CommonalityType',NULL,'1.0.1',0,'2019-07-22',NULL,'PUBLISHED','Type af ensartethed','Danish National Archives','https://www.sa.dk/da/','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html','','',59,'2020-09-30',NULL),(320,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). Classificazione CESSDA degli argomenti [CESSDA Topic Classification] (Version 3.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Tipologia dei temi o argomenti principali trattati dai dati','',320,'TL','it',NULL,NULL,1,'TopicClassification',NULL,'3.0.1',0,'2019-07-10',NULL,'PUBLISHED','Classificazione CESSDA degli argomenti','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','','',56,'2020-09-30',NULL),(324,'urn:ddi:int.cessda.cv:TopicClassification:3.0','CESSDA. (2019). CESSDAn aihepiiriluokitus [CESSDA Topic Classification] (Version 3.0.2; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:3.0. ',40,'<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> </font>\n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Module Name: reusable</font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\">Element Name:<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><br /></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div> \n <font size=\"3\" face=\"Verdana\"><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a></font> \n</div>\n<font size=\"3\" face=\"Verdana\"> </font>\n<div>\n <font size=\"3\"><font face=\"Verdana\"> </font><font face=\"Verdana\">Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a><br /></font></font> \n</div>','Aineiston pääasiallisten aiheiden luokittelu.','',258,'TL','fi',NULL,NULL,1,'TopicClassification',NULL,'3.0.2',318,'2019-07-02',NULL,'PUBLISHED','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0.2','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=3.0','Code definition rephrased: joukkoviestimet\nCode definition rephrased: HISTORIA\nCode definition rephrased: vähemmistöt\nCode definition rephrased: sosiaaliset olot ja indikaattorit\nCode definition rephrased: maankäyttö, suunnittelu ja kaavoitus\nCode descriptive term rephrased: sukupuoli ja sukuoliroolit changed to sukupuoli ja sukupuoliroolit\n','Typo corrections to code definitions and a code descriptive term. References to obsolete terms updated.',56,'2020-09-30',NULL),(325,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Mode Of Collection (Version 3.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0.',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','The procedure, technique, or mode of inquiry used to attain the data.','',325,'SL','en',NULL,NULL,1,'ModeOfCollection','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','3.0',0,'2019-07-01',NULL,'PUBLISHED','Mode Of Collection',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html',NULL,'','',72,'2020-09-30',NULL),(326,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Indsamlingsmetode [Mode Of Collection] (Version 3.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','Fremgangsmåden, teknikken eller undersøgelsesmetoden, der er anvendt til at opnå dataene.',NULL,326,'TL','da',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-22',NULL,'PUBLISHED','Indsamlingsmetode','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(327,NULL,NULL,40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.6 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n <br /> \n</div>','Prozedur, Technik oder Art der Erhebung, die verwendet wurde, um Daten zu bekommen.',NULL,327,'TL','de',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,NULL,NULL,'DRAFT','Erhebungsmodus','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html',NULL,NULL,72,'2020-09-30',NULL),(328,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Keruumenetelmä [Mode Of Collection] (Version 3.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.6 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n <br /> \n</div>','Kuvailtavan aineiston ensisijainen keruumenetelmä.',NULL,328,'TL','fi',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-01',NULL,'PUBLISHED','Keruumenetelmä','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(329,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Innsamlingsmetode [Mode Of Collection] (Version 3.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','Framgangsmåten, teknikken, eller metoden som er anvendt for å samle inn data.',NULL,329,'TL','no',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-22',NULL,'PUBLISHED','Innsamlingsmetode','NSD - Norwegian Centre for Research Data','https://nsd.no/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(330,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Način zbiranja podatkov [Mode Of Collection] (Version 3.0.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.6 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n <br /> \n</div>','Postopki, tehnike ali načini raziskovanja, uporabljeni za pridobivanje podatkov.',NULL,330,'TL','sl',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-17',NULL,'PUBLISHED','Način zbiranja podatkov','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(331,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Insamlingsmetod [Mode Of Collection] (Version 3.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.6 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n <br /> \n</div>','Den process, metod eller teknik som användes för att samla in data.','',331,'TL','sv',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-16',NULL,'PUBLISHED','Insamlingsmetod','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(332,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Procedura di campionamento [Sampling Procedure] (Version 1.1.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',61,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Tipologia dei metodi di campionamento.',NULL,332,'TL','it',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-07-21',NULL,'PUBLISHED','Procedura di campionamento','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(333,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Time Method (Version 1.2) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Describes the time dimension of the data collection.','',333,'SL','en',NULL,NULL,1,'TimeMethod','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.2',0,'2019-07-02',NULL,'PUBLISHED','Time Method',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html',NULL,'','',73,'2020-09-30',NULL),(334,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Tidsmetode [Time Method] (Version 1.2.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Beskriver tidsdimensionen for dataindsamlingen.',NULL,334,'TL','da',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-23',NULL,'PUBLISHED','Tidsmetode','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(335,NULL,NULL,40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Beschreibt die zeitliche Dimension der Datenerhebung.',NULL,335,'TL','de',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,NULL,NULL,'DRAFT','Erhebungsdesign','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html',NULL,NULL,73,'2020-09-30',NULL),(336,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Tutkimuksen aikaulottuvuus [Time Method] (Version 1.2.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Aineistonkeruun aikaulottuvuus.',NULL,336,'TL','fi',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-02',NULL,'PUBLISHED','Tutkimuksen aikaulottuvuus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(337,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Dimensione temporale [Time Method] (Version 1.2.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Descrive la dimensione temporale dei dati',NULL,337,'TL','it',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-21',NULL,'PUBLISHED','Dimensione temporale','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(338,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Tidsmetode [Time Method] (Version 1.2.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Beskrivelse av tidsdimensjonen for datainnsamlingen.','Har sett over begrepene. ',338,'TL','no',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-22',NULL,'PUBLISHED','Tidsmetode','NSD - Norwegian Centre for Research Data','https://nsd.no/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(339,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Časovna metoda [Time Method] (Version 1.2.1; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Opisuje časovno dimenzijo zbiranja podatkov.',NULL,339,'TL','sl',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-17',NULL,'PUBLISHED','Časovna metoda','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(340,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Tidsdimension/studiedesign [Time Method] (Version 1.2.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.1 </p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Beskriver hur datainsamlingen lagts upp för att ske över tid.',NULL,340,'TL','sv',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-07-16',NULL,'PUBLISHED','Tidsdimension/studiedesign','Swedish National Data Service (SND)','https://snd.gu.se/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(341,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Metodo di raccolta dei dati [Mode Of Collection] (Version 3.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',61,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.6 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n <br /> \n</div>','La procedura, la tecnica o la modalità di indagine utilizzata per ottenere i dati.',NULL,341,'TL','it',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-07-21',NULL,'PUBLISHED','Metodo di raccolta dei dati','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(342,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Tipo di fonte dei dati [Data Source Type] (Version 1.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',61,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Number in DDI 2.1: 2.3.1.8.1 \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\">dataSrc</a>\n <br /> \n</div>','Include una tipologia delle fonti dei dati.',NULL,342,'TL','it',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-07-14',NULL,'PUBLISHED','Tipo di fonte dei dati','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(343,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Tipo di Strumento [Type of Instrument] (Version 1.1.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',61,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>\n <br /> \n</div>','Include una tipologia di strumenti per la raccolta dei dati.',NULL,343,'TL','it',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-07-21',NULL,'PUBLISHED','Tipo di Strumento','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(344,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Tipo di statistiche riassuntive [Summary Statistic Type] (Version 2.1.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',61,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 4.3.14</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Specifica il tipo di statistica riassuntiva. Tali statistiche sono una rappresentazione sintetica delle caratteristiche di un insieme di valori.',NULL,344,'TL','it',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-07-21',NULL,'PUBLISHED','Tipo di statistiche riassuntive','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(349,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Formato generale dei dati [General Data Format] (Version 2.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',61,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Descrive il formato fisico dei dati documentati nello studio.',NULL,349,'TL','it',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-07-14',NULL,'PUBLISHED','Formato generale dei dati','UniData - Bicocca Data Archive','https://www.unidata.unimib.it','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(350,'urn:ddi:int.ddi.cv:ContributorRole:1.0','DDI Alliance. (2019). Contributor Role (Version 1.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ContributorRole:1.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary</p>','A classification of contributor roles.',NULL,350,'SL','en',NULL,NULL,1,'ContributorRole',NULL,'1.0',0,'2019-12-10',NULL,'PUBLISHED','Contributor Role',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html',NULL,'','',75,'2020-09-30',NULL),(351,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Format (Vrsta podatkov) [General Data Format] (Version 2.0.2; Social Science Data Archives (ADP), Slovenia, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',51,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Opisuje fizične format_e dokumentiranih podatkov v logičnem sosledju raziskovalne enote.','',228,'TL','sl',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.2',228,'2019-07-17',NULL,'PUBLISHED','Format (Vrsta podatkov)','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','CV definition rephrased: Format (Vrsta podatkov)\n','',48,'2020-09-30',NULL),(353,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Generelt dataformat [General Data Format] (Version 2.0.2; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',53,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Beskriver de(t) fysiske format(er) af den data, der er dokumenteret i de(t) logiske produkt(er) i en studieenhed.','Misspelling in CV name (da)',230,'TL','da',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.2',230,'2019-07-22',NULL,'PUBLISHED','Generelt dataformat','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.2.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','CV Short Name changed: Type af data format\n','Misspelling in CV name (da)',48,'2020-09-30',NULL),(358,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). CESSDA Topic Classification (Version 4.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',40,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','A typology of main themes or subjects of data.','',251,'SL','en',NULL,NULL,1,'TopicClassification',NULL,'4.0',298,'2019-08-21',NULL,'PUBLISHED','CESSDA Topic Classification',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0',NULL,'Code deleted: Code Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','One code was deleted and three new codes added. Twelve code values were edited for consistency with other entries. Narrower terms were reordered alphabetically. A typo was corrected in one definition.',56,'2020-09-30',NULL),(359,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Analysis Unit (Version 2.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',49,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"https://ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/anlyUnit.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"https://ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/anlysUnit.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Describes the entity being observed or analyzed in the study or in the variable.','',206,'SL','en',NULL,NULL,1,'AnalysisUnit','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','2.0',206,'2019-10-12',NULL,'PUBLISHED','Analysis Unit',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html',NULL,'CV definition amended\nCode added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: TextUnit changed to MediaUnit.Text\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode descriptive term rephrased: Organization rephrased into Organization/Institution\nCode descriptive term rephrased: Housing Unit rephrased into Housing unit\nCode descriptive term rephrased: Event/Process rephrased into Event/Process/Activity\nCode descriptive term rephrased: Geographic Unit rephrased into Geographic unit\nCode descriptive term rephrased: Time Unit rephrased into Time unit\nCode descriptive term rephrased: Text Unit rephrased into Media unit: Text\nCode definition amended with meaning change: OrganizationOrInstitution\nCode definition amended with meaning change: EventOrProcessOrActivity\nCode definition rephrased: Individual\nCode definition rephrased: Family\nCode definition rephrased: Family.HouseholdFamily\nCode definition rephrased: Geographic unit\nCode definition rephrased: MediaUnit.Text\nCode definition rephrased: Group\n','A number of amendments were made based on user feedback. New code PoliticalAdministrativeArea added. New code MediaUnit and its subterms added. TextUnit was made a narrower term in the MediaUnit hierarchy. Several code definitions and the vocabulary definition were amended for clarity. Usage information updated.',47,'2020-09-30',NULL),(361,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2020). CESSDA Emne Klassifikation [CESSDA Topic Classification] (Version 4.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','En typology over hovedtemaer eller emner af data.',NULL,295,'TL','da',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',304,'2020-02-02',NULL,'PUBLISHED','CESSDA Emne Klassifikation','Danish National Archives (DNA)','https://www.sa.dk','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code definition rephrased: Generel sundhed og trivsel\nTL code added: Health.DietAndNutrition\nTL code added: Health.DrugAbuseAlcoholAndSmoking\nCode deleted: Code Health.DrugAbuseAlcoholAndSmoking deleted\nTL code added: Health.DrugAbuseAlcoholAndSmoking\nTL code added: Health.PhysicalFitnessAndExercise\nTL code added: Politics.GovernmentPoliticalSystemsAndOrganisations\nTL code added: Economics.EconomicPolicyPublicExpenditureAndRevenue\nTL code added: Demography.Censuses\n','',56,'2020-09-30',NULL),(362,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). CESSDA Themenklassifikation [CESSDA Topic Classification] (Version 4.0.1; GESIS - Leibniz Institute for the Social Sciences, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Thematische Klassifikation für Daten',NULL,259,'TL','de',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',299,'2019-12-02',NULL,'PUBLISHED','CESSDA Themenklassifikation','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code deleted: Code Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability\nTL code descriptive term rephrased: Einkommen, Vermögen und Geldanlagen rephrased into Sparen to Einkommen, Vermögen und Geldanlagen/Sparen\nTL code descriptive term rephrased: Öffentliche Gesundheit rephrased into Public Health to Öffentliche Gesundheit/Public Health\nTL code descriptive term rephrased: Öffentlichkeitsarbeit rephrased into Public Relations to Öffentlichkeitsarbeit/Public Relations','',56,'2020-09-30',NULL),(363,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). CESSDAn aihepiiriluokitus [CESSDA Topic Classification] (Version 4.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <br /> \n</div>','Aineiston pääasiallisten aiheiden luokittelu.','',258,'TL','fi',NULL,NULL,1,'TopicClassification','Pääluokkia käytetään vain silloin, kun sopivaa alatermiä ei ole. Yhtä aineistoa voidaan kuvailla useammalla kuin yhdellä termillä.','4.0.1',324,'2019-11-21',NULL,'PUBLISHED','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code deleted: Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability\n\nCode definition rephrased: History\nCode definition rephrased: LabourAndEmployment.EmployeeTraining\n','',56,'2020-09-30',NULL),(364,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2020). Classificazione CESSDA degli argomenti [CESSDA Topic Classification] (Version 4.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Tipologia dei temi o argomenti principali trattati dai dati','',320,'TL','it',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',320,'2020-02-26',NULL,'PUBLISHED','Classificazione CESSDA degli argomenti','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code deleted: Code Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability\nCode definition rephrased: Tempo libero, turismo e sport\nCode definition rephrased: Migrazioni\nCode definition rephrased: Morbilità e mortalità','',56,'2020-09-30',NULL),(365,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). CESSDA Emneklassifisering [CESSDA Topic Classification] (Version 4.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Fysisk form og mosjon/trening','',262,'TL','no',NULL,NULL,1,'TopicClassification','','4.0.1',300,'2019-12-01',NULL,'PUBLISHED','CESSDA Emneklassifisering','NSD - Norwegian Centre for Research Data','https://nsd.no/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code deleted: Code Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability','',56,'2020-09-30',NULL),(366,NULL,NULL,33,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <br /> \n</div>','Tipologija glavnih vsebinskih področij raziskav.',NULL,261,'TL','sl',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',303,NULL,NULL,'DRAFT','Vsebinska področja CESSDA','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0',NULL,NULL,56,'2020-09-30',NULL),(367,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). CESSDA Ämnesklassificering [CESSDA Topic Classification] (Version 4.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',33,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <br /> \n</div>','En typologi för större teman eller ämneskategorier för data.','',260,'TL','sv',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',302,'2019-12-01',NULL,'PUBLISHED','CESSDA Ämnesklassificering','Swedish National Data Service (SND)','https://snd.gu.se/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code deleted: Code Health.HealthBehaviour deleted\nCode added: Health.DrugAbuseAlcoholAndSmoking\nCode added: Health.PhysicalFitnessAndExercise\nCode added: Health.DietAndNutrition\nCode value changed: Economics.SystemsAndDevelopment changed into Economics.EconomicSystemsAndDevelopment\nCode value changed: SocietyAndCulture.LeisureTourismSport changed into SocietyAndCulture.LeisureTourismAndSport\nCode value changed: Economics.IncomePropertyAndInvestment changed into Economics.IncomePropertyAndInvestmentSaving\nCode value changed: Education.CompulsoryAndPreschool changed into Education.CompulsoryAndPreschoolEducation\nCode value changed: Education.HigherAndFurther changed into Education.HigherAndFurtherEducation\nCode value changed: Education.LifelongContinuing changed into Education.LifelongContinuingEducation\nCode value changed: Education.VocationalAndTraining changed into Education.VocationalEducationAndTraining\nCode value changed: Health.Occupational changed into Health.OccupationalHealth\nCode value changed: Health.Public changed into Health.PublicHealth\nCode value changed: Health.Reproductive changed into Health.ReproductiveHealth\nCode value changed: SocialStratificationAndGroupings.EqualityAndInequality changed into SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion\nCode value changed: SocialWelfarePolicyAndSystems.SpecificSocialServices changed into SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability\nCode definition rephrased: Informationssamhället\nCode definition rephrased: Jämlikhet, ojämlikhet och socialt utanförskap\n','',56,'2020-09-30',NULL),(370,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). Classificação dos temas (CESSDA) [CESSDA Topic Classification] (Version 4.0.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',40,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n <br /> \n</div> \n<div>\n  Module Name: reusable \n <br /> \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a> \n <br /> \n</div>','Tipologia (classificação por tópicos) dos principais temas dos dados.',NULL,370,'TL','pt',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',0,'2019-11-14',NULL,'PUBLISHED','Classificação dos temas (CESSDA)','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','','',56,'2020-09-30',NULL),(371,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Mode de collecte [Mode Of Collection] (Version 3.0.1; Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','La procédure, la technique ou le mode d\'enquête utilisé pour obtenir les données.',NULL,371,'TL','fr',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-10-21',NULL,'PUBLISHED','Mode de collecte','Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(372,'urn:ddi:int.ddi.cv:CommonalityType:1.0','DDI Alliance. (2020). CommonalityType[Type ensartethet] (Version 1.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CommonalityType:1.0.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: comparative</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: comparative</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Beskriver graden av likhet mellom to elementer eller skjemaer (samling av elementer)',NULL,372,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'CommonalityType',NULL,'1.0.1',0,'2020-12-06',NULL,'PUBLISHED','Type ensartethet','NSD - Norwegian Centre for Research Data','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html',NULL,NULL,59,'2020-12-06',NULL),(373,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Método de recolha de dados [Mode Of Collection] (Version 3.0.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','Procedimentos, técnicas ou métodos de recolha de dados.',NULL,373,'TL','pt',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.1',0,'2019-11-06',NULL,'PUBLISHED','Método de recolha de dados','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL),(374,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Método de amostragem [Sampling Procedure] (Version 1.1.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Tipologia de métodos de amostragem.',NULL,374,'TL','pt',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-11-18',NULL,'PUBLISHED','Método de amostragem','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(375,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Dimensão temporal [Time Method] (Version 1.2.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',40,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Descreve a dimensão temporal da recolha de dados.',NULL,375,'TL','pt',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-11-13',NULL,'PUBLISHED','Dimensão temporal','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(376,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Tipo de instrumento de recolha de dados [Type of Instrument] (Version 1.1.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>\n <br /> \n</div>','Inclui uma tipologia de instrumentos de recolha de dados.',NULL,376,'TL','pt',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-11-12',NULL,'PUBLISHED','Tipo de instrumento de recolha de dados','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(377,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2019). Tipo de fonte de dados [Data Source Type] (Version 1.0.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',40,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\" style=\"\">dataSrc</a> \n</div> \n<div> \n</div>','Inclui uma tipologia de fontes de dados.',NULL,377,'TL','pt',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2019-11-12',NULL,'PUBLISHED','Tipo de fonte de dados','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(379,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Formato dos dados [General Data Format] (Version 2.0.1; Arquivo Português de Informação Social (APIS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',66,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Descreve o(s) formato(s) físico(s) dos dados documentados nos resultados dum estudo.',NULL,379,'TL','pt',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-11-11',NULL,'PUBLISHED','Formato dos dados','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(383,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2019). Tipo de estatística sumária [Summary Statistic Type] (Version 2.1.1; Arquivo Português de Informação Social, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',66,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>This vocabulary cannot be used for the element Element sumStat (4.3.14) in DDI 2.1 because the element already comes with a hard-coded controlled vocabulary in the \"type\" attribute. For using in DDI 2.5, select value \"Other\" in the \"type\" attribute, and insert the appropriate value from this CV in the \"otherType\" attribute. Use the complex element controlledVocabUsed (in the docDscr section) to identify the controlled vocabulary to which the selected term belongs.</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Especifica o tipo de estatística sumária. As estatísticas sumárias são medidas/números/valores usados para descrever as características de um conjunto de dados.',NULL,383,'TL','pt',NULL,NULL,1,'SummaryStatisticType',NULL,'2.1.1',0,'2019-11-18',NULL,'PUBLISHED','Tipo de estatística sumária','Arquivo Português de Informação Social','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(384,'urn:ddi:int.ddi.cv:CommonalityType:1.0','DDI Alliance. (2019). Tipo de convergência/uniformidade [Commonality Type] (Version 1.0.1; Arquivo Português de Informação Social, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CommonalityType:1.0. ',66,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: comparative</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: comparative</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Descreve o grau de similitude entre dois itens ou esquemas.',NULL,384,'TL','pt',NULL,NULL,1,'CommonalityType',NULL,'1.0.1',0,'2019-11-12',NULL,'PUBLISHED','Tipo de convergência/uniformidade','Arquivo Português de Informação Social','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html','','',59,'2020-09-30',NULL),(385,NULL,NULL,36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beschreibt die Entität, die in der Studie oder in der Variable analysiert wird.',NULL,211,'TL','de',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',211,NULL,NULL,'DRAFT','Analyseeinheit','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html',NULL,NULL,47,'2020-09-30',NULL),(386,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Analyseenhet [Analysis Unit] (Version 2.0.1; NSD - Norwegian Centre for Research Data, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskrivelse av enhet som blir analysert i studien eller i variablene.','Har lagt til oversettelser av utvidede beskrivelser på SL.\nGitt descriptive term til de som manglet det.',216,'TL','no',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',313,'2019-12-01',NULL,'PUBLISHED','Analyseenhet','NSD - Norwegian Centre for Research Data','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','Code added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode value changed: TextUnit changed to MediaUnit.Text\nCode descriptive term rephrased: Organisasjon rephrased into Organisasjon/Institusjon\nCode descriptive term rephrased: Bruksenhet rephrased into Boenhet\nCode descriptive term rephrased: Hendelse/prosess rephrased into Hendelse/prosess/aktivitet\nCode descriptive term rephrased:  Tekst rephrased into Medieenhet: Tekst\nCode definition amended with meaning change: OrganizationOrInstitution\nCode definition rephrased: Individual\nCode definition rephrased: Family\nCode definition rephrased: Family.HouseholdFamily\nCode definition rephrased: EventOrProcessOrActivity\nCode definition rephrased: GeographicUnit\nCode definition rephrased: MediaUnit.Text\nCode definition rephrased: Group\n','',47,'2020-09-30',NULL),(387,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2020). Havainto/aineistoyksikkötyyppi [Analysis Unit] (Version 2.0.1; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Määrittelee yksikön, jota tutkimuksessa/muuttujassa havannoidaan tai analysoidaan.\n','',208,'TL','fi',NULL,NULL,1,'AnalysisUnit','','2.0.1',208,'2020-01-15',NULL,'PUBLISHED','Havainto/aineistoyksikkötyyppi','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','CV definition rephrased.\nCode added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode value changed: TextUnit changed to MediaUnit.Text\nCode descriptive term rephrased: Maantieteellinen alue rephrased into Maantieteellinen yksikkö\nCode descriptive term rephrased: Teksti rephrased into Mediatyyppi: teksti\nCode definition rephrased: Henkilö\nCode definition rephrased: Perhe\nCode definition rephrased: Perhe: perhekotitalous\nCode definition rephrased: Kotitalous\nCode definition rephrased: Asuntokunta\nCode definition rephrased: Tapahtuma/prosessi/toiminta\nCode definition rephrased: Maantieteellinen yksikkö\nCode definition rephrased: Mediayksikkö: teksti\nCode definition rephrased: Ryhmä','',47,'2020-09-30',NULL),(388,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Analysenhet [Analysis Unit] (Version 2.0.1; Swedish National Data Service (SND), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskriver den enhet som analyseras i studien eller i variabeln.','',214,'TL','sv',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',214,'2019-12-01',NULL,'PUBLISHED','Analysenhet','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','Code added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode value changed: TextUnit changed to MediaUnit.Text\nCode descriptive term rephrased: Organisation rephrased into  Organisation/institution\nCode descriptive term rephrased: Händelse/process rephrased into Händelse/process/aktivitet\nCode descriptive term rephrased: Text rephrased into Mediaenhet: Text\nCode definition rephrased: Organisation/institution\nCode definition rephrased: Familj\nCode definition rephrased: Familj: familjehushåll\nCode definition rephrased: Händelse/process/aktivitet\nCode definition rephrased: Geografisk enhet\nCode definition rephrased: Mediaenhet: Text\nCode definition rephrased: Grupp\nCode definition rephrased: Föremål\n','',47,'2020-09-30',NULL),(389,NULL,NULL,36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Opisuje enoto, ki jo analiziramo v raziskavi ali v spremenljivki.',NULL,215,'TL','sl',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',215,NULL,NULL,'DRAFT','Enota analize','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html',NULL,NULL,47,'2020-09-30',NULL),(390,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Analyseenhed [Analysis Unit] (Version 2.0.1; Danish National Archives (DNA), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Beskriver den enhed, som observeres eller analyseres i studiet eller i variablen.','I don\'t know how to change font-type in a way that removes the technical specifications it leaves in the code translation.',217,'TL','da',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',217,'2019-11-03',NULL,'PUBLISHED','Analyseenhed','Danish National Archives (DNA)','https://www.sa.dk','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','CV name changed: Analysenhed to Analyseenhed\nCode added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: TextUnit changed to MediaUnit.Text\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode descriptive term rephrased: Organisation rephrased into Organisation/Institution \nCode descriptive term rephrased: Event/Proces rephrased into Event/Proces/Aktivitet\nCode descriptive term rephrased:  Tekst rephrased into Medieenhed: Tekst\nCode definition rephrased: Organisation/Institution\nCode definition rephrased: Husstand\nCode definition rephrased:  Boligenhed\nCode definition amended with meaning change: Event/Proces/Aktivitet\nCode definition rephrased: Geografisk enhed\nCode definition rephrased: Gruppe\nCode definition rephrased: Objekt\nCode definition rephrased:  Andet\n','',47,'2020-09-30',NULL),(391,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Unidade de Análise [Analysis Unit] (Version 2.0.1; Arquivo Português de Informação Social, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',66,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Descreve a entidade que está a ser observada ou analisada no estudo ou na variável.',NULL,391,'TL','pt',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',0,'2019-11-14',NULL,'PUBLISHED','Unidade de Análise','Arquivo Português de Informação Social','http://www.apis.ics.ulisboa.pt/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','','',47,'2020-09-30',NULL),(392,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2019). Type d\'instrument [Type of Instrument] (Version 1.1.1; Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',70,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>\n <br /> \n</div>','Inclut une typologie des instruments de collecte de données',NULL,392,'TL','fr',NULL,NULL,1,'TypeOfInstrument',NULL,'1.1.1',0,'2019-10-21',NULL,'PUBLISHED','Type d\'instrument','Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(393,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2019). Format général des données [General Data Format] (Version 2.0.1;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',70,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Décrit le(s) format(s) physique des données documentées dans la description des différentes parties de la description de l\'étude','version 2019-10-22',393,'TL','fr',NULL,NULL,1,'GeneralDataFormat',NULL,'2.0.1',0,'2019-10-21',NULL,'PUBLISHED','Format général des données',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(394,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Unité d\'analyse [Analysis Unit] (Version 2.0.1;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',70,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Décrit l\'entité analysée dans l\'étude ou dans la variable.',NULL,394,'TL','fr',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.1',0,'2019-10-21',NULL,'PUBLISHED','Unité d\'analyse',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','','',47,'2020-09-30',NULL),(396,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Méthode temporelle [Time Method] (Version 1.2.1;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',70,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n<br />Module Name: datacollection\n<br />Element Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\">TypeOfTimeMethod</a>\n<br />\n<br /> \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n<br /> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" style=\"\">TimeMeth@method</a> \n</div>','Décrit la dimension temporelle de la collecte des données',NULL,396,'TL','fr',NULL,NULL,1,'TimeMethod',NULL,'1.2.1',0,'2019-10-21',NULL,'PUBLISHED','Méthode temporelle',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(397,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2019). Mode de collecte [Mode Of Collection] (Version 3.0.2; Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',70,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','La procédure, la technique ou le mode d\'enquête utilisé pour obtenir les données.','Aggrégation -> Agrégation',371,'TL','fr',NULL,NULL,1,'ModeOfCollection',NULL,'3.0.2',371,'2019-10-21',NULL,'PUBLISHED','Mode de collecte','Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.2.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','Code descriptive term rephrased: Aggrégation\n','',72,'2020-09-30',NULL),(398,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Procédure d\'échantillonnage [Sampling Procedure] (Version 1.1.1;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',70,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n<br />Module Name: datacollection\n<br />Element Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\">TypeOfSamplingProcedure</a>\n<br />\n<br />\n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a>\n<br />Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\">sampProc</a>','Une typologie des méthodes d\'échantillonnage',NULL,398,'TL','fr',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.1',0,'2019-10-21',NULL,'PUBLISHED','Procédure d\'échantillonnage',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(400,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). Nomenclature CESSDA des thématiques [CESSDA Topic Classification] (Version 4.0.1;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',70,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Une typologie des thèmes principaux ou des sujets des données',NULL,400,'TL','fr',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',0,'2019-10-21',NULL,'PUBLISHED','Nomenclature CESSDA des thématiques',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','','',56,'2020-09-30',NULL),(403,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2020). Tematske oblasti CESSDA [CESSDA Topic Classification] (Version 4.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',63,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Tipologija glavnih oblasti ili tema na koje se podaci odnose.',NULL,403,'TL','sr',NULL,NULL,1,'TopicClassification',NULL,'4.0.1',0,'2020-01-12',NULL,'PUBLISHED','Tematske oblasti CESSDA','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','','',56,'2020-09-30',NULL),(404,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Procédure d\'échantillonnage [Sampling Procedure] (Version 1.1.2;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',70,'<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n<br />Module Name: datacollection\n<br />Element Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\">TypeOfSamplingProcedure</a>\n<br />\n<br />\n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a>\n<br />Element/Attribute Name: \n<a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\">sampProc</a>','Une typologie des méthodes d\'échantillonnage','Correction suite à relecture équipe  belge',398,'TL','fr',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.2',398,'2019-11-05',NULL,'PUBLISHED','Procédure d\'échantillonnage',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.2.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','Probabiliste : stratifié => [séparées et mutuellement exclusives] => [séparées et mutuellement exclusifs]','',55,'2020-09-30',NULL),(405,'urn:ddi:int.ddi.cv:DataSourceType:1.0','DDI Alliance. (2020). Vrste izvora podataka [Data Source Type] (Version 1.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataSourceType:1.0. ',63,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/SourceType.html\">SourceType</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/dataSrc.html\" style=\"\">dataSrc</a> \n</div> \n<div> \n</div>','Sadrži tipove izvora podataka.',NULL,405,'TL','sr',NULL,NULL,1,'DataSourceType',NULL,'1.0.1',0,'2020-01-12',NULL,'PUBLISHED','Vrste izvora podataka','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/DataSourceType_1.0.html','','',53,'2020-09-30',NULL),(406,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). Nomenclature CESSDA des thématiques [CESSDA Topic Classification] (Version 4.0.2;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',70,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Une typologie des thèmes principaux ou des sujets des données','Relecture équipe belge',400,'TL','fr',NULL,NULL,1,'TopicClassification',NULL,'4.0.2',400,'2019-11-05',NULL,'PUBLISHED','Nomenclature CESSDA des thématiques',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.2','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code descriptive term rephrased: Fécondité rephrased into Santé reproductive\nCode descriptive term rephrased: LOGEMENT ET UTILISATION DU TERRITOIRE rephrased into LOGEMENT ET UTILISATION DES TERRES\nCode definition rephrased: Economics.EconomicConditionsAndIndicators\nCode definition rephrased: Education.HigherAndFurtherEducation\nCode definition rephrased: Education.VocationalEducationAndTraining\nCode definition rephrased: Health.DrugAbuseAlcoholAndSmoking\nCode definition rephrased: HousingAndLandUse.LandUseAndPlanning\nCode definition rephrased: SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability\nCode definition rephrased: SocietyAndCulture.CulturalAndNationalIdentity\n','Some corrections form Belgium team',56,'2020-09-30',NULL),(407,'urn:ddi:int.ddi.cv:GeneralDataFormat:2.0','DDI Alliance. (2020). Format (Vrste podataka) [General Data Format] (Version 2.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:GeneralDataFormat:2.0. ',63,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/GeneralDataFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">GeneralDataFormat</a></p><p><br></p><p> A new element, GeneralDataFormat, is being created in DDI 2.6 to support this CV list.</p>','Opisuje fizički format(e) podataka koji su dokumentovani u logičkim proizvodima jedinice studije.',NULL,407,'TL','sr',NULL,NULL,1,'GeneralDataFormat','','2.0.1',0,'2020-01-12',NULL,'PUBLISHED','Format (Vrste podataka)','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat_2.0.html','','',48,'2020-09-30',NULL),(408,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2020). Jedinica analize [Analysis Unit] (Version 2.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',63,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Opisuje entitet koji se posmatra ili analizira u studiji ili u promenljivoj (varijabli).',NULL,408,'TL','sr',NULL,NULL,1,'AnalysisUnit','Ovaj rečnik prvi put je objavio DDI Alliance. Molimo pogledajte: https://ddialliance.org/control-vocabularies/all','2.0.1',0,'2020-01-12',NULL,'PUBLISHED','Jedinica analize','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','','',47,'2020-09-30',NULL),(409,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2020). Postupak uzorkovanja [Sampling Procedure] (Version 1.1.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',63,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Tipologija metoda uzorkovanja.',NULL,409,'TL','sr',NULL,NULL,1,'SamplingProcedure','','1.1.1',0,'2020-01-12',NULL,'PUBLISHED','Postupak uzorkovanja','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','','',55,'2020-09-30',NULL),(410,'urn:ddi:int.ddi.cv:SummaryStatisticType:2.1','DDI Alliance. (2020). Vrsta zbirne statistike [Summary Statistic Type] (Version 2.1.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SummaryStatisticType:2.1. ',63,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: physicalinstance</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: physicalinstance</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/physicalinstance_xsd/elements/TypeOfSummaryStatistic.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSummaryStatistic</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>This vocabulary cannot be used for the element Element sumStat (4.3.14) in DDI 2.1 because the element already comes with a hard-coded controlled vocabulary in the \"type\" attribute. For using in DDI 2.5, select value \"Other\" in the \"type\" attribute, and insert the appropriate value from this CV in the \"otherType\" attribute. Use the complex element controlledVocabUsed (in the docDscr section) to identify the controlled vocabulary to which the selected term belongs.</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sumStat.html\" rel=\"noopener noreferrer\" target=\"_blank\">sumStat</a></p>','Određuje vrstu zbirne statistike. Zbirna statistika predstavlja jednoznačan broj karakteristika skupa vrednosti. ',NULL,410,'TL','sr',NULL,NULL,1,'SummaryStatisticType','','2.1.1',0,'2020-01-12',NULL,'PUBLISHED','Vrsta zbirne statistike','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType_2.1.html','','',54,'2020-09-30',NULL),(411,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2020). Vremenski metod [Time Method] (Version 1.2.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',63,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Opisuje vremensku dimenziju kolekcije podataka.',NULL,411,'TL','sr',NULL,NULL,1,'TimeMethod','','1.2.1',0,'2020-01-12',NULL,'PUBLISHED','Vremenski metod','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.1.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','','',73,'2020-09-30',NULL),(412,'urn:ddi:int.ddi.cv:TypeOfInstrument:1.1','DDI Alliance. (2020). Vrsta Instrumenta [Type of Instrument] (Version 1.1.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfInstrument:1.1. ',63,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfInstrument.html\">TypeOfInstrument</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/resInstru.html\">resInstru</a>\n <br /> \n</div>','Sadrži tipologiju instrumenata za prikupljanje podataka.',NULL,412,'TL','sr',NULL,NULL,1,'TypeOfInstrument','','1.1.1',0,'2020-01-12',NULL,'PUBLISHED','Vrsta Instrumenta','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument_1.1.html','','',52,'2020-09-30',NULL),(413,'urn:ddi:int.ddi.cv:CommonalityType:1.0','DDI Alliance. (2020). Vrste sličnosti [Commonality Type] (Version 1.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:CommonalityType:1.0. ',63,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: comparative</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: comparative</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/comparative_xsd/elements/CommonalityTypeCoded.html\" rel=\"noopener noreferrer\" target=\"_blank\">CommonalityTypeCoded</a> </p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Opisuje stepen sličnosti između dve stavke, predmeta ili šeme (zbirke stavki).',NULL,413,'TL','sr',NULL,NULL,1,'CommonalityType','','1.0.1',0,'2020-01-12',NULL,'PUBLISHED','Vrste sličnosti','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/CommonalityType_1.0.html','','',59,'2020-09-30',NULL),(415,'urn:ddi:int.ddi.cv:AggregationMethod:1.1','DDI Alliance. (2019). Aggregation Method (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AggregationMethod:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name:&nbsp;&nbsp;&nbsp;reusable</p><p>Element name:&nbsp;&nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod </a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/var.html\" rel=\"noopener noreferrer\" target=\"_blank\">var@otherAggrMeth</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/measure.html\" rel=\"noopener noreferrer\" target=\"_blank\">measure@otherAggrMeth</a></p>','Identifies the type of aggregation used to combine related categories, usually within a common branch of a hierarchy, to provide information at a broader level than the level at which detailed observations are taken. (From: The OECD Glossary of Statistical Terms)','',268,'SL','en',NULL,NULL,1,'AggregationMethod','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',268,'2019-11-24',NULL,'PUBLISHED','Aggregation Method',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html',NULL,'Code descriptive term rephrased: Arithmetic Mean rephrased into Arithmetic mean\nCode descriptive term rephrased: Cumulative Percent rephrased into Cumulative percent\nCode descriptive term rephrased: Percentile Rank rephrased into Percentile rank\nCode definition rephrased: Count\nCode definition rephrased: Mode\n','1. ArithmeticMean, CumulativePercent, PercentileRank: Descriptive term capitalization changed to make them conform to the other vocabularies. 2. Count, Mode: Period added at the end of the code definitions to make them conform to the other vocabularies.',57,'2020-09-30',NULL),(417,'urn:ddi:int.ddi.cv:NumericType:1.1','DDI Alliance. (2019). Numeric Type (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:NumericType:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/NumericTypeCode.html\" rel=\"noopener noreferrer\" target=\"_blank\">NumericTypeCode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/NumericTypeCode.html\" rel=\"noopener noreferrer\" target=\"_blank\">NumericTypeCode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">varFormat@category</a></p>','Specifies the type of numeric data.','',307,'SL','en',NULL,NULL,1,'NumericType','This Controlled Vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all','1.1',307,'2019-11-24',NULL,'PUBLISHED','Numeric Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/NumericType_1.1.html',NULL,'Code definition rephrased: Float\nCode definition rephrased: Double\n','Float, Double: Code definition edited to eliminate suspicious character.',70,'2020-09-30',NULL),(418,'urn:ddi:int.ddi.cv:DataType:1.1','DDI Alliance. (2019). Data Type (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataType:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DefaultDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">DefaultDataType</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/RecommendedDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">RecommendedDataType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DefaultDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\"> DefaultDataType</a></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/RecommendedDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">RecommendedDataType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">varFormat@category</a></p>','Identifies the type of data, which has a bearing on the acceptable data values, the operations that can be performed with the data, and the ways in which the data are stored.','',276,'SL','en',NULL,NULL,1,'DataType','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all. The present list is based on the W3C data types (http://www.w3.org/TR/xmlschema-2/), and includes the terms relevant for documenting research data.','1.1',276,'2019-11-24',NULL,'PUBLISHED','Data Type',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html',NULL,'Code definition rephrased: Float\nCode definition rephrased: Double\n','Float, Double: Code definition edited to eliminate suspicious character.',60,'2020-09-30',NULL),(419,'urn:ddi:int.ddi.cv:TimeMethod:1.2','DDI Alliance. (2019). Méthode temporelle [Time Method] (Version 1.2.2;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TimeMethod:1.2. ',70,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfTimeMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfTimeMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/timeMeth.html\" rel=\"noopener noreferrer\" target=\"_blank\">TimeMeth@method</a></p>','Décrit la dimension temporelle de la collecte des données','Some corrections',396,'TL','fr',NULL,NULL,1,'TimeMethod',NULL,'1.2.2',396,'2019-12-16',NULL,'PUBLISHED','Méthode temporelle',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.2.html','https://ddialliance.org/Specification/DDI-CV/TimeMethod_1.2.html','Code descriptive term rephrased: Série temporelle : continue\n','',73,'2020-09-30',NULL),(420,'urn:ddi:int.ddi.cv:SamplingProcedure:1.1','DDI Alliance. (2019). Procédure d\'échantillonnage [Sampling Procedure] (Version 1.1.3;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:SamplingProcedure:1.1. ',70,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfSamplingProcedure.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfSamplingProcedure</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/sampProc.html\" rel=\"noopener noreferrer\" target=\"_blank\">sampProc</a></p>','Une typologie des méthodes d\'échantillonnage','Somme corrections',398,'TL','fr',NULL,NULL,1,'SamplingProcedure',NULL,'1.1.3',404,'2019-12-16',NULL,'PUBLISHED','Procédure d\'échantillonnage',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.3.html','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure_1.1.html','Code descriptive term rephrased: Probabiliste : stratifié : disproportionnel\n','',55,'2020-09-30',NULL),(421,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2019). Nomenclature CESSDA des thématiques [CESSDA Topic Classification] (Version 4.0.3;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',70,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Une typologie des thèmes principaux ou des sujets des données','Relecture équipe belge',400,'TL','fr',NULL,NULL,1,'TopicClassification',NULL,'4.0.3',406,'2019-12-16',NULL,'PUBLISHED','Nomenclature CESSDA des thématiques',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.3','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code descriptive term rephrased: LOI, CRIMINALITÉ ET SYSTÈME LEGAL rephrased into LOI, CRIMINALITÉ ET SYSTÈME LÉGAL\nCode descriptive term rephrased: Signes et symptomes ; conditions pathologiques rephrased into Signes et symptômes ; conditions pathologiques\n','Some corrections',56,'2020-09-30',NULL),(422,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2019). Unité d\'analyse [Analysis Unit] (Version 2.0.2;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',70,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Décrit l\'entité analysée dans l\'étude ou dans la variable.','Some corrections',394,'TL','fr',NULL,NULL,1,'AnalysisUnit',NULL,'2.0.2',394,'2019-12-16',NULL,'PUBLISHED','Unité d\'analyse',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','Code descriptive term rephrased: Espace politico-administatif rephrased into Espace politico-administratif\n','',47,'2020-09-30',NULL),(423,'urn:ddi:int.ddi.cv:ContributorRole:1.0','DDI Alliance. (2020). ContributorRole[Roll för medverkande] (Version 1.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ContributorRole:1.0.1. ',58,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary</p>','En klassificering av roller för medverkande personer.',NULL,423,'TL','sv',NULL,'Creative Commons Attribution 4.0 International',1,'ContributorRole','Nytt CV. SND har nu \"Medverkande\" för \"Contributor\" i formuläret.','1.0.1',0,'2020-11-11',NULL,'PUBLISHED','Roll för medverkande','Svensk nationell datatjänst','https://snd.gu.se/sv','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html',NULL,NULL,75,'2020-11-11',NULL),(424,'urn:ddi:int.ddi.cv:ModeOfCollection:3.0','DDI Alliance. (2020). Način prikupljanja [Mode Of Collection] (Version 3.0.1; Data Centre Serbia for Social Sciences (DCS), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:3.0. ',63,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\">DDI 3.2</a> \n <br /> Module Name: datacollection \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\">TypeOfModeOfCollection</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\">collMode</a> \n</div>','Postupak, tehnika ili način ispitivanja koji se koristi za dobijanje podataka.',NULL,424,'TL','sr',NULL,NULL,1,'ModeOfCollection','Ovaj vokabular prvi put je objavio DDI Alliance. Molimo pogledajte: https://ddialliance.org/control-vocabularies/all.','3.0.1',0,'2020-01-12',NULL,'PUBLISHED','Način prikupljanja','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_3.0.html','','',72,'2020-09-30',NULL);
INSERT  IGNORE INTO `version` (`id`, `canonical_uri`, `citation`, `creator`, `ddi_usage`, `definition`, `discussion_notes`, `initial_version`, `item_type`, `language`, `last_modified`, `license`, `license_id`, `notation`, `notes`, `number`, `previous_version`, `publication_date`, `publisher`, `status`, `title`, `translate_agency`, `translate_agency_link`, `uri`, `uri_sl`, `version_changes`, `version_notes`, `vocabulary_id`, `last_status_change_date`, `creation_date`) VALUES (425,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2020). Unità analisi [Analysis Unit] (Version 2.0.1; UniData - Bicocca Data Archive, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',61,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Descrive l\'entità osservata o analizzata nello studio o nella variabile','',425,'TL','it',NULL,NULL,1,'AnalysisUnit','','2.0.1',0,'2020-02-24',NULL,'PUBLISHED','Unità analisi','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','CV definition amended\nCode added: PoliticalAdministrativeArea\nCode added: MediaUnit\nCode added: MediaUnit.Sound\nCode added: MediaUnit.StillImage\nCode added: MediaUnit.Video\nCode value changed: TextUnit changed to MediaUnit.Text\nCode value changed: Organization changed to OrganizationOrInstitution\nCode value changed: EventOrProcess changed to EventOrProcessOrActivity\nCode descriptive term rephrased: Organizzazione rephrased into Organizzazione/Istituzione\nCode descriptive term rephrased: Evento/Processo rephrased into Evento/Processo/Attività\nCode descriptive term rephrased: Unità testuale rephrased into Unità di supporto: testo\nCode definition amended with meaning change: OrganizationOrInstitution\nCode definition amended with meaning change: EventOrProcessOrActivity\nCode definition rephrased: Individual\nCode definition rephrased: Family\nCode definition rephrased: Family.HouseholdFamily\nCode definition rephrased: Geographic unit\nCode definition rephrased: MediaUnit.Text\nCode definition rephrased: Group','',47,'2020-09-30',NULL),(426,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2020). Nomenclature CESSDA des thématiques [CESSDA Topic Classification] (Version 4.0.4;  Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France, Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',70,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Une typologie des thèmes principaux ou des sujets des données','Relecture ',400,'TL','fr',NULL,NULL,1,'TopicClassification',NULL,'4.0.4',421,'2020-01-28',NULL,'PUBLISHED','Nomenclature CESSDA des thématiques',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.4','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','Code value changed: olitique économique, dépenses publiques et recettes\n','Correction scories',56,'2020-09-30',NULL),(427,'urn:ddi:int.ddi.cv:AnalysisUnit:2.0','DDI Alliance. (2020). Havainto/aineistoyksikkötyyppi [Analysis Unit] (Version 2.0.2; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\">AnalysisUnit</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\">anlyUnit@unit</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\">anlysUnit</a> \n</div> \n<p><br /></p> \n<!--[if gte mso 9]><xml>\n <w:WordDocument>\n  <w:View>Normal</w:View>\n  <w:Zoom>0</w:Zoom>\n  <w:TrackMoves/>\n  <w:TrackFormatting/>\n  <w:HyphenationZone>21</w:HyphenationZone>\n  <w:PunctuationKerning/>\n  <w:ValidateAgainstSchemas/>\n  <w:SaveIfXMLInvalid>false</w:SaveIfXMLInvalid>\n  <w:IgnoreMixedContent>false</w:IgnoreMixedContent>\n  <w:AlwaysShowPlaceholderText>false</w:AlwaysShowPlaceholderText>\n  <w:DoNotPromoteQF/>\n  <w:LidThemeOther>FI</w:LidThemeOther>\n  <w:LidThemeAsian>X-NONE</w:LidThemeAsian>\n  <w:LidThemeComplexScript>X-NONE</w:LidThemeComplexScript>\n  <w:Compatibility>\n   <w:BreakWrappedTables/>\n   <w:SnapToGridInCell/>\n   <w:WrapTextWithPunct/>\n   <w:UseAsianBreakRules/>\n   <w:DontGrowAutofit/>\n   <w:SplitPgBreakAndParaMark/>\n   <w:EnableOpenTypeKerning/>\n   <w:DontFlipMirrorIndents/>\n   <w:OverrideTableStyleHps/>\n  </w:Compatibility>\n  <w:BrowserLevel>MicrosoftInternetExplorer4</w:BrowserLevel>\n  <m:mathPr>\n   <m:mathFont m:val=\"Cambria Math\"/>\n   <m:brkBin m:val=\"before\"/>\n   <m:brkBinSub m:val=\"&#45;-\"/>\n   <m:smallFrac m:val=\"off\"/>\n   <m:dispDef/>\n   <m:lMargin m:val=\"0\"/>\n   <m:rMargin m:val=\"0\"/>\n   <m:defJc m:val=\"centerGroup\"/>\n   <m:wrapIndent m:val=\"1440\"/>\n   <m:intLim m:val=\"subSup\"/>\n   <m:naryLim m:val=\"undOvr\"/>\n  </m:mathPr></w:WordDocument>\n</xml><![endif]--> \n<!--[if gte mso 9]><xml>\n <w:LatentStyles DefLockedState=\"false\" DefUnhideWhenUsed=\"false\"\n  DefSemiHidden=\"false\" DefQFormat=\"false\" DefPriority=\"99\"\n  LatentStyleCount=\"371\">\n  <w:LsdException Locked=\"false\" Priority=\"0\" QFormat=\"true\" Name=\"Normal\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" QFormat=\"true\" Name=\"heading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"9\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"heading 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index 9\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 7\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 8\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"toc 9\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"header\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footer\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"index heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"35\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"caption\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of figures\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"envelope return\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"footnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"line number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"page number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote reference\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"endnote text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"table of authorities\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"macro\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"toa heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Bullet 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Number 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"10\" QFormat=\"true\" Name=\"Title\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Closing\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Signature\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Default Paragraph Font\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"List Continue 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Message Header\"/>\n  <w:LsdException Locked=\"false\" Priority=\"11\" QFormat=\"true\" Name=\"Subtitle\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Salutation\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Date\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text First Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Note Heading\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Body Text Indent 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Block Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Hyperlink\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"FollowedHyperlink\"/>\n  <w:LsdException Locked=\"false\" Priority=\"22\" QFormat=\"true\" Name=\"Strong\"/>\n  <w:LsdException Locked=\"false\" Priority=\"20\" QFormat=\"true\" Name=\"Emphasis\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Document Map\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Plain Text\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"E-mail Signature\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Top of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Bottom of Form\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal (Web)\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Acronym\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Address\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Cite\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Code\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Definition\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Keyboard\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Preformatted\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Sample\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Typewriter\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"HTML Variable\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Normal Table\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"annotation subject\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"No List\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Outline List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Simple 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Classic 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Colorful 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Columns 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Grid 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 4\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 5\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 6\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 7\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table List 8\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table 3D effects 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Contemporary\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Elegant\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Professional\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Subtle 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 2\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Web 3\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Balloon Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" Name=\"Table Grid\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" UnhideWhenUsed=\"true\"\n   Name=\"Table Theme\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Placeholder Text\"/>\n  <w:LsdException Locked=\"false\" Priority=\"1\" QFormat=\"true\" Name=\"No Spacing\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" SemiHidden=\"true\" Name=\"Revision\"/>\n  <w:LsdException Locked=\"false\" Priority=\"34\" QFormat=\"true\"\n   Name=\"List Paragraph\"/>\n  <w:LsdException Locked=\"false\" Priority=\"29\" QFormat=\"true\" Name=\"Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"30\" QFormat=\"true\"\n   Name=\"Intense Quote\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"60\" Name=\"Light Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"61\" Name=\"Light List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"62\" Name=\"Light Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"63\" Name=\"Medium Shading 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"64\" Name=\"Medium Shading 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"65\" Name=\"Medium List 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"66\" Name=\"Medium List 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"67\" Name=\"Medium Grid 1 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"68\" Name=\"Medium Grid 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"69\" Name=\"Medium Grid 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"70\" Name=\"Dark List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"71\" Name=\"Colorful Shading Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"72\" Name=\"Colorful List Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"73\" Name=\"Colorful Grid Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"19\" QFormat=\"true\"\n   Name=\"Subtle Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"21\" QFormat=\"true\"\n   Name=\"Intense Emphasis\"/>\n  <w:LsdException Locked=\"false\" Priority=\"31\" QFormat=\"true\"\n   Name=\"Subtle Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"32\" QFormat=\"true\"\n   Name=\"Intense Reference\"/>\n  <w:LsdException Locked=\"false\" Priority=\"33\" QFormat=\"true\" Name=\"Book Title\"/>\n  <w:LsdException Locked=\"false\" Priority=\"37\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" Name=\"Bibliography\"/>\n  <w:LsdException Locked=\"false\" Priority=\"39\" SemiHidden=\"true\"\n   UnhideWhenUsed=\"true\" QFormat=\"true\" Name=\"TOC Heading\"/>\n  <w:LsdException Locked=\"false\" Priority=\"41\" Name=\"Plain Table 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"42\" Name=\"Plain Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"43\" Name=\"Plain Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"44\" Name=\"Plain Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"45\" Name=\"Plain Table 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"40\" Name=\"Grid Table Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"Grid Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"Grid Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"Grid Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"Grid Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"Grid Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"Grid Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"Grid Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"Grid Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"Grid Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"Grid Table 7 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\" Name=\"List Table 1 Light\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\" Name=\"List Table 6 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\" Name=\"List Table 7 Colorful\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 1\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 2\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 3\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 4\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 5\"/>\n  <w:LsdException Locked=\"false\" Priority=\"46\"\n   Name=\"List Table 1 Light Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"47\" Name=\"List Table 2 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"48\" Name=\"List Table 3 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"49\" Name=\"List Table 4 Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"50\" Name=\"List Table 5 Dark Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"51\"\n   Name=\"List Table 6 Colorful Accent 6\"/>\n  <w:LsdException Locked=\"false\" Priority=\"52\"\n   Name=\"List Table 7 Colorful Accent 6\"/>\n </w:LatentStyles>\n</xml><![endif]--> \n<!--[if gte mso 10]>\n<style>\n /* Style Definitions */\n table.MsoNormalTable\n	{mso-style-name:\"Table Normal\";\n	mso-tstyle-rowband-size:0;\n	mso-tstyle-colband-size:0;\n	mso-style-noshow:yes;\n	mso-style-priority:99;\n	mso-style-parent:\"\";\n	mso-padding-alt:0cm 5.4pt 0cm 5.4pt;\n	mso-para-margin:0cm;\n	mso-para-margin-bottom:.0001pt;\n	mso-pagination:widow-orphan;\n	font-size:10.0pt;\n	font-family:\"Times New Roman\",serif;}\n</style>\n<![endif]-->','Määrittelee yksikön, jota tutkimuksessa/muuttujassa havannoidaan tai analysoidaan.\n','',208,'TL','fi',NULL,NULL,1,'AnalysisUnit','','2.0.2',387,'2020-01-29',NULL,'PUBLISHED','Havainto/aineistoyksikkötyyppi','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.2.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.0.html','Code descriptive term rephrased: Muu havaintoyksikkö/aineistoyksikkötyyppi rephrased into Muu havainto/aineistoyksikkötyyppi.\n',' ',47,'2020-09-30',NULL),(428,'urn:ddi:int.ddi.cv:AggregationMethod:1.1','DDI Alliance. (2020). Aggregeringsmetode [Aggregation Method] (Version 1.1.1; The Danish National Archives, Transl.) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AggregationMethod:1.1. ',53,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name:&nbsp;&nbsp;&nbsp;reusable</p><p>Element name:&nbsp;&nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod </a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/var.html\" rel=\"noopener noreferrer\" target=\"_blank\">var@otherAggrMeth</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/measure.html\" rel=\"noopener noreferrer\" target=\"_blank\">measure@otherAggrMeth</a></p>','Identificerer den type aggregering, der anvendes til at kombinere relaterede kategorier, normalt inden for en fælles gren af et hierarki, til at tilvejebringe information på et bredere niveau end det, på hvilket detaljerede observationer er foretaget. (Fra: OECD-ordlisten med statistiske begreber)',NULL,428,'TL','da',NULL,NULL,1,'AggregationMethod','','1.1.1',0,'2020-02-03',NULL,'PUBLISHED','Aggregeringsmetode','The Danish National Archives','www.sa.dk','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html','','',57,'2020-09-30',NULL),(429,'urn:ddi:int.cessda.cv:TopicClassification:4.0','CESSDA. (2020). CESSDAn aihepiiriluokitus [CESSDA Topic Classification] (Version 4.0.2; Finnish Social Science Data Archive (FSD), Transl.) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.0. ',71,'<div> \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a>\n <br />\n</div>\n<div>\n Module Name: reusable\n <br /> \n</div> \n<div>\n  Element Name:\n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\"> Subject</a> \n</div> \n<div> \n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element/Attribute Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\">topcClas</a>\n <font size=\"3\"><font face=\"Verdana\"><br /></font></font> \n</div>','Aineiston pääasiallisten aiheiden luokittelu.','',258,'TL','fi',NULL,NULL,1,'TopicClassification','Pääluokkia käytetään vain silloin, kun sopivaa alatermiä ei ole. Yhtä aineistoa voidaan kuvailla useammalla kuin yhdellä termillä.','4.0.2',363,'2020-02-05',NULL,'PUBLISHED','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0.2','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.0','All Finnish code descriptive terms edited to start with uppercase letter.','',56,'2020-09-30',NULL),(431,'urn:ddi:int.ddi.cv:TypeOfNote:1.1','DDI Alliance. (2020). Type of Note (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfNote:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/TypeOfNote.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfNote</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/TypeOfNote.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfNote</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/notes.html\" rel=\"noopener noreferrer\" target=\"_blank\">notes@type</a></p>','Includes a typology of notes.','',293,'SL','en',NULL,NULL,1,'TypeOfNote','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',293,'2020-02-20',NULL,'PUBLISHED','Type of Note',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfNote_1.1.html',NULL,'Code descriptive term rephrased: Processing Note rephrased to Processing note\nCode descriptive term rephrased: System Note rephrased to System note\n','\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\nProcessing, System: Descriptive term capitalization changed to conform to the other vocabularies.\n\n\n\n\n\n',68,'2020-09-30',NULL),(432,'urn:ddi:int.ddi.cv:TypeOfAddress:1.1','DDI Alliance. (2020). Type of Address (Version 1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:TypeOfAddress:1.1. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: archive</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/TypeOfAddress.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfAddress</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: archive</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/archive_xsd/elements/TypeOfAddress.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfAddress</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5&nbsp;</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary.</p>','Identifies the type of address entered as contact information for an individual or an organization.\n\n','',291,'SL','en',NULL,NULL,1,'TypeOfAddress','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','1.1',291,'2020-05-12',NULL,'PUBLISHED','Type of Address',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfAddress_1.1.html',NULL,'Code definition rephrased: Mailing address: Residential\nCode definition rephrased: Visiting address: Residential\n','Code definition rephrased with no meaning change: Mailing.Residential; Visiting.Residential',66,'2020-09-30',NULL),(433,NULL,NULL,53,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary</p>','En klassifikation af bidragyderroller.',NULL,433,'TL','da',NULL,NULL,1,'ContributorRole','','1.0.1',0,NULL,NULL,'DRAFT','Bidragyderrolle','The Danish National Archives','https://www.sa.dk/da/',NULL,'https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html',NULL,NULL,75,'2020-09-30',NULL),(434,'urn:ddi:int.cessda.cv:TopicClassification:4.1','CESSDA. (2020). CESSDA Topic Classification (Version 4.1) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.1. ',72,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','A typology of main themes or subjects of data.','',251,'SL','en',NULL,'Creative Commons Attribution 4.0 International',1,'TopicClassification','More than one topic can be used for classifying a dataset. Broader topic terms (in capital letters) should only be used if no narrower terms are applicable.','4.1',358,'2020-10-06',NULL,'PUBLISHED','CESSDA Topic Classification',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,'Code definition rephrased: Demography.MorbidityAndMortality\nCode definition rephrased: Economics.ConsumptionAndConsumerBehaviour\nCode definition rephrased: Economics.EconomicConditionsAndIndicators\nCode definition rephrased: Economics.EconomicSystemsAndDevelopment\nCode definition rephrased: Economics.IncomePropertyAndInvestmentSaving\nCode definition rephrased: Education.CompulsoryAndPreschoolEducation\nCode definition rephrased: Education.EducationalPolicy\nCode definition rephrased: Health.DrugAbuseAlcoholAndSmoking\nCode definition rephrased: Health.GeneralHealthAndWellbeing\nCode definition rephrased: Health.HealthCareServicesAndPolicies\nCode definition rephrased: Health.ReproductiveHealth\nCode definition rephrased: Health.SignsAndSymptomsPathologicalConditions\nCode definition rephrased: Health.SpecificDiseasesDisordersAndMedicalConditions\nCode definition rephrased: Health.WoundsAndInjuries\nCode definition rephrased: History\nCode definition rephrased: HousingAndLandUse.Housing\nCode definition rephrased: LabourAndEmployment.EmployeeTraining\nCode definition rephrased: LabourAndEmployment.Employment\nCode definition rephrased: LabourAndEmployment.LabourAndEmploymentPolicy\nCode definition rephrased: LabourAndEmployment.Retirement\nCode definition rephrased: LabourAndEmployment.WorkingConditions\nCode definition rephrased: MediaCommunicationAndLanguage.InformationSociety\nCode definition rephrased: MediaCommunicationAndLanguage.LanguageAndLinguistics\nCode definition rephrased: MediaCommunicationAndLanguage.Media\nCode definition rephrased: Politics.ConflictSecurityAndPeace\nCode definition rephrased: Politics.GovernmentPoliticalSystemsAndOrganisations\nCode definition rephrased: Politics.PoliticalBehaviourAndAttitudes\nCode definition rephrased: ScienceAndTechnology.Biotechnology\nCode definition rephrased: ScienceAndTechnology.InformationTechnology\nCode definition rephrased: SocialStratificationAndGroupings.Children\nCode definition rephrased: SocialStratificationAndGroupings.Elderly\nCode definition rephrased: SocialStratificationAndGroupings.Minorities\nCode definition rephrased: SocialStratificationAndGroupings.Youth\nCode definition rephrased: SocialWelfarePolicyAndSystems.SocialWelfarePolicy\nCode definition rephrased: SocietyAndCulture.CulturalAndNationalIdentity\nCode definition rephrased: SocietyAndCulture.LeisureTourismAndSport\nCode definition rephrased: SocietyAndCulture.SocialConditionsAndIndicators\nCode definition rephrased: TradeIndustryAndMarkets.AgricultureAndRuralIndustry\nCode definition rephrased: TransportAndTravel','34 definitions were rephrased for consistency and to make a distinction between topic definitions and their use notes. The changes included revising the actual content of five definitions (see comparison with previous version): Health.SpecificDiseasesDisordersAndMedicalConditions; History; Politics.GovernmentPoliticalSystemsAndOrganisations; SocietyAndCulture.CulturalAndNationalIdentity; SocietyAndCulture.LeisureTourismAndSport',56,'2020-10-06',NULL),(435,'urn:ddi:int.cessda.cv:CessdaPersistentIdentifierTypes:1.0','CESSDA. (2020). CESSDA Persistent Identifier Types (Version 1.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:CessdaPersistentIdentifierTypes:1.0. ',36,'<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\">DDI 3.2</a> \n</div> \n<div>\n  Module Name: reusable \n <br /> \n</div> \n<div>\n Subelement \n <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ManagingAgency.html\">Managing Agency</a> in element \n <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/InternationalIdentifier.html\">InternationalIdentifier</a> \n</div>\n<div>\n <br /> \n</div> \n<div> \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\">DDI 2.5</a> \n</div> \n<div>\n  Element Name: \n <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/IDNo.html\">&nbsp;IDNo</a> \n</div> \n<div>\n  Attribute Name: @Agency \n</div>','Lists the types of persistent identifiers that CESSDA accepts as study level PIDs in its data catalogue.',NULL,435,'SL','en',NULL,NULL,NULL,'CessdaPersistentIdentifierTypes','Note: No other language versions needed. \nCode values are the same that the DataCite relatedIdentifierType uses\nhttps://schema.datacite.org/meta/kernel-4.3/include/datacite-relatedIdentifierType-v4.xsd.','1.0',0,'2020-06-22',NULL,'PUBLISHED','CESSDA Persistent Identifier Types',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes?v=1.0',NULL,'','',76,'2020-09-30',NULL),(450,'urn:ddi:int.cessda.cv:CdcPublisherNames:1.0','CESSDA. (2020). CDC Publisher Names (Version 1.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:CdcPublisherNames:1.0. ',36,NULL,'Names of organisations providing metadata for CESSDA Data Catalogue.',NULL,450,'SL','en',NULL,NULL,NULL,'CdcPublisherNames','Used for the Publisher filter in CDC. No need for other language versions.','1.0',0,'2020-06-22',NULL,'PUBLISHED','CDC Publisher Names',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames?v=1.0',NULL,'','',79,'2020-09-30',NULL),(451,'urn:ddi:int.cessda.cv:CountryNamesAndCodes:1.0','CESSDA. (2020). Country Names and Codes (Version 1.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:CountryNamesAndCodes:1.0. ',72,NULL,'ISO 3166-1 alpha-2 country codes and names.',NULL,451,'SL','en',NULL,'Creative Commons Attribution 4.0 International',1,'CountryNamesAndCodes','Note: This is not a complete list of ISO-3166-1 alpha codes. The purpose is to harmonise country names in CESSDA metadata in English. Do not translate into other languages.','1.0',0,'2020-11-04',NULL,'PUBLISHED','Country Names and Codes',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes?v=1.0',NULL,NULL,NULL,80,'2020-11-04',NULL),(452,'urn:ddi:int.ddi.cv:ModeOfCollection:4.0','DDI Alliance. (2020). Mode Of Collection (Version 4.0) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:4.0. ',49,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','The procedure, technique, or mode of inquiry used to attain the data.','',325,'SL','en',NULL,'Creative Commons Attribution 4.0 International',1,'ModeOfCollection','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','4.0',325,'2020-11-04',NULL,'PUBLISHED','Mode Of Collection',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,'<p>Code added: Recording.RemoteSensing</p><p>Code added: AutomatedDataExtraction</p><p>Code added: AutomatedDataExtraction.ApiQuery</p><p>Code added: AutomatedDataExtraction.DatabaseQuery</p><p>Code added: AutomatedDataExtraction.WebScraping</p><p>Code definition rephrased: Compilation/Synthesis</p>',NULL,72,'2020-11-04',NULL),(454,'urn:ddi:int.cessda.cv:CdcPublisherNames:2.0','CESSDA. (2020). CDC Publisher Names (Version 2.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:CdcPublisherNames:2.0. ',36,NULL,'Names of organisations providing metadata for CESSDA Data Catalogue.','',450,'SL','en',NULL,NULL,NULL,'CdcPublisherNames','Used for the Publisher filter in CDC. No need for other language versions.','2.0',450,'2020-07-08',NULL,'PUBLISHED','CDC Publisher Names',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames?v=2.0',NULL,'Code added: SODA\nCode added: FORS\n','',79,'2020-09-30',NULL),(455,'urn:ddi:int.cessda.cv:CdcPublisherNames:3.0','CESSDA. (2020). CDC Publisher Names (Version 3.0) [Controlled vocabulary]. urn:ddi:int.cessda.cv:CdcPublisherNames:3.0. ',36,NULL,'Names of organisations providing metadata for CESSDA Data Catalogue.','',450,'SL','en',NULL,NULL,NULL,'CdcPublisherNames','Used for the Publisher filter in CDC. No need for other language versions.','3.0',454,'2020-07-23',NULL,'PUBLISHED','CDC Publisher Names',NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames?v=3.0',NULL,'Code value changed: SODA changed into SODHA\nCode descriptive term rephrased: SODA changed into Social Sciences and Digital Humanities Archive (SODHA)\n','Organisation official name change.',79,'2020-09-30',NULL),(456,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','En typology over hovedtemaer eller emner af data.',NULL,295,'TL','da',NULL,NULL,1,'TopicClassification',NULL,'4.1.1',361,NULL,NULL,'DRAFT','CESSDA Emne Klassifikation','Danish National Archives (DNA)','https://www.sa.dk',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,NULL,NULL),(457,'urn:ddi:int.cessda.cv:TopicClassification:4.1','CESSDA. (2020). TopicClassification[CESSDA Themenklassifikation] (Version 4.1.1) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.1.1. ',33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Thematische Klassifikation für Daten',NULL,259,'TL','de',NULL,'Creative Commons Attribution 4.0 International',1,'TopicClassification',NULL,'4.1.1',362,'2020-11-25',NULL,'PUBLISHED','CESSDA Themenklassifikation','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1','Code definition rephrased: Demography.MorbidityAndMortality<br/>Code definition rephrased: Economics.EconomicConditionsAndIndicators<br/>Code definition rephrased: Economics.EconomicSystemsAndDevelopment<br/>Code definition rephrased: Economics.IncomePropertyAndInvestmentSaving<br/>Code definition rephrased: Education.EducationalPolicy<br/>Code definition rephrased: Health.HealthCareServicesAndPolicies<br/>Code definition rephrased: Health.WoundsAndInjuries<br/>Code definition rephrased: History<br/>Code definition rephrased: LabourAndEmployment.EmployeeTraining<br/>Code definition rephrased: LabourAndEmployment.Employment<br/>Code definition rephrased: LabourAndEmployment.LabourAndEmploymentPolicy<br/>Code definition rephrased: LabourAndEmployment.WorkingConditions<br/>Code definition rephrased: MediaCommunicationAndLanguage.InformationSociety<br/>Code definition rephrased: MediaCommunicationAndLanguage.Media<br/>Code definition rephrased: Politics.ConflictSecurityAndPeace<br/>Code definition rephrased: Politics.GovernmentPoliticalSystemsAndOrganisations<br/>Code definition rephrased: Politics.PoliticalBehaviourAndAttitudes<br/>Code definition rephrased: ScienceAndTechnology.Biotechnology<br/>Code definition rephrased: ScienceAndTechnology.InformationTechnology<br/>Code definition rephrased: SocialStratificationAndGroupings.Children<br/>Code definition rephrased: SocialStratificationAndGroupings.Elderly<br/>Code definition rephrased: SocialStratificationAndGroupings.Minorities<br/>Code definition rephrased: SocialStratificationAndGroupings.Youth<br/>Code definition rephrased: SocialWelfarePolicyAndSystems.SocialWelfarePolicy<br/>Code definition rephrased: SocietyAndCulture.CulturalAndNationalIdentity<br/>Code definition rephrased: SocietyAndCulture.LeisureTourismAndSport<br/>Code definition rephrased: SocietyAndCulture.SocialConditionsAndIndicators<br/>Code definition rephrased: TradeIndustryAndMarkets.AgricultureAndRuralIndustry<br/>Code definition rephrased: TransportAndTravel','<p>29 definitions were rephrased according to the rephrasings in the source language (5 more definitions that needed change in the source language did not need change in the target language). The changes included revising the actual content of five definitions (see comparison with previous version): Health.SpecificDiseasesDisordersAndMedicalConditions; History; Politics.GovernmentPoliticalSystemsAndOrganisations; SocietyAndCulture.CulturalAndNationalIdentity; SocietyAndCulture.LeisureTourismAndSport</p>',56,'2020-11-25',NULL),(458,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Aineiston pääasiallisten aiheiden luokittelu.',NULL,258,'TL','fi',NULL,NULL,1,'TopicClassification','Pääluokkia käytetään vain silloin, kun sopivaa alatermiä ei ole. Yhtä aineistoa voidaan kuvailla useammalla kuin yhdellä termillä.','4.1.1',429,NULL,NULL,'DRAFT','CESSDAn aihepiiriluokitus','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,NULL,NULL),(459,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Une typologie des thèmes principaux ou des sujets des données',NULL,400,'TL','fr',NULL,NULL,1,'TopicClassification',NULL,'4.1.1',426,NULL,NULL,'DRAFT','Nomenclature CESSDA des thématiques',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,NULL,NULL),(460,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Tipologia dei temi o argomenti principali trattati dai dati',NULL,320,'TL','it',NULL,NULL,1,'TopicClassification','Per classificare un dataset è possibile utilizzare più di un argomento. Il termine più generale di un argomento (in lettere maiuscole) dovrebbe essere utilizzato solo se quelli più specifici non sono pertinenti.','4.1.1',364,NULL,NULL,'REVIEW','Classificazione CESSDA degli argomenti','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,'2020-11-30',NULL),(461,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','En typologi av hovedtemaer eller -emner for data.',NULL,262,'TL','no',NULL,NULL,1,'TopicClassification','','4.1.1',365,NULL,NULL,'DRAFT','CESSDA Emneklassifisering','NSD','https://nsd.no/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,NULL,NULL),(462,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a> </p>','Tipologia (classificação por tópicos) dos principais temas dos dados.',NULL,370,'TL','pt',NULL,NULL,1,'TopicClassification',NULL,'4.1.1',370,NULL,NULL,'REVIEW','Classificação dos temas (CESSDA)','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,'2020-11-08',NULL),(463,'urn:ddi:int.cessda.cv:TopicClassification:4.1','CESSDA. (2020). TopicClassification[Vsebinska področja CESSDA] (Version 4.1.1) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.1.1. ',33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Tipologija glavnih vsebinskih področij raziskav.',NULL,NULL,'TL','sl',NULL,'Creative Commons Attribution 4.0 International',1,'TopicClassification',NULL,'4.1.1',NULL,'2020-11-09',NULL,'PUBLISHED','Vsebinska področja CESSDA','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,'2020-11-09',NULL),(464,NULL,NULL,33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable </p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','Tipologija glavnih oblasti ili tema na koje se podaci odnose.',NULL,403,'TL','sr',NULL,NULL,1,'TopicClassification',NULL,'4.1.1',403,NULL,NULL,'DRAFT','Tematske oblasti CESSDA','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com',NULL,'https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1',NULL,NULL,56,NULL,NULL),(465,'urn:ddi:int.cessda.cv:TopicClassification:4.1','CESSDA. (2020). TopicClassification[CESSDA Ämnesklassificering] (Version 4.1.1) [Controlled vocabulary]. urn:ddi:int.cessda.cv:TopicClassification:4.1.1. ',33,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\">Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/Subject.html\" rel=\"noopener noreferrer\" target=\"_blank\"> Subject</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/topcClas.html\" rel=\"noopener noreferrer\" target=\"_blank\">topcClas</a></p>','En typologi för större teman eller ämneskategorier för data.',NULL,260,'TL','sv',NULL,'Creative Commons Attribution 4.0 International',1,'TopicClassification',NULL,'4.1.1',367,'2020-11-08',NULL,'PUBLISHED','CESSDA Ämnesklassificering','Swedish National Data Service (SND)','https://snd.gu.se/','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1.1','https://vocabularies.cessda.eu/vocabulary/TopicClassification?v=4.1','<p>Code definition rephrased: Morbiditet och mortalitet, NSC.</p><p>Code definition rephrased: Konsumtion och konsumentbeteende, NSC.</p><p>Code definition rephrased: Ekonomiska förhållanden och indikatorer, NSC. </p><p>Code definition rephrased: Ekonomiska system och ekonomisk utveckling, NSC.</p><p>Code definition rephrased: Inkomster, egendom och investeringar/sparande, NSC.</p><p>Code definition rephrased: Obligatorisk utbildning och förskoleutbildning, NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: HousingAndLandUse.Housing, NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: Politics.GovernmentPoliticalSystemsAndOrganisations, NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: Translation updated according to updated TL, NSC..</p><p>Code definition rephrased: History, NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: NSC.</p><p>Code definition rephrased: Changed code definition to correspond with TL code definition. NSC.</p><p>Code definition rephrased: Removed \"religiös diskriminering\" from the code description translation to correspond with SL code definition. NSC.</p>','<p>Minor Code definitions rephrased without meaning change. NSC.</p>',56,'2020-11-08',NULL),(483,'urn:ddi:int.ddi.cv:AnalysisUnit:2.1','DDI Alliance. (2020). Analysis Unit (Version 2.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"https://ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/anlyUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute name: <a href=\"https://ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/anlysUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Describes the entity being analyzed in the study or variable. This vocabulary can also be used to describe the unit of observation, which is the unit being observed, or from which data are collected. The unit of observation can be the same as, or different from the unit of analysis. ',NULL,206,'SL','en',NULL,'Creative Commons Attribution 4.0 International',1,'AnalysisUnit','This vocabulary was first published by the DDI Alliance. Please see: https://ddialliance.org/controlled-vocabularies/all.','2.1',359,'2020-10-29',NULL,'PUBLISHED','Analysis Unit',NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,'CV definition rephrased: AnalysisUnit',NULL,47,'2020-10-29',NULL),(484,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Beskriver den enhed, som observeres eller analyseres i studiet eller i variablen.',NULL,217,'TL','da',NULL,NULL,1,'AnalysisUnit',NULL,'2.1.1',390,NULL,NULL,'DRAFT','Analyseenhed','Danish National Archives (DNA)','https://www.sa.dk',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL),(485,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Beschreibt die Entität, die in der Studie oder in der Variable analysiert wird.',NULL,NULL,'TL','de',NULL,NULL,1,'AnalysisUnit',NULL,'2.1.1',NULL,NULL,NULL,'DRAFT','Analyseeinheit','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org/',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL),(486,'urn:ddi:int.ddi.cv:AnalysisUnit:2.1','DDI Alliance. (2020). AnalysisUnit[Havainto/aineistoyksikkötyyppi] (Version 2.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.1.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Määrittelee yksikön, jota tutkimuksessa/muuttujassa analysoidaan. Sanastoa voidaan käyttää myös määrittelemään havaintoyksikkö, jota tutkimuksessa havannoidaan tai josta aineistoa kerätään. Havaintoyksikkö voi olla sama tai eri kuin analyysiyksikkö.\n',NULL,208,'TL','fi',NULL,'Creative Commons Attribution 4.0 International',1,'AnalysisUnit','','2.1.1',427,'2020-11-08',NULL,'PUBLISHED','Havainto/aineistoyksikkötyyppi','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html','CV definition rephrased: AnalysisUnit',NULL,47,'2020-11-08',NULL),(487,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Décrit l\'entité analysée dans l\'étude ou dans la variable.',NULL,394,'TL','fr',NULL,NULL,1,'AnalysisUnit',NULL,'2.1.1',422,NULL,NULL,'DRAFT','Unité d\'analyse',' Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL),(488,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Descrive l\'entità analizzata nello studio o nella variabile. Questo vocabolario può essere usato anche per descrivere l\'unità di raccolta, che è l\'unità che viene osservata, o sulla base della quale vengono raccolti i dati. L\'unità di raccolta può coincidere con l\'unità di analisi oppure può essere differente.',NULL,425,'TL','it',NULL,NULL,1,'AnalysisUnit','','2.1.1',425,NULL,NULL,'REVIEW','Unità di analisi','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,'2020-11-12',NULL),(489,'urn:ddi:int.ddi.cv:AnalysisUnit:2.1','DDI Alliance. (2020). AnalysisUnit[Analyseenhet] (Version 2.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.1.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Beskrivelse av enhet som blir analysert i studien eller i variablene. Dette vokabularet kan også bli brukt for å beskrive observasjonsenheten, som er enheten som blir observert, eller enheten data er samlet inn fra. Observasjonsenhten kan være det samme eller forskjellig fra analyseenheten.',NULL,216,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'AnalysisUnit',NULL,'2.1.1',386,'2020-12-06',NULL,'PUBLISHED','Analyseenhet','NSD - Norwegian Centre for Research Data','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html','CV definition rephrased: AnalysisUnit',NULL,47,'2020-12-06',NULL),(490,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Descreve a entidade que está a ser observada ou analisada no estudo ou na variável.',NULL,391,'TL','pt',NULL,NULL,1,'AnalysisUnit',NULL,'2.1.1',391,NULL,NULL,'REVIEW','Unidade de Análise','Arquivo Português de Informação Social','http://www.apis.ics.ulisboa.pt/',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,'2020-11-08',NULL),(491,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Opisuje enoto, ki jo analiziramo v raziskavi ali v spremenljivki.',NULL,NULL,'TL','sl',NULL,NULL,1,'AnalysisUnit',NULL,'2.1.1',NULL,NULL,NULL,'DRAFT','Enota analize','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL),(492,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Opisuje entitet koji se posmatra ili analizira u studiji ili u promenljivoj (varijabli).',NULL,408,'TL','sr',NULL,NULL,1,'AnalysisUnit','Ovaj rečnik prvi put je objavio DDI Alliance. Molimo pogledajte: https://ddialliance.org/control-vocabularies/all','2.1.1',408,NULL,NULL,'DRAFT','Jedinica analize','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL),(493,'urn:ddi:int.ddi.cv:AnalysisUnit:2.1','DDI Alliance. (2020). AnalysisUnit[Analysenhet] (Version 2.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AnalysisUnit:2.1.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Beskriver den enhet som analyseras i studien eller i variabeln. Den här vokabulären kan även användas för att beskriva undersökningsenhet, som är den enhet som undersöks eller observeras, eller som data samlas in från. Undersökningsenheten kan vara densamma som eller åtskild från analysenheten. ',NULL,214,'TL','sv',NULL,'Creative Commons Attribution 4.0 International',1,'AnalysisUnit',NULL,'2.1.1',388,'2020-11-05',NULL,'PUBLISHED','Analysenhet','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.1.html','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html','CV definition amended with meaning change: AnalysisUnit<br/>CV definition rephrased: Translation of changed CV definition.<br/>Code definition rephrased: Small changes to the code definition translation.<br/>Code definition rephrased: Small changes to the code definition translation.<br/>Code definition rephrased: Small correction to the translation.<br/>Code definition rephrased: Grammatical error corrected.<br/>Code definition rephrased: Minor grammatical corrections.<br/>Code definition rephrased: Corrected spelling error.<br/>Code definition rephrased: Small review<br/>Code definition rephrased: Review for verbal consistency.<br/>Code definition rephrased: <br/>Code definition rephrased: Rephrased for better consistency.<br/>Code definition rephrased: ','<p>Updated CV description translation in line with the change in source language CV description. Minor revisions of code definitions.</p>',47,'2020-11-05',NULL),(494,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','Fremgangsmåden, teknikken eller undersøgelsesmetoden, der er anvendt til at opnå dataene.',NULL,326,'TL','da',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',326,NULL,NULL,'DRAFT','Indsamlingsmetode','Danish National Archives (DNA)','https://www.sa.dk',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,NULL,NULL),(495,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.6</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a> </p>','Prozedur, Technik oder Art der Erhebung, die verwendet wurde, um Daten zu bekommen.',NULL,NULL,'TL','de',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',NULL,NULL,NULL,'DRAFT','Erhebungsmodus','GESIS - Leibniz Institute for the Social Sciences','https://www.gesis.org',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,NULL,NULL),(496,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.6</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a> </p>','Kuvailtavan aineiston ensisijainen keruumenetelmä.',NULL,328,'TL','fi',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',328,NULL,NULL,'REVIEW','Keruumenetelmä','Finnish Social Science Data Archive (FSD)','https://www.fsd.uta.fi/en/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,'2020-12-09',NULL),(497,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','La procédure, la technique ou le mode d\'enquête utilisé pour obtenir les données.',NULL,371,'TL','fr',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',397,NULL,NULL,'DRAFT','Mode de collecte','Sciences Po, Centre de données socio-politiques (CDSP), PROGEDO, CNRS, Paris, France','https://cdsp.sciences-po.fr/fr/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,NULL,NULL),(498,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.6</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a> </p>','La procedura, la tecnica o la modalità di indagine utilizzata per ottenere i dati.',NULL,341,'TL','it',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',341,NULL,NULL,'REVIEW','Metodo di raccolta dei dati','UniData - Bicocca Data Archive','https://www.unidata.unimib.it/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,'2020-11-17',NULL),(499,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','Framgangsmåten, teknikken, eller metoden som er anvendt for å samle inn data.',NULL,329,'TL','no',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',329,NULL,NULL,'REVIEW','Innsamlingsmetode','NSD - Norwegian Centre for Research Data','https://nsd.no/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,'2020-12-07',NULL),(500,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p> Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','Procedimentos, técnicas ou métodos de recolha de dados.',NULL,373,'TL','pt',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',373,NULL,NULL,'REVIEW','Método de recolha de dados','Arquivo Português de Informação Social (APIS)','http://www.apis.ics.ulisboa.pt/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,'2020-11-04',NULL),(501,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p>Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.6</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a> </p>','Postopki, tehnike ali načini raziskovanja, uporabljeni za pridobivanje podatkov.',NULL,330,'TL','sl',NULL,NULL,1,'ModeOfCollection',NULL,'4.0.1',330,NULL,NULL,'DRAFT','Način zbiranja podatkov','Social Science Data Archives (ADP), Slovenia','https://www.adp.fdv.uni-lj.si/',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,NULL,NULL),(502,NULL,NULL,36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a></p>','Postupak, tehnika ili način ispitivanja koji se koristi za dobijanje podataka.',NULL,424,'TL','sr',NULL,NULL,1,'ModeOfCollection','Ovaj vokabular prvi put je objavio DDI Alliance. Molimo pogledajte: https://ddialliance.org/control-vocabularies/all.','4.0.1',424,NULL,NULL,'DRAFT','Način prikupljanja','Data Centre Serbia for Social Sciences (DCS)','http://datacentarserbia.com',NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html',NULL,NULL,72,NULL,NULL),(503,'urn:ddi:int.ddi.cv:ModeOfCollection:4.0','DDI Alliance. (2020). ModeOfCollection[Insamlingsmetod] (Version 4.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ModeOfCollection:4.0.1. ',36,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: datacollection</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfPretestCollectionMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfPretestCollectionMode</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a> </p><p>Module Name: datacollection</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/datacollection_xsd/elements/TypeOfModeOfCollection.html\" rel=\"noopener noreferrer\" target=\"_blank\">TypeOfModeOfCollection</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element Number in DDI 2.1: 2.3.1.6</p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/collMode.html\" rel=\"noopener noreferrer\" target=\"_blank\">collMode</a> </p>','Den process, metod eller teknik som användes för att samla in data.',NULL,331,'TL','sv',NULL,'Creative Commons Attribution 4.0 International',1,'ModeOfCollection',NULL,'4.0.1',331,'2020-11-11',NULL,'PUBLISHED','Insamlingsmetod','Swedish National Data Service (SND)','https://snd.gu.se','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.1.html','https://ddialliance.org/Specification/DDI-CV/ModeOfCollection_4.0.html','<p>Code definition rephrased: Interview - Code defintion rephrased without meaning change, NSC.</p><p>Code definition rephrased: SelfAdministeredQuestionnaire Code definition rephrased to better correspond to source language. NSC.</p><p>Code definition rephrased: SelfAdministeredQuestionnaire.Email - Code definition rephrased for consistency in translation. NSC. </p><p>Code descriptive term rephrased: Observation.ComputerBased - Code descriptive term rephrased due to spelling error. NSC</p><p>Code descriptive term rephrased: Observation.ComputerBased - Corrected spelling in code descriptive term. NSC.</p><p>Code translation added: Recording.RemoteSensing</p><p>Code translation added: AutomatedDataExtraction</p><p>Code translation added: AutomatedDataExtraction</p><p>Code translation added: AutomatedDataExtraction.ApiQuery</p><p>Code translation added: AutomatedDataExtraction.DatabaseQuery</p><p>Code translation added: AutomatedDataExtraction.WebScraping</p><p>Code translation added: AutomatedDataExtraction</p><p>Code translation added: AutomatedDataExtraction.ApiQuery</p><p>Code translation added: AutomatedDataExtraction.ApiQuery</p><p>Code translation added: AutomatedDataExtraction.DatabaseQuery</p>','<p>Minor changes of code descriptions.</p><p>New code translations added: Recording.RemoteSensing, AutomatedDataExtraction, AutomatedDataExtraction.ApiQuery, AutomatedDataExtraction.DatabaseQuery, AutomatedDataExtraction.WebScraping.</p>',72,'2020-11-11',NULL),(505,'urn:ddi:int.ddi.cv:AggregationMethod:1.1','DDI Alliance. (2020). AggregationMethod[Aggregeringsmetode] (Version 1.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:AggregationMethod:1.1.1. ',69,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name:&nbsp;&nbsp;&nbsp;reusable</p><p>Element name:&nbsp;&nbsp;<a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AggregationMethod.html\" rel=\"noopener noreferrer\" target=\"_blank\"> AggregationMethod </a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/var.html\" rel=\"noopener noreferrer\" target=\"_blank\">var@otherAggrMeth</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/measure.html\" rel=\"noopener noreferrer\" target=\"_blank\">measure@otherAggrMeth</a></p>','Identifiserer den type aggregering som brukes for å kombinere relaterte kategorier, vanligvis innenfor en felles\ngren av et hierarki, for å gi informasjon på et bredere nivå enn det detaljerte nivået hvor observasjonene er tatt\nfra. (Fra: OECD-ordlisten med statistiske begreper)',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'AggregationMethod',NULL,'1.1.1',NULL,'2020-12-06',NULL,'PUBLISHED','Aggregeringsmetode','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/AggregationMethod_1.1.html',NULL,NULL,57,'2020-12-06',NULL),(506,'urn:ddi:int.ddi.cv:ContributorRole:1.0','DDI Alliance. (2020). ContributorRole[Bidragsyterrolle] (Version 1.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:ContributorRole:1.0.1. ',69,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/ContributorRole.html\" rel=\"noopener noreferrer\" target=\"_blank\">ContributorRole</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>DDI-Codebook (DDI 2.5 and all previous DDI versions) does not include an element or attribute that would support this controlled vocabulary</p>','En klassifikasjon av bidragsyterroller.',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'ContributorRole',NULL,'1.0.1',NULL,'2020-12-06',NULL,'PUBLISHED','Bidragsyterrolle','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/ContributorRole_1.0.html',NULL,NULL,75,'2020-12-06',NULL),(507,'urn:ddi:int.ddi.cv:DataType:1.1','DDI Alliance. (2020). DataType[Data type] (Version 1.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DataType:1.1.1. ',69,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module name: reusable</p><p>Element name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DefaultDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">DefaultDataType</a></p><p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/RecommendedDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">RecommendedDataType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module name: reusable</p><p>Element name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/DefaultDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\"> DefaultDataType</a></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/RecommendedDataType.html\" rel=\"noopener noreferrer\" target=\"_blank\">RecommendedDataType</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/XMLSchema/field_level_documentation_files/schemas/codebook_xsd/elements/varFormat.html\" rel=\"noopener noreferrer\" target=\"_blank\">varFormat@category</a></p>','Identifisering av datatypen som har betydning for akseptable dataverdier, operasjoner som kan bli gjennomført på dataene og hvordan data kan bli lagret.',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'DataType',NULL,'1.1.1',NULL,'2020-12-06',NULL,'PUBLISHED','Data type','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/DataType_1.1.html',NULL,NULL,60,'2020-12-06',NULL),(508,'urn:ddi:int.ddi.cv:DateType:1.1','DDI Alliance. (2020). DateType[Datotype] (Version 1.1.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:DateType:1.1.1. ',69,NULL,'Spesifiserer typen dato.',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'DateType',NULL,'1.1.1',NULL,'2020-12-06',NULL,'PUBLISHED','Datotype','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.1.html','https://ddialliance.org/Specification/DDI-CV/DateType_1.1.html',NULL,NULL,61,'2020-12-06',NULL),(509,'urn:ddi:int.ddi.cv:LanguageProficiency:1.0','DDI Alliance. (2020). LanguageProficiency[Språkferdigheter] (Version 1.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:LanguageProficiency:1.0.1. ',69,NULL,'Beskriver ferdighetene et individ har i et naturlig språk.',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'LanguageProficiency',NULL,'1.0.1',NULL,'2020-12-06',NULL,'PUBLISHED','Språkferdigheter','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/LanguageProficiency_1.0.html',NULL,NULL,62,'2020-12-06',NULL),(510,'urn:ddi:int.ddi.cv:LifecycleEventType:1.0','DDI Alliance. (2020). LifecycleEventType[Livssyklus hendelsestype] (Version 1.0.1) [Controlled vocabulary]. CESSDA. urn:ddi:int.ddi.cv:LifecycleEventType:1.0.1. ',69,NULL,'Spesifiserer hendelser som skjer i data livssyklusen som anses som signifikante nok til å bli dokumentert.',NULL,NULL,'TL','no',NULL,'Creative Commons Attribution 4.0 International',1,'LifecycleEventType',NULL,'1.0.1',NULL,'2020-12-07',NULL,'PUBLISHED','Livssyklus hendelsestype','NSD','https://nsd.no','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.1.html','https://ddialliance.org/Specification/DDI-CV/LifecycleEventType_1.0.html',NULL,NULL,63,'2020-12-07',NULL),(511,NULL,NULL,82,'<p><a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI3.3</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"https://ddialliance.org/Specification/DDI-Lifecycle/3.3/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 3.2</a></p><p>Module Name: reusable</p><p>Element Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Lifecycle/3.2/XMLSchema/FieldLevelDocumentation/schemas/reusable_xsd/elements/AnalysisUnit.html\" rel=\"noopener noreferrer\" target=\"_blank\">AnalysisUnit</a></p><p><br></p><p><a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.5/\" rel=\"noopener noreferrer\" target=\"_blank\">DDI 2.5</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlyUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlyUnit@unit</a></p><p>Element/Attribute Name: <a href=\"http://www.ddialliance.org/Specification/DDI-Codebook/2.1/DTD/Documentation/anlysUnitType.html\" rel=\"noopener noreferrer\" target=\"_blank\">anlysUnit</a></p>','Beskriver den enhet som analyseras i studien eller i variabeln. Den här vokabulären kan även användas för att beskriva undersökningsenhet, som är den enhet som undersöks eller observeras, eller som data samlas in från. Undersökningsenheten kan vara densamma som eller åtskild från analysenheten.',NULL,214,'TL','sv',NULL,'Creative Commons Attribution 4.0 International',1,'AnalysisUnit',NULL,'2.1.2',493,NULL,NULL,'DRAFT','Analysenhet','Swedish National Data Service (SND)','https://snd.gu.se',NULL,'https://ddialliance.org/Specification/DDI-CV/AnalysisUnit_2.1.html',NULL,NULL,47,NULL,NULL);
/*!40000 ALTER TABLE `version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vocabulary`
--

DROP TABLE IF EXISTS `vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vocabulary` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `agency_id` bigint(20) NOT NULL,
  `agency_logo` varchar(255) DEFAULT NULL,
  `agency_name` varchar(255) NOT NULL,
  `archived` bit(1) DEFAULT NULL,
  `definition_bg` longtext,
  `definition_bs` longtext,
  `definition_cs` longtext,
  `definition_da` longtext,
  `definition_de` longtext,
  `definition_el` longtext,
  `definition_en` longtext,
  `definition_es` longtext,
  `definition_et` longtext,
  `definition_fi` longtext,
  `definition_fr` longtext,
  `definition_hr` longtext,
  `definition_hu` longtext,
  `definition_it` longtext,
  `definition_ja` longtext,
  `definition_lt` longtext,
  `definition_mk` longtext,
  `definition_nl` longtext,
  `definition_no` longtext,
  `definition_pl` longtext,
  `definition_pt` longtext,
  `definition_ro` longtext,
  `definition_ru` longtext,
  `definition_sk` longtext,
  `definition_sl` longtext,
  `definition_sq` longtext,
  `definition_sr` longtext,
  `definition_sv` longtext,
  `discoverable` bit(1) DEFAULT NULL,
  `initial_publication` bigint(20) DEFAULT NULL,
  `last_modified` datetime(6) DEFAULT NULL,
  `notation` varchar(240) NOT NULL,
  `notes` longtext,
  `previous_publication` bigint(20) DEFAULT NULL,
  `publication_date` date DEFAULT NULL,
  `source_language` varchar(20) NOT NULL,
  `status` varchar(20) NOT NULL,
  `title_bg` longtext,
  `title_bs` longtext,
  `title_cs` longtext,
  `title_da` longtext,
  `title_de` longtext,
  `title_el` longtext,
  `title_en` longtext,
  `title_es` longtext,
  `title_et` longtext,
  `title_fi` longtext,
  `title_fr` longtext,
  `title_hr` longtext,
  `title_hu` longtext,
  `title_it` longtext,
  `title_ja` longtext,
  `title_lt` longtext,
  `title_mk` longtext,
  `title_nl` longtext,
  `title_no` longtext,
  `title_pl` longtext,
  `title_pt` longtext,
  `title_ro` longtext,
  `title_ru` longtext,
  `title_sk` longtext,
  `title_sl` longtext,
  `title_sq` longtext,
  `title_sr` longtext,
  `title_sv` longtext,
  `uri` varchar(240) DEFAULT NULL,
  `version_bg` varchar(20) DEFAULT NULL,
  `version_bs` varchar(20) DEFAULT NULL,
  `version_cs` varchar(20) DEFAULT NULL,
  `version_da` varchar(20) DEFAULT NULL,
  `version_de` varchar(20) DEFAULT NULL,
  `version_el` varchar(20) DEFAULT NULL,
  `version_en` varchar(20) DEFAULT NULL,
  `version_es` varchar(20) DEFAULT NULL,
  `version_et` varchar(20) DEFAULT NULL,
  `version_fi` varchar(20) DEFAULT NULL,
  `version_fr` varchar(20) DEFAULT NULL,
  `version_hr` varchar(20) DEFAULT NULL,
  `version_hu` varchar(20) DEFAULT NULL,
  `version_it` varchar(20) DEFAULT NULL,
  `version_ja` varchar(20) DEFAULT NULL,
  `version_lt` varchar(20) DEFAULT NULL,
  `version_mk` varchar(20) DEFAULT NULL,
  `version_nl` varchar(20) DEFAULT NULL,
  `version_no` varchar(20) DEFAULT NULL,
  `version_number` varchar(20) NOT NULL,
  `version_pl` varchar(20) DEFAULT NULL,
  `version_pt` varchar(20) DEFAULT NULL,
  `version_ro` varchar(20) DEFAULT NULL,
  `version_ru` varchar(20) DEFAULT NULL,
  `version_sk` varchar(20) DEFAULT NULL,
  `version_sl` varchar(20) DEFAULT NULL,
  `version_sq` varchar(20) DEFAULT NULL,
  `version_sr` varchar(20) DEFAULT NULL,
  `version_sv` varchar(20) DEFAULT NULL,
  `withdrawn` bit(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vocabulary`
--

LOCK TABLES `vocabulary` WRITE;
/*!40000 ALTER TABLE `vocabulary` DISABLE KEYS */;
INSERT  IGNORE INTO `vocabulary` (`id`, `agency_id`, `agency_logo`, `agency_name`, `archived`, `definition_bg`, `definition_bs`, `definition_cs`, `definition_da`, `definition_de`, `definition_el`, `definition_en`, `definition_es`, `definition_et`, `definition_fi`, `definition_fr`, `definition_hr`, `definition_hu`, `definition_it`, `definition_ja`, `definition_lt`, `definition_mk`, `definition_nl`, `definition_no`, `definition_pl`, `definition_pt`, `definition_ro`, `definition_ru`, `definition_sk`, `definition_sl`, `definition_sq`, `definition_sr`, `definition_sv`, `discoverable`, `initial_publication`, `last_modified`, `notation`, `notes`, `previous_publication`, `publication_date`, `source_language`, `status`, `title_bg`, `title_bs`, `title_cs`, `title_da`, `title_de`, `title_el`, `title_en`, `title_es`, `title_et`, `title_fi`, `title_fr`, `title_hr`, `title_hu`, `title_it`, `title_ja`, `title_lt`, `title_mk`, `title_nl`, `title_no`, `title_pl`, `title_pt`, `title_ro`, `title_ru`, `title_sk`, `title_sl`, `title_sq`, `title_sr`, `title_sv`, `uri`, `version_bg`, `version_bs`, `version_cs`, `version_da`, `version_de`, `version_el`, `version_en`, `version_es`, `version_et`, `version_fi`, `version_fr`, `version_hr`, `version_hu`, `version_it`, `version_ja`, `version_lt`, `version_mk`, `version_nl`, `version_no`, `version_number`, `version_pl`, `version_pt`, `version_ro`, `version_ru`, `version_sk`, `version_sl`, `version_sq`, `version_sr`, `version_sv`, `withdrawn`) VALUES (47,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Beskriver den enhed, som observeres eller analyseres i studiet eller i variablen.','Beschreibt die Entität, die in der Studie oder in der Variable analysiert wird.',NULL,'Describes the entity being analyzed in the study or variable. This vocabulary can also be used to describe the unit of observation, which is the unit being observed, or from which data are collected. The unit of observation can be the same as, or different from the unit of analysis. ',NULL,NULL,'Määrittelee yksikön, jota tutkimuksessa/muuttujassa analysoidaan. Sanastoa voidaan käyttää myös määrittelemään havaintoyksikkö, jota tutkimuksessa havannoidaan tai josta aineistoa kerätään. Havaintoyksikkö voi olla sama tai eri kuin analyysiyksikkö.\n','Décrit l\'entité analysée dans l\'étude ou dans la variable.',NULL,NULL,'Descrive l\'entità analizzata nello studio o nella variabile. Questo vocabolario può essere usato anche per descrivere l\'unità di raccolta, che è l\'unità che viene osservata, o sulla base della quale vengono raccolti i dati. L\'unità di raccolta può coincidere con l\'unità di analisi oppure può essere differente.',NULL,NULL,NULL,NULL,'Beskrivelse av enhet som blir analysert i studien eller i variablene. Dette vokabularet kan også bli brukt for å beskrive observasjonsenheten, som er enheten som blir observert, eller enheten data er samlet inn fra. Observasjonsenhten kan være det samme eller forskjellig fra analyseenheten.',NULL,'Descreve a entidade que está a ser observada ou analisada no estudo ou na variável.',NULL,NULL,NULL,'Opisuje enoto, ki jo analiziramo v raziskavi ali v spremenljivki.',NULL,'Opisuje entitet koji se posmatra ili analizira u studiji ili u promenljivoj (varijabli).','Beskriver den enhet som analyseras i studien eller i variabeln. Den här vokabulären kan även användas för att beskriva undersökningsenhet, som är den enhet som undersöks eller observeras, eller som data samlas in från. Undersökningsenheten kan vara densamma som eller åtskild från analysenheten.',_binary '\0',NULL,NULL,'AnalysisUnit',NULL,NULL,'2020-10-29','en','PUBLISHED',NULL,NULL,NULL,'Analyseenhed','Analyseeinheit',NULL,'Analysis Unit',NULL,NULL,'Havainto/aineistoyksikkötyyppi','Unité d\'analyse',NULL,NULL,'Unità di analisi',NULL,NULL,NULL,NULL,'Analyseenhet',NULL,'Unidade de Análise',NULL,NULL,NULL,'Enota analize',NULL,'Jedinica analize','Analysenhet','https://ddialliance.org/Specification/DDI-CV/AnalysisUnit',NULL,NULL,NULL,'2.0.1','2.0.1_DRAFT',NULL,'2.1',NULL,NULL,'2.1.1','2.0.2',NULL,NULL,'2.1.1',NULL,NULL,NULL,NULL,'2.1.1','2.1',NULL,'2.0.1',NULL,NULL,NULL,'2.0.1_DRAFT',NULL,'2.0.1','2.1.2',_binary '\0'),(48,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Beskriver de(t) fysiske format(er) af den data, der er dokumenteret i de(t) logiske produkt(er) i en studieenhed.','Beschreibt das Format der Daten, die in den logischen Produkten einer Studie dokumentiert sind.',NULL,'Describes the physical format(s) of the data documented in the logical product(s) of a study unit.',NULL,NULL,'Formaatti, jossa aineisto luovutetaan käyttäjille.','Décrit le(s) format(s) physique des données documentées dans la description des différentes parties de la description de l\'étude',NULL,NULL,'Descrive il formato fisico dei dati documentati nello studio.',NULL,NULL,NULL,NULL,'Beskriver fysisk(-e) format for de data som dokumenteres i en studieenhets logiske produkt(-er).',NULL,'Descreve o(s) formato(s) físico(s) dos dados documentados nos resultados dum estudo.',NULL,NULL,NULL,'Opisuje fizični format_e dokumentiranih podatkov v logičnem sosledju raziskovalne enote.',NULL,'Opisuje fizički format(e) podataka koji su dokumentovani u logičkim proizvodima jedinice studije.','Beskriver fysiskt/-a format för de data som dokumenteras i en studieenhets logiska produkt/-er.',_binary '\0',NULL,NULL,'GeneralDataFormat','',NULL,'2019-03-30','en','REVIEW',NULL,NULL,NULL,'Generelt dataformat','Art des Datenformats',NULL,'General Data Format',NULL,NULL,'Aineiston formaatti','Format général des données',NULL,NULL,'Formato generale dei dati',NULL,NULL,NULL,NULL,'Type dataformat',NULL,'Formato dos dados',NULL,NULL,NULL,'Format (Vrsta podatkov)',NULL,'Format (Vrste podataka)','Typ av dataformat','https://ddialliance.org/Specification/DDI-CV/GeneralDataFormat',NULL,NULL,NULL,'2.0.2','2.0.1',NULL,'2.0',NULL,NULL,'2.0.1','2.0.1',NULL,NULL,'2.0.1',NULL,NULL,NULL,NULL,'2.0.1','2.0',NULL,'2.0.1',NULL,NULL,NULL,'2.0.1',NULL,'2.0.1','2.0.1',_binary '\0'),(52,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Indeholder en typologi af dataindsamlingsinstrumenter.','Enthält eine Typologie der Erhebungsintrumente.',NULL,'Includes a typology of data collection instruments.',NULL,NULL,'Tyyppiluokittelu tutkimusaineiston muodostamisessa käytetyille keruuvälineille, -ohjeistuksille tai -suunnitelmille.','Inclut une typologie des instruments de collecte de données',NULL,NULL,'Include una tipologia di strumenti per la raccolta dei dati.',NULL,NULL,NULL,NULL,'Inneholder en typologi av ulike instrumenter for datainnsamling.',NULL,'Inclui uma tipologia de instrumentos de recolha de dados.',NULL,NULL,NULL,'Vključuje razvrstitev instrumentov za zbiranje podatkov.',NULL,'Sadrži tipologiju instrumenata za prikupljanje podataka.','Innehåller en typologi av olika instrument för datainsamling.',_binary '\0',NULL,NULL,'TypeOfInstrument','',NULL,'2019-04-04','en','PUBLISHED',NULL,NULL,NULL,'Instrumenttype','Art des Erhebungsinstruments',NULL,'Type of Instrument',NULL,NULL,'Keruuväline','Type d\'instrument',NULL,NULL,'Tipo di Strumento',NULL,NULL,NULL,NULL,'Type instrument',NULL,'Tipo de instrumento de recolha de dados',NULL,NULL,NULL,'Vrste instrumentov',NULL,'Vrsta Instrumenta','Typ av instrument','https://ddialliance.org/Specification/DDI-CV/TypeOfInstrument',NULL,NULL,NULL,'1.1.1','1.1.1',NULL,'1.1',NULL,NULL,'1.1.1','1.1.1',NULL,NULL,'1.1.1',NULL,NULL,NULL,NULL,'1.1.1','1.1',NULL,'1.1.1',NULL,NULL,NULL,'1.1.1',NULL,'1.1.1','1.1.1',_binary '\0'),(53,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Indeholder en typologi af datakilder.','Enthält eine Typologie von Datenquellen.',NULL,'Includes a typology of data sources.',NULL,NULL,'Aineiston alkuperän tyyppi.',NULL,NULL,NULL,'Include una tipologia delle fonti dei dati.',NULL,NULL,NULL,NULL,'Inneholder en typologi av datakilder.',NULL,'Inclui uma tipologia de fontes de dados.',NULL,NULL,NULL,'Vključuje razvrstitev podatkovnih virov.',NULL,'Sadrži tipove izvora podataka.','Innehåller en typologi av datakällor.',_binary '\0',NULL,NULL,'DataSourceType','',NULL,'2019-05-07','en','PUBLISHED',NULL,NULL,NULL,'Type af datakilde','Art der Datenquelle',NULL,'Data Source Type',NULL,NULL,'Aineiston alkuperä',NULL,NULL,NULL,'Tipo di fonte dei dati',NULL,NULL,NULL,NULL,'Type av datakilde',NULL,'Tipo de fonte de dados',NULL,NULL,NULL,'Vrste podatkovnih virov',NULL,'Vrste izvora podataka','Typ av datakälla','https://ddialliance.org/Specification/DDI-CV/DataSourceType',NULL,NULL,NULL,'1.0.1','1.0.1',NULL,'1.0',NULL,NULL,'1.0.1',NULL,NULL,NULL,'1.0.1',NULL,NULL,NULL,NULL,'1.0.1','1.0',NULL,'1.0.1',NULL,NULL,NULL,'1.0.1',NULL,'1.0.1','1.0.1',_binary '\0'),(54,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Specificerer typen af sammenfattende statistik. Sammenfattende statistik er en repræsentation af et sæt af værdiers karakteristika ved hjælp af et enkelt tal.','Gibt die Art der zusammenfassenden Statistik an. Das sind statistische Parameter, die einen bestimmten Satz von Werten beschreiben.',NULL,'Specifies the type of summary statistic. Summary statistics are a single number representation of the characteristics of a set of values.',NULL,NULL,'Tilastolliset tunnusluvut kuvaavat tietyn arvojoukon, esimerkiksi otoksen havaintojen sisältämää informaatiota. Usein tunnusluvut ovat nimensä mukaisesti yksittäisiä lukuja.',NULL,NULL,NULL,'Specifica il tipo di statistica riassuntiva. Tali statistiche sono una rappresentazione sintetica delle caratteristiche di un insieme di valori.',NULL,NULL,NULL,NULL,'Spesifiserer typen av sammenfattende statistikk. Sammenfattende statisitkk er en representasjon av et sett verdiers karakteristika representert ved et enkelt tall.',NULL,'Especifica o tipo de estatística sumária. As estatísticas sumárias são medidas/números/valores usados para descrever as características de um conjunto de dados.',NULL,NULL,NULL,'Določa vrsto zbirne statistike. Zbirna statistika je številka, s katero predstavimo značilnosti niza vrednosti.',NULL,'Određuje vrstu zbirne statistike. Zbirna statistika predstavlja jednoznačan broj karakteristika skupa vrednosti. ','Anger typ av sammanfattande statistik. Sammanfattande statistik är ett enda värde som representerar egenskaperna hos en mängd värden.',_binary '\0',NULL,NULL,'SummaryStatisticType','',NULL,'2019-05-07','en','PUBLISHED',NULL,NULL,NULL,'Typen af sammenfattende statistik','Art der zusammenfassenden Statistik',NULL,'Summary Statistic Type',NULL,NULL,'Tilastollisen tunnusluvun tyyppi',NULL,NULL,NULL,'Tipo di statistiche riassuntive',NULL,NULL,NULL,NULL,'Typen av sammenfattende statistikk',NULL,'Tipo de estatística sumária',NULL,NULL,NULL,'Vrsta zbirne statistike',NULL,'Vrsta zbirne statistike','Typ av sammanfattande statistik','https://ddialliance.org/Specification/DDI-CV/SummaryStatisticType',NULL,NULL,NULL,'2.1.1','2.1.1',NULL,'2.1',NULL,NULL,'2.1.1',NULL,NULL,NULL,'2.1.1',NULL,NULL,NULL,NULL,'2.1.1','2.1',NULL,'2.1.1',NULL,NULL,NULL,'2.1.1',NULL,'2.1.1','2.1.1',_binary '\0'),(55,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'En typologi af stikprøvemetoder.','Enthält eine Typologie von Stichprobenverfahren.',NULL,'A typology of sampling methods.',NULL,NULL,'Aineistossa käytetyn otantamenetelmän tyyppiluokittelu.','Une typologie des méthodes d\'échantillonnage',NULL,NULL,'Tipologia dei metodi di campionamento.',NULL,NULL,NULL,NULL,'Inneholder en typologi av ulike utvalgsmetoder.',NULL,'Tipologia de métodos de amostragem.',NULL,NULL,NULL,'Vključuje razvrstitev metod vzorčenja.',NULL,'Tipologija metoda uzorkovanja.','Innehåller en typologi av olika urvalsmetoder.',_binary '\0',NULL,NULL,'SamplingProcedure','',NULL,'2019-05-05','en','PUBLISHED',NULL,NULL,NULL,'Procedure for stikprøve','Auswahlverfahren',NULL,'Sampling Procedure',NULL,NULL,'Otantamenetelmä','Procédure d\'échantillonnage',NULL,NULL,'Procedura di campionamento',NULL,NULL,NULL,NULL,'Utvalgsmetode',NULL,'Método de amostragem',NULL,NULL,NULL,'Postopek vzorčenja',NULL,'Postupak uzorkovanja','Urvalsmetod','https://ddialliance.org/Specification/DDI-CV/SamplingProcedure',NULL,NULL,NULL,'1.1.1','1.1.1',NULL,'1.1',NULL,NULL,'1.1.1','1.1.3',NULL,NULL,'1.1.1',NULL,NULL,NULL,NULL,'1.1.1','1.1',NULL,'1.1.1',NULL,NULL,NULL,'1.1.1',NULL,'1.1.1','1.1.1',_binary '\0'),(56,1,'cessda.png','CESSDA',_binary '',NULL,NULL,NULL,'En typology over hovedtemaer eller emner af data.','Thematische Klassifikation für Daten',NULL,'A typology of main themes or subjects of data.',NULL,NULL,'Aineiston pääasiallisten aiheiden luokittelu.','Une typologie des thèmes principaux ou des sujets des données',NULL,NULL,'Tipologia dei temi o argomenti principali trattati dai dati',NULL,NULL,NULL,NULL,'En typologi av hovedtemaer eller -emner for data.',NULL,'Tipologia (classificação por tópicos) dos principais temas dos dados.',NULL,NULL,NULL,'Tipologija glavnih vsebinskih področij raziskav.',NULL,'Tipologija glavnih oblasti ili tema na koje se podaci odnose.','En typologi för större teman eller ämneskategorier för data.',_binary '\0',NULL,NULL,'TopicClassification','',NULL,'2020-10-06','en','PUBLISHED',NULL,NULL,NULL,'CESSDA Emne Klassifikation','CESSDA Themenklassifikation',NULL,'CESSDA Topic Classification',NULL,NULL,'CESSDAn aihepiiriluokitus','Nomenclature CESSDA des thématiques',NULL,NULL,'Classificazione CESSDA degli argomenti',NULL,NULL,NULL,NULL,'CESSDA Emneklassifisering',NULL,'Classificação dos temas (CESSDA)',NULL,NULL,NULL,'Vsebinska področja CESSDA',NULL,'Tematske oblasti CESSDA','CESSDA Ämnesklassificering','https://vocabularies.cessda.eu/vocabulary/TopicClassification',NULL,NULL,NULL,'4.1.1','4.1.1',NULL,'4.1',NULL,NULL,'4.1.1','4.1.1',NULL,NULL,'4.1.1',NULL,NULL,NULL,NULL,'4.1.1','4.1',NULL,'4.1.1',NULL,NULL,NULL,'4.1.1',NULL,'4.1.1','4.1.1',_binary '\0'),(57,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Identificerer den type aggregering, der anvendes til at kombinere relaterede kategorier, normalt inden for en fælles gren af et hierarki, til at tilvejebringe information på et bredere niveau end det, på hvilket detaljerede observationer er foretaget. (Fra: OECD-ordlisten med statistiske begreber)',NULL,NULL,'Identifies the type of aggregation used to combine related categories, usually within a common branch of a hierarchy, to provide information at a broader level than the level at which detailed observations are taken. (From: The OECD Glossary of Statistical Terms)',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'AggregationMethod','',NULL,'2019-11-24','en','PUBLISHED',NULL,NULL,NULL,'Aggregeringsmetode',NULL,NULL,'Aggregation Method',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/AggregationMethod',NULL,NULL,NULL,'1.1.1',NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(58,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Standard set of characters upon which many character encodings are based (Wikipedia).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'CharacterSet','This vocabulary lists some popular character sets but is not exhaustive. If the character set is not mentioned in the list, use \'Other\' for this element and enter the specific name into the OtherValue element. You can search for the name of the character set in the list published by IANA (Internet Assigned Character Numbers). Use the \"preferred MIME-name\" if the IANA list specifies one, otherwise use the format in the Name field - http://www.iana.org/assignments/character-sets.',NULL,'2020-02-04','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Character Set',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/CharacterSet',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(59,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Beskriver graden af lighed mellem to elementer eller skemaer (samling af elementer).',NULL,NULL,'Describes the degree of similarity between two items or schemes (collections of items).',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'<font face=\"inherit\">Beskriver graden av likhet mellom to elementer eller skjemaer (samling av elementer)</font><br>',NULL,'Descreve o grau de similitude entre dois itens ou esquemas.',NULL,NULL,NULL,NULL,NULL,'Opisuje stepen sličnosti između dve stavke, predmeta ili šeme (zbirke stavki).',NULL,_binary '\0',NULL,NULL,'CommonalityType','',NULL,'2019-05-20','en','PUBLISHED',NULL,NULL,NULL,'Type af ensartethed',NULL,NULL,'Commonality Type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Type ensartethet',NULL,'Tipo de convergência/uniformidade',NULL,NULL,NULL,NULL,NULL,'Vrste sličnosti',NULL,'https://ddialliance.org/Specification/DDI-CV/CommonalityType',NULL,NULL,NULL,'1.0.1',NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0.1','1.0',NULL,'1.0.1',NULL,NULL,NULL,NULL,NULL,'1.0.1',NULL,_binary '\0'),(60,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Identifies the type of data, which has a bearing on the acceptable data values, the operations that can be performed with the data, and the ways in which the data are stored.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'DataType','The present list is based on the W3C data types (http://www.w3.org/TR/xmlschema-2/), and includes the terms relevant for documenting research data.',NULL,'2019-11-24','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Data Type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DataType',NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(61,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Specifies the type of date.\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'DateType','The present list is based on ISO 8601 usage.\nThe previous version of this vocabulary may be accessed on the DDI Alliance site, at: http://www.ddialliance.org/controlled-vocabularies/all',NULL,'2019-11-24','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Date Type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/DateType',NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(62,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Describes the level of proficiency of an individual in a natural language.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'LanguageProficiency','',NULL,'2020-02-04','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Language Proficiency',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/LanguageProficiency',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(63,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Specifies the event happening over the data life cycle that is considered significant enough to document.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'LifecycleEventType','',NULL,'2020-02-04','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Lifecycle Event Type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/LifecycleEventType',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(64,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Indicates the entity that provided the information carried by the variable.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'ResponseUnit','This controlled vocabulary is applicable only to survey-type data.',NULL,'2020-02-04','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Response Unit',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ResponseUnit',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(65,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Indicates the statistical software package used in the production/processing/dissemination of the data. Data collection software is not covered in this list.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'SoftwarePackage','Lists a number of commonly used statistical software packages but is not meant to be an exhaustive list.',NULL,'2020-02-19','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Software Package',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/SoftwarePackage',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(66,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Identifies the type of address entered as contact information for an individual or an organization.\n\n',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'TypeOfAddress','',NULL,'2020-05-12','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Type of Address',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfAddress',NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(67,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Specifies the rationale for creating a concept group.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'TypeOfConceptGroup','',NULL,'2020-02-20','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Type of Concept Group',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfConceptGroup',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(68,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Includes a typology of notes.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'TypeOfNote','',NULL,'2020-02-20','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Type of Note',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfNote',NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(69,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Identifies the type of telephone entered as contact information for an individual or an organization.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'TypeOfTelephone','',NULL,'2020-02-20','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Type of Telephone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TypeOfTelephone',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(70,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Specifies the type of numeric data.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'NumericType','',NULL,'2019-11-24','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Numeric Type',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/NumericType',NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(71,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Time zone specification as an offset from UTC (Coordinated Universal Time) in terms of hours and minutes.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'TimeZone','This is not an exhaustive list.',NULL,'2020-05-12','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Time Zone',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/TimeZone',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(72,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'The procedure, technique, or mode of inquiry used to attain the data.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'ModeOfCollection','',NULL,'2020-11-04','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'Mode Of Collection',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://ddialliance.org/Specification/DDI-CV/ModeOfCollection',NULL,NULL,NULL,NULL,NULL,NULL,'3.1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'4.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(73,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'Beskriver tidsdimensionen for dataindsamlingen.','Beschreibt die zeitliche Dimension der Datenerhebung.',NULL,'Describes the time dimension of the data collection.',NULL,NULL,'Aineistonkeruun aikaulottuvuus.','Décrit la dimension temporelle de la collecte des données',NULL,NULL,'Descrive la dimensione temporale dei dati',NULL,NULL,NULL,NULL,'Beskrivelse av tidsdimensjonen for datainnsamlingen.',NULL,'Descreve a dimensão temporal da recolha de dados.',NULL,NULL,NULL,'Opisuje časovno dimenzijo zbiranja podatkov.',NULL,'Opisuje vremensku dimenziju kolekcije podataka.','Beskriver hur datainsamlingen lagts upp för att ske över tid.',_binary '\0',NULL,NULL,'TimeMethod','',NULL,'2019-07-02','en','PUBLISHED',NULL,NULL,NULL,'Tidsmetode','Erhebungsdesign',NULL,'Time Method',NULL,NULL,'Tutkimuksen aikaulottuvuus','Méthode temporelle',NULL,NULL,'Dimensione temporale',NULL,NULL,NULL,NULL,'Tidsmetode',NULL,'Dimensão temporal',NULL,NULL,NULL,'Časovna metoda',NULL,'Vremenski metod','Tidsdimension/studiedesign','https://ddialliance.org/Specification/DDI-CV/TimeMethod',NULL,NULL,NULL,'1.2.1','1.2.1',NULL,'1.2',NULL,NULL,'1.2.1','1.2.2',NULL,NULL,'1.2.1',NULL,NULL,NULL,NULL,'1.2.1','1.2',NULL,'1.2.1',NULL,NULL,NULL,'1.2.1',NULL,'1.2.1','1.2.1',_binary '\0'),(75,2,'ddi.png','DDI Alliance',_binary '',NULL,NULL,NULL,'En klassifikation af bidragyderroller.',NULL,NULL,'A classification of contributor roles.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'En klassificering av roller för medverkande personer.',_binary '\0',NULL,NULL,'ContributorRole','Recommendations regarding mapping to DataCite\'s ContributorType list have been included in the terms\' definitions as appropriate.',NULL,'2019-12-10','en','PUBLISHED',NULL,NULL,NULL,'Bidragyderrolle',NULL,NULL,'Contributor Role',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Roll för medverkande','https://ddialliance.org/Specification/DDI-CV/ContributorRole',NULL,NULL,NULL,'1.0.1',NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0.1',_binary '\0'),(76,1,'cessda.png','CESSDA',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Lists the types of persistent identifiers that CESSDA accepts as study level PIDs in its data catalogue.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'CessdaPersistentIdentifierTypes','No other language versions needed.',NULL,'2020-06-22','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'CESSDA Persistent Identifier Types',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CessdaPersistentIdentifierTypes',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(79,1,'cessda.png','CESSDA',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'Names of organisations providing metadata for CESSDA Data Catalogue.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'CdcPublisherNames','Used for the Publisher filter in CDC. No need for other language versions.',NULL,'2020-07-23','en','PUBLISHED',NULL,NULL,NULL,NULL,NULL,NULL,'CDC Publisher Names',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CdcPublisherNames',NULL,NULL,NULL,NULL,NULL,NULL,'3.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'3.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0'),(80,1,'cessda.png','CESSDA',_binary '',NULL,NULL,NULL,NULL,NULL,NULL,'ISO 3166-1 alpha-2 country codes and names.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0',NULL,NULL,'CountryNamesAndCodes','',NULL,'2020-11-04','en','DRAFT',NULL,NULL,NULL,NULL,NULL,NULL,'Country Names and Codes',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'https://vocabularies.cessda.eu/vocabulary/CountryNamesAndCodes',NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1.0',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,_binary '\0');
/*!40000 ALTER TABLE `vocabulary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vocabulary_change`
--

DROP TABLE IF EXISTS `vocabulary_change`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vocabulary_change` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `change_type` varchar(60) NOT NULL,
  `date` date DEFAULT NULL,
  `description` longtext,
  `user_id` bigint(20) DEFAULT NULL,
  `user_name` varchar(120) DEFAULT NULL,
  `version_id` bigint(20) DEFAULT NULL,
  `vocabulary_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1542 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vocabulary_change`
--

LOCK TABLES `vocabulary_change` WRITE;
/*!40000 ALTER TABLE `vocabulary_change` DISABLE KEYS */;
INSERT  IGNORE INTO `vocabulary_change` (`id`, `change_type`, `date`, `description`, `user_id`, `user_name`, `version_id`, `vocabulary_id`) VALUES (385,'Code descriptive term rephrased','2019-04-03','Longitudinal: Panel: Intervall',36,'Taina Jääskeläinen',221,46),(403,'Code value changed','2019-04-03','Equality, inequality and social exclusion',40,'Henri Ala-Lahti',232,50),(406,'Code deleted','2019-05-03','Code Probability.Stratified.Proportional deleted',40,'Henri Ala-Lahti',250,55),(407,'Code deleted','2019-05-03','Code Probability.Cluster.SimpleRandom.StratifiedRandom deleted',40,'Henri Ala-Lahti',250,55),(408,'Code deleted','2019-05-03','Code Probability.StratifiedRandom deleted',40,'Henri Ala-Lahti',250,55),(409,'Code deleted','2019-05-03','Code Probability.Cluster.SimpleRandom deleted',40,'Henri Ala-Lahti',250,55),(410,'Code deleted','2019-05-03','Code ReligionAndValues deleted',40,'Henri Ala-Lahti',251,56),(411,'Code deleted','2019-05-03','Code SocietyAndCulture.CommunityUrbanAndRuralLife deleted',40,'Henri Ala-Lahti',251,56),(412,'Code deleted','2019-05-03','Code SocietyAndCulture.TimeUse deleted',40,'Henri Ala-Lahti',251,56),(413,'Code deleted','2019-05-03','Code SocietyAndCulture.SocialChange deleted',40,'Henri Ala-Lahti',251,56),(414,'Code deleted','2019-05-13','Code NativeFluent deleted',49,'Sanda Ionescu',280,62),(415,'Code definition rephrased','2019-05-17','Vocational education and training',40,'Henri Ala-Lahti',297,56),(416,'Code definition rephrased','2019-05-17','Working conditions',40,'Henri Ala-Lahti',297,56),(417,'Code definition rephrased','2019-05-17','Equality, inequality and social exclusion',40,'Henri Ala-Lahti',297,56),(418,'Code definition rephrased','2019-05-17','Educational policy',40,'Henri Ala-Lahti',297,56),(419,'Code definition rephrased','2019-05-17','Leisure, tourism and sport',40,'Henri Ala-Lahti',297,56),(420,'Code definition rephrased','2019-05-17','Compulsory and pre-school education',40,'Henri Ala-Lahti',297,56),(421,'Code definition rephrased','2019-05-17','Employee training',40,'Henri Ala-Lahti',297,56),(422,'Code definition rephrased','2019-05-17','Media',40,'Henri Ala-Lahti',297,56),(423,'Code definition rephrased','2019-05-17','Elites and leadership',40,'Henri Ala-Lahti',297,56),(424,'Code definition rephrased','2019-05-17','TRANSPORT AND TRAVEL',40,'Henri Ala-Lahti',297,56),(425,'Code value changed','2019-05-20','Removed \'And\' from code value',40,'Henri Ala-Lahti',297,56),(426,'Code value changed','2019-05-20','Changed code value to follow the code naming conventions.',40,'Henri Ala-Lahti',297,56),(427,'Code value changed','2019-05-20','Changed code value to match descriptive term.',40,'Henri Ala-Lahti',297,56),(428,'Code value changed','2019-05-20','Changed code value to match descriptive term',40,'Henri Ala-Lahti',297,56),(429,'Code definition rephrased','2019-05-20','Health behaviour',40,'Henri Ala-Lahti',297,56),(430,'Code value changed','2019-05-20','\'PreSchool\' changed into \'Preschool\' for internal consistency.',40,'Henri Ala-Lahti',297,56),(431,'Code value changed','2019-05-20','\'WellBeing\' changed into \'Wellbeing\' for internal consistency.',40,'Henri Ala-Lahti',297,56),(432,'Code value changed','2019-05-20','SocialWelfarePolicyAndSystems.SpecificSocialservices changed to SocialWelfarePolicyAndSystems.SpecificSocialServices',40,'Henri Ala-Lahti',298,56),(433,'Code value changed','2019-05-20','TradeIndustryAndMarkets.AgriculturalAndRuralIndustry changed to TradeIndustryAndMarkets.AgricultureAndRuralIndustry',40,'Henri Ala-Lahti',298,56),(434,'Code value changed','2019-05-20','MediaCommunicationsAndLanguage changed to MediaCommunicationAndLanguage',40,'Henri Ala-Lahti',298,56),(435,'Code value changed','2019-05-20','Education.CompulsoryAndPreSchool changed to Education.CompulsoryAndPreschool',40,'Henri Ala-Lahti',298,56),(436,'Code value changed','2019-05-20','Health.GeneralHealthAndWellBeing changed to Health.GeneralHealthAndWellbeing',40,'Henri Ala-Lahti',298,56),(437,'Code value changed','2019-05-20','Code value changed: SocialWelfarePolicyAndSystems.SocialWelfareSystemsAndStructures changed to SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures',40,'Henri Ala-Lahti',298,56),(438,'Code definition rephrased','2019-05-20','Vocational education and training',40,'Henri Ala-Lahti',298,56),(439,'Code definition rephrased','2019-05-20','Working conditions',40,'Henri Ala-Lahti',298,56),(440,'Code definition rephrased','2019-05-20','Equality, inequality and social exclusion',40,'Henri Ala-Lahti',298,56),(441,'Code definition rephrased','2019-05-20','Educational policy',40,'Henri Ala-Lahti',298,56),(442,'Code definition rephrased','2019-05-20','Leisure, tourism and sport',40,'Henri Ala-Lahti',298,56),(443,'Code definition rephrased','2019-05-20','Compulsory and pre-school education',40,'Henri Ala-Lahti',298,56),(444,'Code definition rephrased','2019-05-20','Employee training',40,'Henri Ala-Lahti',298,56),(445,'Code definition rephrased','2019-05-20','Media',40,'Henri Ala-Lahti',298,56),(446,'Code definition rephrased','2019-05-20','Health behaviour',40,'Henri Ala-Lahti',298,56),(447,'Code deleted','2019-05-20','Code +03:00 deleted',36,'Taina Jääskeläinen',274,58),(448,'Code deleted','2019-05-21','Code Identical deleted',40,'Henri Ala-Lahti',306,59),(449,'Code deleted','2019-05-21','Code ISO88591 deleted',49,'Sanda Ionescu',274,58),(450,'Code deleted','2019-05-21','Code ASCII deleted',49,'Sanda Ionescu',274,58),(451,'Code deleted','2019-05-23','Code Identical deleted',40,'Henri Ala-Lahti',309,59),(452,'CV Long Name changed','2019-05-23','Havainto/aineistoyksikkötyyppi',40,'Henri Ala-Lahti',310,47),(453,'CV definition rephrased','2019-05-23','Havainto/aineistoyksikkötyypp',40,'Henri Ala-Lahti',310,47),(454,'Code definition rephrased','2019-05-23','Henkilö',40,'Henri Ala-Lahti',310,47),(455,'Code definition rephrased','2019-05-23','Migrasjon',50,'Silje Storviken',300,56),(456,'Code definition rephrased','2019-05-23','Sygelighed og dødelighed',53,'Henrik K.R. Jakobsen',304,56),(457,'Code definition rephrased','2019-05-23','Økonomiske forhold og indikatorer',50,'Silje Storviken',300,56),(458,'Code definition rephrased','2019-05-23','ANDET',53,'Henrik K.R. Jakobsen',304,56),(459,'Code descriptive term rephrased','2019-05-23','Konsum/konsumentatferd',50,'Silje Storviken',300,56),(460,'Code definition rephrased','2019-05-23','Tegn og symptomer; patologiske tilstander',50,'Silje Storviken',300,56),(461,'Code descriptive term rephrased','2019-05-23','Reproduktiv Helse',50,'Silje Storviken',300,56),(462,'Code definition rephrased','2019-05-23','Folkehelse',50,'Silje Storviken',300,56),(463,'Code definition rephrased','2019-05-23','Arealbruk og arealplanlegging',50,'Silje Storviken',300,56),(464,'Code definition rephrased','2019-05-23','Arbeidsledighet',50,'Silje Storviken',300,56),(465,'Code definition rephrased','2019-05-23','Opplæring av ansatte',50,'Silje Storviken',300,56),(466,'Code definition rephrased','2019-05-23','Arbeidsbetingelser',50,'Silje Storviken',300,56),(467,'Code definition rephrased','2019-05-24','Geografisk enhet',50,'Silje Storviken',311,47),(468,'Code definition rephrased','2019-05-24','Hendelse/prosess',50,'Silje Storviken',311,47),(469,'Code definition rephrased','2019-05-24','Geografisk enhet',50,'Silje Storviken',312,47),(470,'Code definition rephrased','2019-05-24','Geografisk enhet',50,'Silje Storviken',312,47),(471,'Code definition rephrased','2019-05-24','Geografisk enhet',50,'Silje Storviken',313,47),(472,'Code definition rephrased','2019-05-24','sairastuvuus ja kuolleisuus',40,'Henri Ala-Lahti',301,56),(473,'Code definition rephrased','2019-05-24','talouden tila ja tunnusluvut',40,'Henri Ala-Lahti',301,56),(474,'Code definition rephrased','2019-05-24','talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö',40,'Henri Ala-Lahti',301,56),(475,'Code definition rephrased','2019-05-24','toisen ja korkea-asteen koulutus',40,'Henri Ala-Lahti',301,56),(476,'Code definition rephrased','2019-05-24','täydennys- ja jatkokoulutus,  elinikäinen oppiminen',40,'Henri Ala-Lahti',301,56),(477,'Code definition rephrased','2019-05-24','terveyspalvelut ja terveyspolitiikka',40,'Henri Ala-Lahti',301,56),(478,'Code definition rephrased','2019-05-24','koulutuspolitiikka',40,'Henri Ala-Lahti',301,56),(479,'Code definition rephrased','2019-05-24','työvoima- ja työllisyyspolitiikka',40,'Henri Ala-Lahti',301,56),(480,'Code definition rephrased','2019-05-24','sosiaalipolitiikka',40,'Henri Ala-Lahti',301,56),(481,'Code definition rephrased','2019-05-24','terveyskäyttäytyminen',40,'Henri Ala-Lahti',301,56),(482,'Code definition rephrased','2019-05-24','työvoima- ja työllisyyspolitiikka',40,'Henri Ala-Lahti',301,56),(483,'TL code added','2019-05-24','MediaCommunicationAndLanguage.InformationSociety',40,'Henri Ala-Lahti',301,56),(484,'Code definition rephrased','2019-05-24','yhteiskunnallinen ja ammatillinen liikkuvuus',40,'Henri Ala-Lahti',301,56),(485,'TL code added','2019-05-24','Education.CompulsoryAndPreschool',40,'Henri Ala-Lahti',301,56),(486,'TL code added','2019-05-24','Health.GeneralHealthAndWellbeing',40,'Henri Ala-Lahti',301,56),(487,'TL code added','2019-05-24','MediaCommunicationAndLanguage',40,'Henri Ala-Lahti',301,56),(488,'TL code added','2019-05-24','MediaCommunicationAndLanguage.Media',40,'Henri Ala-Lahti',301,56),(489,'TL code added','2019-05-24','MediaCommunicationAndLanguage.PublicRelations',40,'Henri Ala-Lahti',301,56),(490,'TL code added','2019-05-24','MediaCommunicationAndLanguage.LanguageAndLinguistics',40,'Henri Ala-Lahti',301,56),(491,'TL code added','2019-05-24','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures',40,'Henri Ala-Lahti',301,56),(492,'TL code added','2019-05-24','SocialWelfarePolicyAndSystems.SpecificSocialServices',40,'Henri Ala-Lahti',301,56),(493,'TL code added','2019-05-24','TradeIndustryAndMarkets.AgricultureAndRuralIndustry',40,'Henri Ala-Lahti',301,56),(494,'CV definition rephrased','2019-05-29','Havainto/aineistoyksikkötyyppi',36,'Taina Jääskeläinen',315,47),(495,'Code descriptive term rephrased','2019-05-29','Perhe: changed to plural',36,'Taina Jääskeläinen',315,47),(496,'Code definition rephrased','2019-05-29','Perheet: second full stop added',36,'Taina Jääskeläinen',315,47),(497,'Code definition rephrased','2019-06-03','sairastuvuus ja kuolleisuus',40,'Henri Ala-Lahti',318,56),(498,'Code definition rephrased','2019-06-03','talouden tila ja tunnusluvut',40,'Henri Ala-Lahti',318,56),(499,'Code definition rephrased','2019-06-03','talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö',40,'Henri Ala-Lahti',318,56),(500,'Code definition rephrased','2019-06-03','toisen ja korkea-asteen koulutus',40,'Henri Ala-Lahti',318,56),(501,'Code definition rephrased','2019-06-03','täydennys- ja jatkokoulutus,  elinikäinen oppiminen',40,'Henri Ala-Lahti',318,56),(502,'Code definition rephrased','2019-06-03','koulutuspolitiikka',40,'Henri Ala-Lahti',318,56),(503,'Code definition rephrased','2019-06-03','terveyspalvelut ja terveyspolitiikka',40,'Henri Ala-Lahti',318,56),(504,'Code definition rephrased','2019-06-03','työvoima- ja työllisyyspolitiikka',40,'Henri Ala-Lahti',318,56),(505,'Code definition rephrased','2019-06-03','sosiaalipolitiikka',40,'Henri Ala-Lahti',318,56),(506,'Code definition rephrased','2019-06-03','terveyskäyttäytyminen',40,'Henri Ala-Lahti',318,56),(507,'Code definition rephrased','2019-06-03','työpaikkakoulutus',40,'Henri Ala-Lahti',318,56),(508,'Code definition rephrased','2019-06-03','työvoima- ja työllisyyspolitiikka',40,'Henri Ala-Lahti',318,56),(509,'Code definition rephrased','2019-06-03','tietoyhteiskunta',40,'Henri Ala-Lahti',318,56),(510,'Code definition rephrased','2019-06-03','sosiaalipolitiikka',40,'Henri Ala-Lahti',318,56),(511,'Code definition rephrased','2019-06-03','KULKEMINEN, KULJETUS JA LIIKENNE',40,'Henri Ala-Lahti',318,56),(512,'Code definition rephrased','2019-06-11','Publikumskontakt',50,'Silje Storviken',300,56),(513,'Code definition rephrased','2019-06-11','Informasjonssamfunn',50,'Silje Storviken',300,56),(514,'Code definition rephrased','2019-06-11','Valg',50,'Silje Storviken',300,56),(515,'Code definition rephrased','2019-06-11','Ungdom',50,'Silje Storviken',300,56),(516,'Code definition rephrased','2019-06-11','Eldre',50,'Silje Storviken',300,56),(517,'Code definition rephrased','2019-06-11','Barn',50,'Silje Storviken',300,56),(518,'Code definition rephrased','2019-06-11','Sosial velferdspolitikk',50,'Silje Storviken',300,56),(519,'Code definition rephrased','2019-06-11','Sosial velferdspolitikk',50,'Silje Storviken',300,56),(520,'Code definition rephrased','2019-06-12','Individual',49,'Sanda Ionescu',321,47),(521,'Code definition rephrased','2019-06-17','Numeerinen',40,'Henri Ala-Lahti',323,48),(522,'Code definition rephrased','2019-06-26','HISTORIA',40,'Henri Ala-Lahti',324,56),(523,'Code definition rephrased','2019-06-26','vähemmistöt',40,'Henri Ala-Lahti',324,56),(524,'Code definition rephrased','2019-06-26','sosiaaliset olot ja indikaattorit',40,'Henri Ala-Lahti',324,56),(525,'Code definition rephrased','2019-06-26','maankäyttö, suunnittelu ja kaavoitus',40,'Henri Ala-Lahti',324,56),(526,'Code descriptive term rephrased','2019-06-26','sukupuoli ja sukuoliroolit',40,'Henri Ala-Lahti',324,56),(527,'Code deleted','2019-07-02','Code Interview.PAPI deleted',40,'Henri Ala-Lahti',325,72),(528,'Code deleted','2019-07-02','Code Interview.FaceToFace.CAPIorCAMI deleted',40,'Henri Ala-Lahti',325,72),(529,'Code deleted','2019-07-02','Code Observation.Field.Participant deleted',40,'Henri Ala-Lahti',325,72),(530,'Code deleted','2019-07-02','Code Observation.Laboratory.Participant deleted',40,'Henri Ala-Lahti',325,72),(531,'Code deleted','2019-07-03','Code Longitudinal.Panel.Continuous deleted',40,'Henri Ala-Lahti',333,73),(532,'Code definition rephrased','2019-07-03','joukkoviestimet',40,'Henri Ala-Lahti',324,56),(533,'Code added','2019-07-04','Test4',40,'Henri Ala-Lahti',347,74),(534,'Code definition rephrased','2019-07-04','Test 1',40,'Henri Ala-Lahti',347,74),(535,'Code definition rephrased','2019-07-09','Konsumtion och konsumentbeteende',58,'Lisa Isaksson',302,56),(536,'Code definition rephrased','2019-07-09','Livslångt lärande/vidareutbildning',58,'Lisa Isaksson',302,56),(537,'Code definition rephrased','2019-07-09','Tecken och symtom; patologiska tillstånd',58,'Lisa Isaksson',302,56),(538,'Code definition rephrased','2019-07-09','Hälsobeteende',58,'Lisa Isaksson',302,56),(539,'Code definition rephrased','2019-07-09','Energi och naturresurser',58,'Lisa Isaksson',302,56),(540,'Code definition rephrased','2019-07-09','Ungdomar',58,'Lisa Isaksson',302,56),(541,'CV definition rephrased','2019-07-12','Format (Vrsta podatkov)',51,'Sergeja Masten',351,48),(542,'Code descriptive term rephrased','2019-07-17','Kriminalitet och rättstillämpning',58,'Lisa Isaksson',302,56),(543,'Code deleted','2019-07-23','Code Some deleted',40,'Henri Ala-Lahti',352,59),(544,'CV Short Name changed','2019-07-23','Type af data format',53,'Henrik K.R. Jakobsen',353,48),(545,'Code deleted','2019-07-23','Code None deleted',40,'Henri Ala-Lahti',352,59),(546,'CV Long Name changed','2019-07-23','Tilastollisen tunnusluvun tyyppi',40,'Henri Ala-Lahti',354,54),(547,'CV definition amended with meaning change','2019-07-23','Tilastollinen tunnusluku',40,'Henri Ala-Lahti',354,54),(548,'Code descriptive term rephrased','2019-07-23','Geometrinen keskiarvo',40,'Henri Ala-Lahti',354,54),(549,'CV definition rephrased','2019-07-23','Keruuväline',40,'Henri Ala-Lahti',355,52),(550,'CV definition amended with meaning change','2019-07-23','Keruuväline',40,'Henri Ala-Lahti',355,52),(551,'Code descriptive term rephrased','2019-07-24','DEMOGRAFI (BEFOLKNING, BEFOLKNINGSUDVIKLING OG FOLKETÆLLINGER)',53,'Henrik K.R. Jakobsen',304,56),(552,'Code definition rephrased','2019-07-24','Sygelighed og dødelighed',53,'Henrik K.R. Jakobsen',304,56),(553,'Code descriptive term rephrased','2019-07-24','Sygelighed og dødelighed',53,'Henrik K.R. Jakobsen',304,56),(554,'Code definition rephrased','2019-07-24','Folketællinger',53,'Henrik K.R. Jakobsen',304,56),(555,'Code descriptive term rephrased','2019-07-24','Indvandring',53,'Henrik K.R. Jakobsen',304,56),(556,'Code definition amended with meaning change','2019-07-24','Migration',53,'Henrik K.R. Jakobsen',304,56),(557,'Code definition rephrased','2019-07-24','Økonomiske forhold og indikatorer',53,'Henrik K.R. Jakobsen',304,56),(558,'Code definition amended with meaning change','2019-07-24','Forbrug og forbrugeradfærd',53,'Henrik K.R. Jakobsen',304,56),(559,'Code descriptive term rephrased','2019-07-24','Økonomisk politik, offentlige udgifter og offentlige indtægter',53,'Henrik K.R. Jakobsen',304,56),(560,'Code definition rephrased','2019-07-24','Økonomisk politik, offentlige udgifter og indtægter',53,'Henrik K.R. Jakobsen',304,56),(561,'Code definition rephrased','2019-07-24','Indkomst, ejendom og investering/opsparing',53,'Henrik K.R. Jakobsen',304,56),(562,'Code definition rephrased','2019-07-24','Økonomiske systemer og udvikling',53,'Henrik K.R. Jakobsen',304,56),(563,'Code descriptive term rephrased','2019-07-24','Sundhedsvæsenet og sundhedspolitik',53,'Henrik K.R. Jakobsen',304,56),(564,'Code definition amended with meaning change','2019-07-24','Sundhedsydelser og -politikker',53,'Henrik K.R. Jakobsen',304,56),(565,'Code descriptive term rephrased','2019-07-24','Specifikke sygdomme, lidelser og sygdomslidelser',53,'Henrik K.R. Jakobsen',304,56),(566,'Code definition amended with meaning change','2019-07-24','Specifikke sygdomme, lidelser og medicinske tilstande',53,'Henrik K.R. Jakobsen',304,56),(567,'Code definition rephrased','2019-07-24','Tegn på sygdom og symptomer; patalogiske lidelser',53,'Henrik K.R. Jakobsen',304,56),(568,'Code definition rephrased','2019-07-24','Tegn  og symptomer; patologiske lidelser',53,'Henrik K.R. Jakobsen',304,56),(569,'Code definition amended with meaning change','2019-07-24','Sår og skader',53,'Henrik K.R. Jakobsen',304,56),(570,'Code definition rephrased','2019-07-24','Medicinering og behandling',53,'Henrik K.R. Jakobsen',304,56),(571,'Code definition rephrased','2019-07-24','Generel sundhed og trivsel',53,'Henrik K.R. Jakobsen',304,56),(572,'Code definition rephrased','2019-07-24','Medicinering og behandling',53,'Henrik K.R. Jakobsen',304,56),(573,'Code definition rephrased','2019-07-24','Medicinering og behandling',53,'Henrik K.R. Jakobsen',304,56),(574,'Code definition rephrased','2019-07-24','Folkesundhed',53,'Henrik K.R. Jakobsen',304,56),(575,'Code definition rephrased','2019-07-24','Reproduktiv sundhed',53,'Henrik K.R. Jakobsen',304,56),(576,'Code definition rephrased','2019-07-24','Sundhed på arbejdspladsen',53,'Henrik K.R. Jakobsen',304,56),(577,'Code descriptive term rephrased','2019-07-24','Sundhed på arbejdspladsen',53,'Henrik K.R. Jakobsen',304,56),(578,'Code definition rephrased','2019-07-24','Sundhedsadfærd',53,'Henrik K.R. Jakobsen',304,56),(579,'Code definition amended with meaning change','2019-07-24','HISTORIE',53,'Henrik K.R. Jakobsen',304,56),(580,'Code definition rephrased','2019-07-24','HISTORIE',53,'Henrik K.R. Jakobsen',304,56),(581,'Code definition amended with meaning change','2019-07-24','Bolig',53,'Henrik K.R. Jakobsen',304,56),(582,'Code definition rephrased','2019-07-24','Arealanvendelse og planlægning',53,'Henrik K.R. Jakobsen',304,56),(583,'Code descriptive term rephrased','2019-07-24','ARBEJDE OG BESKÆFTIGELSE',53,'Henrik K.R. Jakobsen',304,56),(584,'Code descriptive term rephrased','2019-07-24','BOLIG OG AREAL ANVENDELSE',53,'Henrik K.R. Jakobsen',304,56),(585,'Code definition amended with meaning change','2019-07-24','Beskæftigelse',53,'Henrik K.R. Jakobsen',304,56),(586,'Code definition amended with meaning change','2019-07-24','Arbejdsløshed',53,'Henrik K.R. Jakobsen',304,56),(587,'Code definition amended with meaning change','2019-07-24','Pensionering',53,'Henrik K.R. Jakobsen',304,56),(588,'Code descriptive term rephrased','2019-07-24','Uddannelse af medarbejdere',53,'Henrik K.R. Jakobsen',304,56),(589,'Code definition amended with meaning change','2019-07-24','Medarbejderuddannelse',53,'Henrik K.R. Jakobsen',304,56),(590,'Code descriptive term rephrased','2019-07-24','Relationer og konflikter på arbejdsmarkedet',53,'Henrik K.R. Jakobsen',304,56),(591,'Code definition rephrased','2019-07-24','Arbejdsvilkår',53,'Henrik K.R. Jakobsen',304,56),(592,'Code descriptive term rephrased','2019-07-24','Arbejdsmarkedspolitk og beskæftigelsespolitik',53,'Henrik K.R. Jakobsen',304,56),(593,'Code definition rephrased','2019-07-24','Arbejdsmarkeds- og beskæftigelsespolitik',53,'Henrik K.R. Jakobsen',304,56),(594,'Code deleted','2019-07-24','Code Registration.Agency deleted',49,'Sanda Ionescu',350,75),(595,'Code deleted','2019-07-24','Code Registration.Authority deleted',49,'Sanda Ionescu',350,75),(596,'Code descriptive term rephrased','2019-07-25','LOV, KRIMINALITET OG RETSYSTEMER',53,'Henrik K.R. Jakobsen',304,56),(597,'Code definition rephrased','2019-07-25','Arbejdsmarkeds- og beskæftigelsespolitik',53,'Henrik K.R. Jakobsen',304,56),(598,'Code definition rephrased','2019-07-25','Lovgivning og retssystemer',53,'Henrik K.R. Jakobsen',304,56),(599,'Code definition rephrased','2019-07-25','Kriminalitet og retshåndhævelse',53,'Henrik K.R. Jakobsen',304,56),(600,'Code definition rephrased','2019-07-25','Medier',53,'Henrik K.R. Jakobsen',304,56),(601,'Code definition rephrased','2019-07-25','Offentlige relationer (PR)',53,'Henrik K.R. Jakobsen',304,56),(602,'Code definition amended with meaning change','2019-07-25','Informationssamfund',53,'Henrik K.R. Jakobsen',304,56),(603,'Code definition rephrased','2019-07-25','Informationssamfund',53,'Henrik K.R. Jakobsen',304,56),(604,'Code definition rephrased','2019-07-25','Sprog og lingvistik',53,'Henrik K.R. Jakobsen',304,56),(605,'Code descriptive term rephrased','2019-07-25','Miljø og bevarelse',53,'Henrik K.R. Jakobsen',304,56),(606,'Code definition rephrased','2019-07-25','Miljø og bevaring',53,'Henrik K.R. Jakobsen',304,56),(607,'Code definition rephrased','2019-07-25','Energi og naturrressourcer',53,'Henrik K.R. Jakobsen',304,56),(608,'Code definition rephrased','2019-07-25','Planter og dyr',53,'Henrik K.R. Jakobsen',304,56),(609,'Code descriptive term rephrased','2019-07-25','Politisk adfærd og holdning',53,'Henrik K.R. Jakobsen',304,56),(610,'Code definition rephrased','2019-07-25','Politisk adfærd og holdninger',53,'Henrik K.R. Jakobsen',304,56),(611,'Code definition rephrased','2019-07-25','Valg',53,'Henrik K.R. Jakobsen',304,56),(612,'Code definition rephrased','2019-07-25','Politisk ideologi',53,'Henrik K.R. Jakobsen',304,56),(613,'Code definition rephrased','2019-07-25','Regering, politiske systemer og organisationer',53,'Henrik K.R. Jakobsen',304,56),(614,'Code descriptive term rephrased','2019-07-25','International polik og organisation',53,'Henrik K.R. Jakobsen',304,56),(615,'Code definition rephrased','2019-07-25','International politik og organisationer',53,'Henrik K.R. Jakobsen',304,56),(616,'Code definition rephrased','2019-07-25','Konflikt, sikkerhed og fred',53,'Henrik K.R. Jakobsen',304,56),(617,'Code descriptive term rephrased','2019-07-25','PSYCHOLOGI ',53,'Henrik K.R. Jakobsen',304,56),(618,'Code definition rephrased','2019-07-25','Informationsteknologi',53,'Henrik K.R. Jakobsen',304,56),(619,'Code descriptive term rephrased','2019-07-25','SOCIAL STRATIFICATION OG GRUPPERINGER',53,'Henrik K.R. Jakobsen',304,56),(620,'Code descriptive term rephrased','2019-07-25','Lighed, ulighed og social eksklusion',53,'Henrik K.R. Jakobsen',304,56),(621,'Code definition rephrased','2019-07-25','Social- og erhvervsmobilitet',53,'Henrik K.R. Jakobsen',304,56),(622,'Code definition rephrased','2019-07-25','Køn og kønsroller',53,'Henrik K.R. Jakobsen',304,56),(623,'Code definition rephrased','2019-07-25','Familieliv og ægteskab',53,'Henrik K.R. Jakobsen',304,56),(624,'Code descriptive term rephrased','2019-07-25','Minoritet',53,'Henrik K.R. Jakobsen',304,56),(625,'Code definition rephrased','2019-07-25','Eliter og lederskab',53,'Henrik K.R. Jakobsen',304,56),(626,'Code descriptive term rephrased','2019-07-25','VELFÆRDSPOLITIK OG VELFÆRDSSYSTEMER',53,'Henrik K.R. Jakobsen',304,56),(627,'Code descriptive term rephrased','2019-07-25','Velfærdsspolitik',53,'Henrik K.R. Jakobsen',304,56),(628,'Code definition rephrased','2019-07-25','Social velfærdsspolitik',53,'Henrik K.R. Jakobsen',304,56),(629,'Code descriptive term rephrased','2019-07-25','Velfrædssystemer/strukturerer',53,'Henrik K.R. Jakobsen',304,56),(630,'Code definition rephrased','2019-07-25','Sociale velfærdssystemer/strukturer',53,'Henrik K.R. Jakobsen',304,56),(631,'Code descriptive term rephrased','2019-07-25','Specifikke sociale service: Deres brug og tilgængelighed',53,'Henrik K.R. Jakobsen',304,56),(632,'Code definition rephrased','2019-07-25','Specifikke sociale ydelser: Brug og tilgængelighed',53,'Henrik K.R. Jakobsen',304,56),(633,'Code descriptive term rephrased','2019-07-25','Social adfærd pg attitude',53,'Henrik K.R. Jakobsen',304,56),(634,'Code definition rephrased','2019-07-25','Social adfærd og holdninger',53,'Henrik K.R. Jakobsen',304,56),(635,'Code descriptive term rephrased','2019-07-25','Sociale vilkår og tegn',53,'Henrik K.R. Jakobsen',304,56),(636,'Code definition rephrased','2019-07-25','Sociale forhold og indikatorer',53,'Henrik K.R. Jakobsen',304,56),(637,'Code definition rephrased','2019-07-25','Kulturelle aktiviteter og deltagelse',53,'Henrik K.R. Jakobsen',304,56),(638,'Code definition rephrased','2019-07-25','Kulturel og national identitet',53,'Henrik K.R. Jakobsen',304,56),(639,'Code definition rephrased','2019-07-25','Fritid, turisme og sport',53,'Henrik K.R. Jakobsen',304,56),(640,'Code definition rephrased','2019-07-25','Religion og værdier',53,'Henrik K.R. Jakobsen',304,56),(641,'Code descriptive term rephrased','2019-07-25','Lokalsamfund, byliv og landligt liv',53,'Henrik K.R. Jakobsen',304,56),(642,'Code definition rephrased','2019-07-25','Lokalsamfund, byliv og landligt liv',53,'Henrik K.R. Jakobsen',304,56),(643,'Code definition rephrased','2019-07-25','Forbrug af tid',53,'Henrik K.R. Jakobsen',304,56),(644,'Code descriptive term rephrased','2019-07-25','Sociale ændringer',53,'Henrik K.R. Jakobsen',304,56),(645,'Code definition rephrased','2019-07-25','Social forandring',53,'Henrik K.R. Jakobsen',304,56),(646,'Code descriptive term rephrased','2019-07-25','HANDEL, INDUSTRI OG MARKED',53,'Henrik K.R. Jakobsen',304,56),(647,'Code definition rephrased','2019-07-25','Forretnings/industriel ledelse og organisation',53,'Henrik K.R. Jakobsen',304,56),(648,'Code definition rephrased','2019-07-25','Landbrug og landlig industri',53,'Henrik K.R. Jakobsen',304,56),(649,'Code descriptive term rephrased','2019-07-25','Handel med udlandet',53,'Henrik K.R. Jakobsen',304,56),(650,'Code definition rephrased','2019-07-25','Udenrigshandel',53,'Henrik K.R. Jakobsen',304,56),(651,'Code descriptive term rephrased','2019-07-25','TRANSPORT OG REJSER',53,'Henrik K.R. Jakobsen',304,56),(652,'Code definition rephrased','2019-07-25','TRANSPORT OG REJSE',53,'Henrik K.R. Jakobsen',304,56),(653,'Code definition rephrased','2019-07-25','Sundhedsydelser og -politikker',53,'Henrik K.R. Jakobsen',304,56),(654,'Code definition rephrased','2019-07-25','Tegn  og symptomer; patologiske lidelser',53,'Henrik K.R. Jakobsen',304,56),(655,'Code definition rephrased','2019-07-25','Sår og skader',53,'Henrik K.R. Jakobsen',304,56),(656,'Code definition rephrased','2019-07-25','HISTORIE',53,'Henrik K.R. Jakobsen',304,56),(657,'Code definition rephrased','2019-07-25','Beskæftigelse',53,'Henrik K.R. Jakobsen',304,56),(658,'Code definition rephrased','2019-07-25','Arbejdsvilkår',53,'Henrik K.R. Jakobsen',304,56),(659,'Code definition rephrased','2019-07-25','Arbejdsmarkeds- og beskæftigelsespolitik',53,'Henrik K.R. Jakobsen',304,56),(660,'Code definition rephrased','2019-07-25','Politisk adfærd og holdninger',53,'Henrik K.R. Jakobsen',304,56),(661,'Code definition rephrased','2019-07-25','Konflikt, sikkerhed og fred',53,'Henrik K.R. Jakobsen',304,56),(662,'Code definition rephrased','2019-07-25','Informationsteknologi',53,'Henrik K.R. Jakobsen',304,56),(663,'Code definition rephrased','2019-07-25','Køn og kønsroller',53,'Henrik K.R. Jakobsen',304,56),(664,'Code definition rephrased','2019-07-25','Minoriteter',53,'Henrik K.R. Jakobsen',304,56),(665,'Code definition rephrased','2019-07-25','Social velfærdsspolitik',53,'Henrik K.R. Jakobsen',304,56),(666,'Code definition rephrased','2019-07-25','Fritid, turisme og sport',53,'Henrik K.R. Jakobsen',304,56),(667,'Code definition rephrased','2019-07-25','Generel sundhed og trivsel',53,'Henrik K.R. Jakobsen',304,56),(668,'Code definition rephrased','2019-07-25','Sprog og lingvistik',53,'Henrik K.R. Jakobsen',304,56),(669,'Code descriptive term rephrased','2019-07-29','Ungdomsuddanelser og videregående uddannelse',53,'Henrik K.R. Jakobsen',304,56),(670,'Code descriptive term rephrased','2019-07-29','Obligatorisk undervisning og daginstitutioner',53,'Henrik K.R. Jakobsen',304,56),(671,'Code definition amended with meaning change','2019-07-29','Obligatorisk undervisning og dagtilbud',53,'Henrik K.R. Jakobsen',304,56),(672,'Code definition amended with meaning change','2019-07-29','Ungdomsuddanelse og videregående uddannelse',53,'Henrik K.R. Jakobsen',304,56),(673,'Code definition amended with meaning change','2019-07-29','Erhvervsuddannelse',53,'Henrik K.R. Jakobsen',304,56),(674,'Code definition amended with meaning change','2019-07-29','Livslang uddannelse/efteruddannelse',53,'Henrik K.R. Jakobsen',304,56),(675,'Code definition amended with meaning change','2019-07-29','Uddannelsespolitik',53,'Henrik K.R. Jakobsen',304,56),(676,'Code descriptive term rephrased','2019-08-12','Housing Unit',36,'Taina Jääskeläinen',321,47),(677,'Code descriptive term rephrased','2019-08-12','Time Unit',36,'Taina Jääskeläinen',321,47),(678,'Code added','2019-08-19','Health.DrugAbuseAlcoholAndSmoking',40,'Henri Ala-Lahti',358,56),(679,'Code added','2019-08-19','Health.PhysicalFitnessAndExercise',40,'Henri Ala-Lahti',358,56),(680,'Code added','2019-08-19','Health.DietAndNutrition',40,'Henri Ala-Lahti',358,56),(681,'Code deleted','2019-08-19','Code Health.HealthBehaviour deleted',40,'Henri Ala-Lahti',358,56),(682,'Code value changed','2019-08-19','Economic systems and development',40,'Henri Ala-Lahti',358,56),(683,'Code value changed','2019-08-19','Leisure, tourism and sport',40,'Henri Ala-Lahti',358,56),(684,'Code value changed','2019-08-20','Organization',49,'Sanda Ionescu',321,47),(685,'Code descriptive term rephrased','2019-08-20','Organization',49,'Sanda Ionescu',321,47),(686,'Code definition rephrased','2019-08-20','Organization/Institution',49,'Sanda Ionescu',321,47),(687,'Code definition rephrased','2019-08-20','Individual',49,'Sanda Ionescu',321,47),(688,'Code definition amended with meaning change','2019-08-20','Family',49,'Sanda Ionescu',321,47),(689,'Code definition rephrased','2019-08-21','Individual',49,'Sanda Ionescu',321,47),(690,'Code value changed','2019-08-21','Organization/Institution',49,'Sanda Ionescu',321,47),(691,'Code descriptive term rephrased','2019-08-21','Organization/Institution',49,'Sanda Ionescu',321,47),(692,'Code definition rephrased','2019-08-21','Organization/Institution',49,'Sanda Ionescu',321,47),(693,'Code definition amended with meaning change','2019-08-21','Family',49,'Sanda Ionescu',321,47),(694,'Code definition rephrased','2019-08-21','Family: Household family',49,'Sanda Ionescu',321,47),(695,'Code descriptive term rephrased','2019-08-21','Housing unit',49,'Sanda Ionescu',321,47),(696,'Code value changed','2019-08-21','Event/Process',49,'Sanda Ionescu',321,47),(697,'Code descriptive term rephrased','2019-08-21','Event/Process/Activity',49,'Sanda Ionescu',321,47),(698,'Code definition rephrased','2019-08-21','Event/Process/Activity',49,'Sanda Ionescu',321,47),(699,'Code descriptive term rephrased','2019-08-21','Geographic Unit',49,'Sanda Ionescu',321,47),(700,'Code added','2019-08-21','PoliticalAdministrativeArea',49,'Sanda Ionescu',321,47),(701,'Code descriptive term rephrased','2019-08-21','Time unit',49,'Sanda Ionescu',321,47),(702,'Code added','2019-08-21','MediaUnit',49,'Sanda Ionescu',321,47),(703,'Code value changed','2019-08-21','Text Unit',49,'Sanda Ionescu',321,47),(704,'Code descriptive term rephrased','2019-08-21','Media unit: Text',49,'Sanda Ionescu',321,47),(705,'Code definition rephrased','2019-08-21','Media unit: Text',49,'Sanda Ionescu',321,47),(706,'Code deleted','2019-08-21','Code MediaUnit.MediaUnitText deleted',49,'Sanda Ionescu',321,47),(707,'Code added','2019-08-21','MediaUnit.Text',49,'Sanda Ionescu',321,47),(708,'Code added','2019-08-21','MediaUnit.Sound',49,'Sanda Ionescu',321,47),(709,'Code added','2019-08-21','MediaUnit.StillImage',49,'Sanda Ionescu',321,47),(710,'Code added','2019-08-21','MediaUnit.Video',49,'Sanda Ionescu',321,47),(711,'Code definition rephrased','2019-08-21','Group',49,'Sanda Ionescu',321,47),(712,'CV definition amended with meaning change','2019-08-21','',49,'Sanda Ionescu',321,47),(713,'Code deleted','2019-08-21','Code Sound deleted',49,'Sanda Ionescu',321,47),(714,'Code added','2019-08-21','MediaUnit.Sound',49,'Sanda Ionescu',321,47),(715,'Code deleted','2019-08-21','Code Sound deleted',49,'Sanda Ionescu',321,47),(716,'Code added','2019-08-21','MediaUnit.Sound',49,'Sanda Ionescu',321,47),(717,'Code definition rephrased','2019-08-21','Individual',49,'Sanda Ionescu',359,47),(718,'Code value changed','2019-08-21','Organization',49,'Sanda Ionescu',359,47),(719,'Code descriptive term rephrased','2019-08-21','Organization',49,'Sanda Ionescu',359,47),(720,'Code definition rephrased','2019-08-21','Organization/Institution',49,'Sanda Ionescu',359,47),(721,'CV definition amended with meaning change','2019-08-21','',49,'Sanda Ionescu',359,47),(722,'Code definition rephrased','2019-08-21','Family',49,'Sanda Ionescu',359,47),(723,'Code definition rephrased','2019-08-21','Family: Household family',49,'Sanda Ionescu',359,47),(724,'Code descriptive term rephrased','2019-08-21','Housing Unit',49,'Sanda Ionescu',359,47),(725,'Code value changed','2019-08-21','Event/Process',49,'Sanda Ionescu',359,47),(726,'Code descriptive term rephrased','2019-08-21','Event/Process',49,'Sanda Ionescu',359,47),(727,'Code definition rephrased','2019-08-21','Event/Process/Activity',49,'Sanda Ionescu',359,47),(728,'Code descriptive term rephrased','2019-08-21','Geographic Unit',49,'Sanda Ionescu',359,47),(729,'Code added','2019-08-21','PoliticalAdministrativeArea',49,'Sanda Ionescu',359,47),(730,'Code descriptive term rephrased','2019-08-21','Time Unit',49,'Sanda Ionescu',359,47),(731,'Code deleted','2019-08-21','Code TextUnit deleted',49,'Sanda Ionescu',359,47),(732,'Code added','2019-08-21','MediaUnit',49,'Sanda Ionescu',359,47),(733,'Code added','2019-08-21','MediaUnit.Text',49,'Sanda Ionescu',359,47),(734,'Code added','2019-08-21','MediaUnit.Sound',49,'Sanda Ionescu',359,47),(735,'Code added','2019-08-21','MediaUnit.StillImage',49,'Sanda Ionescu',359,47),(736,'Code added','2019-08-21','MediaUnit.Video',49,'Sanda Ionescu',359,47),(737,'Code definition rephrased','2019-08-21','Group',49,'Sanda Ionescu',359,47),(738,'Code value changed','2019-08-22','Income, property and investment/saving',40,'Henri Ala-Lahti',358,56),(739,'Code value changed','2019-08-22','Compulsory and pre-school education',40,'Henri Ala-Lahti',358,56),(740,'Code value changed','2019-08-22','Higher and further education',40,'Henri Ala-Lahti',358,56),(741,'Code value changed','2019-08-22','Life-long/continuing education',40,'Henri Ala-Lahti',358,56),(742,'Code value changed','2019-08-22','Vocational education and training',40,'Henri Ala-Lahti',358,56),(743,'Code value changed','2019-08-22','Occupational health',40,'Henri Ala-Lahti',358,56),(744,'Code value changed','2019-08-22','Public health',40,'Henri Ala-Lahti',358,56),(745,'Code value changed','2019-08-22','Reproductive health',40,'Henri Ala-Lahti',358,56),(746,'Code value changed','2019-08-22','Equality, inequality and social exclusion',40,'Henri Ala-Lahti',358,56),(747,'Code value changed','2019-08-22','Specific social services: use and availability',40,'Henri Ala-Lahti',358,56),(748,'Code definition rephrased','2019-08-22','Health care services and policies',40,'Henri Ala-Lahti',358,56),(749,'Code deleted','2019-09-03','Code None deleted',40,'Henri Ala-Lahti',368,59),(750,'CV definition amended with meaning change','2019-09-03','Aineiston alkuperä',40,'Henri Ala-Lahti',369,53),(751,'CV Long Name changed','2019-09-03','Aineiston alkuperä',40,'Henri Ala-Lahti',369,53),(752,'CV Long Name changed','2019-09-03','Aineiston alku',40,'Henri Ala-Lahti',369,53),(753,'Code descriptive term rephrased','2019-09-03','Rekisterit/asiakirjat',40,'Henri Ala-Lahti',369,53),(754,'Code descriptive term rephrased','2019-09-03','Rekisterit/asiakirjat',40,'Henri Ala-Lahti',369,53),(755,'Code descriptive term rephrased','2019-09-03','Rekisterit',40,'Henri Ala-Lahti',369,53),(756,'Code deleted','2019-09-04','Code Economics.EconomicPolicyPublicExpenditureAndRevenue deleted',40,'Henri Ala-Lahti',370,56),(757,'Code deleted','2019-09-04','Code Economics.IncomePropertyAndInvestmentSaving deleted',40,'Henri Ala-Lahti',370,56),(758,'Code deleted','2019-09-04','Code Politics.GovernmentPoliticalSystemsAndOrganisations deleted',40,'Henri Ala-Lahti',370,56),(759,'Code deleted','2019-09-05','Code RegistersRecordsAccounts.Administrative deleted',66,'Patrícia Miranda',377,53),(760,'Code deleted','2019-09-05','Code RegistersRecordsAccounts.Administrative deleted',66,'Patrícia Miranda',377,53),(761,'Code deleted','2019-09-05','Code Processes.Workflows deleted',66,'Patrícia Miranda',377,53),(762,'TL code added','2019-09-06','Health.DrugAbuseAlcoholAndSmoking',40,'Henri Ala-Lahti',363,56),(763,'Code deleted','2019-09-06','Code Health.DrugAbuseAlcoholAndSmoking deleted',40,'Henri Ala-Lahti',363,56),(764,'TL code added','2019-09-06','Health.DrugAbuseAlcoholAndSmoking',40,'Henri Ala-Lahti',363,56),(765,'Code deleted','2019-09-06','Code Health.DrugAbuseAlcoholAndSmoking deleted',40,'Henri Ala-Lahti',363,56),(766,'TL code added','2019-09-06','Health.DrugAbuseAlcoholAndSmoking',40,'Henri Ala-Lahti',363,56),(767,'TL code added','2019-09-06','Health.PhysicalFitnessAndExercise',40,'Henri Ala-Lahti',363,56),(768,'Code deleted','2019-09-06','Code EventsInteractions deleted',40,'Henri Ala-Lahti',377,53),(769,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.VotingResults deleted',40,'Henri Ala-Lahti',377,53),(770,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.Personal deleted',40,'Henri Ala-Lahti',377,53),(771,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.EconomicFinancial deleted',40,'Henri Ala-Lahti',377,53),(772,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.AcademicAptitude deleted',40,'Henri Ala-Lahti',377,53),(773,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.MedicalClinical deleted',40,'Henri Ala-Lahti',377,53),(774,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.Legal deleted',40,'Henri Ala-Lahti',377,53),(775,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.Historical deleted',40,'Henri Ala-Lahti',377,53),(776,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.Historical deleted',40,'Henri Ala-Lahti',377,53),(777,'Code deleted','2019-09-06','Code RegistersRecordsAccounts.Administrative deleted',40,'Henri Ala-Lahti',377,53),(778,'Code deleted','2019-09-06','Code RegistersRecordsAccounts deleted',40,'Henri Ala-Lahti',377,53),(779,'Code deleted','2019-09-06','Code Processes deleted',40,'Henri Ala-Lahti',377,53),(780,'Code deleted','2019-09-06','Code Communications deleted',40,'Henri Ala-Lahti',377,53),(781,'Code deleted','2019-09-06','Code Communications.Interpersonal deleted',40,'Henri Ala-Lahti',377,53),(782,'Code deleted','2019-09-06','Code ResearchData deleted',40,'Henri Ala-Lahti',377,53),(783,'Code deleted','2019-09-06','Code PopulationGroup deleted',40,'Henri Ala-Lahti',377,53),(784,'Code deleted','2019-09-06','Code GeographicArea deleted',40,'Henri Ala-Lahti',377,53),(785,'Code deleted','2019-09-06','Code PhysicalObjects deleted',40,'Henri Ala-Lahti',377,53),(786,'Code deleted','2019-09-06','Code BiologicalSamples deleted',40,'Henri Ala-Lahti',377,53),(787,'Code deleted','2019-09-06','Code Other deleted',40,'Henri Ala-Lahti',377,53),(788,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(789,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(790,'Code deleted','2019-09-06','Code Interview.FaceToFace.CAPIorCAMI deleted',40,'Henri Ala-Lahti',373,72),(791,'Code deleted','2019-09-06','Code Interview.FaceToFace deleted',40,'Henri Ala-Lahti',373,72),(792,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(793,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(794,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(795,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(796,'Code deleted','2019-09-06','Code Interview.FaceToFace deleted',40,'Henri Ala-Lahti',373,72),(797,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(798,'Code deleted','2019-09-06','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(799,'Code deleted','2019-09-06','Code SelfAdministeredQuestionnaire deleted',40,'Henri Ala-Lahti',373,72),(800,'Code deleted','2019-09-06','Code ThreeD deleted',66,'Patrícia Miranda',379,48),(801,'Code deleted','2019-09-06','Code Other deleted',66,'Patrícia Miranda',379,48),(802,'Code deleted','2019-09-09','Code Numeric deleted',40,'Henri Ala-Lahti',379,48),(803,'Code deleted','2019-09-09','Code Numeric deleted',40,'Henri Ala-Lahti',379,48),(804,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(805,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(806,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(807,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(808,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(809,'Code deleted','2019-09-09','Code Text deleted',66,'Patrícia Miranda',379,48),(810,'Code deleted','2019-09-09','Code StillImage deleted',66,'Patrícia Miranda',379,48),(811,'Code deleted','2019-09-09','Code Demography.Censuses deleted',40,'Henri Ala-Lahti',370,56),(812,'Code deleted','2019-09-09','Code Identical deleted',40,'Henri Ala-Lahti',380,59),(813,'Code deleted','2019-09-10','Code Text deleted',40,'Henri Ala-Lahti',379,48),(814,'Code deleted','2019-09-10','Code StillImage deleted',40,'Henri Ala-Lahti',379,48),(815,'Code deleted','2019-09-10','Code Geospatial deleted',40,'Henri Ala-Lahti',379,48),(816,'Code deleted','2019-09-10','Code Audio deleted',40,'Henri Ala-Lahti',379,48),(817,'Code deleted','2019-09-10','Code Video deleted',40,'Henri Ala-Lahti',379,48),(818,'Code deleted','2019-09-10','Code Software deleted',40,'Henri Ala-Lahti',379,48),(819,'Code deleted','2019-09-10','Code InteractiveResource deleted',40,'Henri Ala-Lahti',379,48),(820,'Code deleted','2019-09-10','Code ThreeD deleted',40,'Henri Ala-Lahti',379,48),(821,'Code deleted','2019-09-10','Code Other deleted',40,'Henri Ala-Lahti',379,48),(822,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(823,'Code deleted','2019-09-11','Code Interview.Telephone deleted',40,'Henri Ala-Lahti',373,72),(824,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(825,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(826,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(827,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(828,'Code deleted','2019-09-11','Code TotalUniverseCompleteEnumeration deleted',40,'Henri Ala-Lahti',374,55),(829,'Code deleted','2019-09-11','Code Longitudinal deleted',40,'Henri Ala-Lahti',375,73),(830,'Code deleted','2019-09-11','Code Longitudinal deleted',40,'Henri Ala-Lahti',375,73),(831,'Code deleted','2019-09-11','Code Longitudinal.CohortEventBased deleted',40,'Henri Ala-Lahti',375,73),(832,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(833,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(834,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(835,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(836,'Code deleted','2019-09-11','Code Interview deleted',40,'Henri Ala-Lahti',373,72),(837,'Code deleted','2019-09-11','Code Interview deleted',66,'Patrícia Miranda',373,72),(838,'Code deleted','2019-09-12','Code Interview deleted',66,'Patrícia Miranda',373,72),(839,'Code deleted','2019-09-12','Code Interview deleted',66,'Patrícia Miranda',373,72),(840,'Code deleted','2019-09-12','Code Interview deleted',66,'Patrícia Miranda',373,72),(841,'Code deleted','2019-09-12','Code Interview deleted',66,'Patrícia Miranda',373,72),(842,'CV Long Name changed','2019-09-13','Tutkimuksen aikaulottuvuus',40,'Henri Ala-Lahti',382,73),(843,'CV Long Name changed','2019-09-13','Tutkimuksen aika',40,'Henri Ala-Lahti',382,73),(844,'CV Long Name changed','2019-09-13','Tutkimuksen aikaulottuvuus',40,'Henri Ala-Lahti',382,73),(845,'Code deleted','2019-09-19','Code Nonprobability.Quota deleted',66,'Patrícia Miranda',374,55),(846,'Code deleted','2019-09-24','Code Other deleted',66,'Patrícia Miranda',375,73),(847,'Code deleted','2019-09-24','Code DataCollectionGuidelines.DiscussionGuide deleted',66,'Patrícia Miranda',376,52),(848,'Code definition rephrased','2019-09-24','Geographic unit',49,'Sanda Ionescu',359,47),(849,'Code definition rephrased','2019-10-13','Event/Process/Activity',36,'Taina Jääskeläinen',359,47),(850,'Code deleted','2019-10-16','Code Individual deleted',66,'Patrícia Miranda',391,47),(851,'Code deleted','2019-10-21','Code Family deleted',66,'Patrícia Miranda',391,47),(852,'Code deleted','2019-10-21','Code MediaUnit deleted',66,'Patrícia Miranda',391,47),(853,'Code deleted','2019-10-21','Code MediaUnit deleted',66,'Patrícia Miranda',391,47),(854,'Code deleted','2019-10-22','Code Interview deleted',70,'Alexandre Mairot',371,72),(855,'Code deleted','2019-10-22','Code Interview deleted',70,'Alexandre Mairot',371,72),(856,'Code deleted','2019-10-22','Code SelfAdministeredWritingsAndDiaries deleted',70,'Alexandre Mairot',371,72),(857,'Code descriptive term rephrased','2019-10-22','Aggrégation',70,'Alexandre Mairot',397,72),(858,'Code definition amended with meaning change','2019-10-23','Eloton objekti/esine',36,'Taina Jääskeläinen',387,47),(859,'Code deleted','2019-10-31','Code Interview deleted',66,'Patrícia Miranda',373,72),(860,'Code deleted','2019-10-31','Code Interview deleted',66,'Patrícia Miranda',373,72),(861,'Code deleted','2019-10-31','Code Interview deleted',66,'Patrícia Miranda',373,72),(862,'Code deleted','2019-10-31','Code Interview.FaceToFace.CAPIorCAMI deleted',66,'Patrícia Miranda',373,72),(863,'TL code added','2019-11-04','PoliticalAdministrativeArea',53,'Henrik K.R. Jakobsen',390,47),(864,'TL code added','2019-11-04','MediaUnit',53,'Henrik K.R. Jakobsen',390,47),(865,'TL code added','2019-11-04','MediaUnit.Sound',53,'Henrik K.R. Jakobsen',390,47),(866,'TL code added','2019-11-04','MediaUnit.StillImage',53,'Henrik K.R. Jakobsen',390,47),(867,'TL code added','2019-11-04','MediaUnit.Text',53,'Henrik K.R. Jakobsen',390,47),(868,'TL code added','2019-11-04','MediaUnit.Video',53,'Henrik K.R. Jakobsen',390,47),(869,'Code deleted','2019-11-04','Code PoliticalAdministrativeArea deleted',53,'Henrik K.R. Jakobsen',390,47),(870,'TL code added','2019-11-04','PoliticalAdministrativeArea',53,'Henrik K.R. Jakobsen',390,47),(871,'Code deleted','2019-11-04','Code PoliticalAdministrativeArea deleted',53,'Henrik K.R. Jakobsen',390,47),(872,'TL code added','2019-11-04','PoliticalAdministrativeArea',53,'Henrik K.R. Jakobsen',390,47),(873,'Code deleted','2019-11-04','Code MediaUnit deleted',53,'Henrik K.R. Jakobsen',390,47),(874,'TL code added','2019-11-04','MediaUnit',53,'Henrik K.R. Jakobsen',390,47),(875,'TL code added','2019-11-04','MediaUnit.Sound',53,'Henrik K.R. Jakobsen',390,47),(876,'TL code added','2019-11-04','MediaUnit.StillImage',53,'Henrik K.R. Jakobsen',390,47),(877,'TL code added','2019-11-04','MediaUnit.Text',53,'Henrik K.R. Jakobsen',390,47),(878,'TL code added','2019-11-04','MediaUnit.Video',53,'Henrik K.R. Jakobsen',390,47),(879,'TL code added','2019-11-04','Individual',53,'Henrik K.R. Jakobsen',390,47),(880,'Code descriptive term rephrased','2019-11-04','Organisation',53,'Henrik K.R. Jakobsen',390,47),(881,'Code definition amended with meaning change','2019-11-04','Organisation/Institution',53,'Henrik K.R. Jakobsen',390,47),(882,'TL code added','2019-11-04','Family',53,'Henrik K.R. Jakobsen',390,47),(883,'TL code added','2019-11-04','Family.HouseholdFamily',53,'Henrik K.R. Jakobsen',390,47),(884,'Code definition amended with meaning change','2019-11-04','Husstand',53,'Henrik K.R. Jakobsen',390,47),(885,'Code definition amended with meaning change','2019-11-04','Boligenhed',53,'Henrik K.R. Jakobsen',390,47),(886,'Code descriptive term rephrased','2019-11-04','Event/Proces/Aktivitet',53,'Henrik K.R. Jakobsen',390,47),(887,'Code definition amended with meaning change','2019-11-04','Event/Proces/Aktivitet',53,'Henrik K.R. Jakobsen',390,47),(888,'Code definition amended with meaning change','2019-11-04','Geografisk enhed',53,'Henrik K.R. Jakobsen',390,47),(889,'Code definition amended with meaning change','2019-11-04','Gruppe',53,'Henrik K.R. Jakobsen',390,47),(890,'Code deleted','2019-11-04','Code Group deleted',53,'Henrik K.R. Jakobsen',390,47),(891,'TL code added','2019-11-04','Group',53,'Henrik K.R. Jakobsen',390,47),(892,'Code definition amended with meaning change','2019-11-04','Objekt',53,'Henrik K.R. Jakobsen',390,47),(893,'Code definition amended with meaning change','2019-11-04','Andet',53,'Henrik K.R. Jakobsen',390,47),(894,'CV Short Name changed','2019-11-04','Analysenhed',53,'Henrik K.R. Jakobsen',390,47),(895,'TL code added','2019-11-16','Economics.IncomePropertyAndInvestmentSaving',36,'Taina Jääskeläinen',363,56),(896,'TL code added','2019-11-16','History',36,'Taina Jääskeläinen',363,56),(897,'TL code added','2019-11-16','LabourAndEmployment.EmployeeTraining',36,'Taina Jääskeläinen',363,56),(898,'TL code added','2019-11-16','Demography',36,'Taina Jääskeläinen',363,56),(899,'TL code added','2019-11-16','Demography.Censuses',36,'Taina Jääskeläinen',363,56),(900,'TL code added','2019-11-16','Demography.Migration',36,'Taina Jääskeläinen',363,56),(901,'TL code added','2019-11-16','Demography.MorbidityAndMortality',36,'Taina Jääskeläinen',363,56),(902,'TL code added','2019-11-16','Economics',36,'Taina Jääskeläinen',363,56),(903,'TL code added','2019-11-16','Economics.ConsumptionAndConsumerBehaviour',36,'Taina Jääskeläinen',363,56),(904,'TL code added','2019-11-16','Economics.EconomicConditionsAndIndicators',36,'Taina Jääskeläinen',363,56),(905,'TL code added','2019-11-16','Economics.EconomicPolicyPublicExpenditureAndRevenue',36,'Taina Jääskeläinen',363,56),(906,'TL code added','2019-11-16','Economics.EconomicSystemsAndDevelopment',36,'Taina Jääskeläinen',363,56),(907,'TL code added','2019-11-16','Education',36,'Taina Jääskeläinen',363,56),(908,'TL code added','2019-11-16','Education.CompulsoryAndPreschoolEducation',36,'Taina Jääskeläinen',363,56),(909,'TL code added','2019-11-18','Education.EducationalPolicy',71,'Niko Koski',363,56),(910,'TL code added','2019-11-18','Education.HigherAndFurtherEducation',71,'Niko Koski',363,56),(911,'TL code added','2019-11-18','Education.LifelongContinuingEducation',71,'Niko Koski',363,56),(912,'TL code added','2019-11-18','Education.VocationalEducationAndTraining',71,'Niko Koski',363,56),(913,'TL code added','2019-11-18','Health',71,'Niko Koski',363,56),(914,'TL code added','2019-11-18','Health.GeneralHealthAndWellbeing',71,'Niko Koski',363,56),(915,'TL code added','2019-11-18','Health.HealthCareServicesAndPolicies',71,'Niko Koski',363,56),(916,'TL code added','2019-11-18','Health.MedicationAndTreatment',71,'Niko Koski',363,56),(917,'TL code added','2019-11-18','Health.OccupationalHealth',71,'Niko Koski',363,56),(918,'TL code added','2019-11-18','Health.PublicHealth',71,'Niko Koski',363,56),(919,'TL code added','2019-11-18','Health.ReproductiveHealth',71,'Niko Koski',363,56),(920,'TL code added','2019-11-18','Health.SignsAndSymptomsPathologicalConditions',71,'Niko Koski',363,56),(921,'TL code added','2019-11-18','Health.SpecificDiseasesDisordersAndMedicalConditions',71,'Niko Koski',363,56),(922,'TL code added','2019-11-18','Health.WoundsAndInjuries',71,'Niko Koski',363,56),(923,'TL code added','2019-11-18','HousingAndLandUse',71,'Niko Koski',363,56),(924,'TL code added','2019-11-18','HousingAndLandUse.Housing',71,'Niko Koski',363,56),(925,'TL code added','2019-11-18','HousingAndLandUse.LandUseAndPlanning',71,'Niko Koski',363,56),(926,'TL code added','2019-11-18','LabourAndEmployment',71,'Niko Koski',363,56),(927,'TL code added','2019-11-18','LabourAndEmployment.Employment',71,'Niko Koski',363,56),(928,'TL code added','2019-11-18','LabourAndEmployment.LabourAndEmploymentPolicy',71,'Niko Koski',363,56),(929,'TL code added','2019-11-18','LabourAndEmployment.LabourRelationsConflict',71,'Niko Koski',363,56),(930,'TL code added','2019-11-18','LabourAndEmployment.Retirement',71,'Niko Koski',363,56),(931,'TL code added','2019-11-18','LabourAndEmployment.Unemployment',71,'Niko Koski',363,56),(932,'TL code added','2019-11-18','LabourAndEmployment.WorkingConditions',71,'Niko Koski',363,56),(933,'TL code added','2019-11-18','LawCrimeAndLegalSystems',71,'Niko Koski',363,56),(934,'TL code added','2019-11-18','LawCrimeAndLegalSystems.CrimeAndLawEnforcement',71,'Niko Koski',363,56),(935,'TL code added','2019-11-18','LawCrimeAndLegalSystems.LegislationAndLegalSystems',71,'Niko Koski',363,56),(936,'TL code added','2019-11-18','MediaCommunicationAndLanguage',71,'Niko Koski',363,56),(937,'TL code added','2019-11-18','MediaCommunicationAndLanguage.InformationSociety',71,'Niko Koski',363,56),(938,'TL code added','2019-11-18','MediaCommunicationAndLanguage.LanguageAndLinguistics',71,'Niko Koski',363,56),(939,'TL code added','2019-11-18','MediaCommunicationAndLanguage.Media',71,'Niko Koski',363,56),(940,'TL code added','2019-11-18','MediaCommunicationAndLanguage.PublicRelations',71,'Niko Koski',363,56),(941,'TL code added','2019-11-18','NaturalEnvironment',71,'Niko Koski',363,56),(942,'TL code added','2019-11-18','NaturalEnvironment.EnergyAndNaturalResources',71,'Niko Koski',363,56),(943,'TL code added','2019-11-18','NaturalEnvironment.EnvironmentAndConservation',71,'Niko Koski',363,56),(944,'TL code added','2019-11-18','NaturalEnvironment.NaturalLandscapes',71,'Niko Koski',363,56),(945,'TL code added','2019-11-18','NaturalEnvironment.PlantsAndAnimals',71,'Niko Koski',363,56),(946,'TL code added','2019-11-18','Politics',71,'Niko Koski',363,56),(947,'TL code added','2019-11-18','Politics.ConflictSecurityAndPeace',71,'Niko Koski',363,56),(948,'TL code added','2019-11-18','Politics.Elections',71,'Niko Koski',363,56),(949,'TL code added','2019-11-18','Politics.GovernmentPoliticalSystemsAndOrganisations',71,'Niko Koski',363,56),(950,'TL code added','2019-11-18','Politics.InternationalPoliticsAndOrganisations',71,'Niko Koski',363,56),(951,'TL code added','2019-11-18','Politics.PoliticalBehaviourAndAttitudes',71,'Niko Koski',363,56),(952,'TL code added','2019-11-18','Politics.PoliticalIdeology',71,'Niko Koski',363,56),(953,'TL code added','2019-11-18','Psychology',71,'Niko Koski',363,56),(954,'TL code added','2019-11-18','ScienceAndTechnology',71,'Niko Koski',363,56),(955,'TL code added','2019-11-18','ScienceAndTechnology.Biotechnology',71,'Niko Koski',363,56),(956,'TL code added','2019-11-18','ScienceAndTechnology.InformationTechnology',71,'Niko Koski',363,56),(957,'TL code added','2019-11-18','SocialStratificationAndGroupings',71,'Niko Koski',363,56),(958,'TL code added','2019-11-18','SocialStratificationAndGroupings.Children',71,'Niko Koski',363,56),(959,'TL code added','2019-11-18','SocialStratificationAndGroupings.Elderly',71,'Niko Koski',363,56),(960,'TL code added','2019-11-18','SocialStratificationAndGroupings.ElitesAndLeadership',71,'Niko Koski',363,56),(961,'TL code added','2019-11-18','SocialStratificationAndGroupings.EqualityInequalityAndSocialExclusion',71,'Niko Koski',363,56),(962,'TL code added','2019-11-18','SocialStratificationAndGroupings.FamilyLifeAndMarriage',71,'Niko Koski',363,56),(963,'TL code added','2019-11-18','SocialStratificationAndGroupings.GenderAndGenderRoles',71,'Niko Koski',363,56),(964,'TL code added','2019-11-18','SocialStratificationAndGroupings.Minorities',71,'Niko Koski',363,56),(965,'TL code added','2019-11-18','SocialStratificationAndGroupings.SocialAndOccupationalMobility',71,'Niko Koski',363,56),(966,'TL code added','2019-11-18','SocialStratificationAndGroupings.Youth',71,'Niko Koski',363,56),(967,'TL code added','2019-11-18','SocialWelfarePolicyAndSystems',71,'Niko Koski',363,56),(968,'TL code added','2019-11-18','SocialWelfarePolicyAndSystems.SocialWelfarePolicy',71,'Niko Koski',363,56),(969,'TL code added','2019-11-18','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures',71,'Niko Koski',363,56),(970,'TL code added','2019-11-18','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability',71,'Niko Koski',363,56),(971,'TL code added','2019-11-18','SocietyAndCulture',71,'Niko Koski',363,56),(972,'TL code added','2019-11-18','SocietyAndCulture.CommunityUrbanAndRuralLife',71,'Niko Koski',363,56),(973,'TL code added','2019-11-18','SocietyAndCulture.CulturalActivitiesAndParticipation',71,'Niko Koski',363,56),(974,'TL code added','2019-11-18','SocietyAndCulture.CulturalAndNationalIdentity',71,'Niko Koski',363,56),(975,'TL code added','2019-11-18','SocietyAndCulture.LeisureTourismAndSport',71,'Niko Koski',363,56),(976,'TL code added','2019-11-18','SocietyAndCulture.ReligionAndValues',71,'Niko Koski',363,56),(977,'TL code added','2019-11-18','SocietyAndCulture.SocialBehaviourAndAttitudes',71,'Niko Koski',363,56),(978,'TL code added','2019-11-18','SocietyAndCulture.SocialChange',71,'Niko Koski',363,56),(979,'TL code added','2019-11-18','SocietyAndCulture.SocialConditionsAndIndicators',71,'Niko Koski',363,56),(980,'TL code added','2019-11-18','SocietyAndCulture.TimeUse',71,'Niko Koski',363,56),(981,'TL code added','2019-11-18','TradeIndustryAndMarkets',71,'Niko Koski',363,56),(982,'TL code added','2019-11-18','TradeIndustryAndMarkets.AgricultureAndRuralIndustry',71,'Niko Koski',363,56),(983,'TL code added','2019-11-18','TradeIndustryAndMarkets.BusinessIndustrialManagementAndOrganisation',71,'Niko Koski',363,56),(984,'TL code added','2019-11-18','TradeIndustryAndMarkets.ForeignTrade',71,'Niko Koski',363,56),(985,'TL code added','2019-11-18','TransportAndTravel',71,'Niko Koski',363,56),(986,'TL code added','2019-11-18','Other',71,'Niko Koski',363,56),(987,'Code descriptive term rephrased','2019-11-25','Arithmetic Mean',49,'Sanda Ionescu',415,57),(988,'Code descriptive term rephrased','2019-11-25','Cumulative Percent',49,'Sanda Ionescu',415,57),(989,'Code descriptive term rephrased','2019-11-25','Percentile Rank',49,'Sanda Ionescu',415,57),(990,'Code definition rephrased','2019-11-25','Count',49,'Sanda Ionescu',415,57),(991,'Code definition rephrased','2019-11-25','Mode',49,'Sanda Ionescu',415,57),(992,'Code definition rephrased','2019-11-25','Float',49,'Sanda Ionescu',417,70),(993,'Code definition rephrased','2019-11-25','Double',49,'Sanda Ionescu',417,70),(994,'Code definition rephrased','2019-11-25','Float',49,'Sanda Ionescu',418,60),(995,'Code definition rephrased','2019-11-25','Double',49,'Sanda Ionescu',418,60),(996,'TL code added','2019-11-27','Individual',69,'Morten Jakobsen',386,47),(997,'Code definition amended with meaning change','2019-11-27','Organisasjon',69,'Morten Jakobsen',386,47),(998,'TL code added','2019-11-27','Family',69,'Morten Jakobsen',386,47),(999,'TL code added','2019-11-27','Family.HouseholdFamily',69,'Morten Jakobsen',386,47),(1000,'Code definition rephrased','2019-11-27','Bruksenhet',69,'Morten Jakobsen',386,47),(1001,'Code definition rephrased','2019-11-27','Bruksenhet',69,'Morten Jakobsen',386,47),(1002,'Code descriptive term rephrased','2019-11-27','Bruksenhet',69,'Morten Jakobsen',386,47),(1003,'Code descriptive term rephrased','2019-11-27','Hendelse/prosess/aktivtet',69,'Morten Jakobsen',386,47),(1004,'Code definition amended with meaning change','2019-11-27','Lagt til siste to setninger',69,'Morten Jakobsen',386,47),(1005,'Code definition amended with meaning change','2019-11-27','lagt til eksempel',69,'Morten Jakobsen',386,47),(1006,'TL code added','2019-11-27','PoliticalAdministrativeArea',69,'Morten Jakobsen',386,47),(1007,'TL code added','2019-11-27','MediaUnit',69,'Morten Jakobsen',386,47),(1008,'TL code added','2019-11-27','MediaUnit.Sound',69,'Morten Jakobsen',386,47),(1009,'TL code added','2019-11-27','MediaUnit.StillImage',69,'Morten Jakobsen',386,47),(1010,'TL code added','2019-11-27','MediaUnit.Text',69,'Morten Jakobsen',386,47),(1011,'TL code added','2019-11-27','MediaUnit.Video',69,'Morten Jakobsen',386,47),(1012,'TL code added','2019-11-27','Group',69,'Morten Jakobsen',386,47),(1013,'Code descriptive term rephrased','2019-11-27','La til \'institusjon\'',69,'Morten Jakobsen',386,47),(1014,'TL code added','2019-12-02','Health.PhysicalFitnessAndExercise',68,'Anne Marie Try Laundal',365,56),(1015,'TL code added','2019-12-02','Health.DietAndNutrition',68,'Anne Marie Try Laundal',365,56),(1016,'TL code added','2019-12-02','Health.DrugAbuseAlcoholAndSmoking',68,'Anne Marie Try Laundal',365,56),(1017,'TL code added','2019-12-02','Health.DietAndNutrition',55,'Tanja Friedrich',362,56),(1018,'TL code added','2019-12-02','Health.DrugAbuseAlcoholAndSmoking',55,'Tanja Friedrich',362,56),(1019,'TL code added','2019-12-02','Demography.Censuses',68,'Anne Marie Try Laundal',365,56),(1020,'TL code added','2019-12-02','Economics.EconomicPolicyPublicExpenditureAndRevenue',68,'Anne Marie Try Laundal',365,56),(1021,'TL code added','2019-12-02','Economics.IncomePropertyAndInvestmentSaving',68,'Anne Marie Try Laundal',365,56),(1022,'TL code added','2019-12-02','Politics.GovernmentPoliticalSystemsAndOrganisations',68,'Anne Marie Try Laundal',365,56),(1023,'TL code added','2019-12-02','Individual',58,'Lisa Isaksson',388,47),(1024,'TL code added','2019-12-02','Family',58,'Lisa Isaksson',388,47),(1025,'TL code added','2019-12-02','Family.HouseholdFamily',58,'Lisa Isaksson',388,47),(1026,'Code descriptive term rephrased','2019-12-02','Händelse/process',58,'Lisa Isaksson',388,47),(1027,'Code descriptive term rephrased','2019-12-02','Händelse/process/Aktivitet',58,'Lisa Isaksson',388,47),(1028,'Code definition amended with meaning change','2019-12-02','Händelse/process/aktivitet',58,'Lisa Isaksson',388,47),(1029,'Code definition rephrased','2019-12-02','Geografisk enhet',58,'Lisa Isaksson',388,47),(1030,'Code definition rephrased','2019-12-02','Organisation/institution',58,'Lisa Isaksson',388,47),(1031,'Code definition rephrased','2019-12-02','Händelse/process/aktivitet',58,'Lisa Isaksson',388,47),(1032,'TL code added','2019-12-02','PoliticalAdministrativeArea',58,'Lisa Isaksson',388,47),(1033,'TL code added','2019-12-02','MediaUnit',58,'Lisa Isaksson',388,47),(1034,'TL code added','2019-12-02','MediaUnit.Sound',58,'Lisa Isaksson',388,47),(1035,'TL code added','2019-12-02','MediaUnit.StillImage',58,'Lisa Isaksson',388,47),(1036,'TL code added','2019-12-02','MediaUnit.Text',58,'Lisa Isaksson',388,47),(1037,'TL code added','2019-12-02','MediaUnit.Video',58,'Lisa Isaksson',388,47),(1038,'TL code added','2019-12-02','Group',58,'Lisa Isaksson',388,47),(1039,'Code definition rephrased','2019-12-02','Föremål',58,'Lisa Isaksson',388,47),(1040,'TL code added','2019-12-02','Health.DietAndNutrition',58,'Lisa Isaksson',367,56),(1041,'TL code added','2019-12-02','Health.DrugAbuseAlcoholAndSmoking',58,'Lisa Isaksson',367,56),(1042,'TL code added','2019-12-02','Health.PhysicalFitnessAndExercise',58,'Lisa Isaksson',367,56),(1043,'Code definition rephrased','2019-12-02','Informationssamhället',58,'Lisa Isaksson',367,56),(1044,'Code definition rephrased','2019-12-02','Jämlikhet, ojämlikhet och socialt utanförskap',58,'Lisa Isaksson',367,56),(1045,'Code definition rephrased','2019-12-02','Geografisk enhet',58,'Lisa Isaksson',388,47),(1046,'TL code added','2019-12-02','Demography.Censuses',58,'Lisa Isaksson',367,56),(1047,'TL code added','2019-12-02','Economics.EconomicPolicyPublicExpenditureAndRevenue',58,'Lisa Isaksson',367,56),(1048,'TL code added','2019-12-02','Economics.IncomePropertyAndInvestmentSaving',58,'Lisa Isaksson',367,56),(1049,'TL code added','2019-12-02','Politics.GovernmentPoliticalSystemsAndOrganisations',58,'Lisa Isaksson',367,56),(1050,'TL code added','2019-12-03','Health.PhysicalFitnessAndExercise',55,'Tanja Friedrich',362,56),(1051,'TL code added','2019-12-03','Demography.Censuses',55,'Tanja Friedrich',362,56),(1052,'TL code added','2019-12-03','Economics.IncomePropertyAndInvestmentSaving',55,'Tanja Friedrich',362,56),(1053,'TL code added','2019-12-03','Economics.EconomicPolicyPublicExpenditureAndRevenue',55,'Tanja Friedrich',362,56),(1054,'TL code added','2019-12-03','Politics.GovernmentPoliticalSystemsAndOrganisations',55,'Tanja Friedrich',362,56),(1055,'Code descriptive term rephrased','2019-12-17','Série temporelle : continue',70,'Alexandre Mairot',419,73),(1056,'Code descriptive term rephrased','2019-12-17','Probabiliste : stratifié : disproportionnel',70,'Alexandre Mairot',420,55),(1057,'Code descriptive term rephrased','2019-12-17','LOI, CRIMINALITÉ ET SYSTÈME LEGAL',70,'Alexandre Mairot',421,56),(1058,'Code value changed','2019-12-17','Signes et symptomes ; conditions pathologiques',70,'Alexandre Mairot',421,56),(1059,'Code descriptive term rephrased','2019-12-17','Espace politico-administatif',70,'Alexandre Mairot',422,47),(1060,'Code definition rephrased','2020-01-08','Organisaatio',71,'Niko Koski',387,47),(1061,'TL code added','2020-01-08','Family',71,'Niko Koski',387,47),(1062,'TL code added','2020-01-08','Family.HouseholdFamily',71,'Niko Koski',387,47),(1063,'Code definition rephrased','2020-01-08','Kotitalous',71,'Niko Koski',387,47),(1064,'Code definition rephrased','2020-01-08','Tapahtuma/prosessi/toiminta',71,'Niko Koski',387,47),(1065,'Code definition rephrased','2020-01-08','Maantieteellinen alue',71,'Niko Koski',387,47),(1066,'TL code added','2020-01-08','PoliticalAdministrativeArea',71,'Niko Koski',387,47),(1067,'TL code added','2020-01-08','MediaUnit',71,'Niko Koski',387,47),(1068,'TL code added','2020-01-08','MediaUnit.Sound',71,'Niko Koski',387,47),(1069,'TL code added','2020-01-08','MediaUnit.StillImage',71,'Niko Koski',387,47),(1070,'TL code added','2020-01-08','MediaUnit.Text',71,'Niko Koski',387,47),(1071,'TL code added','2020-01-08','MediaUnit.Video',71,'Niko Koski',387,47),(1072,'TL code added','2020-01-08','Group',71,'Niko Koski',387,47),(1073,'TL code added','2020-01-08','Individual',71,'Niko Koski',387,47),(1074,'CV definition rephrased','2020-01-09','Havainto/aineistoyksikkötyyppi',36,'Taina Jääskeläinen',387,47),(1075,'Code descriptive term rephrased','2020-01-09','Kotitalous',36,'Taina Jääskeläinen',387,47),(1076,'Code definition rephrased','2020-01-09','Asuntokunta',36,'Taina Jääskeläinen',387,47),(1077,'Code descriptive term rephrased','2020-01-16','Maantieteellinen alue muutettu Maantieteelliseksi yksiköksi.',36,'Taina Jääskeläinen',387,47),(1078,'Code value changed','2020-01-29','olitique économique, dépenses publiques et recettes',70,'Alexandre Mairot',426,56),(1079,'Code descriptive term rephrased','2020-01-30','Muu havaintoyksikkö/aineistoyksikkötyyppi',36,'Taina Jääskeläinen',427,47),(1080,'Code definition rephrased','2020-02-03','Generel sundhed og trivsel',53,'Henrik K.R. Jakobsen',361,56),(1081,'TL code added','2020-02-03','Health.DietAndNutrition',53,'Henrik K.R. Jakobsen',361,56),(1082,'TL code added','2020-02-03','Health.DrugAbuseAlcoholAndSmoking',53,'Henrik K.R. Jakobsen',361,56),(1083,'Code deleted','2020-02-03','Code Health.DrugAbuseAlcoholAndSmoking deleted',53,'Henrik K.R. Jakobsen',361,56),(1084,'TL code added','2020-02-03','Health.DrugAbuseAlcoholAndSmoking',53,'Henrik K.R. Jakobsen',361,56),(1085,'TL code added','2020-02-03','Health.PhysicalFitnessAndExercise',53,'Henrik K.R. Jakobsen',361,56),(1086,'TL code added','2020-02-03','Politics.GovernmentPoliticalSystemsAndOrganisations',53,'Henrik K.R. Jakobsen',361,56),(1087,'TL code added','2020-02-03','Economics.EconomicPolicyPublicExpenditureAndRevenue',53,'Henrik K.R. Jakobsen',361,56),(1088,'TL code added','2020-02-03','Demography.Censuses',53,'Henrik K.R. Jakobsen',361,56),(1089,'Code deleted','2020-02-04','Code Sum deleted',53,'Henrik K.R. Jakobsen',428,57),(1090,'Code deleted','2020-02-04','Code Percent deleted',53,'Henrik K.R. Jakobsen',428,57),(1091,'Code deleted','2020-02-04','Code PercentileRank deleted',53,'Henrik K.R. Jakobsen',428,57),(1092,'Code descriptive term rephrased','2020-02-05','väestönlaskennat',71,'Niko Koski',429,56),(1093,'Code descriptive term rephrased','2020-02-05','maahanmuutto, maastamuutto ja sisäinen muuttoliike',71,'Niko Koski',429,56),(1094,'Code descriptive term rephrased','2020-02-05','sairastuvuus ja kuolleisuus',71,'Niko Koski',429,56),(1095,'Code descriptive term rephrased','2020-02-05','kulutus ja kuluttajakäyttäytyminen',71,'Niko Koski',429,56),(1096,'Code descriptive term rephrased','2020-02-05','talouden tila ja tunnusluvut',71,'Niko Koski',429,56),(1097,'Code descriptive term rephrased','2020-02-05','talouspolitiikka, julkiset menot ja tulot',71,'Niko Koski',429,56),(1098,'Code descriptive term rephrased','2020-02-05','talousjärjestelmät, taloudellinen kehitys ja kehitysyhteistyö',71,'Niko Koski',429,56),(1099,'Code descriptive term rephrased','2020-02-05','tulot, omaisuus ja investoinnit/säästäminen',71,'Niko Koski',429,56),(1100,'Code descriptive term rephrased','2020-02-05','esi- ja peruskoulu',71,'Niko Koski',429,56),(1101,'Code descriptive term rephrased','2020-02-05','koulutuspolitiikka',71,'Niko Koski',429,56),(1102,'Code descriptive term rephrased','2020-02-05','toisen ja korkea-asteen koulutus',71,'Niko Koski',429,56),(1103,'Code descriptive term rephrased','2020-02-05','täydennys- ja jatkokoulutus, elinikäinen oppiminen',71,'Niko Koski',429,56),(1104,'Code descriptive term rephrased','2020-02-05','ammatillinen koulutus',71,'Niko Koski',429,56),(1105,'Code descriptive term rephrased','2020-02-05','loukkaantumiset, haavat ja vammat',71,'Niko Koski',429,56),(1106,'Code descriptive term rephrased','2020-02-05','tietyt taudit, sairaudet ja terveydentilat',71,'Niko Koski',429,56),(1107,'Code descriptive term rephrased','2020-02-05','terveydentilaan liittyvät oireet, löydökset ja patologiset tilat',71,'Niko Koski',429,56),(1108,'Code descriptive term rephrased','2020-02-05','perhesuunnittelu ja lisääntymisterveys',71,'Niko Koski',429,56),(1109,'Code descriptive term rephrased','2020-02-05','kansanterveys',71,'Niko Koski',429,56),(1110,'Code descriptive term rephrased','2020-02-05','fyysinen kunto ja liikunta',71,'Niko Koski',429,56),(1111,'Code descriptive term rephrased','2020-02-05','työterveys',71,'Niko Koski',429,56),(1112,'Code descriptive term rephrased','2020-02-05','hoito ja lääkitys',71,'Niko Koski',429,56),(1113,'Code descriptive term rephrased','2020-02-05','terveyspalvelut ja terveyspolitiikka',71,'Niko Koski',429,56),(1114,'Code descriptive term rephrased','2020-02-05','yleinen terveydentila ja hyvinvointi',71,'Niko Koski',429,56),(1115,'TL code added','2020-02-05','Health.DrugAbuseAlcoholAndSmoking',71,'Niko Koski',429,56),(1116,'Code descriptive term rephrased','2020-02-05','ruokavalio ja ravitsemus',71,'Niko Koski',429,56),(1117,'Code descriptive term rephrased','2020-02-05','asuminen ja asunnot',71,'Niko Koski',429,56),(1118,'Code descriptive term rephrased','2020-02-05','maankäyttö, suunnittelu ja kaavoitus',71,'Niko Koski',429,56),(1119,'Code descriptive term rephrased','2020-02-05','työpaikkakoulutus',71,'Niko Koski',429,56),(1120,'Code descriptive term rephrased','2020-02-05','työllisyys ja työllistyminen',71,'Niko Koski',429,56),(1121,'Code descriptive term rephrased','2020-02-05','työvoima- ja työllisyyspolitiikka',71,'Niko Koski',429,56),(1122,'Code descriptive term rephrased','2020-02-05','työmarkkinasuhteet ja -järjestöt',71,'Niko Koski',429,56),(1123,'Code descriptive term rephrased','2020-02-05','eläkkeelle siirtyminen',71,'Niko Koski',429,56),(1124,'Code descriptive term rephrased','2020-02-05','työttömyys ja työttömät',71,'Niko Koski',429,56),(1125,'Code descriptive term rephrased','2020-02-05','työolot',71,'Niko Koski',429,56),(1126,'Code descriptive term rephrased','2020-02-05','rikollisuus ja lainvalvonta',71,'Niko Koski',429,56),(1127,'Code descriptive term rephrased','2020-02-05','lainsäädäntö ja oikeusjärjestelmät',71,'Niko Koski',429,56),(1128,'Code descriptive term rephrased','2020-02-05','tietoyhteiskunta',71,'Niko Koski',429,56),(1129,'Code descriptive term rephrased','2020-02-05','kielet ja kielitiede',71,'Niko Koski',429,56),(1130,'Code descriptive term rephrased','2020-02-05','joukkoviestimet',71,'Niko Koski',429,56),(1131,'Code descriptive term rephrased','2020-02-05','mainonta, tiedotus- ja suhdetoiminta',71,'Niko Koski',429,56),(1132,'Code descriptive term rephrased','2020-02-05','energia- ja luonnonvarat',71,'Niko Koski',429,56),(1133,'Code descriptive term rephrased','2020-02-05','ympäristönsuojelu ja ympäristöongelmat',71,'Niko Koski',429,56),(1134,'Code descriptive term rephrased','2020-02-05','luonnonmaisemat',71,'Niko Koski',429,56),(1135,'Code descriptive term rephrased','2020-02-05','kasvit ja eläimet',71,'Niko Koski',429,56),(1136,'Code descriptive term rephrased','2020-02-05','konfliktit, turvallisuus ja rauha',71,'Niko Koski',429,56),(1137,'Code descriptive term rephrased','2020-02-05','vaalit, ehdokkaat ja kansanäänestykset',71,'Niko Koski',429,56),(1138,'Code descriptive term rephrased','2020-02-05','valtiovalta, julkinen hallinto, poliittiset organisaatiot, puolueet',71,'Niko Koski',429,56),(1139,'Code descriptive term rephrased','2020-02-05','kansainvälinen politiikka ja järjestöt',71,'Niko Koski',429,56),(1140,'Code descriptive term rephrased','2020-02-05','poliittinen käyttäytyminen, poliittiset asenteet ja mielipiteet',71,'Niko Koski',429,56),(1141,'Code descriptive term rephrased','2020-02-05','poliittiset ideologiat',71,'Niko Koski',429,56),(1142,'Code descriptive term rephrased','2020-02-05','biotekniikka',71,'Niko Koski',429,56),(1143,'Code descriptive term rephrased','2020-02-05','tietotekniikka',71,'Niko Koski',429,56),(1144,'Code descriptive term rephrased','2020-02-05','lapset',71,'Niko Koski',429,56),(1145,'Code descriptive term rephrased','2020-02-05','ikääntyneet',71,'Niko Koski',429,56),(1146,'Code descriptive term rephrased','2020-02-05','eliitit ja vaikuttajat',71,'Niko Koski',429,56),(1147,'Code descriptive term rephrased','2020-02-05','tasa-arvo, eriarvoisuus ja syrjäytyminen',71,'Niko Koski',429,56),(1148,'Code descriptive term rephrased','2020-02-05','perhe-elämä, avioliitto ja sukupolvet',71,'Niko Koski',429,56),(1149,'Code descriptive term rephrased','2020-02-05','sukupuoli ja sukupuoliroolit',71,'Niko Koski',429,56),(1150,'Code descriptive term rephrased','2020-02-05','vähemmistöt',71,'Niko Koski',429,56),(1151,'Code descriptive term rephrased','2020-02-05','yhteiskunnallinen ja ammatillinen liikkuvuus',71,'Niko Koski',429,56),(1152,'Code descriptive term rephrased','2020-02-05','nuoret',71,'Niko Koski',429,56),(1153,'Code descriptive term rephrased','2020-02-05','sosiaalipolitiikka',71,'Niko Koski',429,56),(1154,'Code descriptive term rephrased','2020-02-05','sosiaaliturvajärjestelmä',71,'Niko Koski',429,56),(1155,'Code descriptive term rephrased','2020-02-05','sosiaalipalveluiden käyttö ja saatavuus',71,'Niko Koski',429,56),(1156,'Code descriptive term rephrased','2020-02-05','lähiympäristö, kaupunki- ja maaseutuelämä',71,'Niko Koski',429,56),(1157,'Code descriptive term rephrased','2020-02-05','kulttuuritoiminta ja -osallistuminen, mielipiteet kulttuurista',71,'Niko Koski',429,56),(1158,'Code descriptive term rephrased','2020-02-05','kulttuuri- ja kansallinen identiteetti',71,'Niko Koski',429,56),(1159,'Code descriptive term rephrased','2020-02-05','vapaa-aika, matkailu ja urheilu',71,'Niko Koski',429,56),(1160,'Code descriptive term rephrased','2020-02-05','uskonto ja arvot',71,'Niko Koski',429,56),(1161,'Code descriptive term rephrased','2020-02-05','sosiaalinen käyttäytyminen ja asenteet',71,'Niko Koski',429,56),(1162,'Code descriptive term rephrased','2020-02-05','yhteiskunnallinen ja sosiaalinen muutos',71,'Niko Koski',429,56),(1163,'Code descriptive term rephrased','2020-02-05','sosiaaliset olot ja indikaattorit',71,'Niko Koski',429,56),(1164,'Code descriptive term rephrased','2020-02-05','ajankäyttö',71,'Niko Koski',429,56),(1165,'Code descriptive term rephrased','2020-02-05','maa- ja metsätalous, kalastus, maaseutuelinkeinot',71,'Niko Koski',429,56),(1166,'Code descriptive term rephrased','2020-02-05','yritysten hallinto, johtaminen ja organisaatio',71,'Niko Koski',429,56),(1167,'Code descriptive term rephrased','2020-02-05','ulkomaankauppa',71,'Niko Koski',429,56),(1168,'Code descriptive term rephrased','2020-02-21','Processing Note rephrased into Processing note',49,'Sanda Ionescu',430,68),(1169,'Code descriptive term rephrased','2020-02-21','System note rephrased into System note.',49,'Sanda Ionescu',430,68),(1170,'Code descriptive term rephrased','2020-02-21','Processing Note',49,'Sanda Ionescu',431,68),(1171,'Code descriptive term rephrased','2020-02-21','System Note',49,'Sanda Ionescu',431,68),(1172,'Code definition rephrased','2020-02-21','Mailing address: Residential',49,'Sanda Ionescu',432,66),(1173,'Code definition rephrased','2020-02-21','Visiting address: Residential',49,'Sanda Ionescu',432,66),(1174,'TL code added','2020-02-24','Health.DrugAbuseAlcoholAndSmoking',61,'Carlo Pisano',364,56),(1175,'TL code added','2020-02-24','Health.PhysicalFitnessAndExercise',61,'Carlo Pisano',364,56),(1176,'Code definition rephrased','2020-02-24','Tempo libero, turismo e sport',61,'Carlo Pisano',364,56),(1177,'Code definition rephrased','2020-02-25','Migrazioni',59,'Domingo Scisci',364,56),(1178,'Code definition rephrased','2020-02-25','Morbilità e mortalità',59,'Domingo Scisci',364,56),(1179,'Code deleted','2020-02-26','Code DataCollection deleted',53,'Henrik K.R. Jakobsen',433,75),(1180,'Code deleted','2020-02-26','Code DataEntry deleted',53,'Henrik K.R. Jakobsen',433,75),(1181,'TL code added','2020-02-27','MediaCommunicationAndLanguage.InformationSociety',61,'Carlo Pisano',364,56),(1182,'TL code added','2020-02-27','MediaCommunicationAndLanguage.LanguageAndLinguistics',61,'Carlo Pisano',364,56),(1183,'TL code added','2020-02-27','SocialWelfarePolicyAndSystems.SocialWelfareSystemsStructures',61,'Carlo Pisano',364,56),(1184,'TL code added','2020-02-27','TradeIndustryAndMarkets.AgricultureAndRuralIndustry',61,'Carlo Pisano',364,56),(1185,'TL code added','2020-02-27','SocialWelfarePolicyAndSystems.SpecificSocialServicesUseAndAvailability',61,'Carlo Pisano',364,56),(1186,'TL code added','2020-02-27','MediaCommunicationAndLanguage.Media',61,'Carlo Pisano',364,56),(1187,'TL code added','2020-02-27','MediaCommunicationAndLanguage',61,'Carlo Pisano',364,56),(1188,'TL code added','2020-02-27','MediaCommunicationAndLanguage.PublicRelations',61,'Carlo Pisano',364,56),(1189,'TL code added','2020-02-27','Demography.Censuses',61,'Carlo Pisano',364,56),(1190,'TL code added','2020-02-27','Economics.EconomicPolicyPublicExpenditureAndRevenue',61,'Carlo Pisano',364,56),(1191,'TL code added','2020-02-27','Economics.IncomePropertyAndInvestmentSaving',61,'Carlo Pisano',364,56),(1192,'TL code added','2020-02-27','Education.CompulsoryAndPreschoolEducation',61,'Carlo Pisano',364,56),(1193,'TL code added','2020-02-27','Health.GeneralHealthAndWellbeing',61,'Carlo Pisano',364,56),(1194,'TL code added','2020-02-27','Politics.GovernmentPoliticalSystemsAndOrganisations',61,'Carlo Pisano',364,56),(1195,'TL code added','2020-02-28','Health.DietAndNutrition',51,'Sergeja Masten',366,56),(1196,'TL code added','2020-02-28','Health.DrugAbuseAlcoholAndSmoking',51,'Sergeja Masten',366,56),(1197,'TL code added','2020-02-28','Health.PhysicalFitnessAndExercise',51,'Sergeja Masten',366,56),(1198,'Code definition rephrased','2020-03-30','Children',72,'Henri Ala-Lahti',434,56),(1199,'Code definition rephrased','2020-03-30','Elderly',72,'Henri Ala-Lahti',434,56),(1200,'Code definition rephrased','2020-03-30','Youth',72,'Henri Ala-Lahti',434,56),(1201,'Code definition rephrased','2020-03-30','Minorities',72,'Henri Ala-Lahti',434,56),(1202,'Code definition rephrased','2020-03-30','Government, political systems and organisations',72,'Henri Ala-Lahti',434,56),(1203,'Code definition amended with meaning change','2020-03-30','Cultural and national identity',72,'Henri Ala-Lahti',434,56),(1204,'Code definition rephrased','2020-03-30','Retirement',72,'Henri Ala-Lahti',434,56),(1205,'Code definition rephrased','2020-03-30','HISTORY',72,'Henri Ala-Lahti',434,56),(1206,'Code definition rephrased','2020-03-30','Morbidity and mortality',72,'Henri Ala-Lahti',434,56),(1207,'Code definition rephrased','2020-03-30','Compulsory and pre-school education',72,'Henri Ala-Lahti',434,56),(1208,'Code definition rephrased','2020-03-30','Media',72,'Henri Ala-Lahti',434,56),(1209,'Code definition rephrased','2020-03-30','Social welfare policy',72,'Henri Ala-Lahti',434,56),(1210,'Code definition rephrased','2020-03-30','Social conditions and indicators',72,'Henri Ala-Lahti',434,56),(1211,'Code definition rephrased','2020-03-30','TRANSPORT AND TRAVEL',72,'Henri Ala-Lahti',434,56),(1212,'Code definition rephrased','2020-03-30','OTHER',72,'Henri Ala-Lahti',434,56),(1213,'Code definition rephrased','2020-03-30','Agriculture and rural industry',72,'Henri Ala-Lahti',434,56),(1214,'Code definition rephrased','2020-03-30','Social conditions and indicators',72,'Henri Ala-Lahti',434,56),(1215,'Code definition rephrased','2020-03-30','Leisure, tourism and sport',72,'Henri Ala-Lahti',434,56),(1216,'Code definition rephrased','2020-03-30','Social welfare policy',72,'Henri Ala-Lahti',434,56),(1217,'Code definition rephrased','2020-03-30','Information technology',72,'Henri Ala-Lahti',434,56),(1218,'Code definition rephrased','2020-03-30','Political behaviour and attitudes',72,'Henri Ala-Lahti',434,56),(1219,'Code definition rephrased','2020-03-30','Conflict, security and peace',72,'Henri Ala-Lahti',434,56),(1220,'Code definition rephrased','2020-03-30','Media',72,'Henri Ala-Lahti',434,56),(1221,'Code definition rephrased','2020-03-30','Information society',72,'Henri Ala-Lahti',434,56),(1222,'Code definition rephrased','2020-03-30','Working conditions',72,'Henri Ala-Lahti',434,56),(1223,'Code definition rephrased','2020-03-30','Labour and employment policy',72,'Henri Ala-Lahti',434,56),(1224,'Code definition rephrased','2020-03-30','Employment',72,'Henri Ala-Lahti',434,56),(1225,'Code definition rephrased','2020-03-30','Employee training',72,'Henri Ala-Lahti',434,56),(1226,'Code definition rephrased','2020-03-30','Wounds and injuries',72,'Henri Ala-Lahti',434,56),(1227,'Code definition rephrased','2020-03-30','Health care services and policies',72,'Henri Ala-Lahti',434,56),(1228,'Code definition rephrased','2020-03-30','Educational policy',72,'Henri Ala-Lahti',434,56),(1229,'Code definition rephrased','2020-03-30','Compulsory and pre-school education',72,'Henri Ala-Lahti',434,56),(1230,'Code definition rephrased','2020-03-30','Income, property and investment/saving',72,'Henri Ala-Lahti',434,56),(1231,'Code descriptive term rephrased','2020-03-30','Income, property and investment/saving',72,'Henri Ala-Lahti',434,56),(1232,'Code definition rephrased','2020-03-30','Morbidity and mortality',72,'Henri Ala-Lahti',434,56),(1233,'Code definition rephrased','2020-03-31','Government, political systems and organisations',72,'Henri Ala-Lahti',434,56),(1234,'Code deleted','2020-04-23','Code Health.DrugAbuseAlcoholAndSmoking deleted',36,'Taina Jääskeläinen',434,56),(1235,'Code added','2020-04-23','Health.DrugAbuseAlcoholAndSmoking',36,'Taina Jääskeläinen',434,56),(1236,'Code definition amended with meaning change','2020-04-24','Cultural and national identity',72,'Henri Ala-Lahti',434,56),(1237,'Code definition rephrased','2020-04-24','Compulsory and pre-school education',72,'Henri Ala-Lahti',434,56),(1238,'Code definition rephrased','2020-04-24','Educational policy',72,'Henri Ala-Lahti',434,56),(1239,'Code definition rephrased','2020-04-24','Health care services and policies',72,'Henri Ala-Lahti',434,56),(1240,'Code definition rephrased','2020-04-24','HISTORY',72,'Henri Ala-Lahti',434,56),(1241,'Code definition rephrased','2020-04-24','Labour and employment policy',72,'Henri Ala-Lahti',434,56),(1242,'Code definition rephrased','2020-04-24','Information society',72,'Henri Ala-Lahti',434,56),(1243,'Code definition rephrased','2020-04-24','Political behaviour and attitudes',72,'Henri Ala-Lahti',434,56),(1244,'Code definition rephrased','2020-04-24','Social welfare policy',72,'Henri Ala-Lahti',434,56),(1245,'Code definition rephrased','2020-04-24','Social conditions and indicators',72,'Henri Ala-Lahti',434,56),(1246,'Code definition rephrased','2020-04-24','Social conditions and indicators',72,'Henri Ala-Lahti',434,56),(1247,'Code definition rephrased','2020-04-24','Agriculture and rural industry',72,'Henri Ala-Lahti',434,56),(1248,'Code definition rephrased','2020-04-24','TRANSPORT AND TRAVEL',72,'Henri Ala-Lahti',434,56),(1249,'Code definition rephrased','2020-04-24','OTHER',72,'Henri Ala-Lahti',434,56),(1250,'Code definition rephrased','2020-04-24','Consumption and consumer behaviour',72,'Henri Ala-Lahti',434,56),(1251,'Code definition rephrased','2020-04-24','General health and well-being',72,'Henri Ala-Lahti',434,56),(1252,'Code definition rephrased','2020-04-24','Signs and symptoms; pathological conditions',72,'Henri Ala-Lahti',434,56),(1253,'Code definition amended with meaning change','2020-04-24','Specific diseases, disorders and medical conditions',72,'Henri Ala-Lahti',434,56),(1254,'Code definition amended with meaning change','2020-04-24','Specific diseases, disorders and medical conditions',72,'Henri Ala-Lahti',434,56),(1255,'Code definition rephrased','2020-04-24','Economic systems and development',72,'Henri Ala-Lahti',434,56),(1256,'Code definition rephrased','2020-04-24','Income, property and investment/saving',72,'Henri Ala-Lahti',434,56),(1257,'Code definition rephrased','2020-04-24','Housing',72,'Henri Ala-Lahti',434,56),(1258,'Code definition rephrased','2020-04-24','Language and linguistics',72,'Henri Ala-Lahti',434,56),(1259,'Code definition rephrased','2020-04-24','Agriculture and rural industry',72,'Henri Ala-Lahti',434,56),(1260,'Code definition rephrased','2020-04-24','Educational policy',72,'Henri Ala-Lahti',434,56),(1261,'Code definition rephrased','2020-04-24','HISTORY',72,'Henri Ala-Lahti',434,56),(1262,'Code definition rephrased','2020-04-24','Health care services and policies',72,'Henri Ala-Lahti',434,56),(1263,'Code definition rephrased','2020-04-24','Labour and employment policy',72,'Henri Ala-Lahti',434,56),(1264,'Code definition rephrased','2020-04-24','Conflict, security and peace',72,'Henri Ala-Lahti',434,56),(1265,'Code definition rephrased','2020-04-24','Information technology',72,'Henri Ala-Lahti',434,56),(1266,'Code definition amended with meaning change','2020-04-24','Cultural and national identity',72,'Henri Ala-Lahti',434,56),(1267,'Code definition rephrased','2020-04-29','Educational policy',72,'Henri Ala-Lahti',434,56),(1268,'Code definition rephrased','2020-04-29','Health care services and policies',72,'Henri Ala-Lahti',434,56),(1269,'Code definition rephrased','2020-04-29','Specific diseases, disorders and medical conditions',72,'Henri Ala-Lahti',434,56),(1270,'Code definition rephrased','2020-04-29','Labour and employment policy',72,'Henri Ala-Lahti',434,56),(1271,'Code definition rephrased','2020-04-29','Media',72,'Henri Ala-Lahti',434,56),(1272,'Code definition rephrased','2020-04-29','Conflict, security and peace',72,'Henri Ala-Lahti',434,56),(1273,'Code definition rephrased','2020-04-29','Information technology',72,'Henri Ala-Lahti',434,56),(1274,'Code definition rephrased','2020-04-29','Social welfare policy',72,'Henri Ala-Lahti',434,56),(1275,'Code definition rephrased','2020-04-29','Social conditions and indicators',72,'Henri Ala-Lahti',434,56),(1276,'Code definition rephrased','2020-04-29','TRANSPORT AND TRAVEL',72,'Henri Ala-Lahti',434,56),(1277,'Code descriptive term rephrased','2020-05-28','Aritmeettinen keskiarvo',72,'Henri Ala-Lahti',437,54),(1278,'Code definition rephrased','2020-06-05','Economic conditions and indicators',72,'Henri Ala-Lahti',434,56),(1279,'Code definition amended with meaning change','2020-06-05','Specific diseases, disorders and medical conditions',72,'Henri Ala-Lahti',434,56),(1280,'Code definition rephrased','2020-06-05','Information society',72,'Henri Ala-Lahti',434,56),(1281,'Code definition rephrased','2020-06-05','Biotechnology',72,'Henri Ala-Lahti',434,56),(1282,'Code definition rephrased','2020-06-05','Biotechnology',72,'Henri Ala-Lahti',434,56),(1283,'Code definition rephrased','2020-06-05','Economic conditions and indicators',72,'Henri Ala-Lahti',434,56),(1284,'Code definition rephrased','2020-06-05','Educational policy',72,'Henri Ala-Lahti',434,56),(1285,'Code definition rephrased','2020-06-05','Health care services and policies',72,'Henri Ala-Lahti',434,56),(1286,'Code definition rephrased','2020-06-05','Labour and employment policy',72,'Henri Ala-Lahti',434,56),(1287,'Code definition rephrased','2020-06-05','Social welfare policy',72,'Henri Ala-Lahti',434,56),(1288,'Code definition rephrased','2020-06-05','Information society',72,'Henri Ala-Lahti',434,56),(1289,'Code definition rephrased','2020-06-05','Political behaviour and attitudes',72,'Henri Ala-Lahti',434,56),(1290,'Code definition rephrased','2020-06-05','TRANSPORT AND TRAVEL',72,'Henri Ala-Lahti',434,56),(1291,'Code definition rephrased','2020-06-08','Compulsory and pre-school education',72,'Henri Ala-Lahti',434,56),(1292,'Code definition amended with meaning change','2020-06-08','HISTORY',72,'Henri Ala-Lahti',434,56),(1293,'Code definition amended with meaning change','2020-06-08','HISTORY',72,'Henri Ala-Lahti',434,56),(1294,'Code definition rephrased','2020-06-08','Agriculture and rural industry',72,'Henri Ala-Lahti',434,56),(1295,'Code definition rephrased','2020-06-08','Minorities',72,'Henri Ala-Lahti',434,56),(1296,'Code definition rephrased','2020-06-08','Reproductive health',72,'Henri Ala-Lahti',434,56),(1297,'Code definition rephrased','2020-06-08','Economic systems and development',72,'Henri Ala-Lahti',434,56),(1298,'Code definition rephrased','2020-06-08','Income, property and investment/saving',72,'Henri Ala-Lahti',434,56),(1299,'Code definition amended with meaning change','2020-06-08','HISTORY',72,'Henri Ala-Lahti',434,56),(1300,'Code definition rephrased','2020-06-23','Morbiditet och mortalitet',58,'Lisa Isaksson',465,56),(1301,'Code definition rephrased','2020-06-23','Konsumtion och konsumentbeteende',58,'Lisa Isaksson',465,56),(1302,'Code definition rephrased','2020-06-23','Ekonomiska förhållanden och indikatorer',58,'Lisa Isaksson',465,56),(1303,'Code definition rephrased','2020-06-23','Ekonomiska system och ekonomisk utveckling',58,'Lisa Isaksson',465,56),(1304,'Code definition rephrased','2020-06-23','Inkomster, egendom och investeringar/sparande',58,'Lisa Isaksson',465,56),(1305,'Code definition rephrased','2020-06-23','Obligatorisk utbildning och förskoleutbildning',58,'Lisa Isaksson',465,56),(1306,'Code added','2020-07-06','Recording.RemoteSensing',49,'Sanda Ionescu',452,72),(1307,'Code added','2020-07-06','CompilationSynthesis.WebScraping',49,'Sanda Ionescu',452,72),(1308,'CV definition rephrased','2020-07-06','CV definition rephrased without change in meaning',49,'Sanda Ionescu',453,47),(1309,'Code added','2020-07-07','SODA',36,'Taina Jääskeläinen',454,79),(1310,'Code definition rephrased','2020-07-07','Compilation/Synthesis',49,'Sanda Ionescu',452,72),(1311,'Code deleted','2020-07-07','Code CompilationSynthesis.WebScraping deleted',49,'Sanda Ionescu',452,72),(1312,'Code added','2020-07-07','WebScraping',49,'Sanda Ionescu',452,72),(1313,'Code definition rephrased','2020-07-08','Compilation/Synthesis',36,'Taina Jääskeläinen',452,72),(1314,'Code deleted','2020-07-08','Code AutomatedDataExtraction deleted',36,'Taina Jääskeläinen',452,72),(1315,'Code added','2020-07-08','AutomatedDataExtraction',36,'Taina Jääskeläinen',452,72),(1316,'Code added','2020-07-08','AutomatedDataExtraction.ApiQuery',36,'Taina Jääskeläinen',452,72),(1317,'Code added','2020-07-08','AutomatedDataExtraction.DatabaseQuery',36,'Taina Jääskeläinen',452,72),(1318,'Code added','2020-07-08','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',452,72),(1319,'Code added','2020-07-09','FORS',36,'Taina Jääskeläinen',454,79),(1320,'Code value changed','2020-07-24','SODA',36,'Taina Jääskeläinen',455,79),(1321,'Code descriptive term rephrased','2020-07-24','SODA',36,'Taina Jääskeläinen',455,79),(1322,'Code definition rephrased','2020-10-07','Health.DietAndNutrition',33,'Sigit Nugraha',444,56),(1323,'Code added','2020-10-08','Other.child',33,'Sigit Nugraha',466,48),(1324,'Code added','2020-10-08','ddd.bbb.eee',33,'Sigit Nugraha',470,81),(1325,'CV name changed','2020-10-08','TestFI',33,'Sigit Nugraha',470,81),(1326,'Code definition rephrased','2020-10-25','CodeGreen.CodeRed',36,'Taina Jääskeläinen',471,81),(1327,'Code definition rephrased','2020-10-25','CodeGreen.CodeYellow',36,'Taina Jääskeläinen',472,81),(1328,'Code translation added','2020-10-27','Economics.IncomePropertyAndInvestmentSaving',72,'Henri Ala-Lahti',456,56),(1329,'Code descriptive term rephrased','2020-10-27','Health.DietAndNutrition',72,'Henri Ala-Lahti',460,56),(1330,'Code descriptive term rephrased','2020-10-27','MediaUnit.Video',36,'Taina Jääskeläinen',481,47),(1331,'CV definition rephrased','2020-10-30','AnalysisUnit',36,'Taina Jääskeläinen',483,47),(1332,'Code translation added','2020-11-05','AutomatedDataExtraction',66,'Patrícia Miranda',500,72),(1333,'Code translation added','2020-11-05','AutomatedDataExtraction',66,'Patrícia Miranda',500,72),(1334,'CV definition amended with meaning change','2020-11-06','AnalysisUnit',58,'Lisa Isaksson',493,47),(1335,'CV definition rephrased','2020-11-06','Translation of changed CV definition.',58,'Lisa Isaksson',493,47),(1336,'Code definition rephrased','2020-11-06','Small changes to the code definition translation.',58,'Lisa Isaksson',493,47),(1337,'Code definition rephrased','2020-11-06','Small changes to the code definition translation.',58,'Lisa Isaksson',493,47),(1338,'Code definition rephrased','2020-11-06','Small correction to the translation.',58,'Lisa Isaksson',493,47),(1339,'Code definition rephrased','2020-11-06','Grammatical error corrected.',58,'Lisa Isaksson',493,47),(1340,'Code definition rephrased','2020-11-06','Minor grammatical corrections.',58,'Lisa Isaksson',493,47),(1341,'Code definition rephrased','2020-11-06','Corrected spelling error.',58,'Lisa Isaksson',493,47),(1342,'Code definition rephrased','2020-11-06','Small review',58,'Lisa Isaksson',493,47),(1343,'Code definition rephrased','2020-11-06','Review for verbal consistency.',58,'Lisa Isaksson',493,47),(1344,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',493,47),(1345,'Code definition rephrased','2020-11-06','Rephrased for better consistency.',58,'Lisa Isaksson',493,47),(1346,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',493,47),(1347,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1348,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1349,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1350,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1351,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1352,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1353,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1354,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1355,'Code definition rephrased','2020-11-06','HousingAndLandUse.Housing',58,'Lisa Isaksson',465,56),(1356,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1357,'Code definition rephrased','2020-11-06','Politics.GovernmentPoliticalSystemsAndOrganisations',58,'Lisa Isaksson',465,56),(1358,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1359,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1360,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1361,'Code definition rephrased','2020-11-06','',58,'Lisa Isaksson',465,56),(1362,'CV definition rephrased','2020-11-09','AnalysisUnit',36,'Taina Jääskeläinen',486,47),(1363,'Code definition rephrased','2020-11-09','Translation updated according to updated TL.',82,'Lisa Isaksson',465,56),(1364,'Code definition rephrased','2020-11-09','History',82,'Lisa Isaksson',465,56),(1365,'Code definition rephrased','2020-11-09','',82,'Lisa Isaksson',465,56),(1366,'Code definition rephrased','2020-11-09','',82,'Lisa Isaksson',465,56),(1367,'Code definition rephrased','2020-11-09','Changed code definition to correspond with TL code definition.',82,'Lisa Isaksson',465,56),(1368,'Code definition rephrased','2020-11-09','Removed \"religiös diskriminering\" from the code description translation to correspond with SL code definition.',82,'Lisa Isaksson',465,56),(1369,'Code translation added','2020-11-09','Recording.RemoteSensing',66,'Patrícia Miranda',500,72),(1370,'Code translation added','2020-11-09','AutomatedDataExtraction',66,'Patrícia Miranda',500,72),(1371,'Code translation added','2020-11-09','AutomatedDataExtraction.ApiQuery',66,'Patrícia Miranda',500,72),(1372,'Code translation added','2020-11-09','AutomatedDataExtraction.DatabaseQuery',66,'Patrícia Miranda',500,72),(1373,'Code translation added','2020-11-09','AutomatedDataExtraction.WebScraping',66,'Patrícia Miranda',500,72),(1374,'Code definition amended with meaning change','2020-11-09','CompilationSynthesis',66,'Patrícia Miranda',500,72),(1375,'Code definition rephrased','2020-11-09','MediaCommunicationAndLanguage.Media',66,'Patrícia Miranda',462,56),(1376,'Code definition rephrased','2020-11-09','TransportAndTravel',66,'Patrícia Miranda',462,56),(1377,'Code definition rephrased','2020-11-09','SocietyAndCulture.SocialConditionsAndIndicators',66,'Patrícia Miranda',462,56),(1378,'Code definition rephrased','2020-11-09','SocialStratificationAndGroupings.Minorities',66,'Patrícia Miranda',462,56),(1379,'Code definition rephrased','2020-11-09','ScienceAndTechnology.InformationTechnology',66,'Patrícia Miranda',462,56),(1380,'Code definition rephrased','2020-11-09','Politics.ConflictSecurityAndPeace',66,'Patrícia Miranda',462,56),(1381,'Code definition rephrased','2020-11-09','Economics.EconomicConditionsAndIndicators',66,'Patrícia Miranda',462,56),(1382,'Code descriptive term rephrased','2020-11-10','LA',36,'Taina Jääskeläinen',504,80),(1383,'Code descriptive term rephrased','2020-11-10','LA',36,'Taina Jääskeläinen',504,80),(1384,'Code descriptive term rephrased','2020-11-10','KR',36,'Taina Jääskeläinen',504,80),(1385,'Code descriptive term rephrased','2020-11-10','KP',36,'Taina Jääskeläinen',504,80),(1386,'Code descriptive term rephrased','2020-11-10','KR',36,'Taina Jääskeläinen',504,80),(1387,'Code definition rephrased','2020-11-11','Interview - Coe defintion rephrased without meaning change, NSC.',82,'Lisa Isaksson',503,72),(1388,'Code definition rephrased','2020-11-11','SelfAdministeredQuestionnaire Code definition rephrased to better correspond to source language. NSC.',82,'Lisa Isaksson',503,72),(1389,'Code definition rephrased','2020-11-11','SelfAdministeredQuestionnaire.Email - Code definition rephrased for consistency in translation. NSC. ',82,'Lisa Isaksson',503,72),(1390,'Code translation added','2020-11-11','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1391,'Code descriptive term rephrased','2020-11-11','Observation.ComputerBased - Code descriptive term rephrased due to spelling error. NSC',82,'Lisa Isaksson',503,72),(1392,'Code descriptive term rephrased','2020-11-11','Observation.ComputerBased - Corrected spelling in code descriptive term. NSC.',82,'Lisa Isaksson',503,72),(1393,'Code translation added','2020-11-11','Recording.RemoteSensing',82,'Lisa Isaksson',503,72),(1394,'Code translation added','2020-11-11','AutomatedDataExtraction',82,'Lisa Isaksson',503,72),(1395,'Code translation added','2020-11-11','AutomatedDataExtraction',82,'Lisa Isaksson',503,72),(1396,'Code translation added','2020-11-11','AutomatedDataExtraction.ApiQuery',82,'Lisa Isaksson',503,72),(1397,'Code translation added','2020-11-12','AutomatedDataExtraction.DatabaseQuery',82,'Lisa Isaksson',503,72),(1398,'Code translation added','2020-11-12','AutomatedDataExtraction.WebScraping',82,'Lisa Isaksson',503,72),(1399,'Code translation added','2020-11-12','AutomatedDataExtraction',82,'Lisa Isaksson',503,72),(1400,'Code translation added','2020-11-12','AutomatedDataExtraction.ApiQuery',82,'Lisa Isaksson',503,72),(1401,'Code translation added','2020-11-12','AutomatedDataExtraction.ApiQuery',82,'Lisa Isaksson',503,72),(1402,'Code translation added','2020-11-12','AutomatedDataExtraction.DatabaseQuery',82,'Lisa Isaksson',503,72),(1403,'CV definition amended with meaning change','2020-11-13','AnalysisUnit',61,'Carlo Pisano',488,47),(1404,'CV definition rephrased','2020-11-13','AnalysisUnit',61,'Carlo Pisano',488,47),(1405,'Code descriptive term rephrased','2020-11-16','KR',36,'Taina Jääskeläinen',504,80),(1406,'Code descriptive term rephrased','2020-11-16','KP',36,'Taina Jääskeläinen',504,80),(1407,'Code descriptive term rephrased','2020-11-16','LA',36,'Taina Jääskeläinen',504,80),(1408,'Code definition rephrased','2020-11-18','CompilationSynthesis',61,'Carlo Pisano',498,72),(1409,'Code translation added','2020-11-18','Recording.RemoteSensing',61,'Carlo Pisano',498,72),(1410,'Code translation added','2020-11-18','AutomatedDataExtraction',61,'Carlo Pisano',498,72),(1411,'Code translation added','2020-11-18','AutomatedDataExtraction.ApiQuery',61,'Carlo Pisano',498,72),(1412,'Code translation added','2020-11-18','AutomatedDataExtraction.DatabaseQuery',61,'Carlo Pisano',498,72),(1413,'Code translation added','2020-11-18','AutomatedDataExtraction.WebScraping',61,'Carlo Pisano',498,72),(1414,'Code definition rephrased','2020-11-26','Demography.MorbidityAndMortality',55,'Tanja Friedrich',457,56),(1415,'Code definition rephrased','2020-11-26','Economics.EconomicConditionsAndIndicators',55,'Tanja Friedrich',457,56),(1416,'Code definition rephrased','2020-11-26','Economics.EconomicSystemsAndDevelopment',55,'Tanja Friedrich',457,56),(1417,'Code definition rephrased','2020-11-26','Economics.IncomePropertyAndInvestmentSaving',55,'Tanja Friedrich',457,56),(1418,'Code definition rephrased','2020-11-26','Education.EducationalPolicy',55,'Tanja Friedrich',457,56),(1419,'Code definition rephrased','2020-11-26','Health.HealthCareServicesAndPolicies',55,'Tanja Friedrich',457,56),(1420,'Code definition rephrased','2020-11-26','Health.WoundsAndInjuries',55,'Tanja Friedrich',457,56),(1421,'Code definition rephrased','2020-11-26','History',55,'Tanja Friedrich',457,56),(1422,'Code definition rephrased','2020-11-26','LabourAndEmployment.EmployeeTraining',55,'Tanja Friedrich',457,56),(1423,'Code definition rephrased','2020-11-26','LabourAndEmployment.Employment',55,'Tanja Friedrich',457,56),(1424,'Code definition rephrased','2020-11-26','LabourAndEmployment.LabourAndEmploymentPolicy',55,'Tanja Friedrich',457,56),(1425,'Code definition rephrased','2020-11-26','LabourAndEmployment.WorkingConditions',55,'Tanja Friedrich',457,56),(1426,'Code definition rephrased','2020-11-26','MediaCommunicationAndLanguage.InformationSociety',55,'Tanja Friedrich',457,56),(1427,'Code definition rephrased','2020-11-26','MediaCommunicationAndLanguage.Media',55,'Tanja Friedrich',457,56),(1428,'Code definition rephrased','2020-11-26','Politics.ConflictSecurityAndPeace',55,'Tanja Friedrich',457,56),(1429,'Code definition rephrased','2020-11-26','Politics.GovernmentPoliticalSystemsAndOrganisations',55,'Tanja Friedrich',457,56),(1430,'Code definition rephrased','2020-11-26','Politics.PoliticalBehaviourAndAttitudes',55,'Tanja Friedrich',457,56),(1431,'Code definition rephrased','2020-11-26','ScienceAndTechnology.Biotechnology',55,'Tanja Friedrich',457,56),(1432,'Code definition rephrased','2020-11-26','ScienceAndTechnology.InformationTechnology',55,'Tanja Friedrich',457,56),(1433,'Code definition rephrased','2020-11-26','SocialStratificationAndGroupings.Children',55,'Tanja Friedrich',457,56),(1434,'Code definition rephrased','2020-11-26','SocialStratificationAndGroupings.Elderly',55,'Tanja Friedrich',457,56),(1435,'Code definition rephrased','2020-11-26','SocialStratificationAndGroupings.Minorities',55,'Tanja Friedrich',457,56),(1436,'Code definition rephrased','2020-11-26','SocialStratificationAndGroupings.Youth',55,'Tanja Friedrich',457,56),(1437,'Code definition rephrased','2020-11-26','SocialWelfarePolicyAndSystems.SocialWelfarePolicy',55,'Tanja Friedrich',457,56),(1438,'Code definition rephrased','2020-11-26','SocietyAndCulture.CulturalAndNationalIdentity',55,'Tanja Friedrich',457,56),(1439,'Code definition rephrased','2020-11-26','SocietyAndCulture.LeisureTourismAndSport',55,'Tanja Friedrich',457,56),(1440,'Code definition rephrased','2020-11-26','SocietyAndCulture.SocialConditionsAndIndicators',55,'Tanja Friedrich',457,56),(1441,'Code definition rephrased','2020-11-26','TradeIndustryAndMarkets.AgricultureAndRuralIndustry',55,'Tanja Friedrich',457,56),(1442,'Code definition rephrased','2020-11-26','TransportAndTravel',55,'Tanja Friedrich',457,56),(1443,'Code definition rephrased','2020-12-01','Demography.MorbidityAndMortality',61,'Carlo Pisano',460,56),(1444,'Code definition rephrased','2020-12-01','Economics.ConsumptionAndConsumerBehaviour',61,'Carlo Pisano',460,56),(1445,'Code definition rephrased','2020-12-01','Economics.EconomicConditionsAndIndicators',61,'Carlo Pisano',460,56),(1446,'Code definition rephrased','2020-12-01','Economics.EconomicSystemsAndDevelopment',61,'Carlo Pisano',460,56),(1447,'Code definition rephrased','2020-12-01','Economics.IncomePropertyAndInvestmentSaving',61,'Carlo Pisano',460,56),(1448,'Code definition rephrased','2020-12-01','Education.CompulsoryAndPreschoolEducation',61,'Carlo Pisano',460,56),(1449,'Code definition rephrased','2020-12-01','Education.EducationalPolicy',61,'Carlo Pisano',460,56),(1450,'Code definition rephrased','2020-12-01','Health.DrugAbuseAlcoholAndSmoking',61,'Carlo Pisano',460,56),(1451,'Code definition rephrased','2020-12-01','Health.GeneralHealthAndWellbeing',61,'Carlo Pisano',460,56),(1452,'Code definition rephrased','2020-12-01','Health.HealthCareServicesAndPolicies',61,'Carlo Pisano',460,56),(1453,'Code definition rephrased','2020-12-01','Health.ReproductiveHealth',61,'Carlo Pisano',460,56),(1454,'Code definition rephrased','2020-12-01','Health.SignsAndSymptomsPathologicalConditions',61,'Carlo Pisano',460,56),(1455,'Code definition rephrased','2020-12-01','Health.SpecificDiseasesDisordersAndMedicalConditions',61,'Carlo Pisano',460,56),(1456,'Code definition rephrased','2020-12-01','Health.WoundsAndInjuries',61,'Carlo Pisano',460,56),(1457,'Code definition rephrased','2020-12-01','History',61,'Carlo Pisano',460,56),(1458,'Code definition rephrased','2020-12-01','HousingAndLandUse.Housing',61,'Carlo Pisano',460,56),(1459,'Code definition rephrased','2020-12-01','LabourAndEmployment.EmployeeTraining',61,'Carlo Pisano',460,56),(1460,'Code definition rephrased','2020-12-01','LabourAndEmployment.Employment',61,'Carlo Pisano',460,56),(1461,'Code definition rephrased','2020-12-01','LabourAndEmployment.LabourAndEmploymentPolicy',61,'Carlo Pisano',460,56),(1462,'Code definition rephrased','2020-12-01','LabourAndEmployment.Retirement',61,'Carlo Pisano',460,56),(1463,'Code definition rephrased','2020-12-01','LabourAndEmployment.WorkingConditions',61,'Carlo Pisano',460,56),(1464,'Code definition rephrased','2020-12-01','MediaCommunicationAndLanguage.InformationSociety',61,'Carlo Pisano',460,56),(1465,'Code definition rephrased','2020-12-01','MediaCommunicationAndLanguage.LanguageAndLinguistics',61,'Carlo Pisano',460,56),(1466,'Code definition rephrased','2020-12-01','MediaCommunicationAndLanguage.Media',61,'Carlo Pisano',460,56),(1467,'Code definition rephrased','2020-12-01','Politics.ConflictSecurityAndPeace',61,'Carlo Pisano',460,56),(1468,'Code definition rephrased','2020-12-01','Politics.GovernmentPoliticalSystemsAndOrganisations',61,'Carlo Pisano',460,56),(1469,'Code definition rephrased','2020-12-01','Politics.PoliticalBehaviourAndAttitudes',61,'Carlo Pisano',460,56),(1470,'Code definition rephrased','2020-12-01','ScienceAndTechnology.Biotechnology',61,'Carlo Pisano',460,56),(1471,'Code definition rephrased','2020-12-01','ScienceAndTechnology.InformationTechnology',61,'Carlo Pisano',460,56),(1472,'Code definition rephrased','2020-12-01','SocialStratificationAndGroupings.Children',61,'Carlo Pisano',460,56),(1473,'Code definition rephrased','2020-12-01','SocialStratificationAndGroupings.Elderly',61,'Carlo Pisano',460,56),(1474,'Code definition rephrased','2020-12-01','SocialStratificationAndGroupings.Minorities',61,'Carlo Pisano',460,56),(1475,'Code definition rephrased','2020-12-01','SocialStratificationAndGroupings.Youth',61,'Carlo Pisano',460,56),(1476,'Code definition rephrased','2020-12-01','SocialWelfarePolicyAndSystems.SocialWelfarePolicy',61,'Carlo Pisano',460,56),(1477,'Code definition rephrased','2020-12-01','SocietyAndCulture.CulturalAndNationalIdentity',61,'Carlo Pisano',460,56),(1478,'Code definition rephrased','2020-12-01','SocietyAndCulture.LeisureTourismAndSport',61,'Carlo Pisano',460,56),(1479,'Code definition rephrased','2020-12-01','SocietyAndCulture.SocialConditionsAndIndicators',61,'Carlo Pisano',460,56),(1480,'Code definition rephrased','2020-12-01','TradeIndustryAndMarkets.AgricultureAndRuralIndustry',61,'Carlo Pisano',460,56),(1481,'Code definition rephrased','2020-12-01','TransportAndTravel',61,'Carlo Pisano',460,56),(1482,'Code translation added','2020-12-04','AutomatedDataExtraction.ApiQuery',36,'Taina Jääskeläinen',496,72),(1483,'Code translation added','2020-12-04','AutomatedDataExtraction.ApiQuery',36,'Taina Jääskeläinen',496,72),(1484,'Code translation added','2020-12-04','AutomatedDataExtraction.DatabaseQuery',36,'Taina Jääskeläinen',496,72),(1485,'Code translation added','2020-12-04','AutomatedDataExtraction.DatabaseQuery',36,'Taina Jääskeläinen',496,72),(1486,'Code translation added','2020-12-04','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',496,72),(1487,'Code translation added','2020-12-04','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',496,72),(1488,'Code translation added','2020-12-04','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1489,'Code translation added','2020-12-04','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1490,'Code translation added','2020-12-04','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1491,'Code translation added','2020-12-04','AutomatedDataExtraction.ApiQuery',36,'Taina Jääskeläinen',496,72),(1492,'Code translation added','2020-12-05','AutomatedDataExtraction.DatabaseQuery',36,'Taina Jääskeläinen',496,72),(1493,'Code translation added','2020-12-05','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',496,72),(1494,'Code translation added','2020-12-05','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',496,72),(1495,'Code translation added','2020-12-05','AutomatedDataExtraction',36,'Taina Jääskeläinen',496,72),(1496,'Code translation added','2020-12-05','AutomatedDataExtraction',36,'Taina Jääskeläinen',496,72),(1497,'Code translation added','2020-12-07','AutomatedDataExtraction.DatabaseQuery',36,'Taina Jääskeläinen',496,72),(1498,'Code translation added','2020-12-07','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1499,'CV definition amended with meaning change','2020-12-07','CV name changed and CV definition improved with meaning change',59,'Domingo Scisci',488,47),(1500,'Code translation added','2020-12-07','Recording.RemoteSensing',59,'Domingo Scisci',498,72),(1501,'Code descriptive term rephrased','2020-12-07','CompilationSynthesis',59,'Domingo Scisci',498,72),(1502,'CV definition rephrased','2020-12-07','AnalysisUnit',69,'Morten Jakobsen',489,47),(1503,'Code descriptive term rephrased','2020-12-07','Demography.MorbidityAndMortality',59,'Domingo Scisci',460,56),(1504,'Code descriptive term rephrased','2020-12-07','Economics.ConsumptionAndConsumerBehaviour',59,'Domingo Scisci',460,56),(1505,'Code descriptive term rephrased','2020-12-07','Education.CompulsoryAndPreschoolEducation',59,'Domingo Scisci',460,56),(1506,'Code definition amended with meaning change','2020-12-07','Education.EducationalPolicy',59,'Domingo Scisci',460,56),(1507,'Code definition rephrased','2020-12-07','Demography.MorbidityAndMortality',59,'Domingo Scisci',460,56),(1508,'Code definition rephrased','2020-12-07','Economics.ConsumptionAndConsumerBehaviour',59,'Domingo Scisci',460,56),(1509,'Code definition rephrased','2020-12-07','Education.CompulsoryAndPreschoolEducation',59,'Domingo Scisci',460,56),(1510,'Code definition rephrased','2020-12-07','Education.EducationalPolicy',59,'Domingo Scisci',460,56),(1511,'Code definition rephrased','2020-12-07','Health.HealthCareServicesAndPolicies',59,'Domingo Scisci',460,56),(1512,'Code definition rephrased','2020-12-07','Health.SignsAndSymptomsPathologicalConditions',59,'Domingo Scisci',460,56),(1513,'Code definition rephrased','2020-12-07','LabourAndEmployment.EmployeeTraining',59,'Domingo Scisci',460,56),(1514,'Code definition rephrased','2020-12-07','LabourAndEmployment.LabourAndEmploymentPolicy',59,'Domingo Scisci',460,56),(1515,'Code definition rephrased','2020-12-07','LabourAndEmployment.WorkingConditions',59,'Domingo Scisci',460,56),(1516,'Code definition rephrased','2020-12-07','MediaCommunicationAndLanguage.LanguageAndLinguistics',59,'Domingo Scisci',460,56),(1517,'Code definition rephrased','2020-12-07','Politics.PoliticalBehaviourAndAttitudes',59,'Domingo Scisci',460,56),(1518,'Code definition rephrased','2020-12-07','SocietyAndCulture.SocialConditionsAndIndicators',59,'Domingo Scisci',460,56),(1519,'Code definition rephrased','2020-12-07','TransportAndTravel',59,'Domingo Scisci',460,56),(1520,'CV definition rephrased','2020-12-08','AnalysisUnit',82,'Lisa Isaksson',511,47),(1521,'Code translation added','2020-12-08','Recording.RemoteSensing',69,'Morten Jakobsen',499,72),(1522,'Code translation added','2020-12-08','AutomatedDataExtraction',69,'Morten Jakobsen',499,72),(1523,'Code translation added','2020-12-08','AutomatedDataExtraction.ApiQuery',69,'Morten Jakobsen',499,72),(1524,'Code translation added','2020-12-08','AutomatedDataExtraction.DatabaseQuery',69,'Morten Jakobsen',499,72),(1525,'Code translation added','2020-12-08','AutomatedDataExtraction.WebScraping',69,'Morten Jakobsen',499,72),(1526,'Code translation added','2020-12-09','AutomatedDataExtraction.WebScraping',36,'Taina Jääskeläinen',496,72),(1527,'Code translation added','2020-12-09','Recording.RemoteSensing',36,'Taina Jääskeläinen',496,72),(1528,'Code definition rephrased','2020-12-10','Demography.Migration',69,'Morten Jakobsen',461,56),(1529,'Code definition rephrased','2020-12-10','Economics.ConsumptionAndConsumerBehaviour',69,'Morten Jakobsen',461,56),(1530,'Code descriptive term rephrased','2020-12-10','Economics.ConsumptionAndConsumerBehaviour',69,'Morten Jakobsen',461,56),(1531,'Code definition rephrased','2020-12-10','Demography.MorbidityAndMortality',69,'Morten Jakobsen',461,56),(1532,'Code definition rephrased','2020-12-10','Economics.EconomicConditionsAndIndicators',69,'Morten Jakobsen',461,56),(1533,'Code definition rephrased','2020-12-10','Economics.EconomicSystemsAndDevelopment',69,'Morten Jakobsen',461,56),(1534,'Code definition amended with meaning change','2020-12-10','Economics.IncomePropertyAndInvestmentSaving',69,'Morten Jakobsen',461,56),(1535,'Code definition rephrased','2020-12-10','Economics.IncomePropertyAndInvestmentSaving',69,'Morten Jakobsen',461,56),(1536,'Code definition rephrased','2020-12-10','Education.CompulsoryAndPreschoolEducation',69,'Morten Jakobsen',461,56),(1537,'Code definition rephrased','2020-12-10','Education.EducationalPolicy',69,'Morten Jakobsen',461,56),(1538,'CV definition rephrased','2020-12-10','TopicClassification',69,'Morten Jakobsen',461,56),(1539,'Code definition amended with meaning change','2020-12-10','Education.HigherAndFurtherEducation',69,'Morten Jakobsen',461,56),(1540,'Code definition rephrased','2020-12-10','Education.LifelongContinuingEducation',69,'Morten Jakobsen',461,56),(1541,'Code definition amended with meaning change','2020-12-10','Health.DrugAbuseAlcoholAndSmoking',69,'Morten Jakobsen',461,56);
/*!40000 ALTER TABLE `vocabulary_change` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-01-28 15:33:47
